SystemManager G

SystemManager G Manual (Ver. 8.0)

Thank you for choosing our products. This document introduces the MasterScope SystemManager G Ver.8.0 and describes how to use it.

  • Microsoft, Windows, Windows Server, Windows Vista, Internet Explorer and Active Directory are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

  • IIS and Microsoft SQL Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

  • UNIX is a registered trademark of The Open Group in the US and other countries.

  • Linux is either registered trademarks or trademarks of Mr.Linus Torvalds in the United States and/or other countries.

  • Red Hat is a registered trademark of Red Hat Software, Inc.

  • HP-UX is a registered trademark of Hewlett-Packard Company.

  • Oracle, Solaris Java, and WebLogic are registered trademarks of Oracle Corporation and its subsidiary and affiliated companies in the United States and other countries.

  • IBM, AIX, WebSphere are registered trademark of the International Business Machines Corporation in the United States of America.

  • Apache and Tomcat are trademarks of Apache Software Foundation.

  • SUSE is a registered trademark of Novell, Inc. in Japan.

  • JP1 is a registered trademark of Hitachi, Ltd.

  • PATLITE is a registered trademarks of PATLITE Corporation.

  • McAfee, VirusScan are trademarks or registered trademarks of McAfee, Inc. or its subsidiaries in the United States and other countries.

  • SAP is either registered trademarks or trademarks of SAP AG Corporation in the Germany and/or other countries.

  • Software developed by OpenSSL Project to use with OpenSSL Toolkit is built into this product. (http://www.openssl.org/)

  • This product includes encryption software developed by Eric Young (eay@cryptsoft.com).

  • This product includes software developed by Tim Hudson (tjh@cryptsoft.com).

[Note]

  • When installing this product, please refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with Master Scope Media.

  • "UNIX manager" described in this manual indicates Linux manager.

  • "UNIX agent" described in this manual indicates Linux, HP-UX, Solaris, and AIX agent.

  • In this manual, all the functions, including the agent function, the manager function and the consol function, are assumed to be installed in "C:\Program Files\UMF\Operations" in Windows. To similar, the agent function is assumed to be installed in "/opt/UMF/Operations" in UNIX. If you installed the SystemManager G to a directory other than the default directory, you will need to work on the directory you specified.

  • Because the screen described with this manual is under developed, the content might be changed without a previous notice.

  • In addition, proper nouns such as company names and product names included in this guide are trademarks or registered trademarks of their respective companies.


Notes on Installing the Product

This product retains collected data as a file. Operation of the product over a lengthy period of time is likely to cause the collected data to impact the disk capacity of the machine to which an agent(s)/manager has been installed. As the product may malfunction when disk capacity is impacted, you must perform maintenance on the collected data on a regular basis. For information on maintaining the collected data, refer to "Backup." The section describes where the collected data is stored, and the approximate size of each file that stores the data.

This product can detect insufficient disk capacity due to increasing collected data. You can alleviate the maintenance workload as well as prevent failures due to insufficient disk capacity by appropriately configuring it. Note that, in order to detect disk capacity insufficiency in a manager machine, you must install the agent function to the machine to which you have installed the manager function.

  • Monitor a disk with performance monitoring
    Performance monitoring enables you to monitor information such as the usage and free size by logical disk. You can send a report or message to Business View when the size of collected data exceeds (or falls under) a threshold value by setting the disk that stores collected data to be a monitored target and setting a threshold value as the upper limit or lower limit for the size of collected data.
    [Reference]
    Define the monitored resource
    Define the detailed settings
    Delete history data

Setting the recovery configuration in Business View enables you to automatically run the commands provided by this product and remove collected data when disk capacity insufficiency is detected. For more information on recovery, refer to "Recovery."


Disk monitoring on Windows agents

In Window agent performance monitoring, the instance of [LogicalDisk] object cannot monitor the disks mounted to a folder by default. To enable monitoring, perform the following procedure to change the settings.

  1. Stop the agent service.

  2. Add the following two lines to PlatformTool.ini in <Agent Function Installation Directory>\Agent\sg, and then save the file. If the file does not exist, create a new file and edit it. Then, save it in UTF-16LE (with BOM).

    [PerformanceTool]
    NoRootDriveSearch = 1

  3. Start the agent service.

  4. Open the instance setting dialog box for [Logical Disk] of the agent from the console, and confirm that the drives mounted to a folder are displayed.

[Note]

  • The [% Used Ex] and [Used Ex] counters cannot be monitored.


Disk monitoring on UNIX agents

When performing performance monitoring on UNIX agents, the file system format name is displayed for the LogicalDisk object instance by default. In the file system format, a restriction applies whereby subsequent file systems cannot be monitored if the same file system name exists in fstab.

To enable monitoring, perform the following procedure and change the name in the mount point format. When monitoring a Linux agent of sysstat-10.1.5 or later, the name is displayed in mount point format by default. Therefore, this task does not have to be performed.

[Linux agent]

  1. For the agent to be changed, delete the instance under the LogicalDisk from the console if it is already being monitored by using the file system format.

  2. Execute the following command from the command line on the machine in which the agent to be changed exists to confirm the version of the sysstat package.
    rpm -q sysstat

  3. Stop the service of the agent to be changed.

  4. Overwrite LogicalDisk.dat with LogicalDisk_MO.dat in <Agent's installation directory (*1)>/Agent/sg/PerformanceDefault/<sysstat version confirmed in step 2>.

  5. Start the service of the agent to be changed.

  6. Open the monitoring settings of the LogicalDisk object from the console to confirm that the instance name is displayed in the mount point format.

[Linux remote host]

Change targets are all remote hosts of the same version which are monitored from the remote monitor agent to be changed.

  1. For the remote host to be changed, delete the instance under the LogicalDisk from the console if it is already being monitored by using the file system format.

  2. Execute the following command from the command line on the machine in which the remote host to be changed exists to confirm the version of the sysstat package.
    rpm -q sysstat

  3. Stop the service of the remote monitor agent which monitors the remote host to be changed.

  4. Overwrite LogicalDisk.dat with LogicalDisk_MO.dat in <Remote monitor agent's installation directory (*1)>/Agent/sg/PerformanceDefault/<sysstat version confirmed in step 2>.

  5. Start the service of the remote monitor agent.

  6. Open the monitoring settings of the LogicalDisk object from the console to confirm that the instance name is displayed in the mount point format.

[HP-UX, Solaris, AIX agent]

  1. For the agent to be changed, delete the instance under the LogicalDisk from the console if it is already being monitored by using the file system format.

  2. Stop the service of the agent to be changed.

  3. Overwrite LogicalDisk.dat with LogicalDisk_MO.dat in <Agent's installation directory (*1)>/Agent/sg/PerformanceDefault.

  4. Start the service of the agent to be changed.

  5. Open the monitoring settings of the LogicalDisk object from the console to confirm that the instance name is displayed in the mount point format.

(*1) For a logical system agent, this is the path specified for [Data Directory] at installation.

[Note]

  • If monitoring is already being performed in the file system format and performance information logs have been accumulated, the logs in question will not be able to be confirmed after this operation.

  • To save the logs, save the logs to a text file by using the PerformanceCmd command before performing this operation.

  • If a space is included in the device name, monitoring cannot be performed correctly.


Character encoding

This product does not cause any unreadable character problem regardless of the OS and character encoding scheme as long as the following coded character sets are used.

  • ASCII
    Note that the following two characters might become unreadable because they are assigned differently depending on the OS and character encoding scheme.

0x5C | Backslash
0x7E | Tilde

Moreover, the following character becomes a null character when displaying using SM7 because it is used as a delimiter for the SM7 linkage.

0x5E

Hat

  • JIS X 0201
    Note that the following two characters might become unreadable because they are assigned differently depending on the OS and character encoding scheme.

0x5C | Yen mark
0x7E | Overline (Tilde for some processing systems)

Moreover, the following character becomes a null character when displaying using SM7 because it is used as a delimiter for the SM7 linkage.

0x5E

Hat

The JIS code (ISO-2022-JP) character set does not contain JIS X 0201 katakana characters (one-byte kana characters). So, if the JIS code (ISO-2022-JP) input or output characters contain JIS X 0201 katakana characters (one-byte kana characters), characters could get garbled.

  • JIS X 0208
    Note that the following character might become unreadable because the Unicode mapping differs depending on the OS.

Ku-Ten | JIS | SJIS | EUC | Unicode |  | Unicode
01-17 | 0x2131 | 0x8150 | 0xA1B1 | U+FFE3 | FULLWIDTH MACRON | U+203E | OVERLINE
01-29 | 0x213D | 0x815C | 0xA1BD | U+2015 | HORIZONTAL BAR | U+2014 | EM DASH
01-33 | 0x2141 | 0x8160 | 0xA1C1 | U+FF5E | FULLWIDTH TILDE | U+301C | WAVE DASH
01-34 | 0x2142 | 0x8161 | 0xA1C2 | U+2225 | PARALLEL TO | U+2016 | DOUBLE VERTICAL LINE
01-61 | 0x215D | 0x817C | 0xA1DD | U+FF0D | FULLWIDTH HYPHEN-MINUS | U+2212 | MINUS SIGN
01-79 | 0x216F | 0x818F | 0xA1EF | U+FFE5 | FULLWIDTH YEN SIGN | U+00A5 | YEN SIGN
01-81 | 0x2171 | 0x8191 | 0xA1F1 | U+FFE0 | FULLWIDTH CENT SIGN | U+00A2 | CENT SIGN
01-82 | 0x2172 | 0x8192 | 0xA1F2 | U+FFE1 | FULLWIDTH POUND SIGN | U+00A3 | POUND SIGN
02-44 | 0x224C | 0x81CA | 0xA2CC | U+FFE2 | FULLWIDTH NOT SIGN | U+00AC | NOT SIGN


About the limitation of the number of command execution

When starting a command for the recovery function or for reporting an action on the manager (agent), this product generates one thread for each command and starts the command. Therefore, if multiple commands are started at the same time, the manager (agent) may exhaust resources such as memory and file descriptors.

By default, there is no limit on the number of command start threads that can exist at the same time. However, it is possible to specify to limit the number of concurrent threads. Execute the following procedure for the command start environment to change the setting.

  1. Stop the service.

  2. Create the following configuration file, and store it in the installed machine.

[File name]
Agent : CommandAgt.ini
Manager: CommandMgr.ini

[Location]
Agent : <Installation directory>/Agent/sg
Manager: <Installation directory>/Manager/sg

[Example]

[Passage]
CommandLimit=100
ReserveLimit=1000

CommandLimit

Number of command start threads that can be started at the same time (0: Unlimited)

ReserveLimit

Maximum number of command start requests that can be reserved when the number of command start threads exceeds CommandLimit (0: Unlimited)

Commands exceeding ReserveLimit cannot be started.

  3. Start the service.

[Note]

  • A command start function other than for reporting an action waits for the completion of the started command. Therefore, by specifying CommandLimit, the number of commands that start on the manager (agent) at the same time can be controlled.
    For reporting an action, the number of command start threads can be controlled by specifying CommandLimit, but the number of commands that start at the same time cannot be controlled because each thread ends without waiting for command completion.

In the case of Windows, as the number of commands which can be executed from the process monitoring function is limited due to system limitation, a command execution fails if reaching to the limitation. You can change the limitation by editing the following registry value with a registry editor.

[Registry Key]

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\SubSystems

[Registry Name]

Windows

[Value]

%SystemRoot%\system32\csrss.exe ObjectDirectory=\Windows SharedSection=1024,3072,512 Windows=On SubSystemType=Windows ServerDll=basesrv,1 ServerDll=winsrv:UserServerDllInitialization,3 ServerDll=winsrv:ConServerDllInitialization,2 ProfileControl=Off MaxRequestThreads=16

Each value above is described in one line. By increasing the third value of [SharedSection], being set to 512 above, the limitation of the number of executed commands is increased.

For detailed information, please refer to the web page of Microsoft and search knowledge ID [184802].

[Note]

  • When SharedSection value was changed, system should be restarted to enable the change.

  • If registry is changed incorrectly, it is possible to cause a serious problem. Note that changing registry is self-responsible.

[Functions to execute commands]

Function name | Timing to execute a command | Command execution destination
 |  | Manager | Agent
Application log monitoring | Execute pre-monitoring command | - | x
Process monitoring | Execute monitoring process start and stop commands | - | x
Recovery | Execute recovery defined in the filter of message monitoring | x | x
Report | Execute action defined by action reporting | x | -

[References]

Operate the process

Set the Command Linker

Define the recovery

Define the action report


Functions that execute command

[Functions that execute command]

Function name | Timing when executing command | Destination of the command execution
 |  | Manager | Agent
Application log monitoring | Executes the pre-monitoring commands. | - | YES
Process monitoring | Executes the startup/stop command of the monitoring process. | - | YES
Recovery | Executes the recovery that is defined in the filter of the message monitor. | YES | YES
Reporting | Executes the recovery that is defined in the filter of the message monitor. | YES | -
Manager linkage machine | When CommandExe.exe is executed (Executes from the recovery function or the scenario control.) | YES | YES
Scenario control | Executes the component that executes commands. | YES | YES
Operation control | Executes the action that executes commands. | YES | YES

[References]

Operate the process

Define the recovery

Define the action report

Action

Set an action definition (command execution)


About regular expressions

In this product, regular expressions (extended regular expressions) can be used as part of the search conditions or setting items.

Regular expression can be specified in the following functions:

  • Process monitoring
    Define the detailed settings of the monitored process (monitoring)

  • Performance monitoring
    Monitor the performance of an identified process

  • Event log monitoring
    Define the selecting conditions for the event log

  • Syslog monitoring
    Define the selecting conditions for the syslog

  • Multi graph view
    Multi graph view

  • Application log monitoring
    Define the selecting conditions for the application log
    Define the extended configuration of the application log

  • Message monitoring
    Define the selecting conditions for the message
    Set a parameter for searching for messages
    Search the message

  • Audit logs
    Search for audit logs

Condition and the sample expressions

Condition | Sample expression
Texts include "Abnormal" | Abnormal
Texts include any letter after "Abnormal" | Abnormal.
Texts include "Abnormal (any string) recovery" | Abnormal.*recovery
Either "A is Abnormal", "B is Abnormal" or "C is Abnormal" | [ABC] is Abnormal
Texts include alphabetical letters | [A-Za-z]

[Note]

  • If a regular expression contains an input error, the error is displayed. Check and reset the contents of the input.

  • When the meta character is used as a usual character, it is necessary to apply '\' just before the character. The meta character is a character with a special meaning in the regular expression such as parentheses, periods, and '\'.

[e.g.]

"C:\Program Files\UserAp\bin\userap.exe" OPTION(0000)

is described as

"C:\\Program Files\\UserAp\\bin\\userap\.exe" OPTION\(0000\)


Regular expressions available functions list

Regular expression can be specified in the following functions

  • Process monitoring
    Define the detailed settings of the monitored process (monitoring)

  • Performance monitoring
    Monitor the performance of an identified process

  • Event log monitoring
    Define the selecting conditions for the event log

  • Syslog monitoring
    Define the selecting conditions for the syslog

  • Application log monitoring
    Define the selecting conditions for the application log
    Define the extended configuration of the application log

  • Multi Graph View
    Multi graph view

  • Message monitoring(Business View)
    Define the selecting conditions
    Set a parameter for searching for messages
    Search the message

  • Message monitoring
    Define message extraction conditions
    Search for a message
    Create a message filter

  • Audit log
    Search for audit logs

  • Operation control
    Searching for a command log
    Define conditions for extracting messages playing the role of an execution trigger
    Define a replacement character string

  • Scenario control
    Allocate a part that waits for a message
    Message waiting
    Branch a flow conditionally
    Define the details of a condition
    Conditional branch
    Refer to the result of an anterior part (property reference)

  • Event correlation
    Define extract conditions for events


Notes on Operating the Product

When specifying monitoring definitions

When specifying monitoring definitions for the system in the configuration mode, do not paste character strings from a text editor or an application program by using the copy and paste function. Invisible control characters might be inadvertently included and copied.

If a control character is pasted in a monitoring definition, the monitoring definition might not be saved correctly or existing monitoring definitions might be affected and not be able to be read correctly.


Start and Stop of the manager/agent function

[Windows manager/agent]

  1. On the machine installed each function, select [Start]-[Setting]-[Control Panel]-[Administrative Tools]-[Services].

  2. Start and stop the following services.

    Manager

    MasterScope UMF Operations Manager_1

    Agent

    MasterScope UMF Operations Agent_1

    Probe

    MasterScope SystemManager G Probe Agent_1

[Linux manager/agent]

  1. Confirm that the following rc script files are under "/etc/rc.d/init.d/" on the Linux machine.

    Manager

    UMFOperationsManager_1

    Agent

    UMFOperationsAgent_1

  2. For starting the Linux functions, input the following command from the command line.

    OS of which system is controlled by init:

    Manager

    # /etc/rc.d/init.d/UMFOperationsManager_1 start

    Agent

    # /etc/rc.d/init.d/UMFOperationnAgent_1 start

    OS whose system is controlled by systemd (for example, Red Hat Enterprise Linux 7.1):

    Manager

    # systemctl start UMFOperationsManager_1

    Agent

    # systemctl start UMFOperationnAgent_1

  3. For terminating the Linux functions, input the following command from the command line.

    Manager

    # /etc/rc.d/init.d/UMFOperationsManager_1 stop

    Agent

    # /etc/rc.d/init.d/UMFOperationsAgent_1 stop

When init is used, the process name (the second field) in /proc/1/stat is init.

When systemd is used, the process name (the second field) in /proc/1/stat is systemd.

[HP-UX manager/agent]

  1. Confirm that the following rc script files are under "/sbin/init.d/" on the HP-UX machine.

    Manager

    UMFOperationsManager_1

    Agent

    UMFOperationsAgent_1

  2. For starting the HP-UX functions, input the following command from the command line.

    Manager

    # /sbin/init.d/UMFOperationsManager_1 start

    Agent

    # /sbin/init.d/UMFOperationsAgent_1 start

  3. For terminating the HP-UX functions, input the following command from the command line.

    Manager

    # /sbin/init.d/UMFOperationsManager_1 stop

    Agent

    # /sbin/init.d/UMFOperationsAgent_1 stop

[Solaris agent]

  1. Confirm that the following rc script file is under "/etc/init.d/" on the Solaris machine.

    Agent

    UMFOperationsAgent_1

  2. For starting the Solaris function, input the following command from the command line.

    Agent

    # /etc/init.d/UMFOperationsAgent_1 start

  3. For terminating the Solaris function, input the following command from the command line.

    Agent

    # /etc/init.d/UMFOperationsAgent_1 stop

[AIX agent]

  1. Confirm that the following rc script file is under "/etc/rc.d/init.d/" on the AIX machine.

    Agent

    UMFOperationsAgent_1

  2. For starting the AIX function, input the following command from the command line.

    Agent

    # /etc/rc.d/init.d/UMFOperationsAgent_1 start

  3. For terminating the AIX function, input the following command from the command line.

    Agent

    # /etc/rc.d/init.d/UMFOperationsAgent_1 stop

[Note]

  • The path of the start/stop command for the UNIX manager and agent is fixation regardless of agent's installation directory.

  • Root authority is required to start the UNIX manager and agent.

  • The trailing "_1" stands for a service number. For details, refer to "MasterScope Media Release Notes."

  • When installing more than one instance, "__identifier" is added to a service name and the rc script file name. But, the occasion of the Solaris is "--identifier".
    [e.g.] MasterScope UMF Operations Agent__identifier_2
    UMFOperationsAgent__identifier_2
    UMFOperationsAgent--identifier_2 (Solaris)

  • In the case of a logical system agent, "Logical" is added to a service name and the rc script file name.
    [e.g.] MasterScope UMF Operations Logical Agent_2
    UMF OperationsLogicalAgent_3

  • When you install a new version overwriting the MasterScope SystemManager Ver4.0/Ver4.1 environment, the following service names and rc script files are used. Replace the description above with these terms.

Windows manager

MasterScope SystemManager Manager

Windows agent

MasterScope SystemManager Agent

UNIX manager

SysMgrMgr

UNIX agent

SysMgrAgt

[References]

Open and Close the monitoring view


Open and Close the monitoring view

In this product, all the definitions, operations and monitoring are executed on the monitoring view. (Some commands functioning as same as the operations on the monitoring view are also available.)

The procedures to open/close the monitoring view are shown below:

  1. Opening the monitoring view

After the program is installed, the SystemManager G Console icon will be added on your desktop. Double click this icon, then the splash screen will appear, and the Login window will open when the screen gets ready. You can also open it from the Windows [Start] button.

  • To open the monitoring view from the Windows [Start] button.

Select [Start]-[Programs]-[MasterScope SystemManager G]-[MasterScope SystemManager G Console].

[splash screen]

Specify "Login name" and "Password" and press the [OK] button to authenticate your login. If your login succeeds, the monitoring view will open.

When [Cancel] button is pressed then exited without opening the monitoring view.

How to confirm the login name

Login name is displayed to the bottom of window. "Login:Administrator"

  2. Closing the monitoring view

From [File ] menu, select [Exit Application].

[References]

Start and Stop of the manager/agent function

Change the password

About user management


Startup and Shutdown of Web Monitoring Console

You can use not only a console but also web browser for monitoring and configuration.
You can operate web browser in the same way as a console.

  1. Before using Web Monitoring Console

    Before you can use the Web Monitoring View Function, you must set it from the monitoring window in the monitoring terminal. After shifting into the Configuration mode, select [Option] from the [Setting] menu, and select Web Monitoring View function tab.

    • Use Web Monitoring View Function
      Web Monitoring Console is available when checkbox is checked. Checkbox is not checked as a default.

      • Port Number
        Specify port number for Web Monitoring Console between 1000 and 32767

    • Use Web API Function
      Web API Function is available when checkbox is checked.

      • Port Number
        Specify port number for Web Monitoring Console between 1000 and 32767

[Note]
Web API Function is not supported in vDCA.

  2. Startup Web Monitoring Console

    You can use Web Monitoring Console at the URL below through your web browser.

    http://MANAGER:PORT

    Specify manager name to connect at "MANAGER", port number at "PORT"
    Splash GUI will appear as a console when you connect it to manager. Web Monitoring Console will be ready when GUI preparation has completed.

  3. Shutdown Web Monitoring Console

    Select "Exit Application" in the "File" menu.


About WebAPI function

To use the WebAPI function, communication with the service governor must be set up. For the WebAPI function settings, refer to the service governor installation guide.

Before using the WebAPI function, the settings must be configured on the monitoring window of the monitoring terminal. After changing to the definition mode, select [Option] from the [Setting] menu to open the "Option Setting" window, and then select the "Web Monitoring View" tab.

  • Use Web API Function
    If this check box is selected, the Web API port is open. The check box is cleared by default.

  • Port
    Specify the port number to be used by the WebAPI function in a range of 1000 to 32767.

  • Use HTTPS cryptogram
    If this check box is selected, communication using the Web API port is encrypted by HTTPS. The check box is cleared by default.

If the above warning dialog box is displayed when setting the options, or if the server certificate needs to be changed, it is necessary to go back and perform the following tasks.

  1. Stop the manager.

  2. Check the file names of the server certificate and private key to be used.

    • File name
      HttpServerMgr.ini

    • Storage location
      <Manager's installation directory>\Manager\sg

    • Contents

[ApiServer]

CertificateFile=server.crt

PrivateKeyFile=server.key

  • CertificateFile
    Specify the file name of the server certificate. If omitted, the default is server.crt.

  • PrivateKeyFile
    Specify the file name of the private key. If omitted, the default is server.key.

* To specify other than the default server certificate and private key, specify other than the default file names.

  3. Store the server certificate and private key to be used.

    • File name
      Server certificate and private key file name set in 2.

    • Storage location
      <Manager's installation directory>\Manager\sg\HttpServer\conf

  4. Start the manager

[Note]

  • To create a server certificate and private key, specify other than the default file names.

  • By enabling this function, the settings can be updated by using WebAPI. When updating the settings by using WebAPI, a message dialog box requesting you to close the windows during operation is displayed.


Operation modes for the monitoring view

  1. Operation modes

The monitoring view has two modes which are the Normal mode and the Configuration mode, the monitoring view will be running as the Normal mode, just after being opened.

  • Configuration mode

After password authentication, the monitoring view is shifted to this mode from the Normal mode. This is the specific mode to define the monitoring definition for the system. Within the system, only one monitoring view can be shifted into the Configuration mode.

  • Normal mode

This is the mode just after starting the monitoring view for referring the system status and executing operations.

  2. Changing operation modes

To change the operation mode, select [Configuration Mode] on the Setting menu.

  3. Checking the operation modes

While you are in the Configuration mode, the check mark is shown on the left of [Configuration Mode] on the Setting menu, and the Configuration Mode is displayed in the lower right of the screen..

While you are in the Normal mode, the check mark is not shown on the left of [Configuration Mode] on the Setting menu.


Change the password

To change the password, select [Change Password] on the Setting menu. The [Password setting] window will appear, input your password (less than 64 characters) and press the [OK] button.

The following password cannot be registered.

  • Password that includes blank in the head or the end


Main window

Configuration of the Main window.

  • Tree view

  • Topology View

In the Topology View, agent status (performance, process, Windows services, Service port, Application log) are monitored.

The host groups and hosts under them will be hierarchically displayed in the Topology View node. If any function associating with topology (Windows Service Monitor, Process Monitor, Performance Monitor) is defined, monitoring objects will also be displayed hierarchically under the host.

See here, for details about the agent monitoring.

  • Business View

In the Business View, messages on the multiple agents are monitored.

The category groups and categories under them will be hierarchically displayed in the Business View node.

See here, for details about the message monitoring.

  • Application View

Application View provides the launcher function.

The application groups and applications under them will be hierarchically displayed in the Application View node.

See here, for details about the launcher function.

  • Event Correlation View

In this view, the operation status of each rule is shown.

The rule group and rules under them will be hierarchically displayed in the Event Correlation View node.

See here, for details about the Event Correlation function.

  • Scenario Control View

In this view, users can monitor the status of each scenario.

The Scenario group and Scenarios under them will be hierarchically displayed in the Event Correlation View node.

See here, for details about the Scenario Control function.

  • Audit Log
    Audit Log displays the operation trails of this product.
    Four categories of the application, security, system, and audit logs are displayed in the audit log node according to the kind of the operation.
    See here, for details about the audit logs.

  • Manager Linking

Multiple managers work together hierarchically. Messages will be sent to the upper manager located higher in the hierarchy.

The upper manager groups and upper managers under them will be hierarchically displayed in the Manager Linking node.

See here, for details about the Manager Linking.

  • Operation Control View

Operation Control View displays the history of action executions.

The Operation group and actions under them will be hierarchically displayed in the Operation Control node.

See here, for details about the Operation Control function.

  • Application Linking

Collected messages are output into the external file.

Exported groups and exported files under them will be hierarchically displayed in the Application Linking node.

See here, for details about the Application Linking function.

  • Integrated topology
    The integrated topology view allows the user to register the configuration of the system to be analyzed and to perform invariant analysis.
    Jobs and logical items (hosts) are hierarchically displayed in this view.
    For details about this view, click here.
    For details about the invariant analysis, click here.

In each node, its severity is indicated by color. The severity color is displayed around the icon of each node. The severity color of the node that has the highest priority within the Application view will be shown.

See here, for details about severity and priority.

  • Map View

This window displays the defined monitored hosts, categories, applications, groups and figures which correspond to the Topology View, the Message View, selected on the tree view.

  • Property View

This window displays the information about the defined monitored hosts, categories, applications, groups which correspond to the Topology View, the Message View, selected on the tree view.

  • Online Message

All the messages stored in the category after the monitoring view is opened will be displayed.

  • Scenario Control Message

Messages for the Scenario Control function after opening the monitoring view will be displayed.

  • Scenario Control Wait

Window response parts, where instances are delayed in the Scenario Control function will be listed.

  • Recovery Status

If any event specified to be recovered occurs after the monitoring view is opened, the list of the status of recovery process will be displayed.

See here, for details about recovery.

  • Report Status

If any event specified to be reported occurs after the monitoring view is opened, the list of the status of report process will be displayed.

See here, for details about report.

  • Event Correlation

Event correlation history which occurred after opening the monitoring view will be displayed.

  • Audit Log
    All the audit logs outputted after the monitoring view is opened will be displayed.

  • Operation Control Message

Messages for the Operation Control function after opening the monitoring view will be displayed.

  • Waiting for a check of Operation Control

Actions waiting for the user's decision in the Operation Control function will be displayed.

  • Incident Status

The statuses of the incidents that have been generated and registered since the monitoring terminal was started are displayed in the list of statuses of the registered incidents.


File menu

  • Save to File

Output the reference result as a CSV file.

This menu item is available only when the message list window is focused and any message is exist.

  • Print

[Print] dialog will appear. Press the [OK] button on the dialog, then the image of Mapping view will be printed.

This menu item is available only when the Map view is focused.

  • Print Preview

The preview image of the Map View will be displayed as the preview.

Return to the standard window by the [Close] button on the Preview window.

This menu item is available only when the Map View is focused.

  • Printer setting

[Print Setup] dialog will appear.

  • Exit Application

Exit from the monitoring view.

[References]

Output messages as a file

Print the Map view

Open and Close the monitoring view


View menu

  • Tool Bar

Toggle show/hide the Tool bar.

  • Status Bar

Toggle show/hide the Status bar.

[References]

Show/hide the Tool bar

Show/hide the Status bar


Operation menu

  • Stop Sound

Stop the sound.

This menu item is available only when sound is on.

[References]

Stop the sound


Setting menu

  • Configuration Mode

Switch the operation mode of the monitor terminal to Monitoring/Configuration mode.

  • License Management
    Manage the system license

This menu item is available only when you are in the Configuration mode.

  • Change Password

Change the password for shifted into the Configuration mode.

This menu item is available only when you are in the Configuration mode.

  • User Management
    Manages user information that is used in the system.
    This menu item is available only when you are in the Configuration mode.
    Only users belonging to one of the groups that are authorized to manage licenses can use this menu item.

  • Option

Set the system options.

This menu item is available only when you are in the Configuration mode.

[References]

Operation modes for the monitor terminal


Window menu

  • Cascade

Cascades the displaying windows (map view, property view, monitoring windows) diagonally on the screen.

  • Tile

Arranges displayed windows as tiles (map view, property view, monitoring windows) on the screen.

  • Arrange Icons

Arranges minimized windows (map view, property view, monitoring windows) on the screen.

[References]

Change the layout of windows

Show/hide the Tool bar

Show/hide the Status bar


Help menu

  • Help Contents

Show this help manual.

  • About Version

Show information about the application on the [Version Information] dialog.


Color dialog

This dialog is displayed at the times like the [Setting] button for severity color on the [Severity Setting] window is pressed.

In this dialog, you can define the desired color.

The defined color is enabled, when the [OK] button is pressed.

If the [Cancel] button is pressed, color setting is cancelled and the dialog will be closed.

In addition, when the [Define Custom Colors>>] button is pressed, the dialog is expanded and you can create your own color.


Open dialog

This dialog is displayed at the times like the [Browse] button of the application on the [New Application] window is pressed.

A file on Windows will be selected.

To select a file, press the [Open] button.

If the [Cancel] button is pressed, files will not be selected and the dialog will be closed.


Open Directory dialog

This dialog is displayed at the times like the [Browse] button of the working directory on the [New Application] window is pressed.

A directory on Windows will be selected.

To select a directory, press the [OK] button.

If the [Cancel] button is pressed, directories will not be selected and the dialog will be closed.

To create new directory under the current directory, press the [New Directory] button. The [Create Directory] dialog will appear, specify the new directory name and press [OK] button on the [Create Directory] dialog.


Directory in Host dialog

This dialog is displayed at the times like the [Browse] button of the command on the [Action Setting] window is pressed.

A directory or a file on Windows will be selected.

  • "ServerA" in the window will be replaced with the agent/manager name of the referenced host.

To select a directory/file, press the [OK] button.

If the [Cancel] button is pressed, directories/files will not be selected and the dialog will be closed.


Save As dialog

This dialog is displayed at the times like the message filter is output as a knowledge file.

Specify a directory on Windows, the file name, and the file type.

To save a file, press the [Save] button.

If the [Cancel] button is pressed, files will not be saved and the dialog will be closed.

The following dialog will appear when the information about performance obtained in performance monitoring need to be output as a CSV file.

The following dialog box is displayed when outputting the messages detected by message monitoring in the CSV format.

  • Use UNICODE
    If the check box is checked, a file to be output will be output in Unicode (Little-Endian) (if it is not checked, a file will be output in SJIS).

    • Add BOM
      If the check box is checked, output of a file in Unicode adds BOM (Byte Order Mark) to the output file. By default, the check box is checked.

  • Delimiter
    Specifies delimiters of CSV file to be output. By default, [Use comma] is selected.

  • Target
    Specify the target range of the messages to be saved to a CSV file. [All Items] is selected by default.
    When [All Items] is selected, all messages in the specified category are output to a CSV file. When [Selected Items] is selected, only the selected messages in the specified category are output to a CSV file.


Print Setup dialog

This dialog is displayed when [Printer Setting] on the [File] menu is selected.

In this dialog, you can define the printer settings.

The printer settings are enabled, when the [OK] button is pressed.

If the [Cancel] button is pressed, the setting is cancelled and the dialog will be closed.


Print dialog

This dialog is displayed when [Print] on the [File] menu is selected.

In this dialog, you can define the print format.

To start printing a directory, press the [OK] button.

If the [Cancel] button is pressed, printing is cancelled and the dialog will be closed.


About the severity and the priority

In this product, when any event (such as change of the status of monitoring object, or a message) is occurred, the status will be reported on each window with the color and sound defined to that event. For severity, there are system severity, user severity and user mark. For the case that multiple events are occurred, priority is defined to each severity.

  • Although some emphases have been defined in advance, each severity and priority can be defined according to your environment. See here, for details about severity.

  • System Severity

The severities defined as default. Used when status of a monitored target is changed or a message is generated.

  • User Severity

The severities defined by user. Used to change severity of messages.

  • User Mark

The priority defined by user. Used to mark up the message.

When multiple events are occurred, on the Tree view, the severity color of the node that has the highest priority will be given to the upper node. Therefore, in the figure above the severity of "process_group1" has the higher priority than that of "process_group2".

[References]

Set the severity

Set the priority


Set the priority

This operation should be executed after shifting into the Configuration mode.

To define the priority, select invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Priority Setting] tab.

"Severity Color", "Type", "Display Name", "Sound Type", "Wave File" and "Sound Count" of each priority is shown.

  • The priority of selected item can be changed by the [Up]/[Down] arrow key

  • Double click the [Edit] button or an item to define the severity (System Severity, User Severity, User Mark).

  • An severity displayed upper, on the screen, has higher priority than the lower ones.

[References]

About the severity and the priority

Set the severity

About the details of each severity


Set the severity

This operation should be executed after shifting into the Configuration mode.

Set the severity (System Severity, User Severity and User Mark) for this system.

To define the severity, select [Option] on the Setting menu. The [Priority Setting] tab is shown, then select the severity or the mark to edit, and press the [Edit] button, or double click the item. The [Severity Setting] window will appear, fill in the each field, and press the [OK] button.

  • You can define the System Severity, User Severity (Up to 32) and User Marks (Up to 128).

  • Severity Type
    One of System Severity, User Severity or User Mark will be shown in the severity type.

  • Severity Category
    The internal name of the severity is shown.

  • Display Name
    Specify your desired name in 64 characters or less. Comma (,) and double quotation (") are not allowed for display names.
    When the severity type is "System Severity", the display name shall not be omitted.
    When display name whose severity type is "User Severity" or "User Mark" is omitted, its severity will be not used.

  • Color
    Current defined color is displayed. If the [Setting] button is pressed, [Color] dialog will appear and you can select your desired color.

  • Sound
    You can select from "None", "Single", "Intermittent", "Continuous" or "Wave". Sound can be specified for the System Severity and the User Severity, and will sound in the specified sound type and repot the message issued, when an event with the appropriate severity is occurred. The sound works on a monitor terminal only when the monitoring view is running.

  • WAVE File
    When "WAVE" is specified for sound type, designate the WAVE file in 256 characters or less. You can select a WAVE file, press the [Browse] button. The environment variable can also be used for the path name of the file.

    [Note]
    If you specified unavailable WAVE file, then the sound will work like as "Continuous".
    The path setting of the WAVE file becomes common in all monitoring terminals. The WAVE file is necessary for same path in each monitoring terminal.

  • Ring Count
    When "WAVE" is specified for sound type, designate times of sound. Specify from 0 - 32767. "0" means no limit.

  • Press the [Test] button to test the specified sound type.

  • Press the [Stop] button to stop the sound.

[References]

About the severity and the priority

Set the priority

About the details of each severity


About the details of each severity

This section describes the severity of this product about the situation it may occur, and the functions in which it may be used.

  • In each severity below, any occurrence condition stated "Do not occur automatically" can be made to occur by changing the message severity (Except User Mark).

  • User Mark will not occur automatically. This shall be specified for a message manually.

See here, for changing the severity for messages.

See here, for specifying user marks.

Internal name | Occurrence condition | Function uses severity
[System Severity]
STOP | Do not occur automatically |
FATAL | When the message type is error | Message monitor function
 | When the service port is abnormal | Service port monitoring function
CRITICAL | When the rule is enabled and all conditions are met * When only [Percent] is specified for all condition types and [Retain the status of a monitored group] is selected for the behavior after the rules are met. | Event Correlation
MAJOR | Do not occur automatically |
MINOR | Do not occur automatically |
WARNING | When the message type is warning When a warning occurs (only during real-time analysis) | Message monitor function Invariant analysis function
UNKNOWN | When the service port status is unknown | Service port monitoring function
NOMESSAGE | When the category does not have messages | Message monitor function
NORMAL | When the message type is normal | Message monitor function
 | When the service port is normal | Service port monitoring function
PROCESSUPERROR | When the number of monitored process is greater than the upper threshold. | Process monitor function
PROCESSSTOP | When the number of monitored process is less than the lower threshold. | Process monitor function
SERVICESTOP | When the monitored service is stop. | Windows service monitor function
PERFUPERROR | When the value of monitored counter is equal to the upper threshold (error) or greater. | Performance monitor function
PERFLOWERROR | When the value of monitored counter is equal to the lower threshold (error) or less. | Performance monitor function
HOSTEMPTY | When the information of the monitored host is not available.When any monitor host does not exist under the host group. | Agent monitor function
PERFUPWARNING | When the value of monitored counter is equal to the upper threshold (warning) or greater. | Performance monitor function
PERFLOWWARNING | When the value of monitored counter is equal to the lower threshold (warning) or less. | Performance monitor function
PROCESSUNKNOWN | When the information of the monitored process is not available. | Process monitor function
SERVICEUNKNOWN | When the information of the monitored service is not available. | Windows service monitor function
PERFUNKNOWN | When the information of the monitored counter is not available. | Performance monitor function
PROCESSRUN | When the monitored process is running. | Process monitor function
SERVICERUN | When the monitored service is running. | Windows service monitor function
PERFNORMAL | When the value of the monitored counter is within the normal range. | Performance monitor function
HOSTNORMAL | When the monitored host is running. | Agent monitor function
FORCEEND | When the scenario (instance) is forced to stop. | Scenario control function
CONDSTOP | When the scenario (instance) is conditionally halted. | Scenario control function
DELAY | When there are parts delayed/halted. | Scenario control function
CONFIRMATION | When there are parts waiting for a check. | Scenario control function
NOTEXEC | When the scenario has not been executed yet. | Scenario control function
EXECUTING | When the scenario (instance) is running. | Scenario control function
UNMANAGED | When agent monitoring is stopped When category message monitoring is stopped | Agent monitor function Message monitor function
[User Severity]
USER1 to USER32 | Do not occur automatically |
[User Mark]
MARK1 to MARK128 | Do not occur automatically |

[References]

About the severity and the priority

Set the severity

Set the priority


About agent monitoring

This product consolidates the management of the agents within the system and monitoring their status. Agent monitoring provides the functions below:

  • Agent monitor function

Grouping the agents within the system for consolidated management and monitoring their status.

[References]

Define the host group

Add a monitoring host

  • Reporting function

When the status of a registered agent is changed, the patrol light report, e-mail report, and action report are sent to the operator for warning.

[References]

Set the reporting for monitored host

In addition, for the agents which have been registered, the functions below are available.

  • File/Directory monitor function
    Monitor the volume of a specified file or directory and manage the status.
    [Reference]
    About monitoring files/directories

  • Windows service monitor function

Monitor the status of specified Windows services, and mange the change of their status.

[References]

About Windows service monitoring

  • Process monitor function

Monitor the status of specified processes, and manage the change of their status.

[References]

About process monitoring

  • Performance (resource) monitor function

Monitor the status of specified resource.

[References]

About performance monitoring

  • Agent's log monitor function

Monitor the various logs on the agent, and send the messages for Business View

[References]
About agent's log monitoring

  • Service port monitoring function
    Monitors the specified service port and manages the status changes.
    [References]
    About monitoring service ports

When a status of a registered agent is changed, the following actions are executed for reporting to the operator.

  • On the tree view, if the priority of severity, after the status change, is highest within the group in that the agent is included, then the group icon is changed to the severity color after the status change. Also, if the priority is higher than the other nodes in the same group, the color of the upper node is changed.

  • The message to report the status change will be issued. By extracting this message and defining the recovery settings, recovery can also be defined in the Agent monitor function. See here, for details about the message.


Define the host group

This operation should be executed after shifting into the Configuration mode.

For managing the hosts to be monitored in group, a host group should be defined.

To define a host group, select [Add Group] from the right click menu of a Topology View on the Tree view. The [New Group] dialog will appear, fill in the each field, and press the [OK] button.

  • The host group definition can be created at the root node (topology node), or under the host group.

  • Group Name

Specify your desired group name in 64 characters or less.

The group name should not be omitted.

  • Icon File

Specify the icon to be displayed, in 256 characters or less. If the [Browse] button is pressed, [Open] dialog will appear and you can select your desired icon file. The file can be defined as an icon is an icon file (extension "ico") or an executable file with an icon resource (extension "exe").
If the icon file is omitted or the specified file is not correct, the default icon will be used. The environment variable can also be used for the path name of the file.
[e.g.] %SystemDrive%\icon\icon1.ico

  • Schedule

Specify the host group monitoring schedule. Select the [Schedule] check box to enable the [Setting] button. To set up the monitoring schedule, click the [Setting] button. For details about how to set up the schedule, see "Setting a Schedule" - "Selecting a Created Calendar".

[Note]

For the schedule settings, the current status is displayed even in the "HOLD" (stopped) status, but the system stops displaying and reporting messages.

Whether the system is in the "HOLD" (stopped) status can be checked in the tree view by increasing the importance priority of "UNMANAGED" in the options.

  • Authentication
    Specify the authentication settings for group operations.
    For details about how to specify these settings, see "Perform User Management" - "About user management".

[References]

Add a monitored host


Add a monitored host

This operation should be executed after shifting into the Configuration mode.

The agent newly connected to the manager, will automatically be registered into the [Unregistered Host] group that exists immediately under the root node (topology node).

When the agent is registered in the [Unregistered Host] group, the definition of the agent monitoring function is not available. To monitor the agent, move the agent to the place immediately under the root node (topology view node) or into a defined host group, then the agent will be recognized as a correct host and can be monitored.

[Note]

After the agent is moved, there may be no agent left in the [Unregistered Host] group. In this case, the severity color of [Unregistered Host] group will be changed to NORMAL state. Therefore, when no agent exists under the [Unregistered Host] group, this group should be deleted. If a non-registered agent is connected to the manager again, [Unregistered Host] group will automatically be created again, and the non-registered agent will automatically be registered in the [Unregistered Host] group.

[References]

Define the host group

Set the reporting for monitored host

Move an object (icon)


Set the reporting for monitored host

This operation should be executed after shifting into the Configuration mode.

The report settings of the monitored host is defined on the [Report Setting] window. There are two ways to show the [Report Setting] window.

  1. From the right click menu of a host on the Tree view, select the [Report Setting].

  2. From the right click menu of a host on the Map view, select the [Report Setting].

The [Report Setting] window will appear, define each item, and press the [OK] button.

  • Report Setting

If the check box is checked, when the status of the monitored host is changed, then the report will be sent by the PATLITE, the e-mail, and the action. In the default setting, report is set to not send.

  • If the [Configuration] button is pressed, the details for report can be set by the [Report Setting] window. See here, for details about report.

  • Report only when the host stopped.

If the check box is checked, report will be sent only when the HOSTEMPTY status of a host or a host group is changed. In the default setting, this is not checked.

[References]

Add a monitored host

Reporting


Update a monitored host

This operation should be executed after shifting into the Configuration mode.

The icon for the host to perform monitoring can be changed.

Right-click the host in the tree view, and then select [Update] from the displayed menu. When the [Update Host] dialog box is displayed, enter each item, and then click the [OK] button.

  • Icon File

Specify the icon to be displayed, in 256 characters or less. If the [Browse] button is pressed, [Open] dialog will appear and you can select your desired icon file. The file can be defined as an icon is an icon file (extension "ico") or an executable file with an icon resource (extension "exe").
If the icon file is omitted or the specified file is not correct, the default icon will be used. The environment variable can also be used for the path name of the file.
[e.g.] %SystemDrive%\icon\icon1.ico

  • Schedule

Specify the host monitoring schedule. Select the [Schedule] check box to enable the [Setting] button. To set up the monitoring schedule, click the [Setting] button. For details about how to set up the schedule, see "Setting a Schedule" - "Selecting a Created Calendar".

[Note]

For the schedule settings, the current status is displayed even in the "HOLD" (stopped) status, but the system stops displaying and reporting messages.

Whether the system is in the "HOLD" (stopped) status can be checked in the tree view by increasing the importance priority of "UNMANAGED" in the options.

  • Authentication
    Specify the authentication settings for host operations.
    For details about how to specify these settings, see "Perform User Management" - "About user management".

[References]

Define the host group

Set the reporting for monitored host

Move an object (icon)


Display configuration information

Displays the configuration information of agent machine. To display the configuration information, double-click on each node under the System node.

The following table describes information that will be displayed in a property view when you double-click on each node (where the mark "Yes" indicates that the item name and information will be displayed, and the mark "-" indicates that only the item name will be displayed without information in Windows).

i)System | Nothing
ii)Device Information | Item Name/Information | Display
 |  | windows | HP-UX | Linux | Solaris | AIX
 | Node Name | Yes | Yes | Yes | Yes | Yes
 | Device Type | Yes | Yes | Yes | Yes | Yes
 | Device ID | Yes | Yes | Yes | Yes | Yes
 | Device Name | Yes | Yes | Yes | Yes | Yes
 | SLOT No | Yes | Yes | Yes | Yes | Yes
 | SCSI-ID | Yes | Yes | Yes | Yes | Yes
 | LUN Number | Yes | Yes | Yes | Yes | Yes
 | Capacity(K) | Yes | Yes | Yes | Yes | Yes
 | Vendor Information | Yes | Yes | Yes | Yes | Yes
iii)System Information | Item Name/Information | Display
 |  | windows | HP-UX | Linux | Solaris | AIX
 | Node Name | Yes | Yes | Yes | Yes | Yes
 | Computer Name | Yes | Yes | Yes | Yes | Yes
 | OS Name | Yes | Yes | Yes | Yes | Yes
 | OS Subname | - | - | - | - | -
 | OS Major Version | Yes | - | - | - | -
 | OS Minor Version | Yes | - | - | - | -
 | Update Information | Yes | - | - | - | -
 | Processor Type | Yes | - | - | - | -
 | CPU Name | - | Yes | Yes | Yes | Yes
 | CPU Number | Yes | Yes | Yes | Yes | Yes
 | CPU Level | Yes | - | - | - | -
 | OS Version | Yes | Yes | - | Yes | Yes
 | Kernel Version | - | - | Yes | - | -
 | Memory Size(MB) | Yes | Yes | Yes | Yes | Yes
 | CPU Operational Condition | Yes | Yes | Yes | Yes | Yes
iv)Software Information | Item Name/Information | Display
 |  | windows | HP-UX | Linux | Solaris | AIX
 | Node Name | Yes | Yes | Yes | Yes | Yes
 | Software Name/ Package Name | Yes | Yes | Yes | Yes | Yes
 | Version | Yes | Yes | Yes | Yes | Yes
 | Package Detail | - | Yes | Yes | Yes | Yes
v)Network Information | Item Name/Information | Display
 |  | windows | HP-UX | Linux | Solaris | AIX
 | Node Name | Yes | Yes | Yes | Yes | Yes
 | Network Interface Name | - | Yes | Yes | Yes | Yes
 | Network Card Name | Yes | - | - | - | -
 | IP Address | Yes | Yes | Yes | Yes | Yes
 | MAC Address | Yes | Yes | Yes | Yes | Yes
 | DHCP Use Existence | Yes | Yes | Yes | - | Yes
vi)Disk Information | Item Name/Information | Display
 |  | windows | HP-UX | Linux | Solaris | AIX
 | Node Name | Yes | Yes | Yes | Yes | Yes
 | Drive Type | Yes | - | - | - | -
 | Drive Name | Yes | - | - | - | -
 | Partition | - | Yes | Yes | Yes | Yes
 | Volume Name | Yes | - | - | - | -
 | FileSystem Name | Yes | - | - | - | -
 | Total(KB) | Yes | Yes | Yes | Yes | Yes
 | Used(KB) | Yes | Yes | Yes | Yes | Yes
 | Availability(KB) | Yes | Yes | Yes | Yes | Yes

*1: This displays the capacities of SCSI devices, the main units of IDE devices, disks attached to devices, and others. The capacities are displayed in 1000 bytes.

*2: This displays the edition name or release name for Windows OS name.

(E.g.; Standard Edition, etc.)

Note that you must run the following steps when there are multiple hosts under a topology view and you want to refer to the information on all the hosts.

  1. Right-click on the [Topology View] on the tree.

  2. Shift the focus on [System] in the menu displayed.

  3. Click on one of the following that are being displayed: [System Information], [Software Information], [Network Information], [Disk Information], and [Device Information].

  4. The view displays information on multiple hosts.

(For items indicated by the mark "-", the entire view displays the item names but no information.)

A line of the view can be copied into the clipboard by using [Copy] on the right-click menu and then pasted into text or the like.

All the lines can be copied into the clipboard by performing [Select All] and then [Copy].


Define the collecting intervals

This operation should be executed after shifting into the Configuration mode.

To change the intervals between collecting configuration information, select the agent node on the topology view and select [Setting at Watch Intervals] from right click menu.

The [Setting at Watch Intervals] window will appear, and you can select and double-click on the item whose collecting intervals you want to change.

  • [When starting, it observers it]

Starts collecting configuration information from the time when the agent starts.

  • [It observers it at HH:MM]

Starts collecting configuration information from the specified time.

  • [It observes it in 0 to 3600 minutes]

Collects configuration information at the specified intervals. You can set the interval time within the range of 0 to 3600 minutes.

A value of 0 means monitoring only occurs at the time when the agent is started.

  • [Latest information is always displayed]

Collects the latest information when you click on the configuration information tree.


Define configuration information

This operation should be executed after shifting into the Configuration mode.

"Company Name" and "User Name" can be defined as management information of an agent.

To change the management information, select the agent node on the topology view and select [Composition Information Setting] from right click menu.

The [Composition Information Setting] window will appear, and you can select and double-click on the item whose management information you want to change.

The [Item Setting] window will appear, and you can specify the item up to 256 characters.


Retrieve the latest configuration information

To obtain the latest configuration information, select the node under the System node and select [Refresh] from right click menu.

Note that the desired latest configuration information will be collected by just double-clicking on the tree for the information if [Latest information is always displayed] in [Setting at watch intervals] is checked.

[References]

Define the collecting intervals


About monitoring files/directories

This product provides functions to manage and reference files/directories (hereinafter, a file or files, collectively) in an agent within the system. The file monitoring includes the following functions:

  • File monitoring function
    Manages specified files in groups and monitors each group for changes in status.
    [References]
    Define a monitored file group
    Define a monitored file

  • Status display function
    Displays the status of a specified file. An operator will be notified by some means such as the change of a node color and sounds when the status of a file indicates a failure or anything else.
    [Reference]
    Monitor a file

  • Reporting function
    Performs Patlite, e-mail, and action reporting to alert operators when the status of a specified file has changed.
    [Reference]
    Set a monitored file in detail

  • File reference function
    References a specified file or a file(s) in a specified directory.
    [Reference]
    Reference the details of a monitored file

When the status of a monitored file has changed, the function will output an appropriate message. Even in file monitoring, you can perform a recovery operation by extracting the message and configuring recovery settings appropriate to it. For more information on the messages, refer to here.

[Note]

  • Files/directories monitoring cannot monitor files on the network. Not supported even when mounted.


Define a monitored file group

This operation should be executed after shifting into the Configuration mode.

To define a file group, select [File Monitor Setting] from the right-click menu of the host on the tree view or select [File Group] from the right-click menu of the desired file monitoring node in the tree view or the desired file group. When the [New Group] dialog has been displayed, complete the entries in the dialog and click on the [OK] button.

  • A monitored file group can be created under a file monitoring node or a file group, but not under a file group with a file monitoring definition.

  • Since monitored files are managed on a per-group basis, you must define a monitored file group before you can define a monitored file.

  • Group Name
    Specify any group name, within a maximum of 64 characters. The Group Name must be specified.

  • Icon File
    Specify an icon file to be used to display this entity, within a maximum of 256 characters. Clicking on the [Browse] button enables you to display the [Open File] dialog and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used. You can use appropriate environment variables for the path name to an icon file. When you omit specifying the icon file, the default icon will be used.

[Reference]

Define a monitored file


Define a monitored file

This operation should be executed after shifting into the Configuration mode.

To define a monitored file on your host, select [File Setting] from the right-click menu of the desired monitored file group in the tree view. The [File Monitor List] dialog is displayed with a list of the current monitored files defined for the group. Once you click on the [OK] button after necessary operations such as adding a new monitored file or changing the details of an already defined file, the new or changed definition(s) will be reflected in the group.

  • [Add] button
    Adds a new monitored file to this monitored file group.

  • [Update] button
    Changes the definition of a selected file.

  • [Delete] button
    Removes the definition of a selected file.

[References]

Define a monitored file group

Set a monitored file in detail


Set a monitored file in detail

This operation should be executed after shifting into the Configuration mode.

To display the [File Monitor Setting] window, click on the [Add] button or select a desired file and click on the [Update] button from the [File Monitor List] window.

  • Title
    Specify the file name, with a maximum of 64 characters, to be displayed in the [File Monitoring] window. The Title must be entered.

  • Monitoring Type
    Specify whether the monitored object is a file or a directory.

  • Monitoring Object
    Specify the absolute path, with a maximum of 256 characters, to the desired file or directory. The Monitored Object must be entered.

  • Browse
    Use this button to select the desired file or directory from a list of files or directories.

  • Subdirectory is included
    This item is enabled when you select [Directory] in [Monitoring Type]. When you check it, subdirectories will be also monitored.

  • File update is notified.
    This item is enabled when you select [File] in [Monitoring Type]. If you check it, a message will be displayed when the update date for the monitored file has changed.

  • Capacity is observed
    Check this item if you wish to monitor the capacity of the file or the directory you selected. If you check it, set a warning threshold value and an error threshold value. A value for either threshold can be selected in units of bytes to gigabytes.
    Specify how threshold values are to be evaluated. You can select the method from among [Sequential], [Continuous] and [Average]. If you select [Continuous] or [Average], specify a count in the range of 2 to 16 in the box to its right.

    • Sequential
      Reports a state change every time the file capacity exceeds (or reaches) the threshold value.

    • Continuous
      Reports a state change when the file capacity exceeds (or reaches) the threshold value several times in a row. Use the [Counts] box to specify the number of times the value must be crossed when the system reports a status change.

    • Average
      Reports a state change when the average of the file capacities exceeds (or reaches) the threshold value. The average value is derived from averaging all pieces of the past performance data, sampled repetitively until the number of repetitions reaches the value specified in [Counts], starting with the latest sampled performance information.

The default value is "Sequential."

  • Report Setting
    Check this item if you want to report a state change when it is detected through monitoring. When a file update is being monitored, file updates will not be reported. Note that checking [Report only when the process status is ERROR] enables you to send a report only when the set error threshold value is exceeded.
    For more information on the reporting function and reporting settings, refer to here.

[Note]

  • The actual size is calculated for the capacity monitoring instead of the size on the disk.

  • When capacity is monitored, the value of 8EB (exabyte) or more cannot be set to the upper threshold.

  • When files/directories to be monitored are 8EB (exabyte) or more, a correct value is not displayed at the Size column in threshold monitoring and files/directories list view.

  • If a monitored directory includes a symbolic link, the link destination file and directory are also be monitored.

  • In the case of a directory where a symbolic link is looping, the directory size becomes 0 and the monitoring status becomes unknown when performing capacity monitoring with [Subdirectory is included] enabled.

[References]
Define a monitored file
Reporting


Set the options for file monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the file monitoring, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [File Monitor] tab.

  • Monitoring interval
    Specify the interval for agent monitoring in second. Specify from 10 to 3600(1 hour). The default is 30 sec.
    The shorter interval is specified, the sooner the error on the agent should be detected, however, the agent's CPU will be used more for monitoring.

  • Saving agent's monitor status
    When the check box is checked, and the agent and the manager restart, the monitored state is kept. And when the monitor state is changeless after restarting stops last time, the state is not notified. There is no check as a default.

[Note]

  • When the agent stops abnormally, the monitored state is kept.

  • When the manager stops abnormally, the state variation might be notified according to the state kept last time when the agent will be connected next.

  • The monitor state is not backed up though the definition of "saving agent's monitor status" is backed up by manager's backup function. When the definition that checked "saving agent's monitor status" is restored, the monitor is continued. Please backup without checking "saving agent's monitor status" whether to delete the above file that stored the monitor state, when you want to restore with state of "unknown".

  • After the agent is disconnected with checking "saving agent's monitor status" and check off "saving agent's monitor status". After that, when the agent is connected the state is "unknown". Therefore, the state is notified. Moreover, the agent is disconnected without checking "saving agent's monitor status" and check "saving agent's monitor status". After that, when the agent is connected the state is that before disconnect time. The state is notified when there is only a change in the state.

[References]

Define a monitored file


Monitor a file

The monitoring status of a file is indicated by the color of the group, displayed in the tree view, to which the file belongs.

If a group has more than one monitoring definition, you can refer to the detailed status of any monitored file in the [File List View] window that will be displayed by double-clicking on the group. For the details, refer to here.

[Reference]

Reference the details of a monitored file


Reference the details of a monitored file

The [File List View] window where you can reference the details of a monitored file is similar to those in Explore.

  • Folders
    Displays the tree group name on which you double-clicked as the top item in the tree structure. The tree structure consists of display names for monitored files and directories set in the group as child items. It displays the color of severity that indicates the status of each monitoring setting. If Monitored Type is Directory and its subdirectories have been set to be monitored, a sub-tree is displayed in the tree structure.

  • Name
    Displays the names of monitored files or directories and the files included in them.

  • Size
    The size of file or directory to be monitored is displayed. The unit which is displayed is different depending on the file size.

    File size

    Size indication

    0 byte

    0 KB

    Less than 1024 bytes

    1 KB

    From 1 KB to less than 1024 KB

    KB

    From 1 MB to less than 1024 MB

    MB

    From 1 GB to less than 1024 GB

    GB

    From 1 TB to less than 1024 TB

    TB

    From 1 PB to less than 1024 PB

    PB

    1 EB or more

    EB

    * KB: kilobyte, MB: megabyte, GB: gigabyte, TB: terabyte, PB: petabyte, EB: exabyte

  • Type
    Displays the type of each monitored file or directory. This column displays [File Folder] for a directory, and file extension characters (characters after ".") for a file. It displays "File" for any monitored file without an extension.

  • Modified
    Displays the time and date each file or directory was last updated.

  • [Refresh] button
    The File Monitoring View is not dynamically updated to the latest information. Clicking on this button will update the view to the latest information.

[Note]

  • When capacity is monitored, the value of 8EB (exabyte) or more cannot be set to the upper threshold.

  • When files/directories to be monitored are 8EB (exabyte) or more, a correct value is not displayed at the Size column in threshold monitoring and files/directories list view.

[Reference]

Monitor a file


About Windows service monitoring

This product provides the functions to manage and inquire the Windows services of the agents within the system. Windows service monitoring provides functions below:

  • Windows service monitor function
    Managing the specified Windows services in groups, and monitoring the change of their status.
    [References]
    Define the Windows service group
    Define the monitored service
    Operate the Windows services

  • Status display function
    Display the status of the specified Windows service. If an incorrect status of Windows services is detected, the report will be sent to the operator by changing the node color or by sound.
    [References]
    Monitor the Windows services

  • Reporting function
    When the status of the specified Windows service is changed, the patrol light report, e-mail report, and action report are sent to the operator for warning.
    [References]
    Define the detailed settings of the monitored service

  • Windows service list reference function
    Refer to the Windows service list.
    [Reference]
    Refer to the Windows service list

When the monitored service changes status, this product will output the corresponding message. By extracting this message and defining the recovery settings for the message, recovery can also be defined in the service monitoring function. See here, for details about the message.

[Note]

This function is supported only the Windows agent. The UNIX agent is not supporting this.


Define the Windows service group

This operation should be executed after shifting into the Configuration mode.

To define a Windows service group, select [Windows Service Monitor Setting] from the right-click menu of the host on the tree view or select [Windows Service Group] from the right click menu of a Windows service monitoring node or a Windows service group on the Tree view. The [New Group] dialog will appear, fill in the each field, and press the [OK] button.

  • The Windows service group can be created under a Windows service monitoring node, or under a Windows service group, but can not be created under a Windows service group with a monitoring service definition.

  • Since monitored services are managed in groups, to define a monitoring service, a Windows service group should be defined in advance.

  • Group Name

Specify your desired group name in 64 characters or less.

The group name should not be omitted.

  • Icon File

Specify the icon to be displayed, in 256 characters or less. If the [Browse] button is pressed, [Open] dialog will appear and you can select your desired icon file. The file can be defined as an icon is an icon file (extension "ico") or an executable file with an icon resource (extension "exe"). If the specified file is not correct, the default icon will be used.

The environment variable can also be used for the path name of the file.

If the icon file is omitted, the default icon will be used.

[References]

Define the monitored service


Define the monitored service

This operation should be executed after shifting into the Configuration mode.

To define a monitoring service of a host, select [Windows Service Setting] from the right click menu of a Windows service group on the Tree view. The [Windows Service Setting] dialog will appear, check the check box at the left of the service to be monitored, and press the [OK] button. To remove the service from the monitoring targets, click and uncheck the check box.

  • The monitored service can only be created under a Windows service group. But can not be created under a Windows service group which has any group under it.

[References]

Define the detailed settings of the monitored service

Set the options for Windows service monitoring


Define the detailed settings of the monitored service

This operation should be executed after shifting into the Configuration mode.

The detailed settings of the monitoring service are defined on the [NT Service Monitoring Setting] window. There are three ways to show the [NT Service Monitoring Setting] window.

  1. From the right click menu of a Windows service group on the Tree view, select the [Windows Service Setting]. The [Windows Service Setting] dialog will appear, check the check box at the left of the service to be defined, and double click the service.

  2. On the Windows service monitor window, double click the service.

  3. On the Windows service monitor window, select a service, and select the [NT Service Monitoring Setting] from the right click menu.

The [NT Service Monitoring Setting] window will appear, define each item, and press the [OK] button.

  • Service Name

The defining Windows service name is displayed.

  • Report Setting

If the check box is checked, when the status of the monitored service is changed, then the report will be sent by the patrol light, the e-mail, and the action. In the default setting, this is not checked.

  • If the [Configuration] button is pressed, the details for report can be set by the [Report Setting] window. See here, for details about report.

  • Report only when the service stopped.

If the check box is checked, report will be sent only when the monitoring service is stopped (when the status of the monitoring service is changed to SERVICESTOP). In the default setting, this is not checked.

[References]

Define the monitored service

Reporting


Set the options for Windows service monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the Windows service monitoring, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Windows Service Monitor] tab.

  • Monitoring interval

Specify the interval for agent monitoring in second. Specify from 10 to 3600(1 hour). The default is 30 sec.

The shorter interval is specified, the sooner the error on the agent should be detected, however, the agent's CPU will be used more for monitoring.

  • Saving agent's monitor status
    When the check box is checked, and the agent and the manager restart, the monitored state is kept. And when the monitor state is changeless after restarting stops last time, the state is not notified. There is no check as a default.

[Note]

  • When the agent stops abnormally, the monitored state is kept.

  • When the manager stops abnormally, the state variation might be notified according to the state kept last time when the agent will be connected next.

  • The monitor state is not backed up though the definition of "saving agent's monitor status" is backed up by manager's backup function. When the definition that checked "saving agent's monitor status" is restored, the monitor is continued. Please backup without checking "saving agent's monitor status" whether to delete the above file that stored the monitor state, when you want to restore with state of "unknown".

  • After the agent is disconnected with checking "saving agent's monitor status" and check off "saving agent's monitor status". After that, when the agent is connected the state is "unknown". Therefore, the state is notified. Moreover, the agent is disconnected without checking "saving agent's monitor status" and check "saving agent's monitor status". After that, when the agent is connected the state is that before disconnect time. The state is notified when there is only a change in the state.

[References]

Define the monitored service


Monitor the Windows services

To show the monitoring view for Windows services, double click the [Windows service group] at the lowest node displayed on the Tree view (inside the topology view). The monitoring view for the Windows services is displayed at right of the screen.

On the Windows service monitoring view, a tool bar is displayed at the top and the service list is displayed at the bottom.

  • Tool bar

Operations of the services (Start/Continue, Stop, Pause, Reboot) are available. See here, for details.

  • Windows service list

The each status of "Severity Color", "Name", "Status", "Startup Type", "Log On As" for each service will be shown. In addition, the operations (Start/Continue, Stop, Pause, Reboot) and detail settings of the monitored service (NT Service Monitoring Setting) for the selected service can be executed from the right click menu.

  • The NT Service Monitoring Setting can be defined only in the Configuration mode.

When a status is changed during Windows service monitoring, the following actions are executed for reporting to the operator.

  • The severity color of service list will be changed to that of the changed status. Also, if any sound is set to the severity, then it sounds (only when monitoring view is open).

  • On the tree view, if the priority of severity, after the status change, is highest within the group in that the service is included, then the group icon is changed to the severity color after the status change. Also, if the priority is higher than the other nodes in the same group, the color of the upper node is changed.

  • If report is defined, then report will be sent according to the definition.

  • The message to report the status change will be issued.

[References]

Operate the Windows services


Operate the Windows services

This operation is only allowed for users who belong to a group that has the operation authority.

On the Windows service monitoring view, the monitoring service can be Started/Continued, Stopped, Paused or Rebooted.

Operations for services are executed from the tool bar at the top of Windows service monitoring view or the right click menu.

  1. Start/Continue the service

Select the service to start, and press the [image] button, or select [Start/Continue] from the right click menu.

  2. Stop the service

Select the service to stop, and press the [image] button, or select [Stop] from the right click menu.

  3. Pause the service

Select the service to pause, and press the [image] button, or select [Pause] from the right click menu.

  4. Reboot the service

Select the service to reboot, and press the [image] button, or select [Restart] from the right click menu.

[References]

Monitor the Windows services


Refer to the Windows service list

If [Windows Service List] is selected from the right click menu of the [Windows service monitor] node, service list currently set on the agent host can be referenced.

  • Refresh
    Display the latest contents.

  • Description
    Change show or hide the pane that displays the discription of selected service

Button panel at the top is also available to start and stop services.

  1. Start/Continue the service
    Select the service to start, and press the [image] button, or select [Start/Continue] from the right click menu.

  2. Stop the service
    Select the service to stop, and press the [image] button, or select [Stop] from the right click menu.

  3. Pause the service
    Select the service to pause, and press the [image] button, or select [Pause] from the right click menu.

  4. Reboot the service
    Select the service to reboot, and press the [image] button, or select [Restart] from the right click menu.


About process monitoring

This product provides the functions to manage and inquire the processes of the agents within the system. Process monitoring provides the functions below:

  • Process monitor function
    Managing the specified processes in groups, and monitoring the change of their status.
    [References]
    Define the process group
    Define the monitored process
    Operate the process

  • Status display function
    Display the status of the specified process.
    If an incorrect status of process is detected, the report will be sent to the operator by changing the node color or by sound.
    [References]
    Monitor the process

  • Reporting function
    When the status of the specified process is changed, the patrol light report, e-mail report, and action report are sent to the operator for warning.
    [References]
    Define the detailed settings of the monitored process (monitoring)

  • Process Start/Stop function
    Start/Stop the specified processes.
    [References]
    Define the detailed settings of the monitored process (start and stop commands)

  • Process list reference function
    Refer to the list of processes being activated.
    [References]
    Refer to the list of processes being activated

When the monitored process changes status, this product will output the corresponding message. By extracting this message and defining the recovery settings for the message, recovery can also be defined in the process monitor function. See here, for details about the message.


Define the process group

This operation should be executed after shifting into the Configuration mode.

To define a process group, select [Process Monitor Setting] from the right-click menu of the host on the tree view or select [Process Group] from the right click menu of a process monitoring node or a process group on the Tree view. The [New Group] dialog will appear, fill in the each field, and press the [OK] button.

  • The process group can be created under a process monitoring node, or under a process group, but can not be created under a process group with a monitoring process definition.

  • Since monitoring processes are managed in groups, to define a monitoring process, a process group should be defined in advance.

  • Group

Specify your desired group name in 64 characters or less.

The group name should not be omitted.

  • Icon File

Specify the icon to be displayed, in 256 characters or less. If the [Browse] button is pressed, [Open] dialog will appear and you can select your desired icon file. The file can be defined as an icon is an icon file (extension "ico") or an executable file with an icon resource (extension "exe"). If the specified file is not correct, the default icon will be used.

The environment variable can also be used for the path name of the file.

If the icon file is omitted, the default icon will be used.

[References]

Define the monitored process


Define the monitored process

This operation should be executed after shifting into the Configuration mode.

To define a monitored process of a host, select [Process Monitor Setting] from the right click menu of a process group on the Tree view. The [Process Monitor Setting] window will appear and display the list of monitored processes which are defined already. Press the [OK] button after add the new process or update settings for the defined process, the definition will be available.

  • [Add] button

Add the new process to the monitored targets of the process group.

  • [Update] button

Redefine the monitoring setting for the selected process.

  • [Delete] button

Remove the selected process from the monitored targets of the process group.

[References]

Define the detailed settings of the monitored process (monitoring)

Define the detailed settings of the monitored process (start and stop commands)

Set the options for process monitoring


Define the detailed settings of the monitored process (monitoring)

This operation should be executed after shifting into the Configuration mode.

The detailed settings of the monitored process are defined from the [Process Monitor Setting] tab of the [Process Monitor Detail Setting] window. There are three ways to show the [Process Monitor Detail Setting] window.

  1. On the [Process Monitor Setting] window, press [Add] button, or press [Update] button with selecting the defined process to edit.

  2. Double click the process to edit on the [Process Monitor Setting] window.

  3. On the Process Monitor view, select a process, and select the [Process Monitor Setting] from the right click menu.

  • Title

Specify the process name displayed on the process monitor view in 64 characters or less.

  • Monitoring Type

Select the process monitoring type from following ways.

  • Running Process

Press this button, the [Process List] dialog will appear and display the all running processes. To define the process, select the running process from list, and press [Select] button.

  • Full Path

Monitor the process by the path name of the file. This monitoring type can monitor independent of actual start command and options. Specify the path name in 256 characters or less. If the [Browse] button is pressed, [Directory in Host dialog] dialog will appear and you can select your desired application file.

The environment variable can also be used for the path name of the file.

  • Command Line

Monitor the process by actual start command line. This monitoring type can monitor the process which is running with special options. Specify the command line pattern in 256 characters or less.

[Note]

  • The length of the command line to be monitored varies depending on the OS of the monitoring host.

    • Windows agent: 512 characters

    • Linux agent: 1024 bytes

    • HP-UX agent: 1024 bytes

    • Solaris agent: 80 bytes

    • AIX agent: 1024 bytes

  • The "Command Line" monitoring uses regular expression. So the escape character must be set immediately before the some meta-characters (includes parentheses, period).

[Example]
<target>

"C:\Program File\UserAp\bin\userap.exe" OPTION(0000)

<regular expression>

"C:\\Program File\\UserAp\\bin\\userap\.exe" OPTION\(0000\)

  • High Threshold

Specify the maximum number of monitored process under normal condition. When the number of monitored process is more than this value, the status of process changes to PROCESSUPERROR.

Specify the number from 1 to 9999. The default is 9999.

  • Low Threshold

Specify the minimum number of monitored process under normal condition. When the number of monitored process is less than this value, the status of process changes to PROCESSSTOP.

Specify the number from 1 to 9999. The default is 1. This value should be lower than the [High Threshold].

  • Check the difference of Process ID
    If the check box is checked, when the monitored process ID changes, the corresponding message is output. Please refer to Messages Agent/Manager outputs for details of the messages.

  • Report Setting

If the check box is checked, when the status of the monitored process is changed, then the report will be sent by the PATLITE, the e-mail, and the action. In the default setting, this is not checked.

  • [Configuration] button

This button is activated only when the [Report Setting] check box is checked. Press [Configuration] button, the details for report can be set from the [Report Setting] window. See here, for details about the report.

  • Report only error event.

If the check box is checked, report will be sent only when the number of monitored process is less than the Low Threshold (when the status of the monitored process is changed to PROCESSSTOP), or when the number of monitored process is more than the High Threshold (when the status of the monitored process is changed to PROCESSUPERROR). In the default setting, this is not checked.

[Note]

For UNIX agent, you can not monitor a process (kernel daemon) whose command line information is not available.

[References]

Define the monitored process

Define the detailed settings of the monitored process (start and stop commands)

Reporting


Define the detailed settings of the monitored process (start and stop commands)

This operation should be executed after shifting into the Configuration mode.

The detailed settings of the monitored process are defined from the [Start Stop Command Setting] tab of the [Process Monitor Detail Setting] window. There are three ways to show the [Process Monitor Detail Setting] window.

  1. On the [Process Monitor Setting] window, press [Add] button, or press [Update] button with selecting the defined process to edit.

  2. Double click the process to edit on the [Process Monitor Setting] window.

  3. On the Process Monitor view, select a process, and select the [Process Monitor Setting] from the right click menu.

  • Start/Stop command

Specify the command, the work directory and the options for controlling processes. If you do not specify a command here, you can not control any process.

  • Application

Specify the command (application) used for a process, in 256 characters or less. If the [Browse] button is pressed, [Directory in Host dialog] dialog will appear and you can select your desired application file.

The environment variable can also be used for the path name of the file.

  • Work Directory

Specify the work directory to start the command (application), in 256 characters or less. If the [Browse] button is pressed, [Directory in Host dialog] dialog will appear and you can select the directory.

The environment variable can also be used for the path name of the directory.

  • Option

Specify the parameter for the command (application), in 256 characters or less.

The environment variable can be used for the parameter.

[Note]

  • The total number of characters after the replacement character strings of the commands and options are extracted (when the target host is Windows, the environment variables are included) must be less than 1,700. If this number is exceeded, shorten the options by using a batch file and others.

[References]

Define the monitored process

Define the detailed settings of the monitored process (monitoring)

Reporting


Set the options for process monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the process monitoring, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Process monitor] tab.

  • Monitoring interval

Specify the interval for agent monitoring in second. Specify from 10 to 3600(1 hour). The default is 30 sec.

The shorter interval is specified, the sooner the error on the agent should be detected, however, the agent's CPU will be used more for monitoring.

  • Saving agent's monitor status
    When the check box is checked, and the agent and the manager restart, the monitored state is kept. And when the monitor state is changeless after restarting stops last time, the state is not notified. There is no check as a default.

[Note]

  • When the agent stops abnormally, the monitored state is kept.

  • When the manager stops abnormally, the state variation might be notified according to the state kept last time when the agent will be connected next.

  • The monitor state is not backed up though the definition of "saving agent's monitor status" is backed up by manager's backup function. When the definition that checked "saving agent's monitor status" is restored, the monitor is continued. Please backup without checking "saving agent's monitor status" whether to delete the above file that stored the monitor state, when you want to restore with state of "unknown".

  • After the agent is disconnected with checking "saving agent's monitor status" and check off "saving agent's monitor status". After that, when the agent is connected the state is "unknown". Therefore, the state is notified. Moreover, the agent is disconnected without checking "saving agent's monitor status" and check "saving agent's monitor status". After that, when the agent is connected the state is that before disconnect time. The state is notified when there is only a change in the state.

[References]

Define the monitored process


Monitor the process

To show the process monitor window, double click the [Process group] at the lowest node displayed on the Tree view (inside the topology view). The process monitor window for the process is displayed at right of the screen.

On the process monitoring view, a tool bar is displayed at the top and the process list is displayed at the bottom.

  • Tool bar

[Start]/[Stop] the process. See here, for details.

  • Process list

For each monitored process, "Severity Color", "Title", "Number of Process", "Low Threshold" and "High Threshold" will be shown. When one or more monitored process are running, the process list can expand and display the all running process list by double clicking the "Title" or press the [+] button placed on left of "Title". On the expanded list, "Process ID", "Parent Process ID", "Full Path", "Command Line", "User", "Severity" and "Start up Time" are displayed. In addition, the process operations (Start/Stop) and detail settings of the monitored process (Process Monitor Setting) for the selected process can be executed from the right click menu.

  • The Process Monitor Setting can be defined only in the Configuration mode.

When a status is changed during process monitoring, the following actions are executed for reporting to the operator.

  • The severity color of process list will be changed to that of the changed status. Also, if any sound is set to the severity, then it sounds (only when monitoring view is open).

  • On the tree view, if the priority of severity, after the status change, is highest within the group in that the service is included, then the group icon is changed to the severity color after the status change. Also, if the priority is higher than the other nodes in the same group, the color of the upper node is changed.

  • If report is defined, then report will be sent according to the definition.

  • The message to report the status change will be issued.

[References]

Operate the process


Operate the process

This operation is only allowed for users who belong to a group that has the operation authority.

The monitored process on the host can be Started/Stopped from the process monitor window.

Operations for process are executed from the tool bar at the top of process monitor window or the right click menu.

  • To operate processes, the start and the stop commands must be specified in advance. See here, for how to specify.

  1. [Start] the process.

Select the process to start, and press the [image] button, or select [Start] from the right click menu.

  2. [Stop] the process.

Select the process to stop, and press the [image] button, or select [Stop] from the right click menu.

[Note]

The process operation can be executed, regardless of the status of the relevant process. To avoid performing multiple operations simultaneously, check the process status of the monitoring target before invoking the operation.

[References]

Monitor the process

About the limitation of the number of command execution


Refer to the list of processes being activated

If [Running Process List] is selected from the right click menu of the [Process monitor] node, a list of processes currently being operated on the agent host can be referenced.

  • Refresh
    Display the latest contents.


About performance monitoring

This product provides the functions to manage and inquire the resources of the agents within the system. Performance monitoring provides the functions below:

  • Performance state data collecting function

Each agent collects the specified resource. The collected data are consolidated and displayed. If an incorrect status of performance is detected, the report will be sent to the operator by changing the node color or by sound.

[References]

Define the monitored resource

Define the detailed settings of the monitored counter (display settings)

Monitor the performance

Refer the graph data

Change the display time of the graph

  • Threshold monitor function

Monitor the threshold of specified resource.

[References]

Define the detailed settings of the monitored counter (threshold settings)

  • Logging function

Logging the resource data collected at an agent, within the agent. The logged data can be referred and be output as a CSV file, on the monitor terminal.

[References]

Output history data as a file

  • Reporting function

When the status of the specified resource is changed, the patrol light report, e-mail report, and action report are sent to the operator for warning.

[References]

Define the detailed settings of the monitored counter (threshold settings)

  • History data maintenance function

Delete the history data of performance monitoring.

[References]

Delete history data

When the monitored resource changes status, this product will output the corresponding message. By extracting this message and defining the recovery settings for the message, recovery can also be defined in the performance monitor function. See here, for details about the message.

[Note]

  • Network drives cannot be monitored. Not supported even when mounted.


Define the monitored resource

This operation should be executed after shifting into the Configuration mode.

To monitor the performance of a host, define the monitored resource (object, instance counter).

  • Some objects do not have instances.

To define a monitored resource, select [Performance Monitor Setting] from the right click menu of a host on the Tree view. The [Performance Monitor Setting] window will appear, check the check box at the left of the monitored resource, and press the [OK] button. To remove the resource from the monitored targets, click and un-check the check box at the left.

To define the monitored instance or counter, in the same way, select the [Instance Setting] or the [Counter Setting] from the right click menu of the object node or the instance node on the Tree view, and define them.

[Note]

  • If a space is included before and after the name of an object, instance, and counter, they may not be set as a normal, monitored object.

[References]

Detailed description about monitored objects [Windows]

Detailed description about monitored objects [Linux]

Detailed description about monitored objects [HP-UX]

Detailed description about monitored objects [Solaris]

Detailed description about monitored objects [AIX]

Define the detailed settings of the monitored counter (display settings)

Define the detailed settings of the monitored counter (threshold settings)

Set the options for performance monitoring


Define the detailed settings of the monitored counter (display settings)

This operation should be executed after shifting into the Configuration mode.

The display settings of the monitored counter are defined on the [Counter Detail Setting] window (Display Setting tab). There are three ways to show the [Counter Detail Setting] window (Display Setting tab). Show the [Display Setting] tab by the following steps, then fill in the each field, and press the [OK] button.

  1. From the right click menu of an instance node or an object node on the Tree view, select the [Counter Setting]. The [Counter Setting] window will appear, check the check box at the left of the counter to be monitored, and double click the counter.

  2. On the performance monitor window, double click the counter.

  3. On the performance monitor window, select a counter, and select the [Counter Detail Setting] from the right click menu.

  • Counter

The defining counter name is displayed.

  • Color

The colors used for the lines on a graph are displayed. If the [Setting] button is pressed, [Graph Setting] window will appear and you can select your desired line color and width.

  • Scale

Specify the magnification of the lines displayed on the graph. To change the magnification, select a magnification from the scale.

  • Logging Option

If checked, automatically save the collected counter data on the agent. When the log is not saved, only the data displayed on the performance monitor window can be referred.

  • Save log to

"C:\Program Files\NEC\UMF\Operations\Agent\sg\PerformanceHelper\log" on the Windows agent.

"/opt/UMF/Operations/Agent/sg/PerformanceHelper/log" on the UNIX Agent.

  • The performance logs are preserved on each agent, and maintained for the period set by the option setting. Delete it regularly because there is a possibility of causing lack of disk free space when the maintenance period is set to "Indefinite limit". Refer to here, for deleting.

  • Calculation of log size
    For Windows agents, log is approximately 40 bytes per piece of data of a counter. For Unix agents, it is approximately 20 bytes.

    [Example]
    If Windows agents monitor five counters every 30 seconds, data volume saved a day is as follows.

    40 bytes * 5 counters * 3600 seconds * 24 hours / 30 seconds = 576000 bytes (576 Kbytes)

    This calculation is an indication, so that the result may vary according to the operating condition.

    [Note]

    • Searching and file outputting of historical data in performance monitoring are performed based on the saved log. Select this check box if use the searching and file outputting of historical data in operations management.

    • If this check box is not selected, data is accumulated by the performance data accumulation management function. When not accumulating data, or when changing the period, click here.

[References]

Define the monitored resource

Define the detailed settings of the monitored counter (threshold settings)


Define the detailed settings of the monitored counter (threshold settings)

This operation should be executed after shifting into the Configuration mode.

The settings of the monitored counter threshold are defined on the [Counter Detail Setting] window (Threshold Setting tab). There are three ways to show the [Counter Detail Setting] window. Show the [Counter Detail Setting] window, select the [Threshold Setting] tab, then fill in the each field, and press the [OK] button, by following the steps below:

  1. From the right click menu of an instance node or an object node on the Tree view, select the [Counter Setting]. The [Counter Setting] dialog will appear, check the check box at the left of the counter to be monitored, and double click the counter.

  2. On the performance monitor window, double click the counter.

  3. On the performance monitor window, select a counter, and select the [Counter Detail Setting] from the right click menu.

  • Monitor Type
    Specify how a threshold value is to be evaluated. You can select the method from among [Sequential], [Continuous] and [Average]. If you select [Continuous] or [Average], specify a count in the range of 2 to 16 in the box to its right.

    • Sequential
      Reports a state change every time the file capacity exceeds (or reaches) the threshold value.

    • Continuous
      Reports a state change when the file capacity exceeds (or reaches) the threshold value several times in a row. Use the [Number of Times] box to specify the number of times the value must be crossed when the system reports a status change.

    • Average
      Reports a state change when the average of the file capacities exceeds (or reaches) the threshold value. The average value is derived from averaging all pieces of the past performance data, sampled repetitively until the number of repetitions reaches the value specified in [Number of times], starting with the latest sampled performance information.

The default value is "Sequential."

  • Upper Error Monitor

If this check box is checked, the upper threshold is monitored. When the counter value reaches (or is over) the specified threshold, the status of counter changes to PERFUPERROR.

  • Upper Warning Monitor

If this check box is checked, the upper threshold is monitored. When the counter value reaches (or is over) the specified threshold, the status of counter changes to PERFUPWARNING.

  • Lower Error Monitor

If this check box is checked, the lower threshold is monitored. When the counter value reaches (or is over) the specified threshold, the status of counter changes to PERFLOWERROR.

  • Lower Warning Monitor

If this check box is checked, the lower threshold is monitored. When the counter value reaches (or is over) the specified threshold, the status of counter changes to PERFLOWWARNING.

  • Report

If the check box is checked, when the status of the counter is changed, then the report will be sent by the PATLITE, the e-mail, and the action. "Send report" is available only when upper/lower error/warning Monitor is checked to be monitored. In the default setting, this is not checked.

    • Configuration
      If the [Configuration] button is pressed, the details for report can be set by the [Report Setting] window. See here, for details about report.

    • FATAL and WARNING only
      If this check box is checked, then only when the state of the counter changed into PERFUPERROR, PERFLOWERROR, PERFUPWARNING or PERFLOWWARNING, it is reported. But not reported when the state of the counter has returned to normal. The default is not checked.

[Note]

  • Graph data is displayed after values are converted into double-precision floating-point numbers. If a converted value is a value such as an infinite decimal, an approximated value of the original data is displayed.

[References]

Define the monitored resource


Monitor the performance of an identified process

This operation should be executed after shifting into the Configuration mode.

Processes can be specified by it's command line string. It may be difficult to discriminate a specific process through Process List when Multiple process with a same name is running. In those cases, you can narrow down a process by it's command line string.

From the monitored object setting window, select the [Extend Process] monitored object.

[Extend Process] icon will be added to the Topology view. Right-click on the icon and select [Instance Setting] to open the [Monitor Instance Setting] window. In the opened window, list of process registered for monitoring will be shown. Through this window, you can Add/Update/Remove the processes to monitor.

  • Instance Name
    The name which will be displayed for the registered instance (an instance of the monitored process). Tree view icon will also be labeled with this name.

  • Command Line
    The command line string for the registered instance.

  • [Add] button
    Adds a new instance (an instance of the monitored process) to the monitored instances.

  • [Update] button
    Changes the settings of the selected instance.

  • [Delete] button
    Deletes the selected instance.

Clicking on the [Add] or [Update] button will open the [Instance Details Setting] window. In this windows, you can set the specification of a process to monitor.

  • Instance Name
    Specify the name for the instance (an instance of the monitored process), with up to a maximum of 128 characters, that is used to display it on the monitoring window. Only single-byte alphanumeric characters and some symbols can be used as Instance Name. Instance Name must be specified.
    Instance Name must be unique among other instances.

  • Command Line
    Specify the command line string to distinguish the process to monitor. (maximum of 4096 characters)

  • Running Process
    When you click on this button, the [Process List] window will open with a list of the running instances of the processes. You can set a desired instance of the process to be monitored by selecting the instance from the list and clicking on the [Select] button.

    • Browse
      Use this button to select the command line for the monitored instance of the process from a list of files or directories.

[Note]

  • Since the command line monitoring uses the regular expression, if you use a meta-character (including parentheses and period), you must prefix the escape character "\" to it.

[e.g.]

"C:\Program Files\UserAp\bin\userap.exe" OPTION(0000)

is described as

"C:\\Program Files\\UserAp\\bin\\userap\.exe" OPTION\(0000\)

  • When multiple process has the same command line string and, want to monitor the 2nd and the 3rd processes, you need to append #1 and #2 respectively to each command line field.

[e.g.] When two instances of "C:\Program Files\NEC\Test.exe -A" are running, and you want to monitor the two instances:

"C:\\Program Files\\NEC\\Test\.exe -A"

"C:\\Program Files\\NEC\\Test\.exe -A"#1

  • When multiple process matches the specified regular expression, process which will be monitored may vary from time to time.

  • Process exploration
    Specify the maximum number of searches for processes with the same name. The default value is 64.
    If the number of monitoring command process images with the same name exceeds 64, change the value.
    Specify a value in a range of 1 to 65535.

To add (update) the instance you set to the list of the instances in the [Monitor Instance Setting] window, click on the [OK] button.

[Note]

  • The monitored counters for an [Extend Process] monitored object are the same as those for its corresponding [Process] monitored object. For more information on the monitored counters, refer to the 'detailed description of monitored objects' page.

[References]

Define the monitored resource

Detailed description about monitored objects [Windows]

Detailed description about monitored objects [Linux]

Detailed description about monitored objects [HP-UX]

Detailed description about monitored objects [Solaris]

Detailed description about monitored objects [AIX]


Set the options for performance monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the performance monitoring, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Performance Monitor] tab.

  • Monitoring Interval
    Specify the interval for agent monitoring in second. Specify from 10 to 3600(1 hour). The default is 30 sec.
    The shorter interval is specified, the sooner the error on the agent should be detected, however, the more free disk space is required to manage the history data. Therefore, the number of monitoring objects and the disk capacity of the agent must be considered. See here, for details about the calculation of history data.

  • Saving agent's monitor status
    When the check box is checked, and the agent and the manager restart, the monitored state is kept. And when the monitor state is changeless after restarting stops last time, the state is not notified. There is no check as a default.

[Note]

  • When the agent stops abnormally, the monitored state is kept.

  • When the manager stops abnormally, the state variation might be notified according to the state kept last time when the agent will be connected next.

  • The monitor state is not backed up though the definition of "saving agent's monitor status" is backed up by manager's backup function. When the definition that checked "saving agent's monitor status" is restored, the monitor is continued. Please backup without checking "saving agent's monitor status" whether to delete the above file that stored the monitor state, when you want to restore with state of "unknown".

  • After the agent is disconnected with checking "saving agent's monitor status" and check off "saving agent's monitor status". After that, when the agent is connected the state is "unknown". Therefore, the state is notified. Moreover, the agent is disconnected without checking "saving agent's monitor status" and check "saving agent's monitor status". After that, when the agent is connected the state is that before disconnect time. The state is notified when there is only a change in the state.

  • Duration of retention
    Select the duration of performance monitoring history retention from [Unlimited], [1Week], [2Week], [1Month], [2Months], [6Months], [9Months] and [1Year]. The default is [Unlimited].
    The histories over the duration are deleted automatically.

    [Note]
    When the duration is set as [Unlimited], performance monitoring histories are not deleted automatically. Delete by initialize or swapping.

[References]

Define the monitored resource

Delete history data


Change the mode used to acquire performance data

In the case of the monitored object Device, NetworkInterface, Processor, and System for UNIX agents, users can elect to acquire performance data by the instantaneous value mode or the interval average mode. The system operates in the interval average mode by default. For other monitoring objects, the system always operates in the instantaneous value mode.

  • Instantaneous value mode
    This mode acquires momentary values in monitor timings as performance data.

  • Interval average mode
    This mode acquires an average value over the time specified in the monitoring interval as performance data.

    • About operations in the interval average mode
      The performance monitoring function acquires performance information on UNIX agents via an appropriate OS command. In the interval average mode, users acquire an average value over a time interval by specifying the monitoring interval, in seconds, in the argument of the OS command.

      E.g.:
      If you want to acquire information on a System object on a Linux agent by setting the monitoring interval to 30 seconds, the respective OS commands executed in the instantaneous value mode and interval average mode will be as follows:

      Instantaneous value mode: sar -v 1
      Interval average mode: sar -v 30

To change the default mode to the instantaneous value mode or the interval average mode, follow these steps:

  1. Stop the agent service.

  2. Create the following setting file and store it in the machine to which the agent has been installed:

    • File name
      PlatformTool.ini

    • Location
      <Directory installing agent function>/Agent/sg

    • Description
      In the case of instantaneous value mode:

      [ValueType]

      Average=0

In the case of interval average mode:

[ValueType]

Average=1

  3. Restart the agent service.

In the case of Linux remote host, to change the default mode to the instantaneous value mode or the interval average mode, follow these steps.

Change targets are all remote hosts which are monitored from the remote monitor agent to be changed.

  1. Stop the remote monitor agent service.

  2. Create the following setting file and store it in the machine to which the remote monitor agent has been installed:

    • File name
      PlatformTool.ini

    • Location
      <Directory installing remote monitor agent function>/Agent/sg

    • Description
      In the case of instantaneous value mode:

      [ValueType]

      Average=0

In the case of interval average mode:

[ValueType]

Average=1

  3. Restart the remote monitor agent service.

[Note]

  • The instantaneous value mode/interval average mode is set on a per-agent basis. All of the monitored objects for an agent must be set to either of the two modes.

  • You cannot toggle between the instantaneous mode and the interval average mode on Windows agents. The performance data always takes average values.


Detailed description about monitored objects [Windows]

Announcements Domain/sec

The rate that the domain announced own domain to the network.

Announcements Server/sec

The rate that a server within this domain announced own server to this server.

Announcements Total/sec

The total of Announcements Server/sec and Announcements Domain/sec

Duplicate Master/Announcements

The number of times that the master browser detected another master browser in the same domain.

Election Packets/sec

The browser election packet rate that this workstation received.

Enumerations Domain/sec

The rate of domain reference request that the workstation processed.

Enumerations Other/sec

The rate of reference request except domains and severs that the workstation processed.

Enumerations Server/sec

The rate of server reference request that the workstation processed.

Enumerations Total/sec

The rate of reference request that this workstation processed. (The total of Enumerations Server/sec and Enumerations Domain/sec and Enumerations Other/sec.)

Illegal Datagrams/sec

The rate of datagram in an invalid format that the workstation received.

Mailslot Allocations Failed

The number of times that the datagram receiver failed to assign the buffer for holding keeping the writing to a user mail slot.

Mailslot Opens Failed/sec

The rate that the mail slot messages sent to mail slots not in this workstation, but this workstation received.

Mailslot Recovers Failed

The number of mail slot messages that do not received due to transport failures.

Mailslot Writes Failed

The total number of mail slot messages that received normally but failed to write to the mail slot.

Mailslot Writes/sec

The rate of the mail slot message that normally received.

Missed Mailslot Datagrams

The number of missed mail slot datagrams due to the limitation of configuration or assignment.

Missed Server Announcements

The number of missed server announcements due to the limitation of configuration or assignment.

Missed Server List Requests

The number of browser server list requests that the workstation missed.

Server Announce Allocations Failed/sec

The rate of the server (or domain) announcement that failed due to insufficient memory.

Sever List Requests/sec

The rate of browser server list request that processed on this workstation.

Async Copy Reads/sec

The frequency of reading pages from the file system cache, including memory copy of data from the cache to the application buffer. The application can be controllable again, even when disk access is immediately required to take out a page.

Async Data Maps/sec

The frequency that an application, which uses the file system such as NTFS, does not wait until a page is taken out when the application maps file pages to the file system cache for reading a page, but the page is not found in the main memory.

Async Fast Reads/sec

The frequency reading from the file system cache that reading data directly from the cache file system bypassing the installed file system. Generally, a file I/O request extracts data from a file after retrieving the file system, however, this path enables directly extracting data from the cache, even if the data is in the cache. Even when the data is not in the cache, the action of retrieving file system can be avoided once. If the data is not in the cache, the request (application program call) does not wait for the data extracted from the disk, but will be controllable soon.

Async MDL Reads/sec

The frequency of reading the file system cache, using Memory Description List (MDL) for accessing pages. MDL contains the physical address of transfer target and Direct Memory Access (DMA) transfer of page is allowed. When the accessed page is not in the main memory, the caller application program will not wait for extracting the page from the disk.

Async Pin Reads/sec

The frequency that data are read into the file system cache as a preprocess of writing data back to the disk. The pages read in this way will be pinned to the memory at the completion of reading process. The file system can be controllable again, even when disk access is required to extract a page. While the page is pinned, the physical address of the page will not be changed.

Copy Read Hits %

The percentage of the cache copy read requests that hit the cache (e.g. reading disk is not requested due to access to the page in the cache). Copy read is the reading operation that the memory is copied from a page in the cache to the application buffer. A LAN redirector uses this method to extract data from a cache, just as a LAN server uses the same method for small transfer. Generally a disk file system also uses this method.

Copy Reads/sec

The frequency of reading pages from the file system cache, including memory copy of data from the cache to the application buffer. A LAN redirector uses this method to extract data from a cache, just as a LAN server uses the same method for small transfer. Generally a disk file system also uses this method.

Data Flush Pages/sec

The number of times that the file system cache flashed its contents out to a disk, as a result of either flashing a writing request to a write through file, or executing a request. Multiple pages can be transferred in 1 flash operation.

Data Flushes/sec

The rate that the file system cache flashed its contents out to a disk, as a result of either flashing a writing request to a write through file, or executing a request. Multiple pages can be transferred in 1 flash operation.

Data Map Hits %

The percentage of the data map, in the file system cache, that did not need reading pages from the disk because the page existed in the physical memory.

Data Map Pins/sec

The frequency of data map in the file system cache, which generally pinned to the main memory as a preprocessing to writing a data into a disk. While the page is pinned, the physical address in the main memory and the virtual address in the file system cache will not be changed.

Data Maps/sec

The frequency that file systems such as NTFS maps the file page to the file system cache for reading pages.

Fast Read Not Possibles/sec

The frequency that the function call of the application program interface (API) attempt to bypassing the file system to read data in the file system cache.

Fast Read Resource Misses/sec

The frequency of cache misses that required due to insufficient available resource for executing the request.

Fast Reads/sec

The frequency reading from the file system cache that reading data directly from the cache file system bypassing the installed file system. Generally, a file I/O request extracts data from a file after retrieving the file system, however, this path enables directly extracting data from the cache, even if the data is in the cache. Even when the data is not in the cache, the action of retrieving file system can be avoided once.

Lazy Write Flushes/sec

The rate that the delay writing threads have written to the disk. Delay writing is the process that updates a disk after changing a page on the memory, and the application changed a file, need not to wait for the completion of the process writing to the disk. Multiple pages can be transferred in 1 writing operation.

Lazy Write Pages/sec

The rate that the delay writing threads have written to the disk. Delay writing is the process that updates a disk after changing a page on the memory, and the application changed a file, need not to wait for the completion of the process writing to the disk. Multiple pages can be transferred in 1 disk writing operation.

MDL Read Hits %

The percentage of the reading request of the Memory Description List (MDL) to the file system that hit the cache (e.g. reading disk is not requested when accessing memory within the cache page).

MDL Reads/sec

The frequency of reading the file system cache, using Memory Description List (MDL) for accessing data. MDL contains the physical address of transfer target and Direct Memory Access (DMA) transfer of hardware using devices is allowed. A LAN server uses this method for a large amount of transfer.

Pin Read Hits %

The percentage of the pin read requests that hit the file system (e.g. reading disk is not requested for accessing to the page in the file system). While the page is pinned, the physical address of the page within the file system will not be changed. A LAN redirector uses this method to extract data from a cache, just as a LAN server uses the same method for small transfer. Generally a disk file system also uses this method.

Pin Reads/sec

The frequency that data are read into the file system cache as a preprocess of writing data back to the disk. The pages read in this way will be pinned to the memory at the completion of reading process. While the page is pinned, the physical address of the page within the file system will not be changed.

Read Aheads/sec

The frequency of reading from a file system cache which detects sequential access to a file. By prereading, the data can be transferred as a larger block than one that application requested. This can reduce overhead per access.

Sync Copy Reads/sec

The frequency of reading pages from the file system cache, including memory copy of data from the cache to the application buffer.

Sync Data Maps/sec

The frequency that the file system such as NTFS waits until a page is extracted when the file system maps file pages to the file system cache for reading a page, but the page is not found in the main memory.

Sync Fast Reads/sec

The frequency reading from the file system cache that reading data directly from the cache file system bypassing the installed file system. Generally, a file I/O request extracts data from a file after retrieving the file system, however, this path enables directly extracting data from the cache, even if the data is in the cache. Even when the data is not in the cache, the action of retrieving file system can be avoided once. If the data is not in the cache, the request (application program call) waits for the data extracted from the disk.

Sync MDL Reads/sec

The frequency of reading the file system cache, using Memory Description List (MDL) for accessing pages. MDL contains the physical address of transfer target and Direct Memory Access (DMA) transfer of page is allowed. When the accessed page is not in the main memory, the caller application program waits until the page is extracted from the disk.

Sync Pin Reads/sec

The frequency that data are read into the file system cache as a preprocess of writing data back to the disk. The pages read in this way will be pinned to the memory at the completion of reading process. The file system can not be controllable again until the page is pinned to the file system cache, when disk access is required to extract a page. While the page is pinned, the physical address of the page within the file system will not be changed.

Messages Outbound Errors

The number of ICMP messages that were not sent due to the problems occurred within the ICMP, such as insufficient of buffer. Errors detected at somewhere other than the ICMP layer are not included in this value. (Such as IP can not route the datagrams received as a result.) Some systems do not have the type of errors that are counted by this counter.

Messages Received Errors

The number of ICMP messages that are received but have some error (such as invalid ICMP check sum or invalid message length).

Messages Received/sec

The rate of received ICMP messages per second. This value includes messages that have an error when received.

Messages Sent/sec

The number of messages that were tried to send by this server per second. This value includes messages that have an error.

Messages/sec

The total rate of sent/received ICMP messages per second. This value includes messages that have an error when sent/received.

Received Address Mask

The number of received ICMP address mask request messages.

Received Address Mask Reply

The number of received ICMP address mask reply messages.

Received Dest Unreachable

The number of received ICMP destination unreachable messages.

Received Echo Reply/sec

The number of received ICMP echo reply messages per second.

Received Echo/sec

The number of received ICMP echo messages per second.

Received Parameter Problem

The number of received ICMP parameter problem messages.

Received Redirect/sec

The number of received ICMP redirect messages per second.

Received Source Quench

The number of received ICMP Source Quench messages.

Received Time Exceeded

The number of received ICMP time exceeded messages.

Received Timestamp Reply/sec

The number of received ICMP timestamp reply messages.

Received Timestamp/sec

The number of received ICMP timestamp request messages per second.

Sent Address Mask

The number of sent ICMP address mask messages.

Sent Address Mask Reply

The number of sent ICMP address mask reply messages.

Sent Destination unreachable

The number of sent ICMP destination unreachable messages.

Sent Echo Reply/sec

The number of sent ICMP echo reply messages per second.

Sent Echo/sec

The number of sent ICMP echo reply messages.

Sent Parameter Problem

The number of sent ICMP parameter problem messages.

Sent Redirect/sec

The number of sent ICMP redirect messages per second.

Sent Source Quench

The number of sent ICMP Source Quench messages.

Sent Time Exceeded

The number of sent ICMP time exceeded messages.

Sent Timestamp Reply/sec

The number of sent ICMP timestamp reply messages per second.

Sent Timestamp/sec

The number of sent ICMP timestamp request messages per second.

Datagrams Forwarded/sec

The rate of attempting to trace the route to transfer inputted datagram to the last destination, because the local server was not the last destination. Shown in second. On a sever does not work as an IP gateway, only the packets, that are source-routed via this system, and the source-route options were not correctly processed, are included.

Datagrams Outbound Discarded

The number of sent IP datagrams that any problem preventing the transfer to the destination (such as insufficient of buffer range) was not detected but discarded. The datagrams that meet this condition and are counted in Datagrams Forwarded/sec are included in this counter value.

Datagrams Outbound No Route

The number of IP datagrams which are discarded because the route to the destination could not be detected. As long as a packet meets this condition of "root not found", then it will be included in this counter value, even if the packet is counted in Datagrams Forwarded/sec.

Datagrams Received Address Errors

The number of inputted datagrams which were discarded because the IP address specified in the sendto field of IP header was not available in this computer. In this counter, invalid addresses (such as 0.0.0.0), or the addresses of class not supported (such as Class E) are counted. For the entity do not transfer datagrams because it is not an IP gateway, in this counter, the datagrams, that discarded because the destination address was not a local address, will be counted.

Datagrams Received Delivered/sec

The rate of received datagrams that are correctly send to IP user protocol such as Internet Control Message Protocol (ICMP) per second.

Datagrams Received Discarded

The number of received IP datagrams despite of the process was prevented due to problems such as insufficient buffer range. The number of datagrams that are discarded while waiting re-assembly are not included in this counter value.

Datagrams Received Header Errors

The number of inputted datagrams that are discarded due to an IP header error (such as incorrect check sum, mismatch of version numbers, other format errors, timeout, expired TTL, errors detected during IP option processes).

Datagrams Received Unknown Protocol

The number of datagrams that are correctly received but discarded due to unknown/not supported protocol, have local addresses

Datagrams Received/sec

The rate of received IP datagrams from an interface per second. This includes the datagrams contain errors. Datagrams Received/sec is the subset of Datagrams/sec.

Datagrams Sent/sec

The number of IP datagrams that are provided for transfer by local IP user protocol (such as ICMP) per second. The datagrams counted by Datagams Forwarded/sec are not included in this counter. Datagrams Sent/sec is the subset of Datagrams/sec.

Datagrams/sec

The rate of sent/received IP datagrams between interfaces per second. This includes the datagrams contain errors. Transferred datagrams are not counted in this counter.

Fragment Re-assembly Failures

The number of failure detected by IP re-assemble algorithm (such as timeout, error). According to algorithm (especially RFC 815), fragments are combined when receiving, and the number of fragments can not be traced, therefore this value does not always show the number of IP fragments.

Fragmentation Failures

The number of IP datagrams that discarded due to a reason such as fragmentation was needed, but the flag "Don't Fragment" was set.

Fragmented Datagrams/sec

The rate of datagrams that correctly fragmented per second.

Fragments Created/sec

The rate of IP datagram fragment generated after fragmentation per second.

Fragments Re-assembled/sec

The rate of correctly re-assembled IP fragment per second.

Fragments Received/sec

The rate of receiving the IP fragments need re-assemble in this entity per second.

Current % Kernel Mode Time

The rate of sampling interval that the job object used to execute code in the kernel or the privilege mode.

Current % Processor Time

The rate of sampling interval that the job object used to execute code.

Current % User Mode Time

The rate of sampling interval that the job object used to execute code in the user mode.

Pages/Sec

By Pages/Sec, the page fault speed for all job object processes are shown.

Process Count - Active

By Active, the number of processes that currently associating with job object are shown.

Process Count - Terminated

The number of processes that terminated due to limitation violation.

Process Count - Total

By Total, the number of processes that currently associating or formerly associated with job object are shown. (Both active and terminated)

This Period mSec - Kernel Mode

By This Period mSec - Kernel Mode, the user mode processor time (msec) used by processes of all the job objects are shown. The job objects that are terminated after the job time limit is established and other non associated job objects are also included in this.

This Period mSec - Processor

By This Period mSec - Processor, the processor time (msec) used by processes of all the job objects are shown. The job objects that are terminated after the job time limit is established and other non associated job objects are also included in this.

This Period mSec - User Mode

By This Period mSec - User Mode, the user mode processor time (msec) used by processes of all the job objects are shown. The job objects that are terminated after the job time limit is established and other non associated job objects are also included in this.

Total mSec - Kernel Mode

The kernel mode process time (msec) used by processes of all the job objects. From when a job object is generated until it is terminated is counted, and the processes not associated are also included.

Total mSec - Processor

By Total mSec - Processor, the user mode processor time (msec) used by processes of all the job objects are shown. From when a job object is generated until it is terminated is counted, and the processes not associated are also included.

Total mSec - User Mode

By Total mSec - User Mode, the user mode processor time (msec) used by processes of all the job objects are shown. From when a job object is generated until it is terminated is counted, and the processes not associated are also included.

% Privileged Time

The percentage of time that process thread used to execute code in the privilege mode is shown. When a Windows system service is called, it is often executed in the privilege mode due to accessing system specific data. These data are not allowed to be accessed by a thread executed in the user mode. System calls may be executed explicitly or implicitly such as page fault or interruption. Unlike Operating systems before, Windows has traditional user protection and privilege mode, in addition to process boundary for subsystem protection. The processes that Windows executes in stead of an application can be Privileged Time of the process, and other else appear in another subsystem.

% Processor Time

The rate of time that all the threads of the process need to use the processor for executing commands. The command is the basic unit executed within computer, the thread is the object that executing command, the process is the object generated at the time of executing a program. Any hardware interruption, or any code executing trap condition will be included in this count.

% User Time

The percentage of time that process thread used to execute code in the user mode is shown. Applications, environment subsystem and integrated subsystem are executed in the user mode. The codes executed in the user mode do not cause a problem of consistency with Windows executive, kernel, device driver. Unlike Operating systems before, Windows has traditional user protection and privilege mode, in addition to process boundary for subsystem protection. The processes that Windows executes in stead of an application can be Privileged Time of the process, and other else appear in another subsystem.

Creating Process ID

The process ID of a process that creating a process. The creating process may be terminated already, therefore this value may not recognize the running process.

Elapsed Time

The elapsed time of the process running.

Handle Count

The total number of handles that the process currently opening. This value matches the total of handles that currently opened by threads within the process.

ID Process

The unique identifier of the process. This number will be reused, and identifies any process until it terminates.

IO Data Bytes/sec

The rate that the process executes read and write bytes in I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Data Operations/sec

The rate that the process issues read and write in I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Other Bytes/sec

The rate that the process issues I/O operations which do not include data such as control operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Other Operations/sec

The rate that the process issues I/O operation other than read and write (such as control functions). This counter counts all the generated I/O processes includes file, network and device I/O.

IO Read Bytes/sec

The rate that the process reading bytes from the I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Read Operations/sec

The rate that the process issues read I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Write Bytes/sec

The rate that the process writing bytes to the I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Write Operations/sec

The rate that the process issues write I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

Page Faults/sec

The rate of page fault occurred within a thread executed by the process. Page fault occurs when a virtual memory page not in the main memory working set is referred by a thread. The page may not be extracted from the disk, when the page is in the standby list and already on the main memory, or another process which shares the same page is using the page.

Page File Bytes

Showing the current value of bytes that the process has used for paging file. Paging file is used for saving the memory pages that used by the process not included in other files. Paging file is shared by all the processes, if the segment of paging file is run out, then other processes are not able to allocate its memory.

Page File Bytes Peak

Showing the max value that the processor has used for paging file. This is shown in byte. Paging file is used for saving the memory pages that used by the process not included in other files. Paging file is shared by all the processes, if the segment of paging file is run out, then other processes are not able to allocate its memory.

Pool Nonpaged Bytes

Showing the pool nonpaged size in byte, that is the system memory segment (Physical memory used by operating system) allocated for objects in the physical memory that without writing to a disk. Memory\\Pool Nonpaged Bytes and Process\\Pool Nonpaged Bytes are calculated respectively, so that they may not match with Process\\Pool Nonpaged Bytes\\_Total. This counter shows not average but only the latest monitoring value

Pool Paged Bytes

Showing the pool paged size in byte, that is the system memory segment (Physical memory used by operating system) allocated for objects which may write the segment to a disk while not in use. Memory\\Pool Paged Bytes and Process\\Pool Paged Bytes are calculated respectively, so that they may not match with Process\\Pool Paged Bytes\\_Total. This counter shows not average but only the latest monitoring value

Priority Base

The current priority base of the process. A thread in a process raises and lowers the own priority base according to the process priority base.

Private Bytes

Showing the current memory size that the process allocated and that can not be shared with other processes. This is shown in byte.

Thread Count

The number of active threads of the process. The command is the basic unit executed within a processor, the thread is the object. At least 1 thread is in each process.

Virtual Bytes

Showing the size of virtual address currently being used by the process. This is shown in byte. Using virtual address does not always mean to use the disk or the main memory page. The virtual area is limited and the ability of process to load libraries is limited.

Virtual Bytes Peak

Showing the max size of virtual address being used by the process at a point of time. This is shown in byte. Using virtual address does not always mean to use the disk or the main memory page. The virtual area is limited and the ability of process to load libraries is limited.

Working Set

Showing the current size of working set of the process. This is shown in byte. The working set is a memory page set that a thread of the process accessed lastly. When the computer's free memory space is over the threshold, the pages are left in the working set even if they are not in use. When the free memory space is under the threshold, the pages are deleted from the working set. If the deleted pages are needed, the pages will be returned to the working set before they are out of the main memory.

Working Set Peak

Showing the max size of working set of the process at a point of time. This is shown in byte. The working set is a memory page set that a thread of the process accessed lastly. When the computer's free memory space is over the threshold, the pages are left in the working set even if they are not in use. When the free memory space is under the threshold, the pages are deleted from the working set. If the deleted pages are needed, the pages will be returned to the working set before they are out of the main memory.

% Disk Read Time

Showing the percentage of time the selected disk drive needed to process the read request, and the status was busy.

% Disk Time

Showing the percentage of time the selected disk drive needed to process the read/write request, and the status was busy.

% Disk Write Time

Showing the percentage of time the selected disk drive needed to process the write request, and the status was busy.

% Free Space

Showing a rate that the free space to the whole area available on the selected logical disk

% Idle Time

Showing the percentage of the time of idling of a disk during the sampling interval.

% Used Ex

Showing the percentage of the allocated space.

Avg. Disk Bytes/Read

The average of transferred bytes from a disk during the read operation.

Avg. Disk Bytes/Transfer

The average of transferred bytes from a disk during the read/write operation.

Avg. Disk Bytes/Write

The average of transferred bytes to a disk during the write operation.

Avg. Disk Queue Length

The average of the number of read and write requests stacked in the queue of the selected disk during the sampling interval.

Avg. Disk Read Queue Length

The average of the number of read requests stacked in the queue of the selected disk during the sampling interval.

Avg. Disk sec/Read

The average time of reading data from a disk in second.

Avg. Disk sec/Transfer

The average time of disk transfer in second.

Avg. Disk sec/Write

The average time of writing data to disk in second.

Avg. Disk Write Queue Length

The average of the number of write requests stacked in the queue of the selected disk during the sampling interval.

Current Disk Queue Length

The number of requests that remain in the disk when collecting performance data. This value includes requests running at the time of collecting. This value is a snap shot at a moment, and not an average over an interval of time. Multiple spindle disk devices can activate multiple request simultaneously, but other concurrent requests should be waiting. The queue value of this counter can go up and down temporally, but when load to the disk drive is continued, the value tend to keep higher. The request will delay in proportion to the difference between queue length and the spindle on the disk. For better performance, this difference must be less than 2 in average.

Disk Bytes/sec

The speed of bytes transferred between disks during the read/write operation.

Disk Read Bytes/sec

The speed of bytes transferred from a disk during the read operation.

Disk Reads/sec

The speed of reading data of a disk.

Disk Transfers/sec

The speed of reading /writing data of a disk.

Disk Write Bytes/sec

The speed of bytes transferred to a disk during the write operation.

Disk Writes/sec

The speed of writing data of a disk.

Free Megabytes

Showing a non allocated area on the disk drive in megabytes (MB). 1MB is equal to 1,048,576 bytes.

Split IO/Sec

Report the rate of that the disk I/O divided into multiple I/O. Divided I/O is caused when the I/O is too large to stored in one I/O, or the disk requests the data of a fragmented size.

Used Ex

Showing the size of allocated space in kilobytes(KB).

[References]

Disk monitoring on Windows agents

% Committed Bytes in Use

The rate of Memory\\Committed Bytes to Memory\\Commit Limit. The commit memory is the physical memory that is reserved in the paging file area. The Commit Limit is decided by the size of paging file.

If the paging file is expanded, then the Commit Limit is expanded too, and the rate is reduced. This counter shows percentage not average but only the current value.

% Memory Used Ex

Showing the percentage of allocated memory.

% Swap Used Ex

Showing the percentage of used swap area.

Available Bytes

Showing the physical memory size available to the running process. This is shown in byte. The total of zero memory, free memory and standby memory areas. The free memory is the usable memory. The zero memory is the memory page filled with '0'. This is the memory used by a prior process and avoided to be used by a later process. The standby memory is a memory that deleted from the working set (physical memory) of a process on the route to a disk, but can be retrieved again. This counter shows not average but only the latest monitoring value.

Available KBytes

Showing the physical memory size available to the running process. This is shown in KByte not in byte that is reported by Memory\\Available Bytes. The total of zero memory, free memory and standby memory capacity. The free memory is the usable memory. The zero memory is the memory page filled with '0'. This is the memory used by a prior process and avoided to be used by a later process. The standby memory is a memory that deleted from the working set (physical memory) of a process on the route to a disk, but can be retrieved again. This counter shows not average but only the latest monitoring value.

Available MBytes

Showing the physical memory size available to the running process. This is shown in MByte not in byte that is reported by Memory\\Available Bytes. The total of zero memory, free memory and standby memory capacity. The free memory is the usable memory. The zero memory is the memory page filled with '0'. This is the memory used by a prior process and avoided to be used by a later process. The standby memory is a memory that deleted from the working set (physical memory) of a process on the route to a disk, but can be retrieved again. This counter shows not average but only the latest monitoring value.

Cache Bytes

The total counter of Memory\\System Cache Resident Bytes, Memory\\System Driver Resident Bytes, Memory\\System Code Resident Bytes and Memory\\Pool Paged Resident Bytes. This counter shows not average but only the latest monitoring value.

Cache Bytes Peak

The max bytes used by the file system cache since the system rebooted lastly. This value may be larger than the current cache size. This counter shows not average but only the latest monitoring value.

Cache Faults/sec

The rate that fault occurs when the page sought by the file system cache is not found, and should be retrieved from another place of memory (soft fault), or disk (hard fault). The file system cache is the physical memory area provided for application to store the data page lastly used. The cache usage is the reliable indicator for most application I/O operations. This counter shows the number of fault, irrespective of each page fault.

Commit Limit

The area of virtual memory that can be committed without expanding a paging file. This is shown in byte. The commit memory is the physical memory that is reserved in the paging file area. Each drive has one paging file. If paging file is expanded, this limit also expanded accordingly. This counter shows not average but only the latest monitoring value.

Committed Bytes

Showing the committed virtual memory size. This is shown in byte. The commit memory is the physical memory that is reserved in the paging file area. Each physical drive has more than one paging file. This counter shows not average but only the latest monitoring value.

Demand Zero Faults/sec

The number of zero pages needed for resolving a fault. The zero page of that the formerly stored data is eliminated and is filled with '0', is one of the security functions of Windows. By this, the data stored by the prior process on the memory area will not be accessed by the later process. Windows holds the list of zero pages for faster process. This counter shows the number of fault, irrespective of retrieved pages for resolving the fault. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

Free System Page Table Entries

The number of the page table entries that currently not used by the system. This counter shows not average but only the latest monitoring value.

Page Faults/sec

The average number of page faults per second. This is calculated by the number of page faults per second. In each fault operation, page fault will occur only in 1 page, so that this value will match the number of page fault operations. This counter includes both hard faults (disk access is required) and soft faults (page fault is occurred at a place other than physical memory). Most processors can process many insignificant soft faults. However, a hard fault, such as requiring disk access, can be a significant reason of delay.

Page Reads/sec

The rate that a disk is read for resolving a hard page fault. This counter shows the number of read operations, irrespective of retrieved pages by each operation. A hard page fault will occur when the virtual memory page that process referring is not found in any working set or physical memory and should be read from the disk. This counter is the primary indicator for the fault causing system delay. This includes the read operation for resolving fault occurred in the file system cache (generally an application requires) or non cache mapped memory file. This counter shows the value that the difference between the latest 2 monitoring values by sample is divided by the sampling interval time.

Page Writes/sec

The number of pages written to disk for releasing the physical memory area. The page is written to a disk only when it is changed within the physical memory, so that it holds the data (not code). This counter shows the number of write operations, irrespective of written pages by each operation. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

Pages Input/sec

The rate that a page is read from a disk for resolving a hard page fault. A hard page fault will occur when the virtual memory page that process referring is not found in any working set or physical memory and should be read from the disk. If page fault occurs, the system will attempt to read multiple continuous pages to the memory for the best efficient read operation. To check the average number of pages read to the memory by each operation, compare the Memory\\Pages Input/sec value and the Memory\\Page Reads/sec value.

Pages Output/sec

The number of pages written to disk for releasing the physical memory area. The page is written back to a disk only when it is changed within the physical memory, so that it holds the data (not code). When Pages Output/sec is high, the memory may be run out. If the physical memory is insufficient, Windows will write pages back to the disk for releasing the memory area. This counter shows the number of pages, so that can be compared with other page counts without conversion.

Pages/sec

The rate that a page is read from/written to a disk for resolving a hard page fault. This counter is the primary indicator for the fault causing system delay. This is the total of Memory\\Pages Input/sec and Memory\\Pages Output/sec. The number of pages will be counted, so that can be compared with page counts such as Memory\\Page Faults/sec without conversion. This includes the read pages for resolving fault occurred in the file system cache (generally an application requires) or non cache mapped memory file.

Pool Nonpaged Allocs

The number of times that the call is needed to allocate the area for Pool Nonpaged. The pool nonpaged is the system memory segment (Physical memory used by operating system) allocated for objects in the physical memory that without writing to a disk. Calculated by times of call for allocating area, irrespective of the allocated memory size of each call. This counter shows not average but only the latest monitoring value.

Pool Nonpaged Bytes

Showing the pool nonpaged size in byte, that is the system memory segment (Physical memory used by operating system) allocated for objects in the physical memory that without writing to a disk. Memory\\Pool Nonpaged Bytes and Process\\Pool Nonpaged Bytes are calculated respectively, so that they may not match with Process\\Pool Nonpaged Bytes\\_Total. This counter shows not average but only the latest monitoring value.

Pool Paged Allocs

The number of times that the call is needed to allocate the area for Pool Paged. The pool paged is the system memory segment (Physical memory used by operating system) allocated for objects which may write the segment to a disk while not in use. Calculated by times of call for allocating area, irrespective of the size of allocated area by each call. This counter shows not average but only the latest monitoring value.

Pool Paged Bytes

Showing the pool paged size in byte, that is the system memory segment (Physical memory used by operating system) allocated for objects which may write the segment to a disk while not in use. Memory\\Pool Paged Bytes and Process\\Pool Paged Bytes are calculated respectively, so that they may not match with Process\\Pool Paged Bytes\\_Total. This counter shows not average but only the latest monitoring value.

Pool Paged Resident Bytes

Showing the current size of Pool paged. This is shown in byte. The pool paged is the system memory segment (Physical memory used by operating system) allocated for objects which may write the segment to a disk while not in use. The areas that are used by Pool paged and pool nonpaged are taken from the physical memory, therefore, if the pool is too large, the memory area will deny the process. This counter shows not average but only the latest monitoring value.

System Cache Resident Bytes

Showing the operating system codes that are available for paging within the file system cache. This is shown in byte. This value includes only the current physical page, and not the virtual memory page currently resident. This value is the same as the system cache value shown in the task manager. Therefore, this value may be lower than the virtual memory the file system cache actually using. This value is the component of Memory: System Code Resident Bytes that is showing the all system operating code available for paging and currently exist in the physical memory. This counter shows not average but only the latest monitoring value.

System Code Resident Bytes

Showing the size of operating system codes that are currently exist in the physical memory and allowed to be written to a disk when not in use. This is shown in byte. This value is a component of Memory\\System Code Total Bytes, and includes operating system codes on the disk. Memory\\System Code Resident Bytes (and Memory\\System Code Total Bytes) should be exist in the physical memory, and does not include the codes not allowed to be written to a disk. This counter shows not average but only the latest monitoring value.

System Code Total Bytes

The size (byte) of the operating system codes which are currently available for paging in the virtual memory. This is the physical memory area that is used by the operating system codes allowed to be written to a disk when not in use. This value is calculated by totaling the bytes of the file system that Ntoskrnl.exe, Hal.dll, the boot driver and Ntldr/osloader read. This counter should be exist in the physical memory, and does not include the codes not allowed to be written to a disk. This counter shows not average but only the latest monitoring value.

System Driver Resident Bytes

This is the working set (physical memory area) of drivers. Showing the size of physical memory which is used by device drivers and available for paging. This is shown in byte. This value is a component of Memory\\System Driver Total Bytes, and includes the driver memory written in a disk. Memory\\System Driver Resident Bytes and Memory\\System Driver Total Bytes do not include the memory not allowed to be written to a disk.

System Driver Total Bytes

Showing the size of virtual memory that currently device drivers use and is available for paging. This is shown in byte. The memory that is available for paging is allowed to be written to a disk when not in use. This includes the physical memory (Memory\\System Driver Resident Bytes), and codes and data which are paged to a disk. This is the component of Memory\\System Code Total Bytes. This counter shows not average but only the latest monitoring value.

Transition Faults/sec

The number of the pages used by another process that was sharing the pages, or of the restored pages in the updated page list/standby list, or of the page faults resolved by writing to a disk. Page has been restored without additional disk process. The Transition fault is counted by the number of faults. Because only 1 page may fault in each operation, that the number of Transition fault will match the number of page faults.

Write Copies/sec

The rate of page faults which are resolved by coping from the physical memory to another place. This is an efficient way to share the data, because only the pages should be copied when the data is written. Pages are shared in other cases. The number of copy is shown by the counter and the pages copied by each operation are ignored.

Bytes Received/sec

The rate of received bytes on the network adapter. This includes frame characters. Network Interface\\Bytes Received/sec is the subset of Network Interface\\Bytes Total/sec.

Bytes Sent/sec

The rate of sent bytes on the network adapter. This includes frame characters. Network Interface\\Bytes Sent/sec is the subset of Network Interface\\Bytes Total/sec.

Bytes Total/sec

The rate of sent bytes on the network adapter. This includes frame characters. Network Interface\\Bytes Received/sec is the total of Network Interface\\Bytes Received/sec and Network Interface\\Bytes Sent/sec.

Current BandWidth

Showing the approximate value of current band width of the network interface in bit per second (bps). If the interface has a stable band width or the correct approximate value of the band width is not possibly calculated, this value will be a nominal band width.

Output Queue Length

Showing the queue length of received packets. This is shown in the number of packets. When this queue is greater than 2, process delay would occur, therefore you should find the bottleneck and relieve it if possible. Network Driver Interface Specification(NDIS) will queue the request in line, so that the value of this counter is always '0'.

Packets Outbound Discarded

The number of outbound packets selected to be discarded, although an error that interferes transfer is not detected. One of the reason to discard packets is to empty the buffers.

Packets Outbound Errors

The number of packets that did not transferred due to errors.

Packets Received Discarded

The number of received packets selected to be discarded, although an error that interferes transfer to the upper layer is not detected. One of the reason to discard packets is to empty the buffers.

Packets Received Errors

The number of received packets which include the error that interferes transfer to the upper layer.

Packets Received Non-Unicast/sec

The rate of non-unicast (subnet broadcast or subnet multicast) packets which are transferred to the upper protocol.

Packets Received Unicast/sec

The rate of (subnet) unicast packets that are transferred to the upper protocol.

Packets Received Unknown

The number of packets that are received via interface but discarded due to unknown/not supported protocol.

Packets Received/sec

The rate of received packets on the network interface.

Packets Sent Non-Unicast/sec

The rate of the packets that are requested by the upper protocol to transfer to a non-unicast (subnet broadcast or subnet multicast) address. This value includes the packets that are discarded or not sent.

Packets Sent Unicast/sec

The rate of the packets that are requested by the upper protocol to transfer to a subnet unicast address. This value includes the packets that are discarded or not sent..

Packets Sent/sec

The rate of sent packets on the network interface.

Packets/sec

The rate of sent/received packets on the network interface.

Events

The number of events that remain on the computer when collecting data. This value is a count at a point of time, and not an average over an interval of time. An Event is used when more than two threads respectively synchronize their execution.

Mutexes

The number of mutexes that remain on the computer when collecting data. This value is a count at a point of time, and not an average over an interval of time. A mutex is used by a thread, and only one thread can execute the specific section of a code.

Processes

The number of processes that remain on the computer when collecting data. This value is a count at a point of time, and not an average over an interval of time. Each process shows the running status of a program.

Sections

The number of sections that remain on the computer when collecting data. This value is a count at a point of time, and not an average over an interval of time. A section is a virtual memory area that a process creates to store its data. Any process can share a section with other processes.

Semaphores

The number of semaphores that remain on the computer when collecting data. This value is a count at a point of time, and not an average over an interval of time. A thread uses semaphores to obtain exclusive access to a data structure sharing with other threads.

Threads

The number of threads that remain on the computer when collecting data. This value is a count at a point of time, and not an average over an interval of time. A thread is a basic entity that can execute a command on a processor.

% Usages

Showing the percentage of the total page file instances in use. Also see Process\\Page File Bytes.

% Usages Peak

Showing the percentage of the utilization rate of page file instances in peak period. Also see Process\\Page File Bytes Peak.

% Disk Read Time

Showing the percentage of time the selected disk drive needed to process the read request, and the status was busy.

% Disk Time

Showing the percentage of time the selected disk drive needed to process the read/write request, and the status was busy.

% Disk Write Time

Showing the percentage of time the selected disk drive needed to process the write request, and the status was busy.

% Idle Time

Showing the percentage of the time of idling of a disk during the sampling interval.

Avg. Disk Bytes/Read

The average of transferred bytes from a disk during the read operation.

Avg. Disk Bytes/Transfer

The average of transferred bytes from a disk during the read/write operation.

Avg. Disk Bytes/Write

The average of transferred bytes to a disk during the write operation.

Avg. Disk Queue Length

The average of the number of read and write requests stacked in the queue of the selected disk during the sampling interval.

Avg. Disk Read Queue Length

The average of the number of read requests stacked in the queue of the selected disk during the sampling interval.

Avg. Disk sec/Read

The average time of reading data from a disk in second.

Avg. Disk sec/Transfer

The average time of disk transfer in second.

Avg. Disk sec/Write

The average time of writing data to disk in second.

Avg. Disk Write Queue Length

The average of the number of write requests stacked in the queue of the selected disk during the sampling interval.

Current Disk Queue Length

The number of requests that remain in the disk when collecting performance data. This value includes requests running at the time of collecting. This value is a snap shot of a moment, and not an average over an interval of time. Multiple spindle disk devices can activate multiple requests simultaneously, but other concurrent requests should be waiting. The queue value of this counter can go up and down temporally, but when load to the disk drive is continued, the value tends to keep higher. The request will delay in proportion to the difference between queue length and the spindle on the disk. For better performance, this difference must be less than 2 in average.

Disk Bytes/sec

The speed of bytes transferred between disks during the read/write operation.

Disk Read Bytes/sec

The speed of bytes transferred from a disk during the read operation.

Disk Reads/sec

The speed of reading data of a disk.

Disk Transfers/sec

The speed of reading /writing data of a disk.

Disk Write Bytes/sec

The speed of bytes transferred to a disk during the write operation.

Disk Writes/sec

The speed of writing data of a disk.

Split IO/Sec

Report the rate of that the disk I/O divided into multiple I/O. Divided I/O is caused when the I/O is too large to store in one I/O, or the disk requests the data of a fragmented size.

Add Network Printer Calls

The total number of times the calls issued from other print server, for adding a sharing network printer to this server, since last reboot.

Bytes Printed/sec

The bytes printed from the print queue per second.

Enumerate Network Printer Calls

The total number of times the calls issued from the referring clients, to request a network reference list, since last reboot.

Job Errors

The total number of job errors which remain in the print queue, since last reboot.

Jobs

The number of jobs currently in the print queue.

Jobs Spooling

The number of jobs currently spooling in the print queue.

Max Jobs Spooling

The maximum number of job spooled in the print queue since last reboot.

Max References

The max number of references of this printer in peak period.

Not Ready Errors

The total number of the printer's Not ready errors which remain in the print queue, since last reboot.

Out of Paper Errors

The total number of Out of Paper errors which remain in the print queue, since last reboot.

References

The current number of references to this printer.

Total Jobs Printed

The total number of printed jobs in the print queue since last reboot.

Total Pages Printed

The total number of printed pages via GDI in the print queue since last reboot.

% Privileged Time

The percentage of time that process thread used to execute code in the privilege mode is shown. When a Windows system service is called, it is often executed in the privilege mode due to accessing system specific data. These data are not allowed to be accessed by a thread executed in the user mode. System calls may be executed explicitly or implicitly such as page fault or interruption. Unlike Operating systems before, Windows has traditional user protection and privilege mode, in addition to process boundary for subsystem protection. The processes that Windows executes in stead of an application can be Privileged Time of the process, and others may appear in another subsystem processes.

% Processor Time

The rate of time that all the threads of the process need to use the processor for executing commands. The command is the basic unit executed within computer, the thread is the object that executing command, the process is the object generated at the time of executing a program. Any hardware interruption or any code executing trap condition will be included in this count.

% User Time

The percentage of time that process thread used to execute code in the user mode is shown. Applications, environment subsystem and integrated subsystem are executed in the user mode. The codes executed in the user mode do not cause a problem of consistency with Windows executive, kernel, device driver. Unlike Operating systems before, Windows has traditional user protection and privilege mode, in addition to process boundary for subsystem protection. The processes that Windows executes in stead of an application can be Privileged Time of the process, and others may appear in another subsystem processes.

Creating Process ID

The process ID of a process that creating a process. The creating process may be terminated already, therefore this value may not recognize the running process.

Elapsed Time

The elapsed time of the process running.

Handle Count

The total number of handles that the process currently opening. This value matches the total of handles that currently opened by threads within the process.

ID Process

The unique identifier of the process. This number will be reused, and identifies any process until it terminates.

IO Data Bytes/sec

The rate that the process executes read and write bytes in I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Data Operations/sec

The rate that the process issues read and write in I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Other Bytes/sec

The rate that the process issues I/O operations which do not include data such as control operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Other Operations/sec

The rate that the process issues I/O operation other than read and write (such as control functions). This counter counts all the generated I/O processes includes file, network and device I/O.

IO Read Bytes/sec

The rate that the process reading bytes from the I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Read Operations/sec

The rate that the process issues read I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Write Bytes/sec

The rate that the process writing bytes to the I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

IO Write Operations/sec

The rate that the process issues write I/O operation. This counter counts all the generated I/O processes includes file, network and device I/O.

Page Faults/sec

The rate of page fault occurred within a thread executed by the process. Page fault occurs when a virtual memory page not in the main memory working set is referred by a thread. The page may not be extracted from the disk, when the page is in the standby list and already on the main memory, or another process which shares the same page is using the page.

Page File Bytes

Showing the current value of bytes that the process has used for paging file. Paging file is used for saving the memory pages that used by the process not included in other files. Paging file is shared by all the processes, if the segment of paging file is run out, then other processes are not able to allocate its memory.

Page File Bytes Peak

Showing the max value that the processor has used for paging file. This is shown in byte. Paging file is used for saving the memory pages that used by the process not included in other files. Paging file is shared by all the processes, if the segment of paging file is run out, then other processes are not able to allocate its memory.

Pool Nonpaged Bytes

Showing the pool nonpaged size in byte, that is the system memory segment (Physical memory used by operating system) allocated for objects in the physical memory that without writing to a disk. Memory\\Pool Nonpaged Bytes and Process\\Pool Nonpaged Bytes are calculated respectively, so that they may not match with Process\\Pool Nonpaged Bytes\\_Total. This counter shows not average but only the latest monitoring value

Pool Paged Bytes

Showing the pool paged size in byte, that is the system memory segment (Physical memory used by operating system) allocated for objects which may write the segment to a disk while not in use. Memory\\Pool Paged Bytes and Process\\Pool Paged Bytes are calculated respectively, so that they may not match with Process\\Pool Paged Bytes\\_Total. This counter shows not average but only the latest monitoring value

Priority Base

The current priority base of the process. A thread in a process raises and lowers the own priority base according to the process priority base.

Private Bytes

Showing the current memory size that the process allocated and that can not be shared with other processes. This is shown in byte.

Thread Count

The number of active threads of the process. The command is the basic unit executed within a processor, the thread is the object. At least 1 thread is in each process.

Virtual Bytes

Showing the size of virtual address currently being used by the process in bytes. Using virtual address does not always mean to use the disk or the main memory page. The virtual area is limited and the ability of process to load libraries is limited.

Virtual Bytes Peak

Showing the max size of virtual address being used by the process at a point of time. This is shown in byte. Using virtual address does not always mean to use the disk or the main memory page. The virtual area is limited and the ability of process to load libraries is limited.

Working Set

Showing the current size of working set of the process. This is shown in byte. The working set is a memory page set that a thread of the process accessed lastly. When the computer's free memory space is over the threshold, the pages are left in the working set even if they are not in use. When the free memory space is under the threshold, the pages are deleted from the working set. If the deleted pages are needed, the pages will be returned to the working set before they are out of the main memory.

Working Set Peak

Showing the max size of working set of the process at a point of time. This is shown in byte. The working set is a memory page set that a thread of the process accessed lastly. When the computer's free memory space is over the threshold, the pages are left in the working set even if they are not in use. When the free memory space is under the threshold, the pages are deleted from the working set. If the deleted pages are needed, the pages will be returned to the working set before they are out of the main memory.

% C1 Time

% C1 Time is the percentage of time the processor spends in the C1 low-power idle state. % C1 Time is a subset of the total processor idle time. C1 low-power idle state enables the processor to maintain its entire context and quickly return to the running state. Not all systems support the % C1 state.

% C2 Time

% C2 Time is the percentage of time the processor spends in the C2 low-power idle state. % C2 Time is a subset of the total processor idle time. C2 low-power idle state enables the processor to maintain the context of the system caches. The C2 power state is a lower power and higher exit latency state than C1. Not all systems support the C2 state.

% C3 Time

% C3 Time is the percentage of time the processor spends in the C3 low-power idle state. % C3 Time is a subset of the total processor idle time. When the processor is in the C3 low-power idle state it is unable to maintain the coherency of its caches. The C3 power state is a lower power and higher exit latency state than C2. Not all systems support the C3 state

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

% DPC Time

% DPC Time is the percentage of time that the processor spent receiving and servicing deferred procedure calls (DPCs) during the sample interval. DPCs are interrupts that run at a lower priority than standard interrupts. % DPC Time is a component of % Privileged Time because DPCs are executed in privileged mode. They are counted separately and are not a component of the interrupt counters. This counter displays the average busy time as a percentage of the sample time.

% Idle Time

% Idle Time is the percentage of time the processor is idle during the sample interval

% Interrupt Time

% Interrupt Time is the time the processor spends receiving and servicing hardware interrupts during sample intervals. This value is an indirect indicator of the activity of devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication lines, network interface cards and other peripheral devices. These devices normally interrupt the processor when they have completed a task or require attention. Normal thread execution is suspended during interrupts. Most system clocks interrupt the processor every 10 milliseconds, creating a background of interrupt activity. suspends normal thread execution during interrupts. This counter displays the average busy time as a percentage of the sample time.

% Privileged Time

% Privileged Time is the percentage of elapsed time that the process threads spent executing code in privileged mode. When a Windows system service in called, the service will often run in privileged mode to gain access to system-private data. Such data is protected from access by threads executing in user mode. Calls to the system can be explicit or implicit, such as page faults or interrupts. Unlike some early operating systems, Windows uses process boundaries for subsystem protection in addition to the traditional protection of user and privileged modes. Some work done by Windows on behalf of the application might appear in other subsystem processes in addition to the privileged time in the process.

% Processor Time

% Processor Time is the percentage of elapsed time that the processor spends to execute a non-Idle thread. It is calculated by measuring the duration of the idle thread is active in the sample interval, and subtracting that time from interval duration. (Each processor has an idle thread that consumes cycles when no other threads are ready to run). This counter is the primary indicator of processor activity, and displays the average percentage of busy time observed during the sample interval. It is calculated by monitoring the time that the service is inactive, and subtracting that value from 100%.

% User Time

% User Time is the percentage of elapsed time the processor spends in the user mode. User mode is a restricted processing mode designed for applications, environment subsystems, and integral subsystems. The alternative, privileged mode, is designed for operating system components and allows direct access to hardware and all memory. The operating system switches application threads to privileged mode to access operating system services. This counter displays the average busy time as a percentage of the sample time.

C1 Transitions/sec

C1 Transitions/sec is the rate that the CPU enters the C1 low-power idle state. The CPU enters the C1 state when it is sufficiently idle and exits this state on any interrupt. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.

C2 Transitions/sec

C2 Transitions/sec is the rate that the CPU enters the C2 low-power idle state. The CPU enters the C2 state when it is sufficiently idle and exits this state on any interrupt. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.

C3 Transitions/sec

C3 Transitions/sec is the rate that the CPU enters the C3 low-power idle state. The CPU enters the C3 state when it is sufficiently idle and exits this state on any interrupt. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.

DPC Rate

DPC Rate is the rate at which deferred procedure calls (DPCs) were added to the processors DPC queues between the timer ticks of the processor clock. DPCs are interrupts that run at alower priority than standard interrupts. Each processor has its own DPC queue. This counter measures the rate that DPCs were added to the queue, not the number of DPCs in the queue. This counter displays the last observed value only; it is not an average.

DPCs Queued/sec

DPCs Queued/sec is the average rate, in incidents per second, at which deferred procedure calls (DPCs) were added to the processor's DPC queue. DPCs are interrupts that run at a lower priority than standard interrupts. Each processor has its own DPC queue. This counter measures the rate that DPCs are added to the queue, not the number of DPCs in the queue. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.

Interrupts/sec

Interrupts/sec is the average rate, in incidents per second, at which the processor received and serviced hardware interrupts. It does not include deferred procedure calls (DPCs), which are counted separately. This value is an indirect indicator of the activity of devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication lines, network interface cards, and other peripheral devices. These devices normally interrupt the processor when they have completed a task or require attention. Normal thread execution is suspended. The system clock typically interrupts the processor every 10 milliseconds, creating a background of interrupt activity. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.

Processor frequency

Current processor frequency (MHz)

Max frequency (%)

Percentage of max processor frequency (%)

Power consumption

Current power consumption (mw)

Average Packets in netcard

The average number of packets registered to the net card queue by this flow.

Average packets in sequencer

The average number of packets in the sequencer during the last sampling period.

Average packets in shaper

The average number of packets in the SHAPER during the last sampling period.

Bytes scheduled

The scheduled bytes in some method (not just directly sent to the basic mini port).

Bytes scheduled/sec

The scheduled bytes per second by this flow.

Bytes transmitted

The number of bytes transmitted by this flow.

Bytes transmitted/sec

The number of bytes transmitted per second by this flow.

Max packets in sequencer

The max number of packets simultaneously existed in the sequencer.

Max packets in shaper

The max number of packets simultaneously existed in the SHARPER.

Maximum Packets in netcard

The max number of packets registered to the net card queue by this flow.

Nonconforming packets scheduled

The number of packets that are inserted by the packet scheduler, in a speed higher than the limitation of the flow parameter of the packet.

Nonconforming packets scheduled/sec

The speed at that unmatched packets are inserted by the packet scheduler.

Nonconforming packets transmitted

The number of packets that are transmitted by the packet scheduler, in a speed higher than the limitation of the flow parameter of the packet.

Nonconforming packets transmitted/sec

The speed at that unmatched packets are sent from the packet scheduler.

Packets dropped

The number of packets discarded by the packet scheduler.

Packets dropped/sec

The number of packets discarded per second from this flow by the packet scheduler.

Packets scheduled

The scheduled packets in some method (not just directly sent to the basic mini port).

Packets scheduled/sec

The scheduled packets per second by this flow.

Packets transmitted

The number of packets transmitted by this flow.

Packets transmitted/sec

The transmitted packets per second by this flow.

Average Packets in netcard

The average number of packets in the network card during the last sampling period.

Average packets in sequencer

The average number of packets in the sequencer during the last sampling period.

Average packets in shaper

The average number of packets in the SHAPER during the last sampling period.

Flow mods rejected

The number of times that the modification of flow was rejected.

Flows closed

The number of times that the flow was closed.

Flows modified

The number of times that the flow was modified.

Flows opened

The number of flow opened by this pipe. Some of them might have been closed.

Flows rejected

The number of times that the generation of flow was rejected.

Max packets in netcard

The max number of packets simultaneously existed in the network card.

Max packets in sequencer

The max number of packets simultaneously existed in the sequencer.

Max packets in shaper

The max number of packets simultaneously existed in the SHARPER.

Max simultaneous flows

The max number of flow opened by this pipe.

Nonconforming packets scheduled

The number of packets that are inserted into the packet scheduler, in a speed higher than the limitation of the flow parameter of the packet.

Nonconforming packets scheduled/sec

The speed at that unmatched packets are inserted by the packet scheduler.

Nonconforming packets transmitted

The number of packets that are sent from the packet scheduler, in a speed higher than the limitation of the flow parameter of the packet.

Nonconforming packets transmitted/sec

The speed at that unmatched packets are sent from the packet scheduler.

Out of packets

The number of times that PSched can not assign packets.

Alignment Errors

The total number of alignment errors of the connection. Alignment error occurs when the number of received bytes do not match with the planned one.

Buffer Overrun Errors

The total number of buffer overrun errors of the connection. Buffer overrun error occurs when the software is not able to catch up with the speed at receiving data.

Bytes Received

The total of received bytes of the connection.

Bytes Received/Sec

The number of received bytes per second.

Bytes Transmitted

The total of transmitted bytes of the connection.

Bytes Transmitted/Sec

The number of transmitted bytes per second.

CRC Errors

The total number of CRC errors of the connection. CRC error occurs when the received frame has error data.

Frames Received

The total number of received data frames of the connection.

Frames Received/Sec

The number of received frames per second.

Frames Transmitted

The total number of transmitted data frames of the connection.

Frames Transmitted/Sec

The number of transmitted frames per second.

Percent Compression In

Compression rate of received data.

Percent Compression Out

Compression rate of transmitted data.

Serial Overrun Errors

The total number of serial overrun errors of the connection. Serial overrun error occurs when the hardware is not able to catch up with the speed at receiving data.

Timeout Errors

The total number of timeout overrun errors of the connection. Timeout error occurs when the data is not received in the planned time.

Total Errors

The total number of errors of the connection including CRC, timeout, serial overrun, alignment and buffer overrun errors.

Total Errors/Sec

The total number of errors per second, including CRC, timeout, serial overrun, alignment and buffer overrun errors.

Alignment Errors

The total number of alignment errors of the connection. Alignment error occurs when the number of received bytes do not match with the planned one.

Buffer Overrun Errors

The total number of buffer overrun errors of the connection. Buffer overrun error occurs when the software is not able to catch up with the speed at receiving data.

Bytes Received

The total of received bytes of the connection.

Bytes Received/Sec

The number of received bytes per second.

Bytes Transmitted

The total of transmitted bytes of the connection.

Bytes Transmitted/Sec

The number of transmitted bytes per second.

CRC Errors

The total number of CRC errors of the connection. CRC error occurs when the received frame has error data.

Frames Received

The total number of received data frames of the connection.

Frames Received/Sec

The number of received frames per second.

Frames Transmitted

The total number of transmitted data frames of the connection.

Frames Transmitted/Sec

The number of transmitted frames per second.

Percent Compression In

Compression rate of received data.

Percent Compression Out

Compression rate of transmitted data.

Serial Overrun Errors

The total number of serial overrun errors of the connection. Serial overrun error occurs when the hardware is not able to catch up with the speed at receiving data.

Timeout Errors

The total number of timeout overrun errors of the connection. Timeout error occurs when the data is not received in the planned time.

Total Connections

The total number of remote access connections.

Total Errors

The total number of errors of the connection including CRC, timeout, serial overrun, alignment and buffer overrun errors.

Total Errors/Sec

The total number of errors per second, including CRC, timeout, serial overrun, alignment and buffer overrun errors.

Bytes Received/sec

The rate of received bytes of the redirector from the network. This value includes network protocol information (such as packet header) and all other application data.

Byte Total/sec

The rate of the redirector processing data bytes. All the application data and file data, as well as protocol information such as packet header will be the monitoring subjects.

Bytes Transmitted/sec

The speed at that bytes transmitting the redirector to the network. This value includes network protocol information (such as packet header) and all other application data.

Connects Core

Counts the number of times to connect a server which is using former MS-Net SMB protocol (including MS-Net, Xenix, and Vax).

Connects Lan Manager 2.0

Counts the number of times to connect to a Lan Manager 2.0 server (including LMX server).

Connects Lan Manager 2.1

Counts the number of times to connect to a Lan Manager 2.1 server (including LMX server).

Connects Windows NT

Counts the number of times to connect to a computer with Windows 2000 or older.

Current Commands

Counts the requests to the redirector that are currently waiting in the queue. If this value exceeds the number of network adapter cards installed in the computer, the network or the server to be accessed may significantly be damaged.

File Data Operations/sec

The rate of the redirector processing data operations. Since each operation has its overhead, as many bytes should be processed as possible. The efficiency of this path can be verified from the average transfer byte of each operation which is calculated by dividing the value of Bytes/sec by this counter value.

File Read Operations/sec

The speed at that the application requests data to a redirector. Each call to the file system or an application program interface (API) is counted as 1.

File Write operations/sec

The speed at that the application transmits data to a redirector. Each call to the file system or an application program interface (API) is counted as 1.

Network Errors/sec

Showing the rate of unexpected significant errors occur per second. Generally, these errors represent that a significant communication error has been occurred in the redirector and one or more servers. For example, an SMB (Server Manager Block) protocol error is counted as an network error. The record is logged into the system event log and details are provided.

Packets Received/sec

The speed at that the redirector receiving packets (also known as SMB or server message block). Network transfer is executed in packet. The average number of bytes of received by one packet can be calculated by dividing the value of Bytes Received/sec by this counter value. Some of the received packets may not contain the receive data. (For example, a receipt acknowledgement for writing by a redirector is assumed as a received placket)

Packets Transmitted/sec

The speed at that the redirector transmitting packets (also known as SMB or server message block). Transmitting on the network is executed in packet. The average number of bytes transmitting per packet can be calculated by dividing the value of Bytes Transmitted/sec by this counter value.

Packets/sec

The rate of the redirector processing data packets. As many bytes processed by one packet as possible is preferred. "Preferred" here is because each packet process likes to have the protocol overhead. The efficiency of this path can be verified from the average transfer byte of each packet, which is calculated by dividing the value of Bytes/sec (another way to know the efficiency) by this counter value.

Read Bytes Cache/sec

The speed at that the application accessing the file system cache by using a redirector. Some of the data requests may be completed only by extracting the data from the system cache (in the case this cache still have space to store data when it was used in the immediate past). If the data not existed in the cache is requested, page fault will occur. (See Read Bytes Paging/sec).

Read Bytes Network/sec

The speed at that the application reads data via network. Occurs when the requested data has not been found in the file system cache and searches the network. The rate of searching application data in the network is calculated by dividing this value by Bytes Received/sec. (See Bytes Received/sec)

Read Bytes Non-Paging/sec

The number of bytes that the redirector reads for a general file request of an application, when the request is redirected by another computer. Other than file request, the bytes read by other methods in the network, such as named pipe or transaction, are also counted on this counter. However, the network protocol information is not counted, and only application data are.

Read Bytes Paging/sec

The speed at that the redirector is going to read bytes for page fault. Page fault occurs when loading a module (a program or a library), cache not hit (See Read Bytes Cache/sec) and mapping a file directly to the address area of an application (Windows NT advanced function).

Read Operations Random/sec

The speed at that a fragmented file is read. This counter is incremented when reading a file with a specific file handle, and the next byte, not continued, is read.

Read Packets Small/sec

The speed at that the application reads a packet which is smaller than the quarter of the size of the server's adjustment buffer size. If this kind of read occurs often, it may waste the buffer of the server. This counter is incremented by each reading. Packets are not counted.

Read Packets/sec

The speed at that the packets for reading are transmitted to the network. This counter is incremented every time a packet is transmitted as a response to the read request of remote data.

Read Denied/sec

The speed at that the server cannot accept the Raw reading request. When the reading size is pretty larger than the server's adjustment buffer size, the redirector issues a Raw reading request for each packet (if functionally possible), because it does not generate protocol overhead for each packet in data transfer. Note that to enable this function, a sever must reject all other request, therefore, this request will be rejected if the server is busy.

Read Large/sec

The speed at that the application reads a packet which is greater than twice of the size of the server's adjustment buffer size. If this kind of read occurs too often, it may cause the risk of server resource exhaustion. This counter is incremented by each reading. Packets are not counted.

Server Disconnects

The number of times that the server disconnects with the redirector. Also see Server Reconnects.

Server Reconnects

Counts the number of times that the redirector should reconnect the sever to complete a new active request. If inactive state lasts too long, the connection may be disconnected by the server. Even if all the remote files are closed on the local side, the redirector will keep connecting for 10 minutes (nominal value). This status is called "Dormant Connection". This method is implemented based on a concept that assumes the reconnecting is a waste of time.

Server Sessions

Counts the total number of the security objects that the redirector managed. For example, when you accessed a server via network, after you have logged into the same server, one connection is established, but this does not mean that 2 sessions are opened.

Server Sessions Hung

Counts the number of active sessions that could not continue its process due to a timeout caused by no response from the remote server.

Write Bytes Cache/sec

The speed at that the application writing the file system cache by using a redirector. This data is not immediately sent by computer, and can be held in the cache for a change before writing to the network. By this, the network traffic may be reduced. Each writ operation to the cache will be counted by this counter.

Write Bytes Network/sec

The speed at that the application writes the data via network. This is only for the case that the system cache is bypassed (for such as named pipe or transaction), or the cache is written as available also for other data. The value that calculated by dividing this counter by Bytes. Transmitted/sec can be the indication of efficiency of data transmitting to the network. Because all these data are actual application data (See Transmitted Bytes/sec).

Write Bytes Non-paging/sec

The speed at that the redirector writes bytes to the output that when an application outputs a general file and the output is redirected to another computer. Other than file request, the bytes written by other methods in the network, such as named pipe or transaction, are also counted on this counter. However, the network protocol information is not counted, and only application data are.

Write Bytes Paging/sec

The speed at that the redirector going to write bytes to pages that application uses. The program data modified by the module (programs or libraries) loaded via network will be "paged out" when it is not needed. Other output pages can be obtained from the file system cache (See Write Bytes Cache/sec).

Write Operations Random/sec

The speed at that a fragmented file is written. This counter is incremented when writing a file with a specific file handle, and the next byte, not continued, is written.

Write Packets Small/sec

The speed at that the application writes a packet which is smaller than the quarter of the size of the server's adjustment buffer size. If this kind of write occurs often, it may waste the resource of the server. This counter is incremented by each writing operation. Packets are not counted.

Write Packets/sec

The speed at that the packets for writing are transmitted to the network. This counter is incremented every time writing is executed as a response to the write request of remote data.

Write Denied/sec

The speed at that the server cannot accept the Raw writing request. When the writing size is pretty larger than the server's adjustment buffer size, the redirector issues a Raw writing request for each packet (if functionally possible), because it does not generate protocol overhead for each packet in data transfer. Note that a sever must reject all other requests to enable this functionality, therefore, this request will be rejected if the server is busy.

Write Large/sec

The speed at that the application writes a packet which is greater than twice of the size of the server's adjustment buffer size. If this kind of write occurs too often, it may cause the risk of server resource exhaustion. This counter is incremented by each writing operation. Packets are not counted.

Blocked RESVs

The number of reserves that are blocked due to failed reservation which has not deleted from this node. For details about blocked status, see RFC 2205.

General failures

The total number of non-accepted control errors occurred at this interface. For details about other traffic control errors, see RFC 2205.

Maximum admitted bandwidth

The maximum admitted bandwidth allowed by interface during the service is executed.

Number of active flows

The number of reserved and maintained flows that currently installed by RSVP on this interface.

Number of incoming messages dropped

The number of incoming messages dropped due to such as an RSVP object configured by mistake.

Number of outgoing messages dropped

The total number of dropped outgoing messages.

PATH ERR messages received

The total number of PATH error messages received at this interface. This value shows the number of times that PATH is rejected by a remote host.

PATH ERR messages sent

The number of PATH ERR messages sent by an RSVP service which rejects an incoming PATH message.

PATH messages received

The total number of PATH messages received at this interface.

PATH messages sent

The total number of PATH messages sent by a RSVP service which is sent at this interface.

PATH status block timeouts

The total number of RSVP PATH status block (PSB) timeouts. This occurs when a PATH message is not received within the defined timeout period. This error message may occur when the route is changed.

PATH TEAR messages received

The total number of PATH TEAR messages received at the interface.

PATH TEAR messages sent

The number of PATH TEAR messages sent by an interface to tear the RSVP PATH status of the network.

Policy control failures

The total number of RSVP requests not allowed by this interface due to conflict of policy settings.

Receive massages errors - Big messages

The total number of dropped incoming RSVP messages which were larger than the configured maximum RSVP message size.

Receive messages errors - No memory

The total number of incoming RSVP messages dropped due to insufficient memory.

Reserved bandwidth

Showing the bandwidth reserved for this interface in bit per second.

Resource control failures

This counter shows the number of failed reserve due to insufficient resource.

RESV CONFIRM messages received

The total number of RESV CONFIRM messages received at the interface.

RECV CONFIRM messages sent

The total number of RESV CONFIRM messages sent by this interface, as a response to the RESV message sent from a remote host.

RECV ERR messages received

The number of RESV ERR messages received by an RSVP for this interface to reject an incoming RESV message.

RECV ERR messages sent

The total number of RESV messages received at this interface. This value shows the number of reserves that are rejected by the network.

RECV messages received

The total number of RESV messages received at this interface.

RECV messages sent

The total number of RESV messages sent by a RSVP service which is sent at this interface.

RECV status block timeouts

The total number of RSVP RESV status block (RSB) timeouts. This occurs when a RESV message is not received within the defined timeout period. This error message may occur when the route is changed.

RECV TEAR messages received

The total number of RESV TEAR messages received at the interface.

RECV TEAR messages sent

The number of RESV TEAR messages sent by an interface to tear the RESV status of the network.

Send messages errors - Big Messages

The total number of dropped outgoing RSVP messages which were larger than the configured maximum RSVP message size.

Send messages errors - No memory

The total number of outgoing RSVP messages dropped due to insufficient memory.

Signaling bytes received

The total bytes of RSVP signal traffic received by the RSVP service on this interface.

Signaling bytes sent

The total bytes of RSVP signal traffic sent by the RSVP service on this interface.

Bytes in QoS notifications

The total bytes that are delivered to an enabled QoSA application as a QoS notification.

Failed QoS requests

The number of QoS requests that are generated by enabled QoS application and rejected by the RSVP service. QoS request errors may occur because QoS request is disabled.

Failed QoS sends

The number of QoS notifications that failed to send to a QoS application by the RSVP service. QoS send errors may occur due to the forcible termination of the application.

Network Interfaces

The number of the local network interfaces that is visible to and used by the RSVP service.

Network sockets

The total number of RAW socket opened for RSVP signals.

QoS clients

The number of currently active and QoS enabled applications.

QoS notifications

The number of QoS notifications that are delivered to an application with QoS enabled by the Qos RSVP service.

QoS-enabled receivers

Showing the number of RESV messages that are sent for enabled QoS receivers. This value is incremented every time PATH is updated.

QoS-enabled senders

Showing the number of PATH messages that are sent for enabled QoS senders. This value is incremented every time PATH is updated.

RSVP sessions

The number of currently active RSVP sessions on the RSVOP service.

Timers

The number of timer events scheduled to occur. Showing the of the activity level of RSVP service.

Blocking Requests Rejected

The number of times that the server rejected SMB blocking requests, because the counts of empty work items were not enough. This value can be an indication to adjust the server parameter MaxWorkItem or MinFreeWorkItems.

Bytes Received/sec

The number of bytes that the server received from the network. This is helpful for checking the busy status of the server.

Bytes Total/sec

The number of bytes that the server sent/received between networks. This value is helpful for checking the busy status of the server totally.

Bytes Transmitted/sec

The number of bytes that the server sent to the network. This is helpful for checking the busy status of the server.

Context Blocks Queued/sec

The rate that the context blocks should be queued in the FSP queue of the server for waiting.

Errors Access Permissions

The number of times that STATUS_ACCESS_DENIED is issued due to failure of opening the file as a client. This shows if any user wants to get a file which is not appropriately protected and is trying to access the files randomly.

Errors Granted Access

The number of times that the access to normally opened files are rejected. This shows if any user with an appropriate permission trying to access the file.

Errors Logon

The number of times that log on to the server was failed. This shows if any password guessing program is used to break the sever security.

Errors System

The number of times that the internal server errors are detected. Generally an unexpected error shows that the server has some problem.

File Directory Searches

The number of times searching a currently active file on the server. This value is helpful for checking the current process status of the server.

Files Open

The number of files currently opened on the server. This value is helpful for checking the current process status of the server.

Files Opened Total

The number of times that a server substituted for a client to open a file successfully. This value is helpful when checking the number of file I/O, overhead of path based operations, or the efficiency of oplock.

Logon Total

This includes the number of times of interactive logon, network logon, service logon, logon actually executed and not executed, since the last reboot.

Logon/sec

The rate for all server logon.

Pool Nonpaged Bytes

Showing the non-paging memory that the server uses. This is shown in byte. This value is useful to checking the value of MaxNonpagedMemoryUsage in the Windows NT registry.

Pool Nonpaged Failures

The number of times that allocation from the pool Nonpaged failed. This shows the computer's physical memory is insufficient.

Pool Nonpaged Peak

Showing the max size of Pool nonpaged being used by the server at a point of time. This is shown in byte. The size of physical memory that the computer should implement will be known from this value.

Pool Paged Bytes

Showing the paging memory that the server currently uses. This is shown in byte. This value is useful to check the optimum value for MaxPagedMemoryUsage.

Pool Paged Failures

The number of times that allocation from the pool Paged failed. This shows the computer's physical memory or paging file is insufficient.

Pool Paged Peak

Showing the max value of pool paged that the server allocated. This is shown in byte. This shows the optimum size of the page file and the physical memory.

Server Sessions

The number of sessions currently active on the server. This value is helpful for checking the current process status of the server.

Sessions Errored Out

The sessions that closed by an unexpected error status, automatic disconnect timeout or a session disconnected normally.

Sessions Forced Off

The number of sessions that logged off forcibly. This shows the number of sessions that logged off forcibly due to the limitation at the time of logged on.

Sessions Logged Off

The number of sessions that logged off normally. Calculate the values of Sessions Times Out and Sessions Errored Out by rate, and helpful for understanding the statistics of these values.

Sessions Timed Out

The number of sessions which are closed because the idling time has exceeded the parameter of the automatic disconnection of the server. This value shows if the setting of the automatic disconnection is helpful for saving the resource.

Work Item Shortages

The number of times that STATUS_DATA_NOT_ACCEPTED was returned to the receiving display time. This message is displayed when the work item is not available or possible to be allocated to the incoming request process. This value can be an indication to adjust the parameter InitWorkItems or MaxWorkItems.

Active Threads

The number of threads, in this CPU, currently working for requests from the server client. The system tries to lower this value as small as possible for minimizing switch of the unnecessary contexts. This value is a count at a point of time, and not an average over an interval of time.

Available Threads

The number of server threads, in this CPU, currently not working for requests from the clients. The server adjusts the number of threads dynamically, and optimizes the performance.

Available Work Items

All the requests from clients are displayed as "Work Item" on a server, and the server, for faster process, keeps available work item pool per CPU. This is a value of the work items available for this CPU at a point of time. If a value other than '0' continues, the value of MinFreeWorkItems in the registry is assumed to be increased. This value will always be '0' in the Blocking Queue instance.

Borrowed Work Items

All the requests from clients are displayed as "Work Item" on a server, and the server, for faster process, keeps available work item pool per CPU. If available work items are run out, CPU will borrow an unused work item from another CPU. If this value continues increasing, MaxWorkItems in server service or the value of MinFreeWorkItems in the registry is assumed to be increased. This value will always be '0' in the Blocking Queue instance.

Bytes Received/sec

The rate of bytes that the server received by this CPU from the network. This value can be an indicator of the busy status of the server.

Bytes Sent/sec

The rate of bytes that the server sent by this CPU from the network. This value can be an indicator of the busy status of the server.

Bytes Transferred/sec

The rate of bytes that the server sent by this CPU from the network. This value can be an indicator of the busy status of the server.

Context Blocks Queued/sec

The rate that the context blocks should be queued in the FSP queue of the server for waiting.

Current Clients

The number of clients that this CPU processes at a point of time. The server dynamically distributes the client load to all servers within the system. This value will always be '0' in the Blocking Queue instance.

Queue Length

The current sever work queue length of this CPU. If the queue length continues more than 4, the protocol is assumed greatly loaded. This value is a count at a point of time, and not an average over an interval of time.

Read Bytes/sec

The rate that the server reading data from the file by this CPU for a client. This value can be an indicator of the busy status of the server.

Read Operations/sec

The rate that the server reading file by this CPU for a client. This value can be an indicator of the busy status of the server. This value will always be '0' in the Blocking Queue instance.

Total Bytes/sec

The rate that the server reading data from and writing data to the file by this CPU for a client. This value can be an indicator of the busy status of the server.

Total Operations/sec

The rate that the server reading/writing file by this CPU for a client. This value can be an indicator of the busy status of the server. This value will always be '0' in the Blocking Queue instance.

Work Item Shortages

All the requests from clients are displayed as "Work Item" on a server, and the server, for faster process, keeps available work item pool per CPU. If a value other than '0' continues, the value of MaxWorkItems in the server service is assumed to be increased. This value will always be '0' in the Blocking Queue instance.

Write Bytes/sec

The rate that the server writing data to the file by this CPU for a client. This value can be an indicator of the busy status of the server.

Write operations/sec

The rate that the server writing file by this CPU for a client. This value can be an indicator of the busy status of the server. This value will always be '0' in the Blocking Queue instance.

% registry Quota In Use

Showing the percentage of Total Registry Quota Allowed that the system is currently using. This counter shows percentage not average but only the current value.

Alignment Fixups/sec

The rate of alignment fault that the system fixed per second.

Context Switches/sec

The rate of the all processors that switching from a thread to another. The switch of contexts occurs when a running thread release a processor, interrupted by a thread with a higher priority or when the user mode and the privileged (kernel) mode to use Executive or subsystem service mode. This is a total value of Thread\\Context Switches/sec of all threads running on all the processors, and calculated by the times of switching. The system and thread objects have context switch counters. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

Exception Dispatches/sec

The rate of exceptions the system dispatched per second.

File Control Bytes/sec

The total rate of the bytes transferred for all the operations except reading or writing, including request for file system control and request for information about device features and status. This is calculated by the number of bytes. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

File Control Operations/sec

The rate of all the operations except reading or writing, including request for file system control and request for information about device features and status. Contrary to System: File Data Operations/sec, this is calculated by number of operations per second. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

File Data Operations/sec

The rate of all the operations on the logical disk, including read and write. This is contrary to System: File Control Operations/sec. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

File Read Bytes/sec

The total rate of bytes that are read to execute the read request for all the devices, including read from the file system cache. This is calculated by the number of bytes per second. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

File Read Operations/sec

The rate to execute the read request for all the devices, including read from the file system cache. This is calculated by the number of reading times. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

File Write Bytes/sec

The total rate of the bytes that are executing the write requests for all the devices, including writing from the file system cache. This is calculated by the number of bytes per second. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

File Write Operations/sec

The rate to execute the write request for all the devices, including write from the file system cache. This is calculated by the number of writing times. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

Floating Emulations/sec

The rate of floating emulations that system executed. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

Processes

The number of processes which remain on the computer when collecting data. This value is a count at a point of time, and not an average over an interval of time. Each process shows the running status of a program.

Processor Queue Length

The number of threads in the processor queue. Not like the disk counter, this counter counts only the prepared thread, and not the running threads. Only one processor time queue is existed for more than one processor. Therefore, when the computer has more than one processor, the actual value should be calculated by dividing his value by the number of processors processing the load. When there are less than 10 threads continuously in processor queue of each processor, (depends on the load) generally available.

System Calls/sec

The rate of the calls including ones for the operating system service routines by all the running processes. These routines synchronize with all the basic scheduling of the computer's process status, and enable the access to non-graphical devices, memory management and name space management. This counter shows the value that the difference between the latest 2 monitoring values by sampling is divided by the sampling interval time.

System Up Time

Showing the executing time since the computer is booted last time. This counter shows the difference between the start time and the current time.

Threads

The number of threads that remain on the computer when collecting data. This value is a count at a point of time, and not an average over an interval of time. A thread is a basic entity that can execute a command on a processor.

Connection Failures

The times that TCP connection status changed directly from SYN-SENT or SYN-RCVD to CLOSED, and directly form SYN-RCVD to LISTEN.

Connections Active

The times that TCP connection status changed directly from CLOSED to SYN-SENT.

Connections Established

The number of TCP connections currently ESTABLISHED or CLOSE-WAIT.

Connections Passive

The times that TCP connection status changed directly from LISTEN to SYN-RCVD.

Connections Reset

The times that TCP connection status changed directly from ESTABLISHED or CLOSE-WAIT to CLOSED.

Segments Received/sec

The rate that the segments care received (including segments received by error). This counter counts the number of segments received on the currently established connection.

Segments Retransmitted/sec

The rate of retransmitted segments (i.e. the segment transmitted including one or more byte of former transmitted byte).

Segments Sent/sec

The rate that segments are sent. The segment on the current connection will be counted but not the segments with a retransmitted byte.

Segments/sec

The rate that TCP segments are sent/received using TCP protocol.

Active lines

The number of telephone lines that are currently active in the serviced lines.

Active Telephones

The number of devices currently monitored.

Client Apps

The number of applications currently using the telephony service.

Current Incoming Calls

The number of incoming calls currently serviced.

Current Outgoing Calls

The number of outgoing calls currently serviced.

Incoming Calls/sec

The rate of incoming calls.

Lines

The number of serviced telephone lines.

Outgoing Calls/sec

The rate of outgoing calls.

Telephone Devices

The number of serviced telephone devices.

Active Sessions

The number of active terminal service sessions.

Inactive Sessions

The number of inactive terminal service sessions.

Total Sessions

The total number of terminal service sessions.

% Privileged Time

The percentage of time that process thread used to execute code in the privilege mode is shown. When a Windows system service is called, it is often executed in the privilege mode due to accessing system specific data. These data are protected from the access by a thread executed in the user mode. System calls may be executed explicitly or implicitly, such as page fault or interruption. Unlike Operating systems before, Windows has traditional user protection and privilege mode, in addition to process boundary for subsystem protection. The processes that Windows executes in stead of an application can be Privileged Time of the process, and others may appear in another subsystem processes.

% Processor Time

The rate of the time that all the threads of a process need to use the processor to execute the commands. A command is the basic unit executed within a computer, a thread is the object that executing command, and a process is the object generated at the time of executing a program. Any hardware interruption or any code executing trap condition will be included in this count.

% User Time

The percentage of time that process thread used to execute code in the user mode is shown. Applications, environment subsystem and integrated subsystem are executed in the user mode. The codes executed in the user mode do not cause a problem of consistency with Windows NT executive, kernel, device driver. Unlike Operating systems before, Windows NT has traditional user protection and privilege mode, in addition to process boundary for subsystem protection. These subsystem processes, provide traditional protection. Therefore the processes that Windows NT executes in stead of an application can be Privileged Time of the process, and others may appear in another subsystem processes.

Context Switches/sec

Showing the rate of switching from one thread to another. The switch of thread is executed either within one process or between processes. Thread switching is caused by the thread requests information to another thread or interruption by another executable thread with higher priority. Unlike Operating systems before, Windows NT has traditional user protection and privilege mode, in addition to process boundary for subsystem protection. These subsystem processes, provide traditional protection. Therefore the processes that Windows NT executes in stead of an application can be the Privileged Time of the application, and others may appear in another subsystem processes. When switched to a subsystem process, one context switching will occur in the application thread. When switched back to the application, another switch of context will occur in the subsystem thread.

Elapsed Time

The total executing elapsed time of this thread (sec.)

ID Process

The unique identifier for the process. This number will be reused, and identifies any process until it terminates.

ID Thread

The unique identifier for the thread. This number will be reused, and identifies any thread until it terminates.

Priority Base

The current basic priority of the thread. When the thread processing user input, the system will raise the dynamic priority of the thread over the base priority, and when the thread is processing calculation then lower the dynamic priority of the thread under the base priority.

Priority Current

The current dynamic priority of a thread. When the thread processing user input, the system will raise the dynamic priority of the thread over the base priority, and when the thread is processing calculation then lower the dynamic priority of the thread under the base priority.

Start Address

The starting virtual address of a thread.

Thread State

Display the current status of the thread. 0 represents Initialized, 1 represents Ready, 2 represents Running, 3 represents Standby, 4 represents Terminated, 5 represents Wait, 6 represents Transition, 7 represents Unknown. Running thread represents that the thread is currently in use, and Standby tread represents that the thread is going to use the processor in the future. Ready thread represents that the thread should use a processor but all the processors are in use, and waiting for a processor to be available. Transition threads are waiting for resources to be executed. (For example, the state of waiting for a stack to be executed in for paging-in from the disk) Waiting threads will not be used by a processor, because they are waiting until peripheral device operations are finished or a specific resource is available.

Thread Wait reason

The value that is available only when the thread state is waiting. (See Thread Status). The value is as follows: When the thread is waiting for Executive it will be 0 or 7, for empty page 1 or 8, for page-in 2 or 9, for pool allocation 3 or 10, for operation delay 4 or 11, for interruption 5 or 12, for user requests 6 or 13, for event pair high 14, for event pair low 15, for LPC receipt 16, for LPC response 17, for virtual memory 18 and for paging out 19. Currently values above 20 are not defined. Event pair is used for make a communication with a subsystem in the protected state. (See Context Switches).

Datagrams No Port/sec

The number of received UDP datagrams that have no application in the destination port.

Datagrams Received Errors

The number of UDP datagrams that was not delivered for reasons other than having no application in the destination port.

Datagrams Received/sec

The number of UDP datagrams sent to a UDP user.

Datagrams Sent/sec

The number of UDP datagrams sent by the corresponding system.

Datagrams/sec

The number of UDP datagrams sent/received by the corresponding system.

HiPerf Classes

Showing the High Performance class.

HiPerf Validity

Showing whether High Performance class is available or not.

Detailed description about monitored objects [Windows]

This section describes the details of the monitored object (counter) about Windows agent.

  • Only partial information is described here. According to your operation system or environment, the displayed objects may vary. If the displayed object is different, refer to the description in the "OS guide".

When a monitored object is clicked, the help for the counter will be displayed. Click again to close.

[Browser]

[Cache]

[ICMP]

[IP]

[Job Object]

[Job Object Details]

[LogicalDisk]

[Memory]

[Network Interface]

[Objects]

[Paging File]

[PhysicalDisk]

[Print Queue]

[Process]

[Processor]

[Processor Performance]

[PSched Flow]

[PSched Pipe]

[RAS Port]

[RAS Total]

[Redirector]

[RSVP Interfaces]

[RSVP Service]

[Server]

[Server Work Queues]

[System]

[TCP]

[Telephony]

[Terminal Services]

[Thread]

[UDP]

[WMI Objects]


Detailed description about monitored objects [Linux]

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

Blk_read

The total number of blocks read.

Blk_read/s

Indicate the amount of data read from the drive expressed in a number of blocks per second. A block is of indeterminate size.

Blk_wrtn

The total number of blocks written.

Blk_wrtn/s

Indicate the amount of data written to the drive expressed in a number of blocks per second. A block is of indeterminate size.

tps

Indicate the number of transfers per second that were issued to the device. A transfer is an I/O request to the device. Multiple logical requests can be com-bined into a single I/O request to the device. A transfer is of indeterminate size.

1K-blocks

Showing the total capacity of disk in kilobytes (KB).

Available

Showing the available space of disk in kilobytes (KB).

Use%

Showing the percentage of allocated space.

Used

Showing the size of allocated space in kilobytes (KB).

[References]

Disk monitoring on UNIX agents

%memused

Showing the percentage of allocated memory.

%memusednocached

Showing the percentage of allocated memory.%memusednocached is not an included value though %memused is a value where buffer/cache is included.

%swpused

Showing the percentage of used swap area.

kbbuffers

Showing the size of memory for kernel's buffer in kilobytes (KB).

kbcached

Showing the size of memory for kernel's data cache in kilobytes (KB).

kbmemfree

Showing the size of free memory in kilobytes (KB).

kbmemfreenocached

Showing the size of free memory in kilobytes(KB).

kbmemfreewithcached

Showing the size of free memory in kilobytes(KB).kbmemfreewithcached is a value where buffer/cache is included.

kbmemshrd

Showing the size of system sharing memory in kilobytes(KB).

kbmemused

Showing the size of allocated memory in kilobytes (KB). This doesn't include the memory allocated by the kernel.

kbmemusednocached

Showing the size of allocated memory in kilobytes(KB).Kbmemusednocached is not an included value though kbmemused is a value where buffer/cache is included.

kbswpfree

Showing the size of available swap area in kilobytes (KB).

kbswpused

Showing the size of used swap area in kilobyts (KB).

pagein kb

Amount of memory swapped in from disk (KB/s).

pagein page

Amount of memory swapped in from disk (page/s).

pageout kb

Amount of memory swapped to disk (KB/s).

pageout page

Amount of memory swapped to disk (page/s).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU. This counter shows the percentage to the time for each processor.

%MEM

Showing the percentage of the process's occupying rate of physical memory.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the total size of process using physical memory. This counter includes library pages used by the ELF processes other than a.out.

SHARE

Showing the size of shared memory used by the process in kilobytes (KB).

SIZE

Showing the total size of the process's codes, data and stacks in kilobytes (KB).

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%idle

Showing the percentage of spent time for idling.

%iowait

Showing the percentage of time that the CPU or CPUs were idle during which the system had an outstanding disk I/O request.

%irq

Showing the percentage of time spent by the CPU or CPUs to service interrupts.

%nice

Showing the percentage of the time spent in user-mode. This counter is for the processes changed schedule priority by nice(2).

%soft

Showing the percentage of time spent by the CPU or CPUs to service softirqs.A softirq (software interrupt) is one of up to 32 enumerated software interrupts which can run on multiple CPUs at once.

%system

Showing the percentage of the time spent in kernel-mode.

%user

Showing the percentage of the time spent in user-mode.

intr/s

Showing the total number of interrupt which CPU can receive per second.

%dquot-sz

Showing the percentage of disk quota entries.

%rtsig-sz

Showing the percentage of queued RT signals.

%super-sz

Showing the percentage of super block handler.

dentunusd

Showing the number of un-used cache entries of directory cache.

dquot-sz

Showing the number of disk quota entries.

file-sz

Showing the number of used file handler.

inode-sz

Showing the number of used inode handler.

rtsig-sz

Showing the number of queued RT signals.

super-sz

Showing the number of super block handler allocated by kernel.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

Blk_read

The total number of blocks read.

Blk_read/s

Indicate the amount of data read from the drive expressed in a number of blocks per second. A block is of indeterminate size.

Blk_wrtn

The total number of blocks written.

Blk_wrtn/s

Indicate the amount of data written to the drive expressed in a number of blocks per second. A block is of indeterminate size.

tps

Indicate the number of transfers per second that were issued to the device. A transfer is an I/O request to the device. Multiple logical requests can be com-bined into a single I/O request to the device. A transfer is of indeterminate size.

1K-blocks

Showing the total capacity of disk in kilobytes (KB).

Available

Showing the available space of disk in kilobytes (KB).

Use%

Showing the percentage of allocated space.

Used

Showing the size of allocated space in kilobytes (KB).

[References]

Disk monitoring on UNIX agents

%memused

Showing the percentage of allocated memory.

%memusednocached

Showing the percentage of allocated memory.%memusednocached is not an included value though %memused is a value where buffer/cache is included.

%swpused

Showing the percentage of used swap area.

kbbuffers

Showing the size of memory for kernel's buffer in kilobytes (KB).

kbcached

Showing the size of memory for kernel's data cache in kilobytes (KB).

kbmemfree

Showing the size of free memory in kilobytes (KB).

kbmemfreenocached

Showing the size of free memory in kilobytes(KB).

kbmemfreewithcached

Showing the size of free memory in kilobytes(KB).kbmemfreewithcached is a value where buffer/cache is included.

kbmemshrd

Showing the size of system sharing memory in kilobytes(KB).

kbmemused

Showing the size of allocated memory in kilobytes (KB). This doesn't include the memory allocated by the kernel.

kbmemusednocached

Showing the size of allocated memory in kilobytes(KB).Kbmemusednocached is not an included value though kbmemused is a value where buffer/cache is included.

kbswpfree

Showing the size of available swap area in kilobytes (KB).

kbswpused

Showing the size of used swap area in kilobyts (KB).

pagein kb

Amount of memory swapped in from disk (KB/s).

pagein page

Amount of memory swapped in from disk (page/s).

pageout kb

Amount of memory swapped to disk (KB/s).

pageout page

Amount of memory swapped to disk (page/s).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU. This counter shows the percentage to the time for each processor.

%MEM

Showing the percentage of the process's occupying rate of physical memory.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the total size of process using physical memory. This counter includes library pages used by the ELF processes other than a.out.

SHARE

Showing the size of shared memory used by the process in kilobytes (KB).

SIZE

Showing the total size of the process's codes, data and stacks in kilobytes (KB).

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%idle

Showing the percentage of spent time for idling.

%iowait

Showing the percentage of time that the CPU or CPUs were idle during which the system had an outstanding disk I/O request.

%irq

Showing the percentage of time spent by the CPU or CPUs to service interrupts.

%nice

Showing the percentage of the time spent in user-mode. This counter is for the processes changed schedule priority by nice(2).

%soft

<

Showing the percentage of time spent by the CPU or CPUs to service softirqs.A softirq (software interrupt) is one of up to 32 enumerated software interrupts which can run on multiple CPUs at once.

%steal

Showing the percentage of time spent in involuntary wait by the virtual CPU or CPUs while the hypervisor was servicing another virtual processor.

%system

Showing the percentage of the time spent in kernel-mode.

%user

Showing the percentage of the time spent in user-mode.

intr/s

Showing the total number of interrupt which CPU can receive per second.

%dquot-sz

Showing the percentage of disk quota entries.

%rtsig-sz

Showing the percentage of queued RT signals.

%super-sz

Showing the percentage of super block handler.

dentunusd

Showing the number of un-used cache entries of directory cache.

dquot-sz

Showing the number of disk quota entries.

file-sz

Showing the number of used file handler.

inode-sz

Showing the number of used inode handler.

rtsig-sz

Showing the number of queued RT signals.

super-sz

Showing the number of super block handler allocated by kernel.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

Blk_read

The total number of blocks read.

Blk_read/s

Indicate the amount of data read from the drive expressed in a number of blocks per second. A block is of indeterminate size.

Blk_wrtn

The total number of blocks written.

Blk_wrtn/s

Indicate the amount of data written to the drive expressed in a number of blocks per second. A block is of indeterminate size.

tps

Indicate the number of transfers per second that were issued to the device. A transfer is an I/O request to the device. Multiple logical requests can be com-bined into a single I/O request to the device. A transfer is of indeterminate size.

1K-blocks

Showing the total capacity of disk in kilobytes (KB).

Available

Showing the available space of disk in kilobytes (KB).

Use%

Showing the percentage of allocated space.

Used

Showing the size of allocated space in kilobytes (KB).

[References]

Disk monitoring on UNIX agents

%memused

Showing the percentage of allocated memory.

%memusednocached

Showing the percentage of allocated memory.%memusednocached is not an included value though %memused is a value where buffer/cache is included.

%swpused

Showing the percentage of used swap area.

kbbuffers

Showing the size of memory for kernel's buffer in kilobytes (KB).

kbcached

Showing the size of memory for kernel's data cache in kilobytes (KB).

kbmemfree

Showing the size of free memory in kilobytes (KB).

kbmemfreenocached

Showing the size of free memory in kilobytes(KB).

kbmemfreewithcached

Showing the size of free memory in kilobytes(KB).kbmemfreewithcached is a value where buffer/cache is included.

kbmemshrd

Showing the size of system sharing memory in kilobytes(KB).

kbmemused

Showing the size of allocated memory in kilobytes (KB). This doesn't include the memory allocated by the kernel.

kbmemusednocached

Showing the size of allocated memory in kilobytes(KB).Kbmemusednocached is not an included value though kbmemused is a value where buffer/cache is included.

kbswpfree

Showing the size of available swap area in kilobytes (KB).

kbswpused

Showing the size of used swap area in kilobyts (KB).

pagein kb

Amount of memory swapped in from disk (KB/s).

pagein page

Amount of memory swapped in from disk (page/s).

pageout kb

Amount of memory swapped to disk (KB/s).

pageout page

Amount of memory swapped to disk (page/s).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU. This counter shows the percentage to the time for each processor.

%MEM

Showing the percentage of the process's occupying rate of physical memory.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the total size of process using physical memory. This counter includes library pages used by the ELF processes other than a.out.

SHARE

Showing the size of shared memory used by the process in kilobytes (KB).

SIZE

Showing the total size of the process's codes, data and stacks in kilobytes (KB).

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%idle

Showing the percentage of spent time for idling.

%iowait

Showing the percentage of time that the CPU or CPUs were idle during which the system had an outstanding disk I/O request.

%irq

Showing the percentage of time spent by the CPU or CPUs to service interrupts.

%nice

Showing the percentage of the time spent in user-mode. This counter is for the processes changed schedule priority by nice(2).

%soft

Showing the percentage of time spent by the CPU or CPUs to service softirqs.A softirq (software interrupt) is one of up to 32 enumerated software interrupts which can run on multiple CPUs at once.

%steal

Showing the percentage of time spent in involuntary wait by the virtual CPU or CPUs while the hypervisor was servicing another virtual processor.

%system

Showing the percentage of the time spent in kernel-mode.

%user

Showing the percentage of the time spent in user-mode.

intr/s

Showing the total number of interrupt which CPU can receive per second.

%dquot-sz

Showing the percentage of disk quota entries.

%rtsig-sz

Showing the percentage of queued RT signals.

%super-sz

Showing the percentage of super block handler.

dentunusd

Showing the number of un-used cache entries of directory cache.

dquot-sz

Showing the number of disk quota entries.

file-sz

Showing the number of used file handler.

inode-sz

Showing the number of used inode handler.

rtsig-sz

Showing the number of queued RT signals.

super-sz

Showing the number of super block handler allocated by kernel.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

Blk_read

The total number of blocks read.

Blk_read/s

Indicate the amount of data read from the drive expressed in a number of blocks per second. A block is of indeterminate size.

Blk_wrtn

The total number of blocks written.

Blk_wrtn/s

Indicate the amount of data written to the drive expressed in a number of blocks per second. A block is of indeterminate size.

tps

Indicate the number of transfers per second that were issued to the device. A transfer is an I/O request to the device. Multiple logical requests can be com-bined into a single I/O request to the device. A transfer is of indeterminate size.

1K-blocks

Showing the total capacity of disk in kilobytes (KB).

Available

Showing the available space of disk in kilobytes (KB).

Use%

Showing the percentage of allocated space.

Used

Showing the size of allocated space in kilobytes (KB).

[References]

Disk monitoring on UNIX agents

%memused

Showing the percentage of allocated memory.

%memusednocached

Showing the percentage of allocated memory.%memusednocached is not an included value though %memused is a value where buffer/cache is included.

%swpused

Showing the percentage of used swap area.

kbbuffers

Showing the size of memory for kernel's buffer in kilobytes (KB).

kbcached

Showing the size of memory for kernel's data cache in kilobytes (KB).

kbmemfree

Showing the size of free memory in kilobytes (KB).

kbmemfreenocached

Showing the size of free memory in kilobytes(KB).

kbmemfreewithcached

Showing the size of free memory in kilobytes(KB).kbmemfreewithcached is a value where buffer/cache is included.

kbmemshrd

Showing the size of system sharing memory in kilobytes(KB).

kbmemused

Showing the size of allocated memory in kilobytes (KB). This doesn't include the memory allocated by the kernel.

kbmemusednocached

Showing the size of allocated memory in kilobytes(KB).Kbmemusednocached is not an included value though kbmemused is a value where buffer/cache is included.

kbswpfree

Showing the size of available swap area in kilobytes (KB).

kbswpused

Showing the size of used swap area in kilobyts (KB).

pagein kb

Amount of memory swapped in from disk (KB/s).

pagein page

Amount of memory swapped in from disk (page/s).

pageout kb

Amount of memory swapped to disk (KB/s).

pageout page

Amount of memory swapped to disk (page/s).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU. This counter shows the percentage to the time for each processor.

%MEM

Showing the percentage of the process's occupying rate of physical memory.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the total size of process using physical memory. This counter includes library pages used by the ELF processes other than a.out.

SHARE

Showing the size of shared memory used by the process in kilobytes (KB).

SIZE

Showing the total size of the process's codes, data and stacks in kilobytes (KB).

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%idle

Showing the percentage of spent time for idling.

%iowait

Showing the percentage of time that the CPU or CPUs were idle during which the system had an outstanding disk I/O request.

%irq

Showing the percentage of time spent by the CPU or CPUs to service interrupts.

%nice

Showing the percentage of the time spent in user-mode. This counter is for the processes changed schedule priority by nice(2).

%soft

Showing the percentage of time spent by the CPU or CPUs to service softirqs.A softirq (software interrupt) is one of up to 32 enumerated software interrupts which can run on multiple CPUs at once.

%steal

Showing the percentage of time spent in involuntary wait by the virtual CPU or CPUs while the hypervisor was servicing another virtual processor.

%system

Showing the percentage of the time spent in kernel-mode.

%user

Showing the percentage of the time spent in user-mode.

intr/s

Showing the total number of interrupt which CPU can receive per second.

%dquot-sz

Showing the percentage of disk quota entries.

%rtsig-sz

Showing the percentage of queued RT signals.

%super-sz

Showing the percentage of super block handler.

dentunusd

Showing the number of un-used cache entries of directory cache.

dquot-sz

Showing the number of disk quota entries.

file-sz

Showing the number of used file handler.

inode-sz

Showing the number of used inode handler.

rtsig-sz

Showing the number of queued RT signals.

super-sz

Showing the number of super block handler allocated by kernel.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

Blk_read

The total number of blocks read.

Blk_read/s

Indicate the amount of data read from the drive expressed in a number of blocks per second. A block is of indeterminate size.

Blk_wrtn

The total number of blocks written.

Blk_wrtn/s

Indicate the amount of data written to the drive expressed in a number of blocks per second. A block is of indeterminate size.

tps

Indicate the number of transfers per second that were issued to the device. A transfer is an I/O request to the device. Multiple logical requests can be com-bined into a single I/O request to the device. A transfer is of indeterminate size.

1K-blocks

Showing the total capacity of disk in kilobytes (KB).

Available

Showing the available space of disk in kilobytes (KB).

Use%

Showing the percentage of allocated space.

Used

Showing the size of allocated space in kilobytes (KB).

[References]

Disk monitoring on UNIX agents

%memused

Showing the percentage of allocated memory.

%memusednocached

Showing the percentage of allocated memory.%memusednocached is not an included value though %memused is a value where buffer/cache is included.

%swpused

Showing the percentage of used swap area.

kbbuffers

Showing the size of memory for kernel's buffer in kilobytes (KB).

kbcached

Showing the size of memory for kernel's data cache in kilobytes (KB).

kbmemfree

Showing the size of free memory in kilobytes (KB).

kbmemfreenocached

Showing the size of free memory in kilobytes(KB).

kbmemfreewithcached

Showing the size of free memory in kilobytes(KB).kbmemfreewithcached is a value where buffer/cache is included.

kbmemshrd

Showing the size of system sharing memory in kilobytes(KB).

kbmemused

Showing the size of allocated memory in kilobytes (KB). This doesn't include the memory allocated by the kernel.

kbmemusednocached

Showing the size of allocated memory in kilobytes(KB).Kbmemusednocached is not an included value though kbmemused is a value where buffer/cache is included.

kbswpfree

Showing the size of available swap area in kilobytes (KB).

kbswpused

Showing the size of used swap area in kilobyts (KB).

pagein kb

Amount of memory swapped in from disk (KB/s).

pagein page

Amount of memory swapped in from disk (page/s).

pageout kb

Amount of memory swapped to disk (KB/s).

pageout page

Amount of memory swapped to disk (page/s).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU. This counter shows the percentage to the time for each processor.

%MEM

Showing the percentage of the process's occupying rate of physical memory.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the total size of process using physical memory. This counter includes library pages used by the ELF processes other than a.out.

SHARE

Showing the size of shared memory used by the process in kilobytes (KB).

SIZE

Showing the total size of the process's codes, data and stacks in kilobytes (KB).

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%idle

Showing the percentage of spent time for idling.

%iowait

Showing the percentage of time that the CPU or CPUs were idle during which the system had an outstanding disk I/O request.

%irq

Showing the percentage of time spent by the CPU or CPUs to service interrupts.

%nice

Showing the percentage of the time spent in user-mode. This counter is for the processes changed schedule priority by nice(2).

%soft

Showing the percentage of time spent by the CPU or CPUs to service softirqs.A softirq (software interrupt) is one of up to 32 enumerated software interrupts which can run on multiple CPUs at once.

%steal

Showing the percentage of time spent in involuntary wait by the virtual CPU or CPUs while the hypervisor was servicing another virtual processor.

%system

Showing the percentage of the time spent in kernel-mode.

%user

Showing the percentage of the time spent in user-mode.

intr/s

Showing the total number of interrupt which CPU can receive per second.

dentunusd

Showing the number of un-used cache entries of directory cache.

file-nr

Showing the number of used file handler.

inode-nr

Showing the number of used inode handler.

pty-nr

Showing the number of pseudo-terminals.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

Blk_read

The total number of blocks read.

Blk_read/s

Indicate the amount of data read from the drive expressed in a number of blocks per second. A block is of indeterminate size.

Blk_wrtn

The total number of blocks written.

Blk_wrtn/s

Indicate the amount of data written to the drive expressed in a number of blocks per second. A block is of indeterminate size.

tps

Indicate the number of transfers per second that were issued to the device. A transfer is an I/O request to the device. Multiple logical requests can be com-bined into a single I/O request to the device. A transfer is of indeterminate size.

1K-blocks

Showing the total capacity of disk in kilobytes (KB).

Available

Showing the available space of disk in kilobytes (KB).

Use%

Showing the percentage of allocated space.

Used

Showing the size of allocated space in kilobytes (KB).

[References]

Disk monitoring on UNIX agents

%commit

Showing the percentage of needed for current workload memory.

%memused

Showing the percentage of allocated memory.

%memusednocached

Showing the percentage of allocated memory.%memusednocached is not an included value though %memused is a value where buffer/cache is included.

%swpcad

Percentage of cached swap memory in relation to the amount of used swap space.

%swpused

Showing the percentage of used swap area.

kbbuffers

Showing the size of memory for kernel's buffer in kilobytes (KB).

kbcached

Showing the size of memory for kernel's data cache in kilobytes (KB).

kbcommit

Showing the size of needed for current workload memory in kilobytes.

kbmemfree

Showing the size of free memory in kilobytes (KB).

kbmemfreenocached

Showing the size of free memory in kilobytes(KB).

kbmemfreewithcached

Showing the size of free memory in kilobytes(KB).kbmemfreewithcached is a value where buffer/cache is included.

kbmemused

Showing the size of allocated memory in kilobytes (KB). This doesn't include the memory allocated by the kernel.

kbmemusednocached

Showing the size of allocated memory in kilobytes(KB).Kbmemusednocached is not an included value though kbmemused is a value where buffer/cache is included.

kbswpcad

Showing the percentage of used swap area.

kbswpfree

Showing the size of available swap area in kilobytes (KB).

kbswpused

Showing the size of used swap area in kilobyts (KB).

pagein kb

Amount of memory swapped in from disk (KB/s).

pagein page

Amount of memory swapped in from disk (page/s).

pageout kb

Amount of memory swapped to disk (KB/s).

pageout page

Amount of memory swapped to disk (page/s).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU. This counter shows the percentage to the time for each processor.

%MEM

Showing the percentage of the process's occupying rate of physical memory.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the total size of process using physical memory. This counter includes library pages used by the ELF processes other than a.out.

SHARE

Showing the size of shared memory used by the process in kilobytes (KB).

SIZE

Showing the total size of the process's codes, data and stacks in kilobytes (KB).

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%guest

Showing the percentage of time spent by the CPU or CPUs to run a virtual processor.

%idle

Showing the percentage of spent time for idling.

%iowait

Showing the percentage of time that the CPU or CPUs were idle during which the system had an outstanding disk I/O request.

%irq

Showing the percentage of time spent by the CPU or CPUs to service interrupts.

%nice

Showing the percentage of the time spent in user-mode. This counter is for the processes changed schedule priority by nice(2).

%soft

Showing the percentage of time spent by the CPU or CPUs to service softirqs.A softirq (software interrupt) is one of up to 32 enumerated software interrupts which can run on multiple CPUs at once.

%steal

Showing the percentage of time spent in involuntary wait by the virtual CPU or CPUs while the hypervisor was servicing another virtual processor.

%system

Showing the percentage of the time spent in kernel-mode.

%user

Showing the percentage of the time spent in user-mode.

dentunusd

Showing the number of un-used cache entries of directory cache.

file-nr

Showing the number of used file handler.

inode-nr

Showing the number of used inode handler.

pty-nr

Showing the number of pseudo-terminals.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

Blk_read

The total number of blocks read.

Blk_read/s

Indicate the amount of data read from the drive expressed in a number of blocks per second. A block is of indeterminate size.

Blk_wrtn

The total number of blocks written.

Blk_wrtn/s

Indicate the amount of data written to the drive expressed in a number of blocks per second. A block is of indeterminate size.

tps

Indicate the number of transfers per second that were issued to the device. A transfer is an I/O request to the device. Multiple logical requests can be com-bined into a single I/O request to the device. A transfer is of indeterminate size.

1K-blocks

Showing the total capacity of disk in kilobytes (KB).

Available

Showing the available space of disk in kilobytes (KB).

Use%

Showing the percentage of allocated space.

Used

Showing the size of allocated space in kilobytes (KB).

[References]

Disk monitoring on UNIX agents

%commit

Showing the percentage of needed for current workload memory.

%memused

Showing the percentage of allocated memory.

%memusednocached

Showing the percentage of allocated memory.%memusednocached is not an included value though %memused is a value where buffer/cache is included.

%swpcad

Percentage of cached swap memory in relation to the amount of used swap space.

%swpused

Showing the percentage of used swap area.

kbbuffers

Showing the size of memory for kernel's buffer in kilobytes (KB).

kbcached

Showing the size of memory for kernel's data cache in kilobytes (KB).

kbcommit

Showing the size of needed for current workload memory in kilobytes.

kbmemfree

Showing the size of free memory in kilobytes (KB).

kbmemfreenocached

Showing the size of free memory in kilobytes(KB).

kbmemfreewithcached

Showing the size of free memory in kilobytes(KB).kbmemfreewithcached is a value where buffer/cache is included.

kbmemused

Showing the size of allocated memory in kilobytes (KB). This doesn't include the memory allocated by the kernel.

kbmemusednocached

Showing the size of allocated memory in kilobytes(KB).Kbmemusednocached is not an included value though kbmemused is a value where buffer/cache is included.

kbswpcad

Showing the percentage of used swap area.

kbswpfree

Showing the size of available swap area in kilobytes (KB).

kbswpused

Showing the size of used swap area in kilobyts (KB).

pagein kb

Amount of memory swapped in from disk (KB/s).

pagein page

Amount of memory swapped in from disk (page/s).

pageout kb

Amount of memory swapped to disk (KB/s).

pageout page

Amount of memory swapped to disk (page/s).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU. This counter shows the percentage to the time for each processor.

%MEM

Showing the percentage of the process's occupying rate of physical memory.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the total size of process using physical memory. This counter includes library pages used by the ELF processes other than a.out.

SHARE

Showing the size of shared memory used by the process in kilobytes (KB).

SIZE

Showing the total size of the process's codes, data and stacks in kilobytes (KB).

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%guest

Showing the percentage of time spent by the CPU or CPUs to run a virtual processor.

%idle

Showing the percentage of spent time for idling.

%iowait

Showing the percentage of time that the CPU or CPUs were idle during which the system had an outstanding disk I/O request.

%irq

Showing the percentage of time spent by the CPU or CPUs to service interrupts.

%nice

Showing the percentage of the time spent in user-mode. This counter is for the processes changed schedule priority by nice(2).

%soft

Showing the percentage of time spent by the CPU or CPUs to service softirqs.A softirq (software interrupt) is one of up to 32 enumerated software interrupts which can run on multiple CPUs at once.

%steal

Showing the percentage of time spent in involuntary wait by the virtual CPU or CPUs while the hypervisor was servicing another virtual processor.

%sys

Showing the percentage of the time spent in kernel-mode.

%usr

Showing the percentage of the time spent in user-mode.

dentunusd

Showing the number of un-used cache entries of directory cache.

file-nr

Showing the number of used file handler.

inode-nr

Showing the number of used inode handler.

pty-nr

Showing the number of pseudo-terminals.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

Blk_read

The total number of blocks read.

Blk_read/s

Indicate the amount of data read from the drive expressed in a number of blocks per second. A block is of indeterminate size.

Blk_wrtn

The total number of blocks written.

Blk_wrtn/s

Indicate the amount of data written to the drive expressed in a number of blocks per second. A block is of indeterminate size.

tps

Indicate the number of transfers per second that were issued to the device. A transfer is an I/O request to the device. Multiple logical requests can be com-bined into a single I/O request to the device. A transfer is of indeterminate size.

1K-blocks

Showing the total capacity of disk in kilobytes (KB).

Available

Showing the available space of disk in kilobytes (KB).

Use%

Showing the percentage of allocated space.

Used

Showing the size of allocated space in kilobytes (KB).

[References]

Disk monitoring on UNIX agents

%commit

Showing the percentage of needed for current workload memory.

%memused

Showing the percentage of allocated memory.

%memusednocached

Showing the percentage of allocated memory.%memusednocached is not an included value though %memused is a value where buffer/cache is included.

%swpcad

Percentage of cached swap memory in relation to the amount of used swap space.

%swpused

Showing the percentage of used swap area.

kbactive

Showing the size of active memory in kilobytes(KB).

kbbuffers

Showing the size of memory for kernel's buffer in kilobytes (KB).

kbcached

Showing the size of memory for kernel's data cache in kilobytes (KB).

kbcommit

Showing the size of needed for current workload memory in kilobytes.

kbdirty

Showing the size of memory in kilobytes(KB) waiting to get written back to the disk.

kbinact

Showing the size of inactive memory in kilobytes(KB).

kbmemfree

Showing the size of free memory in kilobytes (KB).

kbmemfreenocached

Showing the size of free memory in kilobytes(KB).

kbmemfreewithcached

Showing the size of free memory in kilobytes(KB).kbmemfreewithcached is a value where buffer/cache is included.

kbmemused

Showing the size of allocated memory in kilobytes (KB). This doesn't include the memory allocated by the kernel.

kbmemusednocached

Showing the size of allocated memory in kilobytes(KB).Kbmemusednocached is not an included value though kbmemused is a value where buffer/cache is included.

kbswpcad

Showing the percentage of used swap area.

kbswpfree

Showing the size of available swap area in kilobytes (KB).

kbswpused

Showing the size of used swap area in kilobyts (KB).

pagein kb

Amount of memory swapped in from disk (KB/s).

pagein page

Amount of memory swapped in from disk (page/s).

pageout kb

Amount of memory swapped to disk (KB/s).

pageout page

Amount of memory swapped to disk (page/s).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU. This counter shows the percentage to the time for each processor.

%MEM

Showing the percentage of the process's occupying rate of physical memory.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the total size of process using physical memory. This counter includes library pages used by the ELF processes other than a.out.

SHARE

Showing the size of shared memory used by the process in kilobytes (KB).

SIZE

Showing the total size of the process's codes, data and stacks in kilobytes (KB).

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%gnice

Showing the percentage of time spent by the CPU or CPUs to run a niced guest.

%guest

Showing the percentage of time spent by the CPU or CPUs to run a virtual processor.

%idle

Showing the percentage of spent time for idling.

%iowait

Showing the percentage of time that the CPU or CPUs were idle during which the system had an outstanding disk I/O request.

%irq

Showing the percentage of time spent by the CPU or CPUs to service interrupts.

%nice

Showing the percentage of the time spent in user-mode. This counter is for the processes changed schedule priority by nice(2).

%soft

Showing the percentage of time spent by the CPU or CPUs to service softirqs.A softirq (software interrupt) is one of up to 32 enumerated software interrupts which can run on multiple CPUs at once.

%steal

Showing the percentage of time spent in involuntary wait by the virtual CPU or CPUs while the hypervisor was servicing another virtual processor.

%sys

Showing the percentage of the time spent in kernel-mode.

%usr

Showing the percentage of the time spent in user-mode.

dentunusd

Showing the number of un-used cache entries of directory cache.

file-nr

Showing the number of used file handler.

inode-nr

Showing the number of used inode handler.

pty-nr

Showing the number of pseudo-terminals.

Detailed description about monitored objects [Linux]

This section describes the details of the monitored object (counter) about Linux agent.

The monitored objects (counters) by a Linux agent are displayed differently, depending on the versions of the sysstat package.

Click a version of the sysstat package to display the monitored object. Click it again to hide the object.

And, click the monitored object to display the description of a counter(s). Click it again to hide the counter(s).

<5.0.5>

<6.0.2>

<7.0.0>

<7.0.2>

<8.0.4>

<8.1.5>

<9.0.4>

<10.1.5>


Detailed description about monitored objects [HP-UX]

%busy

Showing the percentage of the time which the device was busy for servicing requests.

avque

Showing avarage count of un-processed requests for a device.

avserv

Showing average service time of each transfer requests for the device in milliseconds. This time includes seek, rotational latency, and data tranfer times.

avwait

Showing average time of transfer requests waiting idly on queue for the device in milliseconds.

blks/s

Showing the number of bytes transferred from and to the device in 512-byte units.

r+w/s

Showing the count of data transfers by "read" and "write" per second.

%used

Showing the percentage of allocated space.

avail

Showing the available space of disk in kilobytes(KB).

kbytes

Showing the total capacity of disk in kilobytes(KB).

used

Showing the size of allocated space in kilobytes(KB).

[Refereneces]

Disk monitoring on UNIX agents

% Memory Used Ex

Showing the percentage of allocated memory.

% Swap Used Ex

Showing the percentage of used swap area.

%devused

About the memory-paging-space placed on the strage device, showing the percentage of the allocated space. When secondary swap is enabled, sum of primary and secondary size is displayed.

%memoryused

About the memory-paging-space, showing the percentage of the allocated space.

deficit

Anticipated short-term memory shortfall.

devfree

About the memory-paging-space placed on the strage device, showing the size of available space for paging later in kilobytes(KB). When secondary swap is enabled, sum of primary and secondary size is displayed.

devused

About the memory-paging-space placed on the strage device, showing the size of allocated space in kilobytes(KB). When secondary swap is enabled, sum of primary and secondary size is displayed.

memoryfree

About the memory-paging-space, showing the size of available space for paging later in kilobytes(KB).

memoryused

About the memory-paging-space, showing the size of allocated space in kilobytes(KB).

pagein kb

Showing the size of paging in data per second in kilobyts(KB).

pagein page

Showing the size of paging in data per second in pagesize.

pageout kb

Showing the size of paging out data per second in kilobyts(KB).

pageout page

Showing the size of paging out data per second in pagesize.

scan rate

Pages scanned by clock algorithm, per second.

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of the process's occupying rate of CPU.

Data

Showing the size of data resources used by processes.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

Shared

Showng the size of shared memory used by the process in kilobytes(KB).

Stack

Showing the size of stack resources used by processes.

Text

Showing the size of text resources used by processes.

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%idle

Showing the percentage of spent time for idling.

%sys

Showing the percentage of the time spent in system-mode.

%usr

Showing the percentage of the time spent in user-mode.

%wio

Showing the percentage of the idling time with some process waiting for I/O (This I/O means only block I/O, raw I/O, or indicated VM pageins/swapins).

exec/s

Showing the count of the "exec()" system call per second.

file-ov

Showing the number of times the file table overflowed (number of times the kernel could not find any available file table entries) between sample points.

file-sz

Showing the current size of the system-file table.

fork/s

Showing the count of the "fork()" and "forkv()" system call per second.

inod-ov

Showing the number of times the i-node table overflowed (number of times the kernel could not find any available i-node table entries) between sample points.

inod-sz

Showing the current size of the i-node table (i-node cache).

proc-ov

Showing the number of times the process table overflowed (number of times the kernel could not find any available process table entries) between sample points.

proc-sz

Showing the current size of the process table.

rchar/s

Showing the count of character transferred by "read" system calls per second (about only block device).

scall/s

Showing the count of all system calls per second.

sread/s

Showing the count of the "read()" and "readv()" system call per second.

swrit/s

Showing the count of the "write()" and "writev()" system call per second.

wchar/s

Showing the count of character transferred by "write" system calls per second (about only block device).

Detailed description about monitored objects [HP-UX]

This section describes the details of the monitored object (counter) about HP-UX agent.

When a monitored object is clicked, the help for the counter will be displayed. Click again to close.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]


Detailed description about monitored objects [Solaris]

%busy

Showing the percentage of the time which the device was busy for transferring requests.

avque

Showing the count of un-processed requests for a device during the device is busy.

avserv

Showing average service time of each transfer requests for the device in milliseconds.

avwait

Showing average time of transfer requests waiting for the device service in milliseconds.

blks/s

Showing the number of bytes transferred from and to the device in 512-bytes units.

r+w/s

Showing the count of data transferred by "read" and "write" per second.

%used

Showing the percentage of allocated space.

avail

Showing the available space of disk in kilobytes(KB).

kbytes

Showing the total capacity of disk in kilobytes(KB).

used

Showing the size of allocated space in kilobytes(KB).

[References]

Disk monitoring on UNIX agents

% Memory Used Ex

Showing the percentage of allocated memory.

% Swap Used Ex

Showing the percentage of used swap area.

deficit

Anticipated short-term memory shortfall.

free

Showing the size of available area in kilobytes(KB).

pagein

Showing the size of paging in data per second in kilobyts(KB).
* The same as pagein kb. This is provided for backward compatibility.

pagein kb

Showing the size of paging in data per second in kilobyts(KB).

pagein page

Showing the size of paging in data per second in pagesize.

pageout

Showing the size of paging out data per second in kilobyts(KB).
* The same as pageout kb. This is provided for backward compatibility.

pageout kb

Showing the size of paging out data per second in kilobyts(KB).

pageout page

Showing the size of paging out data per second in pagesize.

scan rate

Pages scanned by clock algorithm, per second.

swap

Showing the size of available swap area in kilobytes(KB).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of recent CPU time used by the process.

%MEM

Showing the percentage of recent Memory size used by the process.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the resident set size of the process.

SIZE

Showing the total size of virtual memory used by the process.

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%idle

Showing the percentage of spent time for idling.

%sys

Showing the percentage of the time spent in system-mode.

%usr

Showing the percentage of the time spent in user-mode.

%wio

Showing the percentage of the idling time with some process waiting for the block I/O.

[Note]

  • In a multiple-processor environment, the [Processor] object (counter) cannot perform monitoring for each CPU.

exec/s

Showing the count of the "exec()" system call per second.

file-ov

Showing the number of times the file table overflowed between sample points.

file-sz

Showing the current size of the file table.

fork/s

Showing the count of the "fork()" system call per second.

inod-ov

Showing the number of times the i-node table overflowed between sample points.

inod-sz

Showing the current size of the i-node table.

lock-sz

Showing the current size of the lock table.

proc-ov

Showing the number of times the process table overflowed between sample points.

proc-sz

Showing the current size of the process table.

rchar/s

Showing the count of character transferred by "read" system calls per second. This count doesn't include any characters transferred by "exec" and "fork" system calls.

scall/s

Showing the count of all system calls per second.

sread/s

Showing the count of the "read()" system call per second.

swrit/s

Showing the count of the "write()" system call per second.

wchar/s

Showing the count of character transferred by "write" system calls per second. This count doesn't include any characters transferred by "exec" and "fork" system calls.

Detailed description about monitored objects [Solaris]

This section describes the details of the monitored object (counter) about Solaris agent.

When a monitored object is clicked, the help for the counter will be displayed. Click again to close.

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]


Detailed description about monitored objects [AIX]

%tm_act

Indicates the percentage of time the physical disk was active (bandwidth utilization for the drive).

Kb_read

The total number of KB read.

Kb_wrtn

The total number of KB written.

Kbps

Indicates the amount of data transferred (read or written) to the drive in KB/s.

tps

Indicates the number of transfers per second that were issued to the physical disk.

1024-blocks

Showing the total capacity of disk in kilobytes(KB).

Available

Showing the available space of disk in kilobytes(KB).

Capacity

Showing the percentage of the allocated space.

Used

Showing the size of allocated space in kilobytes(KB).

[References]

Disk monitoring on UNIX agents

%MemoryUsedEx

Showing the percentage of allocated memory.

%SwapUsedEx

Showing the percentage of used swap area.

free

Showing the size of available area in kilobytes(KB).

inuse

Showing the size of allocated memory in kilobytes(KB).

pagein kb

Showing the size of paging in data per second in kilobyts(KB).

pagein page

Showing the size of paging in data per second in pagesize.

pageout kb

Showing the size of paging out data per second in kilobyts(KB).

pageout page

Showing the size of paging out data per second in pagesize.

scan rate

Pages scanned by clock algorithm, per second.

swapfree

Showing the size of available swap area in kilobytes(KB).

swapused

Showing the size of used swap area in kilobytes(KB).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

  • The performance of individual NetworkInterface built into the NIB (Network Interface Backup) composition cannot be observed though the performance as the entire NIB composition can be observed in the performance monitor of NetworkInterface.

  • NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of CPU time used by the process.

%MEM

Showing the percentage of recent Memory size used by the process.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the size of physical memory used by the process.

SIZE

Showing the data section of virtual memory used by the process.

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode.

%id

The percentage of time that the logical processor was idle during which it had an outstanding disk I/O request.

%sy

The percentage of physical processor utilization that occurred while executing at the system level (kernel).

%us

The percentage of physical processor utilization that occurred while executing at the user level (application).

%wa

The percentage of time that the logical processor was idle and it did not have an outstanding disk I/O request.

exec/s

Showing the count of the "exec()" system call per second.

file-sz

Showing the current size of the file table.

fork/s

Showing the count of the "fork()" system call per second.

inod-sz

Showing the current size of the i-node table (i-node cache).

proc-sz

Showing the current size of the process table.

rchar/s

Showing the count of character transferred by "read" system calls per second. This count doesn't include any characters transferred by "exec" and "fork" system calls.

scall/s

Showing the count of all system calls per second.

sread/s

Showing the count of the "read()" system call per second.

swrit/s

Showing the count of the "write()" system call per second.

thrd-sz

Showing the current size of the thread table.

wchar/s

Showing the count of character transferred by "write" system calls per second. This count doesn't include any characters transferred by "exec" and "fork" system calls.

%tm_act

Indicates the percentage of time the physical disk was active (bandwidth utilization for the drive).

Kb_read

The total number of KB read.

Kb_wrtn

The total number of KB written.

Kbps

Indicates the amount of data transferred (read or written) to the drive in KB/s.

tps

Indicates the number of transfers per second that were issued to the physical disk.

1024-blocks

Showing the total capacity of disk in kilobytes(KB).

Available

Showing the available space of disk in kilobytes(KB).

Capacity

Showing the percentage of the allocated space.

Used

Showing the size of allocated space in kilobytes(KB).

[References]

Disk monitoring on UNIX agents

%MemoryUsedEx

Showing the percentage of allocated memory.

%SwapUsedEx

Showing the percentage of used swap area.

free

Showing the size of available area in kilobytes(KB).

inuse

Showing the size of allocated memory in kilobytes(KB).

pagein kb

Showing the size of paging in data per second in kilobyts(KB).

pagein page

Showing the size of paging in data per second in pagesize.

pageout kb

Showing the size of paging out data per second in kilobyts(KB).

pageout page

Showing the size of paging out data per second in pagesize.

scan rate

Pages scanned by clock algorithm, per second.

swapfree

Showing the size of available swap area in kilobytes(KB).

swapused

Showing the size of used swap area in kilobytes(KB).

Bytes Received/sec Ex

Shows the rate, in bytes per second, at which were received on the network interface.

Bytes Sent/sec Ex

Shows the rate, in bytes per second, at which were sent on the network interface.

Bytes Total/sec Ex

Shows the rate, in bytes per second, at which were sent and received on the network interface.

[Note]

  • The performance of individual NetworkInterface built into the NIB (Network Interface Backup) composition cannot be observed though the performance as the entire NIB composition can be observed in the performance monitor of NetworkInterface.

  • NetworkInterface object is an object used to display the information of each physical NIC (Network Interface Card). The information of each virtual NIC cannot be displayed. The information of each physical NIC is displayed even in an environment in which there are virtual interfaces configured by using IP aliases.

%CPU

Showing the percentage of CPU time used by the process.

%MEM

Showing the percentage of recent Memory size used by the process.

PID

Showing the process ID.There is a possibility of ending the making process. Therefore, this value is not constant.

RSS

Showing the size of physical memory used by the process.

SIZE

Showing the data section of virtual memory used by the process.

% CPU Usage Ex

Showing the total percentage of the time spent in user-mode and system-mode. For dedicated partitions, the entitled processing capacity is the number of physical processors. For uncapped partitions with a current physical processor consumption above their entitled capacity, the percentage becomes relative to the number of physical processor consumed (physc).

%idle

Indicates the percentage of the entitled processing capacity unused while the partition was idle and did not have any outstanding disk I/O request. For dedicated partitions, the entitled processing capacity is the number of physical processors. For uncapped partitions with a current physical processor consumption above their entitled capacity, the percentage becomes relative to the number of physical processor consumed (physc).

%sys

Indicates the percentage of the entitled processing capacity used while executing at the system level (kernel). For dedicated partitions, the entitled processing capacity is the number of physical processors. For uncapped partitions with a current physical processor consumption above their entitled capacity, the percentage becomes relative to the number of physical processor consumed (physc).

%user

Indicates the percentage of the entitled processing capacity used while executing at the user level (application). For dedicated partitions, the entitled processing capacity is the number of physical processors. For uncapped partitions with a current physical processor consumption above their entitled capacity, the percentage becomes relative to the number of physical processor consumed (physc).

%wait

Indicates the percentage of the entitled processing capacity unused while the partition was idle and had outstanding disk I/O request(s). For dedicated partitions, the entitled processing capacity is the number of physical processors. For uncapped partitions with a current physical processor consumption above their entitled capacity, the percentage becomes relative to the number of physical processor consumed (physc).

exec/s

Showing the count of the "exec()" system call per second.

file-sz

Showing the current size of the file table.

fork/s

Showing the count of the "fork()" system call per second.

inod-sz

Showing the current size of the i-node table (i-node cache).

proc-sz

Showing the current size of the process table.

rchar/s

Showing the count of character transferred by "read" system calls per second. This count doesn't include any characters transferred by "exec" and "fork" system calls.

scall/s

Showing the count of all system calls per second.

sread/s

Showing the count of the "read()" system call per second.

swrit/s

Showing the count of the "write()" system call per second.

thrd-sz

Showing the current size of the thread table.

wchar/s

Showing the count of character transferred by "write" system calls per second. This count doesn't include any characters transferred by "exec" and "fork" system calls.

Detailed description about monitored objects [AIX]

This section describes the details of the monitored object (counter) about AIX agent.

When a monitored object is clicked, the help for the counter will be displayed. Click again to close.

  • Normal environment

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]

  • LPAR environment

[Device]

[LogicalDisk]

[Memory]

[NetworkInterface]

[Process]

[Processor]

[System]


Monitor the performance

To show the performance monitor window, double click the monitoring instance name displayed on the Tree view (inside the topology view). The process monitor window for the performance is displayed at right of the screen.

On the performance monitoring view, a tool bar is displayed at the top, a graph at the middle and a counter list at the bottom of the window.

  • Tool bar

  • , [image] Press the buttons relatively to change the range of displaying time of the graph and monitoring point. See here, for details.

  • Press the [Search] button to refer any point on the graph. See here, for details.

  • Press the [Active line show white] button, then the selected counter in the [Counter list] pane will be displayed in white in the graph.

  • Press the [Description] button, then the explanation of the selected counter in the [Counter list] pane will be displayed under the [Counter list] pane.

  • Press the [Print] button to print the graph. See here, for details.

  • Graph

The counter scale is displayed on the vertical axis, time on the horizontal axis, each counter value in the graph. Double click the desired point on the graph, then the point will be displayed as the center of the graph and the range of displaying time will be shortened one point (zoom in). When a counter is selected in the [Counter list], the threshold of the selected counter will be displayed by the dotted line in the color of each severity (PURFUPERROR, PURFLOWERROR, PURFUPWARNING, PURFDOWNWARNING).

[Note]

  • If the history data is stored less than displayed range (when there is only 2 hours stored, display them for 8 hours range), the graph should be displayed as that the latest data is the right endpoint.

  • As maximum amount of displayed data together on a console limited, old data is discarded when the upper limitation is exceeded. Therefore, not all of past data is available if changing range of monitoring. Past data is available by the search function. For detailed information, refer to here.

  • Counter list

The list of all the monitoring counters is displayed, and the each status of "Severity color", "Color", "Counter", "Scale", "Latest", "Minimum", "Maximum", "Lower Warning", "Lower Error", "Upper Warning", "Upper Error" for each counter will be shown. Check the check box at the left of each counter item to show the counter on the graph. In addition, referring the history data (graph data) and detail settings of the counter (Performance monitor setting) for the selected counter can be executed from the right click menu.

  • The Performance monitor setting can be defined only in the Configuration mode.

When a status is changed during performance monitoring, the following actions are executed for reporting to the operator.

  • The severity color of counter list will be changed to that of the changed status. Also, if any sound is set to the severity, then it sounds (only when monitoring view is open).

  • On the tree view, if the priority of severity, after the status change, is highest within the instance/object in that the counter is included, then the instance/object icon is changed to the severity color after the status change. Also, if the priority is higher than the other nodes in the same group, the color of the upper node is changed.

  • If report is defined, then report will be sent according to the definition.

  • The message to report the status change will be issued.

  • When the monitored resources disappear, the message "Unknown" is displayed. When this occurs, delete the settings.

[Note]

  • Graph data is displayed after values are converted into double-precision floating-point numbers. If a converted value is a value such as an infinite decimal, an approximated value of the original data is displayed.

  • The "Latest", "Minimum", and "Maximum" columns are not displayed for the search results.

[References]

Refer the graph data

Change the display time of the graph

Search history data

Output history data as a file

Delete history data


Refer the graph data

To refer to the graph data of each counter, select the [Graph Data] from the right click menu of a counter, in the counter list of the [Performance monitor] window. Up to 24 hours from the latest time displayed in the [Performance monitor] window will be shown in the [Graph Data] window (to refer from the search result, 0:00 - 24:00 of the specified date can be shown).

  • The IDs for host name (agent name), object name, instance name, counter name and counter ID of the selected counter will be shown.

  • The collected date, time and the data of the graph data at that time will be shown.

  • To close the [Graph Data] window, press the [OK] button.

  • Press the [Save] button, [Save As] dialog will appear and you can save as a CSV file. See here, for details.

[References]

Monitor the performance

Search history data


Change the display time of the graph

Change the range of displaying time and point on the graph displayed in the [Performance monitor] window.

  • Changing display range

Select the time in [image] in the tool box of the [Performance monitor] window. The changing range can be selected from 3min, 5min, 10min, 30min, 1hr, 2hr, 4hr, 8hr, 12hr or 24hr. In addition, the displaying range is shortened by one scale (zoom in) by [image] and is extended (zoom in) by [image] . When the displaying range will be changed with the latest time (the time on the right) currently displayed on the graph as an axis.

  • Change the monitoring point of the graph

Select [image] in the tool box of the [Performance monitor] window, the latest time on the graph will change to current time. In addition, by pressing [image] , the displaying time of the graph will be shifted to the left (past), by pressing [image] , to the right (future). The changed time will be the half of the time selected by [image] .

Double click the desired point on the graph, then the point will be displayed as the center of the graph and the range of displaying time will be shortened one point (zoom in).

[Note]

  • If the history data is stored less than displayed range (when there is only 2 hours stored, display them for 8 hours range), the graph should be displayed as that the latest data is the right endpoint.

  • As maximum amount of displayed data together on a console limited, old data is discarded when the upper limitation is exceeded. Therefore, not all of past data is available if changing range of monitoring. Past data is available by the search function. For detailed information, refer to here.

[References]

Monitor the performance


Print a performance graph

You can print performance graph data as a report.

To open the [Print Setting] dialog, click on the [Print] button from the toolbar in the performance monitor window.

[Print] button

  • Printed Counter
    Counters used within the graph displayed are listed. Put a check on the counters which you wish to print. Unchecked counters will not be printed.

  • [Select/Deselect All] button
    Selects/deselects all the check boxes in the counter list at once.

After selecting the desired counters to print, click OK to open the Print Setup window.

Select the printer to use in the opened window and click OK to start printing.

[References]

Monitor the performance

Print dialog


Search history data

Search the graphs in the past, and facilitate to chase the change of performance. Press the [Search] button on the [Performance monitor] window, [Search] window will appear, and then specify the date to search and press the [OK] button. The search result will be displayed on the new [Performance monitor] window. In the searching result window, only the searched date can be referred.

The result of searching is displayed on new window as following.

Double click the desired point on the graph, then the point will be displayed as the center of the graph and the range of displaying time will be shortened one point (zoom in).

[Note]

The searching history data refers to the stored log file. To search the history data, please check the [Store the histrical data to file] check box on the [Display Setting] tab of the [Counter Detail Setting] window.

[References]

Monitor the performance


Output history data as a file

The history data will be available for other applications by outputting to a CSV file. There are two ways to output the file; outputting from the monitoring window (saved to the monitoring terminal) and outputting from the command line (saved to the agent).

  1. Output from the monitoring window

Output a history data displayed on the [Graph data] window to a file. Press the [Save] button, [Save As] dialog will appear, then specify the place and the file name to save and press [OK] button.

  2. Output from the command line (the command is in the machine in which the manager function is installed.)

Execute the command stored on manager, can output performance histories as a file. Please refer to PerformanceCmd CSV, PerformanceCmd MCSV.

To output a message from the command line, the counter ID is required. Counter ID can be referred from the [Graph Data] window.

[Note]

  • The output history data refers to the stored log file. To save the history data, please check the [Store the historical data to file] check box on the [Display Setting] tab of the [Counter Detail Setting] window.

  • The file is output as Unicode (UTF-16 little endian).

[References]

Monitor the performance

Refer the graph data

PerformanceCmd CSV

PerformanceCmd MCSV


Delete history data

There are two ways to delete a history data; deleting from the monitoring window and deleting from the command line. Please be careful that, in either way, the deleted history data can not be restored.

  1. Delete from the monitoring window

This operation should be executed after shifting into the Configuration mode.

  • Delete all the history data

On the Tree view, select a Performance monitoring node, and select the [Initialize] from the right click menu. The confirmation window of deletion will appear and press the [Yes] button.

  • Delete the history data by specifying a date.

Delete the history data before the specified date. On the Tree view, select a Performance monitoring node, and select the [Swap] from the right click menu. The [Swap] window will appear, specify the date and press the [OK] button. You can also choose a date from a calendar.

  2. Delete from the command line (the command is in the machine in which the manager function is installed.)

Execute the command stored on manager, can delete performance histories. Please refer to PerformanceCmd INIT, PerformanceCmd SWAP.

[References]

Monitor the performance

PerformanceCmd INIT

PerformanceCmd SWAP


About monitoring service ports

This product provides functions to manage and reference the service ports of the agent in the system. The service port monitoring provides the following functions.

  • Service port monitoring function
    Manages the specified service port and monitors the status changes.
    [References]
    Defining service ports to monitor

  • Status display function
    Displays the status of the specified service port.
    Abnormal status of the service port is reported to the operator by changing the node color or by an alarm sound.
    [References]
    Monitoring service ports

  • Reporting function
    When the status of the specified service port is changed, notifies the operator by using the patrol lamp report, email report and action report to call attention.
    [References]
    Specifying the advanced settings for the service ports to monitor

When the status of the service port to monitor is changed, outputs the corresponding message.

A recovery can be performed in the service port monitoring by extracting this message and specifying the recovery settings for the message. For details about the message, click here.


Defining service port monitoring

This operation should be executed after shifting into the Configuration mode.

To define the service port monitoring, right-click the host in the tree view, and then select [Service Port Monitor Setting] from the displayed pop-up menu.

  • All service ports to be monitored are managed using the service port monitoring nodes.
    A service port group cannot be created under the service port monitoring node.

[References]

Defining service ports to monitor


Defining service ports to monitor

This operation should be executed after shifting into the Configuration mode.

To define the monitoring service port of the host, right-click the service port monitoring node in the tree view, and then select [Service Port Setting] from the displayed pop-up menu. The [Service Port Monitor Setting List] dialog box is displayed, and a list of monitored service ports defined for the service port monitoring is displayed.

Click the [OK] button after adding a new port or modifying the advanced settings for the already defined service port to reflect the changes in the definitions.

  • [Add] button
    Adds a new service port to be monitored to the service port monitoring.

  • [Update] button
    Modifies the monitoring service port definition selected in the list.
    Double-clicking an item in the list also performs the update operation.

  • [Delete] button
    Deletes the monitoring service port definition selected in the list.

[References]

Defining service port monitoring

Specifying the advanced settings for the service ports to monitor


Specifying the advanced settings for the service ports to monitor

This operation should be executed after shifting into the Configuration mode.

To display the [Service Port Monitor Setting] dialog box, use one of the following three procedures:

    1. Click the [Add] button in the [Service Port Monitor Setting List] dialog box, or select a service port and then click the [Update] button.

    2. Double-click a service port in the [Service Port Monitor Setting List] dialog box.

    3. Right-click a service port in the monitoring view for the service port, and then select [Service Port Monitor Setting] from the displayed pop-up menu.

  • Monitoring Port
    Specify the monitoring port for the service port. It can also be selected from the standard port list by using the [Browse] button.

    • Display name
      Define the service port name displayed in the monitoring view for the service port by using up to 64 characters. This is a required item.

    • Port number
      Define the service port number to be monitored in the range from 1 to 65535. This is a required item.

    • Protocol
      Select [TCP] or [UDP] for the protocol of the service port to be monitored. This is a required item. The default value is [TCP].

    • [Browse] button
      Click this button to open the [Typical Port List] dialog box and display the standard port list, and then specify the monitoring port by selecting a standard port from the list and clicking the [OK] button.

      The list of standard ports that can be viewed in the [Service Port Monitor Setting] dialog box can be specified by editing the TypicalPortList.csv file. When TypicalPortList.csv is updated, the updates are reflected when the console is restarted.

      • Location of the TypicalPortList.csv file
        <Manager Installation Directory>\Manager\sg\PortMonitor\TypicalPortList.csv

        Character encoding for the file is UTF-16LE (with BOM), and the line feed code is CR+LF.

        Column

        Header name

        Overview

        Setting range

        1

        Display name

        Specify the display name of the standard port.

        1 to 64 characters

        2

        Port number

        Specify the port number of the standard port.

        1 to 65535

        3

        Protocol

        Specify the protocol name of the standard port.

        TCP or UDP

        4

        Description

        Specify the description of the standard port.

        This column is not used.

        0 to 256 characters

        (Setting example)

        "Display name","Port number","Protocol","Description"

        "ftp",21,"TCP","File Transfer [Control]"

        "telnet",23,"TCP","Telnet"

        "smtp",25,"TCP","Simple Mail Transfer"

        "http",80,"TCP","World Wide Web HTTP"

  • Detail
    Specify the advanced settings for the service port.

    • Normal port status
      Select [Open] or [Close] for the normal status of the monitored service port. This is a required item. The default value is [Open].

    • Interval
      For the agent, define the service port monitoring interval in the range from 10 to 86,400 seconds. This check box is not selected by default and the [Interval] option setting is used as the monitoring interval.
      For the remote host, define the service port monitoring interval in the range from 60 to 86,400 seconds. This check box is not selected and the [Remotehost interval] option setting is used as the monitoring interval.
      Define this option to specify the monitoring interval only for this service port.

    • Connect timeout
      Define the monitoring connection timeout in the range from 1 to 60 seconds. Define this option to specify the monitoring connection timeout only for this service port.
      For the agent, this check box is not selected by default and the [Connect timeout] option setting is used as the connection timeout. For the remote host, this check box is not selected by default and the [Remotehost connect timeout] option setting is used as the connection timeout.
      When UDP is selected for the protocol, the actual time for monitoring is twice as much as the connection timeout.
      If a connection timeout occurs, the state of the monitoring port is determined to be "closed."

    • Retry count
      Define the monitoring retry count in the range from 0 to 10. Define this option to specify the monitoring retry count only for this service port.
      For the agent, this check box is not selected by default and the [Retry count] option setting is used as the retry count. For the remote host, this check box is not selected by default and the [Remotehost retry count] option setting is used as the retry count.
      This is valid only when UDP is specified for the protocol.

    • Monitoring address
      Define the IP address (IPv4) to monitor. Define this option to monitor a specific address of the target agent.
      For the agent, the default value is "127.0.0.1". For the remote host, the default value is the IP address when the remote host was registered.

  • Report Setting
    When this check box is selected, the patrol lamp report, email report and action report are performed when the status of the monitored service port is changed. The check box is not selected by default.

    • [Configuration] button
      This is valid only when the [Report Setting] check box is selected. Click the [Configuration] button to specify the advanced settings for the report in the [Report Setting] dialog box. For details about the report, click here.

    • Report only when the service port status is ERROR.
      When this check box is selected, reporting is performed when the status of the monitored service port becomes abnormal. The check box is not selected by default.

[Note]

  • Monitoring time
    The service port monitoring time depends on the settings of the connection timeout and retry count. Be sure that the monitoring time does not exceed the monitoring interval. The monitoring might not be completed within the monitoring interval if the monitoring time exceeds the monitoring interval. In addition, all monitoring processes might not be completed within the monitoring interval if many monitoring service ports are specified.
    The monitoring time can be roughly calculated using the formula below.

    • For TCP
      Monitoring time (seconds) = Connection timeout

    • For UDP
      Monitoring time (seconds) = Connection timeout * (Retry count +1) * 2

  • Monitoring address
    When the target agent has multiple network addresses and the service port opens only to specific network addresses, use this item to specify the target addresses.
    Do not specify an address that is not the target agent address for the monitoring address.

  • Local address monitoring for remote hosts
    Local addresses of remote hosts cannot be monitored.

  • TCP port monitoring
    The TCP port monitoring tries to connect to the service port of the monitoring target, and determines whether the service port is open or closed based on the response from the monitoring target service.

  • UDP port monitoring
    The UDP port monitoring sends UDP packets to the service port of the monitoring target. When an ICMP undelivered response packet is received, the service port is recognized as "closed".
    If the connection times out without an ICMP undelivered response being received, a ping request packet (ECHO Request) is sent to the target agent. When a ping response packet (ECHO Reply) is received, the service port is recognized as "open".
    When the ping also times out, the service port is judged to be "unknown".

  • To monitor UDP ports, change the firewall settings of the agent, remote monitoring agent and remote host to allow ICMP packet transmission.

  • When the service port monitoring is performed sequentially, it might be recognized as a port scanning and packet rating might be performed.

  • Monitoring is conducted with the localhost address that is specified in the hosts file of the monitoring machine when the monitoring address is "localhost" of the reference value.

Monitoring is conducted depending on the monitoring machine environment or by the loop-back address of IPv4 or IPv6 when there is no setting of the localhost address in the hosts file.

Executing "ping localhost" on the monitoring machine enables the checking of the monitoring address.
Only one (IPv4 or IPv6) address is monitored.

  • Monitoring fails when the IP version of the monitoring address is set to OFF in the network setting

  • If you upgrade MCOperations from Ver4.1.1 when the monitored address is the default value ("127.0.0.1"), specify "127.0.0.1 localhost" in the hosts file or set "127.0.0.1" to the monitored address in the monitoring settings if the "localhost" address is not "127.0.0.1."

[References]

Defining service ports to monitor

Reporting


Specifying options for service port monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the service port monitoring, open the [Option Setting] dialog box by selecting [Option] from the [Setting] menu, and then select the [Service Port Monitor] tab.

  • Monitoring interval
    Specify the monitoring interval for the agent in the range from 10 to 86,400 seconds. The default value is 30 seconds.
    This value is used if the equivalent option is not defined individually in the [Service Port Monitor Setting] dialog box of the service port to monitor.
    A shorter monitoring interval enables quicker anomaly detection on the agent, however, more CPU resources of the agent are consumed for monitoring.

  • Remotehost interval
    Specify the monitoring interval for the remote host in the range from 60 to 86,400 seconds. The default value is 60 seconds.
    This value is used if the equivalent option is not defined individually in the [Service Port Monitor Setting] dialog box of the service port to monitor.
    A shorter monitoring interval enables quicker anomaly detection on the remote host, however, more CPU resources of the remote monitoring agent are consumed for monitoring.

  • Connect timeout
    Specify the connection timeout for the agent monitoring in the range from 1 to 60 seconds. The default value is 1 second.
    This value is used if the equivalent option is not defined individually in the [Service Port Monitor Setting] dialog box of the service port to monitor.
    A longer connection timeout can improve the detection accuracy even when the loads on the agent and network are high, however, the monitoring time becomes longer and the monitoring might not be completed within the monitoring interval.
    If a connection timeout occurs, the state of the monitoring port is determined to be "closed."

  • Remotehost connect timeout
    Specify the connection timeout for the remote host monitoring in the range from 1 to 60 seconds.
    The default value is 1 second. This value is used if the equivalent option is not defined individually in the [Service Port Monitor Setting] dialog box of the service port to monitor.
    A longer connection timeout can improve the detection accuracy even when the loads on the remote monitoring agent, remote host and network are high, however, the monitoring time becomes longer and the monitoring might not be completed within the monitoring interval.

  • Retry count
    Specify the retry count when monitoring the UDP port on the agent in the range from 0 to 10 times. The default value is 0.
    This value is used if the equivalent option is not defined individually in the [Service Port Monitor Setting] dialog box of the service port to monitor.
    Increasing the retry count can improve the detection accuracy even when the loads on the agent and network are high, however, the monitoring time becomes longer and the monitoring might not be completed within the monitoring interval.

  • Remotehost retry count
    Specify the retry count when monitoring the UDP port on the remote host in the range from 0 to 10 times.
    The default value is 0. This value is used if the equivalent option is not defined individually in the [Service Port Monitor Setting] dialog box of the service port to monitor.
    Increasing the retry count can improve the detection accuracy even when the loads on the remote monitoring agent, remote host and network are high, however, the monitoring time becomes longer and the monitoring might not be completed within the monitoring interval.

  • Saving agent's monitor status
    When this check box is selected, the monitoring status is retained when the agent or the manager is restarted, and the status report is not sent if the monitoring status after the restart has not been changed since the last time the agent or the manager was stopped. The check box is not selected by default.


Monitoring service ports

To display the monitoring view for the service port, double-click [Service Port Monitor] displayed in the tree view (in the topology view). The monitoring view for the service port is displayed on the right side of the window.

  • List of the service port monitoring
    [Severity], [Display name], [Port number], [Protocol], [Normal port status], [Current port status] and [Monitoring address] of each service port can be viewed.

When a status change occurs during the service port monitoring, the following operations are performed to notify the operator.

  • The color of importance column in the service port monitoring list changes to the importance color corresponding to the new status. In addition, the sound is output if the sound is specified for the importance (only when the monitoring window is opened).

  • In the tree view, if the importance priority of the new status is the highest in the service port monitoring, the service port monitoring icon changes to the color of the importance of the new status. In addition, if the importance is higher than other nodes in the same group, the color of the upper nodes also changes.

  • If reporting is specified, a report is issued according to the definition.

  • A message to report the status change is output.


About agent's log monitoring

This product provides the functions to monitor any logs on the agent in the system and notify the messages to Business View. This function can monitor any application logs working on the agent.

  • Event log monitoring function

Monitor the event logs output on the Windows agent. If the output log matches the message filter, notify the message to Business View.

[References]

About event log monitoring

  • Syslog monitoring function

Monitor the syslogs output on the UNIX agent. If the output log matches the message filter, notify the message to Business View.

[References]

About syslog monitoring

  • Application log monitoring function

Monitor the logs output by any applications working on the agent. If the output log matches the message filter, notify the message to Business View.

[References]

About application log monitoring

New agent is added to the system, the new agent node is added to the tree view, and [Eventlog Monitor] node is added automatically under the new agent node (This is the case of the Windows agent. If the new agent is Unix agent, so [Syslog Monitor] node is added.) To add [Application log Monitor] node, select [Application Log Setting] from the right click menu of agent node.

[Point]

You can define a filter for each of monitor functions. Such filter, called as primary filter, selects messages at agent side and the messages are notified to Business View of manager.

A filter of Business View, called as secondary filter, collects messages sent by all agents.

If primary filter is defined to notify all occurring messages, vast amounts of unnecessary messages are unexpectedly notified to manager, consuming much machine resources of manager. Hence, please define a primary filter to notify only necessary messages.

[Note]

  • If an ANSI escape sequence is included in the monitored log, monitoring might not be performed correctly.


About event log monitoring

This product provides the functions to monitor the event logs on the Windows agent in the system, and notify the messages to Business View.

When the agent bringing up, some nodes will be made automatically under the [Eventlog monitor] node. That nodes have same name as the monitored event logs.

Event log monitoring provides the functions below:

  • Message notification function

Notify the event logs as message to the Business View. At this time, you can set the severity and some other informations for the message according to the log contents.

[References]

Define the filter of event log

Define the selecting conditions for the event log

Define the additional information for notified event log
Define the filter options for event log

Set the options for event log monitoring

  • Monitoring function

Monitor the event logs cooperating with message monitoring function.

[References]

Monitor the event log

  • Displaying function

Display present event log contents.

[References]

Display the present contents of event log

[Note]

  • To monitor event log, open the event viewer on each agent and configure as below.

    • To increase the number of displayed contents for the current event log, increase maximum log size in each properties dialog of "Application", "Security", etc.

    • To monitor without losing the log when the log size reaches the maximum value, change "When maximum log size is reached" to "Overwrite events as needed" in each properties dialog of "Application", "Security", etc.

  • The following messages are displayed if the message text of the event log could not be obtained correctly (that is, if the message text could not be found).

    • For a log to which an insertion parameter is not added
      EventLog Monitor Message: Not found message text.

    • For a log to which an insertion parameter is added
      EventLog Monitor Message: Not found message text. There is the next parameters. (PARAM1=***)(PARAM2=***)...

  • For Windows Server 2008 or later, the event log monitoring monitors the standard logs. They are equivalent to part of "Windows Logs" and "Applications and Services Logs".

  • In event log monitoring in Windows Server 2008 or later, application names starting with "Microsoft-Windows-" may be displayed differently from the event viewer.

  • When creating a filter for event log, refer to the notations on the detail screen of event log monitoring. It is recommended to create a filter by copying the detail screen.

  • During monitoring the event log, when "Windows Event Log" service on the agent is restarted, event log is not monitored any more. Restart the agent service to resume the monitoring.


Define the filter of event log

This operation should be executed after shifting into the Configuration mode.

Defining a filter to extract the messages output on an agent.

From the right click menu of a event log monitoring node (e.g. Application, Secure or System) on the Tree view, select the [Eventlog Filter Setting]. The [Filter Setting] window will appear.

  • Define the selecting condition and the additional information given at notified for each filter.

The filter list, the extract conditions and the information given for notified messages of each filter will be displayed. Filter process is executed from the top of the window sequentially to the bottom, and works on the filter definition which meets the condition first. At this point, all filters lower than the matched filter will not be processed. And, in case all the filters do not meet the conditions, the function doesn't notify the message.

  • [Up] and [Down] buttons

Change the priorities of selected filter. Press [Up] button to exchange the immediately above, and press [Down] button to exchange the immediately below.

  • [Update] button

Redefine the selected filter. Also double clicking the filter item on the list, can redefine the filter.

  • [Add] button

Add the new filter to the selected position. Selected filter and all filters below will be down 1 level. If press [Add] button without selecting the filter, new filter will be added to the bottom.

  • [Delete] button

Delete the selected filter.

  • [Copy] button

Copy the selected filter. Copied filter is added to selected position and has same condition and additional information with the exception of [Filter Name]. Original filter and all filters below will be down 1 level.

  • [Option] button

Open the [Filter Option] dialog and set optional configurations for the event log monitoring.

[References]

Define the selecting conditions for the event log

Define the additional information for notified event log
Define the filter options for event log

Set the options for event log monitoring


Define the selecting conditions for the event log

This operation should be executed after shifting into the Configuration mode.

Define the condition to select from all output log, to notify to the Business view.

Selecting condition will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, set selecting condition on the [Filter Setting] tab, and press [OK] button.

  • Description

Specify a filter name in 256 characters or less. The string specified her will be displayed as the "Filter Name" on the [Filter Setting] window. Description should be not omitted.

  • Type

Specify the filter type. If [Store] is specified, the log matched this filter will be notified to the Business view. If [Ignore] is specified, the log matched this filter will be deleted and not be notified to the Business view.

  • Node (The name of node that outputted message)

Specify the filter conditions for the node in the regular expression format in 256 characters or less. When "Not" is checked, the messages that do not match the regular expression will be selected.

[Note]

  • The maximum length of node name for this product is 256 characters. If the length exceeds the maximum, only the first 256 characters are valid when logs matching the filter are reported in the message.

  • The computer name of event log is used as a node name.

  • Application (The name of application that outputted message)

Specify the filter conditions for the application in the regular expression format in 128 characters or less. When "Not" is checked, the messages that do not match the regular expression will be selected.

[Note]

  • The maximum length of application name for this product is 32 characters. If the length exceeds the maximum, only the first 32 characters are valid when logs matching the filter are reported in the message.

  • Object (Object name of source of message)

Equivalent to "Task Category" or "Category" in Event Viewer, specify filter condition by a regular expression in 128 characters ore less. When "Not" is checked, messages are selected which don't match the regular expression.

[Note]

  • The maximum length of object name for this product is 32 characters. If the length exceeds the maximum, only the first 32 characters are valid when logs matching the filter are reported in the message.

  • "Task Category" or "Category" is displayed in registered names in Event Viewer, but this product uses a 4-digit ID. If the ID is less than 4-digit, higher-order digit is complemented by 0.
    For example, an event log which is displayed as [None] in Event Viewer is managed as [0000].

  • Message ID (Message ID)

Equivalent to "Event ID" in Event Viewer, specify filter condition by a regular expression in 128 characters or less. When "Not" is checked, messages are selected which don't match the regular expression.

[Note]

  • The maximum length of message ID for this product is 32 characters. If the length exceeds the maximum, only the first 32 characters are valid when logs matching the filter are reported in the message.

  • This product manages Event ID as 8-digit ID. If the ID is less than 8-digit, higher-order digit is complemented by 0.
    For example, an event log which is displayed as [1234] in Event Viewer is managed as [00001234].

  • Message Text (Message body text)

Specify filter condition a regular expression in 1024 characters or less. When "Not" is checked , messages are selected which don't match the regular expression.

[Note]

  • The maximum length of message text for this product is 1024 characters. If the length exceeds the maximum, only the first 1024 characters are valid when logs matching the filter are reported in the message.

  • Select by Position

Specify the condition whether a string is exist on particular position in the contents. This item can be defined up to 8. When "Not" is checked, the log contents that do not match the condition will be selected.

  • Position

Specify the position in the message text, where you want to start matching, in the range of 1-1024.

  • Condition

Specify the matching conditions.

  • Value

Specify the matching value in 64 characters or less. Can't specify the [Value] with the regular expression.

[e.g.]

To extract the log contents that "Abnormality" appears in the 10th character of the message text, it specifies it as follows.

Position | : 10
Condition | : =
Value | : Abnormality

  • Select by Key

Specify the condition with the particular key value in the contents. This item can be defined up to 8. When "Not" is checked, the log contents that do not match the condition will be selected.

  • Key

Specify the key in the log contents in 64 characters or less.

  • Condition

Specify the matching conditions. In the case of "=" is selected, compare the value with regular expression. Otherwise, compare in binary.

  • Value

Input the matching value. Only when the [Condition] is set as "=", the [Value] should be specified with the regular expression.

[e.g.]

When the string "error_number = 5" (the "5" will change) exists in the message text, and extracting the messages with error_number under 4, specify as follows:

Key | : error_number
Condition | : <=
Value | : 4

Key and Value, which are used in Select by Key, should be surrounded by a separator in the contents. Separators that can be recognized are half-width blank, (, ), [, ], {, }, <, >. Note that a character string containing a full-width blank cannot be specified for the key value.

[e.g.]
(error_number=1)

Note that blanks between Key, = and Value are ignored.

  • Severity
    Select the search conditions for Severity. When "Not" is checked, the messages that do not match the select conditions will be the targets.

    [Note]

    • This product treats "Critical" in the event log as "Error". “Error" and "Critical" cannot be distinguished.

    • It corresponds to the event log type and the severity of this product as follows.

Event log type | Severity of this product
Success | Normal
Information | Normal
Warning | Warning
Error | Abnormal
Critical | Abnormal
Success Audit | Normal
Failure Audit | Abnormal

[Note]

  • If the condition is omitted, then the condition is not used (all the messages will match).

  • To extract a log, the contents of the message must match all condition specified here.

  • Comma (,) and double quotation (") are not allowed for this window.

[References]

Define the filter of event log

Define the additional information for notified event log

Define the filter options for event log


Define the additional information for notified event log

This operation should be executed after shifting into the Configuration mode.

Define the additional information for notified message.

Selecting condition will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, enter the additional information on the [Display Setting] tab, and press [OK] button.

  • Overwrite Severity

Change the message severity meets the filter conditions to the specified severity. User marks cannot be selected here.

  • Overwrite Node
    Change the message node name meets the filter conditions to the specified node name in 256 characters or less.

When "$NODE$" is used, it will be replaced with the agent name in the message notification.

[References]

Define the filter of event log

Define the selecting conditions for the event log

Define the filter options for event log


Define the filter options for event log

This operation should be executed after shifting into the Configuration mode.

Define option settings for extracted logs.

Selecting option settings will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, enter the option settings on the [Option Setting] tab, and press [OK] button.

  • Message Ignore Function

    • Use Ignore Function
      Check this to use the message ignore function.

    • Monitoring Interval
      Specify a value in the range of 1 to 3,600 seconds for the time period that must elapse before the next message will be notified after the previous log is extracted.
      A message for an extracted log will be notified when and after this time period elapses, and then the interval will be reset to the original value.

    • Reset Option
      Check this if you disable the message notification function for logs that are extracted during the time period for no message notification and reset the monitoring interval to the original value when one is extracted.
      Use this check box if you want to continue to suppress message notifications for extracted logs.

    • Ignore Movement
      Specify the operation when ignoring messages.

      • [Delete the messages in the monitoring interval]
        If multiple logs that match the filter are detected within the monitoring interval, a message report will be sent only for the first log. The other logs will be deleted without being reported.
        Filters with a lower priority than the filter in question are disabled and logs that match the lower-priority filter within the monitoring interval are also deleted.

      • [Apply the messages in the monitoring interval to the following filter]
        If multiple logs that match the filter are detected within the monitoring interval, a message report will be sent only for the first log and the filter will be disabled for subsequent logs.
        The logs that match the filter within the monitoring interval will be checked against filters in order of priority if filters with a lower priority than the filter in question have been set, and a message report will be sent if a matching log is detected.

[Note]

  • After the message ignore function as a filter option, the same message ignore function set as an option is performed.

[References]

Define the filter of event log

Define the selecting conditions for the event log

Define the additional information for notified event log


Set the options for event log monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the event log monitoring, press [Option] button on the [Filter Setting] dialog.

  • Same Message Ignore Function

  • Use Ignore Function

Specify notification/non-notification of the messages when the same logs are output in a short period. If you check this, the monitoring function does not notify the message for a same logs output in a specified period, so the number of notified messages is controlled.

    • Message Count

Specify the maximum number of items for the log type targeted for message suppression for each event log. Specify within the range of 256 - 4096. The default is 1024.

When the count of the controlled logs is exceeded specified maximum number, the oldest log (The longest log not output) will be out of the controlled.

    • Monitoring Interval

Specify how long to control same logs. Specify within the range of 1 - 3600. The default is 10.

[e.g.]

When the Monitoring Interval is specified as 5 seconds, the Ignore Function will perform as below for following logs output.

elapsed time (sec) | log | notification | action
000 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 060)
010 | LOG002 | Yes | - LOG002 is added to the ignored target (Till 070)
020 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 080)
030 | LOG004 | Yes | - LOG004 is added to the ignored target (Till 090)
040 | LOG001 | No | - LOG001 is not notified
050 | LOG002 | No | - LOG002 is not notified
060 | LOG004 | No | - LOG004 is not notified - LOG001 is out of target
070 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 130) - LOG002 is out of target
080 | LOG001 | No | - LOG001 is not notified - LOG003 is out of target
090 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 150) - LOG004 is out of target

    • Reset Option

Specify whether the elapsed time to control message notification is reset when the same log is output. If you check this option, the Ignore Function resets the elapsed time of message notification control to 0 every time when the same log is output.

[e.g.]

When the Monitoring Interval is specified as 5 seconds, and Reset Option is checked, the Ignore Function will perform as below for following logs output.

elapsed time (sec) | log | notification | action
000 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 060)
010 | LOG002 | Yes | - LOG002 is added to the ignored target (Till 070)
020 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 080)
030 | LOG004 | Yes | - LOG004 is added to the ignored target (Till 090)
040 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 100)
050 | LOG002 | No | - LOG002 is not notified and reset the control time to 0 (This log is controlled till 110)
060 | LOG004 | No | - LOG004 is not notified and reset the control time to 0 (This log is controlled till 120)
070 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 130)
080 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 140) - LOG003 is out of target
090 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 150)

  • Exclude Numeric Value

If you check this option, the Ignore Function does not think the differences of numeric between other logs. In this case, the Ignore Function can work for the log includes output time, or some numeric data.

[e.g.]
After the numeric value is excluded when "2000/12/12 error = 0" is compared with "2000/5/12 error = 1", both are regarded as "// error =", and it is judged that it is the same message.

[Note]

  • The option setting becomes set of each event log.

  • After the message ignore function as a filter option, the same message ignore function set as an option is performed.

[References]

Define the filter of event log

Set the options for syslog monitoring

Set the options for application log monitoring


Monitor the event log

Notifying messages for the especial log by the event log monitoring function, you can monitor the application logs cooperating with the Business view. About the Business view detail, please refer to the paragraph of Monitor the message.

[References]

About message monitoring


Display the present contents of event log

Reading the monitored event log file, and display the present contents. To display the present contents of event log, double click the event log node on the Tree view.

  • Refresh

Display the latest contents.

  • Show/Hide Message Text.

Change show or hide the pane that displays the message text of selected log.

Double click an event log in the list to display the properties window of the event log.

  • [Up] and [Down] buttons
    Press the log of displaying properties. Press [Up] button to exchange the immediately above, and press [Down] button to exchange the immediately below.

  • [Copy] button
    Copy the contents of log to clip board.

[Note]

  • On displayed function, the contents of all event log are displayed regardless of the filter setting of the event log.

  • If the event log is written more than 1000 items, the latest 1000 items are displayed.

  • Displayed content is the content of event log file stored disk, so it differs from notified message. To confirm the content of notified message, please refer to the message monitoring function on the Business view.

  • Since a log cache is stored in the agent, if an event log is deleted after starting the agent, a log from before the deletion may be displayed.

[References]

Monitor the message


About syslog monitoring

This product provides the functions to monitor the syslogs on the UNIX agent in the system, and notify the messages to Business View.

The log files output specified in following file are monitored targets.

/etc/syslog.conf

/etc/rsyslog.conf (Linux only)

The above-mentioned files are read when the agent starts, and the node whose name is same as the syslog name is made under the syslog monitor node in the agent node.

Syslog monitoring provides the functions below:

  • Message notification function

Notify the syslogs as message to the Business View. At this time, you can set the severity and some other informations for the message according to the log contents.

[References]

Define the filter of syslog

Define the selecting conditions for the syslog

Define the additional information for notified syslog
Define the filter options for syslog

Set the options for syslog monitoring

  • Monitoring function

Monitor the syslogs cooperating with message monitoring function.

[References]

Monitor the syslog

  • Displaying function

Display present syslog contents.

[References]

Display the present contents of syslog

[Note]

  • The size of monitorable syslog is 2GB (2147483648bytes) or less.

  • When using multibyte characters within syslog.conf and within rsyslog.conf, set the character code to UTF-8 within either of them.

  • If an unspecifiable setting is used as a file name in syslog.conf for a template in the rsyslog.conf description, the file cannot be monitored. To monitor such a file, use the application log monitoring function or specify the syslog definition dedicated to monitoring so as to avoid using a template.

Example: Files that are designated for output by the configuration file corresponding to $IncludeConfig are excluded from monitoring.

  • Even if syslogd and/or rsyslogd is not started, the system logs will be monitored targets when the configuration file (syslog.conf and/or rsyslog.conf) is present. If you want to remove some system logs from the monitored targets, remove or rename syslog.conf and/or rsyslog.conf.

  • Environments where syslog.conf is described to write logs to the shared disk are not supported.
    When monitoring files on a shared disk in a cluster environment, an unexpected operation might occur when switching clusters, such as resending a syslog that is already monitored.

  • When the syslog described in syslog.conf and rsyslog.conf does not exist when the agent starts, the node and filter definitions of the syslog name are deleted.


Define the filter of syslog

This operation should be executed after shifting into the Configuration mode.

Defining a filter to extract the messages output on an agent.

From the right click menu of a syslog monitoring node on the Tree view, select the [Syslog Filter Setting]. The [Filter Setting] window will appear.

  • Define the selecting condition and the additional information given at notified for each filter.

The filter list, the extract conditions and the information given for notified messages of each filter will be displayed. Filter process is executed from the top of the window sequentially to the bottom, and works on the filter definition which meets the condition first. At this point, all filters lower than the matched filter will not be processed. And, in case all the filters do not meet the conditions, the function doesn't notify the message.

  • [Up] and [Down] buttons

Change the priorities of selected filter. Press [Up] button to exchange the immediately above, and press [Down] button to exchange the immediately below.

  • [Update] button

Redefine the selected filter. Also double clicking the filter item on the list, can redefine the filter.

  • [Add] button

Add the new filter to the selected position. Selected filter and all filters below will be down 1 level. If press [Add] button without selecting the filter, new filter will be added to the bottom.

  • [Delete] button

Delete the selected filter.

  • [Copy] button

Copy the selected filter. Copied filter is added to selected position and has same condition and additional information with the exception of [Filter Name]. Original filter and all filters below will be down 1 level.

  • [Option] button

Open the [Filter Option] dialog and set optional configurations for the syslog monitoring.

[References]

Define the selecting conditions for the syslog

Define the additional information for notified syslog

Define the filter options for syslog

Set the options for syslog monitoring


Define the selecting conditions for the syslog

This operation should be executed after shifting into the Configuration mode.

Define the condition to select from all output log, to notify to the Business view.

Selecting condition will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, set selecting condition on the [Filter Setting] tab, and press [OK] button.

  • Description

Specify a filter name in 256 characters or less. The string specified her will be displayed as the "Filter Name" on the [Filter Setting] window. Description should be not omitted.

  • Type

Specify the filter type. If [Store] is specified, the log matched this filter will be notified to the Business view. If [Ignore] is specified, the log matched this filter will be deleted and not be notified to the Business view.

  • Message Text

Specify the filter conditions for the log contents in the regular expression format in 1024 characters or less. When "Not" is checked, the messages that do not match the regular expression will be selected.

[Note]
The maximum length of message text for this product is 1024 characters. If the length exceeds the maximum, only the first 1024 characters are valid when logs matching the filter are reported in the message.

  • Select by Position

Specify the condition whether a string is exist on particular position in the contents. This item can be defined up to 8. When "Not" is checked, the log contents that do not match the condition will be selected.

  • Position

Specify the position in the message text, where you want to start matching, in the range of 1-1024.

  • Condition

Specify the matching conditions.

  • Value

Specify the matching value in 64 characters or less. Can't specify the [Value] with the regular expression.

[e.g.]

To extract the log contents that "Abnormality" appears in the 10th character of the message text, it specifies it as follows.

Position | : 10
Condition | : =
Value | : Abnormality

Key and Value, which are used in Select by Key, should be surrounded by a separator in the contents. Separators that can be recognized are half-width blank, (, ), [, ], {, }, <, >. Note that a character string containing a full-width blank cannot be specified for the key value.

[e.g.]
(error_number=1)

Note that blanks between Key, = and Value are ignored.

  • Select by Key

Specify the condition with the particular key value in the contents. This item can be defined up to 8. When "Not" is checked, the log contents that do not match the condition will be selected.

  • Key

Specify the key in the log contents in 64 characters or less.

  • Condition

Specify the matching conditions. In the case of "=" is selected, zcompare the value with regular expression. Otherwise, compare in binary.

  • Value

Input the matching value. Only when the [Condition] is set as "=", the [Value] should be specified with the regular expression.

[e.g.]

When the string "error_number = 5" (the "5" will change) exists in the message text, and extracting the messages with error_number under 4, specify as follows:

Key | : error_number
Condition | : <=
Value | : 4

[Note]

  • If the condition is omitted, then the condition is not used (all the messages will match).

  • To extract a log, the contents of the message must match all condition specified here.

  • Comma (,) and double quotation (") are not allowed for this window.

[References]

Define the filter of syslog

Define the additional information for notified syslog

Define the filter options for syslog


Define the additional information for notified syslog

This operation should be executed after shifting into the Configuration mode.

Define the additional information for notified message.

Selecting condition will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, set selecting condition on the [Display Setting] tab, and press [OK] button.

  • Severity

Select the "Severity" information given the message notified to Business view. Severity should be not omitted.

  • Category

Specify the "Category" information given the message notified to the Business view. Specify your desired category name in 32 characters or less, or select from all monitored syslog name. Category should be not omitted.

  • Node (Node name that outputs log)

Specify the "Node" information given the message notified to Business view in 256 characters or less. Node should be not omitted.

In addition, if specify "$NODE$" as Node information, so Node information is set as the agent host name at notified to the Business view.

  • Application (Application name that outputs log)

Specify the "Application" information given the message notified to Business view in 32 characters or less. Application should be not omitted.

  • Object (Object name of log origin)

Specify the "Object" information given the message notified to Business view in 32 characters or less. Object should be not omitted.

  • MessageID

Specify the "Message ID" given the message notified to Business view in 32 characters or less. Message ID should be not omitted.

[References]

Define the filter of syslog

Define the selecting conditions for the syslog

Define the filter options for syslog


Define the filter options for syslog

This operation should be executed after shifting into the Configuration mode.

Define option settings for extracted logs.

Selecting option settings will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, enter the option settings on the [Option Setting] tab, and press [OK] button.

  • Message Ignore Function

    • Use Ignore Function
      Check this to use the message ignore function.

    • Monitoring Interval
      Specify a value in the range of 1 to 3,600 seconds for the time period that must elapse before the next message will be notified after the previous log is extracted.
      A message for an extracted log will be notified when and after this time period elapses, and then the interval will be reset to the original value.

    • Reset Option
      Check this if you disable the message notification function for logs that are extracted during the time period for no message notification and reset the monitoring interval to the original value when one is extracted.
      Use this check box if you want to continue to suppress message notifications for extracted logs.

    • Ignore Movement
      Specify the operation when ignoring messages.

      • [Delete the messages in the monitoring interval]
        If multiple logs that match the filter are detected within the monitoring interval, a message report will be sent only for the first log. The other logs will be deleted without being reported.
        Filters with a lower priority than the filter in question are disabled and logs that match the lower-priority filter within the monitoring interval are also deleted.

      • [Apply the messages in the monitoring interval to the following filter]
        If multiple logs that match the filter are detected within the monitoring interval, a message report will be sent only for the first log and the filter will be disabled for subsequent logs.
        The logs that match the filter within the monitoring interval will be checked against filters in order of priority if filters with a lower priority than the filter in question have been set, and a message report will be sent if a matching log is detected.

[Note]

  • After the message ignore function as a filter option, the same message ignore function set as an option is performed.

[References]

Define the filter of syslog

Define the selecting conditions for the syslog

Define the additional information for notified syslog


Set the options for syslog monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the syslog monitoring, press [Option] button on the [Filter Setting] dialog.

  • Same Message Ignore Function

  • Use Ignore Function

Specify notification/non-notification of the messages when the same logs are output in a short period. If you check this, the monitoring function does not notify the message for a same logs output in a specified period, so the number of notified messages is controlled.

    • Message Count

Specify the maximum number of items for the log type targeted for message suppression for each syslog. Specify within the range of 256 - 4096. The default is 1024.

When the count of the controlled logs is exceeded specified maximum number, the oldest log (The longest log not output) will be out of the controlled.

    • Monitoring Interval

Specify how long to control same logs. Specify within the range of 1 - 3600. The default is 10.

[e.g.]

When the Monitoring Interval is specified as 5 seconds, the Ignore Function will perform as below for following logs output.

elapsed time (sec) | log | notification | action
000 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 060)
010 | LOG002 | Yes | - LOG002 is added to the ignored target (Till 070)
020 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 080)
030 | LOG004 | Yes | - LOG004 is added to the ignored target (Till 090)
040 | LOG001 | No | - LOG001 is not notified
050 | LOG002 | No | - LOG002 is not notified
060 | LOG004 | No | - LOG004 is not notified - LOG001 is out of target
070 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 130) - LOG002 is out of target
080 | LOG001 | No | - LOG001 is not notified - LOG003 is out of target
090 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 150) - LOG004 is out of target

    • Reset Option

Specify whether the elapsed time to control message notification is reset when the same log is output. If you check this option, the Ignore Function resets the elapsed time of message notification control to 0 every time when the same log is output.

[e.g.]

When the Monitoring Interval is specified as 5 seconds, and Reset Option is checked, the Ignore Function will perform as below for following logs output.

elapsed time (sec) | log | notification | action
000 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 060)
010 | LOG002 | Yes | - LOG002 is added to the ignored target (Till 070)
020 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 080)
030 | LOG004 | Yes | - LOG004 is added to the ignored target (Till 090)
040 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 100)
050 | LOG002 | No | - LOG002 is not notified and reset the control time to 0 (This log is controlled till 110)
060 | LOG004 | No | - LOG004 is not notified and reset the control time to 0 (This log is controlled till 120)
070 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 130)
080 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 140) - LOG003 is out of target
090 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 150)

  • Exclude Numeric Value

If you check this option, the Ignore Function does not think the differences of numeric between other logs. In this case, the Ignore Function can work for the log includes output time, or some numeric data.

[e.g.]
After the numeric value is excluded when "2000/12/12 error = 0" is compared with "2000/5/12 error = 1", both are regarded as "// error =", and it is judged that it is the same message.

  • Monitor Option

  • Message of all logs transmit, when continuance of monitoring is impossible.

Specify whether the application log monitoring function notifies messages for all logs of the application log file except all back up files (up to 1 GB from the end) when the continuance of monitoring is impossible.

[Note]

  • About Linux Agent, the backup files are automatically specified with following patterns.

    • logrotate version 3.7.5 or older
      [Log File Name].<N>
      * <N> is a number from 1 to 4.

    • logrotate version 3.7.6 or later
      [Log File Name]-<YYYYMMDD>
      * <YYYYMMDD> is a date.

  • About Solaris Agent, the backup files are automatically specified with following patterns.

[Log File Name].$n

*:$n is number within the range of 0 - 3.

However, for only /var/cron/log, monitor the following files as a backup file.

/var/cron/olog

  • About HP-UX and AIX Agent, don't monitor the backup file.

  • Char Code

Specify the character code of log file.

Chinese Simplified (GB18030) | Not suppot on English OS.
Chinese Simplified (GB2312) | Not suppot on English OS.
Chinese Traditional (Big5) | Not suppot on English OS.
Japanese (JIS 0208-1990 and 0212-1990) | Not suppot on English OS.
Japanese (JIS) | Not suppot on English OS.
Japanese (Shift-JIS) | Not suppot on English OS.
Unicode | Read in Unicode (Little-Endian).
Unicode (Big-Endian) | Read in Unicode (Big-Endian).
Unicode (UTF-8) | Read in Unicode (UTF-8).
US-ASCII | Read in ASCII.

It is set to "Default" in default. "Default" is as the predetermined character-code for the each systems. It is Japanese (JIS 0208-1990 and 0212-1990) in Linux and Solaris agent, and Japanese (Shift-JIS) in HP-UX and AIX agent.

[Note]

  • A blank message is reported when the character encoding conversion fails.

    • Specify File Name
      Select this to specify the backup file name. If not selected, the backup file name is named using the standard naming rule.

    • Log File Name

      Specify the back up file, in 256 characters or less. If the [Browse] button is pressed, [Directory in Host] dialog will appear and you can select your desired log file on the host.
      The monitored log file name should not be omitted.

      For application log names, the following replacement character strings are available to specify an undetermined file name.

      <YYYYMMDD>

      Specifying date Specify the year in four digits, the month in two digits, and the day in two digits. Files indicating unavailable year, month, or day are not monitored.

      <YYMMDD>

      Specifying date Specify year in two digits, the month in two digits, and the day in two digits. Files indicating unavailable year, month, or day are not monitored.

      <YYYY>

      Specifying date Specify the year in four digits. Files indicating unavailable year are not monitored.

      <YY>

      Specifying date Specify the year in two digits. Files indicating unavailable year is not monitored

      <MMDD>

      Specifying date Specify the month in two digits, and the day in two digits. Files indicating unavailable month or day are not monitored.

      <MM>

      Specifying date Specify the month in two digits. Files indicating unavailable month is not monitored.

      <DD>

      Specifying date Specify the day in two digits. Files indicating unavailable day is not monitored.

      <N>

      Specifying number Specify a one-digit number.

      <!N>

      Specifying number Specify a one-digit number.The priority level when files are compared in the one with large number rises.

      <*>

      Specifying character string.. Specify the character string of 0 characters or more.

      [Note]
      • About the combination of two or more replacement character strings

      • The replacement character string of date specifying or numeric specifying can specify two or more times.

      • The replacement character string of character string specifying only can not specify two or more times.

      • The each replacement character string can be combined with it.

      • About <*>

      • <*> is used as a character string of 0 characters or more.

      • All files that there is ".log" in the head of the file name at the end of "syslog" and the file name are targets,when specifying "syslog<*>.log". <*> can specify at the head and the end of the file name.

      • It is uncertain which file is monitored when there are two or more files suited into the condition.

      • About the comparison of the file names

      • If there are multiple applicable files, the file of the highest order in the following rules is a file to be monitored.

        Specifying date: Order is higher as date is newer.
        Specifying number: Order is higher as number is smaller for <N> or number is larger for <!N>.
        Specifying character string: It doesn't influence the priority level.

      • When date specifying or numeric specifying is combined with it, the following is compared by priority.
        High <YYYYMMDD> = <YYMMDD> -> <YYYY> = <YY> -> <MMDD> -> <MM> -> <DD>-> <N> = <!N> Low.

      • When two or more replacement character strings of the same priority are specified, it is compared from an early appearance in sequence (the one near the head of file name).

      • Others

      • he above mentioned replacement character string can be specified only for file names. It is not possible to specify it for the file path (directory name).

      • A maximum of 9 files can be monitored for a total of target files with log file names and target backup files. When a file name is specified with a replacement character string, 9 files will be regarded as monitored targets in the descending order of priority.
        If you specify a replacement character string both for target files having log file names and target backup files, the former target files take precedence over the latter.

      • Usage example
        /var/log/syslog<YYYYMMDD>.log
        /var/log/syslog<N>.log
        /var/log/syslog<YYMMDD>.log<!N>
        /var/log/syslog<MMDD>.log<N><!N>
        /var/log/syslog<YYYYMMDD>-<YYYYMMDD>.log
        /var/log/sysylog<YYYY><MM><DD>.log
        /var/log/syslog<YYYY><*>.log

[Note]

  • The option setting becomes set of each syslog.

  • After the message ignore function as a filter option, the same message ignore function set as an option is performed.

[References]

Define the filter of syslog

Set the options for event log monitoring

Set the options for application log monitoring


Monitor the syslog

Notifying messages for the especial log by the syslog monitoring function, you can monitor the application logs cooperating with the Business view. About the Business view detail, please refer to the paragraph of Monitor the message.

[Note]

  • If time information is obtained in the log, it is used at the generation date and the generation time and deleted from the main text.

  • If time information is not obtained in the log, the monitoring time is displayed at the generation date and the generation time.

  • Time information is obtained at the following format.

Month(three characters) Day HH:MM:SS text

[e.g.] Jan 12 12:34:50 myhost syslogd restart.

[References]

About message monitoring


Display the present contents of syslog

Reading the monitored syslog file, and display the present contents. To display the present contents of syslog, double click the syslog node on the Tree view.

  • Refresh

Display the latest contents.

  • Show/Hide Message Text.

Change show or hide the pane that displays the message text of selected log.

Double click a syslog in the list to display the properties window of the syslog.

  • [Up] and [Down] buttons
    Press the log of displaying properties. Press [Up] button to exchange the immediately above, and press [Down] button to exchange the immediately below.

  • [Copy] button
    Copy the contents of log to clip board.

[Note]

  • On displayed function, the contents of all syslog are displayed regardless of the filter setting of the syslog.

  • If get no time information from log, the generation date and time will be displayed empty.

  • If the log is written more than 1000 lines, the latest 1000 lines are displayed.

  • If a line has characters more than 1024, only first 1024 characters will be displayed.

  • Displayed content is the content of syslog file stored disk, so it differs from notified message. To confirm the content of notified message, please refer to the message monitoring function on the Business view.

[References]

Monitor the message


About application log monitoring

This product provides the functions to monitor any application logs on the agent in the system, and notify the messages to Business View. Application log monitoring provides the functions below:

  • Message Notification function

Notify the application logs as message to the Business View. At this time, you can set the severity and some other informations for the message according to the log contents.

[References]

Define the application log group

Define the monitoring application log

Monitor the backup files of the application log

Define the filter of the application log

Define the selecting conditions for the application log
Define the filter options for application log

Set the options for application log monitoring

  • Monitoring function

Monitor the application logs cooperating with message monitoring function.

[References]

Monitor the application log

  • Displaying function

Display present log contents for the specified log file.

[References]

Display the present log contents

[Note]

A log file monitored by application log monitoring function should meet the following conditions.

  • Text format

  • Delimited by line break (LF or CRLF)

  • Maximum size is less than 2GB (2147483648bytes)

  • The size of one line must be less than 10MB

  • Log is appended to the tail (No change in previous record)

  • Generation managed
    Following types of cyclic log are not supported

    • Separately keep a pointer specifying where to write and write log according to the pointer.

    • Overwritten from head of the file when maximum size is exceeded.

    • A file is deleted periodically and a file isn't created until log is written in once again.

    • Method that could generate a line that has the same position and content from the start of a file as those of the previous generation.

  • File name conversion can be specified by the string conversion.

  • It must be a log file on the local disk of the agent (Login is not required to access the file.)

  • Application log monitoring cannot monitor files on the network. Not supported even when mounted.

  • If a file set to be monitored does not exist for application log monitoring, the monitoring process may take time. The memory usage of the agent may increase depending on the monitoring interval.


Define the application log group

This operation should be executed after shifting into the Configuration mode.

To define an application log group, select [Application Log Group Setting] from the right click menu of a application log monitoring node on the Tree view. The [New Group] dialog will appear, fill in the each field, and press the [OK] button.

  • As a monitored application log is managed in a group, you need to define an application log group before you define application log monitoring.

  • An application log group can be also added by selecting [Application Log Group Setting] on the right click on a host node.

  • Group Name

Specify you desired group name in 64 characters or less.

The group name should not be omitted.

  • Icon File

Specify the icon to be displayed, in 256 characters or less. If the [Browse] button is pressed, [Open] dialog will appear and you can select your desired icon file. The file can be defined as an icon is an icon file (extension "ico") or an executable file with an icon resource (extension "exe"). If the specified file is not correct, the default icon will be used. The environment variable can also be used for the path name of the file.

If the icon file is omitted, the default icon will be used.

[References]

Define the monitored application log


Define the monitored application log

This operation should be executed after shifting into the Configuration mode.

To define a monitoring application log, select [Application Log Setting] from the right click menu of an application log group on the Tree view. The [Application Log Setting] dialog will appear, fill in the each fields, and press the [OK] button.

  • Application Log Name
    Specify your desired name in 32characters or less.
    The application log name should not be omitted.

  • Icon File
    Specify the icon to be displayed, in 256 characters or less. If the [Browse] button is pressed, [Open] dialog will appear and you can select your desired icon file. The file can be defined as an icon is an icon file (extension "ico") or an executable file with an icon resource (extension "exe"). If the specified file is not correct, the default icon will be used.
    The environment variable can also be used for the path name of the file.
    If the icon file is omitted, the default icon will be used.

  • Log File Name
    Specify the monitored log file, in 256 characters or less. If the [Browse] button is pressed, [Directory in Host] dialog will appear and you can select your desired log file on the host.
    The monitored log file name should not be omitted.
    For log file names, the following replacement character strings are available to specify an undetermined file name.

    <YYYYMMDD>

    Specifying date Specify the year in four digits, the month in two digits, and the day in two digits. Files indicating unavailable year, month, or day are not monitored.

    <YYMMDD>

    Specifying date Specify year in two digits, the month in two digits, and the day in two digits. Files indicating unavailable year, month, or day are not monitored.

    <YYYY>

    Specifying date Specify the year in four digits. Files indicating unavailable year are not monitored.

    <YY>

    Specifying date Specify the year in two digits. Files indicating unavailable year is not monitored

    <MMDD>

    Specifying date Specify the month in two digits, and the day in two digits. Files indicating unavailable month or day are not monitored.

    <MM>

    Specifying date Specify the month in two digits. Files indicating unavailable month is not monitored.

    <DD>

    Specifying date Specify the day in two digits. Files indicating unavailable day is not monitored.

    <N>

    Specifying number Specify a one-digit number.

    <!N>

    Specifying number Specify a one-digit number.The priority level when files are compared in the one with large number rises.

    <*>

    Specifying character string.. Specify the character string of 0 characters or more.

    [Note]
    • Logs which have output at the time of first monitoring after monitor setting are not notified.
    • If not existed file is specified at the monitor setting, logs which have output during creating and monitoring the file are not notified.
    • About the combination of two or more replacement character strings

    • The replacement character string of date specifying or numeric specifying can specify two or more times.

    • The replacement character string of character string specifying only can not specify two or more times.

    • The each replacement character string can be combined with it.

    • About <*>

    • <*> is used as a character string of 0 characters or more.

    • All files that there is ".log" in the head of the file name at the end of "aplog" and the file name are targets,when specifying "aplog<*>.log". <*> can specify at the head and the end of the file name.

    • It is uncertain which file is monitored when there are two or more files suited into the condition.

    • About the comparison of the file names

    • If there are multiple applicable files, the file of the highest order in the following rules is a file to be monitored.

      Specifying date: Order is higher as date is newer.
      Specifying number: Order is higher as number is smaller for <N> or number is larger for <!N>.
      Specifying character string: It doesn't influence the priority level.

    • When date specifying or numeric specifying is combined with it, the following is compared by priority.
      High <YYYYMMDD> = <YYMMDD> -> <YYYY> = <YY> -> <MMDD> -> <MM> -> <DD>-> <N> = <!N> Low.

    • When two or more replacement character strings of the same priority are specified, it is compared from an early appearance in sequence (the one near the head of file name).

    • Others

    • The above mentioned replacement character string can be specified only for file names. It is not possible to specify it for the file path (directory name).

    • A maximum of 9 files can be monitored for a total of target files with log file names and target backup files. When a file name is specified with a replacement character string, 9 files will be regarded as monitored targets in the descending order of priority.
      If you specify a replacement character string both for target files having log file names and target backup files, the former target files take precedence over the latter.

    • Usage example
      C:\aplog\aplog<YYYYMMDD>.log

C:\aplog\aplog<N>.log

C:\aplog\aplog<YYMMDD>.log<!N>

C:\aplog\aplog<MMDD>.log<N><!N>

C:\aplog\aplog<YYYYMMDD>-<YYYYMMDD>.log

C:\aplog\aplog<YYYY><MM><DD>.log

C:\aplog\aplog<YYYY><*>.log

  • Back Up Files
    Specify whether the application log monitoring function monitors the back up files when the monitored log file is overwritten by any reasons. If you want to monitor the back up files, so check the "Monitor" check box. You can define the back up files of up to 8. Filter process is executed from the top of the window sequentially to the bottom.

    • [Up]/[Down] arrow key
      Change the monitored order of the selected back up file.
    • [Update] button
      Redefine the settings of the selected back up file.
    • [Add] button
      Define new back up file additionally.
      When the back up file has been selected, the added back up file is inserted in the position under the selected one. Otherwise, it is added at the last.
    • [Delete] button
      Delete the definition of the selected back up file from the list.

  • Char Code
    Specify the character-code-set of the monitored application log file. Can use following character-code-sets.

    Chinese Simplified (GB18030)

    Not suppot on English OS.

    Chinese Simplified (GB2312)

    Not suppot on English OS.

    Chinese Traditional (Big5)

    Not suppot on English OS.

    Japanese (JIS 0208-1990 and 0212-1990)

    Not suppot on English OS.

    Japanese (JIS)

    Not suppot on English OS.

    Japanese (Shift-JIS)

    Not suppot on English OS.

    Unicode

    Read in Unicode (Little-Endian).

    Unicode (Big-Endian)

    Read in Unicode (Big-Endian).

    Unicode (UTF-8)

    Read in Unicode (UTF-8).

    US-ASCII

    Read in ASCII.

    • [Note]

    • Files in which multiple types of character encoding coexist cannot be monitored.

    • Specify the correct character encoding. If an incorrect character encoding is specified, monitoring might not be performed correctly.

      Example: When monitoring an SJIS or EUC file by using Unicode
      Line ends cannot be detected because the line feed code of SJIS and EUC differs from the line feed code of Unicode. Line-end detection processing is therefore repeated every time the log file is updated. New logs cannot be reported.

    • A blank message is reported when the character encoding conversion fails.

  • Option
    Open the extended application log monitoring dialog.

[References]

Monitor the back up files of the application log

Define the filter of the application log

Set the options for application log monitoring


Monitor the back up files of the application log

This operation should be executed after shifting into the Configuration mode.

To define the back up file for monitoring the back up files when the application log file is overwritten by any reasons, push the [Add]/[Update] button. The following dialog will appear.

  • Log File Name
    Specify the back up file, in 256 characters or less. If the [Browse] button is pressed, [Directory in Host] dialog will appear and you can select your desired log file on the host.
    The monitored log file name should not be omitted.

    For application log names, the following replacement character strings are available to specify an undetermined file name.

    <YYYYMMDD>

    Specifying date Specify the year in four digits, the month in two digits, and the day in two digits. Files indicating unavailable year, month, or day are not monitored.

    <YYMMDD>

    Specifying date Specify year in two digits, the month in two digits, and the day in two digits. Files indicating unavailable year, month, or day are not monitored.

    <YYYY>

    Specifying date Specify the year in four digits. Files indicating unavailable year are not monitored.

    <YY>

    Specifying date Specify the year in two digits. Files indicating unavailable year is not monitored

    <MMDD>

    Specifying date Specify the month in two digits, and the day in two digits. Files indicating unavailable month or day are not monitored.

    <MM>

    Specifying date Specify the month in two digits. Files indicating unavailable month is not monitored.

    <DD>

    Specifying date Specify the day in two digits. Files indicating unavailable day is not monitored.

    <N>

    Specifying number Specify a one-digit number.

    <!N>

    Specifying number Specify a one-digit number.The priority level when files are compared in the one with large number rises.

    <*>

    Specifying character string.. Specify the character string of 0 characters or more.

    [Note]
    • About the combination of two or more replacement character strings

    • The replacement character string of date specifying or numeric specifying can specify two or more times.

    • The replacement character string of character string specifying only can not specify two or more times.

    • The each replacement character string can be combined with it.

    • About <*>

    • <*> is used as a character string of 0 characters or more.

    • All files that there is ".log" in the head of the file name at the end of "aplog" and the file name are targets,when specifying "aplog<*>.log". <*> can specify at the head and the end of the file name.

    • It is uncertain which file is monitored when there are two or more files suited into the condition.

    • About the comparison of the file names

    • If there are multiple applicable files, the file of the highest order in the following rules is a file to be monitored.

      Specifying date: Order is higher as date is newer.
      Specifying number: Order is higher as number is smaller for <N> or number is larger for <!N>.
      Specifying character string: It doesn't influence the priority level.

    • When date specifying or numeric specifying is combined with it, the following is compared by priority.
      High <YYYYMMDD> = <YYMMDD> -> <YYYY> = <YY> -> <MMDD> -> <MM> -> <DD>-> <N> = <!N> Low.

    • When two or more replacement character strings of the same priority are specified, it is compared from an early appearance in sequence (the one near the head of file name).

    • Others

    • he above mentioned replacement character string can be specified only for file names. It is not possible to specify it for the file path (directory name).

    • A maximum of 9 files can be monitored for a total of target files with log file names and target backup files. When a file name is specified with a replacement character string, 9 files will be regarded as monitored targets in the descending order of priority.
      If you specify a replacement character string both for target files having log file names and target backup files, the former target files take precedence over the latter.

    • Usage example
      C:\aplog\aplog<YYYYMMDD>.log

C:\aplog\aplog<N>.log

C:\aplog\aplog<YYMMDD>.log<!N>

C:\aplog\aplog<MMDD>.log<N><!N>

C:\aplog\aplog<YYYYMMDD>-<YYYYMMDD>.log

C:\aplog\aplog<YYYY><MM><DD>.log

C:\aplog\aplog<YYYY><*>.log

  • A file name using replacement character string can be specified for backup file No.1 only.

  • When a file name using replacement character string can be specified for backup file No.1,the specification of the following backup files becomes invalid.

[Note]

  • When the monitored file is specified using a replacement character string, the monitoring might be delayed if there are many files that match the replacement character string. It is recommended that the number of files matching the replacement character string be less than 1,000.

[References]

Define the monitored application log


Define the extended configuration of the application log

This operation should be executed after shifting into the Configuration mode.

Set the extended configuration for application log monitoring, so can monitor the logs more flexible.

To set the extended configuration, press [Option] button on the [Monitor Log File Setting] dialog.

  • Message of all logs transmit, when continuance of monitoring is impossible.

Specify whether the application log monitoring function notifies messages for all logs of the application log file except back up files (up to 1 GB from the end) when the continuance of monitoring is impossible.

  • Monitoring file is on the shared disk.

If you check this option, can monitor the log file stored on the shared disk device. When recovering from the state that cannot be accessed to the log file, the monitor is restarted from a now log.

Usually, when you set the monitoring of the same file on the shared disk in both systems for the system operation in the cluster composition, it is used to prevent the monitored log being monitored again after switching the cluster.

  • When setting replacement text, a log file is compared.
    Check this item when you specified a replacement character string for a log file name to be monitored.
    Use it when the log file name, in which new logs will be added, of the most recent generation changes as the monitored log file changes due to its rotation.
    If you use this function, the system remembers the file name being monitored; for this reason, even when a file rotation occurs so that the number of monitored log files increases, the monitoring process will be resumed from the file name the system remembered.
    Details of the last notified log and the location in the file are memorized during application log monitoring. If the same event occurs at the same position in a new file after rotation, halfway logs are not monitored. This function can be used to monitor halfway logs only in the log files for which replacement character strings are specified.

E.g.: When monitoring <YYYYMMDD>.txt, suppose that the files within the folder change as follows:

Before the change

20120101.txt

aaa

bbb

ccc

After the change

20120101.txt | 20120102.txt (newly created)
aaa bbb ccc | xxx yyy ccc

Normally, any messages will not be reported in the above case even when 20120102.txt is newly created.
Messages will be reported by enabling this function.

[Note]
Do not use this function if the latest generation of log file of monitored logs is not renamed as a result of rotation.

  • Line Setting

  • Monitoring two or more lines

If you check this option, can monitor the multiple line text as a log.

  • Max Line

Specify the max number of lines for Monitoring Multiple Line function. The first line of multiple lines text is specified by "First Line Text". This value is specified from 2 to 10. However, if the "First line text" is appear before process the max lines, the latest line is as the end of log.

In the case of specifying 5 as "Max Line", the text after the 6th line will be ignored. But if the "First line text" appear on the 3rd line, so 1st and 2nd lines are as a log.

  • Max Wait

Specify the waiting time for notifying the message in millisecond, if the line does not reach the Max Line and "First line text" does not appear. Specify from 500 to 5000. If pass over the Max Wait, so current buffered text is as a log.

  • First line text

Specify the string which means the header of a log. This string can be specified in the regular expression format in 256 characters or less. The "First line text" should be not omitted.

[Note]
If specifying position is used as an extraction condition when logs of multiple lines are monitored, a line feed is recognized to be two characters regardless of log code system.

  • Executing Action Before Monitoring

    • Use Executing Action Before Monitoring.
      Check it when you'd like to execute a command before monitoring application log.
      After the command has terminated, application log is monitored.
      Command execution and log monitoring are repeated every monitoring interval.

    • Action
      Specify the command which exists in the agent within 256 characters.
      The following characters cannot be entered: *, ?, ", <, >, and |

    • Work Directory
      Specify a working directory for the command within 256 characters.
      The following characters cannot be entered: *, ?, ", <, >, and |

    • Option
      Specify the arguments of the command within 2048 characters. It is possible to specify the two or more arguments by using blank to divide them.
      The following characters cannot be entered: *, ?, ", <, >, and |

    • The Return Value on Action Success
      Specify the return value in the 0 to 32767 range which shows that the command has normally terminated.
      When it was failed, the message which indicates failure is generated.

    • Monitoring at the time of Action failure is performed.
      Check it when you'd like to monitor even if the command was failed.

    • Time Out Value
      Specify the time in the 0 to 3600 seconds to regard it as failure, without a command terminating.
      Specifying 0 seconds disables the timeout setting.

    • Monitoring at the time of Time out is performed.
      Check it when you'd like to monitor even if the command was failed by timeout.

      [Note]

      • Timeout is judged for each monitoring interval.
        When the timeout is 60 seconds and the monitoring interval is 30 seconds, the timeout occurs from 60 to 89 seconds after the command was executed.
        When the timeout is 10 seconds and the monitoring interval is 30 seconds, the timeout occurs from 10 to 39 seconds after the command was executed.

      • If the type of OS running on the manager is a type of UNIX, a started command will be executed under the locale of UTF-8.
        If a command you will run does not support UTF-8, create a shell that sets a locale and converts output results to the UTF-8 code, and specify the shell for the command. As you cannot directly specify a pipe in commands and options, ensure that you create such a shell.

        E.g.: If you must run a command that only supports the SJIS locale in HP-UX:

        env LANG=ja_JP.SJIS $1 | iconv -f sjis -t utf8

      • The command executed by the authority of the process of agent. (SYSTEM authority in Windows, root authority in others)

      • The total number of characters of the commands and options (when the target host is Windows, the extracted environment variables are included) must be less than 1,700. If this number is exceeded, shorten the options by using a batch file and others.

[Note]

The extended setting becomes set of each application log.

[References]

Define the monitored application log

Define the monitored back up files of the application log


Define the filter of the application log

This operation should be executed after shifting into the Configuration mode.

Defining a filter to extract the messages output on an agent. From the right click menu of a application log monitoring node on the Tree view, select the [Filter Setting]. The [Filter Setting] window will appear, and then press [Add] button when defining a new filter. To redefine a defined filter, select the filter and press the [Update] button, or double click the filter.

  • Define the selecting condition and the additional information given at notified for each filter.

The filter list, the extract conditions and the information given for notified messages of each filter will be displayed. Filter process is executed from the top of the window sequentially to the bottom, and works on the filter definition which meets the condition first. At this point, the filters after the filter definition first met the condition will not be processed. In case all the filters do not meet the conditions, the function doesn't notify the message.

  • [Up] and [Down] buttons

Change the priorities of selected filter. Press [Up] button to exchange the immediately above, and press [Down] button to exchange the immediately below.

  • [Update] button

Redefine the selected filter. Also double clicking the filter item on the list, can redefine the filter.

  • [Add] button

Add the new filter to the selected position. Selected filter and all filters below will be down 1 level. If press [Add] button without selecting the filter, new filter will be added to the bottom.

  • [Delete] button

Delete the selected filter.

  • [Copy] button

Copy the selected filter. Copied filter is added to selected position and has same condition and additional information with the exception of [Filter Name]. Original filter and all filters below will be down 1 level.

  • [Import] button

Open the [Import Setting] window, and import knowledge file.

  • [Export] button

Open the [Export Setting] window, and export current filter definition as a knowledge file.

For other system, it is easy to make the same definition with importing exported knowledge file.

After some edition for filters (updating, adding or deleting), the [Export] button will be unable. To export the filters, please press the [Close] button and close the [Filter Setting] window once, and re-open the [Filter Setting] window.

[References]

Define the selecting conditions for the application log

Define the additional information for notified application log

Define the filter options for application log

Import the knowledge file

Export the filter definition and generate the knowledge file


Define the selecting conditions for the application log

This operation should be executed after shifting into the Configuration mode.

Define the condition to select from all output log, to notify to the Business view.

Selecting condition will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, set selecting condition on the [Filter Setting] tab, and press [OK] button.

  • Description

Specify a filter name in 256 characters or less. The string specified her will be displayed as the "Filter Name" on the [Filter Setting] window. Description should be not omitted.

  • Type

Specify the filter type. If [Store] is specified, the log matched this filter will be notified to the Business view. If [Ignore] is specified, the log matched this filter will be deleted and not be notified to the Business view.

  • Message Text

Specify the filter conditions for the log contents in the regular expression format in 1024 characters or less. When "Not" is checked, the messages that do not match the regular expression will be selected.

[Note]
The maximum length of message text for this product is 1024 characters. If the length exceeds the maximum, only the first 1024 characters are valid when logs matching the filter are reported in the message.

  • Select by Position

Specify the condition whether a string is exist on particular position in the contents. This item can be defined up to 8. When "Not" is checked, the log contents that do not match the condition will be selected.

  • Position

Specify the position in the message text, where you want to start matching, in the range of 1-1024.

  • Condition

Specify the matching conditions.

  • Value

Specify the matching value in 64 characters or less. Can't specify the [Value] with the regular expression.

[e.g.]

To extract the log contents that "Abnormality" appears in the 10th character of the message text, it specifies it as follows.

Position | : 10
Condition | : =
Value | : Abnormality

  • Select by Key

Specify the condition with the particular key value in the contents. This item can be defined up to 8. When "Not" is checked, the log contents that do not match the condition will be selected.

  • Key

Specify the key in the log contents in 64 characters or less.

  • Condition

Specify the matching conditions. In the case of "=" is selected, zcompare the value with regular expression. Otherwise, compare in binary.

  • Value

Input the matching value. Only when the [Condition] is set as "=", the [Value] should be specified with the regular expression.

[e.g.]

When the string "error_number = 5" (the "5" will change) exists in the message text, and extracting the messages with error_number under 4, specify as follows:

Key | : error_number
Condition | : <=
Value | : 4

Key and Value, which are used in Select by Key, should be surrounded by a separator in the contents. Separators that can be recognized are half-width blank, (, ), [, ], {, }, <, >. Note that a character string containing a full-width blank cannot be specified for the key value.

[e.g.]
(error_number=1)

Note that blanks between Key, = and Value are ignored.

[Note]

  • If the condition is omitted, then the condition is not used (all the messages will match).

  • To extract a log, the contents of the message must match all condition specified here.

  • Comma (,) and double quotation (") are not allowed for this window.

[References]

Define the filter of application log

Define the additional information for notified application log

Define the filter options for application log


Define the additional information for notified application log

This operation should be executed after shifting into the Configuration mode.

Define the additional information for notified message.

Selecting condition will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, set selecting condition on the [Display Setting] tab, and press [OK] button.

  • Severity

Select the "Severity" information given the message notified to Business view. Severity should be not omitted.

  • Category

Specify the "Category" information given the message notified to the Business view. Specify your desired category name in 32 characters or less, or select from [Application], [Security], [System] or [Unified Management Framework]. Category should be not omitted.

  • Node (Node name that outputs log)

Specify the "Node" information given the message notified to Business view in 256 characters or less. Node should be not omitted.

In addition, if specify "$Node$" as Node information, so Node information is set as the agent name at notified to the Business view.

  • Application (Application name that outputs log)

Specify the "Application" information given the message notified to Business view in 32 characters or less. Application should be not omitted.

  • Object (Object name of log origin)

Specify the "Object" information given the message notified to Business view in 32 characters or less. Object should be not omitted.

  • MessageID

Specify the "Message ID" given the message notified to Business view in 32 characters or less. Message ID should be not omitted.

The following replacement text can also be designated as a Category, Node, Application, Object and the MessageID.

$REPEXP("<start key value>","<end key value>")

Specify the text to be replaced with the message text.

Specifying the start key value and the end key value replaces the character string with the contents from the next to the start key value up to in front of the end key.

Start key value: Specify the value immediately before the character string to be replaced in the regular expression format.

End key value: Specify the value immediately after the character string to be replaced in the regular expression format.

Enclose the monitoring key value and the end key value in double quotation marks (").

Example:

Message text: Warning! Network interface has been down. (ServerA)

To replace "ServerA" in the message text, specify as shown below.

Option: $REPEXP("\(","\)")

If the message does not contain the character string that matches the condition, the target is replaced with ("<start key value>","<end key value>").

$REPPOS(<position>,<character string length>)

Specify the position of the text to be replaced with the message text.

Position: Specify the number of characters to indicate the replacement start position in the message text. Specify a value from 0 to 1023.

Character string length: Specify the length of the character string to be replaced. Specify a value from 1 to 1024. Specify a value so that the total with the value specified as a position does not exceed 1024.

Example:

Message text: Session 00000001 has been terminated abnormally.

To replace "00000001" in the message text, specify as shown below.

Option: $REPPOS(5,8)

If the specified range does not contain character strings, the target is replaced as follows.

Category: Unified Management Framework

Node: Manager's name

Application: Unified Management Framework

Object: System

MessageID: 00000000

If a character other than a numerical value is specified for the character string length, the target is replaced with a null character.

If a character other than a numerical value is specified for the position, that character is treated as "0".

$REPKEY("<key value >")

Replace the target with the value on the right-hand side (character string after "=") of the character string that matches the key value in the message text.

Key value: Specify the key in the message text. The key value shall be enclosed with the double quotation marks.

Example:

When the message text includes a character string "error_number = 5" ("5" is variable) and you want to change the value to "5", specify as shown below.

Option: $REPKEY("error_number")

If the message text does not include the character string that matches the specified key value, the target is replaced as follows.

Category: Unified Management Framework

Node: Manager's name

Application: Unified Management Framework

Object: System

MessageID: 00000000

"=" must be inserted between the character string that matches the key value in the message text and the replacement target.

The character string to be replaced in the message text must be enclosed in double quotation marks ("). Or, ")" or "one-byte space" is required immediately after the character string to be replaced.

Example:

(error_number=1)

Note that spaces between the key, "=" and the value are ignored.

[References]

Define the filter of application log

Define the selecting conditions for the application log

Define the filter options for application log


Define the filter options for application log

This operation should be executed after shifting into the Configuration mode.

Define option settings for extracted logs.

Selecting option settings will be defined from the [Filter Item Setting] dialog. There are three ways to show the [Filter Item Setting] dialog.

  1. Press [Add] button on the [Filter Setting] dialog.

  2. Select defined filter and press [Update] button on the [Filter Setting] dialog.

  3. Double click the defined filter on the [Filter Setting] dialog.

The [Filter Item Setting] dialog will appear, enter the option settings on the [Option Setting] tab, and press [OK] button.

  • Message Ignore Function

    • Use Ignore Function
      Check this to use the message ignore function.

    • Monitoring Interval
      Specify a value in the range of 1 to 3,600 seconds for the time period that must elapse before the next message will be notified after the previous log is extracted.
      A message for an extracted log will be notified when and after this time period elapses, and then the interval will be reset to the original value.

    • Reset Option
      Check this if you disable the message notification function for logs that are extracted during the time period for no message notification and reset the monitoring interval to the original value when one is extracted.
      Use this check box if you want to continue to suppress message notifications for extracted logs.

    • Ignore Movement
      Specify the operation when ignoring messages.

      • [Delete the messages in the monitoring interval]
        If multiple logs that match the filter are detected within the monitoring interval, a message report will be sent only for the first log. The other logs will be deleted without being reported.
        Filters with a lower priority than the filter in question are disabled and logs that match the lower-priority filter within the monitoring interval are also deleted.

      • [Apply the messages in the monitoring interval to the following filter]
        If multiple logs that match the filter are detected within the monitoring interval, a message report will be sent only for the first log and the filter will be disabled for subsequent logs.
        The logs that match the filter within the monitoring interval will be checked against filters in order of priority if filters with a lower priority than the filter in question have been set, and a message report will be sent if a matching log is detected.

[Note]

  • After the message ignore function as a filter option, the same message ignore function set as an option is performed.

[References]

Define the filter of the application log

Define the selecting conditions for the application log

Define the additional information for notified application log


Set the options for application log monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the application log monitoring, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Application Log Monitor] tab.

  • Monitoring interval

Specify the interval for agent monitoring in second. Specify from 10 to 3600(1 hour). The default is 30 sec.

The shorter interval is specified, the sooner the error on the agent should be detected, however, the agent's CPU will be used more for monitoring.

  • Same Message Ignore Function

  • Use Ignore Function

Specify notification/non-notification of the messages when the same logs are output in a short period. If you check this, the monitoring function does not notify the message for a same logs output in a specified period, so the number of notified messages is controlled.

    • Message Count

Specify the maximum number of items for the log type targeted for message suppression for each agent. Specify within the range of 256 - 4096. The default is 1024.

When the count of the controlled logs is exceeded specified maximum number, the oldest log (The longest log not output) will be out of the controlled.

    • Monitoring Interval

Specify how long to control same logs. Specify within the range of 1 - 3600. The default is 10.

[e.g.]

When the Monitoring Interval is specified as 5 seconds, the Ignore Function will perform as below for following logs output.

elapsed time (sec) | log | notification | action
000 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 060)
010 | LOG002 | Yes | - LOG002 is added to the ignored target (Till 070)
020 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 080)
030 | LOG004 | Yes | - LOG004 is added to the ignored target (Till 090)
040 | LOG001 | No | - LOG001 is not notified
050 | LOG002 | No | - LOG002 is not notified
060 | LOG004 | No | - LOG004 is not notified - LOG001 is out of target
070 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 130) - LOG002 is out of target
080 | LOG001 | No | - LOG001 is not notified - LOG003 is out of target
090 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 150) - LOG004 is out of target

    • Reset Option

Specify whether the elapsed time to control message notification is reset when the same log is output. If you check this option, the Ignore Function resets the elapsed time of message notification control to 0 every time when the same log is output.

[e.g.]

When the Monitoring Interval is specified as 5 seconds, and Reset Option is checked, the Ignore Function will perform as below for following logs output.

elapsed time (sec) | log | notification | action
000 | LOG001 | Yes | - LOG001 is added to the ignored target (Till 060)
010 | LOG002 | Yes | - LOG002 is added to the ignored target (Till 070)
020 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 080)
030 | LOG004 | Yes | - LOG004 is added to the ignored target (Till 090)
040 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 100)
050 | LOG002 | No | - LOG002 is not notified and reset the control time to 0 (This log is controlled till 110)
060 | LOG004 | No | - LOG004 is not notified and reset the control time to 0 (This log is controlled till 120)
070 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 130)
080 | LOG001 | No | - LOG001 is not notified and reset the control time to 0 (This log is controlled till 140) - LOG003 is out of target
090 | LOG003 | Yes | - LOG003 is added to the ignored target (Till 150)

    • Exclude Numeric Value
      If this check box is checked, a log which has same context except numeric values is regarded to identical and becomes a subject of suppression.

      [e.g.]
      After the numeric value is excluded when "2000/12/12 error = 0" is compared with "2000/5/12 error = 1", both are regarded as "// error =", and it is judged that it is the same message.

[Note]

  • These suppress settings are applied across log files for each agent. In the example above, the same suppress processing is performed when LOG001, LOG002, LOG003 and LOG004 are output from the same log file or different log files.

  • After the message ignore function as a filter option, the same message ignore function set as an option is performed.

[References]

Define the monitored application log


Restrict the number of items to load for application log monitoring

In application log monitoring, the text volume to load from one log in one monitoring interval is restricted to 10 MB as the maximum volume. However, the memory resources might be entirely consumed because the filtering processing of the agent cannot catch up when the log flow amount or the filter settings become very large. The number of lines to load in one monitoring interval can be restricted to prevent this.

Specify the parameters by editing the ApLogBaseAgt.ini file.

  • Location of the ApLogBaseAgt.ini file

    [Windows agent]
    <Agent's installation directory>\Agent\sg\ApLogHelperAgt.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-16LE (with BOM).

    [UNIX agent]
    <Agent's installation directory>/Agent/sg/ApLogBaseAgt.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-8 (without BOM).

Section | Key | Overview | Setting range
Message | MaxSendLine | Restrict the number of lines to load in one monitoring interval to the specified value. | Integer value greater than or equal to 1 [Lines] 0: Do not restrict (Default)

(Setting example)

To restrict the number of lines in a log to load in one monitoring interval to 1,000 lines:

[Message]

MaxSendLine=1000

The specified value using an integer value larger than or equal to 1 is the maximum number of messages to load from one monitored log file in one monitoring interval.

When 0 is specified, the number of messages to load in one monitoring interval is not restricted (up to 10 MB can be loaded from each monitored log similarly to the existing one.) If this item is omitted, 0 (default value) is used.

The maximum value of the dynamically secured memory amount can be calculated using the formula below.

(Value specified for MaxSendLine) * (Number of monitored log files) * 6 Kbytes

Example: Maximum value of dynamically secured memory amount when MaxSendLine=1000 and the number of monitored logs is 3

1000 * 3 * 6 KB = 18 MB

[Note]

  • The changed parameter value will be reflected after the agent is restarted.

  • A smaller number of lines to load in one monitoring interval can reduce the consumption of memory resources; however, it slows the message processing.


Monitor the application log

Notifying messages for the especial log by the application log monitoring function, you can monitor the application logs cooperating with the Business view. About the Business view detail, please refer to the paragraph of Monitor the message.

[References]

About message monitoring


Display the present log contents

Display the present contents of application log

Reading the monitored log file, display the present log content. To display the present log content, double click the application log monitoring node on the Tree view. To display the latest content after the log file is updated, press the [Refresh] button.

  • Button panel

Lay out the message operation buttons.

  • Press the [Refresh] button, the latest content of log file is displayed.

  • Select the font style for displayed character from the item box at the middle.

  • Select the font size for displayed character from the item box at the right.

[Note]

  • On displayed function, the contents of all appliction log are displayed regardless of the filter setting of the application log.

  • If the monitored log file size is larger than 102,400 bytes, only 102,400 bytes of end are displayed.

  • Displayed content is the content of log file stored disk, so it differs from notified message. To confirm the content of notified message, please refer to the message monitoring function on the Business view.

[Reference]

Define the monitored application log


Import the definition for monitored agents

This operation should be executed after shifting into the Configuration mode.

Importing a definition file will facilitate the agent monitoring settings.

To import the definition file, select the agent node on the topology view and select [Import] from right click menu. The [Import Setting] window will appear, press the [Browse] button and specify the directory the file exists. If the import file exists in the specified directory, the function list will be displayed, so select the import functions and press the [OK] button.

About importing performance monitor definition, if same monitored object is already defined in the agent, the following dialog will appear and confirm whether the current definition can be over-written or not. Press the [OK] button, the current definition is over-written with imported definition. Press [Cancel] button, the current definition is not over-written.

If the same logs are considered to be monitored targets for event log monitoring and syslog monitoring, a dialog as shown below will appear.

  • [Replace] button
    Replace the current contents of filter definition with the contents of file.
    Similarly, extension settings etc. are also replaced.

  • [Add New] button
    Newly add definition of imported file to the current contents of definition.
    The contents of imported files are reflected to definitions of extension etc.

  • [Cancel] button
    Do not import and do not update definitions.

[Note]

  • If schedule or calendar of same name is existed when import is performed, the schedule or calendar itself is not updated. It behaves according to schedule or calendar of same name.

[References]

Export the definition for the monitored agents and generate the definition file


Export the definition for the monitored agents and generate the definition file

This operation should be executed after shifting into the Configuration mode.

Exporting the agent monitoring settings and creating the definition files will facilitate storing the agent monitoring settings and reusing them on other systems.

[Note]

  • The following definitions are not saved by exporting.

    • Graphic form and background on the Map view

To export the monitoring definitions, select the agent node on the topology view and select [Export] from right click menu. The [Export Setting] window will appear, press the [Browse] button and specify the directory to output the definition files, and the press the [OK] button.

  • Subject

Specify the description of exported definition files. At the importing, this comment is shown in the [Subject] field on the [Import setting] window.

  • Directory

Specify the directory path to output the definition files.

Press the [OK] button, the monitoring definition is exported and output the definition files under the specified directory. After exported, the [Result of export] windows will appear and display the output function list.

The definition file name is output as following for each functions.

Function | Definition file name
Topology | Topology.txt
Windows service monitor | NTService.txt
Process monitor | Process.txt
Performance monitor | Performance.txt
Event log monitor | EventLog.txt
Syslog monitor | SysLog.txt
Application log monitor | ApLog.txt
Application management | ApplicationMonitor.txt
Service port monitoring | PortMonitor.txt

[Note]

  • If the definition files exists already in the specified directory, the confirming dialog will appear. To over-write, press the [OK] button. Or, to cancel, press the [Cancel] button.

[References]

Import the definition for monitored agents


About remote host monitoring

This product centralizes control over hosts (remote hosts) to which an agent has not been installed and monitors their statuses. Monitoring remote hosts includes the following functions:

  • Agent less monitoring function
    Centralizes control over remote hosts that are grouped, and monitors the state of each host in the group.
    The state of each remote host is monitored via an agent called a remote monitoring agent.
    [References]

Define the host group

Set a remote host
Add a host from the list
Add a host manually

  • Reporting function
    Performs Patlite, e-mail, and action reporting to alert operators when the status of a registered remote host has changed.
    [References]
    Set the reporting for monitored host

The following functions are also provided for the remote hosts that have been registered:

  • File/directory monitoring function
    Monitors the capacity and status of a specified file or directory on the remote host and manages the status change.
    [References]
    About monitoring files/directories on a remote host

  • Windows service monitoring function
    Monitors the status of the specified Windows services on a remote host and manages their status change.
    [References]
    About monitoring Windows services on a remote host

  • Process monitoring function
    Monitors the status of the specified process on a remote host and manages its status change.
    [References]
    About monitoring the process on a remote host

  • Performance (resource) monitoring function
    Monitors the status of the specified resource on a remote host.
    [References]
    About monitoring the performance on a remote host

  • Log monitoring function
    Monitors various logs output on a remote host and reports messages.
    [References]
    About monitoring logs on a remote host

  • Service port monitoring function
    Monitors the specified service port on the remote host and manages the status changes.
    [References]
    About monitoring service ports on a remote host

The system takes the following actions to inform an operator when the status of any one of the registered remote hosts has changed:

  • On the tree view, if the priority of the severity after the status of a remote host has changed is the highest in the group to which the agent belongs, the color of the group icon will change to that of that severity. In addition, if the priority is higher than those of other nodes in the same group, the color of the upper node will also change.

  • A message to report the status change will be issued. For more information on the messages, refer to "About Messages Output by Manager/Agents".

[Note]

  • For notes on the agent less monitoring, see the Release Notes of the product (PDF file) included in MasterScope Media.

  • Hypervisor monitoring is available as an option. If you want to use it, you must purchase an appropriate number of licenses for it.


Add a remote monitoring agent

This operation should be executed after shifting into the Configuration mode.

A remote monitoring agent that is newly connected to the manager is automatically registered in the [Unregistered Host] group that exists directly under the root node ([Topology View] node).

You cannot define a remote host while the remote monitoring agent is registered in the [Unregistered Host] group. When you move the remote monitoring agent directly under the root node ([Topology View] node) or to a [Registered Host] group, you will be able to define the remote host.

[Note]

  • You cannot set the names of remote monitoring agents that conflict with those of agents registered as normal agents.

  • If you set a remote monitoring agent name that cannot be resolved by the host on the manager, the icon for the agent name that appears in [Unregistered Host] may differ from the one displayed above. In that case, wait for the icon to change to the one shown above, and perform the move operation.

[References]

Add a host from the list

Add a host manually


Remove a remote monitoring agent

This operation should be executed after shifting into the Configuration mode.

When you want to remove all the remote host monitoring settings and also the information on the remote monitoring agent, you need to perform this operation.

To remove a remote monitoring agent, select [Remote setting] from a pop-up menu displayed by right-clicking the remote monitoring agent node on the tree view. The [Remotehost setting] dialog appears.

To remove it, click the [Remotehost delete] button and select [OK] as a response to the message.

[References]

Add a host from the list

Set the authentication information


Set a remote host

This operation should be executed after shifting into the Configuration mode.

To set a remote host, select [Remote setting] from a pop-up menu displayed by right-clicking the remote monitoring agent node on the tree view. The [Remotehost setting] dialog appears.

  • Auto
    Discover and add a desired host on the displayed [Discovery] dialog.

  • Add manually
    Add a desired host on the displayed [Host setting] dialog.

  • Update
    Enables you to edit the display name or authentication information for the selected remote host.

You can edit them on the displayed [Host setting] dialog.

  • Delete
    Enables you to remove the selected remote host.

  • Account setting
    Set the authentication information on the displayed [Account setting] to be used to monitor remote hosts.

  • Remotehost delete
    Enables you to remove the information on a desired remote monitoring agent.

References]

Add a host from the list

Add a host manually

Set the authentication information

Remove a remote monitoring agent


Add a host from the list

This operation should be executed after shifting into the Configuration mode.

A host on the network can be automatically detected and the detected host can be monitored as a remote host.

To add a remote host, select [Remote setting] from a pop-up menu displayed by right-clicking the remote monitoring agent node on the tree view. The [Remotehost setting] dialog appears.

Click the [Auto] button to display the [Discovery] dialog.

Discover and add a desired host on the displayed [Discovery] dialog.

Automatic host detection

This function is used to detect hosts in the specified range on the network.

  • Set a network range
    Set the network range in which hosts will be automatically detected by using a network address (IP address and subnet mask) or an IP address range (start address and end address).
    An ICMP echo request will be sent to each host in the specified range, and any hosts that send back a response will be detected.

    [Note]

    • If hosts that do not respond to the connection request using authentication information are included in the specified range, it may take some time to complete the detection process.
      If the detection process takes so long, specify a narrower range so that it may not include hosts not to be monitored.

  • Set SNMP community name
    Set a desired SNMP community name to sample information such as OS types for automatically detected hosts.

  • Set authentication information
    If you want to sample information such as OS types using the authentication information for automatically detected hosts, set whether to use the information.
    If you want to use every piece of all the registered authentication information, select [All] and if you want to use a specific piece of information only, specify [Select]. If you do not want to use the authentication information, specify [Not use].
    When registering the authentication information, click the [Account setting] button.
    [References]
    Set the authentication information

  • It adds it to the display name "@Remote name".
    Check this check box when attaching the remote monitoring agent name to the end of the display name of each host that will be automatically detected. The display name can be changed when adding the detected host as a remote host.

  • Detection and Stop
    To start the automatic detection of hosts, set the network range, SMP community name, and how to use the authentication information, and click the [Detection] button. The detected hosts will be displayed in the right side of the dialog.
    When you want to stop the automatic detection, click the [Stop].

  • Clear result
    To remove a list of automatically detected hosts, click this button. Even the information that has been checked will be removed.

Add a host

To set as a remote host a host that has been automatically detected, check the check box for the host on the left side of the list. Then, the [Host setting] (Set monitored host manually) appears to allow you to set the display name and authentication information for the remote host.

  • Ip
    This cannot be changed.

  • Display name
    Specify the node name to be displayed on Topology View within a maximum of 64 characters. This field is populated with the name as the default value that was obtained when the host was automatically detected. This item must be specified.

The allowable characters are single-byte alphanumeric characters, hyphen (-), underscore (_), at mark (@), and period (.).

[Note]

  • The Display name must be unique among the node names already registered in Topology View.

  • IP addresses to be registered do not need to be unique across the remote monitoring agents but must be unique within the same remote monitoring agent.

  • If a character string reserved by the system or a character string that cannot be used for a file or directory name is specified, monitoring may not function correctly.

  • Specify a different name for the node name displayed in the topology when the same spelling name is already registered but with different uppercase/lowercase allocation.

  • Type
    Select an appropriate OS type for the remote host from the list. In this field, the type is selected as the default value that was inferred from information obtained when the host was automatically detected. This item must be specified.

  • OS
    Specify a desired OS name, within a maximum of 128 characters. This field is populated with the name as the default value that was obtained when the host was automatically detected. This item is an option.

  • Account information
    Select the registered authentication information to be used for monitoring the remote host. When registering new authentication information, click the [Account setting] button. This item must be specified.
    [References]
    Set the authentication information

To confirm the settings for the remote host, click the [OK] button.

To add the set remote host as a monitored target, click the [OK] button from the [Discovery] dialog. The host whose check box is checked will be added as a remote host.

The added remote host is automatically registered under the [Unregistered Host] group that exists directly under the root node ([Topology View] node).

You cannot define the agentless monitoring functions for any remote host while it is registered in the [Unregistered Host] group. Move it to a place immediately under the root node ([Topology View] node) or into a defined host group, so that the host may be recognized as a regular host, and then you will be able to create definitions to monitor it.

[References]

Add a host manually

Set the authentication information


Add a host manually

This operation should be executed after shifting into the Configuration mode.

A host on a network can be directly specified so that it can be monitored as a remote host.

To add a remote host, select [Remote setting] from a pop-up menu displayed by right-clicking the remote monitoring agent node on the tree view. The [Remotehost setting] dialog appears.

Click the [Manual] button to display the [Host Setting] dialog.

  • Ip
    Specify the IP address of the remote host. This item must be specified.

  • Display name
    Specify the node name to be displayed on Topology View within a maximum of 64 characters. This item must be specified.

The allowable characters are single-byte alphanumeric characters, hyphen (-), underscore (_), at mark (@), and period (.).

[Note]

  • The Display Name must be unique among the node names already registered in Topology View.

  • IP addresses to be registered do not need to be unique across the remote monitoring agents but must be unique within the same remote monitoring agent.

  • If a character string reserved by the system or a character string that cannot be used for a file or directory name is specified, monitoring may not function correctly.

  • Type
    Select an appropriate OS type for the remote host from the list. This item must be specified.

  • OS
    Specify a desired OS name, within a maximum of 128 characters. This item is an option.

  • Account information
    Select the registered authentication information to be used for monitoring the remote host. When registering new authentication information, click the [Account setting] button. This item must be specified.
    [References]
    Set the authentication information

When you have entered all the pieces of information for the host to be added as a remote host, click the [OK] button.

The added remote host is automatically registered under the [Unregistered Host] group that exists directly under the root node ([Topology View] node).

You cannot define the agentless monitoring functions for any remote host while it is registered in the [Unregistered Host] group. Move it to a place immediately under the root node ([Topology View] node) or into a defined host group, so that the host may be recognized as a regular host, and then you will be able to create definitions to monitor it.

[References]

Add a host from the list

Set the authentication information


Set the authentication information

This operation should be executed after shifting into the Configuration mode.

You manage the authentication information to be used for monitoring remote hosts by attaching a name to it. The named authentication information can be used to monitor more than one remote host.

As the required authentication information depends on the OS types and monitoring functions, one piece of the authentication information consists of multiple pieces of information.

  • Add
    Click this button to add a new piece of authentication information.

  • Update
    Click this button to change the defined authentication information. Changing a piece of the authentication information will affect all the agentless monitoring functions that reference the information.

  • Delete
    Click this button to remove a defined piece of the authentication information.

Clicking the [Add] button or [Update] button will display the [Account setting detail] dialog.

As one tab is assigned to each type of the authentication information, you enter required pieces of information in an appropriate tab.

[Note]

  • A tab for the setting dialog may be added according to whether a license for each optional license is valid or not. For information on settings in an added tab, refer to the description of its corresponding option function.

  • To normally monitor a remote host, you must specify login information for a user with the administrator right.

API/WMI

Specify the Windows login information to be used for monitoring a remote host(s) whose OS type is Windows.

  • User Name
    Specify the Windows login username.

  • Password, Confirm Password
    Specify the Windows login password.
    Spaces and the following characters can be used.
    ^qwertyuiop@[asdfghjkl;:]zxcvbnm,./!#$%&'()=~|QWERTYUIOP`{ASDFGHJKL+*}ZXCVBNM<>?_"\

  • Domain
    Specify a desired domain name.

If a domain name is specified in the authentication information, the system makes a connection to the network with the connection information to which it assigns the domain name and gets information. Specify the Windows login password.

In any domain environment, it takes some time to collect information without specifying the domain name.

TELNET/SSH

Specify the Linux login information required when monitoring a remote host whose OS type is Linux.

  • User Name
    Specify the user name used when connecting to the remote host.

  • Password, Confirm Password
    Specify the passphrase used when connecting to the remote host.
    Spaces and the following characters can be used.
    ^qwertyuiop@[asdfghjkl;:]zxcvbnm,./!#$%&'()=~|QWERTYUIOP`{ASDFGHJKL+*}ZXCVBNM<>?_"\

  • Port Number
    Specify the port number used for remote connection. Specify a value in a range of 1 to 65535.

  • Connection Timeout
    Specify the connection timeout time (seconds). Specify a value in a range of 1 to 300.

  • Transmit Timeout
    Specify the transmission timeout time (seconds). Specify a value in a range of 1 to 300.

  • Character Code
    Specify the character encoding to use.

  • Line Feed Code
    Specify the line feed code to use.

[Note]

  • The authentication when connecting to a remote host, is performed by password authentication.

  • After successful authentication with a remote host, you may need to continue to monitor the remote host even if you change the password. As restarting the remote host after changing the password causes authentication process to fail, you cannot monitor it.

[References]

Add a host from the list

Add a host manually


Display configuration information

Displays the configuration information of remote host.

To display the configuration information, double-click on each node under the System node.

The following table describes information that will be displayed in a property view when you double-click on each node.

i)i)System | Nothing
ii)System Information | Item Name/Information | Display
 |  | windows | Linux
 | Node Name | Yes | Yes
 | Computer Name | Yes | Yes
 | OS Name | Yes | Yes
 | Update Information | - | -
 | CPU Name | Yes | Yes
 | OS Version | Yes | Yes
 | Memory Size(MB) | Yes | Yes
 | CPU Operational Condition | - | -
iii)Software Information | Item Name/Information | Display
 |  | windows | Linux
 | Node Name | Yes | Yes
 | Software Name/ Package Name | Yes | Yes
 | Version | Yes | Yes
iv)Network Information | Item Name/Information | Display
 |  | windows | Linux
 | Node Name | Yes | Yes
 | Adapter Name/ Network Interface Name | Yes | Yes
 | IP Address | Yes | Yes
 | MAC Address | Yes | Yes
v)Disk Information | Item Name/Information | Display
 |  | windows | Linux
 | Node Name | Yes | Yes
 | Drive Type | Yes | -
 | Drive Name/Device | Yes | Yes
 | Volume Name | Yes | -
 | FileSystem Name | Yes | -
 | Total(KB) | Yes | Yes
 | Used(KB) | Yes | Yes
 | Availability(KB) | Yes | Yes

*: If multiple software applications have the same software name/package name and are of the same version, only one application will be displayed.

A line of the view can be copied into the clipboard by using [Copy] on the right-click menu and then pasted into text or the like.

All the lines can be copied into the clipboard by performing [Select All] and then [Copy].

[Note]

There is an unacquirable item by OS Type.


Define the collecting intervals

This operation should be executed after shifting into the Configuration mode.

To change the intervals between collecting configuration information, select the agent node on the topology view and select [Setting at Watch Intervals] from right click menu.

The [Setting at Watch Intervals] window will appear, and you can select and double-click on the item whose collecting intervals you want to change.

  • [It observers it at HH:MM]

Starts collecting configuration information from the specified time.

  • [It observes it in 0 to 3600 minutes]

Collects configuration information at the specified intervals. You can set the interval time within the range of 0 to 3600 minutes.

A value of 0 means monitoring only occurs at the time when the agent is started.


Define configuration information

This operation should be executed after shifting into the Configuration mode.

"Company Name" and "User Name" can be defined as management information of a remote host.

To change the management information, select the remote host node on the topology view and select [Composition Information Setting] from right click menu.

The [Composition Information Setting] window will appear, and you can select and double-click on the item whose management information you want to change.

The [Item Setting] window will appear, and you can specify the item up to 256 characters.


Retrieve the latest configuration information

To obtain the latest configuration information, select the node under the System node and select [Refresh] from right click menu.

Note that the desired latest configuration information will be collected by just double-clicking on the tree for the information if [Latest information is always displayed] in [Setting at watch intervals] is checked.


About monitoring files/directories on a remote host

This product provides functions to manage and reference files/directories (hereinafter, a file or files, collectively) in a remote host within the system.

They have the following functions similarly to monitoring files/directories on agents. The content and operation method of each such function is the same as the file/directory monitoring functions intended for agents.

  • File monitoring function

  • Status display function

  • Reporting function

  • File reference function

To set the interval for monitoring remote hosts, select [Option] from the [Setting] menu to open the [Option Setting] window and select the [File Monitor] tab.

  • Interval for remote host monitoring

Specify the time interval, in seconds, for remote host monitoring. You can specify a desired value in the range of 60-3600 (1 hour). The default value is 60 seconds.

[Note]

  • In the [File Monitor List] window where you can reference the details of a monitored file, the field for the update date for drive is blank.

[References]

About monitoring files/directories


Specify files/directories monitoring timeout

The files/directories monitoring function collects information from the remote host at each monitoring interval. However, collection might take longer and the response might be delayed depending on the load state of the remote host.

In the monitoring function, when the next monitoring interval occurs during monitoring processing, monitoring of that interval is skipped.

A timeout period is specified for each monitoring function, and the status changes to unknown (UNKNOWN) and the monitoring is aborted when the timeout period is exceeded. When the monitoring is aborted, a new thread for monitoring is generated and the collection processing is not performed until the next monitoring interval.

Note that the monitoring cannot continue when many timeouts occur and the upper limit number of generated threads is exceeded because new threads cannot be generated. In this case, the monitoring resumes when the situation allows the suspended monitoring to resume such as when the number of threads available to the monitoring drops below the upper limit.

Timeouts might occur frequently depending on the environment. In this case, lengthen the monitoring interval or change the parameters on this page and change the parameter values to suppress the timeout occurrence.

Note that a message is output when the number of threads exceeds the upper limit or drops below the upper limit during a timeout occurrence. For details about the message, see Messages Agent/Manager outputs.

The messages that are output are shown below.

  • When a timeout occurs
    00770001

  • When the number of threads exceeds the upper limit
    01050001 (Windows remote host)
    02030001 (Linux remote host)

  • When the number of threads drops below the upper limit
    01050002 (Windows remote host)
    02030002 (Linux remote host)

Specify the parameters by editing the FileMonitorHelperAgt.ini file.

  • Location of the FileMonitorHelperAgt.ini file
    <Remote monitor agent's installation directory>\Agent\sg\FileMonitorHelperAgt.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-16LE (with BOM).

Section | Key | Overview | Setting range
Config | MonitoringTimeout | Specify a timeout for information collection. In an environment where the response takes time, it is possible to suppress the timeout frequency by specifying a larger value. | 1 to 3600[seconds] Default value Monitoring interval

(Setting example)

To specify 120 seconds for the monitoring timeout:

[Config]

MonitoringTimeout=120

[Note]

  • The changed parameter value will be reflected after the remote monitor agent is restarted.


About monitoring Windows services on a remote host

About monitoring Windows service on a remote host

This product provides the functions to manage and query the Windows services on the remote hosts within the system.

They have the following functions similarly to monitoring Windows services on agents. The content and operation method of each such function is the same as the Windows service monitoring functions for agents.

  • Windows service monitoring function

  • Status display function

  • Reporting function

  • Windows service list reference function

To set the interval for monitoring remote hosts, select [Option] from the [Setting] menu to open the [Option Setting] window and select the [Windows Service Monitor] tab.

  • Interval for remote host monitoring

Specify the time interval, in seconds, for remote host monitoring. You can specify a desired value in the range of 60-3600 (1 hour). The default value is 60 seconds.

[References]

About Windows service monitoring


Specify Windows service monitoring timeout

The Windows service monitoring function collects information from the remote host at each monitoring interval. However, collection might take longer and the response might be delayed depending on the load state of the remote host.

In the monitoring function, when the next monitoring interval occurs during monitoring processing, monitoring of that interval is skipped.

A timeout period is specified for each monitoring function, and the status changes to unknown (SERVICEUNKNOWN) and the monitoring is aborted when the timeout period is exceeded. When the monitoring is aborted, a new thread for monitoring is generated and the collection processing is not performed until the next monitoring interval.

Note that the monitoring cannot continue when many timeouts occur and the upper limit number of generated threads is exceeded because new threads cannot be generated. In this case, the monitoring resumes when the situation allows the suspended monitoring to resume such as when the number of threads available to the monitoring drops below the upper limit.

Timeouts might occur frequently depending on the environment. In this case, lengthen the monitoring interval or change the parameters on this page and change the parameter values to suppress the timeout occurrence.

Note that a message is output when the number of threads exceeds the upper limit or drops below the upper limit during a timeout occurrence. For details about the message, see Messages Agent/Manager outputs.

The messages that are output are shown below.

  • When a timeout occurs
    00370001

  • When the number of threads exceeds the upper limit
    00190001 (Windows remote host)

  • When the number of threads drops below the upper limit
    00190002 (Windows remote host)

Specify the parameters by editing the NTServiceHelperAgt.ini file.

  • Location of the NTServiceHelperAgt.ini file
    <Remote monitor agent's installation directory>\Agent\sg\NTServiceHelperAgt.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-16LE (with BOM).

Section | Key | Overview | Setting range
Config | MonitoringTimeout | Specify a timeout for information collection. In an environment where the response takes time, it is possible to suppress the timeout frequency by specifying a larger value. | 1 to 3600[seconds] Default value Monitoring interval

(Setting example)

To specify 120 seconds for the monitoring timeout:

[Config]

MonitoringTimeout=120

[Note]

  • The changed parameter value will be reflected after the remote monitor agent is restarted.


About process monitoring on a remote host

This product provides the functions to manage and query processes on the remote hosts within the system.

They have the following functions similarly to monitoring processes on agents. The content and operation method of each such function is the same as the process monitoring functions for agents.

  • Process monitoring function

  • Status display function

  • Reporting function

  • Process Start/Stop function

  • Running process list reference function

To set the interval for monitoring remote hosts, select [Option] from the [Setting] menu to open the [Option Setting] window and select the [Process Monitor] tab.

  • Interval for remote host monitoring

Specify the time interval, in seconds, for remote host monitoring. You can specify a desired value in the range of 60-3600 (1 hour). The default value is 60 seconds.

[Note]

  • When you select [Start] from the tool bar in the upper section of a process monitoring window or from a pop-up menu displayed by right-clicking the tool bar, the process running user is the user in the authentication information set for the remote host.

[Note]

About process monitoring


Specify process monitoring timeout

The process monitoring function collects information from the remote host at each monitoring interval. However, collection might take longer and the response might be delayed depending on the load state of the remote host.

In the monitoring function, when the next monitoring interval occurs during monitoring processing, monitoring of that interval is skipped.

A timeout period is specified for each monitoring function, and the status changes to unknown (PROCESSUNKNOWN) and the monitoring is aborted when the timeout period is exceeded. When the monitoring is aborted, a new thread for monitoring is generated and the collection processing is not performed until the next monitoring interval.

Note that the monitoring cannot continue when many timeouts occur and the upper limit number of generated threads is exceeded because new threads cannot be generated. In this case, the monitoring resumes when the situation allows the suspended monitoring to resume such as when the number of threads available to the monitoring drops below the upper limit.

Timeouts might occur frequently depending on the environment. In this case, lengthen the monitoring interval or change the parameters on this page and change the parameter values to suppress the timeout occurrence.

Note that a message is output when the number of threads exceeds the upper limit or drops below the upper limit during a timeout occurrence. For details about the message, see Messages Agent/Manager outputs.

The messages that are output are shown below.

  • When a timeout occurs
    00350001

  • When the number of threads exceeds the upper limit
    00180001 (Windows remote host)
    02030001 (Linux remote host)

  • When the number of threads drops below the upper limit
    01800002 (Windows remote host)
    02030002 (Linux remote host)

Specify the parameters by editing the ProcessHelperAgt.ini file.

  • Location of the ProcessHelperAgt.ini file
    <Remote monitor agent's installation directory>\Agent\sg\ProcessHelperAgt.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-16LE (with BOM).

Section | Key | Overview | Setting range
Config | MonitoringTimeout | Specify a timeout for information collection. In an environment where the response takes time, it is possible to suppress the timeout frequency by specifying a larger value. | 1 to 3600[seconds] Default value Monitoring interval x 2

(Setting example)

To specify 120 seconds for the monitoring timeout:

[Config]

MonitoringTimeout=120

[Note]

  • The changed parameter value will be reflected after the remote monitor agent is restarted.


About monitoring the performance on a remote host

This product provides the functions to manage and query resources on the remote hosts within the system.

They have the following functions similarly to monitoring agents for their performance. The content and operation method of each such function is the same as the performance monitoring functions for agents.

  • Operating status data collection function

  • Threshold monitoring function

  • Logging function

  • Reporting function

  • History data maintenance function

To set the interval for monitoring remote hosts, select [Option] from the [Setting] menu to open the [Option Setting] window and select the [Performance Monitor] tab.

  • Interval for remote host monitoring

Specify the time interval, in seconds, for remote host monitoring. You can specify a desired value in the range of 60-3600 (1 hour). The default value is 60 seconds.

[Note]

  • The remote host performance monitoring functions do not support the following monitored objects and monitored counters supported by the performance monitoring functions for agents.

    • Monitored object [Extend Process] in "Monitor the performance of an identified process"

[References]

About performance monitoring


Specify performance monitoring timeout

The performance monitoring function collects information from the remote host at each monitoring interval. However, collection might take longer and the response might be delayed depending on the load state of the remote host.

In the monitoring function, when the next monitoring interval occurs during monitoring processing, monitoring of that interval is skipped.

A timeout period is specified for each monitoring function, and the status changes to unknown (PERFUNKNOWN) and the monitoring is aborted when the timeout period is exceeded. When the monitoring is aborted, a new thread for monitoring is generated and the collection processing is not performed until the next monitoring interval.

Note that the monitoring cannot continue when many timeouts occur and the upper limit number of generated threads is exceeded because new threads cannot be generated. In this case, the monitoring resumes when the situation allows the suspended monitoring to resume such as when the number of threads available to the monitoring drops below the upper limit.

Timeouts might occur frequently depending on the environment. In this case, lengthen the monitoring interval or change the parameters on this page and change the parameter values to suppress the timeout occurrence.

Note that a message is output when the number of threads exceeds the upper limit or drops below the upper limit during a timeout occurrence. For details about the message, see Messages Agent/Manager outputs.

The messages that are output are shown below.

  • When a timeout occurs
    00210001

  • When the number of threads exceeds the upper limit (No output for Windows remote host)
    02030001 (Linux remote host)

  • When the number of threads drops below the upper limit (No output for Windows remote host)
    02030002 (Linux remote host)

Specify the parameters by editing the PerformanceDefault.ini file.

  • Location of the PerformanceDefault.ini file
    <Remote monitor agent's installation directory>\Agent\sg\PerformanceDefault.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-16LE (with BOM).

Section

Key

Overview

Setting range

Config

MonitoringTimeout

Specify a timeout for information collection. In an environment where the response takes time, it is possible to suppress the timeout frequency by specifying a larger value.

When the mean value mode is specified for the performance data acquisition method, a value higher than the monitoring interval must be specified (it is recommended to specify a value more than twice the monitoring interval).

1 to 3600[seconds]

Default value

Windows remote host: Monitoring interval

Linux remote host: Monitoring interval x 2

(Setting example)

To specify 120 seconds for the monitoring timeout:

[Config]

MonitoringTimeout=120

[Note]

  • The changed parameter value will be reflected after the remote monitor agent is restarted.


About monitoring service ports on a remote host

This product provides functions to manage and reference the service ports of the remote host in the system.

The following functions are available in the same way as for service port monitoring to monitor agents.

The function descriptions and operation methods are the same as the service port monitoring functions for agents.

  • Service port monitoring function

  • Status display function

  • Reporting function

To specify the remote host monitoring interval, connection timeout and retry count, open the [Option Setting] dialog box by selecting [Option] from the [Setting] menu, and then select the [Service Port Monitor] tab.

[References]

About monitoring service ports


About monitoring logs on a remote host

These products provide functions to monitor logs output on the remote hosts and report a message.

  • Event log monitoring function
    Monitors event logs output on Windows. When a log that meets a defined filter is output, it will report a message.
    When a new remote host is added, the [Eventlog Monitor] node will be automatically added under the added remote host node (only in the case where the remote host type is Windows and the authentication information for [API/WMI] is properly set).
    [References]
    About event log monitoring on a remote host

  • Syslog monitoring function
    Monitors the syslogs output by UNIX. A message is sent when a log that matches the defined filter is output.
    When a new remote host is added, the [Syslog monitor] node is automatically added under the added remote host node (only when the remote host type is Linux.)
    [References]
    About syslog monitoring on a remote host

  • Application log monitoring function
    Monitors logs output by various applications running on a remote host. When a log that meets a defined filter is output, it will report a message.
    [References]
    About application log monitoring on a remote host


About event log monitoring on a remote host

This functionality monitors event logs output on Windows remote hosts and report a message when a particular, predefined log is output.

The following functions are provided for event log monitoring. The content and operation method of each such function is the same as the event log monitoring functions for agents.

  • Message reporting function

  • Monitoring function

  • Display function

To set the interval for monitoring remote hosts, select [Option] from the [Setting] menu to open the [Option Setting] window and select the [Event Log Monitor] tab.

  • Interval for remote host monitoring

Specify the time interval, in seconds, for remote host monitoring. You can specify a desired value in the range of 60-3600 (1 hour). The default value is 60 seconds.

[Note]

  • The operation of the remote monitoring agent outputs the following event logs (Security) on the monitored remote hosts.
    As the output auditing logs are monitored by the remote monitoring agent, set up a filter(s) if necessary to prevent an appropriate log(s) from being stored.

    • For Windows Server 2003 / Windows Server 2003 R2

Success Audit of "Event ID: 540, 576, 538" for "Category: Logon/Logoff"

Success Audit of "Event ID: 680" for "Category: Account Logon"

    • For Windows Server 2008 / Windows Server 2008 R2

Success Audit of "Event ID: 4624" for "Task Category: Logon"

Success Audit of "Event ID: 4634" for "Task Category: Logon"

Success Audit of "Event ID: 4672" for "Task Category: Special Logon"

Success Audit of "Event ID: 4776" for "Task Category: Credential Validation"

  • As messages reported by the event log monitoring function on a remote host are collected at the monitoring intervals for the remote host, they are saved by the receive date and receive time. For this reason, the actual date and actual time of the occurrence of each message may be before or after the receive date and receive time.

  • If the output log is deleted before the next monitoring timing, a message indicating that the log was deleted will not be reported.

  • After the "Windows Event Log" service is restarted on the remote host while event logs are monitored on the Windows remote host, event logs are no longer properly monitored. To resume monitoring, restart the remote monitoring agent service.

  • Up to 1000(*) events are acquired for each event log and notified at a collection. If a large amount of logs are generated and 1000 or more logs continue to be output between collection intervals, a delay occurs as all of them are not collected in a timely fashion.
    * This is not the number of messages sent to the manager but the number of outputs to the relevant event log.

[References]

About event log monitoring


Specify event log monitoring timeout

The event log monitoring function collects information from the remote host at each monitoring interval. However, collection might take longer and the response might be delayed depending on the load state of the remote host.

In the monitoring function, when the next monitoring interval occurs during monitoring processing, monitoring of that interval is skipped.

A timeout period is specified for each monitoring function, and the monitoring is aborted when the timeout period is exceeded. When the monitoring is aborted, a new thread for monitoring is generated and the collection processing is not performed until the next monitoring interval.

Note that the monitoring cannot continue when many timeouts occur and the upper limit number of generated threads is exceeded because new threads cannot be generated. In this case, the monitoring resumes when the situation allows the suspended monitoring to resume such as when the number of threads available to the monitoring drops below the upper limit.

Timeouts might occur frequently depending on the environment. In this case, lengthen the monitoring interval or change the parameters on this page and change the parameter values to suppress the timeout occurrence.

Note that a message is output when the number of threads exceeds the upper limit or drops below the upper limit during a timeout occurrence. For details about the message, see Messages Agent/Manager outputs.

The messages that are output are shown below.

  • When a timeout occurs
    00420001

  • When the number of threads exceeds the upper limit
    00400001 (Windows remote host)

  • When the number of threads drops below the upper limit
    00400002 (Windows remote host)

Specify the parameters by editing the EventLogHelperAgt.ini file.

  • Location of the EventLogHelperAgt.ini file
    <Remote monitor agent's installation directory>\Agent\sg\EventLogHelperAgt.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-16LE (with BOM).

Section | Key | Overview | Setting range
Config | MonitoringTimeout | Specify a timeout for information collection. In an environment where the response takes time, it is possible to suppress the timeout frequency by specifying a larger value. | 1 to 3600[seconds] Default value Monitoring interval

(Setting example)

To specify 120 seconds for the monitoring timeout:

[Config]

MonitoringTimeout=120

[Note]

  • The changed parameter value will be reflected after the remote monitor agent is restarted.


About syslog monitoring on a remote host

The syslogs output on the Linux remote host are monitored and a message is sent when a specific log defined in advance is output. The available syslog monitoring functions are shown below. The details and methods of executing each function are the same as those of the syslog monitoring functions for agents.

  • Message reporting function

  • Monitoring function

  • Display function

To specify the remote host monitoring interval, open the [Option Setting] dialog box by selecting [Option] from the [Setting] menu, and then select the [SysLog Monitor] tab.

  • Remote host monitoring interval
    Specify the interval for remote host monitoring in seconds. Specify a value in a range of 60 to 3600 (1 hour). The default value is 60 seconds.

[Note]

  • Since the messages sent by the syslog monitoring function on the remote host are collected at the remote host monitoring interval, the messages are stored at the time they are received. For this reason, the date and time that an event occurred might differ from the date and time the message was received.

  • Only the syslogs that exist when the remote monitoring agent is connected to the remote host are monitored.

  • he maximum number of lines to be monitored from one monitoring trigger is 1,000 lines. Subsequent lines are monitored at the next monitoring trigger.

  • In the syslog display function, approx. 100,000 characters from the end of a log file are displayed.

[References]

About syslog monitoring


Specify syslog monitoring timeout

The syslog monitoring function collects information from the remote host at each monitoring interval. However, the collection might take longer and the response might be delayed depending on the load state of the remote host.

In the monitoring function, when the next monitoring interval occurs during monitoring processing, monitoring of that interval is skipped.

A timeout period is specified for each monitoring function, and the monitoring is aborted when the timeout period is exceeded. When the monitoring is aborted, a new thread for monitoring is generated and the collection processing is not performed until the next monitoring interval.

Note that the monitoring cannot continue when many timeouts occur and the upper limit number of generated threads is exceeded because new threads cannot be generated. In this case, the monitoring resumes when the situation allows the suspended monitoring to resume such as when the number of threads available to the monitoring drops below the upper limit.

Timeouts might occur frequently depending on the environment. In this case, lengthen the monitoring interval or change the parameters on this page and change the parameter values to suppress the timeout occurrence.

Note that a message is output when the number of threads exceeds the upper limit or drops below the upper limit. For details about the message, see Messages Agent/Manager outputs.

The messages that are output are shown below.

  • When the number of threads exceeds the upper limit
    02030001 (Linux remote host)

  • When the number of threads drops below the upper limit
    02030002 (Linux remote host)

Specify the parameters by editing the SysLogHelperAgt.ini file.

  • Location of the SysLogHelperAgt.ini file
    <Remote monitor agent's installation directory>\Agent\sg\SysLogHelperAgt.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-16LE (with BOM).

Section | Key | Overview | Setting range
Config | MonitoringTimeout | Specify a timeout for information collection. In an environment where the response takes time, it is possible to suppress the timeout frequency by specifying a larger value. | 1 to 3600[seconds] Default value Monitoring interval x 2

(Setting example)

To specify 120 seconds for the monitoring timeout:

[Config]

MonitoringTimeout=120

[Note]

  • The changed parameter value will be reflected after the remote monitor agent is restarted.


About application log monitoring on a remote host

This product provides functions to monitor application logs in the remote hosts within the system and report messages.

They have the following functions similarly to monitoring application logs for agents. The content and operation method of each such function is the same as the application log monitoring functions for agents.

  • Message reporting function

  • Monitoring function

  • Display function

To set the interval for monitoring remote hosts, select [Option] from the [Setting] menu to open the [Option Setting] window and select the [Application Log Monitor] tab.

  • Interval for remote host monitoring

Specify the time interval, in seconds, for remote host monitoring. You can specify a desired value in the range of 60-3600 (1 hour). The default value is 60 seconds.

[Note]

  • When performing multiple-line monitoring on a UNIX remote host, the maximum waiting time cannot be specified. If the number of lines in the log has not reached [MaxLines] by the time monitoring starts, the log at that point is output as a message.

  • The maximum number of lines that can be monitored from one monitoring trigger is 1000 for UNIX remote hosts. Subsequent lines are monitored at the next monitoring trigger.

[References]

About application log monitoring


Specify application log monitoring timeout

The application log monitoring function collects information from the remote host at each monitoring interval. However, collection might take longer and the response might be delayed depending on the load state of the remote host.

In the monitoring function, when the next monitoring interval occurs during monitoring processing, monitoring of that interval is skipped.

A timeout period is specified for each monitoring function, and the monitoring is aborted when the timeout period is exceeded. When the monitoring is aborted, a new thread for monitoring is generated and the collection processing is not performed until the next monitoring interval.

Note that the monitoring cannot continue when many timeouts occur and the upper limit number of generated threads is exceeded because new threads cannot be generated. In this case, the monitoring resumes when the situation allows the suspended monitoring to resume such as when the number of threads available to the monitoring drops below the upper limit.

Timeouts might occur frequently depending on the environment. In this case, lengthen the monitoring interval or change the parameters on this page and change the parameter values to suppress the timeout occurrence.

Note that a message is output when the number of threads exceeds the upper limit or drops below the upper limit during a timeout occurrence. For details about the message, see Messages Agent/Manager outputs.

The messages that are output are shown below.

  • When a timeout occurs
    00580001

  • When the number of threads exceeds the upper limit
    00570001 (Windows remote host)
    02030001 (Linux remote host)

  • When the number of threads drops below the upper limit
    00570002 (Windows remote host)
    02030002 (Linux remote host)

Specify the parameters by editing the ApLogHelperAgt.ini file.

  • Location of the ApLogHelperAgt.ini file
    <Remote monitor agent's installation directory>\Agent\sg\ApLogHelperAgt.ini
    If the file does not exist, create a new file, edit it, and then save it in UTF-16LE (with BOM).

Section | Key | Overview | Setting range
Config | MonitoringTimeout | Specify a timeout for information collection. In an environment where the response takes time, it is possible to suppress the timeout frequency by specifying a larger value. | 1 to 3600[seconds] Default value Monitoring interval x 2

(Setting example)

To specify 120 seconds for the monitoring timeout:

[Config]

MonitoringTimeout=120

[Note]

  • The changed parameter value will be reflected after the remote monitor agent is restarted.


Import definition files for agentless monitoring definitions

This operation should be executed after shifting into the Configuration mode.

Importing a predefined definition file will facilitate the definition of agentless monitoring. The operation method is similar to the one for regular agents.

[Note]

  • You cannot import the definition file of [System] exported from the node monitored by an agent to any remote host.


Export the definition for the agentless monitoring and generate the definition files

This operation should be executed after shifting into the Configuration mode.

By exporting an agentless monitoring definition and creating definition files, you can save and use the monitoring definition for various purposes and create additional monitoring definitions more easily. The export operation method is the same as that for normal agents.

[Note]

  • You cannot import the definition file of [System] information exported from the remote host node to any node monitored by an agent.


About monitoring applications on a remote host

This product provides a function to perform agentless monitoring on specific applications operating in the system. Using the agentless monitoring function enables you to monitor applications without installing the agent function to a server on which the applications are running.

Terms used in agentless monitoring

Terms | Description
Agentless monitoring | A function to monitor an application(s) running on a server without installing the agent to the server.
Remote monitor agent | It refers to a host to which SystemManager G Remote Monitor Agent has been installed. It collects the information on applications from a remote host(s).
Remote host | It refers to a server on which an application(s) is running. SystemManager G is not installed to it.
Agent (normal agent) | It refers to a host to which SystemManager G Agent has been installed. It is sometimes referred to as "a normal agent" to clearly distinguish it from a remote monitor agent.

The following shows an overview of an agentless monitoring configuration:

The agentless monitoring function enables you to monitor the following applications:

  • Oracle monitoring function
    Enables you to centrally monitor the operating statuses and running statuses of Oracle servers and processes that are operating in the system.
    [References]
    About monitoring Oracle on a remote host

  • SQL Server monitoring function
    Enables you to centrally monitor the operating statuses and running statuses of SQL Server and services that are operating in the system.
    [References]
    About monitoring SQL Server on a remote host

  • WebLogic Server monitoring function
    Enables you to centrally monitor the operating status of WebLogic Server that is running in the system.
    [References]
    About monitoring WebLogic Server on a remote host

  • SAP monitoring function

Enables you to centrally monitor the system logs, operating status, and CCMS alerts of SAP that is operating in the system.

[References]
About monitoring SAP on a remote host


Configure host settings for a remote host

Before you can configure monitoring settings for applications on a remote host, you must configure host settings for the remote host to be monitored.

The method to configure host settings for remote hosts is similar to that for agents.

[References]

Configure host settings


About monitoring Oracle on a remote host

The Oracle monitoring functionality of this product provides functions for monitoring and querying the operating status and state of the Oracle database and each of Oracle processes that are running on a remote host. The performance monitoring function allows performance to be monitored by viewing graphs and output CSV format files.

The following functions are provided to monitor Oracle on a remote host. The content and operation method of each such function are the same as those of the corresponding Oracle monitoring function for agents:

  • Performance monitoring

  • Performance state data collecting function

  • Threshold monitor function

  • Logging function

  • Essential process monitor function

  • Reporting function

[Note]

  • Agentless monitoring is not capable of monitoring RAC services, but capable of monitoring instances with an RAC configuration. Configure these monitoring settings by following the method described in "Register the Oracle instances."

[References]

About Oracle monitoring


Perform preparations before monitoring Oracle on a remote host

Before using the Oracle monitoring function in agentless monitoring, you must configure some settings. Please, refer to the following topics:

  • Install Oracle Client
    To monitor Oracle Database on a remote host, the 32-bit or 64-bit Oracle Client runtime must be installed in the remote monitor agent environment. Install the runtime of the Oracle Client included in Oracle Database. (Do not use Instant Client.) Regardless of whether 32-bit or 64-bit Oracle Database is used on the remote host, install Oracle Client on the remote monitor agent according to the operating mode used.For details about the supported combinations of Oracle Databases on a remote host and Oracle Clients, refer to the following information:
    KROWN#56903 (Document ID 1719864.1): About support for compatibility among different versions of Oracle Servers

  • Set tnsnames.ora
    In the Oracle monitoring of this product, the instance name entered in connection settings is controlled as the network service name, and name resolution via local naming is used for connecting to the database to be monitored.
    You must transfer the content of tnsnames.ora for Oracle Database to be monitored to that of tnsnames.ora for Oracle Client that has been installed to the remote monitor agent.

Description example of tnsnames.ora

HostA

Remote host name | HostA
Instance name (network service name) | ORCL
Database name | ORCL

Settings for tnsnames.ora on HostA

ORCL =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = HostA)(PORT = 1521))

)

(CONNECT_DATA =

(SERVICE_NAME = ORCL)

(SERVER = DEDICATED)

)

)

HostB

Remote host name | HostB
Instance name (network service name) | ORCL
Database name | ORCL

Settings for tnsnames.ora on HostB

ORCL =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = HostB)(PORT = 1521))

)

(CONNECT_DATA =

(SERVICE_NAME = ORCL)

(SERVER = DEDICATED)

)

)

As tnsnames.ora does not exist on Oracle Client, create the one.

If a tnsnames.ora has duplicate instance names (network service names) in it, change those instance names so that they may be unique.

Host: HostA
 | Remote host name | HostA
 | Instance name (network service name) | HOST_A_ORCL
 | Database name | ORCL
Host: HostB
 | Remote host name | HostB
 | Instance name (network service name) | HOST_B_ORCL
 | Database name | ORCL

Remote monitor agent's tnsnames.ora

HOST_A_ORCL =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = HostA)(PORT = 1521))

)

(CONNECT_DATA =

(SERVICE_NAME = ORCL)

(SERVER = DEDICATED)

)

)

HOST_B_ORCL =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = HostB)(PORT = 1521))

)

(CONNECT_DATA =

(SERVICE_NAME = ORCL)

(SERVER = DEDICATED)

)

)

The other required preparations are the same as those for Oracle monitoring for normal agents. Configure the required settings by referring to the following items. Since these settings will be configured for a remote monitor agent, reread them, such as the installation path to the setting file, according to your actual environment.

  • Mandatory setting for Oracle monitoring
    Definition of Oracle net service name
    Setting of Oracle initialization parameters

  • Monitoring 64bit Oracle
    Required settings for using 64bit Oracle

  • Setting Oracle database
    DB setting when monitoring Oracle
    DB setting when monitoring Oracle 12c

  • Oracle monitoring for dynamic listener
    Setting a delay in connecting to Oracle

  • Oracle listener monitoring
    Setting for monitoring Oracle Listener

[References]

About parameter tuning of Oracle monitoring


About monitoring SQL Server on a remote host

The SQL Server monitoring functionality of this product provides functions for monitoring and querying the operating status and state of the SQL Server database and each of SQL Server services that are running on a remote host. The performance monitoring function allows performance to be monitored by viewing graphs and output CSV format files.

The following functions are provided to monitor SQL Server on a remote host. The content and operation method of each such function are the same as those of the corresponding SQL Server monitoring function for agents:

  • Performance monitoring

  • Performance state data collecting function

  • Threshold monitor function

  • Logging function

  • Service monitoring function

  • Reporting function

[References]

About SQL Server monitoring


Perform preparations before monitoring SQL Server on a remote host

Before using the SQL Server monitoring function in agentless monitoring, you must configure some settings. Please, refer to the following topics. It is mentioned targeted for SQL Server 2012 about a setting method and confirmation method of setting. When monitoring other versions, please refer to a document of SQL Server.

  • Name resolution of instance name
    The host name which is included in the instance name specified in "Add Instance" dialog has to be resolved of its name at the remote monitor agent. When a name resolution cannot be done, it cannot be connected to the instance. It is necessary to set it as a hosts file, DNS server and so on by the OS level.

    [References]
    Configure the connection settings for the SQL Server instance

  • Setting of SQL Server
    Please set below on the SQL Server side (the remote host side).

    • Setting of a remote connection
      It is necessary to permit a remote connection for SQL Server. The default is permitted.

      [Setting method]
      After open a property of a data base node by "SQL Server Management Studio", put in a check of "All remote connections to this server" by a "Connections" page.

    • Enable the TCP/IP
      It is necessary to enable the TCP/IP about a connection to SQL Server. The default is enabled.

      [Setting method]
      Choose "SQL Server Network Configuration" - "Protocols for <Instance name>" by "SQL Server Configuration Manager", then set the "TCP/IP" to enable.

    • Start of service
      It is necessary to start the following 2 services of SQL Server. The startup type of these services are "Automatic" by default, and the status are "Started" basically.

      Service

      Description

      In the case of default instance

      SQL Server (MSSQLSERVER)

      In the case of named instance

      SQL Server (<Instance name>)

      SQL Server database engine

      SQL Server Browser

      Name resolution service which provides SQL Server connection information to a client computer

    • Setting of Windows Fireall
      It is necessary to permit access to the following port by "Inbound Rules" in the Windows Firewall.

      Default instance

Port to be opened | Destination
TCP 1433 | Port that is used for the default instance.

Named instance and dynamic port

Port to opened | Description
UDP 1434 | Port that is used for the SQL Server Browser service.
SQL Server installation destination\Binn\sqlservr.exe | SQL Server program of the target instance. The connection cannot be authorized by specifying a port number, so authorize it by specifying the program.

Named instance and fixed port

Port to be opened | Description
UDP 1434 | Port that is used for the SQL Server Browser service.
TCP fixed port number | Fixed port that is used for the named instance.

[How to check the port]
Select [SQL Server Network Configuration] > [<Instance Name> Protocol] in [SQL Server Configuration Manager] and open the [TCP/IP] properties window. You can view the port settings on the [IP Address] tab.


About monitoring WebLogic Server on a remote host

The WebLogic Server monitoring functionality of this product provides functions for monitoring and querying the operating status and states of WebLogic Server and WebLogic Server services that are running on a remote host. The performance monitoring function allows performance to be monitored by viewing graphs and output CSV format files.

The following functions are provided to monitor WebLogic Server on a remote host. The content and operation method of each such function are the same as those of the corresponding WebLogic monitoring function for agents:

  • Performance monitoring

  • Monitored data collection function

  • Threshold monitor function

  • Logging function

  • Reporting function

[References]

About WebLogic Server monitoring


Perform preparations before monitoring WebLogic Server on a remote host

To use the WebLogic Server monitoring function in agentless monitoring, you must edit the setting file on the remote monitor agent, and create and deploy the WebLogic Server client Jar files (hereinafter, "client Jar files") after you have installed this product. You must also pay attention to the fact that Java versions supported by the client Jar files are different.

Note that the client Jar files are stored in a remote monitor agent, but they must be created from the side of its remote host.

  • Create and deploy client Jar files
    [In the case of WebLogic Server 11gR1]
    Create the client Jar files with the JarBuilder tool; note that you must create wlfullclient.jar when the Java environment to be used is Java 6. Only the above combinations guarantee the operation of WebLogic Sever monitoring function. When directed in the creating procedure, cryptoj.jar is also used.
    For details about how to create them, refer to appropriate WebLogic Server manuals and the following URL; for details about the JarBuilder tool, refer to the following:
    10.3.1, 10.3.2
    http://docs.oracle.com/cd/E16764_01/web.1111/e13717/jarbuilder.htm
    10.3.3
    http://docs.oracle.com/cd/E14571_01/web.1111/e13717/jarbuilder.htm
    10.3.4
    http://docs.oracle.com/cd/E17904_01/web.1111/e13717/jarbuilder.htm
    10.3.5
    http://docs.oracle.com/cd/E21764_01/web.1111/e13717/jarbuilder.htm
    10.3.6
    http://docs.oracle.com/cd/E23943_01/web.1111/e13717/jarbuilder.htm

    Copy the created client Jar file to:
    <Remote monitor agent function installation directory>\Agent\lib

    [In the case of WebLogic Server 12.1.1/12.1.2]
    Create the client jar files with the JarBuilder tool; the client Jar files you need to create are wlfullclient.jar only, which supports Java 6 and Java 7. When directed in the creating procedure, cryptoj.jar is also used.
    For details about how to create the file, refer to the following URL:
    12.1.1
    http://docs.oracle.com/cd/E24329_01/web.1211/e24378/jarbuilder.htm
    12.1.2
    http://docs.oracle.com/middleware/1212/wls/SACLT/jarbuilder.htm

    Copy the created client Jar file to:
    <Remote monitor agent function installation directory>\Agent\lib

    [In the case of WebLogic Server 12.1.3/12.2.1]
    Use wlthint3client.jar as the client JAR file.
    Copy <WebLogic Server installation directory>\server\lib\wlthint3client.jar to <Remote monitor agent function installation directory>\Agent\lib.
    Only WebLogic Server 12.2.1 supports Java 8.

  • Set Java and WebLogic Server domain
    [Remote monitor agent]

    • Setting file to be edited
      <Remote monitor agent function installation directory>\Agent\sg\CollectorWebLogic.ini
    • Editing example:

      [Java]

      JAVA_HOME=C:\Program Files\Java\jdk1.6.0_45\jre

      [JVMOption]

      JVMOptionNo=2

      JVMOption001=-Djava.class.path=

      JVMOption002=-Xrs

      [Domain]

      #DomainPath=C:\bea\user_projects\domains\base_domain

      [Java] section (required)
      For JAVA_HOME, specify the directory of the Java executing environment. Specify up to the jre directory.
      If the operating mode is 32-bit mode, specify the directory where the 32-bit version JRE is located for JAVA_HOME; if the operating mode is 64-bit mode, specify the directory where the 64-bit version JRE is located for JAVA_HOME.
      Ensure that you only specify a Java version in the range of versions supported by WebLogic Version.

      [JVMOption] section (required)
      Use JVMOptionNo=2, without changing it.
      Use JVMOption001=-Djava.class.path=, without changing it.
      Use JVMOption002=-Xrs, without changing it.

      If the number of monitored WebLogic Server instances is 17 or more, rewrite the [JVMOption] section as follows:

      [JVMOption]

      JVMOptionNo=4

      JVMOption001=-Djava.class.path=

      JVMOption002=-Xrs

      JVMOption003=-Dweblogic.ThreadPoolSize=36
      JVMOption004=-Dweblogic.ThreadPoolPercentSocketReaders=90

      • ThreadPoolSize property (the number of running threads of WebLogic Client):
        Specify the number of threads that is 10 percent larger than the number of WebLogic instances to be monitored. The example given above describes a case where 32 instances are monitored.

      • ThreadPoolPercentSocketReaders property (the ratio of the number of reader threads)::
        Specify 90 (90%).

[Domain] section
Use #DomainPath, without changing it. The automatic server function to detect WebLogic Server on a remote host is not supported.

After editing the file, restart the SystemManager G remote monitor agent.

  • Protocols, channels
    SystemManager G uses a T3 protocol to connect to the WebLogic server. Check that the WebLogic Server's listen address, port, and channel are enabled for access inside the remote monitor agent.


About monitoring SAP on a remote host

The SAP monitoring functionality of this product provides functions for monitoring the system logs, operating status, and CCMS alerts of a SAP system running on a remote host. The performance monitoring function allows performance to be monitored by viewing graphs and output CSV format files.

They have the following functions similarly to those for SAP monitoring for agents. The content and operation method of each such function are the same as those of the corresponding SAP monitoring function for agents:

  • System Log Monitoring

  • CCMS alerts Monitoring

  • Performance Monitoring

  • Monitored data collection function

  • Threshold monitoring function

  • Logging function

  • Report function

[References]

About SAP monitoring


Perform preparations before monitoring SAP on a remote host

Before using the SAP monitoring function in agentless monitoring, you must configure some settings. Please, refer to the following topics:

  • Set CCMS agents
    SystemManager G performs monitoring activities on monitors and monitored attributes displayed in a transaction RZ20. If you need to perform performance monitoring and CCMS alert monitoring on a stack (Java stack and MDM) except ABAP stacks, you must install a CCMS agent before starting such monitoring operations.
    SystemManager G collects information from a central monitoring system (CEN) by connecting to the central monitoring system to which it has been connected from a CCMS agent.

  • User name, password for SAP
    SystemManager G uses RFC (Remote Function Call) for connection. You need to create a user that has S_RFC and S_XMI_PROD permission objects set. Assign the respective permission objects to S_RFC_ALL or S_XMI_ADMIN.
    The user also needs sufficient permission to access CCMS. To check whether the user has sufficient permission, confirm that you as the user can run RZ20 transactions and display CCMS monitoring operations with SAP GUI.

  • Set the SAP NetWeaver RFC library and Microsoft VS2005 runtime DLL
    Configure the following settings for a desired remote monitor agent:

    • Set the SAP NetWeaver library

SAP monitoring with SystemManager G requires a SAP NetWeaver RFC library (SAP NW RFC SDK 7.11 Patch level4 or higher). To get and set it, follow these steps.

    • For the latest information on NetWeaver RFC Library for SAP, refer to http://service.sap.com/connectors.

    • For the combinations of SAP system versions and OS versions with SAP NetWeaver RFC library versions and for the upper/lower compatibility of the SAP NetWeaver RFC library, refer to SAP NOTE 413708.

    1. Access the support SAP AG portal site
      Please access the following URL. To access the site, you must establish your own account (SAP Marketplace ID).
      http://service.sap.com/swdc

    2. Get the RFC execution environment
      Select the [Download] tab in the upper section of the window.
      Select [SAP Software Download Center] - [Support Packages and Patches] - [Search for Support Packages and Patches] in the tree on the left section of the window.
      Specify "NWRFC" as the search term and start the search operation, and download the following:

      Support Package SAP NW RFC SDK 7.XX Windows Server on IA32 32bit

      [Note]

        • Remote monitor agents only support x64 environments, but set up the 32-bit Library.

    3. Locate the RFC execution environment
      Store the following libraries under <Remote monitor agent function installation directory>\Agent\bin or set the PATH environment variable to the directory that stores each of the following libraries:

icudt34.dll, icuin34.dll, icuuc34.dll, libicudecnumber.dll, libsapucum.dll, sapnwrfc.dll

    • Set the Microsoft VS2005 runtime DLL
      To monitor SAP with SystemManager G, you need the VS2005 runtime DLL. To set it, follow these steps:

    1. Get the installation program
      Download the DLL described in SAP Note 684106 from the Microsoft download site. Note that remote monitor agents only support x64 environments, but you must download the 32-bit DLL.

    2. Run the installation program
      Run the downloaded installation program.

    • Check if the SAP NetWeaver RFC library and Microsoft VS2005 runtime DLL are set
      From the command prompt
      Run <Remote monitor agent function installation directory>\Agent\bin\CollectorSAPCmd.exe, and if the following message is displayed, it indicates that the library and the DLL have been set:

      CollectorSAPCmd version X.X
      * Actually X.X displays a version number.

[References]

SAP monitoring timeout settings

Change the number of threads for monitoring SAP


Deleting files for agentless monitoring

In UNIX agentless monitoring, a directory is created in the home directory of the connected user and the files required to monitor the remote host are created in the newly created directory.

Delete the entire directory because these files will no longer be required after the following operations.

  • Changing the connected user

  • Deleting the remote host

Directory created by this product

.NECUMF_[Remote monitor agent name]_[Remote host name]


About Multi-graph View

The multi-graph view provides functions that enable users to place various performance data as a performance statistical graph at their own discretion and compare the data with the past one within the performance statistical graph. The multi-graph view includes the following sub-functions:

  • Display function
    Enables users to place various pieces of performance data as a performance statistical graph at their own discretion in the multi-graph view window and compare the data with the past one in the performance statistical graph.
    [References]
    Display the multi-graph view window
    Place a performance statistical graph
    Define a performance statistical counter
    Set details (display settings) of a performance statistical counter
    Monitor performance statistics
    Change the time window for displaying a performance statistical graph

  • Monitored data collection function
    Collects information on the specified resources from various pieces of performance data. The collected data is managed centrally by the manager. This function periodically generates statistical data (average values throughout a certain period) from the collected performance data. Users can rapidly draw a graph that displays data for a long period by handling statistical data. They can also reduce the usage of the disk by setting the performance data and its retention period separately.
    [References]
    Define a performance statistical counter
    Set details (threshold settings) of a performance statistical counter
    Monitor performance statistics

  • Threshold monitoring function
    Enables the significant change of a specified performance statistical counter to be notified with node colors, sounds, and messages by setting the counter to a threshold value.
    [References]
    Set details (threshold settings) of a performance statistical counter

  • Performance statistical data maintenance function
    Deletes performance statistical data.
    [References]
    Delete performance statistical data

  • Import/export function for performance statistical counters
    Enables users to save counter information by exporting the defined counter information. It also enables users to import the saved counter information and easily restore original definitions with it or use it for various other purposes.
    [References]
    Import performance statistical counters
    Export a performance statistical counter

When the status of a performance statistical counter has changed, the function will output an appropriate message.

For details of such messages, refer to About Messages Output by Manager/Agents.

[Notes]

This function will not operate correctly if performance data accumulation is disabled in the performance data accumulation management settings.

To use this function, enable performance data accumulation.

For details, click here.


Define an item

This operation must be executed after shifting into the Configuration Mode.

The performance statistical graphs are managed on a-per-item basis.

To define an item, select [Add Item] from a pop-up menu displayed by right-clicking anything on the tree view (MultiGraphView) or on Map View. When the [New Item] dialog box has been displayed, complete the entries in the dialog box and click the [OK] button.

  • An item can be created under the root node (MultiGraphView node) or under one of the groups of items.

  • Item Name
    Specify a desired item name, within a maximum of 64 characters.
    The Item Name must be specified.

  • Icon File
    Specify an icon to be used to display an entity with a maximum of 256 characters. Clicking the [Browse] button enables you to display the [Open] dialog box and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.
    When you omit specifying an icon file, the default icon will be used.

  • Authority Setting
    Specify an authority for operating this item.
    For information for setting authorities, refer to "Perform User Management" - "About user management".

[References]

Define a group

Display the multi-graph view window

Place a performance statistical graph

Set the Multi-graph View options


Define a group

This operation must be executed after shifting into the Configuration Mode.

To manage items as a group, you can create an item group for them.

To define a group, select [Add Group] from a pop up menu displayed by right-clicking anything on the tree view or on Map View. When the [New Group] dialog box has been displayed, complete the entries in the dialog box and click the [OK] button.

  • A group can be created under the root node (MultiGraphView node) or under another group of items.

  • Group Name
    Specify a desired group name, within a maximum of 64 characters.
    The Group Name must be specified.

  • Icon File
    Specify an icon to be used to display an entity with a maximum of 256 characters. Clicking the [Browse] button enables you to display the [Open] dialog box and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.
    You can use an appropriate environment variable for the path name to the icon file.
    When you omit specifying an icon file, the default icon will be used.

  • Authentication
    Specify an authority for operating this group.
    For information for setting authorities, refer to "Perform User Management" - "About user management".

[References]

Define an item


Display the multi-graph view window

To display the multi-graph view window, double-click an item node name displayed in the tree view (within Multi-graph View). The multi-graph view window is displayed in the right section of the window.

[References]

Description of the operation mode of multi-graph view window

Draw graphic forms/change the background/print the window

Place a performance statistical graph

Monitor performance statistics


Description of the operation mode of multi-graph view window

  1. Operation mode

The multi-graph view window has two types of operation mode, View Mode and Edit Mode, and it is operating in View Mode immediately after it is displayed.

    • View Mode
      An operation mode immediately after the multi-graph view window is displayed, which enables users to refer to performance statistical graphs in the window.

    • Edit Mode
      Only users belonging to one of the groups that are authorized to change the definitions can transition to this mode, which is a special mode that enables them to change the definitions of performance statistical graphs in the multi-graph view window. The changed definitions take effect when you exit Edit Mode.
      This operation must be executed after shifting into the Configuration Mode.

  2. How to transition to Edit Mode

To transition to Edit Mode, click the [Edit] button on the View Mode toolbar in the multi-graph view window.

  3. How to check if you are in Edit Mode

While you are in Edit Mode, the check box for the [Edit] button is checked on the View Mode toolbar and the Edit Mode toolbar is displayed, in the multi-graph view window.

  4. How to exit Edit Mode

To exit Edit Mode, click the [Edit] button on the View Mode toolbar in the multi-graph view window. Or, another way to exit Edit Mode is to transition to Normal Mode.
The following message is displayed to save the result from editing the definition(s).

Click [Yes] to save the result from editing the definition(s). Click [No] not to save it. Click [Cancel] to return to Edit Mode.

[Note]

  • When exiting the console while you are in Edit Mode, the multi-graph view window will exit without displaying the confirmation message for saving the edited result. If you want to confirm the edited result, ensure that you exit Edit Mode before exiting the console.

[References]

Place a performance statistical graph

Monitor performance statistics


Draw graphic forms/change the background/print the window

Edit Mode must be executed after shifting to the Configuration Mode.

Operation | Normal Mode | Edit Mode
draw graphic | No | Yes
change background | No | Yes
print | Yes | Yes

[References]

Draw graphic forms on the Map view

Place a performance statistical graph

Place a jump icon

Change the background color of the Map view

Print the Map view

Description of the operation mode of multi-graph view window


Place a performance statistical graph

This operation must be executed after shifting into the Configuration Mode.

This operation must be executed after shifting to Edit Mode in the multi-graph view window.

Place a performance statistical graph in the multi-graph view window.

Click [image] on the Edit Mode toolbar.

In the upper left section of the window, click a start point with the left button of the mouse where you want to insert a performance statistical graph, and after that press and hold down the mouse while you are dragging the pointer diagonally. The performance statistical graph now has been placed in the multi-graph view window.

Right-click the graph part in the performance statistical graph.

Select [Graph Property Setting] from the right-click menu.

  • Graph Name
    Within a maximum of 64 characters, specify a desired graph name you want to display in the graph title bar.
    The Graph Name is optional.

  • Graph Type
    Select the type of graph used to display the data.

Graph type | Description
Line Graph | Display as a line graph
Line Graph(Marker) | Display as a line graph with markers

  • Display Period
    Sets how long this graph will be displayed.
    It is fixed to "Use Category setting".

  • Vertical Range
    Set the lower limit (range: 0-99) for the vertical axis of this graph.
    Set the upper limit (range: 1-100) for the vertical axis of this graph.

  • Counter Init Setting
    Specify which counters to be displayed initially on the graph when displaying the multi-graph view window. The counters whose check box is checked will be displayed initially.

  • Column View Setting
    Specify which columns to be displayed in the counter list part shown to the lower part of the graph.
    The columns whose check box is checked will be displayed.

    [Note]
    If [Severity Color] column is hidden, the check box for show/hide of graph is also hidden.

[References]

Description of the operation mode of multi-graph view window

Set the Multi-graph View options

Define a performance statistical counter

Set details (display settings) of a performance statistical counter

Set details (threshold settings) of a performance statistical counter

Monitor performance statistics


Define a performance statistical counter

This operation must be executed after shifting into the Configuration Mode.

This operation must be executed after shifting to Edit Mode in the multi-graph view window.

Define a performance statistical counter in the performance statistical graph.

Right-click the graph part in the performance statistical graph.

Select [Counter Setting] from the right-click menu. The [Counter Setting] window is displayed. After selecting a desired Data Type and entering a desired Search String, start a search by clicking the [Search] button to display a counter or counters that match the condition. Check a check box or check boxes on the left of a desired counter name or names. After confirming the counters you want to display in the performance statistical graph, click the [OK] button.

  • Manager Name
    Select the manager name.
    The default value is the manager connected to the console.
    If the lower manager is not connected, cannot select the manager.

  • Data Type
    Select the type of performance data you can obtain as a counter.

  • Search String
    Enter in regular expression a desired search condition for displaying counters in the Counter Name list from the counters of the selected data type.

  • [Search] button
    Searches counters with the condition you entered in regular expression.

  • [Break] button
    Terminates a search operation under way with the condition you entered in regular expression.

  • Counter Name list
    Lists the names of counters that matched the search condition from among the counters of the data type you selected.
    Check the check box on the left of the counter name for each counter you want to display in the performance statistical graph.
    Uncheck the check box on the left of the counter name for each counter you do not want to display in the performance statistical graph.
    When more than 1,000 counter names are found as a result of the search, only the first 1,000 counter names are displayed in this list.

  • Description
    Displays a description for a counter that is being selected in the Counter Name list. For some counters, any descriptions may not be displayed.

[Note]

  • The counter search operation is performed by using a regular expression search with [Data Type] plus [Search String]. For this reason, you do not have to specify the character string representing the data type in the counter name narrow down condition ([Search String]). A vertical bar ("|") as a mark for pipe processing is interpreted as a meta-character in regular expression. If you want to search for counters including such vertical bars, they must be escaped with the backslash "\" character.

  • Statistical data (average values throughout a certain period) for a counter is generated from the time when the counter is set. If you want to generate the statistical data before the time when counters are set, refer to PerfStatisticsCmd CREATE.

  • Double quotation marks ("), single quotation marks ('), and one-byte spaces at both edges of the conditions for narrowing down counter names are deleted before search and updated after the search..

[References]

Set the Multi-graph View options

Set details (display settings) of a performance statistical counter

Set details (threshold settings) of a performance statistical counter

Description of the operation mode of multi-graph view window


Set details (display settings) of a performance statistical counter

This operation must be executed after shifting into the Configuration Mode.

This operation must be executed after shifting to Edit Mode in the multi-graph view window.

The [Counter Detail Setting] window ([Display Setting] tab) is used to set how a performance statistical counter appears. Select and right-click a desired counter in the Counter List section in the performance statistical graph.

Select [Counter Detail Setting] from the right-click menu.

  • Counter Name
    Displays the name of the counter being set.
    The first 260 characters are displayed for the counter name.

  • Scale
    Specify the display magnification of lines on graphs. To change the magnification, select a new magnification from the scale.

  • The number of figures below the decimal point
    Specify the number of digits below the decimal point for the counter data value.
    When [The number of figures below the decimal point] is selected, the number of digits can be specified as a value between 1 and 20.

  • Display Data
    Select one from the defined display data.
    Click the [Update] button to edit the display data being selected. The [View Data Setting] window is displayed.
    Click the [Add] button to enable you to define a past performance counter. The [View Data Setting] window is displayed.
    Click the [Delete] button to delete the selected displayed data. Deleting a counter whose counter type is [Latest] will also delete the same counter whose counter type is [Past] at once.

  • Type
    [Latest]: The latest data will be displayed.
    [Past]: The past data will be displayed. In addition, you need to set a Past Type.
    If the display data was newly defined with the [Add] button, [Type] is set to [Past].
    If the display data was added from the [Counter Setting] window, [Type] is set to [Latest].

  • Past Type
    [Specific date]: The data generated on this specific date will be displayed. You need to set the specific date in [Past Detail].
    [Specified days ago]: The data generated a specified number of days ago will be displayed. You need to set the number of days in [Past Detail].
    [Specified weeks ago]: The data generated a specified number of weeks ago will be displayed. You need to set the number of weeks in [Past Detail].
    [Specified months ago]: The data generated a specified number of months ago will be displayed. You need to set the specified number of months in [Past Detail].
    [Specified years ago]: The data generated a specified number of years ago will be displayed. You need to set the specified number of years in [Past Detail].

  • Past Detail
    If you selected [Specific date] for [Past type], you specify the date information here.
    You can use calendar to select a desired specific date. You can select a date before the one specified in [Today: MM/DD/YYYY].

    [days]: If you selected [Specified days ago] for [Past type], specify an appropriate number in the range of 0 to 10,000.
    [weeks]: If you selected [Specified weeks ago] for [Past type], specify an appropriate number in the range of 0 to 2,000.
    [months]: If you selected [Specified months ago] for [Past type], specify an appropriate number in the range of 0 to 500.
    [years]: If you selected [Specified years ago] for [Past type], specify an appropriate number in the range of 0 to 40.

  • Counter Name
    Displays the counter name which is configuring.

  • Display Name
    Specify a desired name to be displayed in the counter of the counter list. When omitting the Display Name, the counter name is treated as a display name.

  • Color
    Displays the colors used for lines on graphs. By clicking the [Setting] button, you can display the [Graph Color Setting] window that enables you to select the color of lines.

[References]

Define a performance statistical counter

Set details (threshold settings) of a performance statistical counter

Description of the operation mode of multi-graph view window


Set details (threshold settings) of a performance statistical counter

This operation must be executed after shifting into the Configuration Mode.

This operation must be executed after shifting to Edit Mode in the multi-graph view window.

The [Counter Detail Setting] window ([Threshold Setting] tab) is used to set threshold values for a performance statistical counter. Select and right-click a desired counter in the Counter List section in the performance statistical graph.

Select [Counter Detail Setting] from the right-click menu.

  • Monitor Type
    Specify how a threshold value is to be evaluated. You can select one from [Sequential], [Continuous], and [Average]. If you select [Continuous] or [Average], specify a count in the range of 2 to 16 in the box to its right.

    • Sequential
      Reports a state change every time the file capacity exceeds (or reaches) the threshold value.

    • Continuous
      Reports a state change when the file capacity exceeds (or reaches) the threshold value several times in a row. Use the [Number of Times] box to specify the number of times the value must be crossed when the system reports a status change.

    • Average
      Reports a state change when the average of the file capacities exceeds (or reaches) the threshold value. The average value is derived from averaging all pieces of the past performance data, sampled repetitively until the number of repetitions reaches the value specified in [Number of Times], starting with the latest sampled performance information.

  • Upper Error Monitor
    If this check box is checked, the upper threshold will be monitored. When the counter value exceeds or reaches the error threshold, the status of the counter will change to PERFUPERROR.

  • Upper Warning Monitor
    If this check box is checked, the upper threshold will be monitored. When the counter value exceeds or reaches the warning threshold, the status of the counter will change to PERFUPWARNING.

  • Lower Error Monitor
    If this check box is checked, the lower threshold will be monitored. When the counter value falls under or reaches the error threshold, the status of the counter will change to PERFLOWERROR.

  • Lower Warning Monitor
    If this check box is checked, the lower threshold will be monitored. When the counter value falls under or reaches the warning threshold, the status of the counter will change to PERFLOWWARNING.

  • Threshold exceeded Setting
    If this check box is checked, the system will issue a message reporting that the status of a counter has been changed. It is not checked by default.

[Note]

  • Threshold monitoring for the counters retained by a lower manager cannot be performed on the multi graph view of the upper manager.

[References]

Define a performance statistical counter

Set details (display settings) of a performance statistical counter

Description of the operation mode of multi-graph view window


Place a jump icon

This operation must be executed after shifting into the Configuration Mode.

This operation must be executed after shifting to Edit Mode in the multi-graph view window.

A jump icon can be placed in the multi-graph view window.

Click [image] on the toolbar in Edit Mode.

Click the location where you want to insert the icon. The [Jump Target Setting] window is displayed. Select an item to which you want jump and click the [OK] button. The icon indicating the jump destination and its text are placed in the multi-graph view window.

Double-clicking the set jump icon enables you to jump to the multi-graph view window for any item view. This operation can be also performed in Normal Mode.

[References]

Define an item

Define a group

Draw graphic forms/change the background/print the window

Description of the operation mode of multi-graph view window


Set the Multi-graph View options

This operation must be executed after shifting into the Configuration Mode.

To define options for Multi-graph View, open the [Option Setting] window with [Option] from the [Setting] menu, and select the [MultiGraph View] tab.

  • Update Interval Graph
    Specify a desired time interval in seconds between updates for graph display. You can specify a value in the range of 10-3,600 (1 hour). The default value is 60 seconds.

  • Retention Statistics
    Specify a time period during which statistical data is retained by selecting one from [Unlimited], [1Week], [2Weeks], [1Month], [2Months], [3Months], [6Months], [9Months], and [1Year]. The default value is set to [Unlimited].
    Statistical data that is older than the retention period specified here will be automatically removed.

[Note]

  • If you select [Unlimited], statistical data will not be automatically removed.

  • The setting only concerns retention periods for statistical data (average values throughout a certain period) and not intended to be set for performance data held by other functions.

[References]

Define a performance statistical counter

Delete performance statistical data


Monitor performance statistics

To display a performance statistical graph, double-click an item node name displayed in the tree view (within Multi-graph View). The multi-graph view window is displayed in the right section of the window. The multi-graph view window displays the performance statistical graph.

The performance statistical graph displays its graph name, the toolbar at the top, a graph in the center, and a counter list at the bottom.

  • Icon and graph name

    The graph title bar displays its graph name.
    The icon [image] on the left end is the one for this performance statistical graph. It changes to the color of the severity after the status has changed.

  • Toolbar section

    • Clicking the [image] button will display a counter being selected in the Counter List section with a white line in the graph section.

    • Clicking the [image] button will enlarge the graph section by hiding the Counter List section.

  • Graph section

    The graph displays the counter value on the vertical axis, time on the horizontal axis, and the values of each counter. When you select a counter in the Counter List section, each threshold of the selected counter will be displayed with the dotted line in the color of each severity (PERFUPERROR, PERFLOWERROR, PERFUPWARNING, or PERFDOWNWARNING).
    The latest, plotted data is displayed at a position indicating the four fifths of the entire graph width from the left edge. The latest position is displayed with a green vertical line. You may refer to the graph to predict the future change of the performance data by displaying as a graph the one up to the latest on the left and the one in the past on the right.

    [Note]
    The graph for a period during which the manager stops is displayed by connecting the statistical data before the manager stops to the one after it resumes.

  • Counter List section

    This lists counters under monitoring and enables users to refer to the statuses of [Severity Color], [Color], [Counter], [Scale], [Latest], [Latest Time], [Lower Thresholds], and [Upper Thresholds] for each counter.
    For the displayed data whose type is [Latest], the statuses of [Severity Color], [Latest], and [Latest Time] will change.
    The width of the column used to display the data can be changed. This change is saved when the edit mode is exited.

The system takes the following actions to inform an operator when the status of any one of the monitored performance statistics has changed while they are being monitored.

  • The [Severity Color] column in the counter list section turns to the color of the severity after the status of the counter has changed. A sound will be produced if one has been set for the severity (only when the monitoring window is running).

  • On the tree view, if the priority of the severity after the status of the counter has changed is the highest for the performance statistical graph to which the counter belongs, the performance statistical graph icon will change to the color of that severity. And, if the priority is higher than those of the other performance statistical graphs in the same item, the color of the item node will also change. In addition, if the priority is higher than those of other nodes in the same group, the color of the upper node will also change.

  • When the counter is set a threshold value, a message will be issued to report the status change.

[Note]

  • If communication with the lower manager is disconnected while a performance statistical graph is being displayed, the performance statistical data obtained while the lower manager was disconnected will not be displayed when connection with the lower manager is re-established.
    To display a performance statistical graph containing the performance statistical data obtained while the lower manager was disconnected, perform one of the following procedures:

    • Change the display position or perform a search to refresh the graph display for the period during which the lower manager was disconnected.

    • Close the multi graph view dialog box, and then double click [Item] to open the multi graph view dialog box again.

  • For the NetvisorProV counter managed by the lower manager, the performance data is always displayed if the display period is less than 12 hours. Statistical data cannot be displayed.

  • A shorter NetvisorProV monitoring interval leads to more data being displayed on the graph because more performance data is collected. Since the amount of data to be displayed on a graph is limited to 960 items per counter, all the data might not be displayed if the display period is less than 12 hours. In this case, the last 960 items of data are displayed.

[References]

Change the time window for displaying a performance statistical graph

Delete performance statistical data


Change the time window for displaying a performance statistical graph

In a performance statistical graph displayed in the multi-view graph window, you can change the time window and position for displaying the graph.

You can operate this from the view toolbar in the multi-graph view window.

  • Change the time window for displaying a graph
    Select a desired time window with [image] in the view toolbar of the multi-graph view window. The changeable time windows include 3Min, 5Min, 10Min, 30Min, 1Hour, 2Hour, 4Hour, 8Hour, 12Hour, 1Day, 2Day, 4Day, 1Week, and 1Month. In addition, selecting [image] will remove a timeslot from the time window (or the graph will be zoomed in) and selecting [image] will increase the time window by one timeslot (or the graph will be zoomed out).

  • Change the position for displaying a graph
    Selecting [image] in the view toolbar of the multi-graph view window will shift the latest time in the graph to the current time. Clicking [image] will shift the time window in the graph to the left (the past). Clicking [image] will shift the time window in the graph to the right (the future). The time window will shift by a half of the timeslot selected in [image].

  • Specify a position for displaying a graph with a time and date
    Clicking the [Search] button in the view toolbar in the multi-graph view window will display the [Search Past] window, where you will specify the time and date to display the data that was generated at that time and click the [OK] button. This operation displays a graph whose latest view line is positioned at the specified time and date.

[Note]

  • It is likely to take time to display an item whose window time for display is within 4 hours and for whose graph the past data is defined. If that is the case, set the window time to 8 hours or longer, or decrease counters that are defined in one item.

  • If the time interval for collecting performance data is sufficiently short, compared to the window time for displaying a graph, the performance data will not be displayed as it is, but as statistical data (average values throughout a certain period).

  • If the graph becomes hidden when shortening the window time (zooming in the graph), the performance data does not exist during the period. As only the statistical data exists, refer to it by setting a longer window time.

  • If the graph becomes hidden when lengthening the window time (zooming out the graph), the performance data does not exist during the period. Generate statistical data by referring to PerfStatisticsCmd CREATE as needed.

  • If you change the time interval for collecting the performance information, the statistical data before the change may not be displayed. Generate statistical data by referring to PerfStatisticsCmd CREATE as needed.

  • Even if you change the window time for display in View Mode, the default value for it will not be saved. If you want to change the default value for the window time, you must change it in Edit Mode.

[References]

Monitor performance statistics

Description of the operation mode of multi-graph view window


Delete performance statistical data

The command line is used to delete performance statistical data. Care must be taken, because deleted performance statistical data cannot be restored.

  • Delete with the command line
    You can delete performance statistical data by running an appropriate command on the manager. For details of this method, refer to PerfStatisticsCmd INIT and PerfStatisticsCmd SWAP in the command reference.

[References]

Define a performance statistical counter

PerfStatisticsCmd INIT

PerfStatisticsCmd SWAP


Import performance statistical counters

This operation must be executed after shifting into the Configuration Mode.

This operation must be executed after shifting to Edit Mode in the multi-graph view window.

Importing a definition file that has been exported enables users to add counter information.

By selecting [Counter Setting Import] from the right-click menu in Edit Mode in Multi-graph View, display the [Import Setting] window.

To import an exported file, click the [Browse] button and specify the directory in which the exported file exists. When the files that can be imported are listed, select the file(s) that you want to import, and then click the [OK] button.

  • File Path
    Displays the directory path selected with the [Browse] button.

  • [Browse] button
    Displays the [Open Directory] dialog box to enable you to specify a path to a counter file.

Click the [OK] button to add counter information to the graph from the selected file.

When importing the file to a graph where the counter information has been set, the [Multi Graph View: Overwrite Confirm] window will appear if the imported data includes the same counter(s) as the current one(s) (original counter(s)) set in the graph.

  • Counter Name
    Displays the counter name of an original counter included in the performance management to be overwritten.

  • [Yes] button
    Enables you to overwrite the settings of the counter described in [Counter Name] with the imported data.

  • [All Yes] button
    Enables you to overwrite the settings of the counter described in [Counter Name] with the imported data. All the subsequent counters will be overwritten (as if the [Yes] button were clicked).

  • [No] button
    Enables you to keep the current setting as it is for the counter described in [Counter Name].

  • [All No] button
    Enables you to keep the current setting as it is for the counter described in [Counter Name]. All the subsequent counters will not be overwritten (as if the [No] button were clicked).


Export a performance statistical counter

By exporting the defined counter information and creating a configuration file, the counter information can be saved and used for others. This allows you to set up the definitions easily.

By selecting [Counter Setting Export] from the right-click menu in Multi-graph View, display the [Export Setting] window.

In the [Export Setting] window, set the comment that will be exported.

Click the [Browse] button, specify the file name in which the information will be saved, and click the [OK] button.

  • Comment
    Specify a comment that indicates the description of the counter information. The comment you specify here will be displayed in the [Comment] column of the [Import Setting] window when importing the file.

  • File Name
    Specify the file name that will store settings.

Click the [OK] button to run the export process and export the counter information to the specified file.

To close the dialog box without running the export process, click the [Cancel] button.

[Note]

  • When the specified file exists already, the confirmation dialog box appears asking you whether or not to overwrite the file. Click [Yes] to overwrite the existing file, and click [No] to cancel the overwrite operation without saving the information.


Performance data and statistical data

Two types of data are handled in the multi graph view: performance data and statistical data.
The data to be displayed is automatically selected according to the display period.

  • Performance data
    Information collected by the collection functions such as performance monitoring.
    This is displayed when the display period is short.

  • Statistical data

The average value of the performance data for each counter in a certain period.
This is displayed if the display period is long and there is a large amount of performance data.
Statistical data is calculated by using the following method.
For hourly statistical data, the data from 2011/01/01 00:00:01 to 2011/01/01 01:00:00 is averaged and handled as the data of 2011/01/01 01:00:00.
Statistical data is not generated automatically.
Statistical data is generated in the following cases.

  • When a counter is added to the multi graph view.

  • When a counter is added to a report (data type: multi graph view).

Statistical data after the counter was added is automatically generated.
The generation interval for statistical data is 1 minute, 2 minutes, 10 minutes, 30 minutes, 1 hour, 6 hours, 12 hours and 24 hours.
To manually generate statistical data before the counter was added, use PerfStatisticsCmd CREATE.

Note that all statistical data of counters removed from the multi graph view will be deleted.

[Notes]

  • Statistical data is not generated at the same interval as the interval for performance data collection (collection interval).
    Only statistical data with an interval larger than the collection interval is generated.

[References]

PerfStatisticsCmd CREATE


Output a report

Performance data such as CPU utilization and memory usage collected by monitoring functions such as the performance monitoring can be output to a PDF file as a report.

It is also possible to automatically output a report on a specified date and time by setting a schedule.

  • Report output function

Output a chronological graph or table based on the collected data.

Start an application associated with PDFs, and display the created PDF file. (See notes.)

[Related items]

Outputting a report

Checking the print results

  • Print definition function

Create a print definition by selecting a layout and specifying output details for each item.

Counter information and span of the data to be viewed can be specified in a print definition.

Information of multiple agents can be output in a batch by using one print definition.

A report can be generated monthly or at night by setting up a schedule.

[Related items]

Creating a print definition

Selecting a layout

Specifying the print target

Specifying the span

Specifying report items

Specifying output data

Specifying a placeholder

  • Print definition management

Name a print definition to manage. You can also create and manage a group of print definitions.

You can change or delete print definitions and change groups.

Definition information in a report can be exported and imported.

[Related items]

Deleting a print definition

Exporting a print definition

Importing a print definition

[Note]

  • Output has been tested with Adobe Reader Version 9.0 and later.

Output data

A report is output by referring to a variety of data collected by monitoring functions. A function supporting report output is shown below.

  • Performance Monitor

Steps to output a report

The process from report creation to report output is as follows:

1. Creating a print definition

2. Specify report items.

3. Output a report.

4. Check the print results.


Creating a print definition

This section describes how to create a report definition.

This operation should be executed after shifting into the Configuration mode.

This operation should be executed only by a user who belongs to a group with Add authority.

In the tree view, right-click the [Print View] or a group node, and then select [Add Print Definition].

  • Definition Name
    Use up to 64 characters to specify a print definition name.
    The print definition name cannot be omitted.

  • Icon File
    Use up to 256 characters to specify the icon file used for display.
    When you click the [Browse] button, the [Open] dialog box is displayed, and the icon file can be selected.
    An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon.
    If the icon file is omitted or the incorrect file is specified, the default icon is used.
    An environment variable can be used for the file path name.
    Example: %SystemDrive%\icons\icon1.ico

  • Layout
    Specify layout information to apply to the print definition.
    For details, see "Selecting layout information".
    The layout cannot be omitted.

  • Print Target
    Specify a print target when outputting reports for multiple agents by using one print definition.
    For details, see "Specifying the print target".

  • Target Span
    Specify the period for which data will be output as a report.
    For details, see "Specifying the span".

  • Authentication
    Specify the authentication settings for print definition operations. Access to the view, update, add, delete and print operations can be restricted.
    For details about how to specify these settings, see "Managing users" in "User management".

  • Schedule
    Specify a schedule when you want to output reports at a specified time.
    Check the [Schedule] box to enable the [Configuration] button. To set up a schedule for report output processing, click the [Configuration] button.
    For details about how to set up a schedule, see "Time schedule" in "Setting up the schedule".

  • Result Preservation
    Specify the maximum number of output reports that can be saved.
    Specify the maximum by selecting [No Limit], [Count] or [Days].

[Note]

  • If multiple targets are specified for [Print Target], multiple files may be created for one report output processing.
    The disk size may be strained regardless of the [Result Preservation].
    When needing a PDF file, please download it beforehand. For details about download, see "Checking the print results".


Selecting a layout

This section describes how to select layout information used for a print definition.

  • Layout Information
    Displays a list of registered layouts.
    Select layout information to use.
    [References]
    Performance data report
    Performance data report(2 charts)
    Performance data report(3 charts)

  • Output Sample
    Displays an illustration of a report output by using the selected layout information.
    Use this as a reference when selecting a layout.

  • Description
    Displays a description of the layout.
    Use this as a reference when selecting a layout.


Performance data report

The performance data report is a report in which performance information is shown in a specific layout consisting of a line graph.

[Output sample]

[Descriptions of items]

Item number

Item

Description

1

Logo image

This is the logo image.

The image is specified in the placeholder settings. This item can be omitted.

Specify the full path of the image which is placed on the machine where the manager was installed.

If the image does not fit the area, the size is reduced.

2

Title

This is the report title.

The title is specified in the placeholder setting. This item can be omitted.

3

Creation time

This is the date and time when the report was created.

4

Optional input area1

This is any character string.

The character string is specified in the placeholder setting. This item can be omitted.

If the character string occupies multiple lines, only the first line is displayed.

5

Period covered

This is the period covered by the graph.

6

Graph

This the line graph showing the performance information.

The performance information to be displayed is specified in the [Graph Setting for Print] dialog box.

7

Graph legend

This is the graph legend.

Enabling/disabling display and what to be displayed can be specified in the [Graph Setting for Print] dialog box.

8

Detail data

These are the performance values plotted on the graph.

The performance information to be displayed is specified in the [Graph Setting for Print] dialog box.

If the legend is displayed, the counter name area in the title line is displayed as a number corresponding to “No.” in the legend.

9

Optional input area2

This is any character string.

The character string is specified in the placeholder setting. This item can be omitted.

If the character string occupies multiple lines, only the first line is displayed.

[Notes]

  • When the data period is [For 1 month], the graph is drawn to a width of 31 days regardless of the number of days in the month.
    Data outside the period (dates in the next month) is not plotted in the graph.


Performance data report(2 charts)

The performance data report (2 charts) is a report in which performance information is shown in a specific layout consisting of two line graphs.

Performance information in different periods or using different types of counters can be displayed in 2 graphs for comparison.

[Output sample]

[Descriptions of items]

Item number

Item

Description

1

Logo image

This is the logo image.

The image is specified in the placeholder settings. This item can be omitted.

Specify the full path of the image which is placed on the machine where the manager was installed.

If the image does not fit the area, the size is reduced.

2

Title

This is the report title.

The title is specified in the placeholder setting. This item can be omitted.

3

Creation time

This is the date and time when the report was created.

4

Optional input area1

This is any character string.

The character string is specified in the placeholder setting. This item can be omitted.

If the character string occupies multiple lines, only the first line is displayed.

5

Period covered(Upper)

This is the period covered by [6.Graph(Upper)].

6

Graph(Upper)

This the line graph showing the performance information.

The performance information to be displayed is specified in the [Graph Setting for Print] dialog box.

7

Graph legend(Upper)

This is the legend of [6.Graph(Upper)].

Enabling/disabling display and what to be displayed can be specified in the [Graph Setting for Print] dialog box.

8

Period covered(Lower)

This is the period covered by [9.Graph(Lower)].

9

Graph(Lower)

This the line graph showing the performance information.

The performance information to be displayed is specified in the [Graph Setting for Print] dialog box.

10

Graph legend(Lower)

This is the legend of [9.Graph(Lower)].

Enabling/disabling display and what to be displayed can be specified in the [Graph Setting for Print] dialog box.

11

Detail data(Upper)

These are the performance values plotted on [6.Graph(Upper)].

The performance information to be displayed is specified in the [Graph Setting for Print] dialog box.

If the legend is displayed, the counter name area in the title line is displayed as a number corresponding to “No.” in the legend.

12

Detail data(Lower)

These are the performance values plotted on [9.Graph(Lower)].

The performance information to be displayed is specified in the [Graph Setting for Print] dialog box.

If the legend is displayed, the counter name area in the title line is displayed as a number corresponding to “No.” in the legend.

13

Optional input area 2

This is any character string.

The character string is specified in the placeholder setting. This item can be omitted.

If the character string occupies multiple lines, only the first line is displayed.

[Notes]

  • When the data period is [For 1 month], the graph is drawn to a width of 31 days regardless of the number of days in the month.
    Data outside the period (dates in the next month) is not plotted in the graph.


Performance data report(3 charts)

The performance information report (three graphs) is a report in which performance information is shown in a specific layout consisting of three line graphs.

Performance information in different periods can be displayed in 3 graphs for comparison.

[Output sample]

[Descriptions of items]

Item number | Item | Description
1 | Logo image | This is the logo image. The image is specified in the placeholder settings. This item can be omitted. Specify the full path of the image which is placed on the machine where the manager was installed. If the image does not fit the area, the size is reduced.
2 | Title | This is the report title. The title is specified in the placeholder setting. This item can be omitted.
3 | Creation time | This is the date and time when the report was created.
4 | Optional input area | This is any character string. The character string is specified in the placeholder setting. This item can be omitted. If the character string occupies multiple lines, only the first line is displayed.
5 | Host name | This is the host name. This is output when the print target is specified.
6 | Period covered | This is the period covered by [7.Graph(Upper)].
7 | Graph(Upper) | This the line graph showing the performance information. The performance information to be displayed is specified in the [Graph Setting for Print] dialog box.
8 | Graph(Middle) | This the line graph showing the performance information. Specify the same contents as the contents specified for [7.Graph(Upper)] in the [Graph Setting for Print] dialog box.
9 | Graph(Lower) | This the line graph showing the performance information. Specify the same contents as the contents specified for [7.Graph(Upper)] in the [Graph Setting for Print] dialog box.
10 | Graph legend | This is the legend of [7.Graph(Upper)]. Enabling/disabling display and what to be displayed can be specified in the [Graph Setting for Print] dialog box.

[Notes]

  • When the data period is [For 1 month], the graph is drawn to a width of 31 days regardless of the number of days in the month.
    Data outside the period (dates in the next month) is not plotted in the graph.

  • This layout is used to compare the same counter in 3 different periods.
    Specify the same settings for the following items in the [Graph Setting for Print] dialog box for each graph.

    • Vertical label

    • Vertical range

    • Display counter (color, scale, and order)

  • A legend can be displayed only for the contents in the upper graph.
    Minimum value, maximum value, average value, and data type are also displayed for the contents in the upper graph.

  • Detailed data is not displayed.


Specifying the print target

This section describes how to create reports for multiple agents with one report output processing.

These settings are for using a single print definition to consecutively output the reports for multiple agents.

  • Input Print Target
    Specify the agent names to target for printing.
    Specify multiple agent names on separate lines.
    A report (file) is output for each target specified here.

  • Import From File
    A printed target agent name is read from a file.
    The form of the file which can be designated will be below.

    Extension

    txt

    Character code

    UTF-16LE(Non BOM)

    Line feed code

    CR+LF

    The biggest number of lines

    10,000 lines


Specifying the span

This section describes how to specify the span of the data used for report output.

A variety of reports can be output by combining the schedule settings and span specification.

  • Data Span
    The Span which outputs a report is designated.

    Data Span

    The use

    Span

    Within 1 day

    A period of the data would like to output uses in case of less than 1 day.

    Data from the opening time of the designated day to the closing time is made the target.

    For 1 day

    A period of the data would like to output uses in case of for 1 day.

    Data from 00:00:00 on a designated day to 23:59:59 is made the target.

    For 1 week

    A period of the data would like to output uses in case of for 1 week.

    Data from 00:00:00 on a designated day to 23:59:59 1 week later is made the target.

    For 1 month

    A period of the data would like to output uses in case of for 1 month.

    Data from 00:00:00 on the 1st of a designated month to 23:59:59 in the end of the month is made the target.

    For 1 year

    A period of the data would like to output uses in case of for 1 year.

    Data from 00:00:00 on designated annual January 1 to 23:59:59 on December 31 is made the target.

    Specific period

    A period of the data would like to output uses in case of other than above.

    Data to the time of the end date is made the target from the designated starting date and time.

  • Begin Timing

One of "Fixed" and "Difference from the print execution" can be chosen.

  • Fixed

When would like to output a report, a decided date and data from the time are designated.

  • Difference from the print execution

When would like to designate a finite difference from the print execution time and output a report, it's designated.

  • End Timing

One of "Fixed" and "Specify Span" can be chosen.

  • Fixed

When would like to output a report, a decided date and data from the time are designated.

  • Specify Span

When would like to designate a period from the date and the time designated at the timing of starting and output a report, it's designated.

  • Print output time

You can set whether to display the time when the report period is displayed at the time of outputting a report.

  • When checked

The time will be displayed.

  • When unchecked

The time will not be displayed.

How to specify the span

A variety of reports can be output by combining the schedule settings and span specification.

Example)When making a monthly report, it's designated as follows.

  • "For 1 month" is designated a data span.
  • At the timing of "Begin Timing" in "Difference from the print execution", "1 months" before and "0 years" is designated.
  • A schedule is designated so that it may be carried out once every month.

Designation by a print definition and designation by output data

There are two sections to set the span of data to be reported; “Target Span Setting” dialog of this section and “Data Selection” dialog of “Specify output data” section. Difference of those settings is as follows.

  • Span specified by print definition
    This configures the reporting period of the report itself. If the report uses layout which includes multiple data, the span of the data on the report is the same.
  • Span specified by output data
    This configures the report period of each data. If this span is specified, it is given priority over the print definition. If the report uses a layout which includes multiple data and user set span for output data, the span of the data on the report becomes different than the data. This is effective when making outputting data in different period in one report.


Specifying report items

This section describes how to specify the settings according to the items in the layout.

This operation should be executed after shifting into the Configuration mode.

This operation should be executed only by a user who belongs to a group with Update authority.

In the tree view, right-click the print definition node, and then select [Set Print Definition].

  • Output
    This is enabled when the [Save] button is clicked.
    Output a report.
    Check the output result in the [Print Result List].

  • Save
    This is enabled when a print item is specified.

Two types of print items are available.

  • Placeholder
    Specify characters to print at the preset position in the layout.
    If this is not specified, the items in the report will be blank.
    For details about how to specify the placeholder, click here.

  • Data setting
    Output a graph or table at the preset position in the layout.
    Specify the output data for a graph or table and the target span.
    Obtain the data of the specified span and output a report according to these settings.
    For details about how to specify the output data, click here.


Specifying a placeholder

A placeholder is an item to always output when outputting a report.

  • Placeholder Setting
    Specify contents such as text and image that you always want to output when outputting a report.
    Double-click the row of the item name to change. When the input dialog box appears, enter a value.
    There is no need to specify all items.

Replacement character string

When the following character strings are specified as a placeholder, the corresponding information is output when outputting a report.

When specifying one of these strings, use only one replacement character string for the placeholder.

$BEGINDATE$ | Start date and time of the data span. Start date and time specified for [Target Span] in the print definition or "Data Selection" dialog box.
$ENDDATE$ | End date and time of the data span. End date and time specified for [Target Span] in the print definition or "Data Selection" dialog box.
$TARGET$ | Agent name. Agent name specified for [Print Target] in the print definition.

[Related items]

Creating a print definition

Specifying the print target

Specifying the span


Specifying output data

The output data is an item that obtains data from the various functions when outputting a report.

Select a data type, and specify a display method (graph or table) and data settings (such as CPU utilization or other counters).

If not specified, the item is displayed in pink.

It changes to green when the output data settings are specified. All items must be specified.

Some items of output data can be specified collectively. (A group name is displayed to the right of the item name.)

Selecting data

Right-click a print item in the layout, and then select [Data Selection].

A dialog box for specifying the data type and settings is displayed.

  • Data Config Name
    This is displayed in the data configuration name in the upper right of the print definition setting view.
    Data Config Name cannot be omitted.

  • Data Kind
    Displays a list of data types.
    Select a data type, and then click the [Configuration] button to display the output data settings dialog box. Click the [Configuration] button to specify each setting.
    This item cannot be omitted.

  • Target Span
    Use this to specify the data span.
    Use this to individually specify the span for the data type. This setting overrides the setting in the print definition.
    For details, see "Specifying the span".


Multi graph view

  • Specifying output data

This section describes how to specify the detailed information of the multi graph view to use for printing.

  • Graph Name
    Specify a name to display above the graph. Graph Name can be omitted.

  • Vertical Label
    Specify a name to display on the left of the graph. Vertical Label can be omitted.

  • Vertical Range
    Specify a value between 0 and 999999999 as the lower limit of the vertical axis of the graph. (Left)
    Specify a value between 1 and 1000000000 as the upper limit of vertical axis of the graph. (Right)
    The upper limit must be larger than the lower limit.

  • Display Counter
    Specify a list of counters to display in the graph.
    The counters are plotted from the top down in the list.

    [Add] button: When the [Counter Setting] dialog box is displayed, select a new counter to add. The new counter is inserted directly above the currently selected counter.
    [Update] button: When the [Counter Update] dialog box is displayed, update the information of the currently selected counter.
    [Delete] Button: Delete the currently selected counter.
    [Up] button: Move the currently selected counter one level up.
    [Down] button: Move the currently selected counter one level down.

  • Plot Interval
    Specify an interval to obtain data for each counter.
    It's output as follows respectively.

    Further, please refer to here about performance data and statistical data.

    Item

    Explanation

    Auto

    An interval is chosen automatically so that about 30 of data may be output according to the period covered.

    Without designation

    Performance data is output.

    Performance data doesn't exist in a period covered, and when statistical data exists, statistical data is output.

    Designation interval (example: At 1 minute)

    Statistical data every designated interval is output.

    Statistical data in a designated interval doesn't exist, and when statistical data in an interval bigger than designation exists, the statistical data is output.

    When statistical data in an interval bigger than designation doesn't also exist, performance data is output.

    But, no cases too with a lot of amounts of data of the performance data are output.

  • Legend
    Select whether or not to display a legend below the graph. Details of the display counter are output when [Indicate a legend] is selected.It's possible to be to choose a check in the list and add a checked line to the legend.
    Each item is output as follows.

    Item

    Explanation

    Minimum value

    The smallest value is output by a chart in the output data.

    Maximum value

    The biggest value is output by a chart in the output data.

    Average value

    Average value of output data is output by a chart.

    Data type

    The type of the output data is output by a chart.

    A data type has performance data and statistical data.

    Nothing is output in case of performance data.

    "average ("Plot Interval")" is output in case of statistical data.

    The space in a part of "Plot Interval", output "1 min" etc.

  • Detail
    Select whether or not to display the details below the graph.
    A detailed table is output when [Indicate a detail] is selected.
    Selecting this enables the [The number of columns upper limit of the details] check box.
    When [The number of columns upper limit of the details] is selected, the number of columns displayed in the details can be limited.
    Specify a value between 1 and 1000 for the number of columns.

  • Import
    "Import Setting for Print" dialog box     is indicated and it's possible to import the chart setting filing an export did by the list function or installed knowledge filing.

[Notes]

  • When multiple counters are selected and performance data collection intervals for those counters differ, the graph may have a small plot interval and not be plotted normally. For [Plot Interval], specify a value larger than the collection interval of any counter.

  • The statistical data (average value in a certain span) of the specified counter starts being generated from the time the setting is specified.
    Data to display in the graph may not be generated immediately after specifying the setting.
    For details about how to generate previous statistical data, see PerfStatisticsCmd CREATE.

  • If [Target Span] is not specified, the graph, legends and details are not plotted.

  • When being numerous, the display width by which a minute data space is per 1 counter becomes small. When not fitting into display width, it's output by the index. When being not also satisfied with the index, "#" is output. If you check "The number of columns upper limit of the details" in "Graph Setting for Print" dialog box, the value is output right by restricting number of columns.

  • If the performance data accumulated on a lower manager is to be output, output fails if communication with the target lower manager is disconnected.

  • The NetvisorProV counter managed by a lower manager always outputs performance data if the plot interval is set to less than 10 minutes. Statistical data cannot be output.

  • Counter setting dialog box

This section describes how to add counter information of the performance statistical graph to use for printing.

  • Manager Name
    Select the manager host name. The default value is the manager connected to the console. A lower manager cannot be selected as the host if the lower manager is not connected.

  • Data Type
    Select a performance data type to be obtained as a counter.

  • Search String
    Enter the conditions for searching the counters to display in a list of counter names from the selected data type counters using a regular expression.
    The replacement character string which is specified in “Specifying a placeholder” can also be used for [Search String].

  • [Search] button
    Search with the conditions entered using a regular expression.

  • [Break] button
    Stop the search processing.

  • Counter
    List the counter names searched from the selected data type counters.
    Place a check mark in the box on the left of the counter name to add to the display counters.
    Remove the check mark from the box on the left of the counter name to remove from the display counters.
    Only 1,000 results are displayed in the list, even if the number of search results exceeds 1,000.

  • Description
    Display a description of the counter selected in the counter name list. Descriptions may not be displayed for some counters.

  • A counter of the print target is Search String
    When a check mark is placed in the check box, a counter is added by using the current search condition as an original counter name.
    In this case, the counter is handled as a regular expression used for the counter.
    If this box is checked, the check boxes for the counters are not displayed.
    When a regular expression is used, the display name to be added to the display counters is the same as the search string.

[Notes]

  • For counter search processing, a regular expression search with [Data Type] and [Search String] is performed.
    For this reason, there is no need to specify a data type character string for [Search String].
    Also, a pipe (|) used in a counter name is recognized as a meta character for a regular expression.
    A pipe needs to be used with a backslash escape character when searching a counter containing a pipe.

  • Double quotation marks ("), single quotation marks ('), and one-byte spaces at both edges of the conditions for narrowing down counter names are deleted before search and updated after the search.

  • Counter update dialog box

This section describes how to update counter information of the performance statistical graph used for printing.

  • Manager name
    Displays the manager host name.

  • Data Type
    Data type of the counter.

  • Counter Name
    Display the original counter name, excluding the data type.
    If [Use regular expression] is selected, the counter name is displayed using a regular expression.

  • [Use regular expression] check box
    Indicate whether or not a regular expression is used to display the counter name. This cannot be changed.

  • [Browse] button
    Enabled only when [Use regular expression] is selected.
    Display the counter setting dialog box with [A counter of the print target is Search String] selected as a counter name search condition.

  • Display Name
    Specify a counter name to be displayed as a legend in the form. The default is the original counter name.
    If this is omitted, the original counter name is output.
    Enabled only when [Use regular expression] is not selected.

  • Color
    Displays the color of the counter in the graph. To specify, click the [Setting] button.
    Enabled only when [Use regular expression] is not selected.

  • [Setting] button
    Displays the color setting dialog box.

  • Scale
    Specifies the scale of the data in the graph display.
    When [Auto] is selected, the scale is automatically specified according to the output data.

  • The number of figures below the decimal point made even
    Matches the number of digits after the decimal point for the data displayed as a legend and in the details.
    When [The number of figures below the decimal point made even] is selected, the number of digits can be specified as a value between 1 and 100.

  • Import of chart setting

A definition of chart setting can be given easily by importing the filing defined in MasterScope knowledge or the filing an export did by a list. A "Import" button is pressed with a "Graph Setting for Print" to import knowledge file. "Import Setting for Print" is indicated, so a "Browse" button is pressed and the directory in which a file exists is designated. When a file for imports exists in a designated directory, a list of files is indicated, so imported filing is chosen and a button is pressed.

  • Chart setting besides the indication counter is overwritten.
    A chosen file is effective when selected only a file . The chart setting which are the titles and labels, etc. in a case with checks is overwritten and renewed.

[Note]

  • More than one file is chosen or "Graph setting besides the counter is overwritten." check box is not putting a check in, only a counter is imported and other setting is ignored, so please be careful.


Outputting a report

This section describes how to output a report based on a print definition.

This operation should be executed after shifting into the Configuration mode.

This operation should be executed only by a user who belongs to a group with Print authority.

  • From the context menu
    Select a print definition to output in the tree view.
    Right-click the print definition, and then select [Output] from the displayed pop-up menu.

  • From the schedule
    Automatically prints if the schedule is specified.

  • From the print definition setting view
    Enter the configuration mode before performing this operation.
    Select a print definition to output in the tree view.
    Right-click the print definition, and then select [Set Print Definition] from the displayed pop-up menu.
    When the print definition setting view is displayed, click the [Output] button.

Check the print result in the [Print Result List].

Checking a report

Perform the following operations to check the result of the output report.

  • From [Print Result List]
    In the tree view, double-click a print definition you want to check to display the [Print Result List].

[Note]

  • If there is no data for the print target span, a report is created without graph or table data.

[Related item]

Checking the print results


Checking the print results

This section describes how to check the print results.

In the tree view, double-click a print definition you want to check.

  • Result Output Directory
    The directory of manager in which print results are stored.

  • Span
    Specify span of output time to filter print result. Print results which were outputted between the span are displayed in the list below.
    After editing the item, click “Apply Filter” button to update the list.

  • Status
    Specify status of report output which include in filtered result. Unchecked items are not displayed in list below.
    After editing the item, click “Apply Filter” button to update the list.

  • Output Time
    Displays the date and time when the report was output.

  • Size
    Displays the PDF file size in KB.

  • Password
    Displays the password setting status of the PDF file.
    "Not Set" is always displayed because the password-protection function is not supported with this version.

  • Status
    Displays [Succeeded], [Failed], [Processing], [Cancel] or [Error].

  • Memo
    Displays the memo specified for the print result.
    Display and edit [Property] from the context menu.

Context menu

  • Open
    Open an output report.
    The state can be chosen in case of "Succeeded".
    An application associated with PDF is launched.
    The [Print Result File Selection] dialog box is displayed when multiple files are generated in one report output processing.
    Select a file to display.

  • Download
    An output report is downloaded.
    The state can be chosen in case of "Succeeded".
    The [Print Result File Selection] dialog box is displayed when multiple files are generated in one report output processing.
    Then specify directory to output report by "Open Directory" dialogue.

  • Cancel
    Cancels the report output.

  • Delete
    Deletes the output report.

  • Property
    Displays the property.
    The memo can be edited in the configuration mode.

[Note]

  • When a chart name and a vertical axis label in a report with charts are not entirely output, the number of characters exceeds the limit. Specify shorter words to these parameters to output all of them.


Deleting a print definition

This section describes how to delete a print definition.

This operation should be executed after shifting into the Configuration mode.

This operation should be executed only by a user who belongs to a group with Delete authority.

In the tree view, select a print definition to delete.

Right-click the print definition, and then select [Delete] from the displayed pop-up menu.

[Note]

  • When a print definition is deleted, all output reports are also deleted.
    If you want to save these report files, please download and store these files to other directory beforehand. To confirm output directory of print result, please refer to [Checking the print results].

[Related item]

Checking the print results


Exporting a print definition

This section describes how to export a print definition to a file.

This operation should be executed after shifting into the Configuration mode.

This operation should be executed only by a user who belongs to a group with Reference authority.

In the tree view, right-click a print definition to output, and then select [Export] from the displayed pop-up menu.

The following contents are output.

  • Layout information

  • Image file information

  • Placeholder information

  • Output data information

* Target Span is not exported.

  • Comment
    Use up to 64 characters to describe the print definition. The comment is displayed in the [Comment] column in the [Import Setting] dialog box.

  • Directory
    Specify a directory name where the definition file is saved.
    This name cannot be omitted.

When you click the [OK] button, the export processing starts and the definition file is output to the specified directory.

A definition file consists of a file containing the contents specified in the Print Definition Setting dialog box and multiple files containing output data.

[Notes]

  • The definition of the schedule is not output. Specify the schedule again after importing.

  • If the specified directory already contains a definition file, a dialog box is displayed to confirm whether to overwrite it.
    To overwrite the existing file, click [Yes]. To abort saving without overwriting the file, click [No].


Importing a print definition

This section describes how to import a print definition from the exported definition file to add the print definition.

This operation should be executed after shifting into the Configuration mode.

This operation should be executed only by a user who belongs to a group with Add authority.

In the tree view, right-click the [Print View] or a group node, and then select [Import].

The following contents are imported.

  • Layout information

  • Image file information

  • Placeholder information

  • Output data information

* Target Span is not imported.

  • [Browse]
    Specify a directory name where the definition file is stored.

  • Comment
    Display the comment entered when it was exported.
    The data setting name is also displayed.

[Note]

  • Specify the schedule if the report output is executed by using the schedule.


Import a print definition template

This product includes a print definition template for each monitored application. Importing a print definition template helps you output a report on performance data for its corresponding monitored application.

For the detailed procedure to import the template, refer to Importing a print definition.

The print definition template for each monitored application is stored in the following folder on the console:

C:\Program Files\NEC\UMF\Operations\Svc\PrintTemplate\ApplicationNavigator\<Application name>\<Template name>

Specify a desired template in the [Import Service] window and click the [OK] button to display the parameter setting window. Double-click a desired setting item and set appropriate parameters. The setting items depend on each application.

Click the [OK] button to return to the parameter setting window. Once you have confirmed that the settings are reflected in the window, click the [OK] button. Importing the print definition template will start.

[Note]

  • Specify the exact name of each parameter (it is case sensitive).

  • The monitored counters handled in a print definition template are a result from extracting counters that play a particularly important role in operation monitoring and performance monitoring from the monitoring template for each monitored application. Any print definition template does not deal with all the monitored counters.

  • When you want to schedule execution of a report output, you need to set the schedule.

[References]

Importing a print definition


Creating a monthly report

[Overview of report]

A performance information (server CPU utilization) report for the previous month is automatically output at 5:00am on the 1st day every month.

[Performance data report] is used as the report layout.

There are multiple target servers, and a report is output for each server separately.

[Prerequisites]

Settings for collecting performance information must be specified in advance.

[Setting order]

  1. Create a print definition.

  2. Edit the print definition.

  3. Edit the graph.

  4. Check the print results.


1. Create a print definition

  1. Selecting a layout
    In the tree view, right click the [Print View] or a subordinate group, and then select [Add Print Definition] from the displayed pop-up menu to display the [Add Print Definition] dialog box.

    Click the [Select] button for [Layout] in the [Add Print Definition] dialog box to display the [Layout Selection] dialog box.
    Select [Performance data report], and then click the [OK] button.

  2. Selecting a print target
    Select the [Print Target] check box in the [Add Print Definition] dialog box and click the [Configuration] button to display the [Print Target] dialog box.
    Specify the report target agent as shown below, and then click the [OK] button.

  3. Specifying the target period
    Select the [Target Span] check box in the [Add Print Definition] dialog box, and then click the [Configuration] button.
    When the [Target Span Setting] dialog box is displayed, specify the items as shown below.

    Item

    Description

    Data Span

    1 month

    Begin Timing

    Specify the time difference from when the print was executed.

    0 years ago 1 month ago

    4. When statistical data is in use, the data span displayed in the [Target Span Setting] dialog box differs from the actual data collecting span.

    • Statistical data calculation method (When the plot interval of statistical data is 1 hour)
      The data from 2012/01/31 23:00:01 to 2012/02/01 00:00:00 is averaged and handled as the data of 2012/02/01 00:00:00.
      Specify the following items when specifying the data collecting span as one month from the first day to the last day of the month.

    Item | Description
Data | Specific span
Begin Timing | Fixed 2012/02/01 0:00:0
End Timing | Fixed 2012/03/01 0:00:00

  4. Setting up a schedule

    5. Select the [Schedule] check box in the [Add Print Definition] dialog box and click the [Configuration] button to display the [Schedule Setting] dialog box.

    Click the [Add] button to display the [Edit Schedule] dialog box.

    Specify each item.

    Item | Description
Schedule Name | Print schedule.
Calendar Name | All operating days.

    [Note]

    When specifying time in the [Schedule Rule Settings] dialog box, the statistical data generation may not be completed if 00:00 is specified for the starting time.

    For the starting time, specify a time at which the plot interval of statistical data or longer has elapsed from 00:00.

    Click the [Add] button for [Schedule Rule] to display the [Schedule Rule Settings] dialog box.

    Specify the items, and then click the [OK] button.

    Item |  | Description
Type |  | Monthly (date).
Date |  | 1st.
Time | Start | 05:00
Application period | Start Date | * Specify the month to start outputting the report.
 | The end date is not defined | Selected

    Select the print schedule to be added to the schedule name in the [Schedule Setting] dialog box, and then click the [OK] button.

  5. Saving a print definition

    6. Specify “CPU utilization” for the print definition name in the [Add Print Definition] dialog box.

    Click the [OK] button to add CPU utilization to the print view.

[References]

For details about how to create a print definition, click here.


2. Edit the print definition

  1. Specifying a placeholder
    Right click “CPU utilization” added to the tree view ([Print View] or a subordinate group), and then select [Set Print Definition] from the displayed pop-up menu to display the edit dialog box.

    Specify each item of the placeholder settings.

    2. Double-click an item to display the [Placeholder Setting] dialog box, and then specify values for the items.

    Specify the full path of the image (JPEG format) stored on the manager machine for [Logo file name].

    Item | Description
Optional input area 1 | CPU utilization of $TARGET$.
Optional input area 2 | Division in charge: Information System Division
Logo file name | C:\image\masterscope_color.jpg
Title | Performance information report (monthly)

[References]

For details about how to specify report items, click here.


3. Edit the graph

  1. Editing a graph
    Right click [PerformanceGraph:PerformanceData], and then select [Select Data] from the displayed pop-up menu.

    When the following message is displayed, click the [OK] button.

    When the [Data Selection] dialog box is displayed, enter “CPU utilization” for [Data Config Name].

    2. Select “Multi graph view” for [Data Kind].

    Click the [Configuration] button to display the [Graph Setting for Print] dialog box.

    Specify each item in the [Graph Setting for Print] dialog box as shown below.

    Item |  |  | Description
Graph Name |  |  | CPU utilization
Vertical Label |  |  | %
Vertical Range |  |  | 0 - 100
Plot Interval |  |  | Auto judgment
Legend | Indicate a legend |  | Selected
 | Add column | Minimum Value | Selected
 |  | Maximum Value | Selected
 |  | Average Value | Selected
 |  | Data Type | Selected
Detail | Indicate a detail |  | Selected
 | The number of columns upper limit of the details |  | Not selected

  2. Adding a counter
    Click the [Add] button in the [Graph Setting for Print] dialog box to display the [Counter Setting] dialog box.

    Select “System” for [Data Type], enter “$TARGET$\|Processor.*” for [Search String], and then click the [Search] button.

    Check that the counter has been added to the counter list, select the [A counter of the printer target is Search String] check box, and then click the [OK] button.

    Note that all existing agents, not the specified print targets, are displayed when the search is performed with “$TARGET$” specified.

  3. Setting up a counter
    Select the counter added to the display counter list and click the [Update] button in the [Graph Setting for Print] dialog box to display the [Counter Update] dialog box.

    Specify the following items, and then click the [OK] button.

    Item

    Description

    Scale

    1.0

    The number of figures below the decimal point is made even

    Selected

    3

    Click the [OK] button in the [Graph Setting for Print] dialog box to return to the [Data Selection] dialog box.
    Click the [OK] button in the [Data Selection] dialog box to return to the edit dialog box. Click the [Save] button in the edit dialog box.

[References]

For details about how to create a print definition, click here.


4. Check the print results

A report is created once a month based on the schedule settings.

Check the output results after the date specified for the schedule.

  1. Checking the output results
    Double-click “CPU utilization” in the tree view ([Print View] or a subordinate group) to display the [Print Result List] dialog box.

    Check if the output result status displayed in the list is [Succeeded].

    Double-click the output result to display the [Print Result File Selection] dialog box.
    Select the check box of the file name displayed in the list and click the [OK] button to open the report.

[Troubleshooting]

  • If "-" is displayed for the report target period and a graph is not output, it means that the target period is not specified correctly.
    Specify the period correctly.

  • If no data has been output in the detail data column in the report, it means that the performance information has not been accumulated.
    Performance information may not exist if printing was performed immediately after the definition was specified. Print after the performance information is accumulated.

[References]

For details about how to create a print definition, click here.


Creating a comparative report

Performance information (server CPU utilization) reports for the previous month, the month before the previous month, and the previous month of the previous year are automatically output at 5:00am on the 1st day of every month.

[Performance data report(3 charts)] is used as the report layout.

There are multiple target servers, and a report is output for each server separately.

[Prerequisites]

Settings for collecting performance information must be specified in advance.

[Setting order]

  1. Create a print definition.

  2. Edit the print definition.

  3. Edit the graph.

  4. Check the print results.


1. Create a print definition

  1. Selecting a layout
    In the tree view, right click the [Print View] or a subordinate group, and then select [Add Print Definition] from the displayed pop-up menu to display the [Add Print Definition] dialog box.

    Click the [Select] button for [Layout] in the [Add Print Definition] dialog box to display the [Layout Selection] dialog box.
    Select [Performance data report(3 charts)], and then click the [OK] button.

  2. Selecting a print target

    Select the [Print Target] check box in the [Add Print Definition] dialog box and click the [Configuration] button to display the [Print Target] dialog box.
    Specify the report target agent as shown below, and then click the [OK] button.

  3. Setting up a schedule

    4. Select the [Schedule] check box in the [Add Print Definition] dialog box and click the [Configuration] button to display the [Schedule Setting] dialog box.

    Click the [Add] button to display the [Edit Schedule] dialog box.

    Specify each item.

    Item | Description
Schedule Name | Print schedule.
Calendar Name | All operating days.

    Click the [Add] button for [Schedule Rule] to display the [Schedule Rule Settings] dialog box.

    Specify the items, and then click the [OK] button.

    Item |  | Description
Type |  | Monthly (date).
Date |  | 1st.
Time | Start | 05:00
Application period | Start Date | * Specify the month to start outputting the report.
 | The end date is not defined | Selected

    [Note]
    When specifying time in the [Schedule Rule Settings] dialog box, the statistical data generation may not be completed if 00:00 is specified for the starting time.
    For the starting time, specify a time at which the plot interval of statistical data or longer has elapsed from 00:00.

    Select the print schedule to be added to the schedule name in the [Schedule Setting] dialog box, and then click the [OK] button.

  4. Saving a print definition

    5. Specify “CPU utilization” for the print definition name in the [Add Print Definition] dialog box.

    Click the [OK] button to add CPU utilization to the print view.

[References]

For details about how to create a print definition, click here.


2. Edit the print definition

  1. Specifying a placeholder
    Right click “CPU utilization” added to the tree view ([Print View] or a subordinate group), and then select [Set Print Definition] from the displayed pop-up menu to display the edit dialog box.

    Specify each item of the placeholder settings.

    2. Double-click an item to display the [Placeholder Setting] dialog box, and then specify values for the items.

    Specify the full path of the image (JPEG format) stored on the manager machine for [Logo file name].

    Item | Description
Optional input area | CPU utilization.
Logo file name | C:\image\masterscope_color.jpg
Title | Performance information report

  2. Specifying the target period

    Right click [PerformanceGraph:PerformanceData1], and then select [Data Selection] from the displayed pop-up menu.

    When the following message is displayed, click the [OK] button.

    Note that this message is not displayed for [PerformanceGraph:PerformanceData 2] and [PerformanceGraph:PerformanceData 3].

    When the [Data Selection] dialog box is displayed, enter “CPU utilization” for [Data Config Name].

    Select the [Target Span] check box, and then click the [Configuration] button.

    When the [Target Span Setting] dialog box is displayed, specify the items as shown below.

    PerformanceGraph:PerformanceData1

    Item

    Description

    Data Span

    1 month

    Begin Timing

    Specify the time difference from when the print was executed.

    0 years ago 1 month ago

    PerformanceGraph:PerformanceData2

    Item

    Description

    Data Span

    1 month

    Begin Timing

    Specify the time difference from when the print was executed.

    0 years ago 2 month ago

    PerformanceGraph:PerformanceData3

    Item

    Description

    Data Span

    1 month

    Begin Timing

    Specify the time difference from when the print was executed.

    1 years ago 1 month ago

    After editing the graph, perform the same procedures for [PerformanceGraph:PerformanceData2] and [PerformanceGraph:PerformanceData3].

[References]

For details about how to specify report items, click here.


3. Edit the graph

  1. Editing a graph
    Select “Multi graph view” for [Data Type] in the [Data Selection] dialog box.
    Click the [Configuration] button to display the [Graph Setting for Print] dialog box.

    Specify each item in the [Graph Setting for Print] dialog box as shown below.

    PerformanceGraph:PerformanceData1

    Item

    Description

    Graph Name

    Current month

    Vertical Label

    %

    Vertical Range

    0 - 100

    Plot Interval

    Auto judgment

    Legend

    Indicate a legend

    Selected

    Add column

    Minimum Value

    Selected

    Maximum Value

    Selected

    Average Value

    Selected

    Data Type

    Selected

    Detailed data will not be output when using this template even if they are specified.

    PerformanceGraph:PerformanceData2

    Item

    Description

    Graph Name

    Previous month

    Vertical Label

    %

    Vertical Range

    0 - 100

    Plot Interval

    Auto judgment

    Legends and detailed data will not be output when using this template even if they are specified.

    PerformanceGraph:PerformanceData3

    Item

    Description

    Graph Name

    Previous year

    Vertical Label

    %

    Vertical Range

    0 - 100

    Plot Interval

    Auto judgment

    Legends and detailed data will not be output when using this template even if they are specified.

  2. Adding a counter
    Click the [Add] button in the [Graph Setting for Print] dialog box to display the [Counter Setting] dialog box.

    Select “System” for [Data Type], enter “$TARGET$\|Processor.*” for [Search String], and then click the [Search] button.

    Check that the counter has been added to the counter list, select the [A counter of the printer target is Search String] check box, and then click the [OK] button.

    Note that all existing agents, not the specified print targets, are displayed when the search is performed with “$TARGET$” specified.

  3. Setting up a counter
    Select the counter added to the display counter list and click the [Update] button in the [Graph Setting for Print] dialog box to display the [Counter Update] dialog box.

    Specify the following items, and then click the [OK] button.

    Item

    Description

    Scale

    1.0

    The number of figures below the decimal point is made even

    Selected

    3

    Click the [OK] button in the [Graph Setting for Print] dialog box to return to the [Data Selection] dialog box.
    Click the [OK] button in the [Data Selection] dialog box to return to the edit dialog box. Click the [Save] button in the edit dialog box.

[References]

For details about how to create a print definition, click here.


4. Check the print results

A report is created once a month based on the schedule settings.

Check the output results after the date specified for the schedule.

  1. Checking the output results
    Double-click “CPU utilization” in the tree view ([Print View] or a subordinate group) to display the [Print Result List] dialog box.

    Check if the output result status displayed in the list is [Succeeded].

    Double-click the output result to display the [Print Result File Selection] dialog box.
    Select the check box of the file name displayed in the list and click the [OK] button to open the report.

[Troubleshooting]

  • If "-" is displayed for the report target period and a graph is not output, it means that the target period is not specified correctly.
    Specify the period correctly.

  • If the legend, minimum value, maximum value, and average value columns for the report are blank, it means that the performance information has not been accumulated.
    Performance information may not exist if printing was performed immediately after the definition was specified. Print after the performance information is accumulated.

[References]

For details about how to create a print definition, click here.


Performance data accumulation

This product provides functions to manage the performance data collected within the system.

These functions are described below.

  • Performance data accumulation definition
    Defines the performance data accumulation method used for the entire system.
    [Do not store] and [Stored on the Manager] can be selected as the performance data accumulation method.
    When [Stored on the Manager] is selected, the accumulation period can be defined for each performance data type.
    [Notes]

    • If [Do not store] is selected, the performance data accumulation using the following functions is also disabled.

      • Importing performance data by using the PerfImportCmd command

      • Importing performance data by using invariant analysis

[Related items]

Defining the accumulation mode

Configuring performance data accumulation

Changing the performance data accumulation period

  • Performance data accumulation maintenance function
    Deletes the accumulated performance data.
    [Related items]
    Deleting performance data


Defining the accumulation mode

Enter the configuration mode before performing this operation.

To define the performance data accumulation mode, open the [Option Setting] dialog box by selecting [Option] from the [Setting] menu, and then select the [Performance Storage setting] tab.

  • Accumulation mode
    Select the performance data accumulation method.[Do not store] or [Stored on the Manager] can be selected.
    If [Do not store] is selected, the collected performance data of the performance monitoring function and Network Manager will subsequently not be accumulated on the manager.
    If [Stored on the Manager] is selected, the collected performance data of each function will subsequently be accumulated on the manager.
    [Notes]

    • Accumulated performance data will not be deleted if [Do not store] is selected.
      To delete the accumulated performance data, perform one of the following operations.

      • Click the [Data deletion] button.

      • Set the accumulation period of each data type to a limited period.

      • Delete the data by using the performance data collection function.

    • To accumulate performance data on the manager by using the [Stored on the Manager] option, a large disk capacity is required to manage the performance data.
      How to calculate the disk capacity is described below.

The size of accumulated performance data is 16 bytes per item.

A file of performance data is created for each counter each day.

Example: Amount of data when one agent monitors 100 monitoring counters at 30-second intervals and the data is retained for 1 week (7 days)

mount of data saved in one file: 16 [bytes] * 3,600 [seconds] * 24 [hours] / 30 [seconds] = 46,080 [bytes]

Disk capacity used for one file: 49,152 [bytes] (when the block size is 4 KB)

100 monitoring counters monitored for 7 days (700 files): 49,152 [bytes] * 700 = 34,406,400 [bytes] (approx. 33 [MB])

* The numbers above are for reference only; the actual results might vary depending on the operating conditions.

When accumulating the performance data of several tens of thousands of counters on a UNIX manager for a long period of time, be sure to secure enough area for the inodes when configuring the file system.

The expected number of inodes is as follows:

Monitoring counters * (Days to retain performance data + 4)

Example: To retain the performance data of 30,000 counters for 30 days, 1,020,000 inodes are used.

* The numbers above are for reference only; the actual numbers might vary depending on the operating conditions.

  • To use the multi graph view and invariant analysis, select [Stored on the Manager].
    If [Do not store] is specified, the multi graph view and invariant analysis do not operate correctly.

[Related items]

Configuring performance data accumulation

Deleting performance data


Configuring performance data accumulation

Enter the configuration mode before performing this operation.

To configure performance data accumulation for a specific data type, open the [Option Setting] dialog box by selecting [Option] from the [Setting] menu, and then select the [Performance Storage Setting] tab.

  • List of performance data accumulation periods for each data type
    The data types that can be specified for performance data accumulation are displayed in the data type field.
    Data types such as System (performance monitoring function) and Network (Network Manager), can be selected.
    The performance data accumulation period for each data type is displayed in the manager accumulation period field.
    To change the accumulation period for a specific data type, select the target data type from the list, and then click the [Modify] button.
    [Notes]

    • To change the performance data accumulation period for each data type, [Stored on the Manager] must be specified for [Storage Mode].

    • If [Do not stored] is selected for [Storage Mode] after the performance data accumulation period for each data type has been changed, the changed performance accumulation period for each data type will not be valid.

[Related items]

Defining the accumulation mode

Changing the performance data accumulation period


Changing the performance data accumulation period

Enter the configuration mode before performing this operation.

To configure the performance data accumulation period for a specific data type, use the [Perfprmance Data Storage Setting] dialog box.

To display the [Performance Data Storage Setting] dialog box, open the [Option Setting] dialog box by selecting [Option] from the [Setting] menu, select the [Performance Storage Setting] tab, specify the data type whose accumulation period is to be changed, and then click the [Modify] button.

  • Data type
    The name of the data type selected in the performance accumulation period list for each data type is displayed on the [Performance Storage Setting] tab of the [Option Setting] dialog box.

  • Manager accumulation period
    Specify the performance data accumulation period for [Data Type].
    [Do not store data], [1Week], [2Weeks], [3Weeks], [1Month], [2Month], [3Month], [6Month], [9Month], [1Year], or [Infinite] can be selected for the accumulation period.
    Performance data is automatically deleted after the accumulation period specified here passes.

    [Notes]

    • If [Infinit] is specified for the accumulation period, the performance data will not be automatically deleted.
      To delete the performance data, perform the following operations for each data type.

      • System
        For performance data accumulated by the performance monitoring function, see "Delete history data".
        For performance data imported for invariant analysis, delete the logical item (host) that was the import target.

      • Network
        Delete the data collection settings of the network node containing the performance data to be deleted, or delete the network node.

Regardless of the data type, the [Data deletion] button on the [Performance Storage Setting] tab in the [Option Setting] dialog box can be used to delete all the accumulated performance data.

For details about the [Data deletion] button, see "Deleting performance data".

[Related items]

Configuring performance data accumulation

Deleting performance data


Deleting performance data

Enter the configuration mode before performing this operation.

Note that the performance data deleted by this operation cannot be restored.

Click the [Data deletion] button on the [Performance Storage Setting] tab in the [Option Setting] dialog box.

When the [Data deletion] dialog box is displayed, specify the date, and then click the [Execute] button.

The date can also be specified from the calendar.

Delete the performance data of all counters that has been accumulated on the manager prior to the specified date. Click the [OK] button in the Data deletion confirm dialog box to delete the performance data.

[Notes]

  • It might take some time to delete the data, depending on the date specified for the deletion and the performance data volume.


About application monitoring

This product provides the function to monitor the given applications more integrative and detailed.

Application monitoring provides the functions belows:

  • Oracle monitoring function
    Monitor the performance and process statuses of Oracle server running on the system in an integrated policy.
    [References]
    About Oracle monitoring

  • IIS monitoring function
    Monitor the performance status of IIS Web server and FTP server running on the system in an integrated policy.
    [References]
    About IIS monitoring

  • SQL Server monitoring function
    Monitor the performance and service statuses of SQL Server running on the system in an integrated policy.
    [References]
    About SQL Server monitoring

  • WebLogic Server monitoring function
    Monitor the performance status of WebLogic Server running on the system in an integrated policy.
    [References]
    About WebLogic Server monitoring

  • Apache monitoring function
    Monitor the performance and process statuses of Apache running on the system in an integrated policy.
    [References]
    About monitoring Apache

  • Tomcat monitoring function
    Monitor the performance statuses of Tomcat running on the system in an integrated policy.
    [References]
    About Tomcat monitoring

  • SAP monitoring function
    Monitor the system logs, performance statuses, and CCMS alerts of SAP running on the system in an integrated policy.
    [References]
    About SAP monitoring

  • Java application monitoring function
    Monitor the performance statuses of Java application running on the system in an integrated policy.
    [References]
    About Java application monitoring

  • WebSphere Application Server monitoring function
    Monitor the performance statuses of WebSphere Application Server running on the system in an integrated policy.
    [References]
    About WebSphere Application Server monitoring


Changing the operating mode

The application monitoring function allows you to select either 32-bit or 64-bit mode as the operating mode for each monitoring application. When monitoring a 32-bit application, select 32-bit mode; when monitoring a 64-bit application, select 64-bit mode.

  • 32-bit mode
    On both 32-bit and 64-bit OSs, a 32-bit agent process monitors 32-bit and 64-bit applications by using a 32-bit middleware library and 32-bit JDK/JRE.

    Monitoring image

    To monitor a 64-bit application, use 64-bit mode.
    When upgrading this product from version 4.1.1 or earlier (in 32-bit mode), monitoring in 32-bit mode can continue by using the installed 32-bit middleware and 32-bit JDK/JRE.

  • 64-bit mode
    On a 64-bit OS, a 32-bit agent process and 64-bit child process monitor 64-bit applications by using a 64-bit middleware library and 64-bit JDK/JRE.

    Monitoring image

The default operating mode is 32-bit mode. To monitor a 64-bit application, switch the operating mode to 64-bit mode according to the procedure described here.

Edit the relevant configuration files of those shown in the table below to change the operating mode.

Monitoring function | Configuration file name
Oracle monitoring | CollectorOracle.ini
IIS monitoring | CollectorIIS.ini
SQL Server monitoring | - (64-bit mode is not supported)
WebLogic Server monitoring | CollectorWebLogic.ini
Apache monitoring | CollectorApache.ini
Tomcat monitoring | CollectorTomcat.ini
SAP monitoring | - (64-bit mode is not supported)
Java application monitoring | CollectorJavaAP.ini
WebSphere Application Server monitoring | - (64-bit mode is not supported)

  • File storage location
    [Windows agent]
    C:\Program Files\NEC\UMF\Operations\Agent\sg\<Configuration file name>
    If the file does not exist, create a new file and edit it. Then, save it in UTF-16LE (with BOM).

    [UNIX agent]
    /opt/UMF/Operations/Agent/sg/<Configuration file name>
    If the file does not exist, create a new file and edit it. Then, save it in UTF-18 (without BOM).

    Section

    [Config]

    Key

    Collector64

    Value

    0: 32-bit mode (default)

    1: 64-bit mode

To use a Windows agent in 64-bit mode, the Microsoft Visual C++ 2010 Redistributable Package must be installed in the agent. Execute the following file of MasterScope Media to install.

\tools\Microsoft\2010\vcredist_x64.exe

[Note]

  • The operating mode change will be applied after the agent is restarted.
  • The SQL Server, SAP, and WebSphere Application Server monitoring functions do not support 64-bit mode. Therefore, use these monitoring functions in 32-bit mode.

  • When monitoring multiple applications on the same host, the operating mode can be selected for each monitoring function. However, when monitoring Tomcat and Java applications on the same host, the monitoring functions must be used in the same mode.


Configure host settings

This operation must be executed after shifting into the Configuration mode.

Before you can configure settings to monitor an application on a host, you must configure settings of the host monitored by an agent.

After adding agent hosts to the monitored hosts from the [Unregistered Host] group, select the agent host to be monitored for each application in [Application Host Setting].

To display a [Host Setting] window, the following two methods are provided:

  1. From [Application Host Setting] in the right-click menu on the [Topology View] node, select a desired application.

  2. From the right-click menu on a desired application node in the Application Monitor, select [Edit Host].

The following shows an example of the [Oracle Monitor - Host Setting] window. The similar windows will be displayed in monitoring other applications.

Displays the [Host setting Counts] to the upper right. The licenses for agents on Windows and Linux are counted as the same type of licenses.

  • AgentName

Lists SystemManager G agents under the topology. Different icons are used between the normal agents, logical system agents, and remote hosts.

Normal agent

Logical system agent

Remote host

If a checkbox to the left of an agent name is checked, the agent becomes a monitoring target. You need to select desired agents in a way that the number of setup hosts [Host setting Counts] is less than or equal to that of registered licenses [Registered Counts].
Checking a normal agent or remote host will consume one license. If you have consumed one license with a selected logical system agent(s), however, the first one normal agent will not consume a license.

Checking logical system agents will consume one license for physical host regardless of the number of selections. If licenses have been consumed with selected normal agents when they reside with logical system agents on the same host, selecting the logical system ones will not consume a license.

In the above example window, since the licenses are not consumed for ServerA_L1 and ServerA_L2, the total of setup hosts is 5.

  • HostName

Lists the physical hostname for each agent. In the case of agents running on a cluster, it displays the physical name for the host that is running or has run for the last time.

  • OS Type

Lists the type of OS for each agent host.

  • Remote Monitor Agent Name
    The remote monitor agent name that manages remote hosts is displayed. For normal agents, no names are displayed.

[Note]

  • The licenses for the agents on Windows and Linux are counted as Windows/Linux ones, and those on HP-UX, Solaris, and AIX as UNIX ones. If you want to use the monitoring functions with another agent of a different OS type, you must purchase a new license for it.

  • Once you have deselected a particular host, an automatic reconnection to the host will not be established, even if the number of licenses is sufficient. Select the deselected host from this window again.

  • If a desired agent host is not displayed in the [HostName] list, you must restart the agent.

  • It may take some time to update the host settings to the current after a connection to the agent has been established. If they are not updated to the current, you must open the [Host Setting] window to modify them.

  • In SAP monitoring, once you deselect a host, the system log will not be monitored until the host is set again. In addition, the text file to which the system log will be output will be removed.

[Reference]

Manage licenses

Confirm the number of licenses

Add a monitored host


About Oracle monitoring

Oracle monitoring function provides monitoring and referring the Oracle database performance and each Oracle process statuses. Performance will be monitored with viewing graph and output CSV format file with performance monitoring function.

Oracle monitoring function provides the functions below:

  • Performance monitoring
    Connected to Oracle database and the following typical items are monitored using Pro*C.

    • Running status of Oracle instance
    • Table size, used rate, available size, extent increasing and data file size
    • The number of log on session
    • The status of rollback segment
    • The statistical information about memory, lock, I/O, network, transaction and SQL
    • Used value of initial value parameter
    • Statistical information about waiting events
    • User defined SQL monitoring

    Oracle monitoring function needs to define the "Monitored resource", "Monitored instance" and "Monitored counter". These words are defined as following things.

    [Monitored resource]
    This means "Monitored Object" for performance monitoring. In case of this function, Monitored resource means the database instance.

    [Monitored instance]
    This means divided "Monitored resource". In case of this function, Monitored instance means each table space or etc.

    [Monitored counter]
    This means a obtained system performance information for specified resources or instances. In case of this function, Monitored counter means used rate of table space or others.

  • RAC monitoring function
    This function monitors the operating status of Oracle Real Application Clusters (hereinafter called RAC). It monitors the performance situation and operating status of RAC per se and reports the state transition as a message or with a color change of its corresponding node.

    [References]
    Register Oracle RAC
    Configure a connection to an Oracle database (RAC)
    Monitor Oracle RAC performance
    Monitor the Oracle RAC performance in the logical summary

  • Performance state data collecting function
    Each agent collects the specified resource. The collected data are consolidated and displayed. If an incorrect status of performance is detected, the report will be sent to the operator by changing the node color or by sound.

    [References]
    Set the monitored hosts for Oracle performance
    Register the Oracle instances
    Configure the connection settings for the Oracle instance
    About performance monitoring

  • Threshold monitor function
    Monitor threshold values of specified Oracle resources.

    [Reference]
    Define the detailed settings of the monitored counter (threshold settings)

  • Logging function
    Logging the resource data collected at an agent, within the agent. The logged data can be referred and be output as a CSV file, on the monitor terminal.

    [Reference]
    Output history data as a file

  • Essential process monitor function
    Monitor the running statuses of the Oracle's essential process.

    [Reference]
    Define the Oracle's essential process monitoring

  • Reporting function
    When the status of the specified resource or the monitored process is changed, the patrol light report, e-mail report, and action report are sent to the operator for warning.

    [Reference]
    Define the detailed settings of the monitored counter (threshold settings)

[Support version]

  • For information on Oracle versions supported by this product, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media.

[Note]

  • It is necessary to make the public node name of Oracle RAC within 64 characters.

  • When the description of both "ORACLE_HOME\bin" and "ORA_CRS_HOME\bin" exists in environment variable PATH in Oracle RAC environment of Windows. It is necessary to describe "ORACLE_HOME\bin" prior to "ORA_CRS_HOME\bin".


About preparations for Oracle performance monitoring

Preparation

  • Installation directory
    Confirm the home directory of the Oracle database.
    To monitor a 64-bit Oracle Database in 32-bit mode, 32-bit Oracle Client (runtime) described later must be installed. The installation directory of 32-bit Client is the home directory of Oracle used by SystemManager G.

  • User name and password for monitoring, and password for sysdba authority user
    Confirm the password for the sysdba authority user in advance.
    Moreover, determine the user name and password for an Oracle user dedicated to SystemManager G. The Oracle user will be created by executing the monitoring setup script described later.

  • Mandatory setting for Oracle monitoring
    Definition of Oracle net service name
    Setting of Oracle initialization parameters

  • Monitoring 64bit Oracle
    Required settings for using 64bit Oracle

Environment setting after installing SystemManager G

  • Setting of operating mode for application monitoring
    Changing the operating mode

  • Oracle monitoring for UNIX agent
    Setting of Oracle library path

  • Setting Oracle database
    DB setting when monitoring Oracle
    DB setting when monitoring Oracle 12c

  • Oracle Listener monitoring
    Setting for monitoring Oracle Listener

  • Oracle monitoring for dynamic listener
    Setting a delay in connecting to Oracle

  • Oracle RAC monitoring
    Settings for monitoring Oracle RAC service
    Setting of priority type of RAC

  • Tuning of Oracle monitoring
    About parameter tuning of Oracle monitoring


Definition of Oracle net service name

In the Oracle monitoring of this product, the instance name entered in connection settings is controlled as the network service name, and name resolution via local naming is used for connecting to the database to be monitored.

In the tnsname.ora file of the Oracle Database, define network service names that can be connected by agents of this product.

To monitor 64-bit Oracle Database through agentless monitoring in 32-bit mode, copy the tnsnames.ora file of Oracle Database to the installation directories of the 32-bit and 64-bit Oracle Client.

*Example of description of tnsnames.ora (ORCL is net service name)

ORCL =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = hostname)(PORT = 1521))

)

(CONNECT_DATA =

(SERVICE_NAME = orcl)

(SERVER = DEDICATED)

)

)

In an Oracle RAC configuration, add an entry for the RAC service to be monitored, in addition to entries for database connection and instance connection. The following lists examples of descriptions based on the assumption of the environment given below:

Hostname | host1, host2
Viutual hostname | host1-vip, host2-vip
Database name | orcl
Instance name | orcl1, orcl2
RAC service name | service1

*Example of description of tnsnames.ora for host1 (ORCL1 is network service name)

ORCL =

(DESCRIPTION =

(ADDRESS = (PROTOCOL = TCP)(HOST = host1)(PORT = 1521))

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = orcl)

)

)

ORCL1 =

(DESCRIPTION =

(ADDRESS = (PROTOCOL = TCP)(HOST = host1)(PORT = 1521))

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = orcl)

(INSTANCE_NAME = orcl1)

)

)

SERVICE1 =

(DESCRIPTION =

(ADDRESS = (PROTOCOL = TCP)(HOST = host1-vip)(PORT = 1521))

(ADDRESS = (PROTOCOL = TCP)(HOST = host2-vip)(PORT = 1521))

(LOAD_BALANCE = yes)

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = service1)

)

)

*Example of description of tnsnames.ora for host2 (ORCL2 is network service name)

ORCL =

(DESCRIPTION =

(ADDRESS = (PROTOCOL = TCP)(HOST = host2)(PORT = 1521))

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = orcl)

)

)

ORCL2 =

(DESCRIPTION =

(ADDRESS = (PROTOCOL = TCP)(HOST = host2)(PORT = 1521))

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = orcl)

(INSTANCE_NAME = orcl2)

)

)

SERVICE1 =

(DESCRIPTION =

(ADDRESS = (PROTOCOL = TCP)(HOST = host1-vip)(PORT = 1521))

(ADDRESS = (PROTOCOL = TCP)(HOST = host2-vip)(PORT = 1521))

(LOAD_BALANCE = yes)

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = service1)

)

)

[References]

Required settings for using 64bit Oracle


Setting of Oracle initialization parameters

Set to TRUE the "TIMED_STATISTICS" value which is Oracle initialization parameter. When it is FALSE, the following counter values can not be collected. The default value of Oracle is TRUE.

db file scattered read

db file sequential read

direct path write

free buffer waits

gc buffer busy

gc cr block 2-way

gc cr block 3-way

gc cr block busy

gc cr block congested

gc cr grant 2-way

gc cr grant congested

gc current block 2-way

gc current block 3-way

gc current block busy

gc current block congested

gc current grant 2-way

gc current grant congested

log file parallel write

log file switch (archiving needed)

log file sync


Required settings for using 64bit Oracle

It is necessary to install 32-bit Oracle Client Runtime on the agent to monitor 64-bit Oracle Databases in 32-bit mode.

When monitoring Oracle Database on a remote host through agentless monitoring in 32-bit mode, the 32-bit and 64-bit Oracle Client runtime must be installed on the remote monitor agent, regardless of the Oracle version.

To install the 32-bit and 64-bit Oracle Client runtime, install the runtime of Oracle Client included in Oracle Database. (Do not use Instant Client.) Also, copy the tnsnames.ora file of Oracle Database to the Oracle Client installation directory.

Following is an example of the configuration procedure when monitoring 64-bit Oracle Database 10gR2 on Windows in 32-bit mode.

  1. Install Oracle Database (64-bit) and Oracle Client (32-bit). Select [Runtime] as the installation type. When the installation has completed normally, restart the agent host.

    This example assumes the installation directories as follows:

    Oracle Database

    C:\oracle

    Oracle Client

    C:\oracle_client

  2. When the installation process has been completed successfully, restart OS if you are using Windows. Restarting the OS enables the path to the Oracle Client (32-bit) library that has been added to the system environment variable PATH. If you are using a UNIX environment, you do not need to restart the OS.

  3. Copy the Oracle Database tnsnames.ora file in the Oracle Client directory.

    [File to be copied]
    C:\oracle\product\12.2.0\db_1\NETWORK\ADMIN\tnsnames.ora

    [Directory copied in]
    C:\oracle_client\product\12.2.0\db_1\NETWORK\ADMIN

[Note]

  • Normally, the 32-bit Oracle Client (Windows) automatically sets up %ORACLE_HOME%\bin for 32-bit Client in the system environment variable PATH. If not, add it to the environment variable manually.
    Note that adding the bin directory for 32-bit Oracle Client before adding the 64-bit Oracle server directory will cause commands and libraries for 32-bit Oracle Client to be searched before the counterparts for 64-bit Oracle. If you want to give priority to the 64-bit Oracle server, the order in which the bin directories are added to the system environment variable PATH must be changed to the order of 64-bit Oracle server directory and then 32-bit Oracle Client directory.

  • In case of UNIX, when using 64-bit Oracle, it is necessary to specify the 32-bit Client path. For more information, refer to Setting of Oracle library path.

  • Confirm by referring to Definition of Oracle net service name that the network service name is set correctly in the tnsnames.ora file.

[References]

Start and Stop of the manager/agent function


Setting of Oracle library path

The Oracle performance monitoring function operates by linking to Oracle library. To link the library, you must set the path to it in the PATH environment variable on the SystemManager G agent, or in the library search path.

To set the path, perform the following steps:

[Windows agent]
Automatically enabled when the system is restarted after Oracle database setup.
No user action is required.

[UNIX agent]
Edit the /opt/UMF/Operations/Agent/bin/config file as follows:

[Before edit]

#Oracle home directory
#ORACLE_HOME=

[After edit]

#Oracle home directory
ORACLE_HOME=Oracle home directory name

* Delete "#" in front of ORACLE_HOME.

(Setting example)

ORACLE_HOME=/u01/app/oracle/product/11.2.0/dbhome_1

After editing the file, restart the SystemManager G agents.

[Note]

  • When 64bit version Oracle is used by 32bit mode, it is necessary to specify the path of 32bit client for ORACLE_HOME of the file.
    For more information, refer to "Required settings for using 64bit Oracle."

[References]

Start and Stop of the manager/agent function


DB setting when monitoring Oracle

If you want to monitor Oracle 12c, also refer to "DB setting when monitoring Oracle12c."

Setup

If you want to set Oracle as a target to be monitored, you must register a user dedicated to SystemManager G, a table, and stored procedure to the monitored DB by running the setup script using the following steps.

  • Run the setup script only once for each DB. If some instances are associated with one DB in a configuration such as an RAC configuration and a cluster configuration, run the script only for one of those instances.

[Step]

  1. Start the setup script OracleSetup.sql.

  • Location for the OracleSetup.sql file
    [Windows agent]
    C:\Program Files\NEC\UMF\Operations\Agent\sql\AppNavi\oracle\OracleSetup.sql

    [UNIX agent]
    /opt/UMF/Operations/Agent/sql/AppNavi/oracle/OracleSetup.sql

  • How to start the script
    Move to the directory that stores OracleSetup.sql and start the script in the following format:

sqlplus <User name>/<Password>@<Network service name> as sysdba @OracleSetup.sql

    • The sqlplus command is provided by Oracle Corporation.

    • Run the script with the environment variable ORACLE_HOME being set.

    • If an OS user who will run sqlplus does not have access to the installation directory, copy the SQL file to any location the user can reference and use it from the location with the OS super user privilege.

    • In <User name>, specify a user with the sysdba authorization.

  2. The following prompts will be displayed in this order. Enter the necessary information in each prompt.

Enter User Name (Default: SYSMGRG) :

Enter Password :

Enter Tablespace (Default: SYSMGRG) :

Enter Datafile of Tablespace (full path) :

Enter Temporary Tablespace :

Item

Description

User Name

(omissible)

Create a user dedicated to SystemManager G to be used for Oracle monitoring. Specify a desired user name, within a maximum of 30 characters. Any existing user name cannot be specified. (default: SYSMGRG)

Password

(not omissible)

Enter a desired password for the user dedicated to SystemManager G, within a maximum of 30 characters. The password must be entered. The entered characters are not displayed on console.

Tablespace

(omissible)

Create a default tablespace for the user dedicated to SystemManager G. Specify a desired tablespace name, within a maximum of 30 characters. (default: SYSMGRG)

An existing tablespace can be specified, but it is recommended that you create a tablespace dedicated to SystemManager G to reduce impact on business. Note that if you use an existing tablespace, it must have a free space of 10MB or more.

Datafile of Tablespace

(conditionally omissible)

Enter the full path to a data file for the tablespace specified in Tablespace. When using ASM, specify the disk group. If you specified an existing tablespace in Tablespace, you can skip this item.

Temporary Tablespace

(omissible)

Enter a default temporary tablespace for the user dedicated to SystemManager G. When the specified temporary tablespace does not exist, it will cause an error. If you omit specifying it, the default temporary tablespace for Oracle will be used. As SystemManager G uses this area, it must have a free space of 30MB or more.

    • Setting example 1
      When setting up DB by using the default settings (creating the user SYSMGRG and using the tablespace SYSMGRG)

Enter User Name (Default: SYSMGRG) :

Enter Password : ********

Enter Tablespace (Default: SYSMGRG) :

Enter Datafile of Tablespace (full path) : C:\oracle\product\10.2.0\oradata\orcl\SYSMGRG.DBF

Enter Temporary Tablespace :

Specify a desired directory that has Oracle user write permission as a destination to which the data file will be saved.

    • Setting example 2
      When creating the user SYSMGRG_ADMIN, and using the existing tablespace USERS and temporary tablespace TEMP02:

Enter User Name (Default: SYSMGRG) : SYSMGRG_ADMIN

Enter Password : ********

Enter Tablespace (Default: SYSMGRG) : USERS

Enter Datafile of Tablespace (full path) :

Enter Temporary Tablespace : TEMP02

    • Setting example 3
      When creating the user SYSMGRG and creating the tablespace SYSMGRG in disk group data in an ASM environment:

Enter User Name (Default: SYSMGRG) :

Enter Password : ********

Enter Tablespace (Default: SYSMGRG) :

Enter Datafile of Tablespace (full path) : +data

Enter Temporary Tablespace :

  3. If a message "Setup completed successfully." is displayed, the setup has been completed. If an error is displayed, eliminate the cause(s) of the error and rerun the script. If an error "OracleSetup.sql has already been executed." appears when trying to rerun the script, clean up the environment by running the cleanup script OracleCleanup.sql before rerunning it again. The description on how to run the cleanup script is provided later.

    Running the setup script creates the following objects in DB. As these objects will be used for Oracle monitoring, they must neither be changed nor deleted during operation.

    • Profile (profile dedicated to SystemManager G)

Tablespace name | <User name>_PROFILE
Setting contents | PASSWORD_LIFE_TIME is set in UNLIMITED. The others are same as a DEFAULT profile. <User name> is the user name of the dedicated to Oracle monitoring.

    • User (user dedicated to SystemManager G)

User name | Any (specified with the setup script)
Password | Any (specified with the setup script)
Default tablespace | Any (specified with the setup script)
Default temporary tablespace | Any (specified with the setup script)
Authority | CREATE SESSION CREATE TABLE CREATE PROCEDURE SELECT ANY DICTIONARY SELECT ANY TABLE INSERT ANY TABLE DELETE ANY TABLE UPDATE ANY TABLE UNLIMITED TABLESPACE
Profile | <User name>_PROFILE

Cleanup

If you want to uninstall an SystemManager G agent that is monitoring Oracle, you must remove the user dedicated to SystemManager G, table, and stored procedure that are registered in the monitored DB by running the cleanup script using the following steps:

[Step]

  1. Stop the SystemManager G agent service.
    For information on how to stop the service, refer to "Start and Stop of the manager/agent function."

  2. Start the cleanup script OracleCleanup.sql.

  • Location for the OracleCleanup.sql file
    [Windows agent]
    C:\Program Files\NEC\UMF\Operations\Agent\sql\AppNavi\oracle\OracleCleanup.sql

    [UNIX agent]
    /opt/UMF/Operations/Agent/sql/AppNavi/oracle/OracleCleanup.sql

  • How to start the script
    Move to the directory that stores OracleCleanup.sql and start the script in the following format:

sqlplus <User name>/<Password>@<Network service name> as sysdba @OracleCleanup.sql

    • The sqlplus command is provided by Oracle Corporation.

    • Run the script with the environment variable ORACLE_HOME being set.

    • In <User name>, specify a user with the sysdba authorization.

  3. If a message "Cleanup completed successfully." is displayed, the cleanup has been completed. If an error is displayed, manually remove the objects that have been created within DB with the setup script.

  • The cleanup script does not remove the tablespace created with the setup script. If the tablespace is used only for Oracle monitoring and no longer necessary, remove it with an appropriate Oracle database administrative tool such as Enterprise Manager.

  • If you uninstalled SystemManager G without running the cleanup script, remove the objects within DB that have been created with the setup script, using an appropriate Oracle database administrative tool such as Enterprise Manager.


DB setting when monitoring Oracle 12c

If you want to monitor Pluggable Databases (PDBs) and Container Database (CDB) in a single tenant configuration and multi-tenant configuration of Oracle 12c, set the DBs by following the steps described in this page.

The steps described in this page can be ignored when monitoring DBs in the Non-CDB configuration (conventional architecture). Perform preparations with the steps described in "DB setting when monitoring Oracle."

Setup

If you want to monitor Pluggable Databases (PDBs) and Container Database (CDB) in a single tenant configuration and multi-tenant configuration of Oracle 12c, you must run the setup script OracleSetup.sql each of them to be monitored.

  • When monitoring Pluggable Databases (PDBs)

    Run the setup script OracleSetup.sql once for every Pluggable Database you want to monitor. For information on where and how OracleSetup.sql is stored and executed, refer to "DB setting when monitoring Oracle." Users dedicated to SystemManager G created with the setup script are local users of Pluggable Databases.

  • When monitoring Container Database (CDB)

    1. Decide the default tablespaces and temporary tablespaces for the users dedicated to SystemManager G that monitor Container Database. The users that monitor Container Database are a Common User, and the default tablespace and temporary tablespace for the Common User must exist in every Pluggable Database that belongs to Container Database. For example, if you want to specify "SYSMGRG" as the default tablespace, the tablespace "SYSMGRG" must exist in every Pluggable Database. Create the tablespaces and temporary tablespaces in all the Pluggable Databases by referring to the following SQL. You must specify 10 MB or more for the size of each tablespace, and 30 MB or more for the size of each temporary tablespace. This operation can be omitted when you want to use the existing tablespaces and temporary tablespaces (such as USERS and TEMP).

CREATE TABLESPACE <Tablespace name> DATAFILE <Path to data file> SIZE 10M AUTOEXTEND OFF;

CREATE TEMPORARY TABLESPACE <Temporary tablespace name> DATAFILE <Path to data file> SIZE 30M AUTOEXTEND OFF;

    2. Start the setup script OracleSetup.sql for Container Database. For information on where and how OracleSetup.sql is stored and executed, refer to "DB setting when monitoring Oracle."

    3. When the "Enter User Name (Default: SYSMGRG): " prompt is displayed, enter the user name of the user dedicated to SystemManager G that will monitor Container Database. Enter a desired Common User name, starting with "C##" (e.g.: C##SYSMGRG).

      The subsequent steps are similar to those in "DB setting when monitoring Oracle."

[Note]

    • Pluggable Databases cannot be monitored by using a Common User. If you want to monitor a Pluggable Database, you must run the setup script for the Database, and use the user dedicated to SystemManager G (local user) that has been created in the Database.

Cleanup

If you want to uninstall an SystemManager G agent, you must run the cleanup script OracleCleanup.sql for all the monitored Pluggable Databases and monitored Container Database before uninstallation to remove the users, tables, and stored procedures dedicated to SystemManager G that have been registered in the DBs. For information on where and how OracleCleanup.sql is stored and executed, refer to "DB setting when monitoring Oracle."


Setting a delay in connecting to Oracle

Users can set a delay time from when the agent has been started to when it starts Oracle monitoring.

For Oracle that adopts a configuration of dynamic listeners (a dynamic service configuration), the Oracle specifications request that each agent be connected to the Oracle after a certain period of time has elapsed since Oracle was started. If your Oracle adopts a dynamic listener configuration, set a delay before each agent is allowed to connect to Oracle when it is started. If your Oracle adopts a static listener configuration, this setting task is not required. By default, the system does not wait for a delay time before it connects any agents to Oracle.

And, if load on the Oracle server is high when the server and an agent(s) are started simultaneously, it may delay responses from Oracle, ending in an occurrence of the monitoring timeout. If this is the case, set an appropriate connection delay time.

  • Location of the CollectorOracle.ini file

    [Windows agent]
    Under C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini

    [UNIX agent]
    Under /opt/UMF/Operations/Agent/sg/CollectorOracle.ini

  • Setting a delay in connecting to Oracle
    Include the following two lines in the CollectorOracle.ini file. The delay is set in seconds.

    [Config]
    StartupWait=60

    The set delay will take effect the next time the agents are started.

When a delay time for connecting to Oracle is not set in a dynamic listener configuration, it may be impossible to establish a connection from a client to the listener. Perform one of the following operations:

  • Set up Oracle in a static listener configuration.
  • Start the SystemManager G agent when a certain period of time has elapsed after Oracle starts.
  • When you start the Oracle service, start the listener and the instance in this order.
  • Run "alter system register" on the DB server immediately after starting the instance in the Oracle service.

In addition, when a monitoring timeout occurs, the Oracle monitoring may be stopped or interrupted. Perform one of the following operations if you do not intend to set a connection delay time:

  • Start the SystemManager G agent when a certain time has elapsed after starting Oracle.

  • Tune the timeout setting.

  • Restart the agent on which Oracle monitoring has been stopped or interrupted.

[Note]

  • When you set a delay in connecting an agent to Oracle, the agent will be connected to Oracle when monitoring is started on Oracle after the delay has elapsed. The "Connection to DB is successful" message will be displayed when the agent has successfully been connected to Oracle.
  • The state of performance monitoring will remain "Unknown" until the agent has been connected to Oracle.

[References]

Start and Stop of the manager/agent function

Oracle monitoring timeout settings


Setting for monitoring Oracle Listener

Setting Oracle server home directory path

To monitor the following Oracle Databases, this setting must be configured before carrying out listener monitoring.

  • 64bit Oracle Databases (all the versions)

  • Oracle RAC environments on all platforms

  • Environment in which more than one Windows version of Oracle Database is installed to one node

[Note]

  • When using a remote monitor agent, this setting is not required.

  • To perform listener monitoring with a remote monitor agent, use a Tnsping instance to do so.

To monitor the listener, set the Oracle Database home directory for the listener monitoring in the CollectorOracle.ini file.

  • Location of CollectorOracle.ini

    [Windows agent]
    C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini

    [UNIX agent]
    /opt/UMF/Operations/Agent/sg/CollectorOracle.ini

  • Listener monitoring setting
    Add the following two lines in the CollectorOracle.ini file.

    [Config]
    ORACLE_SERVER=Oracle Database home directory

Setting example (UNIX environment)

[Config]
ORACLE_SERVER=/u01/app/oracle/product/12.2.0/dbhome_1

[Note]
In Oracle RAC environments, set the Oracle Grid Infrastructure home to ORACLE_SERVER.

[e.g.] ORACLE_SERVER=C:\app\12.2.0\grid

The configuration will take effect after the next agent restart.

Setting listener parameter file path

To monitor the following Oracle Databases, this setting must be configured before carrying out listener monitoring.

  • On all platforms, Oracle RAC environments
  • On all platforms, environments in which the listener parameter file has been changed from the default location

To monitor the listener, set the listener parameter file path in the CollectorOracle.ini file.

  • Location for the CollectorOracle.ini file

    [Windows agent]
    C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini

    [UNIX agent]
    /opt/UMF/Operations/Agent/sg/CollectorOracle.ini

  • Listener monitoring setting
    Add the following two lines in the CollectorOracle.ini file.

    [Config]
    ORACLE_SERVER=Full path to listener.ora file

Setting example (Windows Oracle Database 12gR2 RAC environment)

[Config]
ORACLE_SERVER=C:\app\12.2.0\grid\network\admin\listener.ora

The configuration will take effect after the next agent restart.

[References]

Start and Stop of the manager/agent function


Settings for monitoring Oracle RAC service

Setting Oracle server home directory path

To monitor a 64bit OracleDatabase RAC service, some settings are required before carrying out RAC service monitoring.

Set the home director for Oracle Database to be monitored in the CollectorOracle.ini fie.

  • Location of CollectorOracle.ini

    [Windows agent]
    C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini

    [UNIX agent]
    /opt/UMF/Operations/Agent/sg/CollectorOracle.ini

  • RAC monitoring setting
    Add the two lines in the CollectorOracle.ini file.

    [Config]
    ORACLE_SERVER=Oracle Database home directory

[Note]
In RAC environment, set the Oracle Grid Infrastructure home to ORACLE_SERVER.
[e.g.] ORACLE_SERVER=C:\app\12.2.0\grid

The configuration will take effect after the next agent restart.

[References]

Start and Stop of the manager/agent function


Setting of priority type of Oracle RAC

The priority type can be changed about the Partial Down [Preference instance] and Partial Down [Available instance]. To change, describe as follows in AppNaviMgr.ini file on the manager.

  • Location of the AppNaviMgr.ini file

    [Windows manager]
    Under C:\Program Files\NEC\UMF\Operations\Manager\sg\CollectorOracle.ini

    [UNIX manager]
    Under /opt/UMF/Operations/Manager/sg/CollectorOracle.ini

  • Setting of priority type of RAC
    Describe as follows in AppNaviMgr.ini file.

    [Oracle]
    SevPrefInstancePartialDown=2 <- Partial Down [Preference Instance]
    SevAvailInstancePartialDown=1 <- Partial Down [Available Instance]

    The assignable value is as follows.
    0: UNKNOWN
    1: NORMAL
    2: WARNING
    3: FATAL

    The set content will be effected the next time the agents are started.

[References]


Set the monitored hosts for Oracle performance

If you are running a larger number of agents than the number of licenses for the Oracle performance monitoring function you have purchased, you must select the appropriate number of agent hosts on which you will monitor Oracle.

Refer to Configure host settings, for the configuration method.


Register the Oracle instances

This operation must be executed after shifting into the Configuration mode.

To monitor the performance of an Oracle, you must register connection information on the Oracle instance.

Right-click on the agent node to which the Oracle has been installed and select [Oracle] from the displayed [Edit Application Management Instance] menu. The [OracleMonitor - Instance Setting] dialog will be displayed with a list of Oracle monitored servers that have been registered.

  • Instance Name
    Displays the instance names (connected database names) that have been registered.

  • Description
    Displays the description of an instance in the list.

  • [Add] button
    Clicking on this button will display the [Add Oracle Instance] dialog and enable you to add a new monitored instance.

  • [Edit] button
    Clicking on this button will display the [Edit Oracle Instance] dialog and enable you to set a selected monitored instance.

    [Note]
    Cannot edit the instance mounted with RAC.

  • [Delete] button
    Clicking on this button will delete a selected monitored instance.

    [Note]

    • Cannot delete the instance mounted with RAC. When RAC setting is deleted, the instance is deleted, too.

    • When this instance is deleted with the monitor resource defined in the performance monitor, the performance monitor might not be able to be done normally. Please delete instance on this dialog after deleting the monitor resource.

[References]
Register Oracle RAC

  • [Detect] button
    Detect all Oracle instances the agent can connect to automatically, and add them to the Oracle instance list.

    [Note]

    • About Oracle instances detected by [Detect] button, some connection account information such as user name and password are not set yet. Please set them from "Instance setting" dialog after detection.
      If you press the [OK] button without setting for detected instances, then them will be deleted from the instance list automatically.
    • This function cannot be used on older than Ver.1.2 agents (This button is disabled).
    • For remote monitor agents, this function cannot be used (This button is disabled).

  • Version
    Select the Oracle version of Oracle instance.

    [Note]

    • When Oracle version is changed that has been set once, register the instance after changing the version and rebooting the agent.

    • For a remote monitor agent, specify the version of Oracle Client that has been installed to the remote monitor agent.

  • [OK] button
    Connect the registered instance and close dialog. The instances which connects successfully are add to the monitored object.

    [Note]
    If a host is not set up as a Oracle monitored host, a connection to its instance cannot be established.

  • [Cancel] button
    Clicking on this button will cancel changes to the settings and close the dialog.

Once an instance has been registered, its corresponding node is automatically added under the [Application Summary].

Also, to open the [OracleMonitor - Instance Setting] dialog, select the [Edit Instance] from right click menu of the [ApplicationSummary] - [Oracle] - [Host] node.

[Note]

When the instance of the database is deleted, performance values cannot be collected with the counter that was registered by the performance monitor after the agent is reconnected. When you delete the instance, also delete the object of the performance monitor.

[References]

Set the monitored hosts for Oracle performance

Configure the connection settings for the Oracle instance


Config the connection settings for the Oracle instance

Configure the connection settings for the Oracle instance

This operation must be executed after shifting into the Configuration mode.

Set up your username, password, and instance name for connecting to a desired Oracle instance that has been registered as a monitored object.

You must set up an instance from the [Add Oracle Instance] and [Edit Oracle Instance] dialogs.

To display the [Add Oracle Instance] and [Edit Oracle Instance] dialogs, the following methods are provided:

  1. Press [Add] button, on the [OracleMonitor - Instance Setting] dialog.

  2. Select registered Oracle instance and press [Edit] button, on the [OracleMonitor - Instance Setting] dialog.

  3. Double click the registered Oracle instance, on the [OracleMonitor - Instance Setting] dialog.

  • Instance Name
    Specify the Oracle net service name (connection identifier) to connect in 64 characters or less. The characters allowed to be used are limited to the single-byte alphanumeric characters and underscore ("_"). Hyphen, percent and backslash cannot be used. The Instance Name should not be omitted.
    In [Performance Monitor Setting] window, the monitored object will be displayed as [Oracle ("Instance Name")]. Instance Name can not be modify from the [Edit Oracle Instance] dialog.
    Specify neither data base name nor the service name of Oracle RAC. Refer to Register Oracle RAC when you monitor Oracle RAC.

  • Authentication
    Select whether to connect by the Password Authentication or to connect it by OS Authentication.
    When the agent is only Windows, it is possible to select it.
    In the case of remote monitor agent or UNIX agent, only the Password Authentication can be used.

  • Username
    Specify the user name to connect to the Oracle database. Specify "sys" or one of the users dedicated to SystemManager G that have been created with the setup script. For information on how to run the setup script, refer to DB setting when monitoring Oracle.
    You do not have to enter it when establishing the connection under OS Authentication.

  • Password
    Specify the password to connect to the Oracle database in 30 characters or less.
    You do not have to enter it when establishing the connection under OS Authentication.

  • Description
    Specify the description of Oracle instance in 255 characters or less. Description can be omitted.

Actions when test connection fails

  • Failed to load DLL

Loading DLL fails. Check if the specified version is right.

[(NODE=Agent name) (DLL name=CollectorOracle11.dll) (Error code=193)]

[Action]
If "Error code=193(Windows)" or "Error code=2(UNIX)" is displayed, it means that it is likely that the 32bit Oracle Client library has not been set appropriately in the 64bit Oracle Database environment.
Check again Required settings for using 64bit Oracle and Setting of Oracle library path.

  • Cannot connect to Oracle with the specified network service name

I was unable to connect to Oracle with the specified network service name

Check if the specified network service name is right.

I received the following error log from Oracle.

ORA-12154: TNS: The specified connection identifier could not be resolved.

[Action]
If ORA-12154 is displayed, it is likely that the network service name specified as an instance name in SystemManager G has not been appropriately defined in the tnsnames.ora file.
Check again Definition of Oracle net service name.

[Note]

  • Specify the Oracle instance name with distinguishing between lowercase and uppercase characters.
  • Semicolons (;) cannot be used for input items except for the description field.
  • For Windows agents, AUX, COM1 to COM9, CON, LPT1 to LPT9, NUL, PRN cannot be used for the instance name of the Oracle.
  • While agent is connecting database, database cannot be shut down with "NORMAL" option.
    Before shutting down the database, to disconnect the agent from database, with stopping the agent, or setting the agent as out of monitored host from [Oracle Monitor - Host Setting] dialog. Or, shut down the database with "IMMEDIATE" option.

[References]

Definition of Oracle net service name

Set the monitored hosts for Oracle performance

Register the Oracle instances


Register user defined SQL as an Oracle monitor counter

This operation must be executed after shifting into the Configuration mode.

The Oracle performance monitoring function of this product can monitor the results of SQL created by the user in addition to performance monitoring items provided on the product side. This allows monitoring user specific tables and tables not supported by this product.

Select [Edit User SQL] from right click menu of the Oracle instance node of [Application Summary], then the [SQL Script Monitoring Setting] will appear.

  • Object Name
    Display the name of instance executing SQL.

  • Instance Name
    Display the name of registered monitoring instance. For Oracle, it is [UserSQL].

  • Counter Name
    Display the list of registered counters.

  • Description
    Display the description of counters. This description is displayed as the description of a counter at the lower part of the counter list window for performance monitoring.

  • [Add] button
    Add SQL as a new counter.

  • [Edit] button
    Edit a selected counter.

  • [Delete] button
    Delete a selected counter.

  • [OK] Button
    Make the edited contents effective and close the window.

  • [Cancel] Button
    Exit the edition and close the window. Edited contents are not reflected.

[Reference]

Edit user defined SQL running on Oracle


Edit user defined SQL running on Oracle

This operation must be executed after shifting into the Configuration mode.

Press the [Add] or [Edit] button on the [SQL Script Monitoring Setting] window, then the [SQL Script Setting] window will appear to edit SQL statements to be actually executed on Oracle instances.

  • Object Name
    Display the name of Oracle instance executing SQL.

  • Instance Name
    Display the name of registered monitoring instance. For Oracle, it is [UserSQL].

  • Counter Name
    Specify the name of monitored counter to register in 128 characters or less. However, if you want to perform response monitoring, you must specify it in 114 characters or less.

  • SQL Script
    Specify the SQL statement to execute in 4095 characters or less including line feed.

  • Counter Description
    Specify the description of SQL to register in 1023 characters or less. The description of counter set up here will appear at the lower area of the [Counter Setting] window.

  • [Test] button
    Execute set SQL statement to perform test.
    If test is performed, the [SQL Result] dialog will appear to display the test result, result value from running the test, and run time (in milliseconds).

  • [OK] Button
    Make the edited contents effective and close the window.

  • [Cancel] Button
    Exit the edition and close the window. The edited contents are not reflected.

The monitored counter you have registered is added to the counter list in the [Counter Setting] window for performance monitoring. In addition, a counter is added to the list, which gets a time the registered counter takes for response.

The counter to get the response time is set as follows:

  • Counter name: <User defined SQL counter name> + " response time"

  • Description for the counter: "The response time(msec) of " + <user defined SQL counter name>

[Note]

The following constraints are applied to SQL statements available for this function.

  • Support SQL statements described in a format following the grammar of Oracle SQL. Multiple sentences, each of which is delimited with a semicolon (;), cannot be specified.

  • Even when you run a Select sentence that returns multiple items (multiple rows, multiple columns), the sentence will retrieve the first values (the first row, the first column) as its result. If the first value is of character string type, only the counter to get a response time can be monitored.

  • SQL other than the SELECT sentence cannot be described in SQL Script column.

  • Please do not put characters such as space and line-feed ahead of the SELECT sentence, and describe it from the sentence beginning.

  • When the record is not selected since SQL sentence is executed, it treats as value 0.

  • The connection with Oracle might be released by executing illegal user definition SQL. As a result, the status of the performance monitor might become "Unknown" once.

  • The user who will run a user defined SQL is the specified one in "Configure a connection to an Oracle instance."

[References]

Register user defined SQL as an Oracle monitor counter

Define the monitored resource


Monitor the performance of Oracle

Monitor Oracle performance

Registered Oracle monitored instances are added to the list of performance monitoring, and can be monitored with performance monitoring function.

Select the [Performance Monitor Setting] from right click menu on the [Performance Monitor] node in the Topology view, the [Performance Monitor Setting] window will appear and show the list of monitored resources (the monitored objects). Please confirm that registered Oracle instances are added to that list.

Added monitored object will be displayed as [Oracle (instance name)]. "instance name" is set with registered Oracle instance name. Check the check box at the left of the monitored object and press the [OK] button, the new node is added under the [Performance Monitoring Node] node as the [Oracle (instance name)] node.

Select the [Instance Setting] from right click menu of added monitored object node, the [Instance Setting] window will appear.

Check the check box at the left of the monitored instance and press the [OK] button, the monitored instance node is added under the monitored object node.

Select the [Counter Setting] from right click menu of the monitored instance node, the [Counter Setting] window will appear.

Check the check box at the left of the monitored counter and press the [OK] button, start the monitoring the checked monitored counter. Double click the monitored instance node, the performance monitoring window will appear.

Select the [Counter Detail Setting] from right click menu of the list of monitored counters displayed below of the performance monitoring window, the [Counter Detail Setting] dialog will appear to config some details for monitored counter.

[References]

Refer to here for the details of the monitored instances or the monitored counters.

Refer to here for the details of how to define the performance monitoring.

Setting the performance monitoring, to monitor the Oracle performance collectively from the Summary view.

[Reference]

Monitor with the Oracle performance monitoring summary


Monitor with the Oracle performance monitoring summary

Select the [Oracle] node from the [Application Summary], the application summary will be shown on right pane.

The summary view is branched from upper node to [Application Summary], [Host Summary] and [Instance Summary]. Upper summary displays supervisory information, and lower summary displays detailed information.

[References]

Monitor with the application summary

Monitor with the host summary

Monitor with the instance summary


Detailed description about Oracle monitored objects

Calls/sec

The calls per second(user calls + recursive calls). (The difference between the last two samples, divided by the duration of the interval.)

Parse Calls/User Calls

The parse calls per user call. (The difference between the last two samples, divided by the duration of the interval.)

Recursive Calls

The recursive calls. (The difference between the last two samples, divided by the duration of the interval.)
Call is the count that Oracle Server have to issue additional statements to execute user's statements.

Recursive Calls/User Calls

The recursive calls per user call. (The difference between the last two samples, divided by the duration of the interval.)

User Calls

The user calls. (The difference between the last two samples, divided by the duration of the interval.)

User Calls/tran

The user calls per transaction. (The difference between the last two samples, divided by the duration of the interval.)

Session CPU Time

The amount of CPU time (seconds) used by a session between when a user call started and ended. (The difference between the last two samples, divided by the duration of the interval.)

Continued Row(%)

The table fetch continued row rate(%). (The difference between the last two samples, divided by the duration of the interval.)
Table fetch continued row rate(%) is the frequency ratio that the fetched data is on continuous blocks.

Free List Waits

The free list waits. (The difference between the last two samples, divided by the duration of the interval.)

Physical Blocks Read

The read count of block on file. (The difference between the last two samples, divided by the duration of the interval.)

Physical Blocks Written

The written count of block on file. (The difference between the last two samples, divided by the duration of the interval.)

Status

The state of the instance. ( 0:STOPPED 1:STARTED 2:MOUNTED 3:OPEN 4:OPEN MIGRATE )

[Note]

  • When monitoring with the user created by the setup script, only STOPPED and OPEN can be monitored.

  • When monitoring with the sys user, only STOPPED and OPEN can be monitored by default.

Please add the following description (* part) to SID_LIST of listener.ora file on the agent to acquire other states.

listener.ora file
----------------------------------------------------------
SID_LIST_LISTENER =

(SID_LIST =

* (SID_DESC =

* (ORACLE_HOME = C:\oracle\product\12.2.0\db_1)

* (SID_NAME = orcl)

* )

(SID_DESC =

(PROGRAM = extproc)

(SID_NAME = PLSExtProc)

(ORACLE_HOME = C:\oracle\product\12.2.0\db_1)

)

)
----------------------------------------------------------

I/O/sec

The I/O(physical reads + physical writes ) per second. (The difference between the last two samples, divided by the duration of the interval.)

Physical Reads

The physical reads. (The difference between the last two samples, divided by the duration of the interval.)

Physical Reads Direct Lobs/sec

The direct large object (LOB) physical reads per second. (The difference between the last two samples, divided by the duration of the interval)

Physical Reads Direct/sec

The direct physical reads per second. (The difference between the last two samples, divided by the duration of the interval)

Physical Reads/sec

The physical reads per second. (The difference between the last two samples, divided by the duration of the interval.)

Physical Writes

The physical writes. (The difference between the last two samples, divided by the duration of the interval.)

Physical Writes Direct Lobs/sec

The direct large object (LOB) physical writes per second. (The difference between the last two samples, divided by the duration of the interval)

Physical Writes Direct/sec

The direct physical writes per second. (The difference between the last two samples, divided by the duration of the interval)

Physical Writes(%)

The physical write rate(%). (The difference between the last two samples, divided by the duration of the interval.) Physical write rate(%) = physical write blocks/(physical write blocks + physical read blocks)

Physical Writes/sec

The physical writes per second. (The difference between the last two samples, divided by the duration of the interval.)

Redo Log Space Waits

The redo log space waits. (The difference between the last two samples, divided by the duration of the interval.) Redo log space waits is the frequency that users had to wait for the log writer to write entries in the redo log buffer.

Redo Log Space Waits(%)

The redo log space wait rate(%). (The difference between the last two samples, divided by the duration of the interval.) Redo log space wait rate(%) is the frequency ratio users had to wait for the log writer to write entries in the redo log buffer.

Redo Writes/sec

The redo write operations per second. (The difference between the last two samples, divided by the duration of the interval)

Listener name

The listener status reported by lsnrctl command. ( 0:STOPPED 1:UNKNOWN 2:READY )

[Note]

  • To monitor a listener on a remote host, use Tnsping.

  • The listener monitoring in RAC environment is only targeted for local listeners. It cannot monitor SCAN listeners. For example, do not set "ENABLE_GLOBAL_DYNAMIC_ENDPOINT_..." or "LISTENER_SCAN..." in the listener monitoring setting window as a monitored target.

Enqueue Deadlocks

The enqueue deadlocks. (The difference between the last two samples, divided by the duration of the interval.)

Enqueue Lock Conversions

The enqueue conversions. (The difference between the last two samples, divided by the duration of the interval.)

Enqueue conversions is the number of conversions of exclusive state of table.

Enqueue Lock Releases

The enqueue releases. (The difference between the last two samples, divided by the duration of the interval.)

Enqueue releases is the number of releasing the tables which is exclusive mode.

Enqueue Lock Requests

The enqueue requests. (The difference between the last two samples, divided by the duration of the interval.)

Enqueue Lock Timeouts

The enqueue timeouts. (The difference between the last two samples, divided by the duration of the interval.)

Enqueue timeouts is the number of timeouts for exclusive control failure in chart.

Enqueue Lock Waits

The enqueue waits. (The difference between the last two samples, divided by the duration of the interval.)

Enqueue waits is frequency of the waiting which is due to the control of exclusion in the chart with other session.

Redo Allocation Latch Hit(%)

The redo allocation latch hit rate(%). (The difference between the last two samples, divided by the duration of the interval.)

Allocation latch(wait) hit rate(%) is success ratio against request of allocation latch(wait).

Redo Allocation Latch(NoWait) Hit(%)

The redo allocation latch(nowait) hit rate(%). (The difference between the last two samples, divided by the duration of the interval.)

Allocation latch(nowait) hit rate(%) is success radio against request of allocation latch(nowait)

Redo Copy Latch Hit(%)

The redo copy latch hit rate(%). (The difference between the last two samples, divided by the duration of the interval.)

Copy latch(wait) hit rate(%) is success ratio against request of copy latch(wait).

Redo Copy Latch(NoWait) Hit(%)

The redo copy latch(nowait) hit rate(%). (The difference between the last two samples, divided by the duration of the interval.)

Copy latch(nowait) hit rate(%) is success ratio against request of copy latch(nowait).

Block Changes(%)

The block change rate(%). (The difference between the last two samples, divided by the duration of the interval.) Block change rate(%) is ratio of data renewal against data reference block.

Block Changes/Tran

The number of block changes per transaction. (The difference between the last two samples, divided by the duration of the interval.)

Block Gets

The block gets. (Total of the consistent gets and the db block gets.) (The difference between the last two samples, divided by the duration of the interval.) The block gets is a number of units (block) to acquire data by the data reference etc.

Block Gets/sec

The block gets per second. (The difference between the last two samples, divided by the duration of the interval.)

Block Gets/Tran

The block gets per transaction. (The difference between the last two samples, divided by the duration of the interval.)

Buffer Busy Waits(%)

The buffer busy wait rate(%). (The difference between the last two samples, divided by the duration of the interval.) Buffer busy wait rate(%) is the frequency ratio that wait occurs against the data reference.

Buffer Cache Hit(%)

The buffer cache hit rate(%). (The difference between the last two samples, divided by the duration of the interval.) Buffer cache hit rate(%) is the frequency that the reference data is in memory.

Consistent Changes(%)

The consistent change rate(%). (The difference between the last two samples, divided by the duration of the interval.) Consistent change rate(%) is ratio of data renewal and data deletion against reference data.

Consistent Read Gets/sec

The number of times per second a consistent read which was requested for a block.(The difference between the last two samples, divided by the duration of the interval.)

Dictionary Cache Hit(%)

The dictionary cache hit rate(%). (The difference between the last two samples, divided by the duration of the interval.) Dictionary cache hit rate(%) is the frequency ratio that authority and objects are in memory against data reference.

Dictionary Cache Miss(%)

The dictionary cache miss rate(%). (The difference between the last two samples, divided by the duration of the interval.) Dictionary cache miss rate(%) is the frequency ratio that authority and objects are not in memory against data reference.

Library Cache Hit(%)

The library cache hit rate(%). (The difference between the last two samples, divided by the duration of the interval.) Library cache hit rate(%) is the frequency ratio that the sql statement is in memory against data reference.

Library Cache Miss(%)

The library cache miss rate(%). (The difference between the last two samples, divided by the duration of the interval.) Library cache miss rate(%) is the frequency ratio that the sql statement is not in memory against data reference.

Memory Target

The size(MB) that is used for automatic PGA and SGA. When a memory management is set to manual, this value is 0.

Memory Target Used(%)

The used rate(%) of the memory that is used for automatic PGA and SGA. When a memory management is set to manual, this value is 0.

Session PGA Memory

The total session PGA size(MB).

Session UGA Memory

The total session UGA size(MB).

[Note]

  • There is a possibility which exceeds 100 for the value of [Memory Target Used(%)]. In that case, revise and handle it in 100. This depends on specification of Oracle as follows.
    "When the work load of workspace increases rapidly, or when PGA_AGGREGATE_TARGET is set as the small value, assigned PGA is allowed to exceed the value of an initialization parameter, if it is a small and a short time."

PGA Aggregate Auto Target

The size(MB) of PGA aggregate auto target.

PGA Allocated

The PGA allocated size(MB).

PGA Cache Hit(%)

The PGA cache hit ratio(%).

PGA Global Memory Bound

The size(MB) of PGA global memory bound.

PGA Over Allocation Count

The PGA over allocation count. (The difference between the last two samples, divided by the duration of the interval.)

PGA Size

The size(MB) of a PGA_AGGREGATE_TARGET initialization parameter.

PGA Used

The PGA used size(MB).

PGA Used For Auto Workareas

The PGA used size(MB) for auto workareas.

PGA Used For Manual Workareas

The PGA used size(MB) for manual workareas.

PGA Used(%)

The PGA used rate(%).

SGA Buffer Cache Size

The buffer cache size(MB).

SGA Java Pool Size

The java pool size(MB).

SGA Java Pool Used(%)

The java pool used rate(%).

SGA Large Pool Size

The large pool size(MB).

SGA Large Pool Used(%)

The large pool used rate(%).

SGA Log Buffer Size

The log buffer size(MB).

SGA Shared Pool Size

The shared pool size(MB).

SGA Shared Pool Used(%)

The shared pool used rate(%).

SGA Size

The SGA size(MB).

SGA Used(%)

The SGA used rate(%).

Bytes Received from Client

The bytes received via SQL*Net from client. (The difference between the last two samples, divided by the duration of the interval.)

Bytes Sent to Client

The bytes sent via SQL*Net to client. (The difference between the last two samples, divided by the duration of the interval.)

DML_Locks(%)

The lock rate(ratio of present DML lock to DML_LOCKS initialization parameter) for table by DML operation.

Processes(%)

The simultaneous connected process rate(ratio of a present number of processes to the PROCESSES initialization parameter).

Sessions(%)

The session rate of the system (ratio of number of current processes to the SESSIONS initialization parameter).

Transactions(%)

The simultaneous execution transaction rate (ratio of number of current transactions to TRANSACTIONS initialization parameter).

[Note]

  • In Oracle 12cR2, can not monitor the counters in [Parameter] instance when PDB is monitored at a multitenant environment.

Block Count Used(%)

The used rate(%) of the block count currently being used by the client result cache.

Create Count Failure

The number of cached result sets that got invalidated prior to caching the result set. (The difference between the last two samples, divided by the duration of the interval.)

Create Count Success

The number of cached result sets that did not get invalidated prior to caching the result set. (The difference between the last two samples, divided by the duration of the interval.)

Delete Count Invalid

The number of deleted invalid sets. (The difference between the last two samples, divided by the duration of the interval.)

Delete Count Valid

The number of deleted valid sets. (The difference between the last two samples, divided by the duration of the interval.)

Find Count

The number of cache hit count. (The difference between the last two samples, divided by the duration of the interval.)

Invalidation Count

The number of cached result sets that got invalidated due to database changes that could affect the result set. (The difference between the last two samples, divided by the duration of the interval.)

Result Cache Hit(%)

The result cache hit ratio(%).

Block Waits

The waits on the rollback segment blocks.

Header Waits

The waits on the rollback segment header.

SYSTEM Block Waits

The waits on the system rollback segment blocks.

SYSTEM Header Waits

The waits on the system rollback segment header.

Header Waits/Gets(%) ... (*)

The Rollback segment waits/gets(%).

*: The [Header Waits/Gets(%)] counter is a monitored counter for each segment, and the counter name is shown in the form of [SEGMENTNAME Header Waits/Gets(%)].

SessionNum

The number of logon sessions.

Total Logons

The logons cumulative. (The difference between the last two samples, divided by the duration of the interval.)

Disk Sorts

The disk sorts. (The difference between the last two samples, divided by the duration of the interval.)

Disk Sorts(%)

The disk sort rate(%). (The difference between the last two samples, divided by the duration of the interval.)

Full Table Scan(%)

The full table scan rate(%). (The difference between the last two samples, divided by the duration of the interval.) Full table scan rate(%) is the frequency ratio of the access which does not use index.

Hard Parses/sec

The hard parses per second. (The difference between the last two samples, divided by the duration of the interval)

Long Table Scan(%)

The long table scan rate(%). (The difference between the last two samples, divided by the duration of the interval.)

Memory Sorts

The memory sorts. (The difference between the last two samples, divided by the duration of the interval.)

Memory Sorts(%)

The memory sort rate(%). (The difference between the last two samples, divided by the duration of the interval.)

Rows Processed/sort

The rows per sort. (The difference between the last two samples, divided by the duration of the interval)

Session Cursor Cache Count

The total session cursor cache count. (The difference between the last two samples, divided by the duration of the interval.)

Session Cursor Cache Hits

The session cursor cache hits. (The difference between the last two samples, divided by the duration of the interval.) Cache hits is the frequency which does not have the necessity of analysis against analyze calls.

Session Cursor Cache Hits(%)

The session cursor cache hit rate(%). (The difference between the last two samples, divided by the duration of the interval.) Cache hit rate(%) is the frequency ratio which does not have the necessity of analysis against analyze calls.

SQL Executions

The SQL executions. (The difference between the last two samples, divided by the duration of the interval.)

(*: If the counter value obtained is lower than the value obtained previously, it is displayed corrected to 0.)

SQL Users Executing

The number of users executing the statement.

Total Parses/sec

The total parses per second. (The difference between the last two samples, divided by the duration of the interval)

Extent

The total of the number of extent of tablespace. [Notice] This counter monitoring causes high CPU load. Please give enough interval.

FreeRate(%)

The free space rate (%) of the tablespace.

FreeSpace

The free space size of tablespace(MB).(The size of the acqured tablespace except the amount of use.)

MaxFreeRate(%)

The free space(%) of the maximum tablespace size. The maximum tablespace size is the total of maximum size of the datafiles. If datafile is autoextensible, Maximum datafile size is maximum auto-extensible size. If it is not autoextensible, Maximum datafile size is equal to datafile size.

MaxFreeSpace

The free space of the maximum tablespace size(MB). The maximum tablespace size is the total of maximum size of the datafiles. If datafile is autoextensible, Maximum datafile size is maximum auto-extensible size. If it is not autoextensible, Maximum datafile size is equal to datafile size.

MaxSize

The maximum tablesapce size(MB). The maximum tablespace size is the total of maximum size of the datafiles. If datafile is autoextensible, Maximum datafile size is maximum auto-extensible size. If it is not autoextensible, Maximum datafile size is equal to datafile size.

MaxUseRate(%)

The use rate(%) of the maximum tablespace size. The maximum tablespace size is the total of maximum size of the datafiles. If datafile is autoextensible, Maximum datafile size is maximum auto-extensible size. If it is not autoextensible, Maximum datafile size is equal to datafile size.

UseMount

The amount of use in the acqured tablespace(MB).

UseRate(%)

The use rate (%) of the tablespace.

UseSize

The size of the acqured tablespace(MB).

DataFile ... (*)

The size of datafile(MB).

*: Data file counter is given for each data file of table space, and the actual counter name is [title part of data file].

[Note]

  • The counters MaxFreeRate(%), MaxFreeSpace, MaxSize, and MaxUseRate(%) when the automatic extension (AUTOEXTEND) is enabled take values for [Maximum automatic extendable size].
    For monitoring tablespaces that are currently secured when the automatic extension is enabled, use the counters FreeRate(%), FreeSpace, and UseSize or UseMount and UseRate(%).

Rollbacks

The rollbacks. (The difference between the last two samples, divided by the duration of the interval.)

Transactions

The transactions. (The difference between the last two samples, divided by the duration of the interval.)

Transactions Miss(%)

The transaction miss rate(%). (The difference between the last two samples, divided by the duration of the interval.)

Transactions/sec

The transaction per second. (The difference between the last two samples, divided by the duration of the interval.)

Status

The listener status reported by tnsping command. ( 0:STOPPED 1:UNKNOWN 2:READY )

[Note]

  • If you want to monitor a specific listener for a normal agent, use ListenerStatus.

db file scattered read

The wait time(centi seconds) for multi block(full table scan) reading from the datafile.(The difference between the last two samples, divided by the duration of the interval.)

db file sequential read

The wait time(centi seconds) for single block(index) reading from the datafile.(The difference between the last two samples, divided by the duration of the interval.)

direct path write

The wait time(centi seconds) for writing in the temporarily tablespace.(The difference between the last two samples, divided by the duration of the interval.)

free buffer waits

The wait time(centi seconds) for writing from the buffer cache to datafile to find a free buffer.(The difference between the last two samples, divided by the duration of the interval.)

log file parallel write

The wait time(centi seconds) for writing from the log buffer to the REDO log file by LGWR.(The difference between the last two samples, divided by the duration of the interval.)

log file switch (archiving needed)

The wait time(centi seconds) for the log switch caused by archive.(The difference between the last two samples, divided by the duration of the interval.)

log file sync

The wait time(centi seconds) of the server process for writing from the log buffer to the REDO log file by LGWR in case of committing or rolled back.

(The difference between the last two samples, divided by the duration of the interval.)

gc blocks corrupt

The number of corrupt global cache blocks.(The difference between the last two samples, divided by the duration of the interval.)

gc blocks lost

The number of lost global cache blocks.(The difference between the last two samples, divided by the duration of the interval.)

gc buffer busy

The time(centi seconds) to have waited for contention of global cash block. (The difference between the last two samples, divided by the duration of the interval.)

gc cr block 2-way

The time(centi seconds) to have waited to receive cr block from another instance. (The difference between the last two samples, divided by the duration of the interval.) When the block doesn't exist in the instance and the block exists in another instance, The block is received from another instance. 2-way indicate that the block was received as a result of 1 message and 1 block transfer.

gc cr block 3-way

The time(centi seconds) to have waited to receive cr block from another instance. (The difference between the last two samples, divided by the duration of the interval.) When the block doesn't exist in the instance and the block exists in another instance, The block is received from another instance. 3-way indicate that the block was received as a result of 2 message and 1 block transfer.

gc cr block busy

The time(centi seconds) to have waited to receive cr block from another instance for delay in another instance. (The difference between the last two samples, divided by the duration of the interval.)

gc cr block congested

The time(centi seconds) to have waited to receive cr block from another instance for delay of global cash service. (The difference between the last two samples, divided by the duration of the interval.)

gc cr grant 2-way

The time(centi seconds) to have waited for permission to read cr block from disk. (The difference between the last two samples, divided by the duration of the interval.) When the block doesn't exist in any instance, it reads from the disk. 2-way indicate that the block was received as a result of 1 message and 1 block transfer.

gc cr grant congested

The time(centi seconds) to have waited for permission to read cr block from disk for delay of global cash service. (The difference between the last two samples, divided by the duration of the interval.)

gc current block 2-way

The time(centi seconds) to have waited to receive current block from another instance. (The difference between the last two samples, divided by the duration of the interval.) When the block doesn't exist in the instance and the block exists in another instance, The block is received from another instance. 2-way indicate that the block was received as a result of 1 message and 1 block transfer.

gc current block 3-way

The time(centi seconds) to have waited to receive current block from another instance. (The difference between the last two samples, divided by the duration of the interval.) When the block doesn't exist in the instance and the block exists in another instance, The block is received from another instance. 3-way indicate that the block was received as a result of 2 message and 1 block transfer.

gc current block busy

The time(centi seconds) to have waited to receive current block from another instance for delay in another instance. (The difference between the last two samples, divided by the duration of the interval.)

gc current block congested

The time(centi seconds) to have waited to receive current block from another instance for delay of global cash service. (The difference between the last two samples, divided by the duration of the interval.)

gc current grant 2-way

The time(centi seconds) to have waited for permission to read current block from disk. (The difference between the last two samples, divided by the duration of the interval.) When the block doesn't exist in any instance, it reads from the disk. 2-way indicate that the block was received as a result of 1 message and 1 block transfer.

gc current grant congested

The time(centi seconds) to have waited for permission to read current block from disk for delay of global cash service. (The difference between the last two samples, divided by the duration of the interval.)

Detailed description about Oracle monitored objects

This section describes the details of the monitored object (counter) about Oracle performance monitoring. The instances and counters are same for all Oracle instance.

When a monitored object is clicked, the help for the counter will be displayed. Click again to close.

[Call]

[CPU]

[Datablock]

[Datafile]

[DBInstance]

[Disk]

[ListenerStatus]

[Lock]

[Memory]

[MemoryParameter]

[Network]

[Parameter]

[ResultCache]

[Rollbacksegment]

[Session]

[SQL]

[Tablespace]

[Transaction]

[Tnsping]

[Wait]

[RAC_Stat]

[RAC_Wait]

[Note]

  • A Datafile instance is a monitoring instance of each data file of a Oracle data base, and an instance name is indicated by the shape of [Datafile Datafilename]. The counter is common by all Datafile instances.

  • Tablespace instance is a monitored instance for each table space of Oracle database, and the instance name is shown in the form of [Tablespace table space name]. The counters are same for all Tablespace instances.

  • RAC_Stat and RAC_Wait instances are monitored only on RAC environment.

  • Removing the configured connection to an added monitored object will not automatically remove the object. Before removing the configured connection, remove its corresponding monitored object from Performance Monitoring.

  • The counter value is treated as 0 when the data file which is composed of tablespace is off-line.

  • For listener monitoring, two types of functions, ListenerStatus and Tnsping are provided. As each has its own features, use the better one to suit your application.

    • ListenerStatus
      Enables you to monitor the status of a specific listener. It does not enable you to monitor a listener on a remote host.

    • Tnsping
      Enables you to monitor a listener either on a normal agent or on a remote host. It does not enable you to monitor the status of a specific listener.

 | Specific listener | Normal agent | Remote host
ListenerStatus | Supported | Supported | Not Supported
Tnsping | Not Supported | Supported | Supported


Import the monitoring setting for Oracle performance monitoring

This product, the definition file for Oracle performance monitoring is packed. Importing this definition file will facilitate the monitoring setting for Oracle performance monitoring.

To import the monitoring setting for Oracle performance monitoring, follow the procedure below.

  1. Confirm the Oracle server is set as monitored host
    Confirm the hosts running Oracle server are set as monitored host. If it is not set, please set the host as the monitored host from the [Oracle Monitor - Host Setting] dialog.

    About the detail of setting, refer to here.
    [References]
    Configure host settings

  2. Register the Oracle instances as the monitored object
    To import the definition file, register the Oracle instances as the monitored object in advance.
    About the detail of registration, refer to here.
    [References]
    Register the Oracle instances

  3. Confirm the Oracle instance is registered as the monitored object
    When the Oracle instance is registered, it is added to the list of monitored object. Please confirm that from the [Performance Monitor Setting] window. The Oracle instance is registered as [Oracle (Instance Name)].
    About how to display the [Performance Monitor Setting] window, refer to here.

    [Note]
    In this time, please don't check the registered object. It is checked automatically when the definition file is imported.

    [References]
    Define the monitored resource

  4. Import the definition file
    After edit the definition file, import it from the topology view. Select the [Import] from right click menu of the Oracle server host node of the topology view.
    The [Import Service] window will appear, press the [Browse] button and specify the following folder.

    [General environment]
    C:\Program Files\NEC\UMF\Operations\SVC\template\Oracle

    [RAC environment]
    C:\Program Files\NEC\UMF\Operations\SVC\template\OracleRAC

    After specify, the function selection window will be shown. Confirm the check box at the left of [Performance Monitor] and press [OK] button. Then the SVC loads the definition file and set the monitoring setting.

    The [Import Setting] window appears. Set an Oracle instance name to be connected. Double click the item "Instance Name" to display the [Instance Name Setting] window.

    When the [Instance Name Setting] window appears, enter an Oracle instance name to be connected to "Instance Name" By default, the database name is "ORCL".

    [Notes]
    When specifying a database name, make it case sensitive.

    If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking on the [Logging option] item.

    When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (which means I want to save the history) in [Logging option]. The default value of [Logging option] is "0" (which means I do not want to save the history).

    When you click on the [OK] button, you return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click on the [OK] button. The definition file is read and items in the file are reflected to this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • Please think the threshold set with the watch template to be a reference value. Because a proper value is different according to the system, it is necessary to verify the threshold with the system that uses it.

[References]


Import knowledge file for Oracle performance monitoring

A knowledge file for monitoring messages output by Oracle performance monitoring is bundled to this product. Import of this knowledge file facilitates defining message filters for monitoring errors and warning messages in Oracle performance monitoring.

See here, for the import procedures.

The knowledge file for Oracle performance monitoring is as follows.

C:\Program Files\NEC\UMF\Operations\Svc\knowledge\ApplicationNavigator\OraclePerformanceCounter.txt

[Reference]

Import the knowledge file


Register Oracle RAC

This operation must be executed after shifting into the Configuration mode.

To monitor Oracle RAC, you must register information on the connection to the Oracle RAC to be monitored.

From the physical view under the Application Summary, right-click on the agent node in which the Oracle Clusterware has been installed and select [Edit RAC] from the displayed menu. The [Oracle Monitor - RAC Setting] dialog is displayed with a list of Oracle RACs that have been registered.

  • Database Name
    Displays the Oracle database names that have been registered.

  • Service Name
    Displays each Oracle service name to which you make a connection. This field is left blank if the service name is not defined.

  • Description
    Displays the description of each service.

  • [Add] button
    Clicking on this button will display the [Add RAC] dialog and enable you to add a new RAC to be monitored.

  • [Edit] button
    Clicking on this button will display the [Edit RAC] dialog and enable you to reconfigure the selected RAC.

  • [Delete] button
    Clicking on this button will delete the selected RAC.

    [Note]
    When this RAC is deleted with the monitor resource defined in the performance monitor, the performance monitor might not be able to be done normally. Please delete RAC on this dialog after deleting the monitor resource.

  • [Detection Service] button
    Clicking on this button will detect the RAC in the selected agent node and add it to the list.

    [Note]

    • Connection information such as username and password is not set for RAC that have been added by the [Detect Service] button. You must set connection information by calling the [Edit RAC] window with the [Edit] button.
      RAC instances for which no connection information is set will be removed from the list when you click on the [OK] button.
    • SystemManager G monitors the status of RAC services on a per-service basis. If you have defined multiple RAC services, set up each RAC service, if necessary.
    • This function is not available to agents of Ver. 1.x (the button is disabled).

  • [Composition] button
    Clicking on this button will open a window that displays composition information (instance name, host name, and service policy) for the selected RAC.

  • [Refresh] button
    Clicking on this button will update a registered RAC to the composition.

  • [OK] button
    Clicking on this button will register a set RAC and instances that make up the RAC and close the dialog. When a connection to an instance has been successfully established, the instance is added to the objects to be monitored by the performance monitoring function.

  • [Cancel] button
    Clicking on this button will cancel changes to the settings and close the dialog.

Once a RAC has been registered, its corresponding nodes are automatically added under the physical view and [Default Category] of the logical view in the Application Summary.

[Note]

  • It might take time from the selection of "Edit RAC" to the display of RAC setting dialog.

  • Please delete Oracle RAC registered beforehand when you delete the node that composes Oracle RAC from the topology tree. When the node of topology is deleted though there is no release, the service node of a logical view cannot be deleted.

  • When the instance of the database is deleted, performance values cannot be collected with the counter that was registered by the performance monitor after the agent is reconnected. When you delete the instance, also delete the object of the performance monitor.

  • Oracle service should be executed before Oracle RAC setting.

[References]


Configure a connection to an Oracle database (RAC)

This operation must be executed after shifting into the Configuration mode.

You set the database name, service name, user name, and password for making a connection to a registered RAC.

You must set up the RAC from the [Add RAC Service] and [Edit RAC Service] dialogs.

To display the [Add RAC Service] and [Edit RAC Service] dialogs, the following methods are provided:

  1. Click on the [Add] button in the [Oracle Monitor - RAC Setting] dialog.

  2. Select the desired registered RAC and click on the [Edit] button in the [Oracle Monitor - RAC Setting] dialog.

  3. Double-click on the desired registered RAC in the [Oracle Monitor - RAC Setting] dialog.

  • Database Name
    Use up to a maximum of 30 single-byte alphanumeric characters to set the Oracle database name to which you will connect. The Database Name must be specified. The Database Name cannot be changed from the [Edit RAC] dialog.

  • Service Name
    Use up to a maximum of 64 single-byte alphanumeric characters to set the service name of the Oracle database to which you will connect. If this RAC does not have any service name, leave the [Service Name] field blank. The Service Name cannot be changed from the [Edit RAC] dialog.

  • Authentication
    Select whether to connect by the Password Authentication or to connect it by OS Authentication.
    When the agent is only Windows, it is possible to select it.
    In UNIX, only the Password Authentication can be used.

    [Note]
    When connecting to Oracle in the OS authentication mode, you may experience an ORA-01031 error, but you can ignore the error and continue registration.

  • User Name
    Specify the user name to connect to the Oracle database. Specify "sys" or one of the users dedicated to SystemManager G that have been created with the setup script. For information on how to run the setup script, refer to DB setting when monitoring Oracle.
    You do not have to enter it when establishing the connection under OS Authentication.

  • Password
    Specify the password to connect to the Oracle database in 30 characters or less.
    You do not have to enter it when establishing the connection under OS Authentication.

  • Description Use up to a maximum of 255 characters to describe this RAC. The Description is optional.

[Note]

  • Specify the correct database name and service name for Oracle (they are case-sensitive).

  • Normal shutdown with a NORMAL phrase cannot terminate an Oracle database while there is a current connection to the database.
    Before you stop an Oracle database, you must have terminated the SystemManager G agent, or you must have removed the agent that connects to the database from the monitored objects in the [Oracle Monitoring Host Setting] window and disconnect the connection to the database before you terminate the database. Alternatively, terminate the Oracle database with an IMMEDIATE phrase.

  • It is necessary to put it into the state that can be connected with service by starting service in using SRVCTL command etc. to use the service of RAC after service is added beforehand.

[References]

Set the monitored hosts for Oracle performance

Register Oracle RAC


Confirm an Oracle RAC configuration

Confirm an Oracle RAC composition

This operation must be executed after shifting into the Configuration mode.

You can confirm configuration information (instance name, host name, and service policy) on a registered RAC.

You can confirm the RAC configuration in the [RAC Construction] dialog.

To display the [RAC Construction] dialog, select a desired RAC and click on the [Configuration Display] button in the [Oracle Monitor - RAC Setting] dialog.

  • Difference
    Displays [Delete] or [Addition] when there is a difference between the actual composition and the one managed by SystemManager G.

  • Instance Name
    Displays the name of each instance that makes up this RAC.

  • Host Name
    Displays the name of the host on which each instance is running.

  • Service Policy
    Displays the service policy of each instance. The service policy is not displayed for an instance that does not have a service name. If a connection cannot be established with a service, [Unknown] will be displayed.

  • Detail
    Displays a diagnostic message about a difference between the two compositions. If the diagnosis shows that there is a difference and you must synchronize what to monitor, close this dialog and run [Refresh] in the [Oracle Monitor - RAC Setting] dialog.

  • [OK] button
    Closes this dialog.

[References]

Register Oracle RAC


Set options for application monitor

Set the options for application monitor

This operation must be executed after shifting into the Configuration mode.

To define the options for application monitoring, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Application Monitor] tab.

  • Saving agent's monitor status
    When this checkbox is checked, it means that the application monitoring will keep the previous, monitored status of Oracle RAC when a selected agent(s) or the manager are restarted, and will not report the status unless it changes from the one when it were stopped previously after they are restarted. It is not checked by default.

    • The monitored status will be stored in the following locations, triggered at the time when any one of the agents is disconnected or the manager is stopped:

      Windows manager
      <Directory installing manager>\sg\AppNavi\status\

      UNIX Manager
      <Directory installing manager>/sg/AppNavi/status/
    [Note]

    • When the manager is terminated abnormally, it is likely that a status change may be reported to agents next time a connection is made to them, depending on the last, stored status

    • The manager backup function make a backup of the definition of setting the monitored status holding function to ON/OFF, but the backup data does not include the monitored statuses. If you restore the definition of setting the function to ON, the monitored statuses before restoring it will continue to be retained. If you want to make the monitored statuses UNKNOWN when restoring the definition, you must remove the status retaining file described above or set the monitored status holding function to OFF before using the manager backup function.

    • For the counter information SystemManager G collects for each application, set it in "Set options for performance monitoring."

[Reference]

Set the options for performance monitoring


Monitor Oracle RAC performance

An instance for each node that makes up a registered Oracle RAC is added to a list of monitored objects for performance monitoring for each agent node, and can be monitored with the performance monitoring function. To monitor the performance of an Oracle RAC, you must configure performance monitoring for each agent host that makes up a RAC service.

You can confirm agent hosts that make up a RAC service in the [RAC Construction] window.

For more information on these setting steps, refer to here.

For information on steps for confirming such a RAC composition, refer to here.

[Note]

You must configure performance monitoring for each agent host.

[References]

Monitor the performance of Oracle

Confirm an Oracle RAC composition


Monitor the Oracle RAC performance in the logical summary

When you select the [RAC Summary] node from the logical view under the Application Summary in the tree view, the logical summary view in the right pane displays a RAC summary.

The logical summary view is divided into [Group Summary], [Category Summary], [Service Summary], and [RAC Summary] in the descending order of the nodes, and more comprehensive information is displayed in the higher summary and more detailed information is displayed in the lower summary.
For the details of the RAC summary view, refer to Monitor with the RAC summary.

[References]

About the Application Summary

Monitor with the group summary

Monitor with the category summary

Monitor with the service summary

Monitor with the RAC summary


Import the settings of monitored items for monitoring Oracle RAC performance

This product is shipped with the definition file for the Oracle database performance monitoring function, including RAC specific monitored items. Importing this definition file helps you to set items for monitoring Oracle performance.

For more information on these setting steps, refer to here.

[Note]

You must import the definition file for each agent host that makes up a RAC.

[References]

Import the monitoring setting for Oracle performance monitoring


Import knowledge file for monitoring Oracle RAC performance

This product is shipped with the knowledge file to monitor messages output by Oracle RAC performance monitoring. Importing this knowledge file helps you define message filters to monitor abnormal and warning messages in Oracle performance monitoring.

For more information on the steps for importing the knowledge file, refer to here.

The knowledge file for monitoring Oracle RAC performance is as follows:

C:\Program Files\NEC\UMF\Operations\Svc\knowledge\ApplicationNavigator\OraclePerformanceCounter.txt

[References]

Import the knowledge file


Define the Oracle's essential process monitoring

Monitor the Oracle's essential process as a part of Oracle monitoring. For Windows agent, Windows service monitoring function is used to monitor the Oracle's essential process monitoring. For UNIX agent, process monitoring function is used.

[RDBMS Monitoring]

[Windows agent]

From Windows service monitoring function, definitions are made to monitor the following services. See here, for the details on the method.

Monitored service | Oracle process
Oracle<Installation name>TNSListener | TNSLSNR.EXE
OracleService<Instance mame> | oracle.exe

[Note]
The number of services of "OracleService<Instance name>" is as many as Oracle instances.

[UNIX agent]

From process monitoring function, definitions are made to monitor the following services. See here, for the details on the method.

Database instance

Monitored command line

tnslsnr

ora_dbw

ora_lgwr

ora_pmon

ora_smon

ora_ckpt

ora_mman

ora_psp0

ASM instance
When using Oracle Automatic Storage Management (ASM), you must also monitor the required processes for the ASM instance. Add the following processes.
* In an Exadata environment, Oracle ASM must be used.

Monitored command line

asm_dbw

asm_lgwr

asm_pmon

asm_smon

asm_ckpt

asm_mman

asm_psp0

asm_asmb

asm_rbal

asm_gmon

[Note]

  • The above processes whose name begins with "ora_" or "asm_" run on an agent under the process name such as ora_lgwr<_Instance Name>, and monitoring it with the command line enables the <_Instance Name> part to be omitted as described above.

  • Refer to the following KROWN about details of processes:

    • KROWN#11898 (Document ID 1702418.1)
      What processes are provided as Oracle background processes?

When setting a process monitoring operation for background processes within KROWN, specify a command line name as follows:

  • For database instances
    ora_<background process name (in lower case)>

  • For ASM instances
    asm_<background process name (in lower case)>

[Clusterware monitoring]

[Windows agent]

From Windows service monitoring function, definitions are made to monitor the following services. See here, for the details on the method.

Monitored service | Oracle process
Oracle Object Service | OracleOBJService.exe
OracleClusterVolumeService | OcfsFindVol.exe
OracleCRService | crsd.exe
OracleCSService | ocssd.exe
OracleEVMService | evmd.exe

[UNIX agent]

From process monitoring function, definitions are made to monitor the following services. See here, for the details on the method.

Monitored command line

crsd.bin

ocssd.bin

evmd.bin

ohasd.bin

[References]

About Windows service monitoring

About process monitoring

Monitor the performance of Oracle


About parameter tuning of Oracle monitoring

When using the Oracle monitoring function, it may be appropriate to set some timeouts and other additional parameters. Please refer to the following topics:

  • Settings about timeout
    Oracle timeout settings
    Oracle monitoring timeout settings
    Change the number of threads for monitoring Oracle
    Oracle listener monitoring timeout settings
    Timeout setting for Oracle RAC service monitoring

  • About monitoring Oracle tablespace
    Considerations when monitoring Oracle tablespace
    Skip Oracle monitoring intervals

  • Oracle RAC monitoring settings
    Monitoring interval setting for Oracle RAC service monitoring

[References]

About preparations for Oracle performance monitoring


Oracle timeout settings

By setting timeout on the Oracle client, you can avoid SystemManager G from freezing, even if Oracle server fails to return a response in a reasonable time.

Create a new sqlnet.ora file in the following location, and set timeout.

  • Location for creating sqlnet.ora file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\AppNavi\sqlnet.ora

[UNIX agent]
/opt/UMF/Operations/Agent/sg/AppNavi/sqlnet.ora

  • Timeout settings
    Include the following description in the sqlnet.ora file. The value is in one-second units.

    SQLNET.RECV_TIMEOUT=30

    You must restart the agent for this setting to take effect.

This setting is valid for communication between the SystemManager G and Oracle server only. The connection between other applications and Oracle will not be affected.

Make sure that this timeout value is long enough for Oracle to return a correct response, but shorter than the monitoring interval of the SystemManager G. For example, in an environment where Oracle normally returns a reply in several seconds and the monitoring interval is set to 60 seconds, the appropriate timeout value may be around 30 seconds.


Oracle monitoring timeout settings

The Oracle monitoring function carries out performance collection for each monitoring interval. However, depending on the Oracle server load, it takes time for performance collection and a reply from Oarcle becomes slow.

By using the two types of timeout settings provided by the Oracle monitoring function, you can detect slowdown of Oracle response, and even when a reply of a specific query is slow, it is possible to continue monitoring.

Timeout message output can be turned on or off by adding some setting on the configuration file. For more detailed information about timeout messages, refer to Messages Agent/Manager outputs.

To perform parameter settings edit the CollectorOracle.ini file.

  • Location of CollectorOracle.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini
If the file does not exist, create a new file and save them in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorOracle.ini
If the file does not exist, create a new file save them in UTF-8 (without BOM).

Monitoring timeout skip settings

Monitoring will be skipped for that interval if timeout value is set and the time it took for Oracle performance collection exceed the limit. If monitoring is skipped, and collection is not performed until the next monitoring interval. Monitoring will be retried in the next monitoring interval.

If monitoring is skipped, new thread will be internally started for a new monitoring in the next interval. The maximum number of threads to be started can be specified in the setting shown below.

If the next monitoring interval time is reached during performance collection, monitoring for that interval will be skipped.

Depending on the load, timeout and skip may occur frequently. In such cases, change the parameters at monitoring timeout skip settings.

Section | Key | Description | Settable range
Config | MonitoringTimeout | Sets the performance collection timeout. Specify the value lower than monitoring interval time of the performance collection. For the environment that takes time to respond, it is possible to reduce the frequency of the recovering behavior by specifying the high value. | 1 to 1000[seconds] 0: No timeout (default)
 | MonitoringTimeoutMessage | Controls the output of message (00410120) when monitoring timeout occurred. (MonitoringTimout exceeded). | 0: No output 1: Output (default)
 | SkipMessage | Controls the output of message (00410121) when monitoring is skipped. | 0: No output 1: Output (default)

(Example setting)

Monitoring timeout is set to 60 seconds, and message output enabled for each event:

[Config]

MonitoringTimeout=60

MonitoringTimeoutMessage=1

Collection timeout/sleep settings

During performance collection from Oracle, multiple queries are issued to Oracle by one monitoring. To avoid slow queries to affect other monitoring, timeout for queries can be set. If the response-time for a query exceeds the timeout value set, corresponding query will sleep and will not be issued for the configured number of times. Most queries are issued for each instance of performance monitoring object-instance-counter structure. When monitoring is suspended, the status of counter becomes unknown (PERFUNKNOWN).

After the specified suspending number of times or by restarting an agent, it is returned from suspending, then retried the query and monitoring is resumed.

Section

Key

Description

Settable range

Config

CollectingTimeout

Sets the collection timeout value of query.

Specify the value lower than MonitoringTimeout value.

1 to 60[seconds] (default: 30)

0: No timeout

CollectingSleepCounts

Sets the number of times monitoring will be skipped when collection timeout for a query occurs.

When the monitoring interval of performance monitoring is set to 30 seconds, and CollectingSleepCounts is set to 120 times, monitoring by that query will be sleep for 3600 seconds.

CollectingSleepCounts is incremented when the following conditions are met.

- Can be connected to Oracle.

- Counter settings for inactive instances exist.

Note that if the counter of an instance that is inactive for monitoring is deleted, the count will not be incremented while the counter is absent because the collection count of the counter for the target instance is checked.

1 to 1440[times] (default: 120)

0: Monitoring will not sleep, and only timeout message will be outputted

CollectingTimeoutMessage

Controls the output of messages when monitoring started to sleep due to collection timeout (00410118) and when monitoring recovers (00410119). (CollectingTimeout exceeded)

0: No output

1: Output (default)

(Example setting)

Following setting will enable outputting messages, with the collection timeout set to 20 seconds, and number of times stopped set to 60:

[Config]

CollectingTimeout=20

CollectingSleepCounts=60

CollectingTimeoutMessage=1

About listener monitoring of Oracle, set at the following parameter for the collection timeout.

Section | Key | Description | Settable range
Config | LsnrctlTimeout | Sets the timeout value of the state collection command issued by a listener monitoring of Oracle. | 1 to 60[seconds] (default:3)

[Note]

  • The parameter values changed will take effect after the agent is restarted.

  • If load on the Oracle server is high when the server and an agent(s) are started simultaneously, it may delay responses from Oracle, ending in an occurrence of the monitoring timeout. In addition to setting the timeout time, this event may be avoided by setting an appropriate connection delay time.

[References]

Setting a delay in connecting to Oracle


Change the number of threads for monitoring Oracle

When one agent monitors multiple instances, the monitoring performance of the agent may deteriorate as the number of the monitored instances increases. When the monitoring performance deteriorates, the performance collection activity cannot be completed within the monitoring interval, resulting in the generation of a monitoring timeout.

If the monitoring timeout frequently occurs, you can improve the monitoring performance by increasing the number of monitoring threads.

Set a relevant parameter(s) by editing the CollectorOracle.ini file.

  • Location for the CollectorOracle.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorOracle.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Seciton | Key | Overview | Specifiable range
Config | CollectingThreads | Specify the number of collecting threads. | 1-10 (default: 5)
 | MaxThreads | Set the maximum number of threads available to the entire Oracle monitoring functions. | Positive integer (default: 10) 0: No limit
 | MaxRecoveryThreads | The maximum number of recovery attempts for each instance. | 1-5 (default: 3) 0: No recovery attempt
 | MaxThreadsExcessMessage | Control output of the message (00410122) when the maximum number of monitoring threads (MaxThreads) is exceeded. When this message is output, it means that the agent uses its available resources to the maximum extent, so that you must restart the agent to restore it. | 0: No output 1: Output (default)

(Setting example)

When setting the number of collecting threads to 5 and the maximum number of threads to 10, and outputting the message when the maximum number of threads is exceeded:

[Config]

CollectingThreads=5

MaxThreads=10

MaxThreadsExcessMessage=1

[Note]

  • The changed number of monitoring thread will take effect after restarting the agent.

  • Increasing the number of monitoring threads also will increase the usage of memory. Set the best value, considering your environment.


Oracle listener monitoring timeout settings

ListenerStatus instance

Oracle listener monitoring for ListenerStatus instances is operated by using the lsnrctl command. By default, this command is executed with a timeout of 3 seconds, and if the process has not been completed within 3 seconds, depending on the status of load on the Oracle server, the status will be unknown. If that is the case, you can change the timeout time as follows:

Set a relevant parameter by editing the CollectorOracle.ini file.

  • Location for the CollectorOracle.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini
If the file does not exist, create a new file, edit the file to include the parameter, and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorOracle.ini
If the file does not exist, create a new file, edit the file to include the parameter, and then save it in UTF-8 (without BOM).

  • Timeout setting
    Include the following two lines in the CollectorOracle.ini file.
    The value of LsnrctlTimeout means a timeout value (in seconds) for ListenerStatus instances. The following example specifies a timeout of 5 seconds.

    [Config]

    LsnrctlTimeout=5

    The configuration will take effect the next time the agent restarts.

Tnsping instance

Oracle listener monitoring for Tnsping instances is operated by using the tnsping command. By default, this command is executed with a timeout of 10 seconds, and if the process has not been completed within 10 seconds, depending on the status of load on the Oracle server, the status will be unknown. If that is the case, you can change the timeout time as follows:

Set a relevant parameter by editing the CollectorOracle.ini file.

  • Location for the CollectorOracle.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini
If the file does not exist, create a new file, edit the file to include the parameter, and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorOracle.ini
If the file does not exist, create a new file, edit the file to include the parameter, and then save it in UTF-8 (without BOM).

  • Timeout setting
    Include the following two lines in the CollectorOracle.ini file.
    The value of TnspingTimeout means a timeout value (in seconds) for TnspingStatus instances. The following example specifies a timeout of 20 seconds.

    [Config]

    TnspingTimeout=20

    The configuration will take effect the next time the agent restarts.


Timeout setting for Oracle RAC service monitoring

Oracle RAC service monitoring is operated by using the srvctl command. The UNIX agent runs any command with a timeout of 15 seconds by default, and if the command has not been completed within 15 seconds, the status will be unknown. If that is the case, you can change the timeout time as follows:

Set a relevant parameter by editing the AppNaviAgt.ini and CollectorOracle.ini files.

  • Locations for the AppNaviAgt.ini and CollectorOracle.ini files

/opt/UMF/Operations/Agent/sg/AppNaviAgt.ini
/opt/UMF/Operations/Agent/sg/CollectorOracle.ini
If the file(s) does not exist, create a new file(s), edit the file(s) to include the parameter, and then save it (them) in UTF-8 (without BOM).

  • Timeout setting
    Include the following two lines both in the AppNaviAgt.ini file and in the CollectorOracle.ini file.
    The value of CommandTimeout means a timeout value (in seconds). The following example specifies a timeout of 30 seconds.

    [Config]

    CommandTimeout=30

    The configuration will take effect the next time the agent restarts.

When setting a timeout value, specify a value derived from totaling the execution times of the following three commands and adding an extra time to the total. In an environment where several databases exist, use a value derived from multiplying the total with the number of the databases.

  • srvctl status database -d DatabaseName

  • srvctl config service -d DatabaseName

  • srvctl status service -d DatabaseName

[Note]

  • You must specify the timeout time shorter than the monitoring interval for Oracle RAC service monitoring. For information on setting the monitoring interval, refer to Monitoring interval setting for Oracle RAC service monitoring.

[References]

Monitoring interval setting for Oracle RAC service monitoring


Considerations when monitoring Oracle tablespace

In Oracle tablespace (Tablespace instance) monitoring, a response to an SQL statement issued to Oracle may delay. Then, the statuses of the counters related to the tablespace are unknown.

The causes of the SQL statement response delay could include, but not limited to, the increase of access cost due to fragmentation of the tablespace, and that of access cost due to an inappropriate execution plan using obsolete statistical information. Please, consider countermeasures by referring to the following KROWN. Also, conduct "Skip Oracle monitoring intervals." If the problem persists defying the countermeasures you took, please consult with your nearby product support center,

  • KROWN#127817 (Document ID 1742105.1)
    It may take some time to search for DBA_EXTENTS

  • KROWN#129224 (Document ID 1743432.1)
    Using RECYECLBIN delays searching DBA_FREE_SPACE and DBA_FREE_SPACE_COALESCED

  • KROWN#5108 (Document ID 1701274.1)
    About resolving fragmentation of table areas

  • KROWN#142229 (Document ID 179637.1)
    There may be cases where it takes some time to process an SQL sentence including V$DATAFILE or GV$DATAFILE

It is possible to output messages to Business View when this event occurs by carrying out "Oracle monitoring timeout settings."


Skip Oracle monitoring intervals

In monitoring Oracle tablespace, the status of monitoring may become unknown because a response to an SQL sentence issued to Oracle is delayed. Such a status also may contribute to putting load on Oracle. If you cannot resolve the problem with the countermeasures described in "Considerations when monitoring Oracle tablespace," you need to configure a skip setting for Oracle monitoring. This setting enables you to collect data not at every monitoring interval but at one interval during several ones in performance monitoring.

When you have configured a skip setting, the operations of the counters for which the skip setting is configured are as follows:

  • The status does not change during the monitoring intervals for which a skip setting is set. The performance values are not plotted on a history graph.

  • The counters that indicate statistical values within the monitoring intervals reflect the values from the last time when data was sampled before the skip setting was configured For example, if data is sampled at every 60 minutes, a relevant statistical value will be calculated based on the sampled values before the 60-minute interval starts.

  • Even when the monitoring interval for performance monitoring is changed, the count number for skip execution is not reset.

  • The number will be reset when the agent is restarted.

The related parameters must be set by describing the definition information on skip monitoring in the CollectorOracle.ini file on an agent.

  • Location for the CollectorOracle.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorOracle.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorOracle.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Description for the skip setting

[ForceSkip]

Count=The number of skip definitions [not omissible]

SQLNNN=The type of tables to which this skip setting is applied [not omissible]

SkipCountNNN=The number of skips [not omissible]

HostNNN=The name of an agent to which this skip setting is applied [omissible]

* NNN is a 3-digit number (001-999), starting with 001

Section

Key

Overview

Specifiable range

ForceSkip

Count
(not omissible)

Specify the number of skip definitions.

"0" indicates no skip operation.

Positive integer

0: No skip operation

SQLNNN

(NNN is a 3-digit number, starting with 001)

(not omissible)

Specify the type of tables to which this skip operation will be applied.

Tablespace: Counters for a tablespace

DatafileIO: Counters for data file I/O

Extent: Extent counter

* Details are describe in a separate table

One of the following

Tablespace

DatafileIO

Extent

SkipCountNNN

(NNN is a 3-digit number, starting with 001)

(not omissible)

Specify the number of skip operations.

When specifying "1," the target is monitored at one interval and not monitored at the next interval, and so on.

When specifying "2," the target is monitored at one interval and not monitored at the next two intervals, and so on.

1-2880

HostNNN

(NNN is a 3-digit number, starting with 001)

(not omissible)

Specify the name of an agent or remote host to which this skip operation is applied. To specify more than one, describe them by delimiting each with a comma. IP addresses cannot be specified.

Specifying "1" means the skip operation will be applied to all the monitored hosts.

(If the host is a normal agent, the skip operation will be performed on the agent. If the host is a remote monitor agent, the skip operation will be performed on all the remote hosts.)

1: Skip will be applied to all the monitored hosts (default value)

Agent name: Skip will be applied to the specified agent or remote host

Counters specified by the setting in the SQLNNN key

Value | Target instance | Target counter
Extent | Tablespace [tablespace name] | Extent
DatafileIO | Datafile [data file name] | Physical Blocks Read Physical Blocks Written
Tablespace | Tablespace [tablespace name] | Datafile (title for data file) FreeRate FreeSpace MaxFreeRate MaxFreeSpace MaxSize MaxUseRate UseMount UseRate UseSize

If the definitions are not unique, they are processed in the following priority:

  • The individual definitions take precedence over the common ones.

  • If there is more than one individual definition or more than one common definition, the one that appears later takes precedence over those before it.

(Setting example 1)

When creating the following definitions:

  1. 30 skips for the Extent counters on all the hosts

  2. 5 skips for the Tablespace counters on ServerA and ServerB

[ForceSkip]

Count=2

SQL001=Extent

SkipCount001=30

Host001=1

SQL002=Tablespace

SkipCount002=5

Host002=ServerA, ServerB

(Setting example 2)

When creating the following definitions, the 3rd individual definition takes precedence over the 1st definition for ServerC.

  1. 30 skips for the Extent counters on all the hosts

  2. 5 skips for the Tablespace counters on ServerA and ServerB

  3. 60 skips for the Extent counters on ServerC

[ForceSkip]

Count=3

SQL001=Extent

SkipCount001=30

Host001=1

SQL002=Tablespace

SkipCount002=5

Host002=ServerA, ServerB

SQL003=Extent

SkipCount003=60

Host003=ServerC

(Setting example 3)

When creating the following definitions, the latter definition takes precedence over the former for ServerA:

  1. 10 skips for the Tablespace counters on ServerA

[ForceSkip]

Count=2

SQL001=Tablespace

SkipCount001=30

Host001=ServerA

SQL002=Tablespace

SkipCount002=10

Host002=ServerA

[Note]

  • The changed value of each parameter will take effect after restarting the agent.

  • The skip setting for monitoring can be applied to the counters described above.


Monitoring interval setting for Oracle RAC service monitoring

The monitoring interval of RAC service monitoring is 60 seconds by default. To change, describe as follows in AppNaviMgr.ini file on the manager.

  • Location of the AppNaviMgr.ini file

    [Windows manager]
    C:\Program Files\NEC\UMF\Operations\Manager\sg\AppNaviMgr.ini

    [UNIX manager]
    /opt/UMF/Operations/Manager/sg/AppNaviMgr.ini

  • Setting of interval of RAC service monitoring
    Describe as follows in AppNaviMgr.ini file.

    [Oracle]
    RacMonitorInterval=120 <- The monitoring interval (seconds)

The set content will be effected the next time the manager is started.

The srvctl command of Oracle is used to obtain the state of RAC. When the monitoring interval of the RAC service monitoring is too short, CPU resource uses it a lot. Therefore, please take an enough interval. Moreover, when the response of srvctl doesn't return in the monitoring interval of RAC service monitoring, status becomes unknown.

When setting a interval, specify a value derived from totaling the execution times of the following three commands and adding an extra time to the total. In an environment where several databases exist, use a value derived from multiplying the total with the number of the databases.

  • srvctl status database -d DatabaseName

  • srvctl config service -d DatabaseName

  • srvctl status service -d DatabaseName

[Note]

  • For UNIX agents, you must set the monitoring interval longer than the timeout time for Oracle RAC service monitoring. For information on setting the timeout, refer to Timeout setting for Oracle RAC service monitoring.

[References]

Timeout setting for Oracle RAC service monitoring

Monitor with the RAC summary


About IIS monitoring

The IIS monitoring functionality of this product provides the functions for monitoring and querying the operating status of IIS and the state of its services running on an agent. The operating status information can be visualized as a graph, output to a file in CSV format, and processed other ways by using the performance monitoring function.

The IIS monitoring functionality includes the following functions:

  • Performance monitoring
    You can monitor operational status of each Web site and FTP site, using WMI and ADSI interfaces. Moreover, enables users to monitor values for the following items for the latest 15 minutes or 30 minutes, in addition to counters that can be monitored with a Windows performance monitor.

    [Web service]

    • Number of anonymous/non-anonymous connections
    • Number of pieces of data to be sent/received in bytes
    • Number of requests for the GET/POST method
    • Number of 404 error occurrences

    [FTP service]
    • Number of anonymous/non-anonymous connections
    • Number of files to be sent/received

  • Monitored data collection function
    Monitors information on a specified IIS resource. Collected data is centrally managed by a manager and displayed through the performance monitoring function. An operator will be informed when the performance status indicates an error or others with some means such as the color change of a related node(s) or voices.

    [References]
    Set the monitored hosts for IIS performance
    About performance monitoring

  • Threshold monitoring function
    Monitors the threshold values for specified IIS resources.

    [Reference]
    Define the detailed settings of the monitored counter (threshold settings)

  • Logging function
    Logs resource data that has been retrieved on the side of an agent within the agent. Logged information can be referenced and output to a file in CSV format on a monitoring terminal .

    [Reference]
    Output history data as a file

  • Service monitoring function
    Monitors whether a service is dead or alive that is running on a server on which IIS is operating.

    [Reference]
    Define IIS Services monitoring

  • Reporting function
    Performs Patlite and e-mail reporting to alert operators when the status of a specified resource or process has been changed.

    [Reference]
    Define the detailed settings of the monitored counter (threshold settings)

[Supported version]

  • For information on IIS versions supported by this product, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media.

[Note]

In IIS 7.0, it is necessary to install IIS 6 compatibility function in order to monitor [State] counter. How to install it is as follows.

  1. Select the tree of [Role Summary] - [Web Server (IIS)] in [Server Manager].

  2. Click [Add Role Services] at right pane.

  3. In [Select Role Services] window, Check [Management Tools] - [IIS 6 Management Compatibility] - [IIS 6 Metabase Compatibility] check box.


Preparations for IIS performance monitoring

Preparation

  • When monitoring [State] counters
    It is necessary to install IIS 6 compatibility function in order to monitor [State] counter. How to install it is as follows.

    1. Select the tree of [Role Summary] - [Web Server (IIS)] in [Server Manager].

    2. Click [Add Role Services] at right pane.

    3. In [Select Role Services] window, Check [Management Tools] - [IIS 6 Management Compatibility] - [IIS 6 Metabase Compatibility] check box.

[Note]

    • It is impossible to monitor a [State] counter of the FTP site in the environment of FTP 7.5 or later. Therefore, it is not shown to a counter setting list

    • If the [State] counter monitoring was specified before preparations, the agent service must be restarted after the IIS 6 compatibility functions are installed.

  • When monitoring 64-bit counters
    For Windows Server 2008 (64-bit) or later, SMTP-related performance counters become 64-bit counters. These counters can be monitored in 64-bit mode. For details, refer to "Changing the operating mode."

    For details about 64-bit counters, see the file of "List of monitored items" on the following NEC support portal (Japanese).
    https://www.support.nec.co.jp/View.aspx?NoClear=on&id=3140102695

Environment setting after installing SystemManager G

  • Setting of operating mode for application monitoring
    Changing the operating mode

  • When monitoring in 64-bit mode
    To perform IIS monitoring in 64-bit mode, the configuration file on the SystemManager G agent must be edited after installing this product.

    • Configuration file to edit
      C:\Program Files\NEC\UMF\Operations\Agent\sg\Collector.ini
      Save it in UTF-16LE (with BOM).

Exsample editting

<snip>

[IIS]

ObjectName=IISMonitor

DllNo=1

DllModuleName001=CollectorIIS.dll

DllDisplayName001=IIS

OLE=0

<snip>

[IIS] section
Change "OLE=1" to "OLE=0".

[Note]

    • The changes in the edited file will be reflected after the agent is restarted.

    • The configuration files are reset to their factory defaults by performing an overwrite installation of or upgrading this product. Edit these files again if necessary.

  • When monitoring 64-bit counters
    64-bit counters can be monitored in 64-bit mode.
    When monitoring 64-bit counters, the configuration file on the SystemManager G agent must be edited after installing this product.

    • Configuration file to edit
      C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorIIS.ini
      If the file does not exist, create anew file, edit it, and then save it in UTF-16LE (with BOM).

Exsample editting

[64bitObject]

ObjectNo=2

Object001=SMTP NTFS Store Driver

Object002=SMTP Server

[Config]

Collector64=1

[64bitObject] section (required)

Specify the number of objects to be monitored for "ObjectNo".

Specify a sequential number beginning with 001 for XXX in "ObjectXXX", and specify the object name to be monitored for the value.

For objects not having an instance describe "\" at the end of the object name such as "ObjectName\". Use the U+005C character encoding for "\".

[Note]

    • The changes in the edited file will be reflected after the agent is restarted.

The object names described in the CollectorIIS.ini file must be described in the CollectorObject.ini file on the manager and agent. If it does not exist, add the following description.

    • Configuration file to edit
      [Windows manager]
      C:\Program Files\NEC\UMF\Operations\Manager\sg\CollectorObject.ini

      [UNIX manager]
      /opt/UMF/Operations/Manager/sg/CollectorObject.ini

      [Agent]
      C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorObject.ini

Example of editing

[IIS]

DefineNo=13

Type001=1

Key001=Active Server Pages

Type002=1

Key002=Internet Information Services Global

:

Type012=1

Key012=Microsoft FTP Server

Type013=1

Key013=Sample1

Change the numeric value of "DefineNo" in the [IIS] section according to the number of added object names.

Specify a sequential number beginning with 001 for XXX in "TYpeXXX" and "KeyXXX".

The following two types of description can be described according to the value of "TypeXXX".

    • When describing the object name in perfect match
      TypeXXX=1
      KeyXXX=Object name

    • When describing the object name in partial match
      TypeXXX=2
      KeyXXX=part of object name

[Note]

    • The changes in the edited file will be reflected after the manager and agent are restarted.

    • The configuration files are reset to their factory defaults by performing an overwrite installation of or upgrading this product. Edit these files again if necessary.


Set the monitored hosts for IIS performance

If you are running the number of agents that is larger than the number of licenses for the IIS performance monitoring function you have purchased, you must select the appropriate number of agent hosts on which you will monitor IIS.

Refer to Configure host settings, for the configuration method.


Monitor IIS performance

Select the [Performance Monitor Setting] from right click menu on the [Performance Monitor] node in the Topology view, the [Edit Performance Monitoring] window will appear and show the list of monitored resources (the monitored objects).

If this host is set up as an IIS monitored host, [Web Service Ext] and [FTP Service Ext] are added to the list of monitored objects.

When you check a check box left to a monitored object and click on the [OK] button, the node for the monitored object you selected is added under the [Performance Monitor] node on the tree view.

When you have selected [Instance Setting] from the right-click menu on the monitored object node, the [Instance Setting] window is displayed.

When you check the check box left to the instance you will monitor and click on the [OK] button, the node for the instance you selected to be monitored is added under the monitored object node.

When you have selected [Counter Setting] from the right-click menu on the monitored instance node, the [Counter Setting] window is displayed.

When you check the check box left to the counter you will monitor and click on the [OK] button, monitoring on the counter you selected starts. Double-clicking on the monitored instance node displays the performance monitor window.

When you select [Counter Detail Setting] from the right-click menu on the [Counter] list in the lower section of the performance monitor window, you can configure detailed display settings and threshold value monitoring for the counter.

[References]

For more information on the monitored instances and monitored counters, refer to here.

For more information on defining the performance monitoring, refer to here.

You can perform the integrated monitoring of IIS performance from the summary view by setting the monitoring process.

[Note]

  • in FTP 7.5 or later, FTP sites are shown to an instance of "Web Service" and a "Web Service Ext" object, but don't check it in the check box. When monitoring a FTP site, check the FTP site indicated by an instance of "Microsoft FTP Service" and a "FTP Service Ext" object.

[Reference]

Monitor with the IIS performance monitoring summary


Monitor with the IIS performance monitoring summary

When you select the [IIS] node from the Application Summary in the tree view, the summary view in the right pane will display an application summary.

The summary view is divided into [Application Summary], [Host Summary], and [Instance Summary] in the descending order of nodes, more comprehensive information is displayed in the higher summary and more detailed information is displayed in the lower summary.

[References]

Monitor the application summary

Monitor the host summary

Monitor the instance summary


Detailed description of IIS monitored counters

Anonymous Users - 15min

Number of users who established an anonymous connection with the Web service (The latest 15 minutes).

Anonymous Users - 30min

Number of users who established an anonymous connection with the Web service (The latest 30 minutes).

Bytes Received - 15min

Number of data bytes that have been received by the Web service (The latest 15 minutes). This counter is new in IIS 6.0.

Bytes Received - 30min

Number of data bytes that have been received by the Web service (The latest 30 minutes). This counter is new in IIS 6.0.

Bytes Sent - 15min

Number of data bytes that have been sent by the Web service (The latest 15 minutes). This counter is new in IIS 6.0.

Bytes Sent - 30min

Number of data bytes that have been sent by the Web service (The latest 30 minutes). This counter is new in IIS 6.0.

Get Requests - 15min

Number of HTTP requests using the GET method (The latest 15 minutes).

Get Requests - 30min

Number of HTTP requests using the GET method (The latest 30 minutes).

NonAnonymous Users - 15min

Number of users who established a non-anonymous connection with the Web service (The latest 15 minutes).

NonAnonymous Users - 30min

Number of users who established a non-anonymous connection with the Web service (The latest 30 minutes).

Not Found Errors - 15min

Number of requests that couldn't be satisfied by the server because the requested document could not be found (The latest 15 minutes). These are generally reported as an HTTP 404 error code to the client.

Not Found Errors - 30min

Number of requests that couldn't be satisfied by the server because the requested document could not be found (The latest 30 minutes). These are generally reported as an HTTP 404 error code to the client.

Post Requests - 15min

Number of HTTP requests using the POST method (The latest 15 minutes).

Post Requests - 30min

Number of HTTP requests using the POST method (The latest 30 minutes).

State

The state of Web server.
0: Stopped
1: Stopping
2: Paused
3: Pausing
4: Continuing
5: Starting

6: Started

Anonymous Users - 15min

Number of users who established an anonymous connection with the FTP service (The latest 15 minutes).

Anonymous Users - 30min

Number of users who established an anonymous connection with the FTP service (The latest 30 minutes).

Files Received - 15min

Number of files received by the FTP service (The latest 15 minutes).

Files Received - 30min

Number of files received by the FTP service (The latest 30 minutes).

Files Sent - 15min

Number of files sent by the FTP service (The latest 15 minutes).

Files Sent - 30min

Number of files sent by the FTP service (The latest 30 minutes).

NonAnonymous Users - 15min

Number of users who established a non-anonymous connection with the FTP service (The latest 15 minutes).

NonAnonymous Users - 30min

Number of users who established a non-anonymous connection with the FTP service (The latest 30 minutes).

State

The state of FTP server.
0: Stopped
1: Stopping
2: Paused
3: Pausing

4: Continuing
5: Starting
6: Started

Detailed description of IIS monitored counters

This section explains in detail the monitored counters that can be monitored with the IIS performance monitoring function.

When you click on a monitored object, the description of its counter will be displayed. When you click on the same object again, the description will disappear.

[Web Service Ext]

[FTP Service Ext]

This section only describes the monitored counters specific to SystemManager G. SystemManager G also treats the following objects as monitoring targets that can be monitored with a Windows performance monitor:

  • Active Server Pages

  • Internet Information Services Global

  • FTP Service
    *Does not exist at IIS 7.5 or later.

  • Microsoft FTP Service
    *Does not exist at IIS 7.0.

  • SMTP NTFS Store Driver

  • SMTP Server

  • Web Service

  • Web Service Cache

For more information on the monitored counters for the objects listed above, refer to the help information on IIS.

[Note]

  • [State] counter in [_Total] instance cannot be monitored. Therefore, it is not displayed at the counter list.

  • It is impossible to monitor a [State] counter of the FTP site in the environment of FTP 7.5 or later. Therefore, it is not shown to a counter setting list.

  • In FTP 7.5 or later, when FTP sites are stopped separately, the counter value of [Microsoft FTP Service] - [_Total] will be decreased. At that time the related counter value of [FTP Service Ext] - [_Total] are reset to 0.

  • If FTP 7.5 is installed during monitoring FTP sites in the environment of IIS 7.0, agent's restart is needed.

  • It is necessary to operate either as follows in order to get the value of [State] counter in Web site and FTP site which are added/changed while working SystemManager G.

    • Once be invalidated the license of IIS monitor, then be effective again.

    • Restart the agent.

  • 64-bit counters which handle differential values cannot be monitored. These counters are not displayed in the [Counter Setting] dialog box. For details about 64-bit counters, see the "List of monitored items" file at the following NEC support portal (Japanese).
    https://www.support.nec.co.jp/View.aspx?NoClear=on&id=3140102695


Import the monitoring setting for IIS performance monitoring

This product includes definition files for the IIS performance monitoring function. Importing these definition files helps you to set items for monitoring IIS performance.

The following explains the steps for importing the IIS performance monitoring definition data:

  1. Confirm that a desired host is set to be monitored
    Ensure that a host on which IIS is running is set as a target to be monitored. If the host is excluded from monitored objects, set it up as a target to be monitored by checking the check box left to the host name.

    For more information on these setting steps, refer to here.
    [Reference]
    Configure host settings

  2. Confirm that the host has been set as a target to be monitored
    When you have set the host to be monitored, its corresponding monitored objects are added in the [Performance Monitor Setting] window. Confirm that two monitored objects [Web Service Ext] and [FTP Service Ext] have been added from the [Performance Monitor Setting] window.
    For information on displaying the [Performance Monitor Setting] window, refer to here.

    [Note]
    At this point in time, do not check the two monitored objects that have been added. They will be automatically checked when applying the definition file.

    [Reference]
    Define the monitored resource

  3. Import a definition file
    Import definitions with the function for importing agent definitions. Select the host node on which IIS is running from the Topology view and select [Import] by right-clicking on the node.
    When the [Import Service] (import selection) dialog has been displayed, click on the [Browse] button and specify the following folders:

    [Web Service]
    C:\Program Files\NEC\UMF\Operations\Svc\template\IIS\Web

    [FTP Service]
    FTP 6.0
    C:\Program Files\NEC\UMF\Operations\Svc\template\IIS\FTP6
    FTP 7.5 or later
    C:\Program Files\NEC\UMF\Operations\Svc\template\IIS\FTP7

    When you have specified the two folders, a window similar to the one shown below appears where you can select functions. When you have confirmed that the check box left to [Performance Monitor] is checked, click on the [OK] button.

    When the [Import Setting] window has been displayed, set the logging option. If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking on the [Logging option] item.

    When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (which means I want to save the history) in [Logging option]. The default value of [Logging option] is "0" (which means I do not want to save the history).

    When you click on the [OK] button, you return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click on the [OK] button. The definition file is read and items in the file are reflected to this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • Please think the threshold set with the watch template to be a reference value. Because a proper value is different according to the system, it is necessary to verify the threshold with the system that uses it.

  • It is impossible to import a counter of the "FTP Service" object of IIS 7.0 into IIS 7.5 or later environment. When importing it, eliminate the "FTP Service" object and reconfigure a relevant counter in a "Microsoft FTP Service" object.

  • It is impossible to import a counter of the "Microsoft FTP Service" object of IIS 7.5 or later into IIS 7.0 environment. When importing it, eliminate the "Microsoft FTP Service" object and reconfigure a relevant counter in a "FTP Service" object.

  • 64-bit counters specified as monitored by importing cannot be monitored when the objects of those counters are not described in CollectorIIS.ini as target objects.

  • When exporting 64-bit counter information and importing the file to a 32-bit mode environment, the performance values become unknown. The objects of those counters must be deleted and re-configured.

  • When exporting the information of counters that can be acquired by 32-bit processes and importing the file to a 64-bit environment, the performance values become unknown. The objects of those counters must be deleted and re-configured.

[Reference]
Import the definition for monitored agents


Import knowledge file for IIS performance monitoring

A knowledge file for monitoring messages output by IIS performance monitoring is bundled to this product. Import of this knowledge file facilitates defining message filters for monitoring errors and warning messages in IIS performance monitoring.

See here, for the import procedures.

The knowledge file for IIS performance monitoring is as follows.

C:\Program Files\NEC\UMF\Operations\Svc\knowledge\ApplicationNavigator\IISPerformanceCounter.txt

[Reference]

Import the knowledge file


Define the Monitoring of IIS Services

Define IIS Services monitoring

IIS services are monitored as a part of IIS monitoring. IIS services are monitored by using the Windows service monitoring function.

From the Windows service monitoring function, you must define the following services so that they can be monitored. For more information on defining the services, refer to here.

Type of service | Monitored service
Web service | World Wide Web Publishing Service
FTP service (FTP 6.0) | FTP Publishing Service
FTP service (FTP 7.5 or later) | Microsoft FTP Service
NNTP service | Network News Transfer Protocol (NNTP)
SMTP service | Simple Mail Transfer Protocol (SMTP)

[Note]

Some systems may not install all of the services listed above, depending on the system configuration. Set the service monitoring for a desired function to be used.

[Reference]

About windows service monitoring


About SQL Server monitoring

The SQL Server monitoring functionality of this product provides the functions for monitoring and querying the operating status of Microsoft SQL Server (hereinafter called SQL Server) databases and the status of SQL Server services that are running on an agent. The operating status information can be visualized as a graph, output to a file in CSV format, and processed other ways by using the performance monitoring function.

The SQL Server monitoring functionality includes the following functions:

  • Performance monitoring
    The following items are monitored using ADO and WMI interfaces.

    • Number of rows, and reserved and used areas on a disk used by a table in an SQL Server database
    • Statistical information on CPU, I/O, and network operations
    • User-defined SQLs

    You must set up "resources," "instances," and "counters" to perform monitoring operations in the SQL Server monitoring functionality of this product. The resource, instance, and counter are defined as terms that have the following meanings:

    [Resource]
    It refers to an object whose performance is monitored. In this functionality, it refers to a database instance.

    [Instance]
    It refers to one of units into which a resource is further classified. In this functionality, it refers to an entity such as a table in a database to be monitored.

    [Counter]
    It refers to performance monitoring information retrieved on the various sections of a system in question about a specified resource and a specified instance. In this functionality, it points to an entity such as a reserved area for a disk used by a table in a database to be monitored.

  • Monitored data collection function
    Monitors information on a specified SQL Server resource. Collected data is centrally managed by a manager and displayed through the performance monitoring function. An operator will be informed when the performance status indicates an error or others with some means such as the color change of a related node(s) or voices.

    [References]
    Set the monitored hosts for SQL Server performance
    Register the SQL Server instances
    Configure the connection settings for the SQL Server instance
    About performance monitoring

  • Threshold monitoring function
    Monitors threshold values for specified resources in SQL Server.

    [Reference]
    Define the detailed settings of the monitored counter (threshold settings)

  • Logging function
    Logs resource data that has been retrieved on the side of an agent within the agent. Logged information can be referenced and output to a file in CSV format on a monitoring terminal.

    [Reference]
    Output history data as a file

  • Service monitoring function
    Monitors whether a service is dead or alive that is running on a server on which SQL Server is operating.

    [Reference]
    Define SQL Server Services monitoring

  • Reporting function
    Performs Patlite and e-mail reporting to alert operators when the status of a specified resource or process has been changed.

    [Reference]
    Define the detailed settings of the monitored counter (threshold settings)

[Support version]

  • For information on SQL Server versions supported by this product, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media.


Preparations for SQL Server performance monitoring

Preparation

  • Instance name
    When using a named instance, check the instance name. This is not required if using a predefined instance.

  • User name, password
    If you are using SQL Server authentication, check the user name and password for connecting to SQL Server. This is not required for Windows authentication.

  • Granting sysadmin authority
    To connect using the Windows authentication for SQL Server 2012 or later, the sysadmin authority must be granted to the NT AUTHORITY\SYSTEM user.
    To grant the sysadmin authority, open the [Security] - [Logins] - [NT AUTHORITY\SYSTEM] property page from the Object Explorer of SQL Server Management Studio, and place a check mark in the "sysadmin" check box on the [Server Roles] page.

Environment setting after installing SystemManager G

  • Tuning of SQL Server monitoring
    SQL Server monitoring timeout settings
    Change the number of threads for monitoring SQL Server


Set the monitored hosts for SQL Server performance

If you are running the number of agents that is larger than the number of licenses for the SQL Server performance monitoring function you have purchased, you must select the appropriate number of agent hosts on which you will monitor SQL Server.

Refer to Configure host settings, for the configuration method.


Register the SQL Server instances

This operation must be executed after shifting into the Configuration mode.

To monitor the performance of an SQL Server, you must register connection information on the SQL Server instance.

Right-click on the agent node to which the SQL Server has been installed and select [SQL Server] from the displayed [Edit Application Management Instance] menu. The [SQLServerMonitor - Instance Setting] dialog will be displayed with a list of SQL Server monitored servers that have been registered.

  • Instance Name
    Displays host names (default instances) or named instances (in the form of "host name\instance name") that have been registered.

  • Description
    Displays the description of an instance in the list.

  • [Add] button
    Clicking on this button will display the [Add Instance] dialog and enable you to add a new monitored instance.

  • [Edit] button
    Clicking on this button will display the [Edit Instance] dialog and enable you to set a selected monitored instance again.

  • [Delete] button
    Clicking on this button will delete a selected monitored instance.

    [Note]
    When this instance is deleted with the monitor resource defined in the performance monitor, the performance monitor might not be able to be done normally. Please delete instance on this dialog after deleting the monitor resource.

  • [OK] button
    Establishes a connection to a set instance and close the dialog. When a connection has been successfully established to a set instance, the instance is added to the objects to be monitored by the performance monitoring function.

    [Note]
    If a host is not set up as an SQL Server monitored host, a connection to its instance cannot be established.

  • [Cancel] button
    Cancels changes to the settings and close the dialog.

Once an instance has been registered, its corresponding node is automatically added under the Application Summary.

Also, to open the [SQLServerMonitor - Instance Setting] dialog, select the [Edit Instance] from right click menu of the [ApplicationSummary] - [SQLServer] - [Host] node.

[References]

Set the monitored hosts for SQL Server performance

Configure the connection settings for the SQL Server instance


Configure the connection settings for the SQL Server instance

This operation must be executed after shifting into the Configuration mode.

Set up your username, password, and instance name (database name) for connecting to a desired SQL Server instance that has been registered as a monitored object.

You must set up an instance from the [Add Instance] and [Edit Instance] dialogs.

To display the [Add Instance] and [Edit Instance] dialogs, the following methods are provided:

  1. Click on the [Add] button in the [SQLServer Monitor - Instance Setting] dialog.

  2. Select a desired, registered instance and click on the [Edit] button in the [SQLServer Monitor - Instance Setting] dialog.

  3. Double-click on a desired, registered instance in the [SQLServer Monitor - Instance Setting] dialog.

  • Instance Name
    Value to specify differs depending on whether the instance of the SQL Server connected is a default instance or named instance.

    • For default instance:Host name of SQL Server connected

    • For named instance: Host name of SQL Server connected\instance name

On the host where SQL Server is installed, there will be a service registered as "SQL Server (instance name)". If this instance name is "MSSQLSERVER", it is default instance. Other than that, it is a named instance.

Specify instance name in 64 characters or less. The characters allowed to be used are limited to the single-byte alphanumeric characters, and special symbols such as hyphen ("-"), underscore ("_"), period ("."), percent ("%") and backslash ("\"). The instance name must be specified.
The instance name is displayed in the form of "MSSQL (instance name)" in the [Performance Monitor Setting] window.
It cannot be changed from the [Edit Instance] dialog.

  • Authentication
    Select whether to connect by the Windows Authentication or to connect it by SQL Server Authentication.

    [Note]
    To connect using the Windows authentication for SQL Server 2012 or later, the sysadmin authority must be granted to the NT AUTHORITY\SYSTEM user. For details see "Preparations for SQL Server performance monitoring".

  • Username
    Set your username used when establishing a connection to the SQL Server database.
    You do not have to enter it when establishing the connection under Windows Authentication.
    Specify "sa" (sysadmin authority user) when establishing the connection under SQL Server Authentication.

  • Password
    Set your password used when establishing a connection to the SQL Server database with a maximum of 30 one-byte alphanumeric characters.
    You do not have to enter it when establishing the connection under Windows Authentication.

  • Description
    Describe the instance with a maximum of 255 characters. This description is optional.

[Note]

  • Semicolons (;) cannot be used for input items except for the description field.

  • AUX, COM1 to COM9, CON, LPT1 to LPT9, NUL, PRN cannot be used for the instance name of the SQL Server.

[References]

Set the monitored hosts for SQL Server performance

Register the SQL Server instances


Register user defined SQL as an SQL Server monitor counter

This operation must be executed after shifting into the Configuration mode.

The SQL Server performance monitoring functionality of this product enables users to monitor the results of SQLs that they have created, in addition to the performance monitored items provided by the product. This enables users to monitor tables specific to them and those that are not supported by this product.

Select [Edit User SQL] from the right-click menu on the [SQL Server Instance] node in the Application Summary, then the [SQL Script Monitoring Setting] will appear.

  • Object Name
    Displays the name of an SQL Server instance that executes SQL.

  • Instance Name
    Displays the monitored instance name that will be registered. Specify "UsersSQL" for SQL Server.

  • Counter Name
    Displays a list of the monitored counters that have been registered.

  • Description
    Displays the description of each counter in the list. This description is displayed as the description for this counter in the lower section of the counter list window in the Performance Monitor window.

  • [Add] button
    Enables you to adds this SQL as a new counter.

  • [Edit] button
    Enables you to edit a selected counter.

  • [Delete] button
    Enables you to deletes a selected counter.

  • [OK] button
    Enables you to make your edits effective and close this window.

  • [Cancel] button
    Completes the edit operation and close this window. Your edits are not effective.

[Reference]

Edit user defined SQL running on SQL Server


Edit user defined SQL running on SQL Server

This operation must be executed after shifting into the Configuration mode.

When you click on the [Add] or [Edit] button in the [SQL Script Monitoring Setting] window, the [SQL Script Setting] window will be displayed, where you can edit SQL statements that will be actually executed on an SQL Server instance.

  • Object Name
    Displays the name of an SQL Server instance that executes SQL.

  • Instance Name
    Displays the monitored instance name that will be registered. Specify "UsersSQL" for SQL Server.

  • Counter Name
    Specify the name of a monitored counter that you will register with a maximum of 128 characters. However, if you want to perform response monitoring, you must specify it with a maximum of 114 characters.

  • SQL Script
    Specify an SQL statement to be executed with a maximum of 4095 characters including line feed symbols.

  • Description for Counter
    Specify the name of SQL that you will register with a maximum of 1023 characters. The counter description you specify here will be displayed in the lower section of the [Counter Setting] window for performance monitoring.

  • [Test] button
    Execute set SQL statement to perform test.
    If test is performed, the [SQL Result] dialog will appear to display the test result, result value from running the test, and run time (in milliseconds).

  • [OK] button
    Make the edited contents effective and close the window.

  • [Cancel] button
    Exit the edition and close the window. The edited contents are not reflected.

The monitored counter you have registered is added to the counter list in the [Counter Setting] window for performance monitoring. In addition, a counter is added to the list, which gets a time the registered counter takes for response.

The counter to get the response time is set as follows:

  • Counter name: <User defined SQL counter name> + " response time"

  • Description for the counter: "The response time(msec) of " + <user defined SQL counter name>

[Note]

The SQL statements that can be used in this function have the following restrictions:

  • SQL statements that are described in the format based on the grammar of SQL Server Transact-SQL are supported.

  • They must be an SQL script that return one numeric value. The value of string type is not supported. When you run an SQL that returns multiple items (multiple rows, multiple columns), the SQL must retrieve the first values (the first row, the first column) as its result.

  • SQL other than the SELECT sentence cannot be described in SQL Script column.

[References]

Register user defined SQL as an SQL Server monitor counter

Define the monitored resource


Monitor SQL Server performance

Registered SQL Server monitored instances are added to the list of performance monitoring, and can be monitored with performance monitoring function.

Select the [Performance Monitor Setting] from right click menu on the [Performance Monitor] node in the Topology view, the [Performance Monitor Setting] window will appear and show the list of monitored resources (the monitored objects). Please confirm that registered SQL Server instances are added to that list.

An added, monitored object name is displayed in the form of "MSSQL (instance name)" using the registered instance name. When you check a check box left to a monitored object and click on the [OK] button, a node in the form of [MSSQL (instance name)] is added under the [Performance Monitor] node on the tree view.

When you have selected [Instance Setting] from the right-click menu on the added, monitored object node, the [Instance Setting] window is displayed.

When you check the check box left to the instance you will monitor and click on the [OK] button, the node for the instance you selected to be monitored is added under the monitored object node.

When you have selected [Counter Setting] from the right-click menu on the monitored instance node, the [Counter Setting] window is displayed.

When you check the check box left to the counter you will monitor and click on the [OK] button, monitoring on the counter you selected starts. Double-clicking on the monitored instance node displays the performance monitor window.

When you select [Counter Detail Setting] from the right-click menu on the [Counter] list in the lower section of the performance monitor window, you can configure detailed display settings and threshold value monitoring for the counter.

[References]

For more information on the monitored instances and monitored counters, refer to here.

For more information on defining the performance monitoring, refer to here.

You can perform the integrated monitoring of SQL Server performance from the summary view by setting the performance monitoring process.

[Reference]

Monitor with the SQL Server performance monitoring summary


Monitor with the SQL Server performance monitoring summary

When you select the [SQL Server] node from the Application Summary in the tree view, the summary view in the right pane displays an application summary.

The summary view is divided into [Application Summary], [Host Summary], and [Instance Summary] in the descending order of nodes, more comprehensive information is displayed in the higher summary and more detailed information is displayed in the lower summary.

[References]

Monitor the application summary

Monitor the host summary

Monitor the instance summary


Detailed description of SQL Server monitored counters

Busy CPU Time

The time (milliseconds) that CPU was BUSY state between the last two samples.

Idle CPU Time

The time (milliseconds) that CPU was IDLE state between the last two samples.

Session CPU Time

The sum total time (milliseconds) that CPU was BUSY and IDLE state between the last two samples.

I/O/sec

The number of I/O processings per second (the number of physical readings + physical writing). (The difference between the last two samples, divided by the duration of the interval.)

Physical Reads

The number of physical readings. (The difference between the last two samples, divided by the duration of the interval.)

Physical Reads/sec

The number of physical reading per second. (The difference between the last two samples, divided by the duration of the interval.)

Physical Writes

The number of physical writing. (The difference between the last two samples, divided by the duration of the interval.)

Physical Writes/sec

The number of physical writing per second. (The difference between the last two samples, divided by the duration of the interval.)

Packet Received

The number of packets that is read from the network between the last two samples.

Packet Sent

The number of packets that is written to the network between the last two samples.

DatafileSize

The current database size(MB) that is the sum total of the primary datafile, the seconday datafile and the transaction log file.

Total IndexSize

The sum total of the index use area(KB).

Total LogSize

The total size of all the log files in the database(MB).

Total LogUseSize

The total used size of all the log files in the database(MB).

Total Reserved

The sum total of the reserved pages(KB).

Total Reserved (MB)

The sum total of the reserved pages(MB).

Total UnusedSize

The sum total of the area(KB) which is reserved for the objects and is not used yet.

Total UseSize

The sum total of the data use area(KB).

Unallocated Space

The size of database(MB) that is not reserved for any objects.

UseRate(%)

The ratio of the sum total of the reserved area and used log area in the database.

Primary DatafileSize ... (*)

The primary datafile size(KB).

*: Primary DatafileSize counter is given for each primary data file of database, and the actual counter name is [filename of the primary data file without its extension].

Detailed description of SQL Server monitored counters

This section explains in detail the monitored counters that can be monitored by the SQL Server performance monitoring function. The monitored instances and monitored counters are common to SQL Server instances.

When you click on a monitored instance, the description of its counter will be displayed. When you click on the same instance again, the description will disappear.

[CPU]

[Disk]

[Network]

[Tablespace]

This section only describes the monitored counters specific to this product. This product also treats the objects about SQL Server as monitoring target that can be monitored with a Windows performance monitor. For more information on the monitored counters for these objects, refer to the help information on SQL Server. Note that if you want to monitor a 32-bit version of SQL Server running in the WOW64 environment under an agentless configuration, these objects cannot be monitored.

[Note]

  • Tablespace instance is a monitored instance for each database of SQL Server database, and the instance name is shown in the form of [Tablespace database name]. The counters are same for all Tablespace instances.

  • Removing the configured connection to an added monitored object will not automatically remove the object. Before removing the configured connection, remove its corresponding monitored object from Performance Monitoring.


Import the monitoring setting for SQL Server performance monitoring

This product includes definition files for the SQL Server performance monitoring function. Importing these definition files helps you to set items for monitoring SQL Server performance.

The following explains the steps for importing SQL Server performance monitoring definition data:

  1. Confirm that a desired host is set to be monitored
    Ensure that a host on which SQL Server is running is set as a target to be monitored. If the host is excluded from monitored objects, set it up as a target to be monitored by checking the check box left to the host name.

    For more information on these setting steps, refer to here.
    [Reference]
    Configure host settings

  2. Register the SQL Server monitored instance to the monitored objects
    To prepare for definition files to be imported, you must register the SQL Server instance to be monitored to the monitored objects for performance monitoring.
    For more information on the registration steps, refer to here.
    [Reference]
    Register the SQL Server instances

  3. Confirm that the specified instance has been registered to the monitored objects
    When you have registered the instance to the monitored objects, its corresponding monitored object is added in the [Performance Monitor Setting] window. Confirm that the object has been registered from the [Performance Monitor Setting] window. It is displayed in the form of "MSSQL (instance name)" using the registered instance name.
    For information on displaying the [Performance Monitor Setting] window, refer to here.

    [Note]
    At this point in time, do not check the monitored object that has been registered. It will be automatically checked when applying the definition file.

    [Reference]
    Define the monitored resource

  4. Import a definition file
    After you have edited a desired definition file, import it by using the function for importing agent definitions. Select the host node on which SQL Server is running from the Topology view and select [import] by right-clicking on the node.
    When the [Import Service] dialog has been displayed, click on the [Browse] button and specify the following folder:

    • The previous version than SQL Server 2012
      C:\Program Files\NEC\UMF\Operations\Svc\template\MSSQL

    • SQL Server 2012 or later
      C:\Program Files\NEC\UMF\Operations\Svc\template\MSSQL\2012

When you have specified the two folders, a window similar to the one shown below appears where you can select functions. When you have confirmed that the check box left to [Performance Monitor] is checked, click on the [OK] button.

When the [Import Setting] window has been displayed, set the SQL Server instance name to which you establish a connection. First, display the [Server Name Setting] window by double-clicking on the [Server Name] item.

When the [Server Name Setting] windows has been displayed, enter the name of the instance in [Server Name] that you registered to the monitored objects.

[Note]
When you specify the server name, you must use the same type of characters (the same case sensitivity) as that of the instance name that you specified when you established a connection to the SQL Server monitored instance.
In case of a default instance, enter the host name of SQL Server. In case of a named instance , enter "host name\instance name".

When you click on the [OK] button in the [Sever Name Setting] window, you return to the [Import Setting] window. Once the settings are reflected, proceed to open the [Instance Name Setting] window by double-clicking on the [Instance Name] item.

When the [Instance Name Setting] window has been displayed, enter the name of the object in [Instance Name] that you have defined for SQL Server. The default value is "SQLServer (default instance)". If it is a named instance, enter "MSSQL$<installation name>". The installation name must be upper case.

If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking on the [Logging option] item.

When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (which means I want to save the history) in [Logging option]. The default value of [Logging option] is "0" (which means I do not want to save the history).

When you click on the [OK] button, you return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click on the [OK] button. The definition file is read and items in the file are reflected to this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • Please think the threshold set with the watch template to be a reference value. Because a proper value is different according to the system, it is necessary to verify the threshold with the system that uses it.

[Reference]

Import the definition for monitored agents


Import knowledge file for SQL Server performance monitoring

A knowledge file for monitoring messages output by SQL Server performance monitoring is bundled to this product. Import of this knowledge file facilitates defining message filters for monitoring errors and warning messages in SQL Server performance monitoring.

See here, for the import procedures.

The knowledge file for SQL Server performance monitoring is as follows.

C:\Program Files\NEC\UMF\Operations\Svc\knowledge\ApplicationNavigator\MSSQLPerformanceCounter.txt

[Reference]

Import the knowledge file


Define SQL Server Services monitoring

SQL Server services are monitored as a part of SQL Server monitoring. SQL Server services are monitored by using the Windows service monitoring function.

From the Windows service monitoring function, you must define the following services to be monitored. For more information on defining the services, refer to here.

Types of Instances | Monitored Service | SQL Server Process
Default instance | SQL Server (MSSQLSERVER) | sqlservr.exe
Named instance | SQL Server (<Instance name>) | sqlservr.exe

[Note]

The number of "MSSQL$<instance name>" services and the number of "SQL Server (<instance name>)" services that exist in the system are equal to the number of installed named instances.

[Reference]

About Windows service monitoring


SQL Server monitoring timeout settings

However, depending on the SQL Server load, it takes time to collect performance, and sometimes causes a delay in response from SQL Server.

By using the two types of timeout settings provided by the SQL Server monitoring function, you can detect slowdown of SQL Server response, and even when a response of specific query is slow, continue monitoring.

Timeout message output can be turned on or off by adding some setting on the configuration file. For more detailed information about timeout messages, refer to "Messages Agent/Manager outputs."

To perform parameter settings edit the CollectorMSSQL.ini file.

  • Location of CollectorMSSQL.ini
    C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorMSSQL.ini
    If the file does not exist, create a new file and save them in UTF-16LE (with BOM).

Monitoring timeout skip settings

Monitoring will be skipped for that interval if timeout value is set and the time it took for performance collection exceed the limit. If monitoring is skipped, collection is not performed until the next monitoring interval. Monitoring will be retried in the next monitoring interval.

If monitoring is skipped, new thread will be internally started for a new monitoring in the next interval. The maximum number of threads to be started can be specified in the setting shown below.

If the next monitoring interval time is reached during performance collection, monitoring for that interval will be skipped.

Depending on the load, timeout and skip may occur frequently. In such cases, change the parameters at monitoring timeout skip settings.

Section | Key | Overview | Specifiable range
Config | MonitoringTimeout | Sets the performance collection timeout. Specify the value lower than monitoring interval time of the performance collection. For the environment that takes time to respond, it is possible to reduce the frequency of the recovering behavior by specifying the high value. | 1-1000[seconds] 0: No timeout (default)
 | MonitoringTimeoutMessage | Controls the output of message (00410322) when monitoring timeout occurred. (MonitoringTimout exceeded). | 0: No output 1: Output (default)
 | SkipMessage | Controls the output of message (00410320) when monitoring is skipped. | 0: No output 1: Output (default)

(Example setting)

Monitoring timeout is set to 60 seconds, and message output enabled for each event:

[Config]

MonitoringTimeout=60

MonitoringTimeoutMessage=1

Collection timeout settings

During performance collection from SQL Server, multiple queries are issued to SQL Server by one monitoring. If the response time for queries exceeds the set timeout value, then interrupts the monitoring, and the counter status will be changed to unknown (PERFUNKNOWN).

Section | Key | Overview | Specifiable range
Config | CollectingTimeout | Sets the collecting timeout value of the query. Specify the value lower than MonitoringTimeout value. | 1-30[milliseconds] (default: 15)
 | CollectingTimeoutMessage | Controls the output of message (00410321) when collecting timeout of the query occurred. (CollectiongTimout exceeded). | 0: No output 1: Output (default)

(Example setting)

Collecting timeout is set to 30 seconds, and Message output enabled for each event:

[Config]

CollectingTimeout=30

CollectingTimeoutMessage=1

Connection timeout settings

It is possible to change the connection timeout time to SQL Server.

Section | Key | Overview | Specifiable range
Config | ConnectionTimeout | Sets the connection timeout value to SQL Server. | 1-60[millisecounds] (default: 5)

(Example setting)

Connection timeout is set to 10:

[Config]

ConnectionTimeout=10

[Note]

  • The parameter values changed will take effect after the agent is restarted.


Change the number of threads for monitoring SQL Server

When one agent monitors multiple instances, the monitoring performance of the agent may deteriorate as the number of the monitored instances increases. When the monitoring performance deteriorates, the performance collection activity cannot be completed within the monitoring interval, resulting in the generation of a monitoring timeout.

If the monitoring timeout frequently occurs, you can improve the monitoring performance by increasing the number of monitoring threads.

To perform parameter settings edit the CollectorMSSQL.ini file.

  • Location of CollectorMSSQL.ini
    C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorMSSQL.ini
    If the file does not exist, create a new file and save them in UTF-16LE (with BOM).

Section | Key | Overview | Specifiable range
Config | CollectingThreads | Specify the number of collecting threads. | Specify the number of collecting threads.
 | MaxThreads | Sets the maximum number of threads which can be used for SQL Server monitoring functions. | Positive integer (default: 10) 0: No limit
 | MaxRecoveryThreads | The maximum number of recovery attempts for each instance. | 1-5 (default: 3) 0: No recovery attempt
 | MaxThreadsExcessMessage | Controls the output of message (00410323) when the maximum number of threads has exceeded MaxThreads limit. It is necessary to restart the agent for recovery because the agent is using a maximum available resource when this message was output. | 0: No output 1: Output (default)

(Example setting)

When setting the number of collecting threads to 5 and the maximum number of threads to 10, and outputting the message when the maximum number of threads is exceeded:

[Config]

CollectingThreads=5

MaxThreads=10

MaxThreadsExcessMessage=1

[Note]

  • The changed number of monitoring thread will take effect after restarting the agent.

  • Increasing the number of monitoring threads also will increase the usage of memory. Set the best value, considering your environment.


About WebLogic Server monitoring

The WebLogic Server monitoring functionality of this product provides the functions for monitoring and querying the operating status of WebLogic Server and the state of WebLogic Server services that are running on an agent. The operating status information can be visualized as a graph, output to a file in CSV format and processed in other ways by using the performance monitoring function.

The WebLogic Server monitoring functionality includes the following functions:

  • Performance monitoring
    Connected to WebLogic Server instance and the following items are monitored using T3 protocol.

    • The number of sessions, the number of sockets, memory usage, and the number of running transactions
    • The numbers of used and unused threads
    • The number of JDBC connections and the number of suspended JDBC connections
    • The number of JMS messages
    • Execute queue (8.1 thread pool model)

    You must set up "resources," "instances," and "counters" to perform monitoring operations with the WebLogic Server monitoring functionality of this product. Resource, instance, and counter are defined as terms that have the following meanings:

    [Resource]
    Refers to an object whose performance is monitored. In this functionality, it refers to a WebLogic Server example.

    [Instance]
    Refers to one of the units into which a resource is further classified. In this functionality, it refers to an entity such as VM running on a WebLogic Server.

    [Counter]
    Refers to performance monitoring information retrieved on the various sections of a system in question about a specified resource and a specified instance. In this functionality, it points to an entity such as memory usage of a WebLogic Server.

  • Monitored data collection function
    Monitors information on a specified WebLogic Server resource. The collected data is managed centrally and displayed through the performance monitoring function by a manager. An operator will be informed when the performance status indicates an error or other by some means such as the color change of a related node(s) or voice.
    [References]
    Set the monitored hosts for WebLogic Server performance
    Register the WebLogic Server servers
    Configure the connection settings for the WebLogic Server instance
    About performance monitoring

  • Threshold monitor function
    Monitors threshold values for specified resources in WebLogic Server.
    [References]
    Define the detailed settings of the monitored counter (threshold settings)

  • Logging function
    Logs resource data that has been retrieved on the side of an agent within the agent. Logged information can be referenced and output to a file in CSV format on a monitoring terminal.
    [References]
    Output history data as a file

  • Reporting function
    Performs Patlite and e-mail reporting to alert operators when the status of a specified resource or process has changed.
    [References]
    Define the detailed settings of the monitored counter (threshold settings)

[Supported versions]

  • For information on WebLogic Server and Java versions supported by this product, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media.


Preparations for WebLogic Server performance monitoring

Preparation

  • Installation directory
    SystemManager G uses WebLogic Server JAR files to operate. Check the WebLogic Server installation directory.

  • Protocols, channels
    SystemManager G uses a T3 protocol to connect to the WebLogic server. Check that the WebLogic server's listen address, ort, and channel are enabled for access inside the agent host.

  • Management user name, password
    SystemManager G uses management user for connection. Check the user name and password beforehand.

  • Java execution environment (32-bit/64-bit)
    A Java Runtime Environment compatible with the architecture to be used and the operating mode is required. If the required Java Runtime Environment does not exist, install it.
    For a Windows agent and remote monitor agent, add the path of <installation directory of Java Runtime Environment to be used>/bin to the environment variable PATH.

Environment setting after installing SystemManager G

To use the WebLogic Server monitoring function, you must edit the definition file on an SystemManager G agent after installing this product.

  • Setting of operating mode for application monitoring
    Changing the operating mode

  • Setting for Java and WebLogic Server domains

[Windows agent]

    • Definition file to be edited

      C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorWebLogic.ini

    • Editing example:

      [Java]

      JAVA_HOME=C:\Program Files\Java\jdk1.8.0_92\jre

      [JVMOption]

      JVMOptionNo=2

      JVMOption001=-Djava.class.path=C:\Oracle\Middleware\wlserver_12.1\server\lib\weblogic.jar;C:\Oracle\Middleware\wlserver_12.1\server\lib\wljmxclient.jar

      JVMOption002=-Xrs

      [Domain]

      DomainPath=C:\Oracle\Middleware\user_projects\domains\base_domain;C:\Oracle\Middleware\user_projects\domains\sub_domain

      [Java] section (essential section)

      For JAVA_HOME, specify the directory of the Java executing environment. Specify as far as the jre directory.

      For 32-bit mode, specify the directory where the 32-bit version JRE is located for JAVA_HOME. For 64-bit mode, specify the directory where the 64-bit version JRE is located for JAVA_HOME.
      Ensure that you only specify a Java version in the range of versions supported by WebLogic Version.

      [JVMOption] section (essential section)

      Use JVMOptionNo=2 without changing it.

      For JVMOption001=-Djava.class.path=, describe the following 2 paths without inserting line feed characters, and use a semicolon (;) as the delimiter.

      <WebLogic Server installation directory>\server\lib\weblogic.jar

      <WebLogic Server installation directory>\server\lib\wljmxclient.jar
      Use JVMOption002=-Xrs, without changing it.

      [Domain] section (it is necessary when using detecting of servers)

      For DomainPath, specify the paths where WebLogic Server domains exist. These paths are used for detecting of servers. When there are two or more domains, describe them using semicolon (;) as the delimiter.

[UNIX agent]

    • Definition file to be edited

      /opt/UMF/Operations/Agent/sg/CollectorWebLogic.ini

    • Editing example:

      [Java]

      JAVA_HOME=/opt/java1.8/jre

      [JVMOption]

      JVMOptionNo=2

      JVMOption001=-Djava.class.path=/u01/app/oracle/Middleware/wlserver_12.1/server/lib/weblogic.jar:/u01/app/oracle/Middleware/wlserver_12.1/server/lib/wljmxclient.jar

      JVMOption002=-Xrs

      [Domain]

      DomainPath=/u01/app/oracle/Middleware/user_projects/domains/base_domain:/u01/app/oracle/Middleware/user_projects/domains/sub_domain

      [Java] section (essential section)

      For JAVA_HOME, specify the directory of the Java executing environment. Specify up to the jre directory.

      For 32-bit mode, specify the directory where the 32-bit version JRE is located for JAVA_HOME. For 64-bit mode, specify the directory where the 64-bit version JRE is located for JAVA_HOME.
      Ensure that you only specify a Java version in the range of versions supported by WebLogic Version.

      [JVMOption] section (essential section)

      Use JVMOptionNo=2 without changing it.

      For JVMOption001=-Djava.class.path=, describe the following 2 paths without inserting line feed characters, and use colon (:) as the delimiter.

      <WebLogic Server installation directory>\server\lib\weblogic.jar

      <WebLogic Server installation directory>\server\lib\wljmxclient.jar

      Use JVMOption002=-Xrs, without changing it.

      If you want to use IBM Java 5 in the AIX agent,
      add JVMOption003=-Djp.nec.websam.appnavi.JavaVersion=1.5.
      And, rewrite JVMOptionNo=2 to JVMOptionNo=3.

      [Domain] section (it is necessary when using detecting of servers)

      For DomainPath, specify the paths where WebLogic Server domains exist. These paths are used for detecting of servers.
      In the server automatic detection, the subordinate of the specified path is recurrently referred. When there are two or more domains, describe them using colon (:) as the delimiter.

Restart the Windows version or UNIX version of the SystemManager G agent after you have edited the corresponding definition file.

[Note]

If your directory structure is different from the examples described above, rewrite them to reflect the actual environment.

  • Tuning of WebLogic Server monitoring
    Set a timeout for WebLogic Server monitoring
    Change the number of threads for monitoring WebLogic Server

[References]

Start and Stop of the manager/agent function


Set the monitored hosts for WebLogic Server performance

If you are running a larger number of agents than the number of licenses for the WebLogic Server performance monitoring function you have purchased, you must select the appropriate number of agent hosts on which you will monitor WebLogic Server.

Refer to Configure host settings, for the configuration method.


Register the WebLogic Server instances

Register the WebLogic Server servers

This operation must be executed after shifting into the Configuration mode.

To monitor the performance of a WebLogic Server, you must register connection information on the WebLogic Server servers.

Right-click on the agent node to which the WebLogic Server has been installed and select [WebLogic Server] from the displayed [Edit Application Management Instance] menu. The [WebLogicServerMonitor - Server Setting] dialog will be displayed with a list of WebLogic Server monitored servers that have been registered.

  • Server ID
    Displays the server ID that have been registered.

  • Server Name
    Displays the connected server name that have been registered.

  • Port Number
    Displays the port number that have been registered.

  • Description
    Displays the description of a server in the list.

  • [Add] button
    Clicking on this button will display the [Add Server] dialog and enable you to add a new monitored server.

  • [Edit] button
    Clicking on this button will display the [Edit Server] dialog and enable you to set a selected monitored server.

  • [Delete] button
    Clicking on this button will delete a selected monitored server.

    [Note]
    When this server is deleted with the monitor resource defined in the performance monitor, the performance monitor might not be able to be done normally. Please delete server on this dialog after deleting the monitor resource.

  • [Detect] button
    Clicking on this button will detect all WebLogic servers automatically, and add them to the WebLogic server list.

    [Note]

    • About WebLogic servers detected by [Detect] button, some connection information are not set yet. Please set them from "Server setting" dialog after detection.
      If you press the [OK] button without setting for detected servers, then them will be deleted from the server list automatically
    • This function cannot be used on older than Ver.3.0 agents (This button is disable).

  • [OK] button
    Clicking on this button will establish a connection to a set server and close the dialog. When a connection to a set server has successfully been established, the server is added to the objects to be monitored by the performance monitoring function.

    [Note]
    If a host is not set up as a WebLogic Server monitored host, a connection to its server cannot be established.

  • [Cancel] button
    Clicking on this button will cancel changes to the settings and close the dialog.

Once a server has been registered, its corresponding node is automatically added under the Application Summary.

Also, to open the [WebLogicServerMonitor - Server Setting] dialog, select the [Edit Instance] from right click menu of the [ApplicationSummary] - [WebLogicServer] - [Host] node.

[References]

Set the monitored hosts for WebLogic Server performance

Configure the connection settings for the WebLogic Server instance


Configure the connection settings for the WebLogic Server instance

Configure the connection settings for the WebLogic Server

This operation must be executed after shifting into the Configuration mode.

To monitor the performance of WebLogic, you must register connection information on the WebLogic servers.

You must set up a server from the [Add Server] and [Edit Server] dialogs.

To display the [Add Server] and [Edit Server] dialogs, the following methods are provided:

  1. Click on the [Add] button in the [WebLogicServerMonitor - Server Setting] dialog.

  2. Select a desired registered server and click on the [Edit] button in the [WebLogicServerMonitor - Server Setting] dialog.

  3. Double-click on a desired registered server in the [WebLogicServerMonitor - Server Setting] dialog.

  • Server ID
    Specify the arbitrary ID that identifies this WebLogic server, within a maximum of 64 characters (single-byte alphanumeric characters only). The Server ID is displayed in the form of "WebLogic (Server ID)" in he [Edit Performance Monitoring] window. The server ID must be specified. It cannot be changed from the [Edit Server] dialog.

  • Server Name
    Specify the WebLogic server name to which you will establish a connection. The server name must be specified.

  • Host Name
    Specify the host name or IP address of listen address for WebLogic server. If possible, "localhost" is recommended. SystemManager G communicates by the T3 protocol. The T3 protocol of listen address should be effective. The host name must be specified.

  • Port Number
    Specify a normal (non-SSL) termination port number in the range of 1 to 65535 for the server. The port number must be specified.

  • User Name
    Set the username to be used when establishing a connection to WebLogic Server.

  • Password
    Set the password to be used when establishing a connection to WebLogic Server, with a maximum of 30 one-byte alphanumeric characters.

  • Description
    Describe the instance, with a maximum of 255 characters. This description is optional.

[Note]

  • Semicolons (;) cannot be used for input items except for the description field.

  • For Windows agents, AUX, COM1 to COM9, CON, LPT1 to LPT9, NUL, PRN cannot be used for the server ID of the WebLogic Server.

  • Depending on WebLogic Server settings, the user account may be locked if connection fails due to the wrong password. As a result, connection to the WebLogic Server will be disabled for a certain period of time. For details, refer to the WebLogic Server manual.

[References]

Set the monitored hosts for WebLogic Server performance

Register the WebLogic Server servers


Monitor WebLogic Server performance

Registered WebLogic Server monitored servers are added to a list of monitored objects for performance monitoring, and can be monitored with the performance monitoring function.

When you select [Performance Monitor Setting] from the right-click menu on the [Performance Monitor] node in the Topology view, the [Performance Monitoring Setting] window appears and shows the list of resources that can be monitored (monitored objects). Please confirm that registered WebLogic Server servers are added to that list.

An added monitored object name is displayed in the form of "WebLogic (Server ID)," using the registered server ID. When you place a checkmark in the check box to the left of a monitored object and click on the [OK] button, a node in the form of [WebLogic (Server ID)] is added under the [Performance Monitor] node in the tree view.

When you have selected [Server Setting] from the right-click menu on the added monitored object node, the [Instance Setting] window is displayed.

When you place a checkmark in the check box to the left of the instance you will monitor and click on the [OK] button, the node for the instance you selected to be monitored is added under the monitored object node.

When you have selected [Counter Setting] from the right-click menu on the monitored instance node, the [Counter Setting] window is displayed.

When you place a checkmark in the check box to the left of the counter you will monitor and click on the [OK] button, monitoring on the counter you selected starts. Double-clicking on the monitored instance node displays the performance monitor window.

When you select [Counter Detail Setting] from the right-click menu on the [Counter] list in the lower section of the performance monitor window, you can configure detailed display settings and threshold value monitoring for the counter.

[References]

For more information on the monitored instances and monitored counters, refer to here.

For more information on defining performance monitoring, refer to here.

You can perform integrated monitoring of WebLogic Server performance from the summary view by setting the performance monitoring process.

[References]

Monitor with the WebLogic Server performance monitoring summary


Monitor with the WebLogic Server performance monitoring summary

When you select the [WebLogic Server] node from the Application Summary in the tree view, the summary view in the right pane displays an application summary.

The summary view is divided into [Application Summary], [Host Summary], and [Instance Summary] in descending order of nodes, with more comprehensive information displayed in the higher summary and more detailed information displayed in the lower summary.

[References]

View the application summary

View the host summary

View the instance summary


Detailed description of WebLogic Server monitored counters

ExecuteThreadCurrentIdleCount

The number of idle threads assigned to the queue.

PendingRequestCurrentCount

The number of waiting requests in the queue.

ActiveConnectionsCurrentCount

The number of connections currently in use by applications.

ConnectionDelayTime

The average amount of time, in milliseconds, that it takes to create a physical connection to the database.

ConnectionLeakedRate(%)

The ratio of time, that the leaked connection is reserved from the data source but was not returned to the data source by calling close()

FailuretoReconnectCount

The number of times that the data source attempted to refresh a database connection and failed.

PrepStmtCacheAddCount

The cumulative, running count of the number of statements added to the statement cache.

PrepStmtCacheDeleteCount

The cumulative, running count of statements discarded from the cache.

PrepStmtCacheHitCount

The cumulative, running count of the number of times that statements from the cache were used.

PrepStmtCacheMissCount

The number of times that a statement request could not be satisfied with a statement from the cache.

WaitHighCount

The longest connection reserve wait time in seconds.

WaitingForConnectionCurrentCount

The number of connection requests waiting for a database connection.

BytesCurrentCount

The size (in kilobytes) of message of transmission object registered in JMS server.

BytesPendingCount

The size (in kilobytes) of message of transmission reservation object registered in JMS server.

BytesReceivedCount

The size (in kilobytes) of message received to JMS server.

ConnectionsCurrentCount

The current number of connections to WebLogic Server server.

DestinationsHighCount

The peak number of destinations on this JMS server since the last reset.

MessagesCurrentCount

The current number of messages stored on this JMS server. This number does not include the pending messages.

MessagesPendingCount

The current number of messages pending (unacknowledged or uncommitted) stored on this JMS server. Pending messages are over and above the current number of messages.

ActiveTransactionsTotalCount

The number of active transactions on the server.

RolledBackAppCount

The number of transactions that were rolled back due to an application error.

RolledBackResourceCount

The number of transactions that were rolled back due to a resource error.

RolledBackSystemCount

The number of transactions that were rolled back due to an internal system error.

RolledBackTimeoutCount

The number of transactions that were rolled back due to a timeout expiration.

TransactionCommitAveTime

The total number of seconds that transactions were active for all committed transactions.

TransactionCommitRate(%)

Ratio of committing transaction.

TransactionHeuristicsRate(%)

Ratio of heuristic transaction.

TransactionsRollBackRate(%)

Ratio of rollback of transaction.

HeapFreeCurrent

The current amount of memory (in bytes) that is available in the JVM heap.

HeapSizeCurrent

The current size (in bytes) of the JVM heap.

HeapSizeMax

The maximum free memory configured for this JVM.

HeapSizeRate(%)

The rate of JVM heap.

ExecutionTimeAverage

Provides the average amount of time all invocations of the servlet have executed since created.

ExecutionTimeHigh

Provides the amount of time the single longest invocation of the servlet has executed since created.

ExecutionTimeLow

Provides the amount of time the single shortest invocation of the servlet has executed since created. Note that for the CounterMonitor, the difference option must be used.

InvocationTotalCount

Provides a total count of the times this servlet has been invoked.

ReloadTotalCount

Provides a total count of the number of times this servlet has been reloaded.

DeferredRequests

Number of requests that are denied a thread for execution because the constraint is exceeded.

ExecuteThreadIdleCount

The number of idle threads in the pool. This count does not include standby threads and stuck threads. The count indicates threads that are ready to pick up new work when it arrives.

ExecuteThreadIdleRate(%) ... (*1)

The rate of idle threads in the pool.

ExecuteThreads ... (*2)

The number of all threads in the pool.

ExecuteThreadTotalCount

The total number of threads in the pool.

ExecutingRequests

Number of requests that are currently executing.

HoggingThreadCount

Returns the threads that are being hogged by a request right now. These threads will either be declared as stuck after the configured timeout or will return to the pool before that. The self-tuning mechanism will backfill if necessary.

PendingUserRequestCount

The number of pending user requests in the priority queue. The priority queue contains requests from internal subsystems and users. This is just the count of all user requests.

QueueLength

The number of pending requests in the priority queue. This is the total of internal system requests and user requests.

StandbyThreadCount

Returns the number of threads in the standby pool. Surplus threads that are not needed to handle the present work load are designated as standby and added to the standby pool. These threads are activated when more threads are needed.

Throughput

The mean number of requests completed per second.

*1:The value of ExecuteThreadIdleRate(%) is calculated by the following calculating formula.

ExecuteThreadIdleCount / (ExecuteThreadTotalCount - StandbyThreadCount) * 100

*2: The value of ExecuteThreads is calculated by the following calculating formula.

ExecuteThreadTotalCount - (StandbyThreadCount + ExecuteThreadIdleCount)

OpenSessionsCurrentCount

Provides a count of the current total number of open sessions in this module. Returns the current total number of open sessions in this component.

OpenSocketsCurrentCount

The current number of sockets registered for socket muxing on this server.

PendingRequests

The number of waiting requests in the queue.

State

The current life cycle state of this server.(1:RUNNING / 0:NOT RUNNING)

Detailed description of WebLogic Server monitored counters

This section explains in detail the monitored counters that can be monitored by the WebLogic Server performance monitoring function. The monitored instances and monitored counters are common to WebLogic Server instances.

When you click on a monitored instance, the description of its counter will be displayed. When you click on the same instance again, the description will disappear.

[ExecuteQueue]

[JDBC]

[JMS]

[JTA]

[JVM]

[Servlet]

[Thread]

[WebServer]

[Note]

  • An instance name for JDBC is represented by prefixing the JDBC connection pool name with "JDBC", it is shown in the form of [JDBC <JDBC CONNECTION POOL NAME>]. JDBC connection pool names are retrieved from WebLogic Server.

  • An instance name for JMS is represented by prefixing the JMS server name with "JMS", it is shown in the form of [JMS [JMS server name]]. JMS server names are retrieved from WebLogic Server.

  • When monitor the counters of Servelet instance, the performance often goes down. So take enough long time for the monitoring interval.

  • ExecuteQueue instances are available only when a monitored server instance is one of the 8.1 thread pool model.

  • An ExecuteQueue instance is a monitored instance for each WeblogicServer executable queue, and its instance name is displayed in the form of [ExecuteQueue queue name]. The counters are common to all ExecuteQueue instances.

  • Thread instances are not available when a monitored server instance is one of the 8.1 thread pool model.

  • Removing the configured connection to an added monitored object will not automatically remove the object. Before removing the configured connection, remove its corresponding monitored object from Performance Monitoring.

  • In a multi-tenant environment, only domain level resources (whose scope is global) can be monitored. Resources belonging to domain partitions cannot be monitored.


Import the monitoring setting for WebLogic Server performance monitoring

This product includes definition files for the WebLogic Server performance monitoring function. Importing these definition files helps you set items for monitoring WebLogic Server performance.

The following explains the steps for importing the WebLogic Server performance monitoring definition data:

  1. Confirm that a desired host is set to be monitored
    Ensure that a host on which WebLogic Server is running is set as a target to be monitored. If the host is excluded from monitored objects, set it up as a target to be monitored by placing a checkmark in the check box to the left of the host name.

    For more information on these setting steps, refer to here.
    [References]
    Configure host settings

  2. Register the WebLogic Server server
    To prepare for definition files to be imported, you must register the WebLogic Server server to be monitored as a monitored object for performance monitoring.
    For more information on the registration steps, refer to here.
    [References]
    Register the WebLogic Server servers

  3. Confirm that the specified instance has been registered as a monitored object
    When you have registered the instance as a monitored object, its corresponding monitored object is added to the [Performance Monitor Setting] window. Confirm that the object has been registered from the [Performance Monitor Setting] window. It is displayed in the form of "WebLogic (Server ID)," using the registered server ID.
    For information on displaying the [Performance Monitor Setting] window, refer to here.

    [Note]
    At this point in time, do not check the monitored object that has been registered. It will be automatically checked when applying the definition file.

    [References]
    Define the monitored resource

  4. Import a definition file
    After you have edited a desired definition file, import it by using the function for importing agent definitions. Select the host node on which WebLogic Server is running from the Topology view and select [import] by right-clicking on the node.
    When the [Import Service] dialog has been displayed, click on the [Browse] button and specify the following folder:

    C:\Program Files\NEC\UMF\Operations\SVC\template\WebLogic

    When you have specified the folder, a window similar to the one shown below appears where you can select functions. When you have confirmed that the check box to the left of [Performance Monitor] has a checkmark, click on the [OK] button.

    When the [Import Setting] window has been displayed, set the server ID of WebLogic Server to which you will establish a connection. Display the [Server ID Setting] window by double-clicking on the [Server ID] item.

    The default value of [Server ID] is "examplesServer" for WebLogic Server 9.2 or 10.0, and "AdminServer" for the later versions.

    [Note]
    Specify the server ID by using exactly the same server ID that you specified when you established a connection to the WebLogic Server monitored server (note that server IDs are case-sensitive).

    If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking on the [Logging option] item.

    When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (which means I want to save the history) in [Logging option]. The default value of [Logging option] is "0" (which means I do not want to save the history).

    When you click on the [OK] button, you return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click on the [OK] button. The definition file is read and items in the file are reflected to this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • Please think the threshold set with the watch template to be a reference value. Because a proper value is different according to the system, it is necessary to verify the threshold with the system that uses it.

[References]

Import the definition for monitored agents


Import knowledge file for WebLogic Server performance monitoring

A knowledge file for monitoring messages output by WebLogic Server performance monitoring is bundled to this product. Import of this knowledge file facilitates defining message filters for monitoring errors and warning messages in WebLogic Server performance monitoring.

See here, for the import procedures.

The knowledge file for WebLogic Server performance monitoring is as follows.

C:\Program Files\NEC\UMF\Operations\Svc\knowledge\ApplicationNavigator\WebLogicPerformanceCounter.txt

[Reference]

Import the knowledge file


Set a timeout for WebLogic Server monitoring

The WebLogic Server Monitoring functions may take some time to monitor the operating status of a monitored WebLogic Server system, depending how the system is loaded.

If the monitoring operations have not been completed within the interval before the next one comes, the monitoring functions omit monitoring activities in the particular interval.

In addition, each of the monitoring functions sets its own timeout, it discontinues its monitoring activities when the timeout is exceeded. When the monitoring activities are discontinued, collection is not performed until the next monitoring interval. Each retries to resume monitoring in the next monitoring interval.

Depending on the environment, skip and timeout may occur frequently. In such cases, change the parameters at monitoring timeout skip settings.

Note that you can generate a message when a skip event or timeout event occurs by setting an appropriate parameter. For details about theses messages, refer to "Messages Agent/Manager outputs."

Set a relevant parameter(s) by editing the CollectorWebLogic.ini file.

  • Location for the CollectorWebLogic.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorWebLogic.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorWebLogic.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | Key | Overview | Secifiable range
Config | MonitoringTimeout | Sets the performance collection timeout. Specify the value lower than monitoring interval time of the performance collection. For the environment that takes time to respond, it is possible to reduce the frequency of the recovering behavior by specifying the high value. | 1-1000 [in seconds] 0: No timeout (default)
 | MonitoringTimeoutMessage | Controls the output of message (00410420) when monitoring timeout occurred. (MonitoringTimout exceeded). | 0: No output 1: Output (default)
 | SkipMessage | Controls the output of message (00410421) when monitoring is skipped. | 0: No output 1: Output (default)

(Setting example)

When setting the monitoring timeout to 60 seconds and outputting a message when it occurs:

[Config]

MonitoringTimeout=60

MonitoringTimeoutMessage=1

[Note]

  • The changed value of each parameter will take effect after restarting the agent.


Change the number of threads for monitoring WebLogic Server

When one agent monitors multiple instances, the monitoring performance of the agent may deteriorate as the number of the monitored instances increases. When the monitoring performance deteriorates, the performance collection activity cannot be completed within the monitoring interval, resulting in the generation of a monitoring timeout.

If the monitoring timeout frequently occurs, you can improve the monitoring performance by increasing the number of monitoring threads.

Set a relevant parameter(s) by editing the CollectorWebLogic.ini file.

  • Location for the CollectorWebLogic.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorWebLogic.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorWebLogic.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | Key | Overview | Specifiable range
Config | CollectingThreads | Specify the number of collecting threads | 1-10 (default: 5)
 | MaxThreads | Set the maximum number of threads available to the entire WebLogic Server monitoring functions. | Positive integer (default: 10) 0: No limit
 | MaxRecoveryThreads | The maximum number of recovery attempts for each instance. | 0-5 (default: 3) 0: No recovery attempt
 | MaxThreadsExcessMessage | Control output of the message (00410422) when the maximum number of monitoring threads (MaxThreads) is exceeded. When this message is output, it means that the agent uses its available resources to the maximum extent, so that you must restart the agent to restore it. | 0: No output 1: Output (default)

(Setting example)

When setting the number of collecting threads to 5 and the maximum number of threads to 10, and outputting the message when the maximum number of threads is exceeded:

[Config]

CollectingThreads=5

MaxThreads=10

MaxThreadsExcessMessage=1

[Note]

  • The changed number of monitoring thread will take effect after restarting the agent.

  • Increasing the number of monitoring threads also will increase the usage of memory. Set the best value, considering your environment.


About Apache monitoring

The Apache monitoring functionality of this product provides the functions for monitoring and querying the operating status of the Apache HTTP Servers (hereinafter, "Apache") and the state of their services running on an agent. The performance can be monitored by viewing graphs and output CSV format files with the performance monitoring function.

The Apache monitoring functionality includes the following functions:

  • Performance monitoring
    Connected to a Apache server and the following items are monitored using HTTP protocol.

    • Operating status of the servers
    • Health check on Web pages (response monitoring)

    You must set up "resources," "instances," and "counters" to perform monitoring operations in the Apache monitoring functionality of this product. These terms are defined as follows:

    [Resource]
    It refers to an object whose performance is monitored. In this functionality, it refers to an Apache server.

    [Instance]
    It refers to one of the units into which a resource is further classified. In this functionality, it refers to the state of the Apache server and a group of counters to be used to monitor responses.

    [Counter]
    It refers to performance monitoring information retrieved on the various sections of a system in question concerning a specified resource and a specified instance. In this functionality, it points to an entity such as the state of access to an Apache server.

  • Monitored data collection function
    Monitors resource information on the specified Apache. The collected data is managed centrally and displayed through the performance monitoring function by the manager. An operator will be notified via some means such as a node color change and sounds when the performance state indicates a failure.
    [References]
    Set the monitored hosts for Apache performance
    Register the Apache servers
    Configure the connection settings for the Apache server
    About performance monitoring

  • Threshold monitoring function
    Monitors a threshold value(s) for a specified Apache resource(s)
    [Reference]
    Define the detailed settings of the monitored counter (threshold settings)

  • Logging function
    Logs resource data that has been retrieved on the side of an agent within the agent. The logged data can be referred to and output as a CSV file on the monitor terminal.
    [Reference]
    Output history data as a file

  • Reporting function
    Performs Patlite and e-mail reporting to alert operators when the state of a specified resource or process has changed.
    [Reference]
    Define the detailed settings of the monitored counter (threshold settings)

[Supported versions]

  • For information on Apache versions supported by this product, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media..

[Note]

  • Users must not apply the monitoring functionality to Web servers other than Apache HTTP Servers.

  • Users cannot establish a connection to an Apache server through a proxy server.

  • The monitoring functionality does not support HTTP authentication processes. Configure settings so that a connection to the Apache server can be established without such authentication.

  • The monitoring functionality does not support HTTPS (SSL communication).


Preparations for Apache performance monitoring

Preparation

Before an Apache can be monitored, the Apache must be able to be directly connected to SystemManager G through the HTTP protocol and the server-status handler must be enabled for use in the server.

Do the setting necessary for the monitor as follows. Release the comment on the corresponding line because mod_status is not built by default.

Files to be edited

<Apache installation directory>/conf/httpd.conf

<Apache installation directory>/conf/extra/httpd-info.conf

  • Be effective for the loading setting of mod_status module (httpd.conf)

    LoadModule status_module modules/mod_status.so

    Make it when mod_status.so does not exist.

  • Be effective for the loading setting of mod_access_compat module in the case of Apache 2.4 (httpd.conf)

    LoadModule access_compat_module modules/mod_access_compat.so

    Make it when mod_access_compat.so does not exist.

  • Be effective for the using setting of httpd-info.conf (httpd.conf)

    # Real-time info on requests and configuration

    Include conf/extra/httpd-info.conf

  • Set the use permission of the server-status handler (httpd-info.conf)

    <Location /server-status>

    SetHandler server-status

    Order deny,allow

    Deny from all

    Allow from 127.0.0.1

    </Location>

    At "Allow from" part, describe "127.0.0.1" or description that can be accessed from own server.

  • Be effective for the enhanced function of server-status (httpd-info.conf)

    ExtendedStatus On

  • Add comment markers from "<Location /server-info>" to "</Location>" (http-info.conf)

    #<Location /server-info>

    # SetHandler server-info

    # Order deny,allow

    # Deny from all

    # Allow from .

    #</Location>

Start a Web browser on your server and enter http://localhost/server-status?auto for the URL. If a page is displayed, it means that what you have set is valid.

[Note]

If you specify a hostname after "Allow from," specify the official hostname instead of its alias. For example, if you are using Linux, localhost.localdomain and localhost are defined as the official hostname and its alias in the hosts file. In this case, use localhost.localdomain for the part after "Allow from" in httpd.conf.

[Reference]

Set the monitored hosts for Apache performance

Environment setting after installing SystemManager G

  • Setting of operating mode for application monitoring
    Changing the operating mode


Set the monitored hosts for Apache performance

If you are running a larger number of agents than the number of licenses for the Apache performance monitoring function you have purchased, you must select the appropriate number of agent hosts on which you will monitor Apache.

Refer to Configure host settings, for the configuration method.


Register the Apache servers

This operation should be executed after shifting into the Configuration mode.

To monitor the performance of Apache, you must register connection information on the Apache servers.

Right-click on the agent node to which the Apache has been installed and select [Apache] from the displayed [Edit Application Management Instance] menu. The [Apache Monitor - Server Setting] dialog will be displayed with a list of Apache monitored servers that have been registered.

  • Server ID
    Displays the server identification character string for each of the Apache servers that have been registered.

  • Description
    Displays the description of each Apache server.

  • [Add] button
    Clicking on this button will display the [Add Server] dialog and enable you to add a new monitored server.

  • [Edit] button
    Clicking on this button will display the [Edit Server] dialog and enable you to set the selected monitored server again.

  • [Delete] button
    Clicking on this button will delete the selected monitored server.

    [Note]
    If you remove this server with the monitored resource defined in Performance Monitor, you may not monitor the performance of the server normally. Remove the monitored resource before removing the server in this window.

  • [OK] button
    Establishes a connection to the set server and closes the dialog. When a connection to the Apache server has been successfully established, the server is added to the monitored objects in the performance monitoring function.

    [Note]
    If a host is not set up as an Apache monitored host, a connection to its server cannot be established.

  • [Cancel] button
    Clicking on this button will cancel changes to the settings and close the dialog.

Once the server has been registered, its corresponding node is automatically added under the Application Management view.

Also, to open the [ApacheMonitor - Server Setting] dialog, select the [Edit Instance] from right click menu of the [ApplicationSummary] - [Apache] - [Host] node.

[References]

Preparations for Apache performance monitoring

Set the monitored hosts for Apache performance

Configure the connection settings for the Apache server


Configure the connection settings for the Apache server

This operation should be executed after shifting into the Configuration mode.

Set the server name and port number for connecting to a desired Apache server that has been registered as a monitored object.

You must set an Apache server from the [Add Server] or [Edit Server] dialog.

To display the [Add Server] or [Edit Server] dialog, the following methods are provided:

  1. Click on the [Add] button in the [Apache Monitor - Server Setting] dialog.

  2. Select a desired registered server and click on the [Edit] button in the [Apache Monitor - Server Setting] dialog.

  3. Double-click on a desired registered server in the [Apache Monitor - Server Setting] dialog.

  • Server ID
    Specify the arbitrary ID that identifies this Apache server, within a maximum of 64 characters (single-byte alphanumeric characters and underscore ("_")). The Server ID is displayed in the form of "Apache (Server ID)" in the [Edit Performance Monitoring] window. The server ID must be specified. It cannot be changed from the [Edit Server] dialog.

  • Use IPv6
    Select this check box to specify an IPv6 address for the host name.
    It always operates as IPv4 when using a version older than Ver4.1.0 even when this check box is selected.

  • Server Name
    Set the host name or IP address of the host that will be connected to the monitored Apache server. You should use "localhost" (or localhost.localdomain) for [Server Name] if possible. The server name must be specified.

  • Port Number
    Specify a HTTP port number in the range of 1 to 65535 for the monitored Apache server. The port number must be specified. The [Add Server] dialog displays 80 as its default value.

  • Description
    Describe this server within a maximum of 255 characters. The Description is optional.

[Note]

  • Semicolons (;) cannot be used for input items except for the description field.

  • For Windows agents, AUX, COM1 to COM9, CON, LPT1 to LPT9, NUL, PRN cannot be used for the server ID of the Apache.
  • When an IPv6 address is used for a server name, [ ] (enclosure) and % (for interface number) cannot be specified.

[References]


Monitor Apache performance

The registered Apache monitored servers are added to a list of monitored objects for performance monitoring, and can be monitored with the performance monitoring function.

When you select [Edit Performance Monitoring] from the right-click menu on the [Performance Monitor] node in the Topology view, the [Edit Performance Monitoring] window appears and shows the list of monitorable resources (monitored objects). Please confirm that the registered Apache server is added to the list.

The monitored object name to be added is displayed in the form of "Apache (Server ID)" using the registered Server ID. When you check the checkbox to the left of the monitored object and click on the [OK] button, the [Apache (Server ID)] node is added under the [Performance Monitor] node on the tree view.

When you have selected [Set Monitored Instance] from the right-click menu on the added monitored object node, the [Set Monitored Instance] window is displayed.

When you check the checkbox to the left of the instance you will monitor and click on the [OK] button, a monitored instance node is added under the monitored object node.

When you have selected [Set Monitored Counter] from the right-click menu on the monitored instance node, the [Set Monitored Counter] window is displayed.

When you check the checkbox to the left of the counter you will monitor and click on the [OK] button, monitoring on the counter you have set starts. Double-clicking on the monitored instance node displays the performance monitor window.

When you select [Counter Detail Setting] from the right-click menu on the [Counter] list in the lower section of the performance monitor window, you can configure detailed display settings and threshold value monitoring for the counter.

[References]

For more information on the monitored instances and monitored counters, refer to here.

For more information on defining the performance monitoring, refer to here.

You can perform integrated monitoring of Apache performance from the summary view by setting the monitoring process.

[Reference]

Monitor with the Apache performance monitoring summary


Monitor with the Apache performance monitoring summary

When you select the [Apache] node from the Application Management view in the tree view, the summary view in the right pane will display an application summary.

The summary view is divided into [Application Summary], [Host Summary], and [Instance Summary] in the descending order of nodes, and more comprehensive information is displayed in the higher summary and more detailed information is displayed in the lower summary.

[References]

Monitor with the application summary

Monitor with the host summary

Monitor with the instance summary


Detailed description of Apache monitored counters

Accesses

The number of accesses. (The difference between the last two samples)

Accesses - 15min

The number of accesses. (The latest 15 minutes)

Accesses - 30min

The number of accesses. (The latest 30 minutes)

BusyWorkerRate

The percentage of worker serving requests.

BusyWorkers

The number of worker serving requests.

BytesPerReq

The average number of bytes per request.

BytesPerSec

The number of bytes served per second.

CPULoad

The current percentage CPU used by Apache. (Not supported on Windows.)

IdleWorkers

The number of idle worker.

ReqPerSec

The average number of requests per second.

State

The state of this server. The value means HTTP status code. When the server works normally, the value is 200.

TrafficKBytes

The number of Kbyte count served.

TrafficKBytes - 15min

The number of Kbyte count served. (The latest 15 minutes)

TrafficKBytes - 30min

The number of Kbyte count served. (The latest 30 minutes)

Uptime

The time (seconds) the server has been running for.

Detailed description of Apache monitored counters

This section explains in detail the counters that can be monitored with the Apache performance monitoring function. The monitored instances and monitored counters are common to all Apache instances.

When you click on a monitored instance, the description for the counters of the instance will be displayed. When you click on the same instance again, the description will disappear.

[ServerStatus]

[Note]

  • Removing the configured connection to an added monitored object will not automatically remove the object. Before removing the configured connection, remove its corresponding monitored object from Performance Monitoring.

  • The value of the CPULoad counter can be obtained only if the CPULoad item is present in the server-status?auto page when displaying it with a Web browser. This item may not be displayed and the value may not be obtained if the CPU load is extremely low immediately after Apache starts.


Register user defined URL response monitoring as an Apache monitor counter

This operation should be executed after shifting into the Configuration mode.

The Apache performance monitoring functionality of this product enables a user to monitor the responses from a particular URL that the user has specified, in addition to the performance monitored items provided by the product. This provides functionality to monitor whether Apache servers are dead or alive as well as monitoring whether a particular URL is dead or alive.

When you have selected [Edit Health Check] from the right-click menu on the [Apache] node in the Application Management view, the [Edit Health Check] window will be displayed.

  • Object Name
    Displays the server ID of an Apache server on which responses from a specified URL will be monitored.

  • Instance Name
    Displays the monitored instance name that has been registered. For Apache, it is "HealthCheck."

  • Counter Name
    Displays a list of the monitored counters that have been registered.

  • Description
    Displays the description of each counter in the list. This description is displayed as the description for this counter in the lower section of the counter list window in the Performance Monitor window.

  • [Add] button
    Enables you to add this response monitoring specification as a new counter.

  • Monitoring Interval
    Enables you to specify the interval time between response monitoring actions, including a time unit.
    Specify a value in the range of 30 seconds to 168 hours (or one week).

  • [Edit] button
    Enables you to edit the selected counter.

  • [Delete] button
    Enables you to delete the selected counter.

  • [OK] button
    Enables your edits to take effect and closes this window.

  • [Cancel] button
    Completes the edit operation and closes this window. Your edits are not reflected.

[References]

Edit user defined URL response monitoring on Apache server


Edit user defined URL response monitoring on Apache server

This operation should be executed after shifting into the Configuration mode.

When you click on the [Add] or [Edit] button in the [Edit Health Check] window, the [Health Check Detail Setting] window, where you can edit monitoring definitions for response monitoring, will be displayed.

  • Object Name
    Displays the server ID of an Apache server on which responses from a specified URL will be monitored.

  • Instance Name
    Displays the instance name. For Apache, it is "HealthCheck."

  • Counter Name
    Specify the name of the monitored counter that you will register, within a maximum of 128 characters.

  • Website
    Specify a desired page to be monitored in the URL format, beginning with "http://". The maximum length of the character string is 4095 characters.
    The characters allowed to be used for a path to URL are limited to the alphanumeric characters, and special symbols such as hyphen ("-"), underscore ("_"), period ("."), exclamation mark ("!"), tilde ("~"), asterisk ("*"), single quotation mark ("'"), and right and left parentheses ("()"). If you want to use a URL that includes two-byte characters or special characters that are not allowed to be used in URLs, you must describe the URL by URL-encoding it based on the UTF8 character set.

  • Counter Description
    Specify the description of the URL you will register, within a maximum of 1023 characters. The counter description you specify here will be displayed in the lower section of the [Counter Setting] window for performance monitoring.

  • [Test] button
    Enables you to access the monitored page you specified and perform tests on response monitoring.
    Once it has been executed, the [HealthCheck Result] dialog is displayed with a message and value from the test result.

    [Value] in the window displays an HTTP status code.

    1xx

    Information

    The server is processing the request it has received.

    2xx

    Success

    The server has recognized the action to be requested and approved it.

    3xx

    Redirection

    More operations are required to complete this request.

    4xx

    Client error

    The request has an error with its syntax or the server cannot accept it.

    5xx

    Server error

    The server has received the request, but cannot process it.

  • [OK] button
    Enables your edits to take effect and closes this window.

  • [Cancel] button
    Completes the edit operation and closes this window. Your edits are not reflected.

The monitored counter you have registered is added to the counter list in the [Counter Setting] window for performance monitoring.

[Note]

The URLs for response monitoring that can be used in this function have the following restrictions:

  • Monitoring of URL which is provided from Apache server on the self-host is only supported.

  • The function does not support a connection through a proxy server to the monitored page.

  • It only supports URLs based on the HTTP scheme (protocol).

  • You can only specify URLs to pages that do not need authentication. The function does not support HTTP authentication (Basic authentication, Digest authentication) and HTTPS.

  • It only obtains the specified URL. It does not refer to any secondary links.

  • It does not run client-side scripts such as JavaScript.

  • When you URL-encode a URL, you must create it by replacing the parts that include characters not supported by the function with appropriate codes or by using an external means (such as conversion Web sites or tools open to the public).

  • When the file name is not described in URL, "/" is necessary for the end.

  • % (for interface number) cannot be specified for the monitoring page.

[References]

Register user defined URL response monitoring as an Apache monitor counter

Define the monitored resource


Import the monitoring setting for Apache performance monitoring

This product includes definition files for the Apache performance monitoring function. Importing these definition files helps you set items for monitoring Apache performance.

The following explains the steps for importing the Apache performance monitoring definition data:

  1. Confirm whether this host is set to be monitored
    Ensure that the host on which Apache is running is set as a target to be monitored. If the host is excluded from monitored objects, set it up as a target to be monitored by checking the check box to the left of the host name.

    For more information on these setting steps, refer to here.
    [Reference]
    Configure host settings

  2. Register the Apache monitored server to the monitored objects
    As a preparation to import definition files, you must register the Apache server to be monitored to the monitored objects for performance monitoring.
    For more information on the registration steps, refer to here.
    [Reference]
    Register the Apache servers

  3. Confirm that the server has been registered to the monitored objects
    When you have registered the server to the monitored objects, its corresponding monitored object is added in the [Performance Monitor Setting] window. Confirm that the object has been registered from the [Performance Monitor Setting] window. It is displayed in the form of "Apache (Server ID)" by using the registered server ID.
    For information on displaying the [Performance Monitor Setting] window, refer to here.

    [Note]
    At this time of point, do not check the monitored object that has been registered. It will be automatically checked when applying the definition file.

    [Reference]
    Define the monitored resource

  4. Import a definition file
    After you have edited a desired definition file, import it by using the function for importing agent definitions. Select the host node on which Apache is running from the Topology view and select [Import] by right-clicking on the node.
    When the [Import Service] (import selection) dialog has been displayed, click on the [Browse] button and specify the following folder:

    C:\Program Files\NEC\UMF\Operations\Svc\template\Apache

    When you have specified the folder, a window similar to the one shown below appears where you can select functions. When you have confirmed that the checkbox to the left of [Performance Monitor] is checked, click on the [OK] button.

    When the [Import Setting] window has been displayed, set the Apache server to which you establish a connection. Display the [Server ID Setting] window by double-clicking on the [Server ID] item.

    When the [Server ID Setting] window has been displayed, enter the server ID in [Server ID] that you registered to the monitored objects.

    [Note]
    Specify the server ID by using exactly the same server ID that you specified when you established a connection to the Apache monitored server (note that server IDs are case-sensitive).

    If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking on the [Logging option] item.

    When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (which means I want to save the history) in [Logging option]. The default value of [Logging option] is "0" (which means I do not want to save the history).

    When you click on the [OK] button, you return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click on the [OK] button. The definition file is read and items in the file are reflected to this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • Please think the threshold set with the watch template to be a reference value. Because a proper value is different according to the system, it is necessary to verify the threshold with the system that uses it.

[References]

Import the definition for monitored agents


Import knowledge file for Apache performance monitoring

A knowledge file for monitoring messages output by Apache performance monitoring is bundled to this product. Import of this knowledge file facilitates defining message filters for monitoring errors and warning messages in Apache performance monitoring.

See here, for the import procedures.

The knowledge file for Apache performance monitoring is as follows.

C:\Program Files\NEC\UMF\Operations\Svc\knowledge\ApplicationNavigator\ApachePerformanceCounter.txt

[Reference]

Import the knowledge file


Define the Apache's essential process monitoring

The required Apache processes are monitored as a part of Apache monitoring. If you want to monitor the required Apache processes, use the Windows service monitoring function and the process monitoring function for Windows agents and for Linux agents.

[Windows agent]

From the Windows service monitoring function, monitoring of the following service must be defined. For more information on how to define it, refer to here.

Monitored Service | Apache's Process
Apache2 | httpd.exe

Alternatively, from the process monitoring function, monitoring of the following process must be defined. For more information on how to define it, refer to here.

Monitored Command Line

httpd.exe

[Note]

"Apache2" is the default service name that has been set when installing the service with the installer. If you registered the service with a command, select the service name that you set when you registered it.
In addition, all the command lines for the Windows version of Apache servers are httpd.exe. If you are running more than one Apache server on the same server and specify a unique process, enter each command line to be monitored by using the full path to it.

[Linux agent]

From the process monitoring function, monitoring of the following process must be defined. For more information on how to define it, refer to here.

Monitored Command Line

httpd

[Note]

All the command lines for the Linux version of Apache servers are httpd. If you are running more than one Apache server on the same server and specify a unique process, enter each command line to be monitored by using the full path to it.

[References]

About Windows service monitoring

About process monitoring


About Tomcat monitoring

The Tomcat monitoring functionality of this product provides functions for monitoring and querying the operating status of Apache Tomcat (hereafter called Tomcat) and the state of Tomcat services running on an agent. The performance monitoring function allows performance to be monitored by viewing graphs and output CSV format files.

The Tomcat monitoring functionality includes the following functions:

  • Performance monitoring
    Using JMX, the following are monitored.

    • Server operating state
    • Servlet information
    • Web module processing time
    • Cache information
    • Connector information
    • JSP information
    • Active session information
    • Request processor information
    • Thread-pool information
    • Information on class load
    • Compile time information
    • Garbage collection information
    • CPU/memory information
    • Thread information
    • JDBC connection information

    You must set up "resources," "instances," and "counters" to perform monitoring operations with the Tomcat monitoring functionality of this product. These terms are defined as follows:

    [Resource]
    This refers to an object whose performance is monitored. In this functionality, it refers to a Tomcat server.

    [Instance]
    This refers to one of the units into which a resource is further classified. This function defines instances based on the information of JMX MBean objects.

    [Counter]
    This refers to performance monitoring information retrieved on the various sections of a system in question concerning a specified resource and a specified instance. This function defines counters based on the attribute information of JMX MBean objects.

  • Monitored data collection function
    Monitors resource information on the specified Tomcat. The collected data is managed centrally and displayed through the performance monitoring function by the manager. An operator will be notified via some means such as a node color change and/or sounds when the performance state indicates a failure.
    [Related items]
    Sets the hosts performing performance monitoring of Tomcat
    Registers Tomcat servers
    Sets connection to Tomcat server
    Performance monitoring

  • Threshold monitoring function
    Monitors the threshold value(s) for the specified Tomcat resource(s)
    [Related items]
    Set monitored counters in detail (set threshold values)

  • Logging function
    Logs resource data that has been retrieved on the agent side within the agent. The logged data can be referred to and output as a CSV file on the monitoring terminal.
    [Related item]
    Outputs historical data to a file

  • Reporting function
    Performs Patlite and e-mail reporting to alert operators when the state of a specified resource or process has changed.
    [Related item]
    Set monitored counters in detail (set threshold values)

[Supported versions]

  • For information on Tomcat and Java versions supported by this product, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media.

[Note]

  • To enable Tomcat monitoring, JMX must be enabled for use beforehand. Perform Tomcat Setup (When authenticating password) or Tomcat Setup (When not authenticating password). Setting Tomcat monitoring of SystemManager G is also needed.


About preparations for Tomcat performance monitoring

Preparation

  • Setting up Tomcat
    To enable the Tomcat monitoring, JMX must be enabled in advance. For the setup method, see "Tomcat Setup (When authenticating password)" and "Tomcat Setup (When not authenticating password)". The setup method differs depending on whether or not password authentication is used. Specify the authentication method to use.

  • User name, password, port number
    SystemManager G uses administrator user and JMX management port for connection. Check the user name, password (for password authentication), and JMX connection port number beforehand.

  • Java execution environment (32-bit/64-bit)
    A Java Runtime Environment compatible with the architecture to be used and the operating mode is required. If the required Java Runtime Environment does not exist, install it.
    For a Windows agent and remote monitor agent, add the path of <installation directory of Java Runtime Environment to be used>/bin to the environment variable PATH.

Environment setting after installing SystemManager G

  • Setting of operating mode for application monitoring
    Changing the operating mode

  • Mandatory setting for Tomcat monitoring
    Setting Tomcat monitoring of SystemManager G

  • Tuning of Tomcat monitoring
    Set a timeout for Tomcat monitoring
    Change the number of threads for monitoring Tomcat


Tomcat Setup (When authenticating password)

[Note]

  • If you want to use different Java paths between Tomcat and SystemManager G, set the path to the one for Java to be used in Tomcat.

  1. Creating a password file

    Copy <JAVA_HOME>/lib/management/jmxremote.password.template by using the following filename. <JAVA_HOME>/lib/management/jmxremote.password

  2. Setting user name and password

    When using default user
    When <JAVA_HOME>/lib/management/jmxremote.password is opened, the last two lines will be as follows, indicating the monitoring default user name and password.

    # monitorRole QED
    # controlRole R&D

    monitorRole is the username for the read-only monitoring users, and QED is the password.
    controlRole is the username for the monitoring users that have read/write permission, and R&D is the password.
    Change the default password for the monitoring users and remove the # from the beginning of the line to activate the username and password.

    monitorRole QED
    # controlRole R&D

    When creating new user
    At the last line of <JAVA_HOME>/lib/management/jmxremote.password, add the user name and password as follows. (For user name, "monitorUser" - For password, "pass1234")

    # monitorRole QED
    # controlRole R&D
    monitorUser pass1234

    At the last line of <JAVA_HOME>/lib/management/jmxremote.access, add the user name and access level.
    For user name, use the user name specified in the password file.
    For access level, specify one of the following. SystemManager G can be used in either access level.

    readonly ... Read-only access is permitted for monitoring
    readwrite ... Read/write is permitted for monitoring and management

    Example of setting
    monitorUser readonly

  3. Setting access right for password file

    The access right for the password file needs to be set so that when the password holder and user starting Tomcat match, only that user is able to access it.

    For UNIX
    Sets as follows with chown, chmod. (Example of setting: chmod 600 filename)
    -rw------- 1 root root 2871 jmxremote.password

    For Windows
    Set with the Security tab displayed when the Password file properties is opened.

    (1) Right-click the password file, select Properties, and click on the [Detailed settings] button in the [Security] tab.

    (2) Uncheck the checked buttons.

    (3) Click on the [Copy] button.

    (4) Delete unneeded users by using the [Delete] button.

    (5) Select the [Owner] tab.

    (6) If the owner differs from the user granted access, select the user granted access and click on the [OK] button.

    (7) Click on the [OK] button.

  4. Adding Java options

    When Tomcat is started, Java options need to be specified as follows.
    The specification method differs between Windows and UNIX.

    com.sun.management.jmxremote.ssl=false (SSL authentication disabled)
    com.sun.management.jmxremote.port=JMX connection port number (Specify an unused port number for Tomcat monitoring)
    com.sun.management.jmxremote.password.file=Password file path name
    com.sun.management.jmxremote.access.file=Access file path name

    For Windows
    Add the following parameters to the Java options when Tomcat is started.
    To specify Java options for Tomcat when service is started, open Configure with Service Manager in the task tray, and describe them in the Java Option area of the [Java] tab.
    In the following parameter example, the folder with JRE installed is "C:\Program Files\Java\jre1.5.0_14", and the port number for connecting JMX is "8999". Change the character string of the parameters according to the actual environment of use.

    -Dcom.sun.management.jmxremote.ssl=false
    -Dcom.sun.management.jmxremote.port=8999
    -Dcom.sun.management.jmxremote.password.file=C:\Program Files\Java\jre1.5.0_14\lib\management\jmxremote.password
    -Dcom.sun.management.jmxremote.access.file=C:\Program Files\Java\jre1.5.0_14\lib\management\jmxremote.access

    For UNIX
    Add parameters as follows at the end of the first comment line of <CATALINA_HOME>/bin/startup.sh.
    In the following parameter example, the folder with JRE installed is "/opt/java1.5/jre", and the port number for connecting JMX is "8999". Change the character string of the parameters according to the actual environment of use.

    #!/bin/sh
    # -----------------------------------------------------------------------------
    # Start Script for the CATALINA Server
    #
    # $Id: startup.sh 385888 2006-03-14 21:04:40Z keith $
    # -----------------------------------------------------------------------------
    CATALINA_OPTS="-Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.port=8999 -Dcom.sun.management.jmxremote.password.file=/opt/java1.5/jre/lib/management/jmxremote.password -Dcom.sun.management.jmxremote.access.file=/opt/java1.5/jre/lib/management/jmxremote.access"
    export CATALINA_OPTS

  5. Restarting Tomcat

    After completing the above procedure, restart Tomcat.


Tomcat Setup (When not authenticating password)

  1. Adding Java options

    When Tomcat is started, Java options need to be specified as follows.
    The specification method differs between Windows and UNIX.

    com.sun.management.jmxremote.ssl=false (SSL authentication disabled)
    com.sun.management.jmxremote.port=JMX connection port number (Specify an unused port number for Tomcat monitoring)
    com.sun.management.jmxremote.authenticate=false (authentication disabled)

    For Windows
    Add the following parameters to the Java options when Tomcat is started.
    To specify Java options for Tomcat when service is started, open Configure with Service Manager in the task tray, and describe them in the Java Option area of the [Java] tab.
    In the following parameter example, the port number for connecting JMX is "8999".

    -Dcom.sun.management.jmxremote.ssl=false

    -Dcom.sun.management.jmxremote.port=8999

    -Dcom.sun.management.jmxremote.authenticate=false

    For UNIX
    Add parameters as follows at the end of the first comment line of <CATALINA_HOME>/bin/startup.sh.
    In the following parameter example, the port number for connecting JMX is "8999".

    #!/bin/sh

    # -----------------------------------------------------------------------------

    # Start Script for the CATALINA Server

    #

    # $Id: startup.sh 385888 2006-03-14 21:04:40Z keith $

    # -----------------------------------------------------------------------------

    CATALINA_OPTS="-Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.port=8999 -Dcom.sun.management.jmxremote.authenticate=false"
    export CATALINA_OPTS

  2. Restarting Tomcat

    After completing the above procedure, restart Tomcat.


Setting Tomcat monitoring of SystemManager G

To use the Tomcat monitoring function, there is a need to edit the setting file in the SystemManager G agent after installing this product. Further, when performing Tomcat monitoring and JavaAP monitoring by an agent of identical service on the identical host, edit one of setting files.

  • Java Setting
    [Windows agent]

    • Setup file to be edited

      C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorTomcat.ini
    • Editing example:

      [Java]

      JAVA_HOME=C:\Program Files\Java\jre1.8.0_92

      [JVMOption]

      JVMOptionNo=1

      JVMOption001=-Xrs

      [Java] section (essential section)
      For JAVA_HOME, specify the directory of the Java executing environment. Specify up to the jre directory.
      In 32-bit mode, specify the JAVA_HOME of 32-bit version. In 64-bit mode, specify the JAVA_HOME of 64-bit version.

      [JVMOption] section (essential section)
      Use JVMOptionNo=1 without changing it.
      Use JVMOption001=-Xrs, without changing it.
    [UNIX agent]
    • Setup file to be edited

      /opt/UMF/Operations/Agent/sg/CollectorTomcat.ini
    • Editing example:

      [Java]

      JAVA_HOME=/opt/java1.8/jre

      [JVMOption]

      JVMOptionNo=1

      JVMOption001=-Xrs

      [Java] section (essential section)
      For JAVA_HOME, specify the directory of the Java execution environment. Specify up to the jre directory.
      In 32-bit mode, specify the JAVA_HOME of 32-bit version. In 64-bit mode, specify the JAVA_HOME of 64-bit version.

      [JVMOption] section (essential section)
      Use JVMOptionNo=1 without changing it.
      Use JVMOption001=-Xrs without changing it.

    For both Windows and UNIX agents, restart the SystemManager G agent after editing the corresponding setting file.

    [Note]
    If the directory configuration differs from the above example, rewrite it according to the environment of use.

[References]

Set the monitored hosts for Tomcat performance


Set the monitored hosts for Tomcat performance

If you are running a larger number of agents than the number of licenses for the Tomcat performance monitoring function you have purchased, you must select the appropriate number of agent hosts on which you will monitor Tomcat.

Refer to Configure host settings, for the configuration method.


Register the Tomcat servers

This operation should be executed after shifting into the Configuration mode.

To monitor the performance of Tomcat, you must register connection information on the Tomcat servers.

Right-click on the agent node to which the Tomcat has been installed, and select [Tomcat] from the displayed [Edit Application Management Instance] menu. The [Tomcat Monitor - Server Setting] dialog will be displayed with a list of monitored Tomcat servers that have been registered.

  • Server ID
    Displays the registered server ID.

  • Description
    Displays the description of the server.

  • [Add] button
    Clicking on this button will display the [Add Server] dialog and enable you to add a new monitored server.

  • [Edit] button
    Clicking on this button will display the [Edit Server] dialog and enable you to set the selected monitored server again.

  • [Delete] button
    Clicking on this button will delete the selected monitored server.

    [Note]
    If you remove this server with the monitored resource defined in Performance Monitor, you may not monitor the performance of the server normally. Remove the monitored resource before removing the server from this window.

  • [OK] button
    Establishes a connection to the set server and closes the dialog. When a connection to the Tomcat server has been successfully established, the server is added as a monitored object of the performance monitoring function.

    [Note]
    If a host is not set up as a Tomcat monitored host, a connection to its server cannot be established.

  • [Cancel] button
    Clicking on this button will cancel changes to the settings and close the dialog.

Once the server has been registered, its corresponding node is automatically added under the Application Management view.

Also, to open the [TomcatMonitor - Server Setting] dialog, select the [Edit Instance] from right click menu of the [ApplicationSummary] - [Tomcat] - [Host] node.

[Note]

In Tomcat 4.1, two or more servers cannot be registered.

[References]

Set the monitored hosts for Tomcat performance

Configure the connection settings for the Tomcat server


Configure the connection settings for the Tomcat server

This operation should be executed after shifting into the Configuration mode.

Set the server name and port number, etc. for connecting to a Tomcat server that has been registered as a monitored object.

You must set an Tomcat server from the [Add Server] or [Edit Server] dialog.

To display the [Add Server] or [Edit Server] dialog, the following methods are provided:

  1. Click on the [Add] button in the [Tomcat Monitor - Server Setting] dialog.

  2. Select a desired registered server and click on the [Edit] button in the [Tomcat Monitor - Server Setting] dialog.

  3. Double-click on a desired registered server in the [Tomcat Monitor - Server Setting] dialog.

  • Server ID
    Specify the arbitrary ID that identifies this Tomcat server, within a maximum of 64 characters. The allowable characters are single-byte alphanumeric characters and underscore (_). The Server ID must be specified.
    The Server ID is displayed in the form of "Tomcat (Server ID)" in the [Edit Performance Monitoring] window.
    It cannot be changed from the [Edit Server] dialog.

  • Host Name
    Set the host name or IP address of the host that will be connected to the monitored Tomcat server. Used for connecting with JMX. You should use "localhost" (or localhost.localdomain) for [Server Name] if possible. The host name must be specified.

  • Port Number
    Specify a JMX connection port number specified as a start-up option in the range of 1 to 65535 for the monitored Tomcat server. Specify the monitoring port, not the HTTP server port, such as 8080, etc. The port number must be specified.

  • Authentication
    Select whether to connect with password authentication or no authentication.

  • Username
    Enter the username specified in the password file for JMX password authentication, within 64 characters (single-byte alphanumeric characters only), for the monitored Tomcat server. Username cannot be omitted when selecting password authentication.

  • Password
    Enter the user password specified in the password file for JMX password authentication, within 30 characters (single-byte alphanumeric characters only), for the monitored Tomcat server. Password cannot be omitted when selecting password authentication.

  • TomcatVersion
    Select the version for monitored Tomcat server. The Tomcat version must be specified.

    [Note]

    • The Tomcat version list contains 4.1, 5.0 and 5.5, however, monitoring is not supported for these versions.

    • Specify 8.0 when using Tomcat 8.5.

  • Description
    Describe this server, within a maximum of 255 characters. The Description is optional.

[Note]

  • Semicolons (;) cannot be used for input items except for the description field.

  • For Windows agents, AUX, COM1 to COM9, CON, LPT1 to LPT9, NUL, PRN cannot be used for the server ID of the Tomcat.

[References]

Set the monitored hosts for Tomcat performance

Register the Tomcat servers


Monitor Tomcat performance

The registered monitored Tomcat servers are added to a list of monitored objects for performance monitoring, and can be monitored with the performance monitoring function.

When you select [Edit Performance Monitoring] from the right-click menu on the [Performance Monitor] node in the Topology view, the [Edit Performance Monitoring] window appears and shows the list of monitorable resources (monitored objects). Please confirm that the registered Tomcat server is added to the list.

The monitored object name to be added is displayed in the form of "Tomcat (Server ID)" by using the registered Server ID. When you check the checkbox to the left of the monitored object and click on the [OK] button, the [Tomcat (Server ID)] node is added under the [Performance Monitor] node in the tree view.

When you have selected [Set Monitored Instance] from the right-click menu on the added monitored object node, the [Set Monitored Instance] window is displayed.

The MBean object name acquired from Tomcat is shortened, and it is used as an instance name.

The MBean object name decides by the specification of the ObjectName class of JMX, and is composed of the domain, the key, and the value. The definition is the following forms.

domain:key1=value1,key2=value2

This MBean object name is shortened as follows, and it is assumed the instance name.

value1:value2

[Shortening rule]

  • Delete [domain:].

  • Delete [key1=].

  • Change from [,] to [:].

  • Omit it if the value is none.
    e.g.: [,key2=none,key3=none] -> [:none:none] -> [::]

When the instance name being applied for the above-mentioned shortening rule exceeds 128 characters, the instance name is cut short by 128 characters.

[Rule of cutting short]

  • The 127 and 128 characters are changed to [~n] (n=1 to 9) when the number of instance names which are exceeded 128 characters are 1 to 9.

  • When the number of instance names are 10 to 99, the 126, 127 and 128 characters are changed to [~nn] (n=10 to 99) or 127 and 128 characters are changed to [~n] (n=1 to 9).

When you check the checkbox to the left of the instance you will monitor and click on the [OK] button, a monitored instance node is added under the monitored object node.

[Note]

  • If the instance name exceeds 128 characters, it will be truncated. To check the formal instance name, use the AppNaviAgtCmd Tomcat command.

  • If exporting or importing an instance name exceeding 128 characters, the truncated instance name will be exported or imported as it is. The status in this case is "Unknown". To monitor instances with truncated names, there is a need to delete the instance from the Performance Monitoring tree view, and then perform setting of the monitoring instance again.

  • When the following conditions are all met and [Instance Setting] or [Counter Setting] is selected, acquiring the list fails.

    • Cannot connect to the configured Tomcat server when starting the agent.

    • Counter settings for the configured Tomcat server do not exist.

If this incident occurs, the list can be acquired by right-clicking the performance monitoring node in the topology view when Tomcat server can be connected, and selecting [Performance Monitor Setting] from the displayed pop-up menu to display the [Performance Monitor Setting] dialog box.

  • For 64-bit mode, a list of the truncated instance names and formal instance names cannot be acquired even by executing the AppNaviAgtCmd Tomcat command.

When you have selected [Set Monitored Counter] from the right-click menu on the monitored instance node, the [Set Monitored Counter] window is displayed.

When you check the checkbox to the left of the counter you will monitor and click on the [OK] button, monitoring on the counter you have set starts. Double-clicking on the monitored instance node displays the performance monitor window.

When you select [Counter Detail Setting] from the right-click menu on the [Counter] list in the lower section of the performance monitor window, you can configure detailed display settings and threshold value monitoring for the counter.

[References]

For more information on the monitored instances and monitored counters, refer to here.

For more information on defining the performance monitoring, refer to here.

You can perform integrated monitoring of Tomcat performance from the summary view by setting the monitoring process.

[References]

Monitor with the Tomcat performance monitoring summary


Monitor with the Tomcat performance monitoring summary

When you select the [Tomcat] node from the Tomcat Management view in the tree view, the summary view in the right pane will display an application summary.

The summary view is divided into [Application Summary], [Host Summary], and [Instance Summary] in the descending order of nodes, and more comprehensive information is displayed in the higher summary and more detailed information is displayed in the lower summary.

[References]

Monitor with the application summary

Monitor with the host summary

Monitor with the instance summary


Detailed description of Tomcat monitored counters

accessCount

Indicates the number of cache accesses. (Difference from previous acquisition)

cacheSize

Indicates the cache size. (Difference from previous acquisition)

hitsCount

Indicates the number of cache hits. (Difference from previous acquisition)

hit(%)

Indicates the cache hit percentage (%). (Difference from previous acquisition)

LoadedClassCount

Indicates the number of classes loaded. (Difference from previous acquisition)

LoadedAndUnloadedClassCount

Indicates the total number of classes loaded and unloaded. (Difference from previous acquisition)

UnloadedClassCount

Indicates the number of classes unloaded. (Difference from previous acquisition)

CompilationTime

Indicates the compile time (ms). (Difference from previous acquisition)

maxActive

Indicates the maximum number of JDBC connections.

numActive

Indicates the number of currently active JDBC connections.

numInActive

Indicates the number of JDBC connections that can be used.

active(%)

Indicates the percentage of JDBC connections in respect to the maximum number of connections.

CollectionCount

Indicates the number of collections. (Difference from previous acquisition)

CollectionTime

Indicates the collection time (ms). (Difference from previous acquisition)

bytesReceived

Indicates the number of bytes received by the connector. (Difference from previous acquisition)

bytesSent

Indicates the number of bytes sent by the connector. (Difference from previous acquisition)

errorCount

Indicates the number of connector errors. (Difference from previous acquisition)

maxTime

Indicates the connector request maximum processing time (ms).

processingTime

Indicates the connector request processing time (ms). (Difference from previous acquisition)

requestCount

Indicates the number of requests processed with the connector. (Difference from previous acquisition)

error(%)

Indicates the connector error percentage (%). (Difference from previous acquisition)

processingTime/requestCount

Indicates the processing time per request of the connector. (Difference from previous acquisition)

requestCount/sec

Indicates the number of requests per second of the connector. (Difference from previous acquisition)

bytesSent/sec

Indicates the number of sent bytes per second of the connector. (Difference from previous acquisition)

jspCount

Indicates the number of JSPs. (Difference from previous acquisition)

jspReloadCount

Indicates the number of JSP reloads. (Difference from previous acquisition)

jspReload(%)

Indicates the percentage (%) of JSP reloads. (Difference from previous acquisition)

activeSessions

Indicates the number of currently active sessions.

maxActiveSessions

Indicates the maximum number of active sessions. If the maximum number of active sessions is not set, this value becomes 0.

activeSessions(%)

Indicates the percentage (%) of currently active sessions in respect to the maximum number of active sessions. If the maximum number of active sessions is not set, this value becomes 0.

rejectedSessions

Indicates the number of rejected sessions. (Difference from previous acquisition)

HeapMemoryUsage committed

Indicates the heap memory volume (MB) that can currently be used.

HeapMemoryUsage init

Indicates the heap memory volume (MB) assigned in the initial state.

HeapMemoryUsage max

Indicates the maximum heap memory volume (MB) that can be used.

HeapMemoryUsage used

Indicates the heap memory volume (MB) currently used.

NonHeapMemoryUsage committed

Indicates the non-heap memory volume (MB) that can currently be used.

NonHeapMemoryUsage init

Indicates the non-heap memory volume (MB) assigned in the initial state.

NonHeapMemoryUsage max

Indicates the maximum non-heap memory volume (MB) that can be used.

NonHeapMemoryUsage used

Indicates the non-heap memory volume (MB) currently used.

HeapMemoryUsage committed(%)

Indicates the heap memory percentage (%) that can currently be used in respect to the maximum heap memory.

HeapMemoryUsage used(%)

Indicates the heap memory percentage (%) currently used in respect to the maximum heap memory.

NonHeapMemoryUsage committed(%)

Indicates the non-heap memory percentage (%) that can currently be used in respect to the maximum non-heap memory.

NonHeapMemoryUsage used(%)

Indicates the non-heap memory percentage (%) currently used in respect to the maximum non-heap memory.

Usage committed

Indicates the memory pool volume (MB) that can currently be used.

Usage init

Indicates the memory pool volume (MB) assigned in the initial state.

Usage max

Indicates the maximum memory pool volume (MB) that can be used.

Usage used

Indicates the memory pool volume (MB) currently used.

PeakUsage committed

Indicates the peak time value of the memory pool volume (MB) that can currently be used.

PeakUsage init

Indicates the peak time value of the memory pool volume (MB) assigned in the initial state.

PeakUsage max

Indicates the peak time value of the memory pool volume (MB) that can be used.

PeakUsage used

Indicates the peak time value of the memory pool volume (MB) currently used.

Usage committed(%)

Indicates the memory pool percentage (%) that can currently be used in respect to the maximum memory pool.

Usage used(%)

Indicates the memory pool percentage (%) currently used in respect to the maximum memory pool.

PeakUsage committed(%)

Indicates the peak time value of the memory pool percentage (%) that can currently be used in respect to the maximum memory pool.

PeakUsage used(%)

Indicates the peak time value of the memory pool percentage (%) currently used in respect to the maximum memory pool.

CommittedVirtualMemorySize

Indicates the memory size (MB) currently used by JVM.

FreePhysicalMemorySize

Indicates the empty physical memory size (MB).

FreeSwapSpaceSize

Indicates the empty swap space size (MB).

ProcessCpuTime

Indicates the process CPU time (ms). (Difference from previous acquisition)

TotalPhysicalMemorySize

Indicates the total physical memory size (MB).

TotalSwapSpaceSize

Indicates the total swap space size (MB).

FreePhysicalMemory(%)

Indicates the empty physical memory percentage (%).

FreeSwapSpace(%)

Indicates the empty swap space percentage (%).

bytesReceived

Indicates the number of bytes received by the request processor. (Difference from previous acquisition)

bytesSent

Indicates the number of bytes sent by the request processor. (Difference from previous acquisition)

errorCount

Indicates the number of errors by the request processor. (Difference from previous acquisition)

maxTime

Indicates the request processor request maximum processing time (ms).

processingTime

Indicates the request processor request processing time (ms). (Difference from previous acquisition)

requestCount

Indicates the number of requests processed with the request processor. (Difference from previous acquisition)

error(%)

Indicates the request processor error percentage (%). (Difference from previous acquisition)

processingTime/requestCount

Indicates the processing time per request of the request processor. (Difference from previous acquisition)

requestCount/sec

Indicates the number of requests per second of the request processor. (Difference from previous acquisition)

bytesSent/sec

Indicates the number of sent bytes per second of the request processor. (Difference from previous acquisition)

State

Indicates the server status.

0: Currently stopping or cannot connect.

1: In the started and connected state.

classLoadTime

Indicates the servlet class load time (ms). (Difference from previous acquisition)

errorCount

Indicates the number of errors by the servlet. (Difference from previous acquisition)

loadTime

Indicates the servlet load time (ms). (Difference from previous acquisition)

maxTime

Indicates the servlet request maximum processing time (ms).

minTime

Indicates the servlet request minimum processing time (ms).

processingTime

Indicates the servlet processing time (ms). (Difference from previous acquisition)

requestCount

Indicates the number of requests processed with the servlet. (Difference from previous acquisition)

error(%)

Indicates the servlet error percentage (%). (Difference from previous acquisition)

processingTime/requestCount

Indicates the processing time per request of the servlet. (Difference from previous acquisition)

requestCount/sec

Indicates the number of requests per second of the servlet. (Difference from previous acquisition)

CurrentThreadCpuTime

Indicates the current thread CPU time (ns).

CurrentThreadUserTime

Indicates the current thread user time (ns).

DaemonThreadCount

Indicates the number of Daemon threads.

PeakThreadCount

Indicates the number of peak threads.

ThreadCount

Indicates the number of current threads.

StartedThreadCount

Indicates the number of threads from when the application was started. (Difference from previous acquisition)

currentThreadCount

Indicates the number of current threads.

currentThreadsBusy

Indicates the number of threads currently used.

maxSpareThreads

Indicates the maximum number of spare threads.

maxThreads

Indicates the maximum number of threads.

minSpareThreads

Indicates the minimum number of spare threads.

currentThreadCount(%)

Indicates the current percentage (%) of threads in respect to the maximum number of threads.

processingTime

Indicates the Web module processing time (ms). (Difference from previous acquisition)

Detailed description of Tomcat monitored counters

This section explains in detail the counters that can be monitored with the Tomcat performance monitoring function. The monitored instances and monitored counters are common to all Tomcat instances.

When you click on a monitored instance, the description for the counters of the instance will be displayed. When you click on the same object again, the description will disappear.

[Cache:<Host name>:<Path name>]

[ClassLoading]

[Compilation]

[DataSource:<Class name>:<Data source name>]

[GarbageCollector:<Garbage collector name>]

[GlobalRequestProcessor:<Connector name>]

[JspMonitor:<JSP monitor name>:<Web module name>:<J2EE application name>:<J2EE server name>]

[Manager:<Path name>:<Host name>]

[Memory]

[MemoryPool:<Memory pool name>]

[OperatingSystem]

[RequestProcessor:<Connector name>:<Request processor name>]

[Server]

[Servlet:<Servlet name>:<Web module name>:<J2EE application name>:<J2EE server name>]

[Threading]

[ThreadPool:<Connector name>]

[WebModule:<Web module name>:<J2EE application name>:<J2EE server name>]

[Note]

  • Removing the configured connection to an added monitored object will not automatically remove the object. Before removing the configured connection, remove its corresponding monitored object from Performance Monitoring.

  • The shortened instance name is used, and it is cut short when its characters exceed 128. Please refer to Monitor Tomcat performance for the naming rule.

  • In Tomcat 5.0, cannot monitor DataSource, JspMonitor, WebModule.

  • In Manager instance, the value of activeSessions, activeSessions(%), and rejectedSessions counter does not change in the servlet that does not call the HttpSession getSession() method.

  • In Tomcat 7.0, maxSpareThreads counters of the ThreadPool instance cannot be monitored.

  • In Tomcat 8.0, accessCount, cacheSize, hit(%) and hitsCount counters of the Cache instance, active(%), maxActive and numInActive counters of the DataSource instance, and maxSpareThreads counters of the ThreadPool instance cannot be monitored.


Import the monitoring setting for Tomcat performance monitoring

This product includes definition files for the Tomcat performance monitoring function. Importing these definition files helps you set items for performing Tomcat more easily.

The following explains the steps for importing the Tomcat performance monitoring definition data:

  1. Ensure that the host is set as a target to be monitored
    Check that the host on which Tomcat is running is set as a target to be monitored. If the host is excluded from monitored objects, set it up as a target to be monitored by checking the checkbox to the left of the host name.

    For more information on these setting steps, refer to here.
    [References]
    Configure host settings

  2. Register the Tomcat monitoring server as a monitored object
    In preparation to import definition files, you must register the Tomcat server to be monitored as a monitored object for performance monitoring.
    For more information on the registration steps, refer to here.
    [References]
    Register the Tomcat servers

  3. Check that it has been registered as a monitored object
    When registration completes, the corresponding monitored object is added in the [Performance Monitor Setting] window. Confirm that the object has been registered from the [Performance Monitor Setting] window. It is displayed in the form of "Tomcat (Server ID)" by using the registered server ID.
    For information on displaying the [Performance Monitor Setting] window, refer to here.

    [Note]
    At this point in time, do not check the monitored object that has been registered. It will be checked automatically when applying the definition file.

    [References]
    Define the monitored resource

  4. Import definition files
    After editing the desired definition file, import it by using the function for importing agent definitions. Select the host node on which Tomcat is running from the Topology view and select [Import] by right-clicking on the node.
    When the [Import Service] dialog has been displayed, click on the [Browse] button and specify either of the following folder:

    • Parallel GC
      C:\Program Files\NEC\UMF\Operations\Svc\template\Tomcat\ParallelGC
    • Serial GC
      C:\Program Files\NEC\UMF\Operations\Svc\template\Tomcat\SerialGC
    • Concurrent GC
      C:\Program Files\NEC\UMF\Operations\Svc\template\Tomcat\ConcurrentGC
    • G1GC
      C:\Program Files\NEC\UMF\Operations\Svc\template\Tomcat\G1GC

    GC (garbage collection) policy is different according to whether a type of JVM (since J2SE5.0) that operates Tomcat (server or client) and it is a server class machine or not. Apply an appropriate definition file because the Tomcat monitoring instance name is different depending on each GC policy, and customize it if necessary according to the environment.

    VM type

    GC policy

    Definition file

    Server (*1)

    None

    Parallel GC

    Serial GC

    Serial GC

    Parallel GC

    Parallel GC

    Concurrent GC

    Concurrent GC

    G1GC

    G1GC

    (*1) Running by the server is recommended though default VM type of Windows is a client. Customize the monitoring instance according to the environment after applying the definition file when VM type is set to client, or it is not a server class machine.
    You can confirm the VM type and the GC policy by using Java start options, jvm.cfg file, JConsole tool, and so on.
    In Windows, you can confirm them from the Java tab on the Tomcat setting window.

    When you have specified the folder, a window similar to the one shown below appears, where you can select functions. When you have confirmed that the checkbox to the left of [Performance Monitor] is checked, click on the [OK] button.

    When the [Import Setting] window has been displayed, set the Tomcat server to which you establish a connection. Display the [Server ID Setting] window by double-clicking on the [Server ID] item.

    When the [Server ID Setting] window has been displayed, enter the server ID that you registered as a monitored object in [Server ID].

    [Note]
    Specify the server ID by using exactly the same server ID that you specified when you established a connection to the Tomcat monitored server (note that server IDs are case-sensitive).

    If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking on the [Logging option] item.

    When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (which means I want to save the history) in [Logging option]. The default value of [Logging option] is "0" (which means I do not want to save the history).

    When you click on the [OK] button, you return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click on the [OK] button. The definition file is read and items in the file are reflected to this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • Please think the threshold set with the watch template to be a reference value. Because a proper value is different according to the system, it is necessary to verify the threshold with the system that uses it.

[References]
Import the definition for monitored agents


Set a timeout for Tomcat monitoring

The Tomcat monitoring functions may take some time to monitor the operating status of a monitored Tomcat system, depending how the system is loaded.

If the monitoring operations have not been completed within the interval before the next one comes, the monitoring functions omit monitoring activities in the particular interval.

In addition, each of the monitoring functions sets its own timeout, it discontinues its monitoring activities when the timeout is exceeded. When the monitoring activities are discontinued, collection is not performed until the next monitoring interval. Each retries to resume monitoring in the next monitoring interval.

Depending on the environment, skip and timeout may occur frequently. In such cases, change the parameters at monitoring timeout skip settings.

Note that you can generate a message when a skip event or timeout event occurs by setting an appropriate parameter. For details about theses messages, refer to "Messages Agent/Manager outputs."

Set a relevant parameter(s) by editing the CollectorTomcat.ini file.

  • Location for the CollectorTomcat.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorTomcat.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorTomcat.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | Key | Overview | Secifiable range
Config | MonitoringTimeout | Set a desired timeout for performance collection. Set a smaller value than the monitoring time interval set for performance collection. | 1-1000 [in seconds] 0: No timeout (default)
 | MonitoringTimeoutMessage | Control output of the message (00411014) when a monitoring timeout (MonitoringTimeout) occurs. | 0: No output 1: Output (default)
 | SkipMessage | Control output of the message (00411013) when a monitoring skip occurs. | 0: No output 1: Output (default)

(Setting example)

When setting the monitoring timeout to 60 seconds and outputting a message when it occurs:

[Config]

MonitoringTimeout=60

MonitoringTimeoutMessage=1

[Note]

  • The changed value of each parameter will take effect after restarting the agent.


Change the number of threads for monitoring Tomcat

When one agent monitors multiple instances, the monitoring performance of the agent may deteriorate as the number of the monitored instances increases. When the monitoring performance deteriorates, the performance collection activity cannot be completed within the monitoring interval, resulting in the generation of a monitoring timeout.

If the monitoring timeout frequently occurs, you can improve the monitoring performance by increasing the number of monitoring threads.

Set a relevant parameter(s) by editing the CollectorTomcat.ini file.

  • Location for the CollectorTomcat.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorTomcat.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorTomcat.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | Key | Overview | Specifiable range
Config | CollectingThreads | Specify the number of collecting threads | 1-10 (default: 5)
 | MaxThreads | Set the maximum number of threads available to the entire Tomcat monitoring functions. | Positive integer (default: 10) 0: No limit
 | MaxRecoveryThreads | The maximum number of recovery attempts for each instance. | 1-5 (default: 3) 0: No recovery attempt
 | MaxThreadsExcessMessage | Control output of the message (00411015) when the maximum number of monitoring threads (MaxThreads) is exceeded. When this message is output, it means that the agent uses its available resources to the maximum extent, so that you must restart the agent to restore it. | 0: No output 1: Output (default)

(Setting example)

When setting the number of collecting threads to 5 and the maximum number of threads to 10, and outputting the message when the maximum number of threads is exceeded:

[Config]

CollectingThreads=5

MaxThreads=10

MaxThreadsExcessMessage=1

[Note]

  • The changed number of monitoring thread will take effect after restarting the agent.

  • Increasing the number of monitoring threads also will increase the usage of memory. Set the best value, considering your environment.


About SAP monitoring

The SAP monitoring functionality of this product provides functions for monitoring the operating status and system logs of a SAP system running on an agent. The performance monitoring function allows performance to be monitored by viewing graphs and output CSV format files.

The SAP monitoring functionality includes the following functions:

  • System Log Monitoring
    Periodically monitors the system log for a specified ABAP instance. Using the application log monitoring function and the message monitoring function enables you to monitor SAP system logs within your system in an integrated manner.

  • CCMS alerts Monitoring
    Periodically monitors CCMS alerts within a specified monitor. Using the application log monitoring function and the message monitoring function enables you to monitor CCMS alerts within your system in an integrated manner.

  • Performance Monitoring
    The following items are monitored using CCMS monitoring infrastructure of SAP. Connected to SAP, using SAP NetWeaver RFC libraries.

    • Operating status of instances

    • Information on each work process (such as the number of work processes completed abnormally, the number of errors, and CPU utilization)

    • Information on buffers (such as directories, buffer memory utilization, and hit rate)

    • Information on memories (such as the sizes and utilizations of heap memory, extension memory management slots, paging areas, and rolling areas)

    • Information on response time (such as dialog service, transaction)

    • A desired items of CCMS Monitoring(MDM and Java stack monitoring)

The SAP monitoring functionality of this product needs to define "monitored resource(s)", "monitored instance(s)" and "monitored counter(s)" for performing a monitoring process. These terms are defined as follows:

[Resource]

This refers to an object for which performance is monitored. In this functionality, it refers to a SAP instance.

[Instance]

This refers to one of the units into which a resource is further classified. In this functionality, it refers to an item such as each work process.

[Counter]

This refers to performance monitoring information retrieved on the various sections of a system in question concerning a specified resource and a specified instance. In this functionality, it refers to information such as average response time.

  • Monitored data collection function
    Monitors resource information of a specified instance. The collected data is managed centrally and displayed through the performance monitoring function by the manager. An operator will be notified via such means as a node color change and/or sound when the performance state indicates a failure.
    [Reference]
    Set the monitored hosts for SAP performance
    Register a SAP instance
    Configure a connection to SAP
    About performance monitoring

  • Threshold monitoring function
    Monitors a threshold value(s) for a specified SAP resource(s)
    [Reference]
    Set details of a monitored counter (threshold value)

  • Logging function
    Logs resource data that has been retrieved on the agent side within the agent. The logged data can be referred to and output as a CSV file on the monitoring terminal.
    [Reference]
    Output history data to a file

  • Reporting function
    Performs Patlite, e-mail, and action reporting to alert operators when the state of a specified resource or process has changed.
    [Reference]
    Set details of a monitored counter (threshold value)

[Supported versions]

  • For information on SAP versions supported by this product, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media.

[Note]

  • The time zone in which a SAP system exists must match that of the OS.

  • The Generated Time column that is displayed in Business View indicates the time at which a log is detected with the application log monitoring function, not the generated time on the SAP system. The time (in the time zone of the SAP system) at which a log was generated on the SAP system is displayed in the text body of a message.

  • System logs or CCMS alerts generated at the same time may be output to a file in a different order than the one in which they are displayed in transaction SM21or RZ20.

  • A text file output by a system log or CCMS alerts monitoring process will be swapped with a new text file when it reaches approximately 1Mbyte in size. For this reason, when you refer to the content of this file in an application log monitoring view, only the latest log record may be displayed. System logs collected by the SAP system are stored in Business View.

  • This functionality also collects system logs or CCMS alerts generated while a MasterScope SystemManager G agent(s) is stopped. For cases such as those in which you restart the agent after you stop it for a long time, it may collect a large number of logs or CCMS alerts and consume more resources than usual when the agent is restarted.

  • It may take some time to stop the agent while system logs or CCMS alerts are being collected.

  • For cases such as those in which the agent is terminated unexpectedly, some log or CCMS alerts records may be duplicated.

  • The SAP monitoring functionality operates in conjunction with particular SAP libraries it links. If any of the libraries is not present, you must acquire it from the SAP AG home page.

For the Windows platform, you also may need the VS2005 runtime DLL, depending on your environment of use. For more information on how to acquire and set the DLL, refer to "Perform preparations for SAP monitoring."

  • SAP CCMS monitoring performs a monitoring process at a monitoring interval set for each item in transaction RZ20, but this product performs it at only one monitoring interval set in the system.

  • For each process of test connection, system log collection, and performance information collection, you need to connect to and disconnect from the SAP system. For this reason, the information on connecting to and disconnecting from and logging onto and logging off of the SAP system remains in the XMI log.

  • In the monitoring interval the CCMS alerts that are occurred and dealt are collected.

  • CCMS alerts that are occurred during the monitoring interval, exceed the number of keeping warning, and are deleted are not collected.

  • At the monitoring User Definition or CCMS alrets, If monitored attributes, which are included in a Monitor such as [SAP CCMS Monitor Templates] - [Entire System] or [SAP J2EE Monitor Templates] - [All Systems], are many, it may take some time to gather and monitor the relevant information. If you want to monitor User Definition or CCMS alerts , you need to define a Monitor in such a way as to register to the Monitor only monitored attributes on which CCMS alerts will be monitored, and monitor them with SystemManager G.

  • The performance of the SAP system often goes down as monitoring SAP system, instance, and number of counters increase.


Perform preparations for SAP monitoring

  • Setting CCMS agent
    SystemManager G is observed for the monitor and the attribute of monitoring, which are displayed in transaction RZ20. When monitoring CCMS alerts and performance are executed by stacks (Java stack and MDM) other than the ABAP stack, the CCMS agent's introduction is necessary for prior. SystemManager G connects with Central monitoring system (CEN) that connects it from the CCMS agent and collects information.
    For the monitored images using CCMS, refer to the following description:
    http://help.sap.com/saphelp_nw70/helpdata/EN/e2/eff640fa4b8631e10000000a1550b0/frameset.htm

  • User name, password for SAP
    SystemManager G uses RFC (Remote Function Call) for connection. You need to create a user that has S_RFC and S_XMI_PROD permission objects set. Assign the respective permission objects to S_RFC_ALL or S_XMI_ADMIN.

  • Setting SAP NetWeaver RFC library and Microsoft VS2005 runtime DLL

    • Setting SAP NetWeaver RFC library
      SystemManager G requires a SAP NetWeaver RFC library (SAP NW RFC SDK 7.11 Patch level 4 or higher) to monitor SAP. To get and set the library, follow these steps :

      • For the latest information on SAP NetWeaver RFC Library, refer to http://service.sap.com/connectors.

      • For the combinations of SAP system versions and OS versions with SAP NetWeaver RFC library versions and for the upper/lower compatibility of the SAP NetWeaver RFC library, refer to SAP NOTE 413708.

  1. Access the support portal site of SAP AG
    Please access the following URL. To access the site, you must establish your own account (SAP Marketplace ID).
    http://service.sap.com/swdc

  2. Get the RFC run environment
    Select the [Download] tab in the upper section of the window.
    Select [SAP Software Download Center] - [Support Packages and Patches] - [Search for Support Packages and Patches] in the tree on the left section of the window.
    Specify "NWRFC" for the search word and start the search operation.

    Download the following according to the platform for the agent:

      • For Windows
        Support Package SAP NW RFC SDK 7.XX Windows Server on IA32 32bit

      • For HP-UX
        Support Package SAP NW RFC SDK 7.XX HP-UX on IA64 64bit

        [Note]

        • Even if a server that will monitor SAP is in a Windows x64 environment, set up the 32-bit library.

  3. Locate the RFC run environment
    For Windows
    Store the following libraries under <Directory installing agent function>\Agent\bin:

    icudt34.dll,I cuin34.dll, icuuc34.dll, libicudecnumber.dll, libsapucum.dll, sapnwrfc.dll

    For HP-UX
    Store the following libraries under <Directory installing agent function>/Agent/bin

    libicudata.sl.34, libicui18n.sl.34, libicuuc.sl.34, libicudecnumber.so, libsapucum.so, libsapnwrfc.so

    • Setting the Microsoft VS2005 runtime DLL
      To monitor SAP with SystemManager G, you need the VS2005 runtime DLL. The required runtime DLLs are normally installed with SAPinst, but your environment may need additional other DLLs. For more information, refer to SAP Notes 1025361 and 684106.
      If you need other DLLs, set them by following these steps:

    1. Obtain the installation program
      Download the DLL indicated in the SAP Note 684106 from the Microsoft download site. Even if the server monitoring SAP is a Windows x64 environment, download the 32-bit DLL.

    2. Run the installation program
      Run the downloaded installation program.

    • Checking if the SAP NetWeaver RFC library and Microsoft VS2005 runtime DLL are set properly.
      Run <Directory installing agent function>\Agent\bin\CollectorSAPCmd.exe from the command prompt. If the following message is displayed, they have been set properly:

      CollectorSAPCmd version X.X
      *XX displays a real version number.

  • Setup when using IPv6 address
    To enable communication on the host where the SAP system is operating by specifying an IPv6 address, the operating system environment variables and Java system properties must be specified.
    The environment variables to specify are shown below.

Environment variable name | Value | SAP version
NI_USEIPv6 | Any value | SAP Kernel 7.10 Patch 150 or later SAP Kernel 7.11
SAP_IPv6_ACTIVE | 1 | SAP Kernel 7.20

Environment setting after installing SystemManager G

  • Changing an interface of system logs monitoring (XAL/XMB)
    Change an interface

  • Changing the method to monitor (file output format/file non-output format)
    Change the method to monitor system logs
    Change the method to monitor CCMS alerts

  • Tuning of SAP monitoring
    SAP monitoring timeout settings
    Change the number of threads for monitoring SAP
    Reset the time to read SAP system logs


Set the monitored hosts for SAP performance

If you are running a larger number of agents than the number of licenses for the SAP monitoring function you have purchased, you must select the appropriate number of agent hosts on which you will monitor SAP.

Refer to Configure host settings, for the configuration method.


Register a SAP instance

This operation must be executed after shifting into the configuration mode.

To monitor SAP, you must register a desired SAP instance to be monitored.

Right-click on the agent node to which SAP has been installed, and select [SAP] from the displayed [Edit Application Management Instance] menu. The [SAPMonitor - Instance Setting] dialog will be displayed, with a list of the monitored SAP instances that have been registered.

  • InstanceID

Displays the instance identification character string for each registered monitored instance.

  • Description

Displays the description of each instance.

  • [Add] button

Clicking on this button will display the [Add Instance] dialog and enable you to add a new monitored instance.

  • [Edit] button

Clicking on this button will display the [Edit Instance] dialog and enable you to set the selected monitored instance again.

  • [Delete] button

Clicking on this button will delete the selected monitored instance.

  • [OK] button

Establishes a connection to the set instance and closes the dialog. When a connection to an instance has been successfully established, the system log will be monitored automatically.

[Note]

If a host is not set up as a SAP monitored host, a connection to any SAP instance cannot be established.

  • [Cancel] button

Clicking on this button will cancel changes to the settings and close the dialog.

Once the instance has been registered, its corresponding node is automatically added under the Application Summary view.

Also, to open the [SAPMonitor - Instance Setting] dialog, select the [Edit Instance] from right click menu of the [ApplicationSummary] - [SAP] - [Host] node.

[Note]

Once you delete a SAP instance, the text file to which the system log is output will be deleted.

[Reference]

Set the monitored hosts for SAP monitoring


Configure a connection to SAP

This operation must be executed after shifting into the configuration mode.

This process sets information of a SAP instance to be registered as a monitored instance.

You must set a SAP instance from the [Add Instance] or [Edit Instance] dialog.

To display the [Add Instance] or [Edit Instance] dialog, the following methods are provided:

  1. In the [SAPMonitor - Instance Setting] dialog, click on the [Add] button.

  2. In the [SAPMonitor - Instance Setting] dialog, select a desired registered instance and click on the [Edit] button.

  3. In the [SAPMonitor - Instance Setting] dialog, double-click on a desired registered instance.

  • InstanceID

Specify the arbitrary ID that identifies this SAP instance, within a maximum of 64 characters. The allowable characters are single-byte alphanumeric characters and underscore (_).

The instance ID cannot be changed from the [Edit Instance] dialog.

  • Host

Set the host name or IP address of the monitored SAP instance. You should use "localhost" (or localhost.localdomain) for [Host] if possible.

  • Use IPv6
    Select this check box to specify an IPv6 address for the host name.
    It always operates as IPv4 when using a version older than Ver4.1.0 even when this check box is selected.

  • SystemID

Set the system ID of the monitored SAP instance.

  • InstanceName

Set the instance name (application server name) of the monitored SAP instance. The instance name must be set in the form of [Host]_[SystemID]_[SystemNum].

  • SystemNum

Set the system number of the monitored SAP instance.

  • Client

Specify the client to which the SAP user to be used for connection belongs.

  • Username

Enter the SAP username to be used for connection, within a maximum of 64 characters. Specify the user name that was created in "Perform preparations for SAP monitoring."

  • Password

Enter a password for the SAP user to be used for connection, within a maximum of 32 characters.

  • Language

Specify a desired language used when connecting to the monitored SAP instance, within a maximum of 2 characters.

  • Description

Describe this instance, within a maximum of 255 characters. The Description is optional.

[Note]

  • Semicolons (;) cannot be used for input items except for the description field.

  • For Windows agents, AUX, COM1 to COM9, CON, LPT1 to LPT9, NUL, PRN cannot be used for the instance ID of the SAP.

  • When monitoring a stack other than the ABAP stack, register CEN as an instance.

  • When you add or edit a SAP instance, the system will monitor system logs generated after the changes have been registered. Note that, if the system time for SAP is behind the OS time, the logs generated during the delay will not be recognized as targets to be monitored.

[Reference]

Set the monitored hosts for SAP monitoring

Register a SAP instance


About system logs monitoring

The interface to monitor can be chosen from XAL or XMB for system logs monitoring. Each interfaces include the following features.

  • XAL interface

    • The information of the system logs which can be collected is as follows.
      Date, Time, Instance, Client, User, Warning value, Message ID, Message

    • It sometimes takes time for log collection processing by the number of items of the system log stored by SAP. It occurs by the environment that the profile parameter (the preservation size of the system log, rslg/max_diskspace/local) value is configured large.

    • When monitoring system logs with the XAL interface, you may not be able to collect correct SAP system logs because the order of obtaining logs from SAP is wrong. If this is the case, you must reset the time to read the SAP system logs and resend obtained logs (notify a new message and notified message) or discard them.
      You can select the operation from resending or discarding with an appropriate parameter. For details, refer to Reset the time to read SAP system logs. This problem does not occur if you use the XMB interface.

  • XMB interface

    • The information of the system logs which can be collected is as follows.
      Date, Time, User, Program, Message ID, Message

    • When using a definition of a bundled application log monitoring, a severity of all collected log is notified as normal.

    • The log indicated at more than one lines (when for example a message is long) in transaction SM21 collects only the message shown to 1st line.

    • Parameter record lines are also collected.

By default, system logs are collected by using an XMB interface.


Change an interface

The collection interface is changed by the following procedure.

  1. Stop the agent.

  2. Edit the configuration file.

    • Configuration file to edit
      Windows agent

C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorSAP.ini
If the file does not exist, create a new file and save them in UTF-16LE (with BOM).

UNIX agent

/opt/UMF/Operations/Agent/sg/CollectorSAP.ini
If the file does not exist, create a new file save them in UTF-8 (without BOM).

  • Edit example
    In case of using XAL interface:

    [SAPsyslog]

    MonitorType=XAL

In case of using XMB interface:

[SAPsyslog]

MonitorType=XMB

[XMB_FORMAT]

ColumnNo=7

Column001=$MSCTIME$

Column002=$USERID$

Column003=$PROGRAM$

Column004=$PRIORITY$

Column005=$GRP$

Column006=$N$

Column007=$MSG$

[XMB_FORMAT_LEN]

$MSCTIME$=6

$USERID$=12

$PROGRAM$=8

$PRIORITY$=30

$GRP$=2

$N$=1

$MSGID$=30

$MSG$=255

[XMB_FORMAT_EN]

$MSCTIME$=Time

$USERID$=User

$PROGRAM$=Program

$PRIORITY$=Priority

$GRP$=Grp

$N$=N

$MSG$=Text

For the system logs monitoring using XMB interface, it is necessary to configure the date format which was adapted to the user information registered on the SAP side. Confirm the user which is specified at instance setting on SystemManager G using transaction SU01 on SAP. When the date format is not "DD.MM.YYYY", add the following contents in CollectorSAP.ini.

Example: When "YYYY-MM-DD" is specified as date format

[XMB_FORMAT]

Date=YYYY-MM-DD <- Add this line

ColumnNo=7

...

[Note]
Specify the date using 4-digits (YYYY) as year, 2-digits (MM) as month, 2-digits (DD) as day.

  3. Delete the temporary files.

    • Temporary files to delete

Windows agent

C:\Program Files\NEC\UMF\Operations\Agent\sg\AppNavi\CollectorSAP\SAPsyslog\[InstanceID]\*.pos1 and *.pos2

UNIX agent

/opt/UMF/Operations/Agent/sg/AppNavi/CollectorSAP/SAPsyslog/[InstanceID]/*.pos1 and *.pos2

Regard [InstanceID] as the instance specified by "Add Instance" or "Edit Instance" dialog.

  4. Start the agent.

[Note]

  • While the interface is changed, the system logs which occurred are not collected.


Change the method to monitor system logs

You can select the method to monitor system logs from the file output format and the file non-output format.

The file non-output format is easier to be set and imposes lighter load on an agent than the file output format. It is recommended to use the file non-output format in normal operation. If you want to configure more advanced settings, use the file output format.

Agents use the file output format and remote hosts use the file non-output format as their default monitoring method. The file output format cannot be used for agentless monitoring.

  • File output format
    Periodically monitors the system log for a specified ABAP instance and outputs the results to a text file. Monitoring the created text files with the application log monitoring function enables you to report the results as a message to Business View.

[Features]

  • Using the filter function in the application log monitoring enables you to assign any object name, message ID, severity, and other information to a system log.

  • Using the message ignore function in the application log monitoring enables you to suppress unnecessary reports of system logs.

For details about the file output format, refer to the following:

    • Using an XAL interface
      Monitor SAP system logs
      Configure settings for application log monitoring
      Configure settings for message monitoring

    • Using an XMB interface
      Monitor SAP system logs
      Configure settings for application log monitoring
      Configure settings for message monitoring

  • File non-output format
    Periodically monitors the system log for a specified ABAP instance and outputs the results as a message to Business View . The file non-output format operates in the same way as when importing a definition file for SAP system log monitoring into the application log monitoring function if the monitoring method is the file output format.

[Features]

  • As it is not necessary to configure settings for the application log monitoring, you can monitor system logs only by configuring settings for message monitoring.

  • As it can suppress file I/O activities, you can make lighter the load on an agent.

The file non-output format reports a system log to Business View in the following format:

  • When using an XAL interface

Category | Application
Node | Agent name/remote host name
Application | SAP
Object | SAPsyslog
Message ID | The same as the warning value of a system log (00000000-00000003)
Severity | * Warning value of this system log | Reported severity
 | 0 | Normal
 | 1 | Normal
 | 2 | Warning
 | 3 | Abnormal

* It corresponds to the color of transaction code SM21

0: Gray (invalid information)

1: Green (normal)

2: Yellow (warning)

3: Red (abnormal)

The format for message text is the same as the one with which the file output format method outputs information to a text file. For details, refer to "Monitor SAP system logs."

    • When using an XMB interface

Category | Application
Node | Agent name/remote host name
Application | SAP
Object | SAPsyslog
Message ID | 00000000
Severity | 0

The format for message text is the same as the one with which the file output format method outputs information to a text file. For details, refer to "Monitor SAP system logs."

To monitor messages in Business View, you must configure settings for message monitoring. For details, refer to the following:

    • Using an XAL interface
      Configure settings for message monitoring

    • Using an XMB interface
      Configure settings for message monitoring

Editing the CollectorSAP.ini files enables you to change the monitoring method.

  • Location for the CollectorSAP.ini

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorSAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorSAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | [SAPsyslog]
Key | CreateMessageLevel
Value | 0: | Operates with the file output format.
 | 1: | Operates with the file non-output format. All system logs will be reported to Business View.
 | 2: | Operates with the file non-output format. Only system logs whose color of transaction code SM21 is yellow (warning) or red (abnormal) will be reported to Business View.

[Note]

  • The changed monitoring method will take effect after restarting the agent.

  • The file output format cannot be used for agentless monitoring.

  • The system log monitoring method is set on a-per-agent basis. You cannot set a different monitoring method for each instance.


Monitor SAP system logs

Once you have registered a SAP instance, the SAP monitoring functionality will monitor system logs for an ABAP instance automatically. The system logs are monitored at intervals of 60 seconds, and generated system logs will be output to a text file when the monitoring method is the file output format and will be reported as a message to Business View when the method is the file non-output format. If the monitoring method is the file output format, you can monitor the created text files with the application log monitoring function and display them in Business View by setting a filter on them in the message monitoring function.

In the case of the file output format, system logs are output to a text file in the following format. In the case of the file non-output format, the message text are formed in the following format.

$MSCDATE$$MSCTIME$$MTMCNAME$$MANDT$$USERID$$VALUEFLTRD$$MSGID$$MSG$

An item enclosed with "$" will be replaced with the following content item in a system log. If a replaced character string is shorter than the predefined length, the string will be padded with single-byte spaces.

Field Name | Description | Length (in characters) | Occurrence Position on File (in characters)
$MSCDATE$ | Date on which this system log was generated | 8 | 1
$MSCTIME$ | Time at which this system log was generated | 6 | 9
$MTMCNAME$ | Source instance that generated this system log | 40 | 15
$MANDT$ | Source client that generated this system log | 3 | 55
$USERID$ | Username that generated this system log | 12 | 58
$VALUEFLTRD$ | Warning value of this system log Corresponds to the color of transaction code SM21 0: Gray (invalid information) 1: Green (normal) 2: Yellow (warning) 3: Red (abnormal) | 10 | 70
$MSGID$ | Message ID of this system log | 30 | 80
$MSG$ | Translated message of this system log | 255 | 110

In the case of the file output format, a text file to which system logs are output has the following specification.

  • Output directory
    Windows agent

C:\Program Files\NEC\UMF\Operations\Agent\sg\AppNavi\CollectorSAP\SAPsyslog

HP-UX agent
/opt/UMF/Operations/Agent/sg/AppNavi/CollectorSAP/SAPsyslog

  • File name

[Instance ID].log

[Instance ID].log1 (backup file)

* [Instance ID] will be replaced with the value you specified in the [Add Instance] or [Edit Instance] dialog.

  • Character code

Unicode (UTF-8)(Byte Order Mark is not assigned)

  • Linefeed code

LF

  • File size

Approximately, 1MB

  • Number of backup files

One file

  • Swap method

Rename method. When the text file reaches 1MB in size, the text files will be swapped in the following order:

    1. The backup file is removed

    2. The current file is renamed to the backup file name

    3. A new current file is created

    4. System logs are written into the current file

* When the current file renaming has been unsuccessful, system logs will still be output to the file, ignoring the fact that the file size has already exceeded the limit.

[Reference]

Configure settings for application log monitoring

Configure settings for message monitoring

About application log monitoring

About message monitoring


Configure settings for application log monitoring

This operation must be executed after shifting into the configuration mode.

This product includes application log monitoring definition files for SAP system log monitoring. You can more easily set an application log monitoring process by importing these definition files and modifying them to suit your environment.

The following settings must be configured only when the monitoring method is the file output format. For the file non-output format, they do not need to be configured.

  1. Import a definition file

Select the agent node to which SAP has registered instances from Topology View and select [Import] by right-clicking on the node.

When the [Import Service] dialog has been displayed, click on the [Browse] button and specify the following folder:

Windows agent

C:\Program Files\NEC\UMF\Operations\Svc\template\SAP\syslog

HP-UX agent
C:\Program Files\NEC\UMF\Operations\Svc\template\SAP\syslog_UNIX

When you have specified the folder, a window similar to the one shown below appears in which you can select functions. When you have confirmed that the checkbox to the left of [Application Log Monitor] is checked, click on the [OK] button.

Click on the [OK] button to read the definition file and reflect the content.

  2. Set an application log definition

Select [Update] from the right-click menu of the added application log node. When the [Monitor Log File Setting] dialog has been displayed, modify the following items and click on the [OK] button.

    • Application Name

Change this to any desired name. It is not required to change this item. In cases such as those in which several instances have been registered to one agent node, you need to change this to differentiate the instances.

    • Log File Name

Change the end of the file name or the "Instance.log" section to the instance ID specified in the [Add Instance] or [Edit Instance] dialog. If you do not change the Log File Name, application logs will not be monitored.

[Note]

Do not change the extension (".log").

    • Backup Files

As in Log File Name, change the name of backup file No.1 or the "Instance.log12 section to the instance ID. The backup file will be edited in the [Monitor Backup Files Setting] window, displayed by selecting the backup file row and clicking on the [Edit] button, or double-clicking on the backup file row. If you do not change the backup file name, system logs may be lost.

[Note]

Do not change the extension (".log1").

  3. Modify filter settings

Modification of filter settings is not mandatory. Select [Application Log Filter Setting] from the right-click menu of the application log node. When the [Filter Setting] dialog has been displayed, modify each entry in the dialog and click on the [OK] button.

By default, the following information will be provided to message management.

Category | Application
Node | Agent name
Application | SAP
Object | SAPsyslog
Message ID | 0000
Severity | Value of $VALUEFLTRD$ | Reported severity
 | 0 | Normal
 | 1 | Normal
 | 2 | Warning
 | 3 | Abnormal

[Reference]

Monitor SAP system logs

Configure settings for message monitoring

Define the monitored application log

Define the filter of the application log


Configure settings for message monitoring

This product includes a knowledge file for SAP system log monitoring. You can more easily set filter definitions for SAP system log monitoring by importing this knowledge file.

For more information on the steps for importing the knowledge file, refer to here.

The knowledge file is as follows:

C:\Program Files\NEC\UMF\Operations\Svc\knowledge\ApplicationNavigator\SAPsyslog.txt

[Note]

This knowledge file has been created so that it may reflect import files for application log monitoring. If you change [Application] or a filter item for application log monitoring, you must also change the filter definition in the knowledge file.

[Reference]

Configure settings for application log monitoring

Import the knowledge file


Monitor SAP system logs

Once you have registered a SAP instance, the SAP monitoring functionality will monitor system logs for an ABAP instance automatically. The system logs are monitored at intervals of 60 seconds, and generated system logs will be output to a text file when the monitoring method is the file output format and will be reported as a message to Business View when the method is the file non-output format. If the monitoring method is the file output format, you can monitor the created text files with the application log monitoring function and display them in Business View by setting a filter on them in the message monitoring function.

In the case of the file output format, system logs are output to a text file in the following format. In the case of the file non-output format, the message text are formed in the following format.

$MSCDATE$$MSCTIME$$USERID$$PROGRAM$$MSGID$$MSG$

An item enclosed with "$" will be replaced with the following content item in a system log. If a replaced character string is shorter than the predefined length, the string will be padded with single-byte spaces.

Field Name | Description | Length (in characters) | Occurrence Position on File (in characters)
$MSCDATE$ | Date on which this system log was generated | 8 | 1
$MSCTIME$ | Time at which this system log was generated | 6 | 9
$USERID$ | Username that generated this system log | 12 | 15
$PROGRAM$ | Program that generated this system log | 8 | 27
$MSGID$ | Message ID of this system log | 30 | 35
$MSG$ | Translated message of this system log | 255 | 65

In the case of the file output format, a text file to which system logs are output has the following specification.

  • Output directory

Windows agent

C:\Program Files\NEC\UMF\Operations\Agent\sg\AppNavi\CollectorSAP\SAPsyslog

HP-UX agent

/opt/UMF/Operations/Agent/sg/AppNavi/CollectorSAP/SAPsyslog

  • File name

[Instance ID].log
[Instance ID].log1 (backup file)

* [Instance ID] will be replaced with the value you specified in the [Add Instance] or [Edit Instance] dialog.

  • Character code

Unicode (UTF-8)(Byte Order Mark is not assigned)

  • Linefeed code

LF

  • File size

Approximately, 1MB

  • Number of backup files

One file

  • Swap method

Rename method. When the text file reaches 1MB in size, the text files will be swapped in the following order:

    1. The backup file is removed

    2. The current file is renamed to the backup file name

    3. A new current file is created

    4. System logs are written into the current file

* When the current file renaming has been unsuccessful, system logs will still be output to the file, ignoring the fact that the file size has already exceeded the limit.

[References]

Configure settings for application log monitoring

Configure settings for message monitoring

About application log monitoring

About message monitoring


Configure settings for application log monitoring

This operation must be executed after shifting into the configuration mode.

This product includes application log monitoring definition files for SAP system log monitoring. You can more easily set an application log monitoring process by importing these definition files and modifying them to suit your environment.

The following settings must be configured only when the monitoring method is the file output format. For the file non-output format, they do not need to be configured.

  1. Import a definition file

Select the agent node to which SAP has registered instances from Topology View and select [Import] by right-clicking on the node.

When the [Import Service] dialog has been displayed, click on the [Browse] button and specify the following folder:

Windows agent

C:\Program Files\NEC\UMF\Operations\Svc\template\SAP\syslog_XMB

HP-UX agent

C:\Program Files\NEC\UMF\Operations\Svc\template\SAP\syslog_XMB_UNIX

When you have specified the folder, a window similar to the one shown below appears in which you can select functions. When you have confirmed that the checkbox to the left of [Application Log Monitor] is checked, click on the [OK] button.

Click on the [OK] button to read the definition file and reflect the content.

  2. Set an application log definition

Select [Update] from the right-click menu of the added application log node. When the [Monitor Log File Setting] dialog has been displayed, modify the following items and click on the [OK] button.

    • Application Name

Change this to any desired name. It is not required to change this item. In cases such as those in which several instances have been registered to one agent node, you need to change this to differentiate the instances.

    • Log File Name

Change the end of the file name or the "Instance.log" section to the instance ID specified in the [Add Instance] or [Edit Instance] dialog. If you do not change the Log File Name, application logs will not be monitored.

[Note]

Do not change the extension (".log").

    • Backup Files

As in Log File Name, change the name of backup file No.1 or the "Instance.log12 section to the instance ID. The backup file will be edited in the [Monitor Backup Files Setting] window, displayed by selecting the backup file row and clicking on the [Edit] button, or double-clicking on the backup file row. If you do not change the backup file name, system logs may be lost.

[Note]

Do not change the extension (".log1").

  3. Modify filter settings

Modification of filter settings is not mandatory. Select [Application Log Filter Setting] from the right-click menu of the application log node. When the [Filter Setting] dialog has been displayed, modify each entry in the dialog and click on the [OK] button.

By default, the following information will be provided to message management.

Category | Application
Note | Agent name
Application | SAP
Object | SAPsyslog
Message ID | 0000
Severity | Normal

[References]

Monitor SAP system logs

Configure settings for message monitoring

Define the monitored application log

Define the filter of the application log


Monitor SAP CCMS alerts

Configuring CCMS alert monitoring settings from User Definition Setting enables CCMS alerts to be monitored on a registered SAP monitored instance.

[Note]

CCMS alert monitoring is performed on Monitors displayed in transaction code RZ20. If you want to monitor CCMS alerts on any stacks other than ABAP ones, you must install a CCMS agent before starting the monitoring.

When you have selected [Set User Definition Monitoring] from the right-click menu on the SAP instance node in the Application Monitor, the [User Definition Setting] window will be displayed.

Click the [Add] or [Edit] button in the [User Definition Setting] window to display the [User Definition Setting (Instance)] window, in which you can edit a Monitor Sets and Monitor on which CCMS alerts will be monitored.

After entering a desired instance name, selecting a desired Monitor to be monitored, and checking [Enable] under [Alert Monitor], click the [OK] button to start monitoring CCMS alerts with the settings you configured. The CCMS alerts are monitored at intervals of 60 seconds, and detected CCMS alerts will be output to a text file when the monitoring method is the file output format and will be reported as a message to Business View when the method is the file non-output format. If the monitoring method is the file output format, you can monitor the created text files with the application log monitoring function and display them in Business View by setting a filter on them in the message monitoring function.

[Note]

The CCMS alert monitoring monitors CCMS alerts that are generated for all the monitored attributes included in the selected Monitor. If monitored attributes, which are included in a Monitor such as [SAP CCMS Monitor Templates] - [Entire System] or [SAP J2EE Monitor Templates] - [All Systems], are many, it may take some time to gather and monitor the relevant information. If you want to monitor CCMS alerts, you need to define a Monitor in such a way as to register to the Monitor only monitored attributes on which CCMS alerts will be monitored, and monitor them with SystemManager G.

In the case of the file output format, CCMS alerts are output to a text file in the following format. In the case of the file non-output format, the message text are formed in the following format.

$ALERTNO$$ALERTDATE$$ALERTTIME$$MTSYSID$$MTMCNAME$$OBJECTNAME$$FIELDNAME$$VALUEC$$VALUE$$SEVERITY$$STATUSC$$STATUS$$MSG$

Each item enclosed by "$" will be replaced with the following component of a CCMS alert. If a replaced character string is shorter than the predefined length, the string will be padded with single-byte spaces.

Item | Description | Length (in characters) | Occurrence Position on File (in characters)
$ALERTDATE$ | CCMS alert generated date | 8 | 1
$ALERTTIME$ | CCMS alert generated time | 6 | 9
$MTSYSID$ | Systems ID from which CCMS alert was generated | 8 | 15
$MTMCNAME$ | Interface from which CCMS alert was generated | 40 | 23
$OBJECTNAME$ | Object from which CCMS alert was generated | 40 | 63
$FIELDNAME$ | Item from which CCMS alert was generated | 40 | 103
$VALUEC$ | Warning value (character) of CCMS alert Corresponds to the numerical value of $VALUE$ 0:Gray 1:Green 2:Yellow 3:Red | 10 | 113
$VALUE$ | Warning value (numerical value) of CCMS alert Corresponds to the color in transaction code RZ20 0: Gray (invalid information) 1: Green (normal) 2: Yellow (warning) 3: Red (abnormal) | 10 | 123
$SEVERITY$ | Severity | 10 | 133
$STATUSC$ | Status (character) Corresponds to Status in transaction code RZ20 0 :UNKNOWN 1 :FREE 9 :PREINIT 10 :INITIAL 30 :ACTION_REQUIRED 31 :ACTION_RUNNING 38 :ACTION_FAILED 39 :ACTION_STOPPED 40 :ACTIVE 70 :WORKFLOW_ACTIVE 75 :WORKITEM_IN_PROCESS 99 :MAX_ACTIVE 100:DONE_SET 101:DONE_TO_DB 102:DONE_DBWAIT 103:DONE_DBCOMMITED 104:DONE_ALL 200:DONE 205:AUTO_COMPLETED 210:PROTECTED 220:DELETED | 40 | 173
$STATUS$ | Status (numerical value) Corresponds to the numerical value of $STATUSC$ | 10 | 213
$MSG$ | Translated message | 255 | 223

In the case of the file output format, a text file to which CCMS alerts are output has the following specification.

  • Output directory

For Windows

C:\Program Files\NEC\UMF\Operations\Agent\sg\AppNavi\CollectorSAP\SAPalert

For HP-UX

/opt/UMF/Operations/Agent/sg/AppNavi/CollectorSAP/SAPalert

  • File name

[Instance ID]_[Instance name].log

[Instance ID]_[Instance name].log1 (backup file)

*[Instance ID] will be replaced with the value you specified in the [Add Instance] or [Edit Instance] dialog.

*[Instance name] will be replaced with the value you specified in the [User Definition Setting (Instance)] dialog.

  • Character code

Unicode (UTF-8)(Byte Order Mark is not assigned)

  • Linefeed code

LF

  • File size

Approximately, 1MB

  • Number of backup files

One file

  • Swap method

Rename method. When the text file reaches 1MB in size, the text files will be swapped in the following order:

    1. The backup file is removed

    2. The current file is renamed to the backup file name

    3. A new current file is created

    4. CCMS alerts are written into the current file

    5. When the current file renaming has been unsuccessful, CCMS alerts will still be output to the file, ignoring the fact that the file size has already exceeded the limit.

[Note]

When you configured CCMS alert monitor settings, CCMS alerts to be monitored are those that will be generated after those settings have been registered. Note that, if the system time for SAP is behind the OS time, the CCMS alerts generated during the delay will not be recognized as targets to be monitored.

[Reference]

Register a Monitor to be monitored

About application log monitoring

Configure settings for application log monitoring

About message monitoring

Configure settings for message monitoring


Change the method to monitor CCMS alerts

You can select the method to monitor CCMS from the file output format and the file non-output format.

The file non-output format is easier to be set and imposes lighter load on an agent than the file output format. It is recommended to use the file non-output format in normal operation. If you want to configure more advanced settings, use the file output format.

Agents use the file output format and remote hosts use the file non-output format as their default monitoring method. The file output format cannot be used for agentless monitoring.

  • File output format
    Periodically monitors CCMS alerts for a specified monitor and outputs the results to a text file. Monitoring the created text files with the application log monitoring function enables you to report the results as a message to Business View.

[Features]

  • Using the filter function in the application log monitoring enables you to assign any object name, message ID, severity, and other information to a CCMS alert.

  • Using the message ignore function in the application log monitoring enables you to suppress unnecessary reports of CCMS alerts.

For details about the file output format, refer to the following:

Monitor SAP CCMS alerts
Configure settings for application log monitoring
Configure settings for message monitoring

  • File non-output format
    Periodically monitors CCMS alerts for a specified monitor and outputs the results as a message to Business View. The file non-output format operates in the same way as when importing a definition file for CCMS alert monitoring into the application log monitoring function if the monitoring method is the file output format.

[Features]

  • As it is not necessary to configure settings for the application log monitoring, you can monitor system logs only by configuring settings for message monitoring.

  • As it can suppress file I/O activities, you can make lighter the load on an agent.

The file non-output format reports a CCMS alert to Business View in the following format:

Category | Application
Node | Agent name/remote host name
Application | SAP
Object | SAPalert
Message ID | The same as the warning value of a CCMS alert (00000000-00000003)
Severity | * Warning value of this CCMS alert | Reported severity
 | 0 | Normal
 | 1 | Normal
 | 2 | Warning
 | 3 | Abnormal

* It corresponds to the color of transaction code RZ20

0: Gray (invalid information)

1: Green (normal)

2: Yellow (warning)

3: Red (abnormal)

The format for message text is the same as the one with which the file output format method outputs information to a text file. For details, refer to "Monitor SAP CCMS alerts."

Editing the CollectorSAP.ini files enables you to change the monitoring method.

  • Location for the CollectorSAP.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorSAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorSAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | [SAPalert]
Key | CreateMessageLevel
Value | 0: | Operates with the file output format.
 | 1: | Operates with the file non-output format. All CCMS alerts will be reported to Business View.
 | 2: | Operates with the file non-output format. Only CCMS alerts whose color of transaction code RZ20 is yellow (warning) or red (abnormal) will be reported to Business View.

[Note]

  • The changed monitoring method will take effect after restarting the agent.

  • The file output format cannot be used for agentless monitoring.

  • The CCMS alert monitoring method is set on a-per-agent basis. You cannot set a different monitoring method for each instance.


Change the CCMS alert format

The CCMS alert message can be changed to any format. For the file output format, the CCMS alert that is output to a text file can be changed, and for the file non-output format, the message text format can be changed.

The CCMS alert format can be changed by editing the CollectorSAP.ini file.

  • Location of CollectorSAP.ini file
    [Windows agent]
    C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorSAP.ini
    If the file does not exist, create a new one, edit and save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorSAP.ini
If the file does not exist, create a new one, edit and save it in UTF-8 (without BOM).

Section

[SAPalert]

Key

Record

Value

Of the following replacement parameters, describe only those that must be output, in the same order as the output order.

$ALERTNO$

$ALERTDATE$

$ALERTTIME$

$MTSYSID$

$MTMCNAME$

$OBJECTNAME$

$FIELDNAME$

$VALUEC$

$VALUE$

$SEVERITY$

$STATUSC$

$STATUS$

$MSG$

For the description of each replacement parameter and character string length, see Monitor SAP CCMS alerts. Replacement parameters are replaced in a left-aligned format for both character strings and numeric values. When the replaced character string does not reach the specified length, spaces are used for padding. Zero padding is not performed for numeric value replacement.

The default value is as follows.

$ALERTNO$$ALERTDATE$$ALERTTIME$$MTSYSID$$MTMCNAME$$OBJECTNAME$$FIELDNAME$$VALUEC$$VALUE$$SEVERITY$$STATUSC$$STATUS$$MSG$

(Setting example)

When outputting the system ID, instance, object, date generated, time generated and message, in this order.

[SAPalert]

Record=$ALERTDATE$$ALERTTIME$$MTSYSID$$MTMCNAME$$OBJECTNAME$$MSG$

[Note]

  • The changed CCMS alert format will be reflected after the agent is restarted.

  • The changed CCMS alert format will be applied to the CCMS alerts generated after the changed settings are reflected (after the agent is restarted). The format of CCMS alerts generated before the changed settings are reflected will not be changed.

  • The format of CCMS alert is specified for each agent. Different formats for each instance cannot be specified.

  • When the format of CCMS alert is changed, the template of CCMS alert monitoring (monitoring definition applied to application log monitoring functions) that is bundled with the product cannot be used. Specify the settings for application log monitoring as described in About application log monitoring.


Configure settings for application log monitoring

This operation must be executed after shifting into the configuration mode.

This product includes application log monitoring definition files for CCMS alert monitoring. You can more easily set the application log monitoring process by importing these definition files and modifying them to suit your environment.

The following settings must be configured only when the monitoring method is the file output format. For the file non-output format, they do not need to be configured.

  1. Import a definition file

From Topology View, select the agent node to which SAP has registered instances and select [Import] by right-clicking on the node.

When the [Import Service] dialog has been displayed, click the [Browse] button and specify the following folder:

Windows agent

C:\Program Files\NEC\UMF\Operations\Svc\template\SAP\alert

HP-UX agent

C:\Program Files\NEC\UMF\Operations\Svc\template\SAP\alert_UNIX

When you have specified the folder, a window similar to the one shown below appears, in which you can select functions. When you have confirmed that the checkbox to the left of [Application Log Monitor] is checked, click the [OK] button.

Click the [OK] button to read the definition file and reflect the content.

  2. Set an application log definition

Select [Update] from the right-click menu of the added application log node. When the [Monitor Log File Setting] dialog has been displayed, modify the following items and click the [OK] button.

    • Application Name

Change this to any desired name. It is not required to change this item. In cases such as those in which several instances and/or Monitors have been registered to one agent node, you need to change this to differentiate them.

    • Log File Name

Change the end of the file name or the "InstanceID_InstanceName.log" section to the instance ID, specified in the [Add Instance] or [Edit Instance] dialog, for the "InstanceID" part, and to the instance name, specified in the [User Definition Setting (Instance)] dialog, for the "InstanceName" part. If you do not change the Log File Name, application logs will not be monitored.

[Note]

Do not change the extension (".log").

    • Backup Files

As in Log File Name, change the name of backup file No.1 or the "InstanceID_InstanceName.log1" section to the instance ID and the instance name. The backup file will be edited in the [Monitor Backup Files Setting] window, displayed by selecting the backup file row and clicking the [Edit] button, or double-clicking the backup file row. If you do not change the backup file name, CCMS alerts may be lost.

[Note]

Do not change the extension (".log1").

  3. Modify filter settings

Modification of filter settings is not mandatory. Select [Application Log Filter Setting] from the right-click menu of the application log node. When the [Filter Setting] dialog has been displayed, modify each entry in the dialog and click the [OK] button.

Category | Application
Node | Agent name
Application | SAP
Object | SAPalert
Message ID | 0000
Severity | Value of $VALUEFLTRD$ | Reported severity
 | 0 | Normal
 | 1 | Normal
 | 2 | Warning
 | 3 | Abnormal

[Reference]

Monitor SAP CCMS alerts

Configure settings for message monitoring

Define the monitored application log

Define the filter of the application log


Configure settings for message monitoring

This product includes a knowledge file for CCMS alert monitoring. You can more easily set filter definitions for CCMS alert monitoring by importing this knowledge file.

For more information on the steps for importing the knowledge file, refer to here.

The knowledge file is as follows:

C:\Program Files\NEC\UMF\Operations\Svc\knowledge\ApplicationNavigator\SAPalert.txt

[Note]

This knowledge file has been created so that it may reflect import files for application log monitoring. If you change [Application] or a filter item for application log monitoring, you must also change the filter definition in the knowledge file.

[Reference]

Configure settings for application log monitoring

Import the knowledge file


Monitor the performance of SAP

The registered monitored SAP instances are added to a list of monitored objects for performance monitoring, and they can then be monitored with the performance monitoring function.

When you select [Performance Monitor Setting] from the right-click menu on the [Performance Monitor] node in Topology View, the [Performance Monitor Setting] window appears and shows the list of monitorable resources (monitored objects). Confirm that the registered SAP instance is added to the list.

The monitored object name to be added is displayed in the form of "SAP (Instance ID)" by using the registered instance ID. When you check the checkbox to the left of the monitored object and click on the [OK] button, the [SAP (Instance ID)] node is added under the [Performance Monitor] node in the tree view.

When you have selected [Set Monitored Instance] from the right-click menu on the added monitored object node, the [Instance Setting] window is displayed.

When you check the checkbox to the left of the instance you will monitor and click on the [OK] button, the selected, monitored instance node is added under the monitored object node.

When you have selected [Set Monitored Counter] from the right-click menu on the monitored instance node, the [Counter Setting] window is displayed.

When you check the checkbox to the left of the counter you will monitor and click on the [OK] button, monitoring on the counter you have set starts. Double-clicking on the monitored instance node displays the performance monitor window.

When you select [Counter Detail Setting] from the right-click menu on the [Counter] list in the lower section of the performance monitor window, you can configure detailed display settings and threshold value monitoring for the counter.

[Reference]

For more information on the monitored instances and monitored counters, refer to here.

For more information on defining the performance monitoring, refer to here.

You can perform integrated monitoring of SAP performance from the summary view by setting a monitoring process.

[Reference]

Monitor with the SAP performance monitoring summary


View SAP performance monitoring summary

Monitor with the SAP performance monitoring summary

When you select the [SAP] node from the Application Summary view in the tree view, the summary view in the right pane will display an application summary.

The summary view is divided into [Application Summary], [Host Summary], and [Instance Summary] in the descending order of nodes. More comprehensive information is displayed in the higher summary, and more detailed information is displayed in the lower summary.

[Reference]

Monitor with the application summary

Monitor with the host summary

Monitor with the instance summary


Detailed description of SAP monitored counters

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

DirectoryUsed

Percentage use of directory.

HitRatio

Hit rate.

SpaceUsed

Percentage usage of buffer memory.

Swap

Swaps due to full buffer per minute.

Gateway_Clients

Percentage of the maximum possible clients exist for the gateway in question(%).

Gateway_CommAdmEnty

Percentage of the maximum possible communication entries on an application server(%).

Gateway_Connections

Percentage of the maximum possible connections exist for the gateway in question(%).

Gateway_RemGateways

Percentage of the maximum possible connection on the gateway in question exist to remote gateways(%).

Gateway_Workprocess

Percentage of the maximum possible gateway work processes(%).

Gateway_OverflowUsage

Percentage of the maximum possible overflow area(%).

NoOfConnections

Current number of open connections.

NoOfThreads

Current number of threads.

MPIBufUsed

Current number of MPI buffers used.

PeakMPIBufUsed

Number of used MPI buffers reached.

PeakNoOfConnections

Number of open connections reached.

PeakNoOfThreads

Number of threads reached.

PeakQueueLen

Number of elements in the queue reached.

QueueLen

Current number of elements in the queue.

CacheableAccesses

Number of cache accesses for cacheable objects(The difference between the last two samples, divided by the duration of the interval.).

CacheAccesses

Number of cache accesses(The difference between the last two samples, divided by the duration of the interval.).

CacheEntriesUsed

Current number of HTTP server cache entries in use(%).

CacheHits

Rate of hits in the HTTP cache(%).

CacheHitsMem

Rate of hits in the HTTP memory cache(%).

CacheSizeMB

Configured HTTP Server Cache(Mbyte).

CacheSizeUsed

Memory Used of the HTTP Server Cache(%).

EvictedEntries

Number of suppressed entries(The difference between the last two samples, divided by the duration of the interval.).

MaxCacheEntries

Maximum Number of HTTP Server Cache Entries.

MaxUfoEntries

Maximum Number of HTTP UFO Cache Entries.

UfoAccessCount

Number of accesses to the HTTP UFO cache(The difference between the last two samples, divided by the duration of the interval.).

UfoEntries

Number of entries in HTTP UFO cache.

UfoHitCount

Number of hits in the HTTP UFO cache(The difference between the last two samples, divided by the duration of the interval.).

State

The state of the instance. ( 0:STOPPED 1:STARTED )

EmSlotRecentPeak

High-water mark of extended memory management slots since last query(%).

EmSlotsAct

Amount currently allocated to EM management slots.

EmSlotsPeak

High-water mark of extended memory management slots since startup(%).

EmSlotsTotal

Maximum number of extended memory management slots.

EsAct

Utilization of the extended memory as a percentage(%).

EsAttached

Amount of extended memory in user contexts that is active in WPs now(%).

EsPeak

High-water mark of extended memory since startup(%).

EsRecentPeak

High-water mark of extended memory since last query(%).

EsTotal

Total size of extended memory(Mbyte).

HeapAct

Amount currently allocated to heap memory(%).

HeapPeak

High-water mark of heap memory since startup(%).

HeapRecentPeak

High-water mark of heap memory since last query(%).

HeapTotal

Maximum allowed amount of heap memory(Mbyte).

PrivWpNo

Current number of WPs in PRIV mode.

WpDiaRestart

Number of dialog WP restarts (because abap/heaplimit exceeded) since startup.

WpNonDiaRestart

Number of batch WP restarts (because abap/heaplimit exceeded) since startup.

R3PagingSizeKB

Current size of paging area(Kbyte).

R3PagingUsed

Currently used paging area(%).

R3PagingUsedKB

Currently used paging area(Kbyte).

R3PagingUsedMaxKB

Maxmimum Load of paging area since system start(Kbyte).

R3RollSizeKB

Current size of roll area(Kbyte).

R3RollUsed

Currently used roll area(%).

R3RollUsedKB

Currently used roll area(Kbyte).

R3RollUsedMaxKB

Maximum Load of roll area since system start(Kbyte).

SystemWideFreeBPWP

Cross-system number of free background work processes.

SystemWideQueueLength

Number of jobs that are waiting for execution (cross-system average).

EndedWpBTC

Number of background work processes terminated after an error(The difference between the last two samples, divided by the duration of the interval.).

ErrorsInWpBTC

Number of errors in background work processes(The difference between the last two samples, divided by the duration of the interval.).

ServerSpecificQueueLength

Number of released jobs that are waiting to be executed.

Utilisation

Average percentage usage of background work processes of a server.

DBRequestTime

Average time(msec) for processing logical database requests.

DialogSteps

Average number of dialog steps per minute.

EndedWpDIA

Number of dialog work processes terminated after an error(The difference between the last two samples, divided by the duration of the interval.).

ErrorsInWpDIA

Number of errors in dialog work processes(The difference between the last two samples, divided by the duration of the interval.).

FrontEndNetTime

Average time(msec) use in network (excluding roundtrips).

FrontendResponseTime

Front end wait time(msec).

GuiCallbackTime

Average time(msec) for roundtips during a dialog step.

Load+GenTime

Average load and generation time(msec) for GUI objects.

LongRunners

Average time(sec) for long-running dialog work processes.

MonitoringTime

Average time(msec) for monitoring during a dialog step.

PrivMode Utilisation

Percentage of dialog work processes in PRIV mode.

QueueLength

Average usage(%) of dispatcher wait queue for dialog work processes.

QueueTime

Average dispatcher wait time(msec) per dialog step.

ResponseTime

Average response time(msec) of dialog service.

ResponseTime(StandardTran.)

CCMS standard transaction: normal response time(msec).

UsersLoggedIn

Number of logged-on users.

Utilisation

Average usage(%) of dialog work processes of an application server.

EndedWpENQ

Number of enqueue work processes terminated after an error(The difference between the last two samples, divided by the duration of the interval.).

EnqueueFreq

Enqueue operations (logical data locks) per minutes that are coming from another instance to the central instance.

ErrorsInWpENQ

Number of errors in enqueue work processes(The difference between the last two samples, divided by the duration of the interval.).

QueueLength

Percentage length of the queue.

Utilisation Granule Arguments

Current number of different lock arguments in the lock table.

Utilisation Granule Entries

Current number of elementary locks in the lock table.

Utilisation Owner Names

Current number of lock owners in the lock table.

[Note]

  • In the case of stand alone Enqueue server composition, the following 6 counters can not be monitored. Status becomes unknown.

    • EndedWpENQ

    • ErrorsInWpENQ

    • QueueLength

    • Utilisation Granule Arguments

    • Utilisation Granule Entries

    • Utilisation Owner Names

DeviceCacheFixed

Utilized area of fixed device cache (%).

DeviceCacheUsed

Utilized area of entire device cache (%).

EndedWpSPO

Number of spool work processes terminated after an error(The difference between the last two samples, divided by the duration of the interval.).

ErrorsInWpSPO

Number of errors in spool work processes(The difference between the last two samples, divided by the duration of the interval.).

HostspoolListUsed

Utilized area of host spool request list (%).

QueueLength

Utilized area of dispatcher queue (%).

ServiceQueue

Utilized area of spool service queue (%).

ServiceQueuePages

Number of pages to be output in spool request queue.

ServiceQueuePriv

Utilized area of spool request queue for processing in order (%).

Utilisation

Spool work process load percentage.

EndedWpUD1

Number of update1 work processes terminated after an error(The difference between the last two samples, divided by the duration of the interval.).

ErrorsInWpUD1

Number of errors in update1 work processes(The difference between the last two samples, divided by the duration of the interval.).

QueueTime

Average wait time(msec) in dispatcher queue.

ResponseTime

Average response time(msec) per dialog step.

Utilisation

Percentage load for update1 task work process.

EndedWpUD2

Number of update2 work processes terminated after an error(The difference between the last two samples, divided by the duration of the interval.).

ErrorsInWpUD2

Number of errors in update2 work processes(The difference between the last two samples, divided by the duration of the interval.).

QueueTime

Average wait time(msec) in dispatcher queue.

ResponseTime

Average response time(msec) per dialog step.

Utilisation

Percentage load for update2 task work process.

Detailed description of SAP monitored counters

This section explains the counters that can be monitored with the SAP performance monitoring function in detail. The monitored instances and monitored counters are common to all the SAP instances.

When you click on a monitored instance, the description for the counters of the instance will be displayed. When you click on the same object again, the description will disappear.

[Buffers CUA]

[Buffers FieldDescription]

[Buffers GenericKey]

[Buffers InitialRecords]

[Buffers Program]

[Buffers Screen]

[Buffers ShortNameTAB]

[Buffers SingleRecord]

[Buffers TableDefinition]

[Gateway_Reader]

[ICM_General]

[ICM_Server_Cache]

[Instance]

[Memory R3MemMgmtResources]

[Memory R3RollPaging]

[Service Background]

[WP Background]

[WP Dialog]

[WP Enqueue]

[WP Spool]

[WP Update1]

[WP Update2]

[Note]

  • Removing the configured connection to an added monitored object will not automatically remove the object. Before removing the configured connection, remove its corresponding monitored object for performance monitoring.

  • The update timing and unit of a counter value depend on the monitor set and attribute displayed in transaction RZ20.

[References]

Register a user definition as a SAP monitored counter


Register a user definition as a SAP monitored counter

This operation must be executed after shifting into the configuration mode.

The SAP performance monitoring functionality enables users to monitor the performance of monitored attributes that they have specified, in addition to the performance monitored items provided by the product. This allows them to monitor performance on any stacks other than ABAP ones.

The instances and counters added by this functionality will be added to the monitored ones in performance monitoring so that they may be monitored with the performance monitoring function. For the procedure to convert them to the monitored targets, refer to "Monitor the performance of SAP."

[Note]

The addable counters are limited to the monitored attributes (performance attributes) that are displayed in transaction code RZ20. If you want to monitor SAP performance on any stacks other than ABAP ones, you must install a CCMS agent before starting the monitoring.

When you have selected [Set User Definition Monitoring] from the right-click menu on the SAP instance node in the Application Monitor, the [User Definition Setting] window will be displayed.

  • Object Name
    Displays the SAP instance name on which user definition monitoring will be performed.

  • Instance Name
    Displays the monitored instance name(s) that has been registered.

  • Monitor Sets
    Displays the selected Monitor Sets.

  • Monitor
    Displays the selected Monitor(s).

  • [Add] button
    Adds a new monitored instance.

  • [Edit] button
    Edits the selected instance.

  • [Delete] button
    Deletes the selected instance.

  • [OK] button
    Enables your edits to take effect and closes this window.

  • [Cancel] button
    Completes the edit operation and closes this window. Your edits are not reflected.

[Note]

It may take some to get a response, depending on the number of Monitors that have been registered to CCMS, when clicking the [Add] or [Edit] button.

[Reference]

Register a Monitor to be monitored

Register a monitored attribute to be monitored


Register a Monitor to be monitored

This operation must be executed after shifting into the configuration mode.

Click the [Add] or [Edit] button in the [User Definition Setting] window to display the [User Definition Setting (Instance)] window, in which you can specify the Monitor Sets and Monitor you want to monitor.

  • Object Name

Displays the SAP instance name on which user definition monitoring will be performed.

  • Instance Name

Specify with a maximum of 128 characters the name that identifies the Monitor Sets or Monitor you want to monitor. The allowable characters are single-byte alphanumeric characters and underscore (_). Duplicate instance name is not allowed to specify in an object.

  • CCMS Definition

Select the Monitor Sets and Monitor you want to monitor.

  • Enable under [Performance Monitor]

Check this checkbox when you want to monitor performance for the items within the selected Monitor Sets.

  • Edit Counter

This is enabled only when [Enable] is checked.

  • Enable under [Alert monitor]

Check this checkbox when you want to monitor CCMS alerts for the selected Monitor Sets.

[Note]

  • It may take some to get a response, depending on the number of MTEs that have been registered to the selected Monitor, when clicking the [Edit Counter] button.

  • When you checked [Enable] under [Alert Monitor], CCMS alerts to be monitored are those that will be generated after the changes have been registered. Note that, if the system time for SAP is behind the OS time, the CCMS alerts generated during the delay will not be recognized as targets to be monitored.

  • In monitoring with user definitions, the items included in the Monitor within the Monitor Sets are to be monitored. If monitored attributes, which are included in a Monitor such as [SAP CCMS Monitor Templates] - [Entire System] or [SAP J2EE Monitor Templates] - [All Systems], are many, it may take some time to gather and monitor the relevant information. If you want to monitor SAP performance with a user definition, you need to define a Monitor in such a way as to register the target monitored attributes to the Monitor, and monitor the performance with SystemManager G.

[Reference]

Register a user definition as a SAP monitored counter

Register a monitored attribute to be monitored

Monitor SAP CCMS alerts


Register a monitored attribute to be monitored

This operation must be executed after shifting into the configuration mode.

Check [Enable] under [Performance Monitor] in the [User Definition Setting (Instance)] window and click the [Edit Counter] button to display the [User Definition Setting (Counter)] window, in which you can select the monitored attribute you want to actually monitor.

  • Object Name

Displays the SAP instance name on which user definition monitoring will be performed. It displays the registered instance identifier.

  • Instance Name

Displays the monitored instance name to be registered.

  • Counter

Check the monitored attribute you want to monitor. The monitorable monitored attributes are displayed with the following icon:

  • Counter Name

Specify with a maximum of 128 characters the name that identifies the monitored attribute you want to monitor. The allowable characters are single-byte alphanumeric characters and underscore (_). Duplicate counter name is not allowed to specify in an instance.

  • The difference between the last two samples

Check this checkbox when you monitor a monitored attribute that indicates not the current value but the accumulative one. When checked, the result of performance monitoring will display a statistical value within the monitor intervals.

[Note]

  • The first result from monitoring the checked counter will be unknown.

  • If a subtraction result is less than 0, the result will show 0.

  • Counter Description

Specify with a maximum of 1023 characters the description of the counter you want to register. The counter description you specify here will be displayed in the lower section of the [Set Monitored Counter] window for performance monitoring.

[Reference]

Register a user definition as a SAP monitored counter

Register a Monitor to be monitored


Import the settings of monitored Items for monitoring SAP performance

This product includes definition files for the SAP performance monitoring function. Importing these definition files helps you to set items for monitoring SAP performance.

The following explains the steps for importing the SAP performance monitoring definition data:

  1. Confirm whether this host is set to be monitored
    Ensure that the host on which a desired SAP instance is running is set as a target to be monitored. If the host is excluded from monitored objects, set it up as a target to be monitored by checking the checkbox to the left of the host name.

    For more information on these setting steps, refer to here.
    [Reference]
    Configure host settings

  2. Register the SAP instance to be monitored as a monitored object
    As a preparation to import definition files, you must register the SAP instance to be monitored as a monitored object for performance monitoring.
    For more information on the registration steps, refer to here.
    [Reference]
    Register a SAP instance

  3. Confirm that the SAP monitored instance has been registered as a monitored object
    When you have registered the instance as a monitored object, the corresponding monitored object is added in the [Performance Monitor Setting] window. Use the [Performance Monitor Setting] window to confirm that the object has been registered. It is displayed in the form of "SAP (Instance ID)2 by using the registered instance ID.
    For information on displaying the [Performance Monitor Setting] window, refer to here.

    [Note]
    At this time of point, do not check the monitored object that has been registered. It will be checked automatically when applying the definition file.

    [Reference]
    Define a monitored resource

  4. Import a definition file
    After you have edited a desired definition file, import it by using the function for importing agent definitions. Select the host node on which a desired SAP instance is running from Topology View and select [Import] by right-clicking on the node.

    When the [Import Service] dialog has been displayed, click on the [Browse] button and specify the following folder:

    C:\Program Files\NEC\UMF\Operations\Svc\template\SAP\Performance

    When you have specified the folder, a window similar to the one shown below appears in which you can select functions. When you have confirmed that the checkbox to the left of [Performance Monitor] is checked, click on the [OK] button.

    When the [Import Setting] window has been displayed, set the SAP instance to which you will establish a connection. Display the [InstanceID Setting] window by double-clicking on the [InstanceID] item.

    When the [InstanceID Setting] window has been displayed, enter the instance ID that you registered as a monitored object in [InstanceID].

    If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking on the [Logging option] item.

    When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (save the history) in [Logging option]. The default value of [Logging option] is "0" (do not save the history).

    When you click on the [OK] button, you return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click on the [OK] button. The definition file is read and items in the file are reflected in this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • Please think the threshold set with the watch template to be a reference value. Because a proper value is different according to the system, it is necessary to verify the threshold with the system that uses it.

[Reference]
Import definition files for agent monitoring definitions


SAP monitoring timeout settings

With SAP monitoring functions, monitoring of system logs, operation status, and CCMS alerts may take time depending on the load of the SAP system to be monitored.

With each monitoring function, if the next monitoring interval arrives during the monitoring process, that monitoring will be skipped. If monitoring is skipped, the status will be changed to unknown (PERFUNKNOWN) in performance monitoring.

Each monitoring function has configurable timeout value, and monitoring will be suspended when that timeout is exceeded. If monitoring is suspended, the status is changed to unknown (PERFUNKNOWN) in performance monitoring. In system log and CCMS alert monitoring, logs and alerts will not be acquired until the next monitoring interval. Monitoring is attempted again in the next monitoring interval respectively.

Depending on the environment (*1), skip and timeout may occur frequently. In such cases, change the parameters at monitoring timeout skip settings.

Message can also be output when skip or timeout occurs by parameter settings. For more information on messages, refer to "Messages Agent/Manager outputs."

*1: May occur when profile parameter (rslg/max_diskspace/local, etc.) is extended.

Perform parameter settings by editing the CollectorSAP.ini file.

  • Location of CollectorSAP.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorSAP.ini
If the file does not exist, create a new one, edit and save it in UTF-16LE ( with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorSAP.ini
If the file does not exist, create a new one, edit and save it in UTF-8 (without BOM).

[Skip message settings]

  • Performance mnitoring

Section | [Performance]
Key | SkipMessage
Value | To output this message, set this value to 1. The default value is 1 (output).

  • System log monitoring

Section | [SAPsyslog]
Key | SkipMessage
Value | To output this message, set this value to 1. The default value is 1 (output).

  • CCMS alert monitoring

Section | [SAPalert]
Key | SkipMessage
Value | To output this message, set this value to 1. The default value is 1 (output).

[Timeout time settings]

  • Performance monitoring

Section | [Performance]
Key | TimeOut
Value | Specify timeout in seconds. Must be greater than or equals to 10 (seconds). The default value is 30.

  • System log monitoring

Section | [SAPsyslog]
Key | TimeOut
Value | Specify timeout in seconds. Must be greater than or equals to 10 (seconds). The default value is 90.

  • CCMS alert monitoring

Section | [SAPalert]
Key | TimeOut
Value | Specify timeout in seconds. Must be greater than or equals to 10 (seconds). The default value is 90.

[Timeout message settings]

  • Performance monitoring

Section | [Performance]
Key | TimeOutMessage
Value | To output this message, set this value to 1. The default value is 1 (output).

  • System log monitoring

Section | [SAPsyslog]
Key | TimeOutMessage
Value | To output this message, set this value to 1. The default value is 1 (output).

  • CCMS alert monitoring

Section | [SAPalert]
Key | TimeOutMessage
Value | To output this message, set this value to 1. The default value is 1 (output).

(Setting example)

Following setting will enable timeout messages, with the timeout set to 60 seconds for performance monitoring:

[Performance]

TimeOut=60

TimeOutMessage=1

[Note]

  • The parameter values changed will be effective after the agent is restarted.


Reset the time to read SAP system logs

When monitoring system logs with the XAL interface in the SAP system log monitoring function, you may not be able to collect correct SAP system logs because the order of obtaining logs from SAP is wrong. If this is the case, you must reset the time to read the SAP system logs and resend or discard the obtained logs. Note that the resent logs include notified ones.

This problem does not occur if you use the XMB interface.

It is likely that the read time is often reset depending on your environment.

When resetting the read time, a message will be output on Business View. The message is output in categories set in SE92 in conjunction with the times when SAP system logs were collected normally before resetting the read time. For details of such messages, refer to Messages Agent/Manager outputs.

When this message is output, you need to check discarded or resent system logs with SM21 in SAP GUI.

Set a relevant parameter by editing the CollectorSAP.ini file.

  • Location for the CollectorSAP.ini file

    [Windows agent]
    C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorSAP.ini
    If the file does not exist, create a new file, edit the file to include the parameter, and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorSAP.ini
If the file does not exist, create a new file, edit the file to include the parameter, and then save it in UTF-8 (without BOM).

[Setting for sending logs]

Section | [SAPsyslog]
Key | DropOnMissing
Value | Set Key to 1 when discarding SAP system logs. By default, it is set to 0 (resend).

(Setting example)

If you want to reset the time to read SAP system logs and discard the obtained SAP system logs when the order of the SAP system logs becomes wrong

[SAPsyslog]

DropOnMissing=1

[Note]

  • The changed value of the parameter will take effect after restarting the agent.


Change the number of threads for monitoring SAP

When one agent monitors multiple instances, the monitoring performance of the agent may deteriorate as the number of the monitored instances increases. When the monitoring performance deteriorates, the performance collection, system log monitoring, and/or CCMS alert monitoring activities cannot be completed within the monitoring interval, resulting in the generation of a monitoring timeout.

If the monitoring timeout frequently occurs, you can improve the monitoring performance by increasing the number of monitoring threads.

Set a relevant parameter(s) by editing the CollectorSAP.ini file.

  • Location for the CollectorSAP.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorSAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorSAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | [Config]
Key | CollectingThreads
Value | Specify the number of monitoring threads. Specify it with any desired integer. The default value is 3.

The number of monitoring threads specified in CollectingThreads is treated as the number of monitoring threads in performance monitoring, system log monitoring, and alert monitoring.

E.g.:

When "CollectingThreads=5" is specified, the monitoring threads started by SAP monitoring are as follows:

  • 5 performance monitoring threads

  • 5 system log monitoring threads

  • 5 CCMS alert monitoring threads

  • One thread for other processes *

A total of 16 threads will be started.

* This is a thread to be used for other processes than monitoring. One thread is always started, regardless of the setting of CollectingThreads.

[Note]

  • The changed number of monitoring threads will take effect after restarting the agent/remote monitor agent.

  • Increasing the number of monitoring threads also will increase the usage of memory. Set the best value, considering your environment.


About Java application monitoring

The Java application monitoring functionality of this product provides functions for monitoring and querying the operating status of Java application (hereafter called JavaAP) and the state of Java application services running on an agent. The performance monitoring function allows performance to be monitored by viewing graphs and output CSV format files.

The Java application monitoring functionality includes the following functions:

  • Performance monitoring
    Using JMX, the following are monitored.

    • Garbage collection information

    • CPU/memory information
    • Thread information
    • State of whether the Java application is dead or alive

    You must set up "resources," "instances," and "counters" to perform monitoring operations with the Java applicatoin monitoring functionality of this product. These terms are defined as follows:

    [Resource]
    This refers to an object whose performance is monitored. In this functionality, it refers to a Java application instance.

    [Instance]
    This refers to one of the units into which a resource is further classified. This function defines instances based on the information of JMX MBean objects.

    [Counter]
    This refers to performance monitoring information retrieved on the various sections of a system in question concerning a specified resource and a specified instance. This function defines counters based on the attribute information of JMX MBean objects.

  • Monitored data collection function
    Monitors resource information on the specified Java application. The collected data is managed centrally and displayed through the performance monitoring function by the manager. An operator will be notified via some means such as a node color change and/or sounds when the performance state indicates a failure.
    [References]
    Set the monitored hosts for Java application performance
    Register the Java application instances
    Configure the connection settings for the Java application instance
    Performance monitoring

  • Threshold monitoring function
    Monitors the threshold values for specified Java application resources.
    [References]
    Define the detailed settings of the monitored counter (threshold settings)

  • Logging function
    Logs resource data that has been retrieved on the side of an agent within the agent. Logged information can be referenced and output to a file in CSV format on a monitoring terminal.
    [References]
    Output history data as a file

  • Reporting function
    Performs Patlite and e-mail reporting to alert operators when the state of a specified resource or process has changed.
    [References]
    Define the detailed settings of the monitored counter (threshold settings)

[Support Java versions]

  • For information on Java versions supported by this product, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media.

[Java application which can be monitored]

  • The Java application by which a monitoring is possible by this product will be the premise to be able to acquire information on JMX by JConsole. Refer to "Connection check to Java application" for connection check method.
    [References]
    Connection check to Java application

[Note]

  • To enable Java application monitoring, JMX must be enabled for use beforehand. Perform Java application Setup (When authenticating password) or Java application Setup (When not authenticating password). Setting Java application monitoring of SystemManager G is also needed.

  • The maximum number of items that can be monitored with this product is 130 per instance, including user defined counters.

  • It is assumed that the counters that can be monitored with this product meet the following conditions:

    • They must be able to be referenced even if library files that are not included in JRE/JDK are not specified in CLASSPATH.

    • They must be of numeric data type.


About preparations for Java application performance monitoring

Preparation

  • Setting up Java application
    To enable the Java application monitoring, JMX must be enabled in advance. For the setup method, see "Java application Setup (When authenticating password)" and "Java application Setup (When not authenticating password)". The setup method differs depending on whether or not password authentication is used. Specify the authentication method to use.

  • User name, password, port number
    SystemManager G uses administrator user and JMX management port for connection. Check the user name, password (for password authentication), and JMX connection port number beforehand.

  • Java execution environment (32-bit/64-bit)
    A Java Runtime Environment compatible with the architecture to be used and the operating mode is required. If the required Java Runtime Environment does not exist, install it.
    For a Windows agent and remote monitor agent, add the path of <installation directory of Java Runtime Environment to be used>/bin to the environment variable PATH.

  • Connection setting for Java application (32-bit)
    Check beforehand that you can connect to Java application and collect the information by using JConsole. For details, see "Connection check to Java application".

Environment setting after installing SystemManager G

  • Setting of operating mode for application monitoring
    Changing the operating mode

  • Mandatory setting for Java application monitoring
    Setting Java application monitoring of SystemManager G

  • Tuning of Java application monitoring
    Set a timeout for Java application monitoring
    Change the number of threads for monitoring Java application


Connection check to Java application

[Note]

  • Before performing this procedure, you must set the port number for JMX connection on the side of a Java application. Perform settings for authenticating password or settings for not doing so.

  1. After starting the command prompt, run JConsole of JDK.

    • The location for JConsole
      <JAVA_HOME>\bin\jconsole.exe

  2. Enter the connection URL for the Java application to be monitored in URL for [Remote Process], and click the [Connect] button. When you must undergo password authentication, click the [Connect] button after entering [Username] and [Password].

[Note]

  • The connection URL depends on each Java application to be monitored..

    For Tomcat

    service:jmx:rmi:///jndi/rmi://HostName:PortNumber/jmxrmi

    • HostName
      If possible, "localhost" (or localhost.localdomain) is recommended.

    • PortNumber:
      Port number for JMX connection which is specified as the start option for Java application instance of monitoring target, is designated between 1-65535. Specify a port for monitoring.

  3. Select the [MBeans] tab, and confirm that the information is represented in a tree form.

If you cannot connect to the Java application or the [MBeans] tab is not displayed, configure appropriate settings on the Java application side.

[References]

Java application Setup (When not authenticating password)

Java application Setup (When authenticating password)


Java application Setup (When not authenticating password)

  1. Adding Java options

    When Java application is started, Java options need to be specified as follows.

    com.sun.management.jmxremote=true
    com.sun.management.jmxremote.port=[PORT] (Specify an unused port number for Java application monitoring)
    com.sun.management.jmxremote.ssl=false(SSL authentication disabled)
    com.sun.management.jmxremote.authenticate=false (authentication disabled)

In the following parameter example, the port number for connecting JMX is "8999", and execute SampleTargetApp.jar by Java command.

E.g.:
java -Dcom.sun.management.jmxremote=true -Dcom.sun.management.jmxremote.port=8999 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false -jar C:\Sample\SampleTargetApp.jar

* Describe by one line without linefeed.
* Describe -D option in advance of -jar option.

  2. Restarting Java application

    After completing the above procedure, restart Java application.


Java application Setup (When authenticating password)

[Note]

  • If you want to use different Java paths between Java application and SystemManager G, set the path to the one for Java to be used in Java application.

  1. Creating a password file

    Copy <JAVA_HOME>/lib/management/jmxremote.password.template by using the following filename. <JAVA_HOME>/lib/management/jmxremote.password

  2. Setting user name and password

    When using default user
    When <JAVA_HOME>/lib/management/jmxremote.password is opened, the last two lines will be as follows, indicating the monitoring default user name and password.

    # monitorRole QED
    # controlRole R&D

    monitorRole is the username for the read-only monitoring users, and QED is the password.
    controlRole is the username for the monitoring users that have read/write permission, and R&D is the password.
    Change the default password for the monitoring users and remove the # from the beginning of the line to activate the username and password.

    monitorRole QED
    # controlRole R&D

    When creating new user
    At the last line of <JAVA_HOME>/lib/management/jmxremote.password, add the user name and password as follows. (For user name, "monitorUser" - For password, "pass1234")

    # monitorRole QED
    # controlRole R&D
    monitorUser pass1234

    At the last line of <JAVA_HOME>/lib/management/jmxremote.access, add the user name and access level.
    For user name, use the user name specified in the password file.
    For access level, specify one of the following. SystemManager G can be used in either access level.

    readonly ... Read-only access is permitted for monitoring
    readwrite ... Read/write is permitted for monitoring and management

    Example of setting
    monitorUser readonly

  3. Setting access right for password file

    The access right for the password file needs to be set so that when the password holder and user starting Java application match, only that user is able to access it.

    [For UNIX]
    Include the following setting in chown and chmod (Setting example: chmod 600 as the filename)
    -rw------- 1 root root 2871 jmxremote.password

    [For Windows]
    Set with the Security tab displayed when the Password file properties is opened.

    (1) Right-click the password file, select Properties, and click on the [Detailed settings] button in the [Security] tab.

    (2) Uncheck the checked buttons.

    (3) Click on the [Copy] button.

    (4) Delete unneeded users by using the [Delete] button.

    (5) Select the [Owner] tab.

    (6) If the owner differs from the user granted access, select the user granted access and click on the [OK] button.

    (7) Click on the [OK] button.

  4. Adding Java options

    When Java application is started, Java options need to be specified as follows.

    com.sun.management.jmxremote=true
    com.sun.management.jmxremote.port=[PORT] (Specify an unused port number for Java application monitoring)
    com.sun.management.jmxremote.ssl=false (SSL authentication disabled)
    com.sun.management.jmxremote.password.file=Password file path name
    com.sun.management.jmxremote.access.file=Access file path name

In the following parameter example, the port number for connecting JMX is "8999", and execute SampleTargetApp.jar by Java command.

E.g.:
For 32-bit environments
java -Dcom.sun.management.jmxremote=true -Dcom.sun.management.jmxremote.port=8999 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.password.file="C:\Program Files\Java\jre6\lib\management\jmxremote.password" -Dcom.sun.management.jmxremote.access.file="C:\Program Files\Java\jre6\lib\management\jmxremote.access" -jar C:\Sample\SampleTargetApp.jar

For 64-bit environments
java -Dcom.sun.management.jmxremote=true -Dcom.sun.management.jmxremote.port=8999 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.password.file="C:\Program Files (x86)\Java\jre6\lib\management\jmxremote.password" -Dcom.sun.management.jmxremote.access.file="C:\Program Files (x86)\Java\jre6\lib\management\jmxremote.access" -jar C:\Sample\SampleTargetApp.jar

* Describe by one line without linefeed.
* Describe -D option in advance of -jar option.

  5. Restarting Java application

    After completing the above procedure, restart Java application.


Setting Java application monitoring of SystemManager G

To use the Java application monitoring function, there is a need to edit the setting file in the SystemManager G agent after installing this product. Further, when performing JavaAP monitoring and Tomcat monitoring by an agent of identical service on the identical host, edit one of setting files.

  • Java setting
    [Windows agent]

    • Setup file to be edited

      C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorJavaAP.ini

    • Editing example:

      [Java]

      JAVA_HOME=C:\Program Files\Java\jdk1.6.0_37\jre

      [JVMOption]

      JVMOptionNo=1

      JVMOption001=-Xrs

      [Java] section (essential section)
      For JAVA_HOME, specify the directory of the Java executing environment. Specify up to the jre directory.
      In 32-bit mode, specify the JAVA_HOME of 32-bit version. In 64-bit mode, specify the JAVA_HOME of 64-bit version.

      [JVMOption] section (essential section)
      Use JVMOptionNo=1 without changing it.
      Use JVMOption001=-Xrs, without changing it.

[UNIX agent]

    • Setup file to be edited

      /opt/UMF/Operations/Agent/sg/CollectorJavaAP.ini

    • Editing example:

      [Java]

      JAVA_HOME=/opt/java1.6/jre

      [JVMOption]

      JVMOptionNo=1

      JVMOption001=-Xrs

[Java] section (essential section)

For JAVA_HOME, specify the directory of the Java executing environment. Specify up to the jre directory.
In 32-bit mode, specify the JAVA_HOME of 32-bit version. In 64-bit mode, specify the JAVA_HOME of 64-bit version.

[JVMOption] section (essential section)
Use JVMOptionNo=1 without changing it.
Use JVMOption001=-Xrs, without changing it.

Restart the Windows version or UNIX version of the SystemManager G agent after you have edited the corresponding definition file.

[Note]
If the directory configuration differs from the above example, rewrite it according to the environment of use.

[References]

Set the monitored hosts for Java application performance


Set the monitored hosts for Java application performance

If you are running a larger number of agents than the number of licenses for the Java application performance monitoring function you have purchased, you must select the appropriate number of agent hosts on which you will monitor Java application.

Refer to Configure host settings, for the configuration method.


Register the Java application instances

This operation should be executed after shifting into the Configuration mode.

To monitor the performance of Java application, you must register connection information on the Java application instances.

Right-click on the agent node to which the Java application has been installed, and select [JavaAP] from the displayed [Edit Application Management Instance] menu. The [Java ApplicationMonitor - Instance Setting] dialog will be displayed with a list of monitored Java application instances that have been registered.

  • InstanceID
    Displays the registered Instance ID.

  • Description
    Displays the description of the instance.

  • [Add] button
    Clicking on this button will display the [Add Instance] dialog and enable you to add a new monitored instance.

  • [Edit] button
    Clicking on this button will display the [Edit Instance] dialog and enable you to set the selected monitored instance again.

  • [Delete] button
    Clicking on this button will delete the selected monitored instance.

    [Note]
    If you remove this instance with the monitored resource defined in Performance Monitor, you may not monitor the performance of the instance normally. Remove the monitored resource before removing the instance from this window.

  • [OK] button
    Establishes a connection to the set instance and closes the dialog. When a connection to the Java application instance has been successfully established, the instance is added as a monitored object of the performance monitoring function.

    [Note]
    If a host is not set up as a Java application monitored host, a connection to its instance cannot be established.

  • [Cancel] button
    Clicking on this button will cancel changes to the settings and close the dialog.

Once the instance has been registered, its corresponding node is automatically added under the Application Management view.

Also, to open the [Java ApplicationMonitor - Instance Setting] dialog, select the [Edit Instance] from right click menu of the [Application Summary] - [JavaAP] - [Host] node.

[References]

Set the monitored hosts for Java application performance

Configure the connection settings for the Java application instance


Configure the connection settings for the Java application instance

This operation should be executed after shifting into the Configuration mode.

Set the information for connecting to a Java application instance that has been registered as a monitored object.

You must set a Java application instance from the [Add Instance] or [Edit Instance] dialog.

To display the [Add Instance] or [Edit Instance] dialog, the following methods are provided:

  1. Click on the [Add] button in the [Java ApplicationMonitor - Instance Setting] dialog.

  2. Select a desired registered instance and click on the [Edit] button in the [Java ApplicationMonitor - Instance Setting] dialog.

  3. Double-click on a desired registered instance in the [Java ApplicationMonitor - Instance Setting] dialog.

  • InstanceID
    Specify the arbitrary ID that identifies this Java application instance, within a maximum of 64 characters. The allowable characters are single-byte alphanumeric characters and underscore (_). The Instance ID must be specified.
    The Instance ID is displayed in the form of "JavaAP (Instance ID)" in the [Edit Performance Monitoring] window.
    It cannot be changed from the [Edit Instance] dialog.

  • Connect URL
    Specify the JMX connection URL for connecting to the Java application, within a maximum of 256 characters (single-byte alphanumeric characters only).

    [Note]
    For Tomcat, the URL is as follows:

service:jmx:rmi:///jndi/rmi://HostName:PortNumber/jmxrmi

  • HostName
    If possible, "localhost" (or localhost.localdomain) is recommended.

  • PortNumber
    Port number for JMX connection which is specified as the start option for Java application instance of monitoring target, is designated between 1-65535. Specify a port for monitoring.

  • Authentication
    Select whether to connect with password authentication or no authentication.

  • Username
    Enter the username specified in the password file for JMX password authentication, within 64 characters (single-byte alphanumeric characters only), for the monitored Java application instance. Username cannot be omitted when selecting password authentication.

  • Password
    Enter the user password specified in the password file for JMX password authentication, within 30 characters (single-byte alphanumeric characters only), for the monitored Java application instance. Password cannot be omitted when selecting password authentication.

  • Description
    Describe this instance, within a maximum of 255 characters. The Description is optional.

[Note]

  • Semicolons (;) cannot be used for input items except for the description field.

  • AUX, COM1 to COM9, CON, LPT1 to LPT9, NUL, PRN cannot be used for the Instance ID of the Java application.

[References]

Set the monitored hosts for Java application performance

Register the Java application instances


Monitor Java application performance

The registered monitored Java application instances are added to a list of monitored objects for performance monitoring, and can be monitored with the performance monitoring function.

When you select [Edit Performance Monitoring] from the right-click menu on the [Performance Monitor] node in the Topology view, the [Edit Performance Monitoring] window appears and shows the list of monitorable resources (monitored objects). Please confirm that the registered Java application instance is added to the list.

The monitored object name to be added is displayed in the form of "JavaAP (Instance ID)" by using the registered Instance ID. When you check the checkbox to the left of the monitored object and click on the [OK] button, the [JavaAP (Instance ID)] node is added under the [Performance Monitor] node in the tree view.

When you have selected [Set Monitored Instance] from the right-click menu on the added monitored object node, the [Set Monitored Instance] window is displayed.

When you check the checkbox to the left of the instance you will monitor and click on the [OK] button, a monitored instance node is added under the monitored object node.

When you have selected [Set Monitored Counter] from the right-click menu on the monitored instance node, the [Set Monitored Counter] window is displayed.

When you check the checkbox to the left of the counter you will monitor and click on the [OK] button, monitoring on the counter you have set starts. Double-clicking on the monitored instance node displays the performance monitor window.

When you select [Counter Detail Setting] from the right-click menu on the [Counter] list in the lower section of the performance monitor window, you can configure detailed display settings and threshold value monitoring for the counter.

[References]

For more information on the monitored instances and monitored counters, refer to here.

For more information on defining the performance monitoring, refer to here.

You can perform integrated monitoring of Java application performance from the summary view by setting the monitoring process.

[References]

Monitor with the Java application performance monitoring summary


Monitor with the Java application performance monitoring summary

When you select the [JavaAP] node from the Java application Management view in the tree view, the summary view in the right pane will display an application summary.

The summary view is divided into [Application Summary], [Host Summary], and [Instance Summary] in the descending order of nodes, and more comprehensive information is displayed in the higher summary and more detailed information is displayed in the lower summary.

[References]

Monitor with the application summary

Monitor with the host summary

Monitor with the instance summary


Detailed description of Java application monitored counters

State

Indicates the Java application status. 0: Currently stopping or cannot connect. 1: In the started and connected state.

LoadedAndUnloadedClassCount

Indicates the total number of classes loaded and unloaded. (Difference from previous acquisition)

LoadedClassCount

Indicates the number of classes loaded. (Difference from previous acquisition)

UnloadedClassCount

Indicates the number of classes unloaded. (Difference from previous acquisition)

CompilationTime

Indicates the compile time (ms). (Difference from previous acquisition)

CollectionCount

Indicates the number of collections. (Difference from previous acquisition)

CollectionTime

Indicates the collection time (ms). (Difference from previous acquisition)

HeapMemoryUsage committed

Indicates the heap memory volume (MB) that can currently be used.

HeapMemoryUsage committed(%)

Indicates the heap memory percentage (%) that can currently be used in respect to the maximum heap memory.

HeapMemoryUsage init

Indicates the heap memory volume (MB) assigned in the initial state.

HeapMemoryUsage max

Indicates the maximum heap memory volume (MB) that can be used.

HeapMemoryUsage used

Indicates the heap memory volume (MB) currently used.

HeapMemoryUsage used(%)

Indicates the heap memory percentage (%) currently used in respect to the maximum heap memory.

NonHeapMemoryUsage committed

Indicates the non-heap memory volume (MB) that can currently be used.

NonHeapMemoryUsage committed(%)

Indicates the non-heap memory percentage (%) that can currently be used in respect to the maximum non-heap memory.

NonHeapMemoryUsage init

Indicates the non-heap memory volume (MB) assigned in the initial state.

NonHeapMemoryUsage max

Indicates the maximum non-heap memory volume (MB) that can be used.

NonHeapMemoryUsage used

Indicates the non-heap memory volume (MB) currently used.

NonHeapMemoryUsage used(%)

Indicates the non-heap memory percentage (%) currently used in respect to the maximum non-heap memory.

PeakUsage committed

Indicates the peak time value of the memory pool volume (MB) that can currently be used.

PeakUsage committed(%)

Indicates the peak time value of the memory pool percentage (%) that can currently be used in respect to the maximum memory pool.

PeakUsage init

Indicates the peak time value of the memory pool volume (MB) assigned in the initial state.

PeakUsage max

Indicates the peak time value of the memory pool volume (MB) that can be used.

PeakUsage used

Indicates the peak time value of the memory pool volume (MB) currently used.

PeakUsage used(%)

Indicates the peak time value of the memory pool percentage (%) currently used in respect to the maximum memory pool.

Usage committed

Indicates the memory pool volume (MB) that can currently be used.

Usage committed(%)

Indicates the memory pool percentage (%) that can currently be used in respect to the maximum memory pool.

Usage init

Indicates the memory pool volume (MB) assigned in the initial state.

Usage max

Indicates the maximum memory pool volume (MB) that can be used.

Usage used

Indicates the memory pool volume (MB) currently used.

Usage used(%)

Indicates the memory pool percentage (%) currently used in respect to the maximum memory pool.

CommittedVirtualMemorySize

Indicates the memory size (MB) currently used by JVM.

FreePhysicalMemory(%)

Indicates the empty physical memory percentage (%).

FreePhysicalMemorySize

Indicates the empty physical memory size (MB).

FreeSwapSpace(%)

Indicates the empty swap space percentage (%).

FreeSwapSpaceSize

Indicates the empty swap space size (MB).

ProcessCpuTime

Indicates the process CPU time (ms). (Difference from previous acquisition)

TotalPhysicalMemorySize

Indicates the total physical memory size (MB).

TotalSwapSpaceSize

Indicates the total swap space size (MB).

[Note]

  • For AIX agents, [FreeSwapSpace(%)], [FreeSwapSpaceSize], and [TotalSwapSpaceSize] have yet to be supported. They are not displayed in the list of monitored counters.

CurrentThreadCpuTime

Indicates the current thread CPU time (ns).

CurrentThreadUserTime

Indicates the current thread user time (ns).

DaemonThreadCount

Indicates the number of Daemon threads.

PeakThreadCount

Indicates the number of peak threads.

StartedThreadCount

Indicates the number of threads from when the application was started. (Difference from previous acquisition)

ThreadCount

Indicates the number of current threads.

Detailed description of Java application monitored counters

This section explains in detail the counters that can be monitored with the Java application performance monitoring function. The monitored instances and monitored counters are common to all Java application instances.

When you click on a monitored instance, the description for the counters of the instance will be displayed. When you click on the same object again, the description will disappear.

Monitoring items of Java component

[Application]

[ClassLoading]

[Compilation]

[GarbageCollector:<Garbage collector name>]

[Memory]

[MemoryPool:<Memory pool name>]

[OperatingSystem]

[Threading]

[Note]

  • Removing the configured connection to an added monitored object will not automatically remove the object. Before removing the configured connection, remove its corresponding monitored object from Performance Monitoring.


Register a user definition as a Java application monitored counter

This operation should be executed after shifting into the Configuration mode.

The Java application performance monitoring functionality enables users to monitor the performance of monitored attributes that they have specified, in addition to the performance monitored items provided by the product.

The instances and counters added by this functionality will be added to the monitored ones in performance monitoring so that they may be monitored with the performance monitoring function. For the procedure to convert them to the monitored targets, refer to "Monitor Java application performance."

[Note]

To inspect in advance by JConsole is recommended because the counter which can be added is different by monitored Java applications.

When you have selected [Set User Definition Monitoring] from the right-click menu on the Java application instance node in the Application Monitor, the [User Definition Setting] window will be displayed.

  • Object Name
    Displays the Java application instance ID on which user definition monitoring will be performed.

  • Instance Name
    Displays the monitored instance name(s) that has been registered.

  • [Add] button
    Adds a new monitored instance.

  • [Edit] button
    Edits the selected instance.

  • [Delete] button
    Deletes the selected instance.

  • [OK] button
    Enables your edits to take effect and closes this window.

  • [Cancel] button
    Completes the edit operation and closes this window. Your edits are not reflected.

[References]

Register a monitored attribute to be monitored


Register a monitored attribute to be monitored

This operation should be executed after shifting into the Configuration mode.

Check [Enable] under [Performance Monitor] in the [User Definition Setting (Instance)] window and click the [Edit Counter] button to display the [User Definition Setting (Counter)] window, in which you can select the monitored attribute you want to actually monitor.

  • Object Name

Displays the Java application instance name on which user definition monitoring will be performed. It displays the registered instance identifier.

  • Instance Name

Displays the monitored instance name to be registered.

  • Counter

Check the monitored attribute you want to monitor. The monitorable monitored attributes are displayed with the following icon:

  • Counter Name

Specify with a maximum of 128 characters the name that identifies the monitored attribute you want to monitor. The allowable characters are single-byte alphanumeric characters and underscore (_). Duplicate counter name is not allowed to specify in an instance.

  • The difference between the last two samples.

Check this checkbox when you monitor a monitored attribute that indicates not the current value but the accumulative one. When checked, the result of performance monitoring will display a statistical value within the monitor intervals.

[Note]

  • The first result from monitoring the checked counter will be unknown.

  • If a subtraction result is less than 0, the result will show 0.

  • Counter Description

Specify with a maximum of 1023 characters the description of the counter you want to register. The counter description you specify here will be displayed in the lower section of the [Set Monitored Counter] window for performance monitoring.

[References]

Register a user definition as a Java application monitored counter


Import the monitoring setting for Java application performance monitoring

This product includes definition files for the Java application performance monitoring function. Importing these definition files helps you set items for performing Java application more easily.

The following explains the steps for importing the Java application performance monitoring definition data:

  1. Ensure that the host is set as a target to be monitored
    Check that the host on which Java application is running is set as a target to be monitored. If the host is excluded from monitored objects, set it up as a target to be monitored by checking the checkbox to the left of the host name.

    For more information on these setting steps, refer to here.
    [References]
    Configure host settings

  2. Register the Java application monitoring instance as a monitored object
    In preparation to import definition files, you must register the Java application instance to be monitored as a monitored object for performance monitoring.
    For more information on the registration steps, refer to here.
    [References]
    Register the Java application instances

  3. Check that it has been registered as a monitored object
    When registration completes, the corresponding monitored object is added in the [Performance Monitor Setting] window. Confirm that the object has been registered from the [Performance Monitor Setting] window. It is displayed in the form of "JavaAP (Instance ID)" by using the registered Instance ID.
    For information on displaying the [Performance Monitor Setting] window, refer to here.

    [Note]
    At this point in time, do not check the monitored object that has been registered. It will be checked automatically when applying the definition file.

    [References]
    Define the monitored resource

  4. Import definition files
    After editing the desired definition file, import it by using the function for importing agent definitions. Select the host node on which Java application is running from the Topology view and select [Import] by right-clicking on the node.

    GC (garbage collection) policy is different according to whether a type of JVM (since J2SE5.0) that operates Java application (server or client) and it is a server class machine or not. Apply an appropriate definition file because the Java application monitoring instance name is different depending on each GC policy, and customize it if necessary according to the environment. When not setting GC type in particular, apply serial GC in Windows, parallel GC in the others, and customize it if necessary according to the environment.

    When you have specified the folder, a window similar to the one shown below appears, where you can select functions. When you have confirmed that the checkbox to the left of [Performance Monitor] is checked, click on the [OK] button.

    When the [Import Setting] window has been displayed, set the Java application instance to which you establish a connection. Display the [Instance ID Setting] window by double-clicking on the [Instance ID] item.

    When the [Instance ID Setting] window has been displayed, enter the Instance ID that you registered as a monitored object in [Instance ID].

    [Note]
    Specify the Instance ID by using exactly the same Instance ID that you specified when you established a connection to the Java application monitored instance (note that Instance IDs are case-sensitive).

    If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking on the [Logging option] item.

    When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (which means I want to save the history) in [Logging option]. The default value of [Logging option] is "0" (which means I do not want to save the history).

    When you click on the [OK] button, you return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click on the [OK] button. The definition file is read and items in the file are reflected to this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • Please think the threshold set with the watch template to be a reference value. Because a proper value is different according to the system, it is necessary to verify the threshold with the system that uses it.

[References]
Import the definition for monitored agents


Set a timeout for Java application monitoring

The Java application monitoring functions may take some time to monitor the operating status of a monitored Java application system, depending how the system is loaded.

If the monitoring operations have not been completed within the interval before the next one comes, the monitoring functions omit monitoring activities in the particular interval.

In addition, each of the monitoring functions sets its own timeout, it discontinues its monitoring activities when the timeout is exceeded. When the monitoring activities are discontinued, collection is not performed until the next monitoring interval. Each retries to resume monitoring in the next monitoring interval.

Depending on the environment, skip and timeout may occur frequently. In such cases, change the parameters at monitoring timeout skip settings.

Note that you can generate a message when a skip event or timeout event occurs by setting an appropriate parameter. For details about theses messages, refer to "Messages Agent/Manager outputs."

Set a relevant parameter(s) by editing the CollectorJavaAP.ini file.

  • Location for the CollectorJavaAP.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorJavaAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorJavaAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | Key | Overview | Secifiable range
Config | MonitoringTimeout | Set a desired timeout for performance collection. Set a smaller value than the monitoring time interval set for performance collection. | 1-1000 [in seconds] 0: No timeout (default)
 | MonitoringTimeoutMessage | Control output of the message (00411312) when a monitoring timeout (MonitoringTimeout) occurs. | 0: No output 1: Output (default)
 | SkipMessage | Control output of the message (00411311) when a monitoring skip occurs. | 0: No output 1: Output (default)

(Setting example)

When setting the monitoring timeout to 60 seconds and outputting a message when it occurs:

[Config]

MonitoringTimeout=60

MonitoringTimeoutMessage=1

[Note]

  • The changed value of each parameter will take effect after restarting the agent.


Change the number of threads for monitoring Java application

When one agent monitors multiple instances, the monitoring performance of the agent may deteriorate as the number of the monitored instances increases. When the monitoring performance deteriorates, the performance collection activity cannot be completed within the monitoring interval, resulting in the generation of a monitoring timeout.

If the monitoring timeout frequently occurs, you can improve the monitoring performance by increasing the number of monitoring threads.

Set a relevant parameter(s) by editing the CollectorJavaAP.ini file.

  • Location for the CollectorJavaAP.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorJavaAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorJavaAP.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | Key | Overview | Specifiable range
Config | CollectingThreads | Specify the number of collecting threads | 1-10 (default: 5)
 | MaxThreads | Set the maximum number of threads available to the entire Java application monitoring functions. | Positive integer (default: 10) 0: No limit
 | MaxRecoveryThreads | The maximum number of recovery attempts for each instance. | 1-5 (default: 3) 0: No recovery attempt
 | MaxThreadsExcessMessage | Control output of the message (00411313) when the maximum number of monitoring threads (MaxThreads) is exceeded. When this message is output, it means that the agent uses its available resources to the maximum extent, so that you must restart the agent to restore it. | 0: No output 1: Output (default)

(Setting example)

When setting the number of collecting threads to 5 and the maximum number of threads to 10, and outputting the message when the maximum number of threads is exceeded:

[Config]

CollectingThreads=5

MaxThreads=10

MaxThreadsExcessMessage=1

[Note]

  • The changed number of monitoring thread will take effect after restarting the agent.

  • Increasing the number of monitoring threads also will increase the usage of memory. Set the best value, considering your environment.


About WebSphere Application Server monitoring

The WebSphere Application Server monitoring functionality of this product provides the functions for monitoring and querying the operating status of the WebSphere Application Server (hereinafter, "WAS") and the state of WAS services running on an agent.

The performance monitoring function allows the operating status to be monitored by viewing graphs and outputting CSV format files and with other means.

The WAS monitoring functionality includes the following functions:

  • Performance monitoring
    Monitors the following items by connecting to WAS with the SOAP protocol.

    • Dynamic cache

    • EJB (Enterprise Java Bean)

    • Garbage collection

    • JDBC connection pool

    • JVM runtime

    • ORB (Object Request Broker)

    • Server operating state

    • Servlet

    • System data

    • Thread pool

    • Transaction

    • Web application

    • User defined monitoring function

    The WAS monitoring functionality of this product needs to set a "monitored resource(s)", "monitored instance(s)" and "monitored counter(s)" for performing a monitoring process.
    These terms are defined as follows:

    [Resource]
    This refers to an object for which performance is monitored. In this functionality, it refers to a WAS instance.

    [Instance]
    This refers to one of the units into which a resource is further classified. This functionality defines instances based on the information that can be obtained from Performance Monitoring Infrastructure (hereinafter, "PMI").

    [Counter]
    This refers to performance monitoring information retrieved on the various sections of a system in question concerning a specified resource and a specified instance.
    In this functionality, it refers to an item such as memory usage used by the server and the use status of each thread, and performance of each application.

  • Monitored data collection function
    Monitors the specified resource information of WAS. The collected data is managed centrally and displayed through the performance monitoring function by the manager.
    An operator will be notified via such means as a node color change and/or sound when the performance state indicates a failure.
    [References]
    Set the monitored hosts for WebSphere Application Server performance
    Register the WebSphere Application Server servers
    Configure the connection settings for the WebSphere Application Server
    About performance monitoring

  • Threshold monitoring function
    Monitors a threshold value(s) for a specified WAS resource(s).
    [References]
    Define the detailed settings of the monitored counter (threshold settings)

  • Logging function
    Logs within an agent the resource data retrieved on the agent side. The logged information can be referred to and output as a CSV file on the console.
    [References]
    Output history data as a file

  • Reporting function
    Performs Patlite, e-mail, and action reporting to alert operators when the state of a specified resource or process has changed.
    [References]
    Define the detailed settings of the monitored counter (threshold settings)

[Support versions]

  • For information on WAS or Java versions that this product supports, refer to "MasterScope SystemManager G Release Memo" (PDF file) provided with MasterScope Media.

[Note]

  • To enable WAS monitoring, you need to enable PMI in WAS.
    For more information, refer to "WebSphere Application Server Setup."


About preparations for WebSphere Application Server performance monitoring

Preparation

  • Setting up WebSphere Application Server
    To enable the WebSphere Application Server monitoring, PMI must be enabled in advance. For the setup method, see "WebSphere Application Server Setup".

  • Host name, port number, user name, password, trust store file, trust store password
    SystemManager G uses host name and SOAP port number for connection. Check the user name, password, trust store file, and trust store password (when management security is enabled) beforehand.

  • Java execution environment (32-bit)
    The 32-bit version of the Java execution environment is required. Check the path to the Java execution environment to be used for WebSphere Application Server. When not existing, install 32-bit version.
    In case of Windows agent, add <32-bit Java execution environment installation destination>/bin to PATH of environment variable.

  • When monitoring GarbageCollection
    To monitor GarbageCollection, the following settings and the monitored server restart are required.

    1. Log in to the WebSphere Integrated Solutions Console.

    2. Select [Servers], and then select [Server Types -> WebSphere application servers].

    3. Click the managed server in the [Application servers].

    4. Click the [Java and Process Management] of [Server Infrastructure] on the [Configuration] tab in the managed server screen.

    5. Click [Process definition].

    6. Click [Java Virtual Machine] of [Additional Properties] in the [Process definition] screen.

    7. Enter "-agentlib:pmiJvmtiProfiler" in the [Generic JVM arguments] field in the [Java Virtual Machine] screen, and then click the [OK] button.

    8. Click [Save] in the [Process definition] screen.

    9. Restart the managed server.

Environment setting after installing SystemManager G

  • Mandatory setting for WebSphere Application Server monitoring
    Setting WebSphere Application Server monitoring of SystemManager G

  • Tuning of WebSphere Application monitoring
    Set a timeout for WebSphere Application Server monitoring
    Change the number of threads for monitoring WebSphere Application Server


WebSphere Application Server Setup

To obtain the performance information from WebSphere Application Server (hereinafter, "WAS"), you must perform three preparation activities: enabling Performance Monitoring Infrastructure (hereinafter, "PMI"), setting counters for sequential update, and setting a statistical set.

  1. Enabling PMI

    Enable PMI with the administrative console.

  2. Using sequentially updated counters

    Specify a sequential update method for PMI counters in WAS. By enabling the sequential update for the counters, you can obtain the accurate statistical information, but a little performance overhead will occur.

  3. Changing a statistical set being monitored

    You must change the current monitored statistical set in WAS. You can set the statistical set to one of None, Basic, Extension, All, and Custom.
    To monitor all the default monitored items, set the statistical set to All.

    For more information on on the change procedure, refer to the following page found in Information Center. Replace the version information part with your WAS version.

    WebSphere Application Server (distributed operating system) version 8.5 > Monitor > Monitoring normalcy of the entire system
    Enabling PMI data collection

[Note]

  • If you select one of All, Basic, Extension, and Custom for the currently monitored statistical set, you may not be able to obtain the performance information from some monitored counters.
    For information on the level of each counter, refer to an appropriate WAS manual.

  • The WAS instances include "managing agents" and "managed servers." It is possible to obtain the performance information on any "managing agent" but impossible to change the settings of the obtainable statistical information.


Setting WebSphere Application Server monitoring of SystemManager G

To use WebSphere Application Server (hereinafter, "WAS") monitoring function, you must edit the setting file on the SystemManager G agent after installing this product.

  • Setting libraries for Java and WAS
    [Windows agent]

    • Setup file to be edited

      C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorWebSphereini

    • Editing example:

      [Java]

      JAVA_HOME=C:\Program Files\Java\jdk1.6.0_43\jre

      Lib_Home=C:\Program Files\IBM\WebSphere\AppServer\runtimes

      [JVMOption]

      JVMOptionNo=1

      JVMOption001=-Xrs

      [Java] section (essential section)
      Specify directories in the Java execution environment to JAVA_HOME. Up to jre directory must be specified.
      For x64 environments, specify the 32-bit version of JAVA_HOME.
      You cannot set JDK from IBM being used by WAS.

      Specify the folder (runtimes), in which the libraries for WAS are located, for Lib_Home.

      [JVMOption] section (essential section)
      Use JVMOption001=-Xrs without changing it.

      If you want to use IBM Java, add the following:

      JVMOption002=-Djp.nec.websam.appnavi.JavaProvider=IBM

      JVMOption003=-Djava.class.path=<Installation directory of WebSphere Application Server>\plugins\com.ibm.ws.security.crypto.jar

      In addition, rewrite JVMOptionNo=1 to JVMOptionNo=3.

      If you want to use Oracle Java less than 8, add the following:

      JVMOption002=-Djava.class.path=<Installation directory of WebSphere Application Server>\plugins\com.ibm.ws.security.crypto.jar
      In addition, rewrite JVMOptionNo=1 to JVMOptionNo=2.

[UNIX agent]

  • Setup file to be edited

    /opt/UMF/Operations/Agent/sg/CollectorWebSphere.ini

    • Editing example:

[Java]

JAVA_HOME=/opt/java1.6/jre

Lib_Home=/opt/IBM/WebSphere/AppServer/runtimes

[JVMOption]

JVMOptionNo=1

JVMOption001=-Xrs

[Java] section (essential section)
Specify directories in the Java execution environment to JAVA_HOME. Up to jre directory must be specified.
For Linux (x86_64) or AIX environments, specify the 32-bit version of JAVA_HOME.
You cannot set JDK from IBM being used by WAS.

Specify the folder (runtimes), in which the libraries for WAS are located, for Lib_Home.

[JVMOption] section (essential section)
Use JVMOption001=-Xrs without changing it.

If you want to use IBM Java, add the following:
JVMOption002=-Djp.nec.websam.appnavi.JavaProvider=IBM
JVMOption003=-Djava.class.path=<Installation directory of WebSphere Application Server >/plugins/com.ibm.ws.security.crypto.jar
In addition, rewrite JVMOptionNo=1 to JVMOptionNo=3.

If you want to use Oracle Java less than 8, add the following:
JVMOption002=-Djava.class.path=<Installation directory of WebSphere Application Server>/plugins/com.ibm.ws.security.crypto.jar
In addition, rewrite JVMOptionNo=1 to JVMOptionNo=2.

Restart the Windows and UNIX version of the SystemManager G agents after you have edited the corresponding setting file.

[Note]
If your directory configurations differ from the above examples, rewrite them according to your environments.

[References]

Set the monitored hosts for WebSphere Application Server performance


Set the monitored hosts for WebSphere Application Server performance

Before you can configure settings to monitor WebSphere Application Server, you must configure host settings for the monitored agent.

Refer to Configure host settings, for the configuration method.


Register the WebSphere Application Server servers

This operation should be executed after shifting into the Configuration mode.

Before you can monitor the performance of WebSphere Application Server (hereinafter, "WAS"), you must register the connection information for the WAS instance to be monitored.

Right-click the agent node to which WAS has been installed, and select [WebSphere] from the displayed [Edit Application Management Instance] menu.

The [WebSphereMonitor - Server Setting] dialog is displayed with a list of monitored WAS servers that have been registered.

  • Server ID
    Displays the registered Server ID.

  • Description
    Displays the description of the server.

  • [Add] button
    Clicking this button will display the [Add Server] dialog and enable you to add a new monitored server.

  • [Edit] button
    Clicking this button will display the [Edit Server] dialog and enable you to set the selected monitored server again.

  • [Delete] button
    Clicking this button will delete the selected monitored server.

    [Note]
    If you delete this server with a monitored resource defined in Performance Monitor, you may not monitor the performance normally. Before you can delete the server from this window, you must delete the monitored resource.

  • [OK] button
    Clicking this button will establish a connection to the set server and close the dialog. When a connection to the server has been successfully established, it is added to monitored objects of the performance monitoring function.

    [Note]
    If this host is not set as a WAS monitored host, a connection to any instance on it cannot be established.

  • [Cancel] button
    Clicking this button will cancel changes to the settings and close the dialog.

Once the server has been registered, its corresponding node is automatically added under the Application Summary view.

The [WebSphereMonitor - Server Setting] dialog can also be displayed by right-clicking a host node under the [WebSphere] node in the Application Summary view and selecting [Edit Server] from the displayed menu.

[References]

Set the monitored hosts for WebSphere Application Server performance

Configure the connection settings for the WebSphere Application Server


Configure the connection settings for the WebSphere Application Server

This operation should be executed after shifting into the Configuration mode.

Set the information for connecting to a desired WebSphere Application Server (hereinafter, "WAS") that has been registered as a monitored object.

You must set the server from the [Add Server] or [Edit Server] dialog.

To display the [Add Server] or [Edit Server] dialog, the following methods are provided:

  1. Click the [Add] button in the [WebSphereMonitor - Server Setting] dialog.

  2. Select a desired registered server and click the [Edit] button in the [WebSphereMonitor - Server Setting] dialog.

  3. Double-click a desired registered server in the [WebSphereMonitor - Server Setting] dialog.

  • Server ID
    Specify any instance name within a maximum of 32 characters to identify a WAS in question. The allowable characters are single-byte alphanumeric characters and underscore (_).
    The server ID must be specified.
    The Server ID is displayed in the form of "WebSphere (Server ID)" in the [Edit Performance Monitoring] window.
    It cannot be changed from the [Edit Server] dialog.

  • Host Name
    Set the host name or IP address that will connect to WAS. It will be used to make a connection to WAS through SOAP. The host name must be specified.

  • Port Number
    In the range of 1 to 65535, specify the port number of SOAP protocol specified in the startup option for WAS. The port number must be specified.

  • Username
    Set a desired user name to be used when establishing a connection to WAS. Do not enter anything unless the management security for WAS has been enabled.

  • Password
    Set a desired password to be used when establishing a connection to WAS. Do not enter anything unless the management security for WAS has been enabled.

  • Trust Store File
    Specify a desired trust store file in JKS (Java keystore) format with an absolute path to authenticate WAS. Specify an appropriate file, as the trust store file, which resides on the agent. Do not enter anything unless the management security for WAS has been enabled.

    [Note]
    If you want to monitor WAS with the management security enabled, you must specify for this parameter a trust store file in JKS format that includes a root certificate that enables you to log in to the WAS to be monitored.
    You can create any trust store file in JKS format with a key management utility (iKeyman) attached with WAS.
    If you want to monitor a number of WASs from one agent (or one remote monitoring agent), you must extract the root certificate from each WAS trust store file by using iKeyman to integrate those trust store files into one, and specify that trust store file.
    In addition, if you changed the SSL configuration of WAS or applied any server certificate, you must create and set a trust store file in JKS format that corresponds the certificate.
    For more information, refer to the WAS manual described later.

  • Trust Store Password
    Specify a desired password for the trust store file that will be used to establish a connection to WAS. Do not enter anything unless the management security for WAS has been enabled.

  • Description
    Describes this server within a maximum of 255 characters. The Description is optional.

[Note]

  • Semicolons (;) cannot be used for input items except for the description field.

  • For Windows agents, AUX, COM1 to COM9, CON, LPT1 to LPT9, NUL, and PRN cannot be used as the server ID of WAS.

  • For information on the management security, refer to the following WAS manual. Replace the version information part with your WAS version.

    • WebSphere Application Serve (distributed operating system) version 8.5 > Protecting applications and their environments > Setting up, enabling, and migration of security > Enabling security > Management security

  • For information on how to start iKeyman, refer to the following WAS manual. Replace the version information part with your WAS version.

  • For information on how to operate iKeyman, refer to [Reference] (the iKeyMan user manual) on the same page.

    • IBM HTTP Server for WebSphere Application Server version 8.5 > Protecting applications and their environments > Key management using IKEYMAN graphical interface (distributed system)

  • For information on SSL configurations, refer the following WAS manual. Replace the version information part with your WAS version.
    WebSphere Application Serve (distributed operating system) version 8.5 > Protecting applications and their environments > Protecting communication > Creating Secure Sockets Layer configuration

  • For information on SSL certificates, refer the following WAS manual. Replace the version information part with your WAS version.

    • WebSphere Application Serve (distributed operating system) version 8.5 > Protecting applications and their environments > Protecting communication > Creating SSL configuration > Authenticating Secure Sockets Layer's client certificate

[References]

Set the monitored hosts for WebSphere Application Server performance

Register the WebSphere Application Server servers


Monitor WebSphere Application Server performance

The registered monitored WebSphere Application Server (hereinafter, "WAS") can be added to a list of monitored objects for performance monitoring, and monitored with the performance monitoring function.

Right-click the [Performance Monitor] node in Topology View and select [Performance Monitor Setting] from the displayed menu to display the [Performance Monitor Setting] window with a list of monitorable resources (monitored objects). Please confirm that the registered WAS is added to the list.

The monitored object name to be added is displayed in the form of "WebSphere (Server ID)" using the registered Server ID. To add the [WebSphere (Server ID)] node under the [Performance Monitor] node on the tree view, check the check box to the left of the monitored object and click the [OK] button.

To display the [Instance Setting] window, right-click the added monitored object node and select [Set Monitored Instance] from the displayed menu.

To add the selected, monitored instance node under the monitored object node, check the check box to the left of the instance you will monitor and click the [OK] button.

To display the [Counter Setting] window, right-click the monitored instance node and select [Set Monitored Counter] from the displayed menu.

To start monitoring the counter you have set, check the check box to the left of the counter and click the [OK] button. To display the performance monitor window, double-click the monitored instance node.

To enable you to configure detailed display settings and threshold value monitoring for the counter, right-click the [Counter] list in the lower section of the performance monitor window and select [Counter Detail Setting] from the displayed menu.

[References]

For more information on the monitored instances and monitored counters, refer to here.

For more information on defining the performance monitoring, refer to here.

You can perform integrated monitoring on WAS performance from the summary view by setting a monitoring process.

[References]

Monitor with the WebSphere Application Server performance monitoring summary


Monitor with the WebSphere Application Server performance monitoring summary

Select the [WebSphere] node from the Application Summary view in the tree view, and display an application summary in the summary view on the right pane.

The summary view is divided into [Application Summary], [Host Summary], and [Instance Summary] in the descending order of nodes. More comprehensive information is displayed in the higher summary, and more detailed information is displayed in the lower summary.

[References]

Monitor with the application summary

Monitor with the host summary

Monitor with the instance summary


Detailed description of WebSphere Application Server monitored counters

InMemoryCacheEntryCount

The current number of in-memory cache entries. Locate it under servlet instance and object instance.

MaxInMemoryCacheEntryCount

The maximum number of in-memory cache entries.

TimeoutInvalidationCount

The number of cache entries that are removed from memory and disk because their timeout has expired.

ActivateCount

The number of times that beans were activated.

ActivationTime

The average time in milliseconds for activating a bean object.

ActiveMethodCount

The average number of concurrently active methods (that is, the num methods called at the same time).

CreateCount

The number of times that beans were created.

Discards

The number of beans that have been discarded.

DrainsFromPoolCount

The number of times that the daemon found the pool idle and attempted to clean it.

DrainSize

The average number of objects that is discarded in each drain.

InstantiateCount

The number of times that beans were instantiated.

LiveCount

The average number of concurrently live beans.

LoadCount

The number of times that bean data was loaded from persistent storage.

MethodCallCount

The number of calls to the remote methods of the bean.

MethodResponseTime

The average response time in milliseconds on the remote methods of the bean.

PassivateCount

The number of times that beans were passivated.

PassivationTime

The average time in milliseconds for passivating a bean object.

PooledCount

The current number of objects in the pool.

ReadyCount

The number of bean instances in ready state.

RemoveCount

The number of times that beans were removed.

RetrieveFromPoolCount

The number of calls retrieving an object from the pool.

RetrieveFromPoolSuccessCount

The number of times that a retrieve found an object available in the pool.

ReturnsDiscardCount

The number of times that the returning object was discarded because the pool was full.

ReturnsToPoolCount

The number of calls returning an object to the pool.

StoreCount

The number of times that bean data was stored in persistent storage.

GCCount

The number of garbage collection calls.

GCTime

The average duration, in milliseconds, of a garbage collection call.

[Note]

  • This instance can be monitored only when the JVM profiler is enabled.
    For information on this setting, refer to the following WAS manual. Replace the version information part with your WAS version.
    WebSphere Application Server (distributed operating system) version 8.5 > Monitor > Monitoring normalcy of the entire system > Enabling PMI data collection
    Enabling Java virtual machine profiler data

AllocateCount

The total number of connections that are allocated.

CloseCount

The total number of connections closed.

ConnectionCount

The number of connections that are used.

CreateCount

The total number of connections that are created.

FaultCount

The number of connection timeouts in the pool.

FreePoolSize

The number of free connections in the pool.

PercentMaxed

The average percent of the time that all connections are in use.

PercentUsed

Average percent of the pool that is in use. The value is based on the total number of configured connections in the ConnectionPool, not the current number of connections.

PoolSize

The size of the connection pool.

PrepStmtCacheDiscardCount

The number of statements that are discarded because the cache is full.

ReturnCount

The total number of connections that are returned to the pool.

UseTime

The average time in milliseconds that a connection is used. The difference between the time at which the connection is allocated and returned. This value includes the JDBC operation time.

WaitingThreadCount

The average number of threads that are concurrently waiting for a connection.

WaitTime

The average waiting time in milliseconds until a connection is granted.

FreeMemory

The amount of used memory (in KBytes) in the Java virtual machine run time.

HeapSize

The total memory (in KBytes) in the Java virtual machine run time.

MemoryUseRate

The used memory (in percent) in the Java virtual machine run time.

ProcessCpuUsage

The CPU Usage (in percent) of the Java virtual machine.

UsedMemory

The amount of used memory (in KBytes) in the Java virtual machine run time.

ConcurrentRequestCount

The number of requests that are concurrently processed by the Object Request Broker.

LookupTime

The amount of time in milliseconds (normally < 10 milliseconds) taken to look up an object reference before method dispatch can be completed. An excessively long time might indicate an EJB container lookup problem.

RequestCount

The total number of requests sent to the Object Request Broker.

State

Indicates the server status. 0: Currently stopping or cannot connect. 1: In the started and connected state.

ActivateNonExistSessionCount

The number of requests for a session that no longer exists, presumably because the session timed out.

ActiveCount

The total number of sessions that are currently accessed by requests.

CacheDiscardCount

The number of session objects that are forced out of the cache. An LRU algorithm removes old entries to make room for new sessions and cache misses. Applies only for persistent sessions.

CreateCount

The number of sessions that are created.

ExternalReadSize

The size of the session data read from persistent store. Applicable only for (serialized) persistent sessions and similar to externalReadTime.

ExternalReadTime

The time (in milliseconds) taken in reading the session data from persistent store. For Multirow, the metrics are for the attribute; for SingleRow the metrics are for the whole session. Applicable only for persistent sessions.

[Note]

  • When a user select no serialization of data if a JMS persistent store is used, this counter cannot be used.

ExternalWriteSize

The size of the session data written to persistent store. Applicable only for (serialized) persistent sessions and similar to externalReadTime.

ExternalWriteTime

The time (in milliseconds) taken in writing the session data from persistent store. Applicable only for (serialized) persistent sessions and similar to externalReadTime.

InvalidateCount

The number of sessions that are invalidated.

LifeTime

The average session lifetime in milliseconds (time invalidated - time created).

LiveCount

The total number of sessions that are currently live.

NoRoomForNewSessionCount

Applies only to session in memory with AllowOverflow=false. The number of times that a request for a new session cannot be handled because this value exceeds the maximum session count.

TimeoutInvalidationCount

The number of sessions that are invalidated with timeout.

TimeSinceLastActivated

The time difference in milliseconds of the previous and current access time stamps. Does not include sessions timed out.

CPUUsageSinceLastMeasurement

The average system CPU utilization taken over the time interval since the last reading.

CPUUsageSinceServerStarted

The average percent CPU Usage that is busy once the server is started.

FreeMemory

A snapshot of free memory (in KB).

ActiveCount

The number of concurrently active threads.

CreateCount

The total number of threads that are created.

DestroyCount

The total number of threads that are destroyed.

PercentMaxed

The average percent of the time that all threads are in use.

PoolSize

The average number of threads in a pool.

ActiveCount

The number of concurrently active global transactions.

CommittedCount

The number of global transactions that are committed.

GlobalBeforeCompletionTime

The average duration of before_completion for global transactions.

GlobalBegunCount

The number of global transactions begun on a server.

GlobalCommitTime

The average duration of commit for global transactions.

GlobalInvolvedCount

The number of global transactions that are involved on a server (that is, begun and imported).

GlobalPrepareTime

The average duration of prepare for global transactions.

GlobalTimeoutCount

The number of global transactions that timed out.

GlobalTranTime

The average duration of global transactions.

LocalActiveCount

The number of concurrently active local transactions.

LocalBeforeCompletionTime

The average duration of before_completion for local transactions.

LocalBegunCount

The number of local transactions begun on the server.

LocalCommittedCount

The number of local transactions that are committed.

LocalCommitTime

The average duration of commit for local transactions.

LocalRolledbackCount

The number of local transactions that rolled back.

LocalTimeoutCount

The number of local transactions that timed out.

LocalTranTime

The average duration of local transactions.

OptimizationCount

The total number of global transactions that are converted to single phase for optimization.

RolledbackCount

The number of global transactions that are rolled back.

ConcurrentRequests

The number of requests that are concurrently processed.

ErrorCount

Total number of errors in a servlet or Java Server Page (JSP).

LoadedServletCount

The number of reloaded servlets.

ReloadCount

The number of reloaded servlets.

RequestCount

The total number of requests that a servlet processed.

ServiceTime

The response time, in milliseconds, of a servlet request.

Detailed description of WebSphere Application Server monitored counters

This section describes in detail the counters that can be monitored with the WebSphere Application Server (hereinafter, "WAS") performance monitoring function.

The monitored instances and monitored counters are common to WAS monitoring.

When you click on a monitored instance, the description for the counters of the instance will be displayed. When you click the same object again, the description will disappear.

Monitored items on WAS

[Cache]

[EJB]

[GarbageCollection]

[JDBC]

[JVMRuntime]

[ORB]

[Server]

[Servlet]

[SystemData]

[ThreadPool]

[Transaction]

[WebApplication]

[Note]

  • The obtainable information depends on the statistical set settings and operating applications.

  • It is likely to obtain the same values because the statistical information, which is held at the update timing on the WAS side, is obtained.

  • The statistical information is stamped with its update time; however, this product displays and holds the time when each performance value was obtained from WAS, together with the performance information.


Register a user definition as a WebSphere Application Server monitored counter

This operation should be executed after shifting into the Configuration mode.

The WebSphere Application Server (hereinafter, "WAS") performance monitoring functionality enables you to monitor the performance of monitored attributes specified by users, in addition to the performance monitored items provided by the product.

The instances and counters added by this functionality will be added to the monitored ones in performance monitoring so that they may be monitored with the performance monitoring function. For information on the procedure to convert them to the monitored targets, refer to "Monitor WebSphere Application Server performance."

Right-click the WebSphere instance node in the Application Summary view and select [Set User Definition Monitoring] from the displayed menu to display the [User Definition Setting] window.

  • Object Name
    Displays the server ID of the WAS server on which user definition monitoring will be performed.

  • Instance Name
    Displays the monitored instance name that has been registered.

  • [Add] button
    Adds a new monitored instance.

  • [Edit] button
    Edits the selected instance.

  • [Delete] button
    Deletes the selected instance.

  • [OK] button
    Puts the edits into effect and close this window.

  • [Cancel] button
    Completes the edit operation and close this window. Your edits are not reflected.

[References]

Register a monitored attribute to be monitored


Register a monitored attribute to be monitored

This operation should be executed after shifting into the Configuration mode.

Click the [Add] button in the [User Definition Setting] window to display the [User Definition Setting (Counter)] window, in which you can select the monitored attribute you will actually monitor.

  • Object Name

Displays the server ID of the WebSphere Application Serve on which user definition monitoring will be performed.

  • Instance Name

Displays the monitored instance name to be registered.

  • Counter

Check the monitored attributes you want to monitor. The monitorable monitored attributes are displayed with the following icon:

  • Counter Name

Specify within a maximum of 128 characters the name that identifies the monitored attribute you want to monitor. The allowable characters are single-byte alphanumeric characters and underscore (_). In the same instance or in [Counter], you must specify a unique Counter Name.

  • The difference between the last two samples.

Check this check box when you monitor a monitored attribute that indicates not the current value but the accumulative one. When checked, the result of performance monitoring will display a statistical value within the monitor interval.

[Note]

  • The first result from monitoring each of the checked counters will be unknown.

  • If a subtraction result is less than 0, the result will show 0.

  • Counter Description

Specify within a maximum of 1023 characters the description of the counter you want to register. The counter description you specify here will be displayed in the lower section of the [Set Monitored Counter] window for performance monitoring.

[References]

Register a user definition as a WebSphere Application Server monitored counter


Import the monitoring setting for WebSphere Application Server performance monitoring

This product includes definition files for the WebSphere Application Server (hereinafter, "WAS") performance monitoring function. Importing these definition files helps you to set items for monitoring WAS performance.

The following describes the steps for importing the WAS performance monitoring definition data:

  1. Confirm whether this host is set to be monitored
    Ensure that the host on which WAS is running is set as a target to be monitored. If the host is excluded from the monitored objects, set it as a target to be monitored by checking the check box to the left of the host name.

    For more information on these setting steps, refer to here.
    [References]
    Configure host settings

  2. Register the WAS instance to be monitored as a monitored object
    As a preparation to import definition files, you must register the WAS to be monitored to the monitored objects for performance monitoring.
    For more information on the registration steps, refer to here.
    [References]
    Register the WebSphere Application Server servers

  3. Confirm that the monitored instance has been registered as a monitored object
    When you have registered the instance as a monitored object, the corresponding monitored object is added in the [Edit Performance Monitoring] window. Use the [Edit Performance Monitoring] window to confirm that the object has been registered. It is displayed in the form of "WebSphere (Server ID)"using the registered server ID.
    For information on displaying the [Performance Monitor Setting] window, refer to here.

    [Note]
    At this time of point, do not check the monitored object you have registered. It will be checked automatically when applying the definition file.

    [References]
    Define the monitored resource

  4. Import a definition file
    After you have edited a desired definition file, import it by using the function for importing agent definitions. Select the host node on which WAS is running from the Topology view, right-click it, and then select [Import].
    Specify the folder to display a window similar to the one shown below, in which you can select functions. Confirm that the check box to the left of [Performance Monitor] is checked, and click the [OK] button.

    When the [Import Setting] window has been displayed, set WAS to which you establish a connection. Double-click the [Server ID] item in [Setting Item] to display the [Server ID Setting] window.

    When the [Import Setting] window has been displayed, set WAS to which you establish a connection. Double-click the [Server ID] item in [Setting Item] to display the [Server ID Setting] window.

    [Note]
    Specify the server ID by using exactly the same server ID that you specified when you established a connection to the monitored WAS (note that server IDs are case-sensitive).
    If you want to save a history of collected performance values in a file, display the [Logging option Setting] window by double-clicking the [Logging option] item in [Setting Item].

    When the [Logging option Setting] window has been displayed, enter the single-byte numeric character "1" (save the history) in [Logging option]. The default value of [Logging option] is "0" (do not save the history).

    Click the [OK] button to return to the [Import Setting] window. Once you have confirmed that the settings are reflected in the window, click the [OK] button. The definition file is read and items in the file are reflected in this performance monitoring process.

[Note]

  • The system may be slow to respond to requests immediately after the import operation because many performance monitoring definitions must be simultaneously applied, but it will be soon restored to normal operations.

  • The threshold values set in the monitoring templates must be regarded as values for reference. Proper threshold values depend on systems, and for this reason you must use the most appropriate ones to your system for verification.

[References]
Import the definition for monitored agents


Set a timeout for WebSphere Application Server monitoring

The WebSphere Application Server monitoring functions may take some time to monitor the operating status of a monitored WebSphere Application Server system, depending how the system is loaded.

If the monitoring operations have not been completed within the interval before the next one comes, the monitoring functions omit monitoring activities in the particular interval.

In addition, each of the monitoring functions sets its own timeout, it discontinues its monitoring activities when the timeout is exceeded. When the monitoring activities are discontinued, collection is not performed until the next monitoring interval. Each retries to resume monitoring in the next monitoring interval.

Depending on the environment, skip and timeout may occur frequently. In such cases, change the parameters at monitoring timeout skip settings.

Note that you can generate a message when a skip event or timeout event occurs by setting an appropriate parameter. For details about theses messages, refer to "Messages Agent/Manager outputs."

Set a relevant parameter(s) by editing the CollectorWebSphere.ini file.

  • Location for the CollectorWebSphere.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorWebSphere.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorWebSphere.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | Key | Overview | Secifiable range
Config | MonitoringTimeout | Set a desired timeout for performance collection. Set a smaller value than the monitoring time interval set for performance collection. | 1-1000 [in seconds] 0: No timeout (default)
 | MonitoringTimeoutMessage | Control output of the message (00411412) when a monitoring timeout (MonitoringTimeout) occurs. | 0: No output 1: Output (default)
 | SkipMessage | Control output of the message (00411411) when a monitoring skip occurs. | 0: No output 1: Output (default)

(Setting example)

When setting the monitoring timeout to 60 seconds and outputting a message when it occurs:

[Config]

MonitoringTimeout=60

MonitoringTimeoutMessage=1

[Note]

  • The changed value of each parameter will take effect after restarting the agent.


Change the number of threads for monitoring WebSphere Application Server

When one agent monitors multiple instances, the monitoring performance of the agent may deteriorate as the number of the monitored instances increases. When the monitoring performance deteriorates, the performance collection activity cannot be completed within the monitoring interval, resulting in the generation of a monitoring timeout.

If the monitoring timeout frequently occurs, you can improve the monitoring performance by increasing the number of monitoring threads.

Set a relevant parameter(s) by editing the CollectorWebSphere.ini file.

  • Location for the CollectorWebSphere.ini file

[Windows agent]
C:\Program Files\NEC\UMF\Operations\Agent\sg\CollectorWebSphere.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-16LE (with BOM).

[UNIX agent]
/opt/UMF/Operations/Agent/sg/CollectorWebSphere.ini
If the file does not exist, create a new file, edit the file to include the parameter(s), and then save it in UTF-8 (without BOM).

Section | Key | Overview | Specifiable range
Config | CollectingThreads | Specify the number of collecting threads | 1-10 (default: 5)
 | MaxThreads | Set the maximum number of threads available to the entire WebSphere Application Server monitoring functions. | Positive integer (default: 10) 0: No limit
 | MaxRecoveryThreads | The maximum number of recovery attempts for each instance. | 1-5 (default: 3) 0: No recovery attempt
 | MaxThreadsExcessMessage | Control output of the message (00411413) when the maximum number of monitoring threads (MaxThreads) is exceeded. When this message is output, it means that the agent uses its available resources to the maximum extent, so that you must restart the agent to restore it. | 0: No output 1: Output (default)

(Setting example)

When setting the number of collecting threads to 5 and the maximum number of threads to 10, and outputting the message when the maximum number of threads is exceeded:

[Config]

CollectingThreads=5

MaxThreads=10

MaxThreadsExcessMessage=1

[Note]

  • The changed number of monitoring thread will take effect after restarting the agent.

  • Increasing the number of monitoring threads also will increase the usage of memory. Set the best value, considering your environment.


About the Application Summary

From the Application Summary in the tree view, you can monitor the operating status of applications in the entire system from logical and physical perspectives.

The physical view tree is automatically generated by registering a target to be monitored. The physical view has the following tree components: [Application], [Host], and [Instance].

The logical view tree is generated by registering a logical system to be monitored: The "logical system" mentioned here refers to an application service across hosts. Currently, only Oracle RAC is a logical system. The logical view has the following tree components: [Group], [Application Category], [Application Service], [Monitored Element], and [Default Category].

The meaning of each component of the logical view is as follows:

[Group]
This component is used for the purpose of managing categories as a group. The group definition is optional.

[Application Category]
This is a unit of business services. It is defined for the purpose of monitoring business services. When the severity of this category changes, a notification message will be produced. The category definition is required.

[Application Service]
This consists of application services that make up a business service. Oracle RAC service is currently the only application service.

[Monitored Element]
This consists of monitored elements that make up an application service. "RAC summary" is currently the only monitored element.

[Default Category]
When you register a logical system to be monitored, the application service will be registered in this component on a temporary basis.
The default service name for an Oracle RAC takes the following form:

Application name: database name[:service name]

The service name can be updated with [Update] from the right-click menu.

[Note]

  • The node of the instance of a physical view becomes the display and non-display because of the registration deletion of the connection information of the monitored application. It doesn't change in an additional deletion of the object of the performance monitor.

[References]

Define an application category

Monitor with the group summary

Monitor with the category summary

Monitor with the service summary

Monitor with the RAC summary


Monitor with the application summary

Select the application node of the Application Summary, the application summary will be shown on right pane.

From the application summary, monitor the operating status of applications in the entire system.

  • Pie chart

Indicates the status of the Oracle monitored counters with ratio to the number of total monitored counters on the whole system.

If there is no threshold monitored counter, this pie chart is not displayed.

  • Status counter

Indicates the number of each status (FATAL, WARNING, NORMAL, UNKNOWN) for the Oracle monitored counters on the whole system. These numbers are reflected on the pie chart displayed on immediate above in real time.

Each numbers of this counter are corresponding as below.

Status counter | Performance monitoring
FATAL | Abnormal upper limit of threshold value, abnormal lower limit of threshold value
WARNING | Warning of upper limit of threshold value, warning of lower limit of threshold value
NORMAL | NORMAL
UNKNOWN | UNKNOWN

  • Monitored instance list

Displays the list of monitored instances on the whole system. Double click the instance item, then the summary view shows the instance summary.

  • Status

Displays the current status of the monitored instance. This status is displayed as the status color in accordance with the [Status counter]'s.

  • Host

Displays the monitored host name.

  • Instance

Displays the monitored instance name.

  • Typical monitored counter

Displays the performance information about the typical monitored counter of selected monitored instance.If the counter has the thresholds, the scales of threshold are displayed under the bar chart. About the bar chart indicating the performance information, refer to the topic of the instance summary.

If the typical monitored counter is not set as monitored, this column displays no information.

  • Finding information

Displays the messages about monitoring information, like detecting the abnormal status of the monitored counter, on the whole system.

This message has following informations.

  • The last status

  • Host name

  • Instance name

  • Monitored instance name

  • Monitored counter name

  • The last value

  • Threshold value about the status changing

[Note]

  • The instance here corresponds to a monitoring object in performance monitoring and is different from monitoring instance. For some applications such as IISD, nothing corresponds to instances. Be careful to prevent confusion.

  • Each status colors displayed in the pie chart and the monitored instance list are corresponding as below. To change the color displayed in the summary view, set the severity from the [Priority Setting] window.

Status counter | Performance monitoring
FATAL | Abnormal upper limit of threshold value, abnormal lower limit of threshold value
WARNING | Warning of upper limit of threshold value, warning of lower limit of threshold value
NORMAL | NORMAL
UNKNOWN | UNKNOWN

[References]

Monitor with the host summary

Monitor with the instance summary


Monitor with the host summary

Select the host node under the application node of the Application Summary, the host summary will be shown on right pane.

From the host summary, monitor the operations status of applications on the selected host.

  • Pie chart
    Indicates the status of the monitored counters with ratio to the number of total monitored counters on the host.
    If there is no threshold monitored counter, this pie chart is not displayed.

  • Status counter
    Indicates the number of each statuses (FATAL, WARNING, NORMAL, UNKNOWN) for the Oracle monitored counters on the host. These numbers are reflected on the pie chart displayed on immediate above in real time.
    Each numbers of this counter are corresponding as below.

    Status counter

    Performance monitoring

    FATAL

    Abnormal upper limit of threshold value,

    abnormal lower limit of threshold value

    WARNING

    Warning of upper limit of threshold value,

    warning of lower limit of threshold value

    NORMAL

    NORMAL

    UNKNOWN

    UNKNOWN

  • Monitored instance list
    Displays the list of Oracle monitored instances on the host. Double click the instance item, then the summary view shows the instance summary.

    • Status
      Displays the current status of the monitored instance. This status is displayed as the status color in accordance with the [Status counter]'s.
    • instance
      Displays the monitored instance name.
    • Typical monitored counter
      Displays the performance information about the typical monitored counter of selected monitored instance. If the counter has the thresholds, the scales of threshold are displayed under the bar chart. About the bar chart indicating the performance information, refer to the topic of the instance summary.
      If the typical monitored counter is not set as monitored, this column displays no information.

  • Finding information
    Displays the messages about monitoring information, like detecting the abnormal status of the monitored counter, on the host.
    This message has following information.

    • The last status
    • Instance name
    • Monitored instance name
    • Monitored counter name
    • The last value
    • Threshold value about the status changing

[Note]

  • The instance here corresponds to a monitoring object in performance monitoring and is different from monitoring instance. For some applications such as IISD, nothing corresponds to instances. Be careful to prevent confusion.

  • Each status colors displayed in the pie chart and the monitored instance list are corresponding as below. To change the color displayed in the summary view, config the severity from the [Priority Setting] window.

    Status counter

    Performance monitoring

    FATAL

    Abnormal upper limit of threshold value,

    abnormal lower limit of threshold value

    WARNING

    Warning of upper limit of threshold value,

    warning of lower limit of threshold value

    NORMAL

    NORMAL

    UNKNOWN

    UNKNOWN

[References]

Monitor with the application summary

Monitor with the instance summary


Monitor with the instance summary

Select the instance node under the host node of the Application Summary, the instance summary will be shown on right pane.

From the instance summary, monitor the operations status of applications of each monitored instance.

  • Pie chart
    Indicates the status of the Oracle monitored counters with ratio to the number of total monitored counters on the Oracle instance.
    If there is no threshold monitored counter, this pie chart is not displayed.

  • Status counter
    Indicates the number of each statuses (FATAL, WARNING, NORMAL, UNKNOWN) for the Oracle monitored counters on the Oracle instance. These numbers are reflected on the pie chart displayed on immediate above in real time.
    Each numbers of this counter are corresponding as below.

    Status counter

    Performance monitoring

    FATAL

    Abnormal upper limit of threshold value,

    abnormal lower limit of threshold value

    WARNING

    Warning of upper limit of threshold value,

    warning of lower limit of threshold value

    NORMAL

    NORMAL

    UNKNOWN

    UNKNOWN

  • Monitored counter list
    Displays the list of monitored counters on the Oracle instance. Double click the instance item or the instance counter items under the instance, then the performance monitoring window will appear.

    • Performance monitoring
      Displays the monitored instance name and the monitored counter names. Press the [+] ([-]) button at the left of the monitored instance, the list of monitored counters under the instance will be shown (hidden).
    • Performance
      Graphs the last performance information of the monitored counter as the bar chart. If the counter has the thresholds, the scales of threshold are displayed under the bar chart.
      The bar chart is graphed in accordance with the scale set for each monitored counters.
      The scale of graph is decided by following rule.
      • Not threshold monitored counter
        The scale is set on the [Display Setting] tab of the [Counter Detail Setting] window. In the case of that the set scale is "1", the left end of graph indicates "0" and the right end of graph indicates "100". In the case of that the set scale is "0.1", each ends indicate "0" and "10".
        About the display setting for performance monitoring, refer to here.
      • Threshold monitored counter
        The scale is set in accordance with following rules.
        1. Defined the upper error threshold
          The scale is set as that the upper error threshold indicates "90%" of the bar chart.
          Since, if the upper error threshold is set to "100", the left end indicates "0" and the right end indicates around "111".
        2. Defined the upper warning threshold
          The scale is set as that the upper warning threshold indicates "80%" of the bar chart.
          Since, if the upper warning threshold is set to "100", the left end indicates "0" and the right end indicates "125".
        3. Defined the lower warning threshold
          The scale is set as that the lower warning threshold indicates "20%" of the bar chart.
          Since, if the lower warning threshold is set to "100", the left end indicates "0" and the right end indicates "500".
        4. Defined the lower error threshold
          The scale is set as that the lower error threshold indicates "10%" of the bar chart.
          Since, if the lower error threshold is set to "100", the left end indicates "0" and the right end indicates around "1000".

        If the counter has multi thresholds, the rule is adapted in accordance with the order of priority. The "upper error threshold" has the highest priority and the "lower error threshold" has the lowest priority.

    It is possible to change to the graph screen of the performance monitor by double-clicking the instance or the counter. The instance whose counters are undefined is not changed.

  • Finding information
    Displays the messages about monitoring information, like detecting the abnormal status of the monitored counter, on the host.
    This message has following information.

    • The last status
    • Monitored instance name
    • Monitored counter name
    • The last value
    • Threshold value about the status changing

[Note]

  • The instance here corresponds to a monitoring object in performance monitoring and is different from monitoring instance. For some applications such as IISD, nothing corresponds to instances. Be careful to prevent confusion.

  • Each status colors displayed in the pie chart and the monitored counter list are corresponding as below. To change the color displayed in the summary view, config the severity from the [Priority Setting] window.

    Status counter

    Performance monitoring

    FATAL

    Abnormal upper limit of threshold value,

    abnormal lower limit of threshold value

    WARNING

    Warning of upper limit of threshold value,

    warning of lower limit of threshold value

    NORMAL

    NORMAL

    UNKNOWN

    UNKNOWN

[References]

Monitor with the application summary

Monitor with the host summary


Define an application category

This operation must be executed after shifting into the Configuration mode.

You can define an application category to be monitored. The application category definition is required.

To define an application category, select [Add Category] from the right-click menu of a node on the logical view. When the [New Category] dialog has been displayed, complete the entries in the dialog and click on the [OK] button.

Information in the dialog can be updated with [Update] from the right-click menu.

An application category definition can be created under the root node ([logical view] node) or the group.

  • Category Name
    Use up to a maximum of 64 characters to specify any category name.
    The Category Name must be specified.

  • Icon File
    Use up to a maximum of 256 characters to specify an icon file to be used to display this entity. Clicking on the [Browse] button enables you to display the [Open File] dialog and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used. You can use appropriate environment variables for the path name to an icon file. When you omit specifying an icon file, the default icon will be used.

You can define a group that is used to manage monitored application categories on a per-group basis

To define a group, select [Add Group] from the right-click menu of a node on the logical view. When the [New Group] dialog has been displayed, complete the entries in the dialog and click on the [OK] button.

Information in the dialog can be updated with [Update] from the right-click menu.

A group definition can be created under the root node ([logical view] node) or the group.

  • Group Name
    Use up to a maximum of 64 characters to specify any group name.
    The Group Name must be specified.

  • Icon File
    Use up to a maximum of 256 characters to specify an icon file to be used to display this entity. Clicking on the [Browse] button enables you to display the [Open File] dialog and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used. You can use appropriate environment variables for the path name to an icon file. When you omit specifying an icon file, the default icon will be used.

You can create a unique tree for the application service that has been registered in [Default Category] on a temporary basis by dragging & dropping the service to the defined application category, or moving it to the category with [Move] in the right-click menu.

Once [Default Category] has become unnecessary, you can disable the display with [Delete] in the right-click menu.

[References]

About the Application Summary

Monitor with the group summary

Monitor with the category summary

Monitor with the service summary

Monitor with the RAC summary


Monitor with the group summary

When you select the [Logical view] node or the [group] node from the Application Summary in the tree view, the summary view in the right pane displays a group summary.

You can monitor the operating status of the entire system or a specific business from a group summary.

  • Group/category list

    • Color
      Displays the operating status of each group/category with the color of severity.
    • Group/category
      Displays group names and category names under this node.
    • Status
      Displays the operating status of each group/category. One of the following statuses will be displayed:
      • FATAL
      • WARNING
      • NORMAL
      • UNKNOWN

[References]

Monitor with the category summary

Monitor with the service summary

Monitor with the RAC summary


Monitor with the category summary

When you select the [Application Category] node from the [Logical view] node under the Application Summary in the tree view, the summary view in the right pane displays a category summary.

You can monitor the operating status of a specific business from a category summary.

  • Service list

    • Color
      Displays the operating status of each group/category with the color of severity.
    • Application
      Displays the name of each application that belongs to this category.
    • Service
      Displays the name of each application service under this node.
    • Status
      Indicates the operating status of each application service. One of the following statuses will be displayed:
      • FATAL
      • WARNING
      • NORMAL
      • UNKNOWN

[References]

Monitor with the group summary

Monitor with the service summary

Monitor with the RAC summary


Monitor with the service summary

When you select the [Application Service] node from the [Logical view] node under the Application Summary in the tree view, the summary view in the right pane displays a service summary.

You can monitor the operating status of a service for a specific business from a service summary.

  • Configuration list

    • Color
      Displays the operating status of each group/category with the color of severity.
    • Composition
      Displays the composition name that belongs to each application service.
    • Status
      Displays the operating status of each group/category. One of the following statuses will be displayed:
      • FATAL
      • WARNING
      • NORMAL
      • UNKNOWN

[References]

Monitor with the group summary

Monitor with the category summary

Monitor with the RAC summary


Monitor with the RAC summary

When you select the [RAC Summary] node under the application service from the Application Summary in the tree view, the summary view in the right pane displays a RAC summary.

You can monitor the operating status of RAC from a RAC summary.

For RAC for which an Oracle service name is defined:

For RAC for which an Oracle service names is not defined:

  • Database
    Displays the name of the database under monitoring.

  • Service
    Displays the name of the Oracle service under monitoring. This field is left blank if a service name is not defined.

  • Status
    Indicates the service status of this RAC. The service status of RAC is determined based on the following table.
    The same row makes up an AND condition derived from combing the condition of each column. A hyphen indicates that there is no condition for the column.

    Service Status

    Service Status of Preferable Instance

    Service Status of Available Instance

    Instance Status of Available Instance

    Up

    All Up

    No disable

    All Up

    Partial Down [Preference Instance]

    One or more Down

    Or Disable

    -

    -

    Partial Down

    [Available Instance]

    All Up

    -

    One or more Down

    All Up

    One or more disabled

    -

    Down

    All Down

    Or Disabled

    All Down

    Or Disabled

    -

    The service status for a RAC configuration without a service definition is determined based on the instance status of the database.

    Service Status

    Instance Status

    Up

    All Up

    Partial Down

    One or more Down

    Down

    All Down

    The status of RAC summary is mapped by the following priority types. Refer to Setting of priority type of Oracle RAC for customizing the priority type.

    Status

    Priority type by default

    Remarks

    Up

    NORMAL

    -

    Partial Down

    WARNING

    -

    Partial Down

    [Preference Instance]

    WARNING

    The priority type can be changed by the configuration file

    Partial Down

    [Available Instance]

    NORMAL

    The priority type can be changed by the configuration file

    Down

    FATAL

    -

    Unknown

    UNKNOWN

    -

  • TAF Policy
    Indicates a TAF (Transparent Application Failover) policy. One of the following policy names will be displayed:

    • None
    • Basic
    • Preconnect
    A hyphen is displayed when there is no service definition on the RAC configurations.

  • LastUpdated
    The time and date when information on the RAC summary view was acquired is displayed.

  • Instance list

    • Instance Name
      Displays the instance name of each instance that makes up this RAC.
    • Service Status
      Indicates the service status of each instance. One of the following statuses will be displayed:
      • Up
      • Down
      • Unknown
      • Disabled
      A hyphen is displayed when there is no service definition on the RAC configurations, and the icon becomes N/A.
    • Status
      Indicates the operating status of each instance.
    • Host Name
      Displays the name of the host on which each instance is running.
    • Service Policy
      Displays the operation policy of each service. The instance of "No Use" is not displayed in the RAC summary among the following service policies. "No Use" instance can be confirmed by a physical view.
      • Preference
      • Available
      • No Use
      A hyphen is displayed when there is no service definition on the RAC configurations.

[Note]

  • The color of severity displayed for the status of [Service Status] corresponds to one of the following degrees of severity. If you want to change the severity color to be displayed, set the corresponding severity level in the [Priority Setting] window for the status.

    Status counter

    Performance monitoring

    FATAL

    Abnormal upper limit of threshold value,

    abnormal lower limit of threshold value

    WARNING

    Warning of upper limit of threshold value,

    warning of lower limit of threshold value

    NORMAL

    NORMAL

    UNKNOWN

    UNKNOWN

[References]

Monitor with the group summary

Monitor with the category summary

Monitor with the service summary


About service availability monitoring

This product measures the availability and responses of an IT service by simulating accessing the service. It can monitor IT services from the standpoint of end users, and provides functions that quickly detect and report failures in the services.

In the service availability monitoring functionality, the following functions are available:

  • Web scenario monitoring function

    • Simulates accessing a monitored Web site based on a recorded scenario to monitor the availability and responses of the Web site.
    A scenario refers to a series of Web accesses such as Login to Shopping Site -> Merchandise search -> Purchase -> Logout from Shopping Site.

    [Reference]
    About Web scenario monitoring

  • Mail monitoring function

    • Monitors the availability and responses of monitored mail servers by sending and receiving mails from the servers based on settings.

    [Reference]
    About mail monitoring

  • DNS monitoring function

    • Accesses a monitored DNS server based on settings to monitor the availability and responses of the server.

    [Reference]
    About DNS monitoring

  • TCP monitoring function

Accesses a monitored TCP port based on settings to monitor the availability and responses of the port.

[Reference]
About TCP monitoring

  • FTP monitoring function

    • Monitor the availability and responses of file acquisition by accessing the monitored FTP server according to the settings.

    [Reference]
    About FTP monitoring


Import service availability monitoring settings

  1. At Topology View, select the Probe host to be imported, and then select [Import] from the right-click menu.

  2. Specify the directory in the [Import Service] dialog. Select the directory by clicking the [Browse] button.

  3. Select the directory in the [Open Directory] dialog, and click on the [OK] button.

  4. A warning dialog box appears if there is no Performance Monitor import file in the specified directory.

  5. Select the directory in the [Import Service] dialog and click on the [OK] button. Check the [Performance Monitor] check box if it is unchecked.

  6. A warning dialog box appears if either of the following files does not exist in the specified directory.(A corresponding filename is displayed at the filename of the message.)

    • Probe import file ( Filename : ProbeOption.txt )

    • Scenario setting import file ( Filename : ProbeOptionWeb.xml )

*If using the schedule setting, the following file must be in the import directory.

    • Schedule setting import file ( Filename : SchImport_<Identification ID>.txt )

  7. If there exists an instance with the same name as the imported instance in the import environment and counter settings have been set, the [Performance Monitor: Overwrite confirm] dialog appears.

Yes: Instance counter settings are overwritten.

All Yes: The rest of all Instance counter settings are overwritten.

No: Instance counter settings are not overwritten.

All No: The rest of all Instance counter settings are not overwritten.

  8. Confirm the overwriting of the Probe terminal settings of the Probe host imported, at the [System Manager G - IT Service Response Monitor: Confirm Overwrite] dialog appears.

Yes: Probe terminal settings are overwritten.

Yes to All: The rest of the Probe terminal settings are overwritten.

No: Probe terminal settings are not overwritten.

No to All: The rest of the probe terminal settings are not overwritten.

  9. If there exists an instance with the same name as the imported instance in the import environment, the [System Manager G - IT Service Response Monitor: Confirm Overwrite] dialog appears.

Yes: Instance settings are overwritten.

Yes to All: The rest of the Instance settings are overwritten.

No: Instance settings are not overwritten.

No to All: The rest of the Instance settings are not overwritten.

[Reference]

Export service availability monitoring settings


Export service availability monitoring settings

  1. At Topology View, select the Probe host to be exported, and then select [Export] from the right-click menu.

  2. Specify the directory in the [Export Setting] dialog. Enter the directory path or select the directory by clicking the [Browse] button.

  3. Select the directory in the [Open Directory] dialog, and click on the [OK] button.

  4. Enter a comment in the [Export Setting] dialog, and click on the [OK] button.

  5. Check the [Export Result] dialog and make sure that [Application Monitor] and [Performance Monitor] have been exported correctly.

[Reference]

Import service availability monitoring settings


About Web scenario monitoring

In Web scenario monitoring, users record and define "scenarios" to monitor a desired Web site and set "performance counters" for each of the scenarios.

In the Web scenario monitoring, the following functions are available:

  • Web scenario creation function (Scenario Writer)

    • Enables users to record and edit a series of transactions to a Web page as a Web scenario.

    [Reference]
    Record a Web scenario

  • Monitored counter threshold monitoring function

    • Enables users to monitor thresholds for a Web service with monitored counters.

    [Reference]
    Set a monitored counter

  • Reporting function

    • Reports an alarm to the manager when replaying a Web scenario fails. The details of the alarm will be displayed in Business View.

    [Reference]
    Set a filter definition.

  • Dynamic parameter support

    • Sends data such as dynamically changing Form data after replacing it with one in the standard output format of the specified command.

  • Dialog operation

    • Enables users to operate a displayed dialog.

  • Auto search function

    • Automatically searches for HTML elements to be clicked when Web pages dynamically change.

  • Basic authentication function

    • Authenticates users with the specified IDs/passwords for a Web site that requires basic authentication.

  • Capture function

    • Captures HTML sources and screen dumps of a Web page in which an irregularity is detected.

    [Reference]
    Configure Web scenario monitoring settings
    Refer to here to proceed to "Perform preparations for Web scenario monitoring."


Perform preparations for Web scenario monitoring

When using the Web scenario monitoring function, check the following browser requirements:

Browser requirements necessary for Web scenario monitoring

  • To use the Web scenario monitoring, the "Run As User" settings must be specified.
    - To use the "Run As User" settings, prepare an account with the Administrator authority for the probe terminal in advance.
    - The account specified as the "Run As User" must have the Log on as a service authority.

  • The account specified as the "Run As User" of the probe terminal must be able to access the website where the scenario is specified.

  • The following settings of Internet Explorer must be specified in advance for the "Run As User" account of the probe terminal.
    - Complete the setup wizard to specify the initial settings.
    - Register the monitored website to the local intranet or trusted site.
    - Configure the advanced settings and security settings of Internet Explorer to disable the unnecessary confirmation dialog pop-up.

  • If you want to monitor a Web page where client authentication is set up, the client certificate must be registered to your browser on the probe terminal and be able to be displayed from the terminal.

  • When monitoring a Web site without using the browser cache, the cache information on the probe terminal will be deleted on a temporary basis in time to the monitoring.

  • When Microsoft Script Debugger is installed, you must disable script debugging in Internet Explore.
    Otherwise, Web scenario monitoring may not be performed properly if the monitored Web page includes a script error.
    After selecting [Tools]-[Internet Options]-[Advanced] in Internet Explorer, check [Disable script debugging (Internet Explorer)].

[Reference]
5. How to set a scenario in a special environment
Configure Web scenario monitoring settings


Add a probe host that performs monitoring

Once the manager detects a probe, [Probe Host] will automatically be added to [Probe Group] in Topology View.

[Reference]
Add a monitored object


Add a monitored object

  1. To add a monitored object under [Probe Group]-[Probe Host]-[Performance Monitor] in Topology View, perform the following operations:
    Select [Performance Monitor Setting] from the right-click menu of the [Performance Monitor] node in Topology View to display the [Performance Monitor Setting] dialog.

  2. Confirm that the following items are displayed in the [Performance Monitor Setting] dialog:

    3. [Response - Web Scenario] --- Object for which Web scenario monitoring is performed.

    [Response - Mail] --- Object for which mail monitoring is performed.

    [Response - DNS] --- Object for which DNS monitoring is performed.

    [Response - TCP] --- Object for which TCP monitoring is performed.

    [Response - FTP] --- Object for which FTP monitoring is performed.

  3. When you check the checkbox to the left of a monitored object name and click the [OK] button, the checked monitored object node is added under the [Performance Monitor] node on the tree view.
    The following window shows the example of checking all the objects:

    4. [Reference]
    Set a monitored instance


Set a monitored instance

  1. To register a monitored instance under a monitored object node, perform the following operations:
    Select [Instance Setting] from the right-click menu of a desired, added monitored object node to display the [Monitor Instance Setting] dialog.

  2. To display the [Probe Terminal Setting] dialog, click the [Set Up] button in [Probe Setting] on the [Monitor Instance Setting] dialog.
    To display the [Monitor Configuration] dialog to set a monitored instance, click the [Add] button in [Monitor Setting] on the [Monitor Instance Setting] dialog.

    3. [Reference]
    Set a probe terminal that performs monitoring
    Add a monitored instance
    Update a monitored instance
    Delete a monitored instance


Add a monitored instance

  1. To add a monitored instance, perform the following operations:
    Click the [Add] button in the [Monitor Instance Setting] dialog to display the [Monitor Configuration] dialog.

  2. To start the setting window for each service availability monitoring activity, click the [Set Up] button.

    3. [Reference]
    Record a Web scenario

Set mail monitoring

Set DNS monitoring

Set TCP monitoring

Set FTP monitoring

    When you have completed the settings, click the [OK] button to close the dialog. The monitored instance is added under the monitored object node in Topology View.

  • Group Name

    • Set a desired group name. It will be displayed in the [Group Name] column in the [Probe Status] tab.

  • Monitor ID/Monitor Name

    • Displays the unique Monitor ID that will be given to each service availability monitoring activity and the set Monitor Name that corresponds to the Monitor ID.
    Once Monitor ID and Monitor Name have been set, they cannot be changed.

  • Set Up button

    • Starts the setting window for each service availability monitoring activity.
    For Web scenario monitoring, Scenario Writer will be started.

  • Monitor Interval

    • Monitoring activities are performed at the interval set here.
    Setting unit: Minute
    Minimum: 1 minute
    Maximum: 1440 minutes (1 day)

  • Monitor Timeout

    • If the monitor activity has not been completed within the value set in [Monitor Timeout], it will be terminated.
    Setting unit: Second
    Minimum: 1 second
    Maximum: 86400 seconds (1 day)

  • Priority

    • Set a desired priority with which this monitoring process will be executed.
    The monitoring processes will be executed in the order of higher to lower priorities (the highest priority is 1).
    Minimum: 1
    Maximum: 10

  • Monitor Schedule Setting

    • Set up a desired schedule based on which the monitoring process will be executed.
    Check [Using the Scheduler] and click the [Set Up] button.
    When the [Schedule Setting] window has been displayed, set the schedule.

[Reference]

About the calendar

About Period Schedule

About Time Schedule

  • Run As User Setting

Set up a user who will perform monitoring and his or her password. You must specify a user who is present at the probe terminal and has rights necessary to run the monitoring process.

If you omit specifying this, the monitoring process will be executed with the system user.

In other monitoring types than Web scenario monitoring, you do not have to specify it.

Set it if necessary in Web scenario monitoring,

If [User Name] under [Run As User Setting] includes a domain name or server name, you need to specify it in the following format:

User account@domain name (server name)

    [Reference]
    Set a monitored instance
    Update a monitored instance
    Delete a monitored instance
    Record a Web scenario

Set mail monitoring

Set DNS monitoring

Set TCP monitoring

Set FTP monitoring


Record a Web scenario

  1. Click the [Set Up] button in the [Monitor Configuration] dialog to display the main window for Scenario Writer.

  2. You will configure the Web scenario monitoring settings. From the Scenario Writer main window, click [File]-[Set].

    3. [Reference]
    Configure Web scenario monitoring settings

  3. In [URL:], enter the URL for a page for which you will start to record a desired Web scenario.

  4. Record the Web scenario.

    5. Click the [GO] button to display the page for the specified URL in the browser view, operate the Web window on the browser view based on the Web scenario you want to record. The Web scenario will automatically be recorded in line with the actual operations.

    If you record your operations repetitively while the loading icon is working, the operations will be regarded as the click operations performed on the same window. If you want to record steps that cause windows to transition, ensure that the icon is stopped before clicking the mouse button.

    When Scenario Writer is started, the [Scenario Record] button takes on the status of being clicked by default, but if the button indicates that recording is being stopped, click it to enable the recording.

  5. Stop recording the Web scenario.
    Click the [Scenario Stop] button to stop recording the Web scenario.

  6. Replay the Web scenario.
    To check whether the Web scenario has properly been recorded, click the [Scenario Replay] button.

  7. Save the Web scenario.
    Click the [Save] button on the toolbar.

  8. The [Scenario Name Setting] dialog is displayed.
    Enter a desired scenario name and click the [OK] button. The entered scenario name is set as Monitor Name.

  9. Exit Scenario Writer. Click [Exit Application] from the file menu in Scenario Writer.

    10. [Reference]
    Set a monitored instance
    Add a monitored instance
    Update a monitored instance
    Delete a monitored instance

    *For details of Scenario Writer, refer to the "Scenario Writer" manual.


Configure Web scenario monitoring settings

Select [Set] from the file menu in Scenario Writer to display the [Web Scenario Monitor Setting] dialog.

When you have completed the settings, click the [OK] button.

[Reference]
Record a Web scenario

  • Wait Time Setting

    • Wait Time (0-60000 milliseconds)
      Set a desired wait time, when a redirection occurs, from the time the first page downloading is completed to the one the first one byte starts to be downloaded since the redirection occurs.

  • Record Setting

    • HTML Tag Count (0-99)
      If objects recorded in each step, such as buttons or links to be clicked, are not found, this will automatically search the page for the objects.
      When searching for them, the upper part of each HTML tag to be searched is checked whether there are hits.
      HTML tags worth the number set in [HTML Tag Count] will be checked.

  • Browse Setting(Only monitoring)

    • [Download image files] checkbox
      Specify whether an image file(s) that makes up the monitored Web page will be downloaded.

    • [Download movie files] checkbox
      Specify whether a video file(s) that makes up the monitored Web page will be downloaded.

    • [Download sound files] checkbox
      Specify whether a sound file(s) that makes up the monitored Web page will be downloaded.

    • [Enable Flash contents] checkbox
      Set Flash data that makes up the monitored Web page to be enabled.

    • [Ignore error message(Script Error)] checkbox
      Set a script error to be ignored when it occurs in the monitored page.

    • [Enable Java Script] checkbox
      Set JavaScript that makes up the monitored Web page to be enabled.

  • Cache Setting(Only monitoring)

    • [Delete browser cache] checkbox
      As the response time will change between the monitoring activities with and without a cache when data is left in the cache, check this checkbox if it is not desirable.
      As Web pages normally are accessed with a cache, the use of a cache is not disabled by default.

    • [Delete Cookie] checkbox
      Check this checkbox if you want to perform the monitoring while deleting cached Cookies.

  • Error Information Setting(Only monitoring)

    • [Collect Html source code of error window] checkbox
      When the Web scenario is not replayed successful, check this checkbox to collect Html sources to examine what caused the failure.
      This enables you to determine what window was displayed when the failure occurred by referring to the sources with your Web browser later.
      They should be output to the following directory by default:
      C:\Program Files\NEC\UMF\OperationsProbe\Agent\sg\AppNaviPrb\error_info\WebScenario

    • [Collect image file of error window] checkbox
      When the Web scenario is not replayed successfully, check this checkbox to capture an error window to examine what caused the failure. This enables you to determine what window was displayed when the failure occurred by referring to the image file later.
      You can select one from bmp, jpeg, and gif in the form of radio buttons.
      They should be output to the following directory by default:
      C:\Program Files\NEC\UMF\OperationsProbe\Agent\sg\AppNaviPrb\error_info\WebScenario

  • Proxy Setting

    • Use Proxy setting of IE browser
      Check this checkbox if you want to use the proxy server settings set in the Internet Explorer browsers on the console and probe terminal.

    • Not use Proxy server
      Check this checkbox if you monitor a Web page you access not through the proxy server.

    • Use Proxy setting only for Probe
      Set this if you want to use any probe server without using settings in the IE browser when monitoring the Web site.

    • http proxy server hostname, port number (0-65534)
      Enter http proxy server settings to be used by the probe.

    • https proxy server hostname, port number (0-65534)
      Enter https proxy server settings to be used by the probe.

    • [User another Proxy setting for monitoring] checkbox
      If you selected [Use Proxy setting only for Probe], the [User another Proxy setting for monitoring] checkbox is enabled.
      Checking this checkbox enables you to set another Proxy server in Web scenario monitoring.

    • http proxy server hostname, port number (0-65534)
      Enter http proxy server settings to be used by the probe in Web scenario monitoring.

    • https proxy server hostname, port number (0-65534)
      Enter https proxy server settings to be used by the probe in Web scenario monitoring.

  • User-Agent setting

    • User-Agent check box
      Before setting User-Agent, you must enable the [User-Agent] check box.
      Once enabling the check box, you can set [User-Agent].
      If you disable the [User-Agent] check box, you must use User-Agent provided by Internet Explorer.

    • User-Agent (1 to 512 single-byte alphanumeric characters and/or symbols)
      Enter a desired User-Agent.

*This section explains the components of the [Web Scenario Monitor Setting] window. For details of the Web scenario monitoring settings, refer to the "Scenario Writer" manual.


Set a probe terminal that performs monitoring

Click the [Set Up] button in [Probe Setting] on the [Monitor Instance Setting] dialog to display the [Probe Terminal Setting] dialog.

  • Probe Name

    • Displays the probe name you will set up.

  • Check box for tracing logs

    • Check this checkbox if you want to set tracing for monitoring commands to be executed by the probe terminal.

  • Trace Log File Size (0-1048576 KByte)

    • Specify the size of a trace log file. The trace log files are under two-generational management.

  • Number of concurrent requests (1-128)

    • Specify the concurrent monitoring count.
    Normally specify 1 for the concurrent execution count.
    When commands are executed concurrently, the response measurement results may be delayed because the load on the probe terminal increases.

    (When specifying a number larger than 1 for [Number of concurrent requests], specify a number up to around 50 in consideration of the machine load. Up to 128 can be specified.)
    In addition, specify 1 for the concurrent execution count when performing Web scenario monitoring.

  • Monitor Interval Timeout (1-86400 seconds)

    • This is a timeout value used to run all the service availability monitoring activities at the interval set in [Monitor Interval].
    If you run multiple service availability monitoring activities on one probe terminal, all the activities may not be completed within one interval time.
    Then, as it takes more than one interval time to complete all the activities, you need to set this to a value greater than the total of Monitor Timeout for each of all the activities.
    If Monitor Interval Timeout is greater than Monitor Interval, set the Monitor Interval again.

  • Notify of Monitor interval timeout alert

    • If the Monitor Interval Timeout is exceeded, an alert will be reported.

  • Notify of Monitored data delayed alert

    • This is not available for this version.

    [Reference]
    Add a monitored instance
    Set a filter definition


Update a monitored instance

  1. To update a monitored instance, perform the following operations:
    Select the Monitor Setting you want to update in the [Monitor Instance Setting] dialog and click the [Update] button to display the [Monitor Configuration] dialog.

  2. Edit the entries in the [Monitor Configuration] dialog.

    3. If you want to edit the settings for each service availability monitoring activity, click the [Set Up] button in the [Monitor Configuration] dialog.

    [Reference]
    Record a Web scenario

Set mail monitoring

Set DNS monitoring

Set TCP monitoring

Set FTP monitoring

    When you have completed the settings, click the [OK] button to close the dialog.

    [Reference]
    Set a monitored instance
    Add a monitored instance
    Delete a monitored instance


Delete a monitored instance

  1. To delete a monitored instance, perform the following operations:
    Open the [Monitor Instance Setting] dialog.

  2. Select the Monitor Setting you want to delete, and click on the [Delete] button.
    When a confirmation dialog has been displayed, click [Yes] to delete it.

    3. [Reference]
    Set a monitored instance
    Add a monitored instance
    Update a monitored instance


Check the status of a probe

To display the [Probe Status] tab in Product View, select a desired monitored object in Topology View.

The types of the monitored objects are as follows:

[Response - Web Scenario]

[Response - Mail]

[Response - DNS]

[Response - TCP]

[Response - FTP]

In the [Probe Status] tab, you can check the statuses of the settings and those of assigned licenses for service availability monitoring activities.

The [Status] column displays each license status with an icon.

To put into force the license of each service availability monitoring activity, select [Enable] from the right-click menu.

The number of probe licenses equivalent to that of the enabled service availability monitoring activities is consumed.

[Reference]
Add a monitored object


Set monitored counters for Web scenario monitoring

  1. Right-click a desired Monitor Name under the [Response - Web Scenario] monitored object from Topology View, and select [Counter Setting] from the menu.

  2. The [Counter Setting] dialog opens.

    3. Check the checkbox for each of the counter values to be monitored.
    A counter value for the entire Web scenario is displayed in the form of "Scenario <Counter name>".
    A counter value for each step is displayed in the form of "Step<No.><Counter name>".
    The detail of each counter is as follows:

  • Availability

    • When the scenario has successfully been executed, it will indicate 1, and otherwise it will indicate 0.

  • Total Response Time

    • Total response time elapsed from when the process starts to when the page is displayed.

  • SetUp Time

    • Time elapsed from when the process starts to when the first one byte is received.

  • Server Working Time

    • Time elapsed from when the first one bye is received to when the process has been completed.

  • Transfer Time

    • Time elapsed from when the process has been completed to when the page is displayed. The time during which server processing and downloading concurrently are performed is included in Server Working Time.

  • Session Time

    • Time necessary to establish a session. As the same session is used if the servers are the same, the time normally is measured with the first Step only.

  • Navigate Time

    • Time during which the server and its client(s) perform processes. As loads are imposed on the server, this metric will increase.

  • Download Time

    • Total of times elapsed from when the first byte of each component that makes up the page is received to when all the components are downloaded. As loads are imposed on the network, this metric will increase.

    [Reference]
    Refer to a monitored data graph


Refer to a monitored data graph

To refer to a monitored data graph, double-click the added monitored instance from Topology View.

The monitored data will be displayed in the form of a graph in Product View.

[Reference]
Set a monitored instance
Set monitored counters for Web scenario monitoring

Set monitored counters for mail monitoring

Set monitored counters for DNS monitoring

Set monitored counters for TCP monitoring

Set monitored counters for FTP monitoring

Set a filter definition


Set a filter definition

You define a filter to extract alert messages that are output on a probe.

This operation must be executed after shifting into the configuration mode.

  1. Select Business View on the tree view and select [Add Category] from the right-clock menu to display the
    [New Category] window.

  2. Enter "Service Availability Monitoring" in [Category Name] in the [New Category] dialog.
    Select the "appnaviprobe.ico" file in [Icon File]
    (which is under <Installation directory>\UMF\Operations\Svc\image\Product).
    When you have completed the settings, click the [OK] button.

  3. Select [Service Availability Monitoring] under Business View on the tree view, and select [Filter Setting] from the right-click menu to display the [Filter Setting] dialog.

  4. Click the [Import] button in the [Filter Setting] dialog. The [Import Setting] dialog is displayed.

  5. Click the [Browse] button in the [Import Setting] dialog.

  6. Specify "<Installation directory>\UMF\Operations\Svc\knowledge" for the directory path in the [Directory Setting] dialog.
    When you have specified the directory path, click the [OK] button.

  7. Select the UMF_ProbeOption.txt knowledge file in the [Import Setting] dialog.
    When you have selected the knowledge file, click the [OK] button.

  8. After confirming that "Message is not from Service Availability Monitoring" and "Message from Service Availability Monitoring" are displayed in [Filter Name] in the [Filter Setting] dialog, click the [Close] button.

    9. [Reference]
    Set monitored counters for Web scenario monitoring

Set monitored counters for mail monitoring

Set monitored counters for DNS monitoring

Set monitored counters for TCP monitoring

Set monitored counters for FTP monitoring

Refer to a monitored data graph


About mail monitoring

In mail monitoring, users configure settings to monitor mail servers and set "performance counters" for each of the mail transmission server and mail reception server.

In the mail monitoring, the following functions are available:

  • Mail server monitoring setting function

    • Sets the hostname and authentication method of a mail transmission server and those of a mail reception server.

    [Reference]
    Set mail monitoring

  • Monitored counter threshold monitoring function

    • Enables users to monitor thresholds for mail servers with monitored counters.

    [Reference]
    Set monitored counters for mail monitoring

  • Reporting function

    • Reports an alarm to the manager when a failure is detected in both or either of the monitored mail servers.
    The details of the alarm will be displayed in Business View.

    [Reference]
    Set a filter definition

  • Capture function

    • Records communications with mail servers in which a failure is detected.

    Refer to here to proceed to "Perform preparations for mail monitoring."


Perform preparations for mail monitoring

When using the mail monitoring functions, confirm the following:

  • Check if you can make a connection from the probe terminal to the monitored mail servers.

  • Prepare a mail account for mail monitoring.

  • Check whether mails can be sent and received on the mail account to be used.

[Reference]
Set mail monitoring


Set mail monitoring

Click the [Set Up] button in the [Monitor Configuration] dialog to display the [Probe for Mail - Monitor Setting] window.

When you have completed the settings, click the [OK] button to close the dialog.

  • Monitor Name

    • Set a desired name for this mail monitoring activity.

  • Send Protocol Setting

Set a desired protocol for the mail transmission server.

  • SMTP server

    • Host Name

Set the hostname or IP address of the SMTP server that performs the process of sending mails.

If you want to specify the hostname, specify it in the form of a fully-qualified domain name.

    • Port (0-65535)

Set a desired port number for the SMTP server that performs the process of sending mails.

The default value is 25.

    • Authentication Method and Security

Set authentication and security settings for the mail transmission server.

  • Use User Authentication

Check this checkbox if you want to authenticate users at the mail transmission server.

  • User Name

Set a desired user name with which the user will be authenticated.

This item is enabled only when you checked [Use User Authentication].

  • Password

Set a desired password for the user set in [User Name].

This item is enabled only when you checked [Use User Authentication].

  • Authenticate Method

Select a desired authentication method for the SMTP authentication.

This item is enabled only when you checked [Use User Authentication].

  • Use secured connection (TLS)

Check this checkbox if you want to encrypt SMTP communications with TLS.

  • Mail Information

Set the information on mails to be sent.

  • Mail address [From]

Set the source mail address from which mails will be sent.

  • Mail address [To]

Set the destination mail address to which mails will be sent.

  • Message Size (0-1048576 Byte)

Set the message size of mail text to be sent.

  • Receive Protocol Setting

Set a desired protocol for the mail reception server.

  • Protocol

Select a desired protocol to be used for communications with the mail reception server.

  • Receive Server

    • Receive Host

Set the hostname or IP address of the reception server that performs the process of receiving mails.

If you want to specify the hostname, specify it in the form of a fully-qualified domain name.

    • Receive Port (0-65535)

Set a desired port number for the reception server that performs the process of receiving mail.

  • Authentication and Security

Set authentication and security settings for the mail reception server.

  • User Name

Set a desired user name with which the user will be authenticated.

  • Password

Set a desired password for the user set in [User Name].

  • Authenticate Method

Select a desired authentication method at the reception server.

  • Use secured connection (TLS)

Check this checkbox if you want to encrypt communications with the reception server with TLS.

  • Retry Setting

Set the retry settings related to mail reception processes.

      • Wait Interval (0-60 seconds)

Specify a wait time before starting a reception process after the last mail has successfully been sent.

Set a larger value if it may take a long time to transfer mails to the mail box in the reception server.

The default value is 3 seconds.

  • Retry Interval (0-60 seconds)

  • In case the reception process finds when it connects the reception server that the mail which was sent by the transmission process has not reached the server, specify a desired wait time before the reception process retries to receive the mail.

  • Retry Count (0-99)

Set the number of retries for the reception process to get the sent mail.

The reception process retries to receive the mail sent by the transmission process when it has not reached the reception server until the count of retries exceed this number.

The default value is 3.

  • Include Retry Time in Response Time

Check this checkbox if you want to include Wait Interval and Retry Intervals in the response time to be measured.

    [Reference]
    Add a monitored instance
    Set a filter definition


Set monitored counters for mail monitoring

  1. Right-click a desired Monitor Name under the [Response - Mail] monitored object from Topology View, and select [Counter Setting] from the menu.

  2. The [Counter Setting] dialog opens.

    3. Check the checkbox for each of the counter values to be monitored.
    The detail of each counter is as follows:

  • Availability
    When both the transmission and reception processes for the same mail has successfully been executed in mail monitoring, it will indicate 1, and otherwise it will indicate 0.
    Either the transmission process or the reception one has unsuccessfully been completed, it will indicate 0.

  • Turn Around Total Response Time
    Total response time elapsed from when a mail starts to be sent to when the mail has been received. If you checked the [Include Retry Time in Response Time] checkbox, it will include the wait times (Wait Interval and Retry Interval) for the reception process.
    Note that if either the transmission process or the reception one has been successful, it will show the time taken by the successful one.

  • Send Availability

    • When the mail has successfully been sent, it will indicate 1, and otherwise it will indicate 0.

  • Send Total Response Time

Total response time required for the mail transmission process to be completed.

  • Send Setup Time

Time elapsed from when the mail transmission process starts to when a connection to the transmission server has been established.

  • Send Server Working Time
    Time during which the transmission server works when sending a mail.
    As the mail transmission server has higher loads, the value of this counter will increase.

  • Send Transfer Time
    Time required to transfer a mail to the mail transmission server to send it.
    As the network has higher loads, the value of this counter will increase.

  • Send DNS Time

Time required to look up the IP address of the mail transmission server in a DNS server.

This value is included in the Send Setup Time.

  • Send Connection Time
    Time required to establish a connection to the mail transmission server.
    This value is included in the Send Setup Time.

  • Send Server Response Time
    Time elapsed from when a connection to the mail transmission server has been established to when the first response message is received.
    This value is included in the Send Server Working Time.

  • Send Authentication Time

Authentication time for the mail transmission server.

This value is included in the Send Server Working Time.

If you want to use encrypted communications with TLS, it will include the time to establish a TLS session.

  • Send Address Setting Time

Time elapsed from when the source and destination addresses of a mail are sent to the mail transmission server to when a response has been received from the server.

This value is included in the Send Server Working Time.

  • Receive Availability
    If a list of received mails could be acquired from the mail reception server, it indicates 1, and otherwise it indicates 0.
    Even if the list does not include the sent test mail, the Receive Availability will indicate 1 as long as the list can be acquired.

  • Receive Wait Time

Wait time before the probe starts to ask the reception server if it receives the mail after the mail has been sent.

This time is the total of the set Wait Interval and the time required for the retry process (Retry Interval x Retry Count).

  • Receive Total Response Time

Total response time required for the mail reception process to be completed.

  • Receive Setup Time

Time elapsed from when the mail reception starts to when a connection to the reception server has been established.

  • Receive Server Working Time
    Time during which the mail reception server works when receiving a mail.
    As the mail reception server has higher loads, the value of this counter will increase.

  • Receive Transfer Time
    Time elapsed from when the mail reception server starts to transfer a mail to when the probe has received the mail.
    As the network has higher loads, the value of this counter will increase.

  • Receive DNS Time

ime required to look up the IP address of the mail reception server in a DNS server

This value is included in the Receive Setup Time.

  • Receive Connection Time
    Time required to establish a connection to the mail reception server.
    This value is included in the Receive Setup Time.

  • Receive Server Response Time
    Time elapsed from when a connection to the mail reception server has been established to when the first response message is received.
    This value is included in the Receive Server Working Time.

  • Receive Authentication Time

Time required for a user to be authenticated at the mail reception server.

This value is included in the Receive Server Working Time.

If you want to use encrypted communications with TLS, it will include the time to establish a TLS session.

  • Receive Confirmation Time

Time required to get a list of mails in the mail box on the mail reception server.

This value is included in the Receive Server Working Time.

  • Receive Delete Time

Time taken to delete the acquired mail from the mail reception server.

This value is included in the Receive Server Working Time.

    [Reference]
    Refer to a monitored data graph


About DNS monitoring

In DNS monitoring, users configure settings to monitor a DNS server and set the "Performance Counters."

In the DNS monitoring, the following functions are available:

  • DNS server monitoring setting function

    • Sets the hostname of a DNS server or character sting that is referred to the DNS server and others such as lookup types (forward or reverse lookup).

    [Reference]
    Set DNS monitoring

  • Monitored counter threshold monitoring function

    • Enables users to monitor thresholds for a DNS server with monitored counters.

    [Reference]
    Set monitored counters for DNS monitoring

  • Reporting function

    • Reports an alarm to the manager when a failure is detected in a DNS server. The details of the alarm will be displayed in Business View.
    [Reference]
    Set a filter definition

  • Capture function

    • Records communications with a DNS server in which a failure is detected.

    Refer to here to proceed to "Perform preparations for DNS monitoring."


Perform preparations for DNS monitoring

When using the DNS monitoring functions, confirm the following:

  • Check if you can make a connection from the probe terminal to the monitored DNS server.

  • Search for the lookup host to be set with the DNS server beforehand, and include in [Reverse] the IP address or hostname that the DNS server returns, depending on the lookup type.

[Reference]
Set DNS monitoring


Set DNS monitoring

Click the [Set Up] button in the [Monitor Configuration] dialog to display the [Probe for DNS - Monitor Setting] window.

When you have completed the settings, click the [OK] button to close the dialog.

  • Monitor Name

    • Set a desired name for this DNS monitoring activity.

  • DNS server

Configure the settings for the DNS server to which a connection will be established.

  • Host Name

Set the hostname or IP address of the DNS server.

If you want to specify the hostname, specify it in the form of a fully-qualified domain name.

  • Port (0-65535)

Set the port number of the DNS server.

The default value is 53.

  • Lookup Setting

Set the information on lookups for the DNS server

  • Lookup Type

Select either [Forward] or [Reverse].

The default value is [Forward].

  • Lookup

Enter a desired host that will be searched for with the DNS server.

If you selected [Forward] or [Reverse] in [Lookup Type], specify a desired hostname (fully-qualified domain name) or a desired IP address.

  • Reverse

Enter the host the DNS server is expected to return.

If you selected [Forward] or [Reverse] in [Lookup Type], specify the expected IP address or the expected hostname (fully-qualified domain name).

    [Reference]
    Add a monitored instance
    Set a filter definition


Set monitored counters for DNS monitoring

  1. Right-click a desired Monitor Name under the [Response - DNS] monitored object from Topology View, and select the [Counter Setting] from the menu.

  2. The [Counter Setting] dialog opens.

    3. Check the checkbox for each of the counter values to be monitored.
    The detail of each counter is as follows:

  • Answer Count

Indicates the number of answers included in a response from the DNS server.

  • Availability

    • It will indicate 1 when the expected host information is included in a response from the DNS server, and otherwise it will indicate 0.

  • Total Response Time

    • Total response time required for a DNS lookup operation to be completed.

    [Reference]
    Refer to a monitored data graph


About TCP monitoring

In TCP monitoring, users configure settings to monitor a TC port and set the "Performance Counters."

In the TCP monitoring, the following functions are available:

  • TCP port monitoring setting function

    • Sets the hostname or port of a monitored sever.

    [Reference]
    Set TCP monitoring

  • Monitored counter threshold monitoring function

    • Enables users to monitor thresholds for a desired TCP port with monitored counters.

    [Reference]
    Set monitored counters for TCP monitoring

  • Reporting function

    • Reports an alarm to the manager when a failure is detected in a monitored TCP port. The details of the alarm will be displayed in Business View.

    [Reference]
    Set a filter definition

  • Capture function

    • Records communications with a monitored TCP port in which a failure is detected.

    Refer to here to proceed to "Perform preparations for TCP monitoring."


Perform preparations for TCP monitoring

When using the TCP monitoring functions, confirm the following:

  • Check if you can make a connection from the probe terminal to the TCP port on the monitored server.

  • Check what commands and responses the monitored TCP port accepts and returns.

  • If you monitor values returned to a TCP port that will return a response ahead of the probe terminal after a connection to the TCP port has been established, you need to check [Receive an Opening Message from a server first] under [Pattern Match Setting] and set the returned character string in [Compare String].

  • If you send a command and check a response to the command, you must check [Send the Command] under [Pattern Match Setting] and set the character string for the command to be sent and the one to be returned from the port in [Send String] and in [Compare String], respectively.

[Reference]
Set TCP monitoring


Set TCP monitoring

Click the [Set Up] button in the [Monitor Configuration] dialog to display the [Probe for TCP - Monitor Setting] window.

When you have completed the settings, click the [OK] button to close the dialog.

  • Monitor Name

    • Set a desired name for this TCP monitoring activity.

  • TCP server setup

Configure the settings for the server to which a connection will be established and those for the TCP port on it.

  • Host Name

Set the hostname or IP address of the server to which a connection will be established.

If you want to specify the hostname, specify it in the form of a fully-qualified domain name.

  • Port (0-65535)

Set the number of the TCP port to which a connection will be made.

  • Pattern Match Setting

Configure a desired pattern matching method for values returned from the TCP port.

  • Receive an Opening Message from a server first

Check this checkbox if you want to monitor such a TCP port as sends back a response ahead of the probe terminal after a connection to the port has been established and to confirm if the returned value is right.

  • Compare String

If you checked [Receive an Opening Message from a server first], specify the character string that will be compared with the one returned from the server.

Ensure that you prefix one of the following identifiers indicating the pattern matching method to the character string you will specify

+ : Forward matching

* : Partial matching

= : Perfect matching

- : Nonmatching

If you omit specifying any identifier, it will be regarded as partial matching.

If you want to include carriage return and line feed characters (\r\n) in [Compare String], enter <PROBE_CR> for them.

  • Send the Command

Check this checkbox if you want to send a command to the TCP port and confirm if the returned value is right.

  • Send String

If you checked [Send the Command], enter the character string for the command you want send to the TCP server.

Only single-byte alphanumeric characters are valid.

  • Compare String

If you checked [Send the Command], specify the character string that will be compared with the one returned from the server.

Ensure that you prefix one of the following identifiers indicating the pattern matching method to the character string you will specify

+: Forward matching

*: Partial matching

=: Perfect matching

-: Nonmatching

If you omit specifying any identifier, it will be regarded as partial matching.

If you want to include carriage return and line feed characters (\r\n) in [Compare String], enter <PROBE_CR> for them.

    [Reference]
    Add a monitored instance
    Set a filter definition


Set monitored counters for TCP monitoring

  1. Right-click a desired Monitor Name under the [Response - TCP] monitored object from Topology View, and select [Counter Setting] from the menu.

  2. The [Counter Setting] dialog opens.

    3. Check the checkbox for each of the counter values to be monitored.
    The detail of each counter is as follows:

  • Availability
    If the TCP port is working properly, it will indicate 1, and otherwise it will indicate 0.
    If the responses from the TCP port are not checked or if they are checked, it is determined that the TCP port is working properly when a connection to the port has successfully been established or when the returned responses are those which are expected.

  • Total Response Time

    • Total response times required to send a command to the TCP port and receive a response to the command.

  • SetUp Time

Time elapsed from when the monitoring activity starts to when a connection to the server has been established.

  • Command Response Time

Time elapsed from when the specified command is sent to when the response to it is received.

The Command Response Time includes the time from when the server starts to process the command to when it has transferred the response to the probe.

It is measured only when the [Send the Command] checkbox is checked.

  • DNS Time

Time required to look up the address of the monitored server in a DNS server

This value is included in the Setup Time.

  • Connection Time

Time taken to establish a connection to the monitored server.

This value is included in the Setup Time.

  • Server Response Time

Time elapsed from when a connection to the monitored server has been established to when the first response message is received.

It is measured only when the [Receive an Opening Message from a server first] checkbox is checked

    [Reference]
    Refer to a monitored data graph


About FTP monitoring

For FTP monitoring, configure the settings for monitoring the FTP servers and specify the "counter for performance monitoring ".

FTP monitoring provides the following functions:

  • FTP monitoring setting function

    • Set the host name of the monitored server and acquired file path.

    [Reference]
    Set FTP monitoring

  • Monitored counter threshold monitoring function

    • FTP monitoring allows monitoring of the threshold value using the monitoring counter.

    [Reference]
    Set monitored counters for FTP monitoring

  • Reporting function

    • Reports an alarm to the manager when a failure is detected in a monitored FTP Server. The details of the alarm will be displayed in Business View.

    [Reference]
    Set a filter definition

  • Capture function

    • Records communications with a monitored FTP server in which a failure is detected.

    Refer to here to proceed to "Perform preparations for FTP monitoring."


Perform preparations for FTP monitoring

When using the FTP monitoring functions, confirm the following:

  • Check if the monitored FTP server can be accessed from the probe terminal.

  • Check if the monitored file can be acquired on the probe terminal.

[Reference]
Set FTP monitoring


Set FTP monitoring

Click the [Set Up] button in the [Monitor Configuration] dialog to display the [Probe for FTP - Monitor Setting] window.

When you have completed the settings, click the [OK] button to close the dialog.

  • Monitor Name

    • Set the name for this FTP monitoring.

  • FTP server

Set the server and FTP port to be connected.

  • Host Name

Set the IP address or name of the server to be connected.

When specifying the host name, specify a fully qualified domain name.

  • Port (0-65535)

Set the FTP port number to be connected.

  • Mode (PASSIVE/ACTIVE)

Set the mode to be used for FTP monitoring.

  • TYPE (BINARY/ASCII)

Set the type to be used for FTP monitoring.

  • Locale (SHIFT-JIS/UTF-8/EUC-JP)

Set the character encoding to be used for FTP monitoring.

This parameter is ignored.

  • User Setting

Set the authentication settings for the FTP server to be connected.

  • Anonymous Login

Select the check box to connect the FTP server anonymously.

  • User

When [Anonymous Login] is not selected, specify the user name used to connect to the FTP server.

Only one-byte alphanumeric characters and symbols can be specified.

  • Password

Specify the password for the user name used to connect to the FTP server.

Only one-byte alphanumeric characters and symbols can be specified.

  • File Name

Specify the file name to be acquired from the FTP server. Use "/" as the file path delimiter.

The file acquired during monitoring will be placed in the following directory.

<Probe terminal installation directory>\Agent\sg\AppNaviPrb\FTP\<Monitoring ID>

    [Reference]
    Add a monitored instance
    Set a filter definition


Set monitored counters for FTP monitoring

  1. Right-click a desired Monitor Name under the [Response - FTP] monitored object from Topology View, and select [Counter Setting] from the menu.

  2. The [Counter Setting] dialog opens.

    3. Check the checkbox for each of the counter values to be monitored.
    The detail of each counter is as follows:

  • Availability
    Displays 1 if the file acquisition by connecting to the FTP server succeeded or 0 if it failed.

  • Total Response Time

    • Total response time from when the monitoring starts until the file is acquired.

  • SetUp Time

Time from when the monitoring starts until the connection with the server is established.

This counter value contains "DNS Time", "Connection Time" and "Data Port Time".

  • Server Working Time

Processing time on the FTP server.

The counter value increases when the load on the FTP server increases.

This counter value contains "Authentication Time" and "Server Response Time".

  • Transfer Time

Time required to transfer a file from the FTP server.

The counter value increases when the load on the network increases.

  • DNS Time

Time spent on inquiring of the DNS server the IP address of FTP server.

This counter value is included in "Setup Time".

  • Connection Time

Time required to establish the connection with the FTP server.

This counter value is included in "Setup Time".

  • Server Response Time

Time from when the connection with the FTP server is established until the first response message is received

This counter value is included in "Server Working Time".

  • Authentication Time

Authentication time of the FTP server

This counter value is included in "Server Working Time".

  • Data Port Time

Time required to establish the connection with the data port of FTP server

This counter value is included in "Setup Time".

  • Transfer Byte

Data transfer rate (bytes/sec) when acquiring a file

    [Reference]
    Refer to a monitored data graph


Message monitoring

This product provides functions to centralize the management of hardware and software messages to and from agents in the system and to query the messages. The following functions are provided for message monitoring.

  • Message display

Displays all obtained messages in the "Message" tab at the bottom. A message filter can be created to extract and display only messages that satisfy specified conditions.

[Related Item]

Monitor a message

Reference details of messages (message details)

Reference details of messages (additional information)

Create a message filter

Re-specify or delete a message filter

  • Display of message for each host

Displays messages for each host on the monitor screen. To do so, a beep tone is sounded according to messages to alert the operator. Groups and hosts to which important messages or messages belong are displayed according to the important colors.

[Related Item]

Monitor a message

Reference details of messages (message details)

Reference details of messages (additional information)

Search for a message

Automatically add a message

Count messages

Define a message filter

Define message extraction conditions

Make display setting

  • Help function

Help that is registered in advance can be displayed in a message on the monitor screen.

[Related Item]

Define a message filter

Define message extraction conditions

Make display setting

Display a message help

  • Related information function

A command registered in advance can be executed in a message to be displayed on the monitor screen.

[Related Item]

Define a message filter

Define message extraction conditions

Set an action definition

Reference details of messages (additional information)

  • Import/export function

Defined files can be imported and exported.

[Related Item]

Import a filter setting.

Export a filter definition to create a file.

  • Marking function

Addition of a user mark to a message can manage the state corresponding to the message.

[Related Item]

Give a user mark to a message

  • Annotating function

Giving a comment to a message can manage the state corresponding to the message.

[Related Item]

Give a comment to a message

  • Confirmation function

A message for which an action has been taken can be confirmed (hidden) to quickly seize messages for which actions have not yet been taken.

[Related Item]

Confirm (hide) a message

  • Reporting function

When a specific message occurs, the patrol light report, e-mail report, and action report are sent to the operator for warning.

[Related Item]

Define the action report

  • Outputting a message to a file

This function enables an important message reference result to be output to a file in the CSV format so that it may be used by other applications.

[Related Item]

Output a message to a file

  • Message log maintenance function

Automatically deletes a message stored in the manager when the specified number of days for which the message can be stored has passed.

A stored message can also be deleted by specifying a date from a monitor terminal.

[Related Item]

Deletes a message


Monitor a message

Displays all obtained messages in the "Message" tab at the bottom.

The button panel is displayed at the top of the message window, and a list of messages is displayed at the bottom.

  • Button Panel section

A button is displayed to perform message operation.

  • With the number of messages to be displayed in a list box, clicking on the "Change display number" button allows you to change the number of messages to be displayed in the message window.

  • Clicking on a button allows you to change the display range of a message. Clicking on [image] displays a message before the current content. Clicking on [image] displays a message after the current content. Clicking on [image] displays the latest message.

  • Clicking on the [Create filter] button performs filtering of a message and then displays it. For the details, refer to here.

  • Press the Save Messages button to save the messages displayed on the message tab to a file.

For details, click here.

  • Message List section

Displays a list of messages. For a message selected from the menu displayed by right-clicking, you can add a user mark (mark), hide (confirm), cancel the hidden state (return to the unconfirmed state), display details (detail display) or display user help (user help).

  • Color of severity

The color is displayed according to the importance of a message and user mark added.

  • Mark

Displays the user mark added.

  • Severity

Displays the importance of a message.

  • Date Occurred

Displays the date on which a message was generated in a node.

  • Generated Time

Displays the time at which a message was generated in a node.

  • Received Date

Displays the date on which a message was received by the message monitoring function.

  • Received Time

Displays the time at which a message was received by the message monitoring function.

  • Node

Displays the name of the node that output a message.

  • Application

Displays the name of the application that output a message.

  • Object

Displays the name of the object that output a message.

  • Message ID

Displays the ID of a message.

  • Message Text

Displays the message text.

  • Category

Displays the category of a message.

  • Report

Displays the reporting state of a message.

  • Comment

Displays "With" when a comment is added to a message.

  • Column Sort Function

The latest message is displayed at the bottom as messages are sequentially displayed at initial status of a console. You can sort and display messages depending on column information by clicking the title of a column.

[Note]

      • While sort is done in alphabetical order, the [Severity Color] column is in priority order. (Severity and Mark is in alphabetical order)

  • Messages with same values are sorted in Received Date and Received Time.

  • Sort order is either of ascending or descending. For example, displaying Node in ascending order and Received Time in descending order is not applicable.

If a new message is generated under monitoring of messages, operations are carried out as follows to notify the operator of such.

  • A message is added to the message list section. A sound is output if one has been set for the severity.
  • If a message is received with a different tab selected, the background color of an icon on the tab is changed to alert the operator. The background is displayed in the color of importance of the highest priority in the messages received before the selection of the tab.
  • If a message of importance with a priority higher than the current one is received with a different tab selected, the background of an icon on the tab blinks with a sound set for the importance.

[Note]

  • In a state where the [image] button is effective (in a state where a past message is displayed), a message, if generated, is not displayed.

  • The messages stored are preserved on the manager, and maintained for the period set by the option setting.

  • A message will be saved to the following path of the manager:

Windows manager

C:\Program Files\NEC\UMF\Operations\Manager\sg\MessageView\log

HP-UX manager

/opt/UMF/Operations/Manager/sg/MessageView/log

  • Each message is about 3000byte (3Kbyte).

[Related Item]

Create a message filter

Re-specify or delete a message filter


Reference details of messages (message details)

To display details of a message, double-click a message in the message list window, or select a message and then select "Detailed Display" in the menu displayed by right-clicking.

  • Message overview
    Displays "Message overview" of a filter that satisfies the search conditions. Messages for which a filter has not been defined are blanked.

A filter is set up for each host. For the details, refer to here.

  • For a message, "Importance," "Time of Occurrence," "Time of Reception," "Message Text," "Note," "Application," "Object," "Message ID," and "Category" are displayed.

  • If related information is defined in "Filter Item Setting" ("Action Definition" tab) in advance, a button whose name has been specified with a display name ("DB monitoring window start" button in the window) is displayed. Clicking on the button displays the defined related information. For the details, refer to here.

  • Clicking on the [User Help] button displays a user help that is specified in advance. For the details, refer to here.

  • Clicking on the [Confirm] button allows you to confirm messages being displayed (hidden from the message list). If the message has already been confirmed, the [Return to the unconfirmed state] button is effective instead. For the details, refer to here.

  • Clicking on the [Previous] button displays the next message up in the message list window.

  • Clicking on the [Next] button displays the next message down in the message list window.

[Related Item]

Monitor a message

Monitor a message for each host


Reference details of messages (additional information)

To display additional information related to a message, double-click the message in the message list window, or select the message and then select "Detailed Display" in the menu displayed by right-clicking. When the message detail window (message tab) is displayed, select the additional information tab.

  • Mark

Displays a user mark of a message being displayed. Clicking on the combo box on the right side allows you to change the mark of the message. For the details, refer to here.

  • Comment

For a message being displayed, any comment consisting of up to 1024 characters can be described. For the details, refer to here.

  • Report state

Displays the results of the specified report setting. Clicking on the [Detail] button on the right side displays the detailed results of a report. The [Detail] button can be clicked only after a report has been completed.

  • If related information is defined in "Filter Item Setting" ("Action Definition" tab) in advance, a button whose name has been specified with a display name ("DB monitoring window start" button in the window) is displayed. Clicking on the button displays the defined related information. For the details, refer to here.

  • Clicking on the [User Help] button displays user help that is defined in advance. For the details, refer to here.

  • Clicking on the [Confirm] button allows you to confirm messages being displayed (hidden from the message list). If the message has already been confirmed, the [Return to the unconfirmed state] button is effective instead. For the details, refer to here.

  • Clicking on the [Previous] button displays the next message up in the message list window.

  • Clicking on the [Next] button displays the next message down in the message list window.

[Related Item]

Monitor a message

Monitor a message for each host


Create a message filter

This operation facilitates the understanding of messages by filtering messages to limit them. In the "Message" tab at the bottom of the window, clicking on the [Create filter] button displays the filter condition-setting window.

The filtering results are displayed as a new tab. Up to 20 message filters can be created.

  • Filter name

Specify a filter name. The name is displayed as the title of a tab.

  • Condition

Select a method of describing searching conditions. The description method is selectable from "Wild Card" and "Formal Expression." By default, "Wild Card" is selected.

  • Display Target

Displays a selected message that has been confirmed.

"All messages" can be selected only when "Confirmed Remain in List" has been checked in the option setting. For the details, refer to here.

  • Severity

The function will search for messages that match the severity type(s) you check.

Clicking on the [All Check] button just below checks all severities. Clicking on the [All Release] button unchecks all severities.

When the window is opened, all severities are to be checked.

  • Mark

The function will search for messages in which check marks are placed.

Clicking on the [All Check] button just below checks all marks. Clicking on the [All Release] button unchecks all marks.

When the window is opened, all marks are to be checked.

  • Generated Date

Specifies the date on which a message was generated in a node.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, the specified range is searched.

  • Generated Time

Specifies the time at which a message was generated in a node.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, the specified range is searched.

  • Received Date

Displays the date on which a message was received by the message monitoring function.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, the specified range is searched.

  • Received Time

Displays the time at which a message was received by the message monitoring function.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, the specified range is searched.

  • Node

Specifies the name of the node that output a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Application

Specifies an application that output a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Object

Specifies an object that output a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Message ID

Specifies the ID of a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Event Category

Specifies the category of a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Message Text

Specifies the message text in the regular expression or a range.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, the specified range is searched.

  • Reset

Clicking on the [Reset] button at the upper right corner of the window can reset all search settings, returning to the state just before the window was opened.

  • Import

Reads setup information of a saved message filter.

  • Export

Saves setup information of a message filter in a file.

  • OK

Start searching for a message with set conditions.

  • Cancel

Exits the filter condition setting and closes the window.

[Note]

Exiting the monitoring terminal loses message filter setting information.

Use Export/Import, if necessary.

[Related Item]

Descriptive example of regular expression

Re-specify or delete a message filter


Re-specify or delete a message filter

To change the filter definition of a message filter, click on the "Set up Filter" button on the relevant filter tab.

When the Filter Setting window is displayed, specify a new condition.

To change a message filter, click on the "Remove Filter" button on the relevant filter tab.

When the confirmation dialog is displayed, click on [OK] if it can be deleted.

[Related Item]

Create a message filter


Monitor a message for each host

Displays a list of messages stored in each host. To display the message list window, double-click a message monitor node of a tree view (topology view or Message Cooperation) or double-click the icon for property view (within Message Cooperation). The message list window will be displayed on the right-hand side of the screen.

In the message list window, the button panel is displayed at the top, a list of messages at the center, and a counter panel at the bottom.

  • Right-click menu

  • Confirmation

From the list window, hides the message being selected. For the details, refer to here.

  • Make Unconfirmed.

Puts a confirmed message back in the unconfirmed status.

  • Mark

Adds a user mark to a message being selected. For the details, refer to here.

  • Detailed Display

Displays details of a message being selected. For the details, refer to here.

Details of a message can be displayed by double-clicking it.

  • User help

If User Help... has been set in a message filter, opens User Help...

For the details on User Help, refer to here.

  • Button Panel section

A button is displayed to perform message operation.

  • Clicking the [Mark] button adds a user mark to a message being selected. For the details, refer to here.

  • Clicking on the [Auto Add] button allows you to select whether or not a new message is to be added to the message list screen. For the details, refer to here.

  • Clicking on the [Counter] button allows you to select whether the counter panel is displayed or hidden. For the details, refer to here.

  • Clicking on the [Search] button allows you to search messages stored in each host. For the details, refer to here.

  • Clicking on the [Confirm] button allows you to hide messages being selected from the message list window. For the details, refer to here.

  • Message List section

Displays a list of messages stored in each host or the search results of the messages. For a message selected from the right-click menu, you can add a user mark (mark), hide (confirm), display details (detail display) or display user help (User Help...).

  • Color of severity

The color is displayed according to the importance of a message and any added user mark.

  • Mark

Displays an added user mark.

  • Severity

Displays the importance of a message.

  • Date Occurred

Displays the date on which a message was generated in a node.

  • Generated Time

Displays the time at which a message was generated in a node.

  • Received Date

Displays the date on which a message was received by the message monitoring function.

  • Received Time

Displays the time at which a message was received by the message monitoring function.

  • Node

Displays the name of the node that output a message.

  • Application

Displays the name of the application that output a message.

  • Object

Displays the name of the object that output a message.

  • Message ID

Displays the ID of a message.

  • Message Text

Displays the message text.

  • Category

Displays the category of a message.

  • Report

Displays the reporting state of a message.

  • Comment

Displays "With" when a comment is added to a message.

  • Column Sort Function
    The latest message is displayed at the bottom as messages are sequentially displayed at initial status of a console. You can sort and display messages depending on column information by clicking the title of a column.

[Note]

      • While sort is done in alphabetical order, the [Severity Color] column is in priority order. (Severity and Mark is in alphabetical order)

  • Messages with same values are sorted in Received Date and Received Time.

  • Sort order is either of ascending or descending. For example, displaying Node in ascending order and Received Time in descending order is not applicable.

  • Counter panel portion

The counter panel has two tabs, "Message Count in Category" and "Message Count in View." When displaying all unconfirmed messages stored in each host, "Message Count in Category" displays the number of messages classified by severity. For the messages displayed in the window, "Message Count in View" displays the number of messages classified by severity. For the severities for which statistics are taken in the counter panel, refer to here.

If a new message is generated under monitoring of messages, operations are carried out as follows to notify the operator of such.

  • A message is added to the message list section. A sound is output if one has been set for the severity.
  • In a tree view, if the priority of a severity after the change of a state is the highest in a group to which the service belongs, the color of the message monitor node changes to the color of the severity after the change of the state. If the priority is higher than that of other nodes positioned in the same group, the color of a high-order node is also changed.
  • If a report has been set, the report is made according to the definition.


Display/hide a message counter

The counter panel in the message list window has two tabs, "Message Count in Category" and "Message Count in View." When displaying all unconfirmed messages stored in a category, "Message Count in Category" displays the number of messages classified by severity. For the messages displayed in the window, "Message Count in View" displays the number of messages classified by severity.

Clicking on the [Counter] button in the message list window allows you to select whether the counter panel is displayed or hidden. If the button has a check box, the counter panel is being displayed. By default, a check box is given.

[Related Item]

Monitor a message

Count messages


Customize the message displaying

In the message list window (the message list section), you can change the location and size of each column, and whether to show or hide it.

As the columns in the message list section are interlocked with those of the [Message] tab at the bottom of the main window, changing a column(s) in the latter will change that column in the former.

  • Changes to the message list section will be applied when you display the message monitoring window again.

You can customize how messages appear by following the methods below:

  • Change the location of a column
    Click and hold the title part of the target column with your mouse, and drag and drop it on a new column location to which you want change the location of the column.

  • Change the size of a column
    Placing the mouse pointer on the right edge of the target column title part enables you to expand or reduce the width of the column horizontally.

  • Select whether to show or hide a column
    Right-click the column title part to display the column name list menu. Select the column name to toggle whether to show or hide it.
    Each column name being displayed has a check mark to its left in the column name list menu.

  • Change from the [Display Setting] window
    Right-click the column title part to display the column name list menu. Select [Other].
    Each column name being displayed has a check mark to its left in the column name list menu.

    • Column Name List section
      Lists column names. Each column name whose check box to its left is checked will be displayed.
      The vertical order (top to bottom) becomes the horizontal order (left to right) for the columns.

    • Description
      Displays a description for the column being selected.

    • [Up]/[Down] button
      Change the location where the column name being selected will be displayed.

    • [Show] button
      Change the column name being selected from the hide setting to the show setting. The check box on the left side of the name will be checked.
      This button is only enabled for column names whose check box to their left is unchecked.

    • [Hide] button
      Change the column name being selected from the show setting to the hide setting. The check box on the left side of the name will be unchecked.
      This button is only enabled for column names whose check box to their left is checked.

    • [OK] button
      Enables you to complete detailed settings of displayed items and return to the original window. The changes are reflected in the column title section.

    • [Cancel] button
      Enables you to cancel detailed settings of displayed items and return to the original window. The changes are not reflected in the column title section.

When the console window is closed after the display settings such as the location, size, and whether to show or hide each column of the [Message] tab are changed, the following message is displayed prompting you to save the changed display settings.

Click [Yes] to save the changed display settings for each user account used when logging to the system. Click [No] not to save the changed display settings.

[Note]

  • Changes to the location and size of each column, and whether to show or hide it in the message list window are only effective in the message list window being displayed. The display settings are not saved.

[References]

Monitor the message

Monitor a message for each host


Automatically add a message

Clicking on the [Auto Add] button in the message list window allows you to select whether or not a new message is to be added to the message list screen. With the button checked, a message satisfying the current search conditions is automatically added. With the button not checked, no message is added. By default, automatic addition will be done.

  • Messages that are not added automatically will collectively be displayed on the window when the operation for automatic addition is performed again.
  • Even when Auto Add is not checked, messages are stored.

[Related Item]

Monitor a message


Search for a message

This operation facilitates the understanding of messages by searching for messages to limit them. In the message list window, clicking on the [Search] button displays the [Search] window.

  • Condition

Select a method of describing searching conditions. The description method is selectable from "Wild Card" and "Formal Expression." By default, "Wild Card" is selected.

  • Search Target

Searches for a selected message that has been confirmed.

"All messages" can only be selected when "Confirmed Remain in List" has been checked in the option setting. For the details, refer to here.

  • Severity

The function will search for messages that match the severity type(s) you check.

Clicking on the [All Check] button just below checks all severities. Clicking on the [All Release] button unchecks all severities.

When the window is opened, all severities are to be checked.

  • Mark

The function will search for messages on which check marks are placed.

Clicking on the [All Check] button just below checks all marks. Clicking on the [All Release] button unchecks all marks.

When the window is opened, all marks are to be checked.

  • Generated Date

Specifies the date on which a message was generated in a node.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, searches the specified range.

  • Generated Time

Specifies the time at which a message was generated in a node.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, searches the specified range.

  • Received Date

Displays the date on which a message was received by the message monitoring function.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, searches the specified range.

  • Received Time

Displays the time at which a message was received by the message monitoring function.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, searches the specified range.

  • Application

Specifies an application that output a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Object

Specifies an object that output a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Message ID

Specifies the ID of a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Event Category

Specifies the category of a message.

The description method specified in the "Condition" combo box above is used for searching.

  • Message Text

Specifies the message text in the regular expression or a range.

If "Condition" is checked, the description method specified in the "Condition" combo box above is used for searching. If "Range" is checked, searches the specified range.

  • Reset

Clicking on the [Reset] button at the upper right corner of the window can reset all search settings, returning to the state just before the window was opened.

  • Search

Start searching for a message with set conditions.

  • Cancel

Exits Search and closes the window.

[Note]

Closing the message list window loses the search conditions that are set. Search conditions cannot be saved.

[Related Item]

Monitor a message for each host

Descriptive example of regular expression


Count messages

This operation must be executed after shifting into the Configuration mode.

Set the statistics (Message Count in Category/Message Count in View) displayed in the message window.

To set the statistics, right-click over the counter tab (Message Count in Category/Message Count in View) in the message list window and then select "Counter Setting." When the "Counter Setting" window is displayed, check the check box on the left side for the severity for which the statistics are taken.


Output a message to a file

The message reference results output to a CSV file can be used with other applications.

The monitoring dialog box is used to output to a file. Files are saved on the console.

  • Outputs all messages currently displayed in the message list dialog box to a file. To output to a file, display the message list dialog box, select [Save to File] from the [File] menu or click the [image] on the toolbar. When the [Save As] dialog box is displayed, specify the save location and name, and then press the [OK] button

  • Output messages on the [Message] tab and message filter tab.

Outputs the message selected in the message list to a file.

When no message is selected, all messages displayed in the list are output to a file.

To output to a file, select the [Message] tab or message filter tab, and then press the [Save Messages] button in the button panel area.

When the [Save As] dialog box is displayed, specify the save location and name, and then press the [OK] button

[Note]

The [Save to File] function is only available for the dialog box displayed for message monitoring nodes under the topology view/message link.

[Related Item]

Monitor a message


Define a message filter

This operation must be executed after shifting into the Configuration mode.

Since received messages are sorted according to conditions, a filter is defined. In the message monitor node on the tree view, select "Filter Setting" from the right-click menu. When the "Filter Setting" widow is displayed, click on the [Add] button to define a new filter. To redefine a defined filter, select the filter and click on the [Edit] button. Alternatively double-click the filter.

  • Message extraction conditions, display setting and action setting are created for each filter. For details, refer to "Define message extraction condition," "Make Display Setting" and "Set an action definition."

A list of filters and extraction conditions for filters are displayed. Filters are processed in sequence from the top of the screen to the bottom. Operations are carried out by the first filter definition that satisfies the condition. In this case, filters following the filter definition whose condition is satisfied are not processed.

  • The execution order of selected filters can be changed by using Up and Down.

  • To redefine a defined filter, select the filter and click on the [Edit] button. Alternatively double-click the filter.

  • After selecting a filter, clicking on the [Add] button adds a new filter to the position. Clicking on the [Add] button without selecting a filter adds a new filter at the bottom.

  • After selecting a filter, clicking on the [Delete] button deletes the selected filter.

  • After selecting a filter, clicking on the [Copy] button additionally copies a selected item to the position (copies other than the file name).

  • Clicking on the [Import] button displays the "Import Setting" window, allowing you to import a saved filter definition file.

  • Clicking on the [Export] button displays the "Export Setting" window, allowing you to export the current filter definition as an external file.

Importing an exported file allows you to create a filter having the same definition, even in other systems.

Any change in, addition to or deletion from the file makes the export button invalid. To perform export operations, click the [Close] button to close the "File Setting" window once. Then open the "Filter Setting" window again.

[Related Item]

Define message extraction conditions

Import a filter setting

Export a filter definition to create a file


Define message extraction conditions

This operation must be executed after shifting into the Configuration mode.

Conditions are defined to determine what content an applicable message is to have.

The filter extraction conditions are defined in the "Filter Detail Setting" window (filter definition tab). To display the "Filter Detail Setting" window (filter setting tab), you can follow one of three methods:

1 Click on the [Add] button in the filter setting window.

2 Select a filter to be edited in the filter setting window and click on the "Edit" button.

3 Double-click on a filter to be edited in the filter setting window.

When the "Filter Setting" window (file setting tab) has been displayed, enter the extraction conditions and click on the [OK] button.

  • Message description (filter name)

Using 256 characters or less, specify a filter name. A character string specified here will be displayed as the filter name of the filter setting window. Message Description must be specified. The following replacement character strings can be specified for the message description.

$SEVERITY$ | Replaces with the severity of a message.
$GENERATEDDATE$ | Replaces with the generated date of a message.
$GENERATEDTIME$ | Replaces with the generated time of a message.
$RECEIVEDATE$ | Replaces with the received date of a message.
$RECEIVETIME$ | Replaces with the received time of a message.
$APPLICATION$ | Replaces with the application name of a message.
$OBJECT$ | Replaces with the object name of a message.
$MESSAGEID$ | Replaces with the message ID of a message.
$MESSAGETEXT$ | Replaces with the message text of a message.

Note that $MESSAGETEXT$ is replaced with that before the replacement, and " (double quotation) is replaced with ' (single quotation). A line feed character is replaced with a blank.

  • Category

Using up to 32 characters, the filter condition for a category is specified, or is selected from among Application, Security, System or United Management Framework. If negation is specified, a message that does not satisfy the condition is to be selected.

  • Application (application name that has output a message)

A filter condition for an application is specified in the regular expression format of up to 128 characters. If negation is specified, a message that does not satisfy the specified regular expression is to be selected.

[Note]
The maximum length of the application names that this product can handle is 32 characters. For any application name that exceeds that limit, a maximum of 32 characters from the start of the name will be valid.

  • Object (object name of the message generation source)

Equivalent to "Category" in Event Viewer, specify filter condition by a regular expression in 128 characters ore less. In the case of negation is specified, messages are selected which don't match the regular expression.

[Note]
Category is displayed in registered category name in Event Viewer, but this product manages an event log by the 4-digit category ID. If the ID is less than 4-digit, higher-order digit is complemented by 0.
For example, an event log which is displayed as [None] in Event Viewer is managed as [0000].

  • Message (ID for a message)

Equivalent to "Event ID" in Event Viewer, specify filter condition by a regular expression in 128 characters or less. In the case of negation is specified, messages are selected which don't match the regular expression.

[Note]
This product recognizes the event ID in the event log as the 8-digit character string that indicates Event ID. If the length of an Event ID is less than 8 digits, the system will pad the ID with leading zeros until the length equals 8 digits.
For example, an event ID that is displayed as [1234] on the event log is to be handled as [00001234].

  • Message text (body of message text)

Specify filter condition a regular expression in 1024 characters or less. In the case of negation is specified, messages are selected which don't match the regular expression.

[Note]
This product can manage up to 1024 characters of a message text. If it reaches the length, only leading 1024 characters used.

  • Select by Position

Specifies up to eight filter conditions by Select by Position in a message text. If negation is specified, a message that does not satisfy the condition is to be selected.

  • Position

Specifies where the 1st character (1st byte) of the message text is placed for comparison or specifies a position ranging from 1 to 1024.

  • Condition

Specify a comparison condition.

  • Comparison value

Enter a comparison value of up to 64 characters. Regular expression is not available for comparison values.

Ex.)

To extract a message whose message text has an "error" detected at its 10th character, specify as follows.

Position

Condition

Comparison value

:10

:=

:Abnormal

  • Select by Key

Specifies up to eight filter conditions by Select by Key in a message text. If negation is specified, a message that does not satisfy the condition is to be selected.

  • Key value

Specify a key of up to 64 characters in the message text.

  • Condition

Specify a comparison condition. Specifying "=" applies the regular expression as a comparison value. Specifying other than "=" makes a binary comparison with a character string specified by a comparison value.

  • Comparison value

Enter a value to be compared. Specifying "Condition" with "=" specifies a comparison value in the regular expression.

Ex.)

If there is a character string of error_number = 5 in the message text (the portion "5" is changed), and error_number of 4 or less is to extract a log, specify as follows.

Key value

Condition

Comparison value

:error_number

:<=

:4

Key and Value, which are used in Select by Key, should be surrounded by a separator in the message text. Separators that can be recognized are half-width blank, full-width blank, (, ), [, ], {, }, <, >.

[e.g.]

(error_number=1)

Note that blanks between Key, = and Value are ignored.

  • Severity

Select the search conditions for Severity. When negative is defined, the messages that do not match the select conditions will be the targets.

[Note]
It corresponds to the event log type and the severity of this product as follows.

Event log type | Severity of this product
Success | NORMAL
Information | NORMAL
Warning | WARNING
Error | FATAL
Success Audit | NORMAL
Failure Audit | FATAL

[Note]

  • If the condition is omitted, then the condition is not used (all the messages will match).

  • To extract a message, the contents of the message must match all condition specified here.

  • Comma (,) and double quotation (") are not allowed for this window.

[Related Item]

Define a message filter

Descriptive example of regular expression

Messages output by Manager/Agent


Make Display Setting

This operation must be executed after shifting into the Configuration mode.

It defines how a target message is displayed.

The display conditions are defined in the "Filter Detail Setting" window (display setting tab). To display the "Filter Detail Setting" window, you can follow one of three methods: Display the "Filter Detail Setting" window by the following procedure, select the "Display Setting" tab, fill in the item, and then click on the [OK] button.

1 Click on the [Add] button in the filter setting window.

2 Select a filter to be edited in the filter setting window and click on the "Edit" button.

3 Double-click on a filter to be edited in the filter setting window.

  • Overwrite Severity

Change the severity of a message satisfying a filter condition to a specified severity. User marks cannot be selected.

  • Display Start Position

When displaying a message text in the message list window or the Message Detail window, specify the display start position within the range of 1 to 1024. The default value is 1.

  • Help Setting

Specifies the user help for a message satisfying the filter condition. The Help defined here is activated when the [User Help...] button is clicked in the Message Detail window.

  • Application

Using up to 256 characters, specify an application to be activated with Help displayed.

Clicking on the [Browse] button enables you to display the [Open File] dialog and select an application file.

You can use appropriate environment variables for the path name to an icon file.

  • Work Directory

Using up to 256 characters, specify a work directory to activate an application.

Clicking on the [Browse] button enables you to display the [Specify Directory] dialog and select a directory.

You can use appropriate environment variables for the path name to a directory.

  • Option

Using up to 128 characters, specify an argument to activate an application.

You can use appropriate environment variables for the argument of an option.

The following replacement character strings can be specified for options.

$SEVERITY$

Replaces with the severity of a message.

$MARK$

Replaces with the user mark of a message.

$GENERATEDDATE$

Replaces with the generated date of a message.

$GENERATEDTIME$

Replaces with the generated time of a message.

$RECEIVEDATE$

Replaces with the received date of a message.

$RECEIVETIME$

Replaces with the received time of a message.

$APPLICATION$

Replaces with the application name of a message.

$OBJECT$

Replaces with the object name of a message.

$MESSAGEID$

Replaces with the message ID of a message.

$MESSAGETEXT$

Replaces with the message text of a message.

$REPEXP("<Start key value>","<End key value>")

Specify what is replaced in the message text.

Specifying the start key value and the end key value replaces the character string with the contents from the next to the start key value up to in front of the end key.

Start key value: Specify the value immediately before the character string to be replaced as a regular expression.

End key value: Specify the value immediately after the character string to be replaced as a regular expression.

Enclose the start key value and the end key value in double quotation marks (").

Example:

Message text: Warning Network interface is down. (ServerA)

To replace "ServerA" in the message text, specify as shown below.

Option: $REPEXP("\(","\)")

If the message does not contain a character string that matches the condition, it is replaced with ("<Start key value>","<End key value>").

$REPPOS(<Position>,<Character string length>)

Specify the position at which the message text is to be replaced.

Position: Specify the position at which replacement starts in the message text as a number of characters. Specify a value from 0 to 1023.

Character string length: Specify the length of the character string to be replaced. Specify a value from 1 to 1024. Specify a value so that the total with the value specified as a position does not exceed 1024.

Example:

Message text: Session 00000001 ended abnormally.

To replace "00000001" in the message text, specify as shown below.

Option: $REPPOS(5,8)

If the specified range does not contain the character string, it is replaced with a null character.

If you specify a character that is not a numerical value as the character string length, it is replaced with a null character.

If you specify a character that is not a numerical value as the position, it is treated as "0."

$REPKEY("<Key value>")

Replaced with the value on the right side of the character string that matches the key value in the message text (character string after "=").

Key value: Specify the key in the message text. The key value shall be enclosed with the double quotation marks.

Example:

When the message text includes a character string “error_number = 5” (“5” is variable) and you want to change the value to "5", specify as shown below.

Option: $REPKEY("error_number")

Replaced with the null character if there is no character string that matches the key value specified in the message text.

An equal symbol "=" is needed between the character string that matches the key value in the message text and the replacement target.

The character string to be replaced in the message text is enclosed in double quotation marks ("). Or, ")" or a one-byte space is required immediately after the character string to be replaced.

Example:

(error_number=1)

Note that spaces between the key, “=” and the value is ignored.

Note that $MESSAGETEXT$ is replaced with that before the replacement, and " (double quotation) is replaced with ' (single quotation). A line feed character is replaced with a blank.

[Related Item]

Define a message filter


Set an action definition

This operation must be executed after shifting into the Configuration mode.

Define the action processing for a target message.
The action setting is defined in the "Filter Detail Setting" window (action setting tab). To display the "Filter Detail Setting" window, you can follow one of three methods: Display the "Filter Detail Setting" window by the following procedure, select the "Action Setting" tab, fill in the item, and then click on the [OK] button.

1 Click on the [Add] button in the filter setting window.

2 Select a filter to be edited in the filter setting window and click on the "Edit" button.

3 Double-click on a filter to be edited in the filter setting window.

  • Related Information 1, 2

Specifies the related information for a message satisfying the filter condition. For the information defined here, the button of a name specified with Display Name in the message detail window is displayed in the message detail window, and the information is then activated by clicking on this button.

  • Display Name

Using up to 16 characters, specify the button name to be displayed in the message detail window.

  • Application

Using up to 256 characters, specify an application to be activated with Related Information displayed. Clicking on the [Browse] button enables you to display the [Open File] dialog and select an icon file.

You can use appropriate environment variables for the path name to an application.

  • Work Directory

Using up to 256 characters, specify a work directory to activate an application. Clicking on the [Browse] button enables you to display the [Specify Directory] dialog and select a directory.

You can use appropriate environment variables for the path name to a work directory.

  • Option

Using up to 1024 characters, specify an argument to activate an application.

Environment variables are available for options. The following replacement character strings can also be specified.

$SEVERITY$

Replaces with the severity of a message.

$MARK$

Replaces with the user mark of a message.

$GENERATEDDATE$

Replaces with the generated date of a message.

$GENERATEDTIME$

Replaces with the generated time of a message.

$RECEIVEDATE$

Replaces with the received date of a message.

$RECEIVETIME$

Replaces with the received time of a message.

$NODE$

Replaces with the node name of a message.

$APPLICATION$

Replaces with the application name of a message.

$OBJECT$

Replaces with the object name of a message.

$MESSAGEID$

Replaces with the message ID of a message.

$MESSAGETEXT$

Replaces with the message text of a message.

$REPEXP("<Start key value>","<End key value>")

Specify what is replaced in the message text.

Specifying the start key value and the end key value replaces the character string with the contents from the next to the start key value up to in front of the end key.

Start key value: Specify the value immediately before the character string to be replaced as a regular expression.

End key value: Specify the value immediately after the character string to be replaced as a regular expression.

Enclose the start key value and the end key value in double quotation marks (").

Example:

Message text: Warning Network interface is down. (ServerA)

To replace "ServerA" in the message text, specify as shown below.

Option: $REPEXP("\(","\)")

If the message does not contain a character string that matches the condition, it is replaced with ("<Start key value>","<End key value>").

$REPPOS(<Position>,<Character string length>)

Specify the position at which the message text is to be replaced.

Position: Specify the position at which replacement starts in the message text as a number of characters. Specify a value from 0 to 1023.

Character string length: Specify the length of the character string to be replaced. Specify a value from 1 to 1024. Specify a value so that the total with the value specified as a position does not exceed 1024.

Example:

Message text: Session 00000001 ended abnormally.

To replace "00000001" in the message text, specify as shown below.

Option: $REPPOS(5,8)

If the specified range does not contain the character string, it is replaced with a null character.

If you specify a character that is not a numerical value as the character string length, it is replaced with a null character.

If you specify a character that is not a numerical value as the position, it is treated as "0."

$REPKEY("<Key value>")

Replaced with the value on the right side of the character string that matches the key value in the message text (character string after "=").

Key value: Specify the key in the message text. The key value shall be enclosed with the double quotation marks.

Example:

When the message text includes a character string “error_number = 5” (“5” is variable) and you want to change the value to "5", specify as shown below.

Option: $REPKEY("error_number")

Replaced with the null character if there is no character string that matches the key value specified in the message text.

An equal symbol "=" is needed between the character string that matches the key value in the message text and the replacement target.

The character string to be replaced in the message text is enclosed in double quotation marks ("). Or, ")" or a one-byte space is required immediately after the character string to be replaced.

Example:

(error_number=1)

Note that spaces between the key, “=” and the value is ignored.

Note that $MESSAGETEXT$ is replaced with that before the replacement, and " (double quotation) is replaced with ' (single quotation). A line feed character is replaced with a blank.

  • Report

When a message satisfying the filter condition is generated with a check mark placed, a report is made. If "Automatically confirmed at the completion of report" is checked, and the report processing is completed normally, a message for Report Trigger is automatically hidden.

  • Clicking on the [Setting] button enables you to set the details of a report from the [Report Setting] window. For more information on reporting, refer to here.

[Related Item]

Define a message filter


Import a filter setting.

This operation must be executed after shifting into the Configuration mode.

Importing a defined file allows you to define the filter easily. To import a filter definition file, click on the [Import] button in the "Filter Setting" window. When the "Import Setting" window is displayed, click on the [Browse] button and then specify the directory where the file exists. If a file to be imported exists in a specified directory, a list of files will appear. Then select a file to be imported and click on the [OK] button.

[Related Item]

Export a filter definition to create a file


Export a filter definition to create a file.

This operation must be executed after shifting into the Configuration mode.

When filter settings have been exported, the filter settings can be saved and used for others by creating a file. This allows you to perform filter settings easily. To export filter settings, click on the [Export] button in the "Filter Setting" window. When the "Export Setting" window is displayed, click on the [Browse] button, specify a file to be saved, and then click on the [OK] button.

  • Comment

Specifies a comment to explain a filter setting file. It is displayed in the "Subject" column in the file list during import.

  • File name

Specifies the name of a file to be saved.

[Note]

  • The generated file also stores settings for notification.

[Related Item]

Import a filter setting


Set options for message monitoring

This operation must be executed after shifting into the Configuration mode.

To define the file monitoring options, select [Option] on the [Setting] menu.

  • Use Message Monitor.

Unchecking allows you to stop the message monitor function. Stopping the execution of the function stops all functions including message display in the window, storage of messages, etc. Unchecking should be done only when the message monitor function of MasterScope SystemManager is unnecessary, because, for example, another product providing a function for monitoring messages, such as MasterScope SystemManager, has been inserted in the same environment. By default, a check is placed.

  • Show Message View

Unchecking prevents displaying messages in windows. The manager runs continuously to perform processes for message storage, periodic message deletion, etc. Unchecking should be done only when the message display function of MasterScope SystemManager is unnecessary, because, for example, another product providing a function for monitoring messages, such as MasterScope SystemManager, has been inserted in the same environment. By default, a check is placed.

  • Mark mode

Specifies a mode for mark. When "Mark is Prioritized" is checked, the Color of Severity for each message becomes a color of severity for mark. If it is not checked, the Color of Severity for each message becomes a color for whichever is higher between the priority of message and the priority of mark. By default, no check is placed.

  • Message display

Specifies the display format of a message. Checking "Confirmed Remain in List" prevents deleting confirmed messages from lists, displaying unconfirmed messages in bold font, and confirmed messages, in fine font.
After setting, reopen the message list screen for each host or open the search condition setting screen on the message list screen for each host and change the search target.
By default, no check is placed.

  • Message monitor category

  • Display records

Specify the maximum number of messages to be displayed in the message monitor window. It is selectable from values of 50, 100, 500, 1000, 3000 and 5000. The default value is 500.

  • Message Storage

Messages stored in the manager are automatically deleted when a certain period of time has passed.

  • Max Storage Days

Specifies a period for which a message is to be stored. A value ranging from 1 to 10000 is selectable. By default, the value is set to 100 days.

  • Deletion Time
    Specifies the time at which the processing for deleting a message starts. By default, the value is set to 02:00:00.

  • [Message Deletion] button
    When the [Message Deletion] dialog has been displayed, enter a date and click on the [Execute] button. This deletes messages dated before the date entered.

  • Behavior during Agent Hold
    Specify how to handle messages of holding agents.
    Holding agent means the agent is nonoperational due to schedule configuration. It doesn’t mean the agent is stopped.
    Holding agent doesn’t generate messages.
    This setting preference is aiming to handle massages collected from such as interaction with Event Trap Utility and server monitoring by MasterScope Network Manager.

  • Store Massages
    If “Store Message” is checked, agent store messages while the agent is holding. This is not checked at default.

  • Automatic Confirm
    If “Automatic Confirm” is checked, messages stored by holding agents are automatically been confirmed status. This preference is checked at default.

  • Automatic Marking
    If “Automatic Making” is checked, messages stored by holding agents are automatically been marked. This preference is not checked at default.

  • Mark
    Determine mark which is put by automatic marking.

[Related Item]

Message monitoring


Give a user mark to a message

Only the users belonging to a group having the operation authority can carry out this operation.

Giving a mark to a message can manage the state corresponding to the message.

The following procedures can be taken to give a mark.

1 Select a message in the message list window and click on the [Mark] button.

2 Select a message in the message list window and select "Mark" from the right-click menu.

3 Select a mark using the tab of the Message Detail window.

  • In the message list window, the mark to be given is a user mark selected in the "Mark Combo Box" on the left side of the [Mark] button.
  • If "Mark is Prioritized" is checked in the option/mark mode of the message monitor, the severity color is changed to the color of the user mark.
  • The marking operation can be done only for unconfirmed messages.
  • Marks to be given must have been defined in advance in the "Severity Setting" window.

[Related Item]

Monitor a message

Monitor a message for each host

Reference details of messages Detail (additional information)

Mark mode


Confirm (hide) a message

Only the users belonging to a group having the operation authority can carry out this operation.

A message for which an action has been taken can be confirmed (hidden) to quickly comprehend the messages for which actions have not yet been taken.

You can confirm a message in one of the following ways:

1 Select a message in the message list window and click on the [Confirm] button.

2 Select a message in the message list window and select "Confirm" from the right-click menu.

3 Click the [Confirm] button in the Message Detail window.

  • Specifying "Confirmed Message" as a search condition can refer to the confirmed message.
  • The confirmation operation can be performed for unconfirmed messages.
  • A message for which a confirmation operation has been carried out by mistake can be returned to the unconfirmed state by performing the "Make Unconfirmed" operation.
  • When displaying a confirmed message simultaneously with an unconfirmed message without hiding the confirmed message, refer to here.

A process can be carried out to collectively confirm messages stored in each host. In the message monitor node on the tree view, select "Confirm All messages" from the right-click menu. When the confirmation window is displayed, click on the [OK] button to confirm all messages.

[Note]

The operation for Confirm All Messages may take a while to complete processing if there are many messages stored.

[Related Item]

Monitor a message

Monitor a message for each host


Display the message help

Displaying the help for a message refers to the information corresponding to a user defined message. To display the message help, select a message in the message list window, and then select "User Help" from the right-click menu or click on the [User Help] button in the message detail window.

  • Displaying the message help requires the information on help applications to have been specified in advance. For the details, refer to here.

[Related Item]

Monitor a message

Reference details of messages (message details)

Reference details of messages (additional information)


Give a comment to a message

Only the users belonging to a group having the operation authority can carry out this operation.

Giving a comment to a message can manage the state of the relevant message.

To give a comment, double-click a message in the message list window, or select a message and then select "Detailed Display" in the right-click menu. When the message detail window is displayed, select the option tab and enter a comment into the comment column.

  • Any comment of up to 1024 characters can be entered. Clicking on the "OK" button registers a written comment when the message detail window is closed.

[Related Item]

Monitor a message

Monitor a message for each host

Message Detail window (option tab)


Deletes a message

  • Automatic deletion of a message

Automatically deletes a message stored in the manager when the specified number of days for which the message is stored has passed.

In the option setting for message definition, specify the Max Storage Days and the operation time of the deletion processing.

  • Deleting a message from the monitor terminal

A stored message can also be deleted by specifying a date from a monitor terminal.

Care must be taken, because deleted data cannot be restored.

This operation must be executed after shifting into the Configuration mode.

In the option setting for message definition, click on the [Message Deletion] button.

When the [Message Deletion] dialog has been displayed, enter a date and click on the [OK] button.

[Related Item]

Set an option for message definition


About message monitoring

This product provides the functions to collectively manage and reference messages from the hardware/software on the machines in the system where the agent is installed. Message monitoring provides the functions below:

  • Logging function

The manager consolidates the messages issued by each agent. At this time, the messages are categorized according to the selecting conditions such as the message text or the occurred node.

The selecting conditions are defined as follows:

  1. Define the category

  2. Define the message filter

  3. Define the selecting conditions for the message

  • Display function

The messages logged on the manager are displayed on the monitoring view. At this moment, warning sound will be played according to the message to warn the operator. Also, significant message/the group the message is included/category will be displayed in the severity color.

[References]

Define the display setting

Monitor the message

See details about the message (message details)

See details about the message (additional information)

Search the message

Add the message automatically

Count the messages

  • Help function

The helps registered in advance can be displayed in the message shown on the monitoring view.

[References]

Define the display setting

Display the message help

  • Relative information function

The commands registered in advance can be executed in the message shown on the monitoring view.

[References]

Define the recovery setting

See details about the message (additional information)

  • Optional information function

The optional information registered in advance can be displayed in the message shown on the monitoring view.

[References]

Define the option setting

See details about the message (optional information)

  • Import/Export function

A filter defined by a knowledge file can be imported/exported.

[References]

Prepare for using the knowledge file

Import the knowledge file

Export the message filter definition and generate the knowledge file

  • Marking function

By marking the user mark on the massages, the processing state of the message can be managed.

[References]

Put on a user mark to the message

  • Comment function

By putting on a comment to the massages, the processing state of the message can be managed.

[References]

Put on a comment to the message

  • Confirming function

By confirming (hidden) the processed messages, the messages not processed can be obtained quickly.

[References]

Confirm the message (hidden)

  • Reporting function

When a specific message occurs, the patrol light report, e-mail report, and action report are sent to the operator for warning.

[References]

Define the recovery setting

  • Recovery function

When extracted message occurs, recovery process defined in advance will be executed, and the recovery information and the process result will be shown.

[References]

Define the recovery setting

  • The cooperation with other PP or applications

The reference result of significant messages will be available for other applications by outputting to a CSV file.

[References]

Output messages as a file

  • Message log maintenance function

The messages in the category can be deleted.

[References]

Delete the messages in the category


Define the category

This operation should be executed after shifting into the Configuration mode.

This product manages the messages per category. To define a category, select [Add Category] from the right click menu of the Tree view (Business View) or the Map view. The [New Category] dialog will appear, fill in the each field, and press the [OK] button.

  • The category can be created at the root node (Business View node), or under the category group.

  • Category Name

Specify your desired category name in 64 characters or less.

The category name should not be omitted.

  • Icon File

Specify the icon file used for displaying icons by specifying an absolute path of up to 256 characters. When you click the [Browse] button, the [Open] dialog box is displayed, and the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the specified file is not correct or it does not exist on the machine on which the monitoring window is running, the default icon is used.
An environment variable on the machine on which the monitoring window is running can be used for the path of the icon file.

If an icon file is not specified, the default icon is used.

  • Schedule
    Specify the message reception schedule of the category. If the check is applied to "Schedule", "Setting" button becomes effective.
    Push "Setting" button to set the reception schedule. Refer to "Set the schedule" - "Set the schedule at period".

    To refer to the set reception schedule, "Schedule Reference" is selected from the right-clicking menu on the tree view.

    The background color of the icon becomes "UNMANAGED" severity color in the category of the monitor halt state.
    Moreover, the item of "Schedule" at the property view is changed from "ACTIVE" to "HOLD".
    When the schedule setting of the group is effective, the group name is added.

    [Note]
    When the state of the category is "HOLD" (halt state), the reception schedule setting does not become effective.
    By the agent's reboot, or processing delay by a large amount of message occurrence etc, the message that is sure not to be received might originally be sent and displayed at the reception time zone.
    The setting that receives the message and does not use the report function and the recovery function cannot be done by the reception schedule setting.

  • Authentication
    Specify the authentication settings for category operations.
    For details about how to specify these settings, see "Perform User Management" - "About user management".

[Note]

  • When deleting a category, the messages in that category are not deleted. To delete messages in the category, delete the messages in the category before deleting the category. For details about how to delete messages in a category, see [Delete the messages in the category].

[References]

Define the message filter

Set the options for message monitoring

Define the category group


Define the category group

This operation should be executed after shifting into the Configuration mode.

Category groups can be created for managing category in groups.

To define a category group, select [Add Group] from the right click menu of the Tree view or the Map view. The [New Group] dialog will appear, fill in the each field, and press the [OK] button.

  • The category group can be created at the root node (Business view node), or under the category group.

  • Group Name

Specify your desired group name in 64 characters or less.

The group name should not be omitted.

  • Icon File

Specify the icon file used for displaying icons by specifying an absolute path of up to 256 characters. When you click the [Browse] button, the [Open] dialog box is displayed, and the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the specified file is not correct or it does not exist on the machine on which the monitoring window is running, the default icon is used.

An environment variable on the machine on which the monitoring window is running can be used for the path of the icon file.

If an icon file is not specified, the default icon is used.

  • Schedule
    Specify the message reception schedule of the category under the group. If the check is applied to "Schedule", "Setting" button becomes effective.
    Push "Setting" button to set the reception schedule. Refer to "Set the schedule" - "Set the schedule at period".
    The reception schedule setting of group becomes effective only the subordinate category or group that the reception schedule setting is not done.

    To refer to the set reception schedule, "Schedule Reference" is selected from the right-clicking menu on the tree view.

    The background color of the icon becomes "UNMANAGED" severity color in the group of the monitor halt state.
    Moreover, the item of "Schedule" at the property view is changed from "ACTIVE" to "HOLD".
    When the schedule setting of the upper group is effective, the upper group name is added.

  • Authentication
    Specify the authentication settings for category operations.
    For details about how to specify these settings, see "Perform User Management" - "About user management".

[References]

Define the category


Define the message filter

This operation should be executed after shifting into the Configuration mode.

Defining a filter to extract the messages outputted on an agent. From the right click menu of a category on the Tree view, select the [Filter Setting]. The [Filter Setting] window will appear, and then press [Add] button when defining a new filter. To redefine a defined filter, select the filter and press the [Update] button, or double click the filter.

  • The extract condition of messages, displaying definition, recovery definition and option definition are crated for each filter. See [Define the selecting conditions for the message], [Define the display setting], [Define the recovery setting], [Define the option setting] for details.

The filter list and the extract conditions of each filter will be displayed. Filter process is executed from the top of the window sequentially to the bottom, and works on the filter definition which meets the condition first. At this point, the filters after the filter definition first met the condition will not be processed. In case all the filters do not meet the conditions, no filter will be stored in the category.

  • The executing order of the selected filters can be changed by the [Up]/[Down] arrow key

  • To redefine a defined filter, select the filter and press the [Update] button, or double click the filter.

  • Select the filter and press the [Add] button, then a new filter will be added at that place. Press the [Add] button without selecting a filter, then a new filter will be added at the bottom.

  • Select a filter and press the [Delete] button, then the selected filter will be deleted.

  • Select the filter and press the [Copy] button, then a copy of the selected filter (except filter name) will be added at that place.

    [Note]
    This function copies only selecting conditions. Some settings attaching to the copied filter (the recovery settings and the report settings) will be not copied.

  • Press the [Import] button, the [Import Setting] window will appear and you can import a knowledge file.

  • Press the [Export] button, the [Export Setting] window will appear and you can export the current filter definition to a knowledge file.

By importing the exported knowledge file, you can set similar categories on the other system.

After some edit (updating, adding or deleting) for message filters, the export button will be unable. To export the filters, please press the [Close] button and close the [Filter Setting] window once, and re-open the [Filter Setting] window.

[References]

Define the selecting conditions for the message

Import the knowledge file

Export the message filter definition and generate the knowledge file


Define the selecting conditions for the message

This operation should be executed after shifting into the Configuration mode.

Define the condition for the contents of the message to store in the category.

The extract conditions of the filter are defined in the [Filter Detail Setting] window (Filter Setting tab). There are three ways to show the [Filter Detail Setting] window (Filter Setting tab).

  1. Press [Add] button at the [Filter Setting] window.

  2. Select the filter to edit on the [Filter Setting] window, and press [Update] button.

  3. Double click the filter to edit on the [Filter Setting] window.

The [Filter Detail Setting] window (Filter Setting tab) will appear, fill in the extract conditions, and press the [OK] button.

  • Description (filter name)

Specify a filter name in 256 characters or less. The string specified here will be displayed as the "Filter Name" on the [Filter Setting] window. The Message overview should not be omitted. In addition, the following substitute strings can be specified in the Message overview.

$SEVERITY$ | Stands for the severity of the message
$GENERATEDDATE$ | Stands for the generated date of the message
$GENERATEDTIME$ | Stands for the generated time of the message
$RECEIVEDATE$ | Stands for the received date of the message
$RECEIVETIME$ | Stands for the received time of the message
$NODE$ | Stands for the node name of the message
$APPLICATION$ | Stands for the application name of the message
$OBJECT$ | Stands for the object name of the message
$MESSAGEID$ | Stands for the message ID of the message
$MESSAGETEXT$ | Stands for the message text of the message

Note that for $MESSAGETEXT$, a double quotation (") is replaced with a single quotation ('), and a new line character (line feed) is replaced with a blank space in the message text, before the replacement.

  • Type

Specify the filter type. If [Store] is specified, the message matched this filter will be stored in the category. If [Ignore] is specified, the message matched this filter will be deleted and not be stored in the category.

  • Category

Select the filtering condition for the category by using up to 32 characters as an exact match, or by selecting [Application], [Security], [System] or [Unified Management Framework]. When a negation is specified, messages not matching the condition are selected as the target.
This item is equivalent to the log name for an event log.

  • Node (The name of node that outputted message)

Specify the filter conditions for the node in the regular expression format in 256 characters or less. When negative is defined, the messages that do not match the regular expression will be selected.

[Note]
This product can manage up to 256 characters of a node name. If it reaches the length, only leading 256 characters used.

  • Application (The name of application that outputted message)

Specify the filtering condition for the application by using up to 128 characters in the regular expression format. When a negation is specified, messages not matching the condition of the regular expression are selected as the target.
This item is equivalent to the source item for an event log.

[Note]
This product can manage up to 32 characters of an application name. If it reaches the length, only leading 32 characters used.

  • Object (The name of object that issued message)

Specify the filtering condition for the category by using up to 128 characters in the regular expression format. When a negation is specified, messages not matching the condition of the regular expression are selected as the target.
This item is equivalent to the "Task Category" or "Category" item for an event log.

[Note]
"Task Category" or "Category" in the event log is recognized as a 4-digit ID in this product. If the ID is less than 4-digit, higher-order digit is complemented by 0.
For example, an event log which is displayed as [1234] in Event Viewer is managed as [00001234].

  • Message ID (Message ID)

Specify the filtering condition for the message ID by using up to 128 characters in the regular expression format. When a negation is specified, messages not matching the condition of the regular expression are selected as the target.
This item is equivalent to the event ID item for an event log.

[Note]
About the Event ID in the event log, it is recognized as 8-digit of character string which indicates the Event ID in this product. If the ID is less than 8-digit, higher-order digit is complemented by 0.
For example, an event log which is displayed as [1234] in Event Viewer is managed as [00001234].
For a classification that is not displayed as a numeric value in the event viewer, check the specifications of the application that generates the event logs.

  • Message Text (Message body text)

Specify filter condition a regular expression in 1024 characters or less. In the case of negation is specified, messages are selected which don't match the regular expression.

[Note]
This product can manage up to 1024 characters of a message text. If it reaches the length, only leading 1024 characters used.

  • Select by Position

Up to 8 search conditions which are specified by positions in the message text can be specified. When a negation is specified, messages not matching the condition are selected as the target.

    • Position

Specify the position in the message text, where you want to start matching, in the range of 1-1024.

  • Condition

Specify the matching conditions.
Matching items are searched when "=" is specified, non-matching items are searched when "<>" is specified, and binary codes (character codes) are compared when any other condition is specified.

  • Value

Specify the matching value in 64 characters or less. Can't specify the [Value] with the regular expression.

[e.g.]

To extract the message that "Abnormality" appears in the tenth character of the message text, it specifies it as follows.

Position

Condition

Value

:10

:=

:FATAL

  • Select by Key

Up to 8 search conditions which are specified by key in the message text can be specified. When a negation is specified, messages not matching the condition are selected as the target.

  • Key

Specify the key in the message text in 64 characters or less.

  • Condition

Specify the matching conditions. When "=" is specified, regular expression is applied as comparison value. When others are specified, binary codes (character codes) are compared with the character string which are specified by comparison value.

  • Value

Input the matching value. Only when the [Condition] is set as "=", the [Value] should be specified with the regular expression.

[e.g.]

When the string "error_number = 5" (the "5" will change) exists in the message text, and extracting the messages with error_number under 4, specify as follows:

Key

Condition

Value

:error_number

:<=

:4

Key and Value, which are used in Select by Key, should be surrounded by a separator in the message text. Separators that can be recognized are half-width blank, (, ), [, ], {, }, <, >. Note that a character string containing a full-width blank cannot be specified for the key value.

[e.g.]

(error_number=1)

Note that blanks between Key, = and Value are ignored.

  • Severity

Select the search conditions for Severity. When a negation is specified, messages not matching the condition are selected as the target.
This item is equivalent to the type item for an event log.

[Note]
It corresponds to the event log type and the severity of this product as follows.

Event log type | Severity of this product
Success | NORMAL
Information | NORMAL
Warning | WARNING
Error | FATAL
Critical | FATAL
Success Audit | NORMAL
Failure Audit | FATAL

[Note]

  • If the condition is omitted, then the condition is not used (all the messages will match).

  • To extract a message, the message content must match all the conditions specified in this dialog box.

  • Commas (,) and double quotation marks (") cannot be used in this dialog box.
    For this reason, specify the condition by using a period (.) (which indicates any character in a regular expression) to extract messages containing the characters mentioned above.

  • An error is displayed if the regular expression syntax is invalid. Note that a UNIX OS might assume that a regular expression is invalid even if the regular expression has passed the syntax check of Windows.
    Filter processing is performed by the manager. If the syntax is invalid, the appropriate filter processing is skipped and the next filter processing is performed.

[References]

Define the message filter

About regular expressions

Messages Agent/Manager outputs


Define the display setting

This operation should be executed after shifting into the Configuration mode.

Defining how to display the messages stored in the category.

The display conditions are defined in the [Filter Detail Setting] window (Display Setting tab). There are three ways to show the [Filter Detail Setting] window. Show the [Filter Detail Setting] window, select the [Display Setting] tab, then fill in the each field, and press the [OK] button.

  1. Press [Add] button at the [Filter Setting] window.

  2. Select the filter to edit on the [Filter Setting] window, and press [Update] button.

  3. Double click the filter to edit on the [Filter Setting] window.

  • Each item on the [Display Setting] tab will be disabled when the type of [Filter Setting] tab is [Delete].

  • Overwrite Severity

Change the message severity meets the filter conditions to the specified severity. User marks are not possible to select.

  • Display Start Position

When display the message text on the message list window or the [Message Detail] window, specify the starting point in the range of 1-1024. The default is 1.

  • Auto confirmation when received.
    When this is selected, messages matching the filter conditions are automatically hidden.

  • Help Setting

Specify the help corresponding to the message that met the filter. conditions. The help defined here will be shown when the [User Help] button in the [Message Detail] window is pressed.

  • Application

Specify the application that starts when the help is displayed in 256 characters or less. If the [Browse] button is pressed, [Open] dialog will appear and you can select your desired application file.

An environment variable on the machine on which the monitoring window is running can be used for the path of the application file.

  • Work Directory

Specify the work directory to start the application in 256 characters or less. If the [Browse] button is pressed, [Open Directory] dialog will appear and you can select the directory.

An environment variable on the machine on which the monitoring window is running can be used for the path of the work directory.

  • Option

Specify the parameter when the application starts in 128 characters or less.

An environment variable on the machine on which the monitoring window is running can be used for the optional parameter. In addition, the following substitute strings can be specified for the option.

$SEVERITY$

Stands for the severity of the message

$GENERATEDDATE$

Stands for the generated date of the message

$GENERATEDTIME$

Stands for the generated time of the message

$RECEIVEDATE$

Stands for the received date of the message

$RECEIVETIME$

Stands for the received time of the message

$NODE$

Stands for the node name of the message

$APPLICATION$

Stands for the application name of the message

$OBJECT$

Stands for the object name of the message

$MESSAGEID$

Stands for the message ID of the message

$MESSAGETEXT$

Stands for the message text of the message

$REPEXP("<start key value>","<end key value>")

Specify the text to be replaced with the message text.

Specifying the start key value and the end key value replaces the character string with the contents from the next to the start key value up to in front of the end key.

Start key value: Specify the value immediately before the character string to be replaced in the regular expression format.

End key value: Specify the value immediately after the character string to be replaced in the regular expression format.

Enclose the monitoring key value and the end key value in double quotation marks (").

Example:

Message text: Warning! Network interface has been down. (ServerA)

To replace "ServerA" in the message text, specify as shown below.

Option: $REPEXP("\(","\)")

If the message does not contain the character string that matches the condition, the target is replaced with ("<start key value>","<end key value>").

$REPPOS(<position>,<character string length>)

Specify the position of the text to be replaced with the message text.

Position: Specify the number of characters to indicate the replacement start position in the message text. Specify a value from 0 to 1023.

Character string length: Specify the length of the character string to be replaced. Specify a value from 1 to 1024. Specify a value so that the total with the value specified as a position does not exceed 1024.

Example:

Message text: Session 00000001 has been terminated abnormally.

To replace "00000001" in the message text, specify as shown below.

Option: $REPPOS(5,8)

If the specified range does not contain character strings, the target is replaced with a null character.

If a character other than a numerical value is specified for the character string length, the target is replaced with a null character.

If a character other than a numerical value is specified for the position, that character is treated as "0".

$REPKEY("<key value >")

Replace the target with the value on the right-hand side (character string after "=") of the character string that matches the key value in the message text.

Key value: Specify the key in the message text. The key value shall be enclosed with the double quotation marks.

Example:

When the message text includes a character string "error_number = 5" ("5" is variable) and you want to change the value to "5", specify as shown below.

Option: $REPKEY("error_number")

If the message text does not include the character string that matches the specified key value, the target is replaced with a null character.

"=" must be inserted between the character string that matches the key value in the message text and the replacement target.

The character string to be replaced in the message text must be enclosed in double quotation marks ("). Or, ")" or "one-byte space" is required immediately after the character string to be replaced.

Example:

(error_number=1)

Note that spaces between the key, "=" and the value are ignored.

Note that for $MESSAGETEXT$, a double quotation (") is replaced with a single quotation ('), and a new line character (line feed) is replaced with a blank space in the message text, before the replacement.

[References]

Define the message filter


Define the recovery definition

Define the recovery setting

This operation should be executed after shifting into the Configuration mode.

Defining the recovery process for the messages stored in the category.

The recovery definition is defined in the [Filter Detail Setting] window (Recovery Setting tab). There are three ways to show the [Filter Detail Setting] window. Show the [Filter Detail Setting] window, select the [Recovery Setting] tab, then fill in the each field, and press the [OK] button.

  1. Press [Add] button at the [Filter Setting] window.

  2. Select the filter to edit on the [Filter Setting] window, and press [Update] button.

  3. Double click the filter to edit on the [Filter Setting] window.

  • Each item on the [Recovery Setting] tab will be disabled when the type of [Filter Setting] tab is [Ignore].

  • Relation1, Relation2

Specify the related information corresponding to the message that met the filter conditions. The information defined here will be shown by pressing the button, in the [Message Detail] window, with the name defined for the display name on it. Also, if knowledge file is imported, the relative information may automatically be stored.

  • Display name

Specify the button name that will be displayed on the [Message Detail] window in 16 characters or less.

  • Application Name

Specify the application that starts when the relative information is displayed in 256 characters or less. If the [Browse] button is pressed, [Open] dialog will appear and you can select your desired application file.

An environment variable on the machine on which the monitoring window is running can be used for the path of the application file.

  • Work Directory

Specify the work directory to start the application in 256 characters or less. If the [Browse] button is pressed, [Open Directory] dialog will appear and you can select the directory.

An environment variable on the machine on which the monitoring window is running can be used for the path of the work directory.

  • Option

Specify the parameter when the application starts in 128 characters or less.

An environment variable on the machine on which the monitoring window is running can be used for the optional parameter. In addition, the following substitute strings can be specified for the option.

$SEVERITY$

Stands for the severity of the message

$GENERATEDDATE$

Stands for the generated date of the message

$GENERATEDTIME$

Stands for the generated time of the message

$RECEIVEDATE$

Stands for the received date of the message

$RECEIVETIME$

Stands for the received time of the message

$NODE$

Stands for the node name of the message

$APPLICATION$

Stands for the application name of the message

$OBJECT$

Stands for the object name of the message

$MESSAGEID$

Stands for the message ID of the message

$MESSAGETEXT$

Stands for the message text of the message

$REPEXP("<start key value>","<end key value>")

Specify the text to be replaced with the message text.

Specifying the start key value and the end key value replaces the character string with the contents from the next to the start key value up to in front of the end key.

Start key value: Specify the value immediately before the character string to be replaced in the regular expression format.

End key value: Specify the value immediately after the character string to be replaced in the regular expression format.

Enclose the monitoring key value and the end key value in double quotation marks (").

Example:

Message text: Warning! Network interface has been down. (ServerA)

To replace "ServerA" in the message text, specify as shown below.

Option: $REPEXP("\(","\)")

If the message does not contain the character string that matches the condition, the target is replaced with ("<start key value>","<end key value>").

$REPPOS(<position>,<character string length>)

Specify the position of the text to be replaced with the message text.

Position: Specify the number of characters to indicate the replacement start position in the message text. Specify a value from 0 to 1023.

Character string length: Specify the length of the character string to be replaced. Specify a value from 1 to 1024. Specify a value so that the total with the value specified as a position does not exceed 1024.

Example:

Message text: Session 00000001 has been terminated abnormally.

To replace "00000001" in the message text, specify as shown below.

Option: $REPPOS(5,8)

If the specified range does not contain character strings, the target is replaced with a null character.

If a character other than a numerical value is specified for the character string length, the target is replaced with a null character.

If a character other than a numerical value is specified for the position, that character is treated as "0".

$REPKEY("<key value >")

Replace the target with the value on the right-hand side (character string after "=") of the character string that matches the key value in the message text.

Key value: Specify the key in the message text. The key value shall be enclosed with the double quotation marks.

Example:

When the message text includes a character string "error_number = 5" ("5" is variable) and you want to change the value to "5", specify as shown below.

Option: $REPKEY("error_number")

If the message text does not include the character string that matches the specified key value, the target is replaced with a null character.

"=" must be inserted between the character string that matches the key value in the message text and the replacement target.

The character string to be replaced in the message text must be enclosed in double quotation marks ("). Or, ")" or "one-byte space" is required immediately after the character string to be replaced.

Example:

(error_number=1)

Note that spaces between the key, "=" and the value are ignored.

Note that for $MESSAGETEXT$, a double quotation (") is replaced with a single quotation ('), and a new line character (line feed) is replaced with a blank space in the message text, before the replacement.

  • Recovery

Recovery will be executed when the message meets the filter conditions occurs, when checked. If [Auto confirmation when normal end] is checked, when recovery is completed, the messages recovered will be hide automatically.

    • If the [Configuration] button is pressed, the details for recovery can be set in the [Recovery Setting] window. See here, for details about recovery.

  • Report

Report will be executed when the message meets the filter conditions occurs, when checked. If [Auto confirmation when normal end] is checked, when report is completed, the messages to be reported will be hide automatically.

    • If the [Configuration] button is pressed, the details for report can be set by the [Report Setting] window. See here, for details about report.

[References]

Define the message filter


Define the option definition

Define the option setting

This operation should be executed after shifting into the Configuration mode.

Defining the options for the messages stored in the category.

The option definition is defined in the [Filter Detail Setting] window (Option Setting tab). There are three ways to show the [Filter Detail Setting] window. Show the [Filter Detail Setting] window, select the [Option Setting] tab, then fill in the each field, and press the [OK] button.

  1. Press [Add] button at the [Filter Setting] window

  2. Select the filter to edit on the [Filter Setting] window, and press [Update] button.

  3. Double click the filter to edit on the [Filter Setting] window.

  • Each item on the [Option Setting] tab will be disabled when the type of [Filter Setting] tab is [Ignore].

  • Option1, Option2

Specify the optional information corresponding to the message that met the filter conditions. The information defined here will be shown by pressing the tab, in the [Message details] window, with the name defined by the display name. Also, if knowledge file is imported, the optional information may automatically be stored.

  • Tab Title

Specify the tab name that will be displayed on the [Message details] window in 32 characters or less.

  • View Type

Specify to display the optional information whether in HTML or text format.

  • HTML View

Showing the contents in HTML format. If a Web page address is directly written then the page will be displayed.

  • Text View

Showing the contents in the text format.

    • Contents

Specify the contents which will be showed actually.

If you selected the View Type as "HTML View", you can specify the contents with HTML Tags. This contents can be specified in 1024 characters for the both View Types.

The following substitute strings can be specified for the description.

$SEVERITY$

Stands for the severity of the message

$GENERATEDDATE$

Stands for the generated date of the message

$GENERATEDTIME$

Stands for the generated time of the message

$RECEIVEDATE$

Stands for the received date of the message

$RECEIVETIME$

Stands for the received time of the message

$NODE$

Stands for the node name of the message

$APPLICATION$

Stands for the application name of the message

$OBJECT$

Stands for the object name of the message

$MESSAGEID$

Stands for the message ID of the message

$MESSAGETEXT$

Stands for the message text of the message

$REPEXP("<start key value>","<end key value>")

Specify the text to be replaced with the message text.

Specifying the start key value and the end key value replaces the character string with the contents from the next to the start key value up to in front of the end key.

Start key value: Specify the value immediately before the character string to be replaced in the regular expression format.

End key value: Specify the value immediately after the character string to be replaced in the regular expression format.

Enclose the monitoring key value and the end key value in double quotation marks (").

Example:

Message text: Warning! Network interface has been down. (ServerA)

To replace "ServerA" in the message text, specify as shown below.

Option: $REPEXP("\(","\)")

If the message does not contain the character string that matches the condition, the target is replaced with ("<start key value>","<end key value>").

$REPPOS(<position>,<character string length>)

Specify the position of the text to be replaced with the message text.

Position: Specify the number of characters to indicate the replacement start position in the message text. Specify a value from 0 to 1023.

Character string length: Specify the length of the character string to be replaced. Specify a value from 1 to 1024. Specify a value so that the total with the value specified as a position does not exceed 1024.

Example:

Message text: Session 00000001 has been terminated abnormally.

To replace "00000001" in the message text, specify as shown below.

Option: $REPPOS(5,8)

If the specified range does not contain character strings, the target is replaced with a null character.

If a character other than a numerical value is specified for the character string length, the target is replaced with a null character.

If a character other than a numerical value is specified for the position, that character is treated as "0".

$REPKEY("<key value >")

Replace the target with the value on the right-hand side (character string after "=") of the character string that matches the key value in the message text.

Key value: Specify the key in the message text. The key value shall be enclosed with the double quotation marks.

Example:

When the message text includes a character string "error_number = 5" ("5" is variable) and you want to change the value to "5", specify as shown below.

Option: $REPKEY("error_number")

If the message text does not include the character string that matches the specified key value, the target is replaced with a null character.

"=" must be inserted between the character string that matches the key value in the message text and the replacement target.

The character string to be replaced in the message text must be enclosed in double quotation marks ("). Or, ")" or "one-byte space" is required immediately after the character string to be replaced.

Example:

(error_number=1)

Note that spaces between the key, "=" and the value are ignored.

Note that for $MESSAGETEXT$, a double quotation (") is replaced with a single quotation ('), and a new line character (line feed) is replaced with a blank space in the message text, before the replacement.

[References]

Define the message filter


Prepare for using the knowledge file

To use the knowledge files for the Microsoft-applications, refer to knowledge information with "kbfind". In this case, "kbfind" should be available with following steps.

  1. Decompress "<View's installation directory>\Svc\OptionModule\kbfind\kbfind.zip", you can get "kbfind.exe". And place "kbfind.exe" under "<View's installation directory>\Svc\bin" or any available path.

  2. If you are using proxy servers, configure the system referring to "read_kbfind.txt" made from decompressed "kbfind.zip".

[References]

Import the knowledge file


Import the knowledge file

This operation should be executed after shifting into the Configuration mode.

Importing a defined knowledge file will facilitate the filter defining. To import a knowledge file, press the [Import] button in the [Filter Setting] window. The [Import Setting] window will appear, press the [Browse] button and specify the directory the file exists. If the import file exists in the specified directory, the file list will be displayed, and select the import file, then press the [OK] button.

[References]

Prepare for using the knowledge file

Export the message filter definition and generate the knowledge file


Export the message filter definition and generate the knowledge file

This operation should be executed after shifting into the Configuration mode.

Exporting the filter definitions and creating the definition files will facilitate storing the filter definitions and reusing them on other systems.

To export the monitoring definitions, press the [Export] button in the [Filter Setting] window. The [Export Setting] window will appear, press the [Browse] button and specify the output file name, and the press the [OK] button.

  • Subject

Specify the description of exported knowledge files. At the importing, this is shown in the [Subject] field on the [Import Setting] window.

  • File Name

Specify the output file name.

[Note]

  • The generated knowledge file also stores settings for recovery and notification.

[References]

Import the knowledge file


Set the options for message monitoring

This operation should be executed after shifting into the Configuration mode.

To define the options for the message monitoring, invoke [Option Setting] menu by selecting [Option] from the [Setting] menu, and select [Business View] tab.

  • Category View

  • Category Open

Specify the number of days that you want to back to when the category is opened. Specify from 0 - 31.
Search for messages in the specified category within the number of days specified as the period, including the current day. The default is 7 days.

  • Max Search Records

Specify the maximum number of items displayed in the [Message list] window immediately after the category is opened or searched. Specify within the range of 1000 - 2000. The default is 1000.
When "1000 items" is specified, the last unconfirmed 1000 items stored are displayed.
Specify the maximum number of displayed items, including the messages automatically added after being displayed, in the [Max Display Records] field.
Note that a value greater than the value specified in [Max Display Records] cannot be specified for the maximum number of search items.

  • Max Display Records

Specify the maximum number of messages list in the [Message list] window. Specify within the range of 1000 - 2000. The default is 1000.
Note that a value smaller than the value specified in [Max Search Records] cannot be specified for the maximum number of displayed items.

  • Online message

  • Use Online Message View

Specify whether to use the online message tab, which is displayed at the bottom of the dialog box. Select the [Use Online Message View] check box to use the tab. Use of online message tab is enabled by default.

  • Max Display Records

Specify the maximum number of messages to list in the [Online message] tab, when [Use Online Message View] is checked. Specify within the range of 1000 - 2000. The default is 1000.

  • Mark Mode
    Specify the mode of mark. When [Priority mark] is checked, the severity color of each message is switched to the severity color of the mark. If not checked, the severity color of each message will be of either the message or the mark which has higher priority. In the default setting, this is not checked.

    [Note]
    Even in the mark mode, the icon color of the tree view depends on the priority configuration.
    It may take some time to change the mark mode. Wait for a while after specifying the settings.

  • Duration of retention
    Select the duration of message retention from [Unlimited], [1Week], [2Week], [1Month], [2Months], [6Months], [9Months] and [1Year]. The default is [Unlimited].
    The messages over the duration are deleted automatically.

    [Note]
    When the duration is set as [Unlimited], messages are not deleted automatically. Delete by initialize or swapping.

  • Behavior during Category Hold

    • Saving Messages
      Specify whether to store messages or not when the category stops. When [Saving Messages] is checked, messages will be stored while the category stops. By default, no check is placed. When storing messages while the category stops, reporting and recovery processes will not be performed.

    • Confirming Automatically
      When [Confirming Automatically] is checked, messages that have been stored while the category stops will be automatically regarded as those that have been confirmed. By default, this is checked.

    • Marking Automatically
      When [Marking Automatically] is checked, the set mark will be automatically attached to messages that have been stored while the category stops. By default, no check is placed.

    • Mark
      When [Confirming Automatically] is checked, set the mark you want to attach to messages.

[Note]

  • [Confirming Automatically] and [Marking Automatically] are enabled only when [Saving Messages] is checked.

  • To add a mark, use [Priority Setting] in the [Option Setting] dialog box.

[References]

Main window

Set the severity

Monitor the message

Refer the message list (all the category)

Delete the messages in the category

Suspend message monitoring


Monitor the message

List the messages stored in the category. To display the message list, double click the category in the Tree view (in Business view) or the category icon in the Property view (in Business view). The message list will be displayed on the right of the screen.

On the message list, a button panel is displayed at the top, a message list at the middle and a count panel at the bottom of the window.

  • Right-click menu

    • Confirm
      From the list window, hides the selected messages. For more information, refer to here.
      Note that this menu becomes [Unconfirm] if a confirmed message is selected in the search results.

    • Mark
      Adds a user mark to the selected message. For more information, refer to here.

    • Copy
      Copy the selected message to a clipboard.

    • Property
      Displays details of the selected message. For more information, refer to here.
      You can also display details of a desired message by double-clicking on it.

    • Select All
      Selects all the messages displayed in the list. You can use this menu item when you want to take actions such as confirming all the messages at once.

    • Select Reverse
      Reverse the selected state of selected message and unselected message.

    • User Help
      Opens [User Help...] if user help has been set for a message filter.
      For more information on User Help, refer to here.

  • Button panel

The button operates messages are shown.

  • Press the [Mark] button, then the selected message will be marked. See here, for the details.

  • Press the [Auto Add] button, you can select enable/disable to add a new message to the message list. See here, for the details.

  • Press the [Counter] button, you can select show/hide the counter panel. See here, for the details.

  • Press the [Search] button to search the message in the category. See here, for the details.

  • Press the [Confirm] button to hide the selecting message in the message list. See here, for the details.
    Note that this button becomes [Unconfirm] button if a confirmed message is selected in the search results.

  • The [Close] button is enabled when a search result is displayed on the message list. Press the [Close] button, you can close the search result tab. Refer to here for details.
    In addition, you cannot use the [Close] button when the [CategoryMessage] tab is displayed.

  • Message list

Display the list of the messages meet the filter searching condition and stored the category or the searching result. The category message or the searching result can switch the display by selecting the tab. When the category opens, 1000 of seven days in the past including that day messages are displayed from the new one in the initial state. The number of days or the display number that you want to back to the opening category are modified in the option setting.

In addition, putting on the user mark (Mark), hide(Confirm), show the details (Property) and show help (Help) can be executed for the selected message from the right click menu.

  • Severity Color

Show the color according to the severity of the message and the given user mark.

  • Severity

Show the severity of the message.

  • Mark

Show the given user mark.

  • Node

Show the node name of the node that issued the message.

  • Generated Date

Show the date when the message occurs on the node.

  • Generated Time

Show the time when the message occurs on the node.

  • Message text

Show the message text.

  • Recovery

Show the recovery status of the message.
[Note]
If the manager stops during recovery, the displayed status might remain "Recovering". In this case, check the recovery results on the [Recovery Status] tab.

  • Report

Show the report status of the message.
[Note]
If the manager stops during reporting, the displayed status might remain "Reporting". In this case, check the report results on the [Report Status] tab.

  • Comment

When the comment is given to the message, "Available" is displayed.

  • Receive Date

Show the date when the message monitoring function received the message.

  • Receive Time

Show the time when the message monitoring function received the message.

  • Application

Show the name of the application that issued the message.

  • Object

Show the name of the object that issued the message.

  • Message ID

Show the message ID.

  • Category
    Show the message category.

  • Category Name
    Show the category name of the message.

  • Overview

Show the overview of the message.

    • Column Sort Function
      Right after the window is opened, the messages are displayed in the order in which they were received, from the oldest to the newest, with the newest message displayed at the bottom. You can sort and display messages depending on column information by clicking the title of a column.

[Note]

      • While sort is done in alphabetical order, the [Severity Color] column is in priority order. (Severity and Mark is in alphabetical order)

  • Messages with the same value are sorted according to the date and time they were received.

  • Sort order is either of ascending or descending. For example, displaying Node in ascending order and Received Time in descending order is not applicable.

See here, for details about the place and the size change in each column.

  • Counter panel

There are two tabs in the count panel, [Message Count in Category] and [Message Count in View]. The [Message Count in Category] shows the number of all the non-confirmed messages in the category according to the severity. The [Message Count in View] shows the number of all the displaying messages according to the severity. See here for the severity that statistics is calculated in the count panel.
If the priority of the mark is higher than the importance level, it is counted as a mark.

When a message is stored in the category while monitoring messages, the following actions are executed for reporting to the operator.

  • If [Auto Add] is enabled, the message is added to the message list. Note that a sound is output if a sound is specified for the severity.

  • If the priority of the severity is the highest in the tree view after the status is changed, the color of the category changes to the color of the severity after the status is changed. Note that the color of the group also changes if the priority is higher than that of other nodes in the same group.

  • If recovery has been defined, then recovery will be executed according to the definition.

  • If report is defined, then report will be sent according to the definition.

[Note]

The messages stored in the category are preserved on the manager, and maintained for the period set by the option setting. Delete it regularly because there is a possibility of causing lack of disk free space when the maintenance period is set to "Indefinite limit". Refer to here for deleting.

  • A message will be saved to the following path of the manager:
    Windows manager

<Manager's installation directory>\Manager\sg\Business\log

UNIX manager

<Manager's installation directory>/Manager/sg/Business/log

  • Each message is about 3000bytes (3Kbytes).

[References]

Put on a comment to the message

Reporting

Recovery


See details about the message (message details)

To display the details of message, double click the message in the message list or select the message and choose [Property] from the right click menu.

  • Description

Show the [Description] of the filter met the search conditions.

  • Show [Severity], [Generated Date/Time], [Received Date/time], [Message Text], [Node], [Application], [Object], [Message ID] and [Category] of the message.

  • When the relative information is defined in the [Filter Setting] ([Recovery Setting] tab) in advance, the button with the name defined by the display name will be shown ([Console of DB] button on the screen). Press this button to show the defined relative information. See here, for details.

  • Press the [User Help] button to show the message help defined in advance. See here, for the details.

  • Press the [Confirm] button to confirm the displaying message (hide in the message list). See here, for details.

[Note]

  • When referred message is already confirmed, this button becomes [Unconfirm] button. Press [Unconfirm] button, restore this message to "unconfirmed" again.

  • The status of a message cannot be changed back to "unconfirmed" once the status has been changed to "confirmed" by using the -P option of the BusinessCmd command (CFM).

  • Press the [Information] button to show viewing message-related information. See here, for the details.

  • Press the [Previous] button to display message above one on the [Message list] window.

  • Press the [Next] button to display message below one on the [Message list] window.

[References]

Monitor the message


See details about the message (additional information).

To display the additional information of message, double click the message in the message list or select the message, and choose [Property] from the right click menu. The [Message Detail] window (Message tab) will appear and select the [Option] tab.

  • Mark

The user marks given to the shown messages will be displayed. A message mark can be changed by selecting from the right combo box. To register the change, press the [Mark] button. See here, for details.

  • Comment

Specify the desired comment for the shown messages in 1024 characters or less. Press the [Update] button and register the description. See here, for details.

  • Recovery

Display the status of the specified recovery process. Press the [Detail] button at the right to show the details of recovery result.[Detail] button can be pushed only in the recovery finished.

[Note]
If the manager stops during recovery, the displayed status might remain "Recovering". In this case, check the recovery results on the [Recovery Status] tab.

  • Report

Display the status of the specified report settings. Press the [Detail] button at the right to show the details of recovery result.[Detail] button can be pushed only in the report finished.

[Note]
If the manager stops during reporting, the displayed status might remain "Reporting". In this case, check the report results on the [Report Status] tab.

  • When the relative information is defined in the [Filter Setting] ([Recovery Setting] tab) in advance, the button with the name defined by the display name will be shown ([Console of DB] button on the screen). Press this button to show the defined relative information. See here, for details.

  • Press the [User Help] button to show the message help defined in advance. See here, for details.

  • Press the [Confirm] button to confirm the displaying message (hide in the message list). See here, for details.

[Note]

  • When referred message is already confirmed, this button becomes [Unconfirm] button. Press [Unconfirm] button, restore this message to "unconfirmed" again.

  • The status of a message cannot be changed back to "unconfirmed" once the status has been changed to "confirmed" by using the -P option of the BusinessCmd command (CFM).

  • Press the [Information] button to show viewing message-related information. See here, for the details.

  • Press the [Previous] button to display message above one on the [Message list] window.

  • Press the [Next] button to display message below one on the [Message list] window.

[References]

Monitor the message


See details about the message (optional information).

To display the optional information of message, double click the message in the message list or select the message, and choose [Property] from the right click menu. When the optional information is defined in the [Filter Setting] (Option Setting) in advance, the tab with the name defined by the display title will be shown ([Action method] tab, [Web Page of NEC] tab on the screen), and select this. See here, for details.

  • When the relative information is defined in the [Filter Setting] (Recovery Setting tab) in advance, the button with the name defined by the display name will be shown ([Console of DB] button on the screen). Press this button to show the defined relative information. See here, for details.

  • Press the [Back] and [FORWARD] buttons to return to HTML page displayed immediately before. These functions are similar to "BACK" and "FORWARD" buttons of HTML browser such as I.E.

    • You can use this function only when the HTML view is specified for a display form of option information. This function is not for the text view.

  • Press the [User Help] button to show the message help defined in advance. See here, for details.

  • Press the [Confirm] button to confirm the displaying message (hide in the message list). See here, for details.

[Note]

  • When referred message is already confirmed, this button becomes [Unconfirm] button. Press [Unconfirm] button, restore this message to "unconfirmed" again.

  • The status of a message cannot be changed back to "unconfirmed" once the status has been changed to "confirmed" by using the -P option of the BusinessCmd command (CFM).

  • Press the [Information] button to show viewing message-related information. See here, for the details.

  • Press the [Previous] button to display message above one on the [Message list] window.

  • Press the [Next] button to display message below one on the [Message list] window.

[References]

Monitor the message


See related information of the message

To display the related information of the message, click the [Information] button in the Message Detail dialog box.

  • Rate
    This displays how many candidates have suited the message. It means the more star is displayed, the more it suits.

  • Service Name
    This displays the names of services for which the related information of the message can be viewed.

  • Outline
    This displays an overview of the related information.

  • The related information of the message can be viewed by clicking the [Browse] button or double-clicking a service to jump to the dialog box for the selected service.

  • To cancel the viewing of related information and close the dialog box, click the [Cancel] button.

[References]

See details about the message (message details)

See details about the message (additional information)

See details about the message (optional information)


Show/hide the Message counter

There are two tabs in the count panel of the message list, [Message Count in Category] and [Message Count in View]. The [Message Count in Category] shows the number of all the non-confirmed messages in the category according to the importance. The [Message Count in View] shows the number of all the displaying messages according to the importance.

Press the [Counter] button in the message list, you can select show/hide the counter panel. When the button is checked, the counter panel is shown. In the default setting, this is checked.

Since the check status is not saved, the check box is selected when the dialog box is displayed again.

[References]

Monitor the message

Count the messages


Customize the message displaying

In the message list window (the message list section), you can change the location and size of each column, and whether to show or hide it.

As the columns in the message list section are interlocked with those of the [Online Message] tab at the bottom of the main window, changing a column(s) in the latter will change that column in the former.

  • Changes to the message list section will be applied when you display the message monitoring window again.

You can customize how messages appear by following the methods below:

  • Change the location of a column
    Click and hold the title part of the target column with your mouse, and drag and drop it on a new column location to which you want change the location of the column.

  • Change the size of a column
    Placing the mouse pointer on the right edge of the target column title part enables you to expand or reduce the width of the column horizontally.

  • Select whether to show or hide a column
    Right-click the column title part to display the column name list menu. Select the column name to toggle whether to show or hide it.
    Each column name being displayed has a check mark to its left in the column name list menu.

  • Change from the [Display Setting] window
    Right-click the column title part to display the column name list menu. Select [Other].
    Each column name being displayed has a check mark to its left in the column name list menu.

    • Column Name List section
      Lists column names. Each column name whose check box to its left is checked will be displayed.
      The vertical order (top to bottom) becomes the horizontal order (left to right) for the columns.

    • Description
      Displays a description for the column being selected.

    • [Up]/[Down] button
      Change the location where the column name being selected will be displayed.

    • [Show] button
      Change the column name being selected from the hide setting to the show setting. The check box on the left side of the name will be checked.
      This button is only enabled for column names whose check box to their left is unchecked.

    • [Hide] button
      Change the column name being selected from the show setting to the hide setting. The check box on the left side of the name will be unchecked.
      This button is only enabled for column names whose check box to their left is checked.

    • [OK] button
      Enables you to complete detailed settings of displayed items and return to the original window. The changes are reflected in the column title section.

    • [Cancel] button
      Enables you to cancel detailed settings of displayed items and return to the original window. The changes are not reflected in the column title section.

When the console window is closed after the display settings such as the location, size, and whether to show or hide each column of the [Online Message] tab are changed, the following message is displayed prompting you to save the changed display settings.

Click [Yes] to save the changed display settings for each user account used when logging to the system. Click [No] not to save the changed display settings.

[Note]

  • Changes to the location and size of each column, and whether to show or hide it in the message list window are only effective in the message list window being displayed. The display settings are not saved.

[References]

Monitor the message

Refer the message list (all the category)


Add the message automatically

Press the [Auto Add] button in the message list, you can select enable/disable to add a new message to the message list. When the button is checked, the messages match the current search condition will be added automatically. If this button is selected, the category messages and the messages matching the current search conditions are automatically added. In the default setting, the messages will be added automatically.

Since the check status is not saved, the check box is selected when the dialog box is displayed again.

  • All the messages that are not added automatically will be shown on the window when automatic adding will be executed next time.

  • Messages are stored in the category even when Adding the message automatically is not checked.

[References]

Monitor the message


Count the messages

This operation should be executed after shifting into the Configuration mode.

Define the statistics (Number of category/Number of displaying items) displayed on the message list.

To define the statistics, select [Counter Setting] by right click the counter tab (Message Count in Category/Message Count in View) in the message list. The [Counter Setting] window will appear, check the check box at the left of the severity of the statistical targets.


Search the message

Searching for and refining messages will help you to keep track of them. In the message list window, clicking on the [Search] button displays the [Search] window.

  • Search Parameter
    Select one of the search parameters that have been registered and set the search conditions for it

  • Search Parameter Setting
    If you set the search conditions and register them in advance, you can easily set search conditions with [Search Parameter], using the registered conditions. This item is available only when you are in the Configuration mode.
    For more information on the search parameters, refer to here.

  • Search Target
    When this check box is checked, messages will be searched from all messages including confirmed messages.
    When this check box is unchecked, messages will be searched from all unconfirmed messages.

  • Condition
    Select the search condition type. Available types are either [Wildcard] or [Regular Expression]. The default value is [Wildcard].
    Selection of Generated Date/Received Date, Node, Application, Object, Message ID, Event Category, Message Text are available in search condition.

  • Severity
    If you want to search for messages with a particular severity, check the severity box.
    Clicking on the [All Check] button will check all the severities. Clicking on the [All Release] button will uncheck all the severities.
    All severities will be checked by default.

  • Mark
    If you want to search for messages to which a certain mark is assigned, check the box for the mark.
    Clicking on the [All Check] button will check all the marks. Clicking on the [All Release] button will uncheck all the marks.
    When the window is opened, all the marks have been checked.

  • Detail
    Search for messages with the specified condition or with the specified range.

    • Generated Date
      Specify a desired date and time when messages were generated on the node.
      Messages will be searched for with the specified character string when selecting [Condition], and with the specified range when selecting [Duration].

    • Received Date
      Specify the date and time when the message monitoring function received messages.
      Messages will be searched for with the specified character string when selecting [Condition], and with the specified range when selecting [Duration].

      Specifying a character string when [Condition] is selected
      Specify the date in the YYYY/MM/DD format.
      Specify the time in the HH:MM:SS format.
      Wildcards and regular expressions can be specified.
      Example:
      2011/12/* When searching for messages in December of 2011 by using a wildcard
      2011/12/.* When searching for messages in December of 2011 by using a regular expression
      08:* When searching for messages from 8:00 to 8:59 by using a wildcard
      08:.* When searching for messages from 8:00 to 8:59 by using a regular expression

  • Period
    Messages will be searched for with the specified period.

    • Generated Date
      Specify a desired date and time when messages were generated on the node.
      Search using the specified character string when [Condition] is selected and search in the specified range when [Duration] is selected.

    • Received Date
      Specify the date and time when the message monitoring function received messages.
      Search using the specified character string when [Condition] is selected and search in the specified range when [Duration] is selected.

  • Node
    Specify a desired node that generated messages by selecting it from the registered agent node names, or by directly entering it.
    Wildcards and regular expressions can be specified.

  • Application
    Specify the application that generated messages.
    Wildcards and regular expressions can be specified.

  • Object
    Specify the object that generated messages.
    Wildcards and regular expressions can be specified.

  • Message ID
    Specify a desired message ID.
    Wildcards and regular expressions can be specified.

  • Event Category
    Specify a desired category for messages.
    Wildcards and regular expressions can be specified.

  • Message Text
    Specify the message body text. The search target range can also be specified.
    When the [Condition] check box is selected, search the entire message body text. Wildcards and regular expressions can be specified.
    When the [Duration] check box is selected, search the message body text within the specified position range. Wildcards and regular expressions can be specified for [Condition].

  • Reset
    Clicking on the [Reset] button at the upper right corner of the window can reset all search settings, returning them to the state just before the window was opened.

  • Start Select
    Starts searching for messages with the set conditions.

  • Cancel
    Exits the search operation and closes the window.

When you specify the search conditions and click on the [Search] button in the search window, a [Search Result] tab will be added to the message list window, displaying the search results.

You can display a maximum of 5 search result tabs at once. If you want to search for messages further, close an unnecessary tab(s) by clicking on the [Close] button in the toolbar. Alternatively, you can close the tab(s) from the menu that will be displayed by right-clicking on it.

You cannot close the category message tab.

[References]

Monitor the message

Set a parameter for searching for messages


Set a parameter for searching for messages

This operation should be executed after shifting into the Configuration mode.

If you set the search conditions and register them in advance, you can easily reuse those search conditions from [Search Parameter]. Setting search parameters are available only when you are in the Configuration mode.

  • [Add] button
    Adds a new search parameter.
    If you attempt to add a new search parameter, the following dialog will be displayed. Click on [Yes] to set a parameter that reflects the current search condition settings. Click [No] to set a parameter based on the default values, regardless of the current search condition settings.

  • [Update] button
    Changes the content of the selected search parameter. This button is disabled when search parameters are not selected.

  • [Copy] button
    Copies the selected search parameter. This button is disabled when search parameters are not selected.
    Clicking on the [Copy] button will display the following dialog, where you can determine the name of the destination parameter.

  • [Delete] button
    Deletes the selected search parameter. This button is disabled when search parameters are not selected.

  • [Default Search Parameter] drop-down list
    Specify the default value for the search parameter. To cancel the settings, select [blank] from the drop-down list.
    When the [Search] dialog box is displayed or the [Reset] button in the [Search] dialog box is clicked, the search parameter selected from the drop-down list is displayed as the default value.

  • [OK] button
    Completes the task of setting the search parameter and returns to the [Search Result Setting] window.

  • [Cancel] button
    Cancels the task of setting the search parameter and returns to the [Search Result Setting] window.
    The changed and updated search parameter(s) will not be reflected.

To display a window where you can set the details of the search parameter, click on the [Add] or [Update] button.

  • Search Parameter Name
    Set the name for a search parameter you want to add. If you clicked on the [Update] button, you can change an existing search parameter.
    You must set a search parameter name before you can complete the setting task.

[Note]

If the search parameter name is specified with a character sting consisting only of half-size spaces, full-size spaces, and/or tab characters, the monitoring terminal may abend.

  • Target Message
    Refine a search for messages by selecting from [Severity], [Mark], and [Unconfirmed/Confirmed]. In addition, set whether you want to use [Wildcard] or [Regular Expression] for search conditions in this window.
    For more information on each item, refer to the Search window.

  • Generated Date/Time, Received Date/Time
    Set the generated time and date/received time and date of messages as a search condition.

    • Detail/Period
      Select whether you will use [Detail] or [Period].

    • Condition/Duration
      When specifying the date and time, select whether to use [Condition] with a [Wildcard] or [Regular Expression] used to specify the search conditions, or whether to use [Duration].

      Specifying a character string when [Condition] is selected
      Specify the date in the YYYY/MM/DD format.
      Specify the time in the HH:MM:SS format.
      Example:
      2011/12/* When searching for messages in December of 2011 by using a wildcard
      2011/12/.* When searching for messages in December of 2011 by using a regular expression
      08:* When searching for messages from 8:00 to 8:59 by using a wildcard
      08:.* When searching for messages from 8:00 to 8:59 by using a regular expression

    • Relative time from current time/Relative time from the selected record
      Specify the reference for time ranges when searching for messages using [Duration].
      If you select [Relative time from current time], the range of the search will be set based on the time at which the search operation was performed.
      If you select [Relative time from the selected record], the range of search will be set based on the selected message.
      When you have selected [Condition] for the search condition, this item is invalid.

    • Day & Time/Day only/Time only
      Select the items that determine a time range for search. If you select [Days Only], a range of days will be valid.
      When you have selected [Condition] for the search condition, these items are invalid.

    • Time is absolute
      If you want not to use a relative expression but to specify only an absolute time range for search, check this item. If you do not check this, a search time range will be calculated by using the specified reference.
      When you have selected [Days Only] for the setting item, this item is invalid.

    • Start/End Time
      Set the start time and date and end time and date, based on the reference time and date.
      If you select [+] and [-], the time and date will be those that are the number of set days after and before the reference time and date, respectively.

    • Date & Time
      If you want to set the specified date and time, check this item.

When specifying the dialog box settings for [Detail], the search range is the previous 30 days, including the day the search is performed.

[Note]
In the case of selecting [Detail], the settings of [Duration] for [Generated Time and Date] and [Received Time and Date] at [Detail] cannot reflect the currently set search conditions when adding the parameter.

  • Other Settings
    Set the other search conditions. For more information on each item, refer to the Search the message.

  • Confirmation
    Confirm the current settings.

    Once you have confirmed that the settings are correct, click on the [OK] button. The settings are reflected and the parameter is added to the list.
    Click on the [Cancel] button to discard the settings.

You can reflect the setup search parameter to the search conditions by selecting it with the [Call Search Parameter] combo box in the search setting window.

Up to 1,000 search parameters can be specified.

[References]
Search the message


Output messages as a file

This operation is only allowed for users who belong to a group that has the operation authority.

The result of referred message in the category will be available for other applications by outputting to a CSV file. There are two ways to output the file; outputting from the monitoring window (saved to the monitoring terminal) and outputting from the command line (saved to the manager).

  1. Output from the monitoring window

Output the category messages currently being referenced in the message list dialog box or the search results to a file. The file is output according to the column order of the reference message in the message list. To output to a file, show the message list, and select [Save to File] in the [File] menu or click [image] on the tool bar. The [Save as] dialog will appear, then specify the place and the file name to save and press the [OK] button.
It is also possible to output only the messages that are currently selected to a file.
The messages are output using SJIS by default.
To output the messages using Unicode (Little-Endian), select [Use UNICODE] in the [Save As] dialog box.

  2. Output from the command line (the command is in the machine in which the manager function is installed.)

Execute the command stored on manager, can output messages as a file. Please refer to BusinessCmd CSV.

To output a message from the command line, the category ID is required. Category ID can be referred from the Property view.

[Note]
When outputting a message from a command line, the category ID is needed.
The category ID can be viewed in the property view or by using BusinessCmd LIST.

[Note]

  • Some characters contained in a message are replaced when they are output as shown below.

    • Double quotation mark (") --> Single quotation mark (')

    • Line feed code (\r) --> One-byte space

    • Line feed code (\n) --> One-byte space

[References]

Monitor the message

Customize the message displaying

Set the options for message monitoring

BusinessCmd CSV

BusinessCmd LIST


Refer the message list (all the category)

All the messages after the monitoring view is opened will be displayed at the bottom of the online message tab.

  • Once the monitoring view is closed, the messages on the Online Message tab will not be displayed again after next boot of the monitoring view.

Double-click the message displayed in [Online Message] to display the message list of the category and the [Message Detail] window. The [Message Detail] window is not displayed if a message not displayed in the message list is double-clicked in [Online Message]. Adjust the number of days tracked back when the category is opened and the number of displayed items in option setting. In addition, all the operation results from the message list or the [Message Detail] window, such as "Confirm" or "Mark", are reflected in the messages displayed on the online message tab.

Note that the display settings such as the size, location, and whether to show or hide columns such as [Severity Color] can be changed on the online message tab. The changed settings are then reflected in the message list window when the window is opened after the settings are changed.

[References]

Monitor the message

See details about the message (message details)


Put on a user mark to the message

This operation is only allowed for users who belong to a group that has the operation authority.

By putting on a mark to the massages, the processing state of the message can be managed.

To put mark on a message the following methods are provided:

  1. Select a message in the message list, and press [Mark] button.

  2. Select a message in the message list, and choose [Mark] from the right click menu.

  3. Select mark on the [Message Detail] window (Option tab), and press the [Mark] or [OK] button.

  • To mark a message on the message list, the given mark will be the user mark selected at the [Mark combo box] at the left of [Mark] button.

  • On the message monitoring option, if [Priority mark] is checked, in the mark mode, the severity color of the message will be changed to the color of the user mark.

  • Mark can only be given to a non-confirmed message.

  • The user mark to be given should be defined in the [Severity Setting] window in advance.

  • Select <Cancel Mark> to cancel the mark.

[References]

Monitor the message

See details about the message (additional information).

Mark mode

Set the severity


Confirm the message (hidden)

By confirming (hidden) the processed messages, the messages not processed can be obtained quickly.

To confirm a message the following methods are provided:

  1. Checking from the monitoring window

    1. Select a message in the message list, and press [Confirm] button.

    2. Select a message in the message list, and choose [Confirm] from the right click menu.

    3. Press [Confirm] button at the [Message Detail] window

    • The confirmed message can be referred by specifying [Confirmed Message] for the search conditions.

    • Confirm can only be given to a non-confirmed message.

    • To delete the messages in the category completely, see Delete the messages in the category.

  2. Checking by using the command line (the command exists on the machine on which the manager function is installed)
    The messages in the specified category can also be checked by executing a command on the manager. For details, see BusinessCmd CFM in the command reference.

    [Note]
    The category ID is required to change the status of a message to Unconfirmed by using the command line.
    The category ID can be viewed in the property view or by using BusinessCmd LIST.

[References]

Monitor the message

See details about the message (message details)

See details about the message (additional information)

See details about the message (optional information)

BusinessCmd CFM

BusinessCmd LIST


Display the message help

By displaying the help for message, the information for the message that a user defined can be referred. To display the message help, double click the message in the message list and select [User Help] on the right click menu or press the [User Help] button on the [Message Details] window.

  • To show a message help, the information about the help application should be specified in advance. See here, for details.

[References]

Monitor the message

See details about the message (message details)

See details about the message (additional information)


Put on a comment to the message

This operation is only allowed for users who belong to a group that has the operation authority.

By putting on a comment to the massages, the processing state of the message can be managed.

To put on a comment to a message, double click the message in the message list or select the message, and choose [Property] from the right click menu. The [Message Detail] window will appear and select the [Option] tab, and write the comment in the comment cell.

  • A comment can be described in 1024 characters or less as you like. Press the [OK] button to register the comment when the [Message Detail] window is closed.

[References]

Monitor the message

Message details window (additional information tab)


Print message details

This operation is only allowed for users who belong to a group that has the operation authority.

Message details can be printed as a report.

Print Setup will open when you click on the [Print] button on the message detail window. Select the printer to use in the Print Setup dialogue and click [OK] button to start printing.

[Print] button

[References]

See details about the message (message details)

See details about the message (additional information).

See details about the message (optional information).

Print dialog


Delete the messages in the category

There are two ways to delete a message in the category; deleting from the monitoring window and deleting from the command line (a machine installed manager function). Please be careful that, in either way, the deleted message can not be restored.

  1. Delete from the monitoring window

This operation should be executed after shifting into the Configuration mode.

  • Delete all the messages in the category

On the Tree view, select the category to delete its message, and select the [Initialize Category] from the right click menu. The confirmation window of deletion will appear and press the [Yes] button.

  • Delete all the messages in the category by specifying date

Delete the messages in the category before the specified date. On the Tree view, select the category to delete its message, and select the [Swap Category] from the right click menu. The [Swap Category] window will appear, specify the date and press the [OK] button. You can also choose a date from a calendar.

  2. Delete from the command line (the command is in the machine in which the manager function is installed.)

Execute the command stored on manager, can delete messages in the category. Please refer to BusinessCmd INIT, BusinessCmd SWAP.

[Note]
To delete a message from the command line, the category ID is required.
Category ID can be referred from the Property view or BusinessCmd LIST.

[References]

Monitor the message

BusinessCmd INIT

BusinessCmd SWAP

BusinessCmd LIST


Suspend message monitoring

This operation is only allowed for users who belong to a group that has the operation authority.

You can temporarily suspend message monitoring to suspend reporting and recovery execution.

The behavior when the message monitoring has been suspended can be configured at the option setting.

The following two methods are provided to stop/start monitoring messages within a category: One method is to use the monitoring window, and the other is to use the command line (on a machine in which the manager function has been installed).

  1. Stop/start monitoring messages from the monitoring window

  • Stop monitoring
    To suspend monitoring messages, select [Hold Category] from the right-click menu of a desired category in the tree view (within Business View). When the following dialog has been displayed, click on the [Yes] button to stop the category and suspend the monitoring of messages in it.

    The color of the icon background for categories whose status is stopped is the severity color of the severity "UNMANAGED".
    Moreover, the item of "Active Status" at the property view is changed from "ACTIVE" to "HOLD".

    If you perform [Hold Category] on a category group, monitoring of all the categories under the group will be suspended. The categories that have previously been suspended will remain suspended.

    [Note]
    If [Saving Messages] under [Behavior during Category Hold] is disabled in the business view of the [Option setting] dialog box, the messages that were output while monitoring was stopped will not be stored in the category when monitoring is resumed.

  • Start monitoring
    To resume message monitoring that has been stopped, select [Active Category] from the right-click menu of a desired category in the tree view (within Business View). When the following dialog has been displayed, click on the [Yes] button to monitor messages as usual in the category that is now in the state of being started.

    The color of the icon background for categories whose status is started is displayed in the severity color of severity that has the highest priority among the stored messages.

    If you perform [Active Category] on a category group, monitoring all the categories under the group will be started.

  2. Start/stop from the command line (commands to be used reside on a machine in which the manager function has been installed)
    You can also suspend monitoring messages within a category by running the appropriate command on the manager. For more information on this method, refer to BusinessCmd HOLD and BusinessCmd ACTV in the command reference.

    [Note]
    If you want to start/stop a category from the command line, you need the ID of the category. You can refer to a desired category ID from the property view or BusinessCmd LIST.

[References]

Set the options for message monitoring

Monitor the message

BusinessCmd HOLD

BusinessCmd ACTV

BusinessCmd LIST


Messages Agent/Manager outputs

Agent/Manager outputs messages when changes are made in the status of agents being monitored, Windows services, processes, and performances, etc. Details on messages Agent/Manager outputs are shown under "Messages Agent/Manager outputs".


About Messages Output by Manager/Agents

This product will output a message when the state of an Agent, Windows Service, process, or performance under monitoring changes and when the license function detects a discrepancy in the number of licenses. The following pages describe the messages in detail.

  • The items that are not described in this section report messages similar to the normal ones.

  • Category
    Unified Management Framework
  • Application
    Unified Management Framework

  • Object
Target | Object
Agent Monitoring | TopologyService
Windows Service Monitoring | NTServiceMonitor
Process Monitoring | ProcessMonitor
Performance Monitoring | PerformanceMonitor
Event log | EventLogMonitor
Syslog | SysLogMonitor
Message Monitoring (Category) | BusinessService
Message Monitoring | MessageView
Launcher Function | ApplicationService
Application Log Monitoring | ApLogMonitor
File monitor | FileMonitor
Manager Linking | MessageLinker
Application Linking | ApLinker
Message Management | Message
Multi-graph view | PerfGraph
Proxy service (API/WMI) | RemoteConnectCtlWMI
Proxy service (SSH) | RemoteConnectCtlSSH
Service port monitoring | PortMonitor
Application monitor | ApplicationMonitor
Application monitor (Oracle) | OracleMonitor
Application monitor (IIS) | IISMonitor
Application monitor (SQL Server) | SQLServerMonitor
Application monitor (WebLogic Server) | WebLogicServerMonitor
Application monitor (Apache) | ApacheMonitor
Application monitor (Tomcat) | TomcatMonitor
Application monitor (SAP) | SAPMonitor
Application monitor (Java application) | JavaAPMonitor
Application monitor (WebSphere Application Server) | WebSphereMonitor
Event Correlation | EventCorrelation
Event Correlation Engine | EventCorrelation Engine
Scenario Control | Scenario
Operation | Operation
Incident Registration | ServiceManagerLinker
Invariant analysis | Invariant Analyzer
  • Message ID, severity, and message text

    [Agent Monitoring]
Message ID | Severity | Message Text
00010001 | NORMAL | Host status becomes Host Normal.(NODE=%s)(OLD=%s)(NEW=%s)
00010002 | FATAL | Host status becomes Host Empty.(NODE=%s)(OLD=%s)(NEW=%s)
00010003 | WARNING | There is no license.(FNC=%s)
00010004 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)

  • [Monitoring of Windows service]
Message ID | Severity | Message Text
00090001 | UNKNOWN | Service become unknown state.(NODE=%s)(SNAME=%s)(OLD=%s)(NEW=%s)
00090002 | NORMAL | Service become normal state.(NODE=%s)(SNAME=%s)(OLD=%s)(NEW=%s)
00090003 | FATAL | Service become stop state.(NODE=%s)(SNAME=%s)(OLD=%s)(NEW=%s)
00090004 | WARNING | There is no license.(FNC=%s)
00090005 | WARNING | The connection was refused, because the number of licenses was insufficient. (NODE=%s) (FNC=%s)
00190001 | FATAL | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
00190002 | NORMAL | The Monitoring Thread was recovered. It resume monitoring. (NODE=%s)(THREAD=%s)
00370001 | WARNING | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)

[Process Monitoring]

Message ID | Severity | Message Text
00080001 | UNKNOWN | Process becomes unknown state.(NODE=%s)(PNAME=%s)(OLD=%s)(NEW=%s)(LOWER=%s)(UPPER=%s)
00080002 | NORMAL | Process become normal state.(NODE=%s)(PNAME=%s)(OLD=%s)(NEW=%s)(COUNT=%s)(LOWER=%s)(UPPER=%s)
00080003 | FATAL | Process become stop state.(NODE=%s)(PNAME=%s)(OLD=%s)(NEW=%s)(COUNT=%s)(LOWER=%s)(UPPER=%s)
00080004 | WARNING | There is no license.(FNC=%s)
00080005 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)
00080006 | FATAL | Process becomes upper error state.(NODE=%s)(PNAME=%s)(OLD=%s)(NEW=%s)(COUNT=%s)(LOWER=%s)(UPPER=%s)
00080007 | WARNING | The process is started which is the member of Process.(NODE=%s)(PNAME=%s)(PID=%s)
00080008 | WARNING | The process is stopped which is the member of Process.(NODE=%s)(PNAME=%s)(PID=%s)
00180001 | FATAL | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
00180002 | NORMAL | The Monitoring Thread was recovered. It resume monitoring. (NODE=%s)(THREAD=%s)
00350001 | WARNING | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)

[Performance Monitoring]

Message ID | Severity | Message Text (*1)(*2)
00070001 | UNKNOWN | Performance Counter becomes unknown state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter becomes unknown state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070002 | FATAL | Performance Counter becomes upper error state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter becomes upper error state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070003 00070004 | WARNING | Performance Counter becomes upper warning state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter becomes upper warning state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070005 00070006 | NORMAL | Performance Counter becomes normal state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter becomes normal state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070007 00070008 | WARNING | Performance Counter becomes lower warning state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter becomes lower warning state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070009 | FATAL | Performance Counter becomes lower error state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter becomes lower error state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(DATA=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070010 | WARNING | There is no license.(FNC=%s)
00070011 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)
00210001 | WARNING | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)

*1:The replacement character string UPPERERROR, UPPERWARNING, LOWERWARNING, or LOWERERROR will be included only when its corresponding threshold value is set.

*2:The latest obtained value is displayed as the replacement string DATA in the message text regardless of the threshold determination method.

    • Remarks on performance monitoring message IDs
Message ID | Content
00070003 | When a change is made from upper limit abnormal state to upper limit warning state
00070004 | When a change is made from normal state to upper limit warning state
00070005 | When a change is made from upper limit warning state to normal state
00070006 | When a change is made from lower limit warning state to normal state
00070007 | When a change is made from normal state to lower limit warning state
00070008 | When a change is made from lower limit abnormal state to lower limit warning state

[Event log monitoring]

Message ID | Severity | Message Text
00400001 | FATAL | Can not continue monitoring because MaxThreads is exceeded. (NODE=%s) (THREAD=%s)
00400002 | NORMAL | The Monitoring Thread was recovered. It resume monitoring. (NODE=%s)(THREAD=%s)
00420001 | WARNING | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)
00480003 | NORMAL | Detected Event Log and start monitoring.(LOG=%s)
00480004 | NORMAL | Stop monitoring Event Log.(LOG=%s)

[Syslog monitoring]

Message ID | Severity | Message Text
00490001 | NORMAL | Detected SysLog and start monitoring.(LOG=%s)
00490002 | NORMAL | Stop monitoring SysLog.(LOG=%s)

[Message Monitoring (Category)]

Message ID | Severity | Message Text
00020001 | WARNING | There is no license. (FNC=%s)
00020002 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)
00020003 | WARNING | Disconnect manager. (NODE=%s)

[Message Monitoring]

Message ID | Severity | Message Text
00490001 | WARNING | There is no license. (FNC=%s)
00490002 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)

[Launcher Function]

Message ID | Severity | Message Text
00030001 | WARNING | There is no license.(FNC=%s)
00030002 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)

[Application Log Monitoring]

Message ID | Severity | Message Text
00120001 | WARNING | There is no license.(FNC=%s)
00120002 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)
00570001 | FATAL | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
00570002 | NORMAL | The Monitoring Thread was recovered. It resume monitoring. (NODE=%s)(THREAD=%s)
00580001 | WARNING | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)
00580002 | FATAL | Failed to Action Before Application Log Monitoring. (The Return Value=%s)
00580003 | FATAL | Action Before Application Log Monitoring Timed Out.

[File monitor]

Message ID | Severity | Message Text
00770001 | WARNING | Monitoring was terminated due to a time out.(NODE=%ls) (TIMEOUT=%d)
00780001 | UNKNOWN | File become unknown state.(NODE=%s)(NAME=%s)(FILE=%s)(OLD=%s)(NEW=%s)(ERROR=%s)(WARNING=%s)
00780002 | NORMAL | File become normal state.(NODE=%s)(NAME=%s)(FILE=%s)(OLD=%s)(NEW=%s)(CAP=%s)(ERROR=%s)(WARNING=%s)
00780003 | WARNING | File become warning state.(NODE=%s)(NAME=%s)(FILE=%s)(OLD=%s)(NEW=%s)(CAP=%s)(ERROR=%s)(WARNING=%s)
00780004 | FATAL | File become error state.(NODE=%s)(NAME=%s)(FILE=%s)(OLD=%s)(NEW=%s)(CAP=%s)(ERROR=%s)(WARNING=%s)
00780005 | NORMAL | File was updated.(NODE=%s)(NAME=%s)(FILE=%s)(CAP=%s)
01050001 | FATAL | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
01050002 | NORMAL | The Monitoring Thread was recovered. It resume monitoring. (NODE=%s)(THREAD=%s)

*: Only when the threshold is set respectively, replacement character string ERROR and WARNING in the message text are given.

[Manager Linking]

Message ID | Severity | Message Text
01020001 | WARNING | The number of licenses is insufficient.(NODE=%3)

[Application Linking]

Message ID | Severity | Message Text
01100001 | WARNING | Failed to create the output destination directory.(NAME=%s)(DIRECTORY=%s)(FILE=%s)
01100002 | NORMAL | Write log file was renamed.(NAME=%s)
01100003 | NORMAL | Write log file was changed.(NAME=%s)(OLDFILE=%s)(NEWFILE=%s)

[Message Monitoring]

Message ID | Severity | Message Text
00270001 | WARNING | Deleted messages to exceed the maximum number of Queue. (NUM=%s)(RECVFROM=%s)(RECVTO=%s)

[Multi-graph view]

Message ID | Severity | Message Text (*1)(*2)
01760001 | WARNING | There is no license.(FNC=%ls)
01760002 | WARNING | The connection was refused, because the number of licenses was insufficient.(NODE=%s) (FNC=%s)
01760003 | UNKNOWN | Performance Counter become unknown state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760004 | FATAL | Performance Counter become upper error state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760005 01760006 | WARNING | Performance Counter become lower error state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760007 01760008 | NORMAL | Performance Counter become upper warning state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760009 01760010 | WARNING | Performance Counter become lower warning state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760011 | FATAL | Performance Counter become normal state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)

*1: Only when the threshold is set respectively, replacement character string UPPERERROR, UPPERWARNING, LOWERWARNING and LOWERERROR in the message text are given.
*2: The latest obtained value is displayed as the replacement string DATA in the message text regardless of the threshold determination method.

  • Remarks on message IDs of Multi-graph view

ID | Description
01760005 | When a change is made from upper limit abnormal state to upper limit warning state
01760006 | When a change is made from normal state to upper limit warning state
01760007 | When a change is made from upper limit warning state to normal state
01760008 | When a change is made from lower limit warning state to normal state
01760009 | When a change is made from normal state to lower limit warning state
01760010 | When a change is made from lower limit abnormal state to lower limit warning state

[Proxy service (API/WMI)]

Message ID | Severity | Message Text
02000001 | FATAL | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
02000002 | NORMAL | The Monitoring Thread was recovered. It resume monitoring. (NODE=%s)(THREAD=%s)
02000003 | NORMAL | Succeeded to connect to the remote host.(NODE=%s) (REMOTEHOST=%s) (PROTOCOL=%s)
02000004 | WARNING | Failed to connect to the remote host.(NODE=%s) (REMOTEHOST=%s) (PROTOCOL=%s)
02000005 | NORMAL | Succeeded to disconnect the remote host. (NODE=%s) (REMOTEHOST=%s) (PROTOCOL=%s)

[Proxy service (SSH)]

Message ID | Severity | Message Text
02000001 | FATAL | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
02000002 | NORMAL | The Monitoring Thread was recovered. It resume monitoring. (NODE=%s)(THREAD=%s)
02000003 | NORMAL | Succeeded to connect to the remote host.(NODE=%s) (REMOTEHOST=%s) (PROTOCOL=%s)
02000004 | WARNING | Failed to connect to the remote host. (NODE=%s) (REMOTEHOST=%s) (PROTOCOL=%s) (DETAIL=%s)
02000005 | NORMAL | Succeeded to disconnect the remote host. (NODE=%s) (REMOTEHOST=%s) (PROTOCOL=%s)

    • Remarks on DETAIL of Proxy service (SSH)
Value | Description
0x0001 | Connection, authentication error by SSH
0x0002 | Time out error
0x0003 | OS type mismatch
0x0004 | Failure of getting a home directory
0x0005 | Failure of making a directory
0x0006 | Failure of a file transfer
0x0007 | Start failure of a program

[Service port monitoring]

Message ID | Severity | Message Text
02170003 | UNKNOWN | The status of the service port has become “unknown”.(NODE=%s)(PORT=%s)(OLD=%s)(NEW=%s)
02170004 | NORMAL | The status of the service port has become “normal”.(NODE=%s)(PORT=%s)(OLD=%s)(NEW=%s)
02170005 | FATAL | The status of the service port has become “abnormal”.(NODE=%s)(PORT=%s)(OLD=%s)(NEW=%s)
02190001 | FATAL | The monitoring cannot be continued because the number of monitoring threads reached the upper limit.(NODE=%s) (THREAD=%s)
02190002 | NORMAL | The monitoring thread was recovered and the monitoring resumed.(NODE=%s)(THREAD=%s)

[Application monitor]

Message ID | Severity | Message text
00410001 | WARNING | There is no license. (FNC=%s)
00410002 | WARNING | The connection was refused because the license is not sufficient. (NODE=%s) (FNC=%s)
00410003 | WARNING | There is no license. (FNC=%s) (APPNAME=%s)
00410004 | WARNING | The Agent host is not monitored, because the licenses counts are not sufficient. (NODE=%s) (FNC=%s) (APPNAME=%s)
00410012 | WARNING | Can not load the dll. (NODE=%s) (DLLNAME=%s) (ERROR=%ld)
00410021 | FATAL | Can not create Java VM. (NODE=%s)
00410030 | FATAL | Detected Fatal status for a Category. (CATEGORY=%s) (OLD=%s) (NEW=%s)
00410031 | WARNING | Detected Warning status for a Category. (CATEGORY=%s) (OLD=%s) (NEW=%s)
00410032 | NORMAL | Detected Normal status for a Category. (CATEGORY=%s) (OLD=%s) (NEW=%s)
00410033 | UNKNOWN | Detected Unknown status for a Category. (CATEGORY=%s) (OLD=%s) (NEW=%s)

[Application monitor (Oracle)]

Message ID

Severity

Message text

00410101

NORMAL

Succeeded to connect to the database. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s)

00410102

WARNING

Failed to connect to the database. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) (DETAIL=%s)

00410103

WARNING

Because the license is not set, monitoring is not started. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s)

00410104

NORMAL

Succeeded to change the database configuration.(NODE=%s) (APPNAME=Oracle) (DBNAME=%s)

00410105

NORMAL

Succeeded to disconnect the database. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s)

00410107

NORMAL

Succeeded to enable the license. (NODE=%s) (APPNAME=Oracle)

00410108

NORMAL

Succeeded to disable the license. (NODE=%s) (APPNAME=Oracle)

00410109

WARNING

Failed to initialize the collector. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s)

00410110

WARNING

Failed to terminate the collector. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s)

00410117

NORMAL

It will delay to connect the database. Monitoring will start after connection. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) (DELAYTIME=%s)

00410118(*1)

WARNING

Response time exceeds a threshold. Monitoring will sleep. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) (INSTANCE=%s) (SLEEPCOUNTS=%s)

00410119(*1)

NORMAL

Monitoring restarted. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) (INSTANCE=%s)

00410120(*1)

WARNING

Monitoring was terminated due to a time out. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) (TIMEOUT=%s)

00410121(*1)

WARNING

Monitoring was skipped. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) (INSTANCE=%s)

00410122(*1)(*2)

FATAL

Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) ([MAXTHREADS|MAXRECOVERYTHREADS]=%s)

00410124

NORMAL

In the case of MAXTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) (MAXTHREADS)

In the case of MAXRECOVERYTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=Oracle) (DBNAME=%s) (MAXRECOVERYTHREADS)

*1...This message is output when enable the output setting. Refer to "Oracle monitoring timeout settings", "Change the number of threads for monitoring Oracle."
*2...An indication is added to the message to mean which upper limit MaxThreads or MaxRecoveryThreads is exceeded, and the number of threads is output (e.g.: MAXTHREADS=5).

[Application monitor (IIS)]

Message ID | Severity | Message text
00410201 | NORMAL | Starting the monitor. (NODE=%s) (APPNAME=IIS)
00410202 | WARNING | Because the license is not set, monitoring is not started. (NODE=%s) (APPNAME=IIS)
00410203 | NORMAL | Succeed to enable the license. (NODE=%s) (APPNAME=IIS)
00410204 | WARNING | Failed to enable the license. (NODE=%s) (APPNAME=IIS)
00410205 | NORMAL | Succeed to disable the license. (NODE=%s) (APPNAME=IIS)
00410206 | WARNING | Failed to disable the license. (NODE=%s) (APPNAME=IIS)
00410207 | WARNING | Failed to initialize the collector. (NODE=%s) (APPNAME=IIS)
00410208 | WARNING | Failed to terminate the collector. (NODE=%s) (APPNAME=IIS)

[Application monitor (SQL Server)]

Message ID

Severity

Message text

00410301

NORMAL

Succeeded to connect to the database.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (USERNAME=%s)

00410302

WARNING

Failed to connect to the database.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (USERNAME=%s) (ErrorNo=%s)

Failed to connect to the database.(NODE=%s) (APPNAME=SQLServer) (ErrorNo=%s)

00410303

NORMAL

Succeeded to change the database configuration.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (USERNAME=%s)

00410304

WARNING

Failed to change the database configuration.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (USERNAME=%s) (ErrorNo=%s)

Failed to change the database configuration.(NODE=%s) (APPNAME=SQLServer) (ErrorNo=%s)

00410305

NORMAL

Succeeded to disconnect the database.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (USERNAME=%s)

00410306

WARNING

Failed to disconnect the database.(NODE=%s) (APPNAME=SQLServer) (ErrorNo=%s)

00410308

NORMAL

Succeeded to enable the license.(NODE=%s) (APPNAME=SQLServer)

00410309

NORMAL

Succeeded to disable the license.(NODE=%s) (APPNAME=SQLServer)

00410316

WARNING

Failed to initialize the collector.(NODE=%s) (APPNAME=SQLServer) (ErrorNo=%s)

00410317

WARNING

Failed to terminate the collector.(NODE=%s) (APPNAME=SQLServer) (ErrorNo=%s)

00410318

NORMAL

Because the license was set, mEonitoring is started.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (USERNAME=%s)

00410319

WARNING

Because the license is not set, monitoring is not started.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (USERNAME=%s)

00410320(*1)

WARNING

Monitoring was skipped.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s)

00410321(*1)

WARNING

Monitoring was terminated due to a time out.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (TYPE=%s) (TIMEOUT=%s)

00410322(*1)

WARNING

Monitoring was terminated due to a time out.(NODE=%s) (APPNAME=SQLServer) (INSTANCENAME=%s) (TIMEOUT=%s)

00410323(*1)(*2)

FATAL

Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (APPNAME= SQLServer) (INSTANCENAME=%s) ([MAXTHREADS|MAXRECOVERYTHREADS]=%s)

00410324

NORMAL

In the case of MAXTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=SQLServer) (DBNAME=%s) (MAXTHREADS)

In the case of MAXRECOVERYTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=SQLServer) (DBNAME=%s) (MAXRECOVERYTHREADS)

*1...This message is output when enable the output setting. Refer to "SQL Server monitoring timeout settings", "Change the number of threads for monitoring SQL Server."
*2...An indication is added to the message to mean which upper limit MaxThreads or MaxRecoveryThreads is exceeded, and the number of threads is output (e.g.: MAXTHREADS=5).

[Application monitor (WebLogic Server)]

Message ID

Severity

Message text

00410401

NORMAL

Succeeded to connect to the Server. (NODE=%s) (APPNAME=WebLogicServer) (SERVNAME=%s)

00410402

WARNING

Failed to connect to the Server. (NODE=%s) (APPNAME=WebLogicServer) (SERVNAME=%s)

00410403

WARNING

Because the license is not set, monitoring is not started. (NODE=%s) (APPNAME=WebLogicServer) (SERVNAME=%s)

00410404

NORMAL

Succeeded to change the Server configuration.(NODE=%s) (APPNAME=WebLogicServer) (SERVNAME=%s)

00410405

NORMAL

Succeeded to disconnect the Server. (NODE=%s) (APPNAME=WebLogicServer) (SERVNAME=%s)

00410407

NORMAL

Succeeded to enable the license. (NODE=%s) (APPNAME=WebLogicServer)

00410408

NORMAL

Succeeded to disable the license. (NODE=%s) (APPNAME=WebLogicServer)

00410409

WARNING

Failed to initialize the collector. (NODE=%s) (APPNAME=WebLogicServer)

00410410

WARNING

Failed to terminate the collector. (NODE=%s) (APPNAME=WebLogicServer)

00410411

FATAL

The JAVA class is not found. Please check JAVA class environment in CollectorWebLogic.ini file and restart the agent.

00410412

FATAL

The JAVA class is corrupt. Please check <installation folder>Agent/lib/CollectorWebLogicX.jar file.

00410420(*1)

WARNING

Monitoring was terminated due to a time out. (NODE=%s) (APPNAME=WegLogicServer) (SERVERNAME=%s) (TIMEOUT=%s)

00410421(*1)

WARNING

Monitoring was skipped. (NODE=%s) (APPNAME=WebLogicServer) (SERVERNAME=%s)

00410422(*1)(*2)

FATAL

Can not continue monitoring because MaxThreads is exceeded. (NODE=%s) (APPNAME=WebLogicServer) (SERVERNAME=%s) ([MAXTHREADS|MAXRECOVERYTHREADS]=%s)

00410423

NORMAL

In the case of MAXTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=WebLogicServer) (SERVERNAME=%s) (MAXTHREADS)

In the case of MAXRECOVERYTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=WebLogicServer) (SERVERNAME=%s) (MAXRECOVERYTHREADS)

*1...This message is output when enable the output setting. Refer to "Set a timeout for WebLogic Server monitoring", "Change the number of threads for monitoring WebLogic Server."
*2...An indication is added to the message to mean which upper limit MaxThreads or MaxRecoveryThreads is exceeded, and the number of threads is output (e.g.: MAXTHREADS=5).

[Application monitor (Apache)]

Message ID | Severity | Message text
00410901(*) | NORMAL | Server configuration was successfull. (NODE=%s) (APPNAME=Apache) (SERVNAME=%s)
00410902 | WARNING | Because the license is not set, monitoring is not started. (NODE=%s) (APPNAME=Apache)
00410903 | NORMAL | Modifying the configuration was successful.(NODE=%s) (APPNAME=Apache) (SERVNAME=%s)
00410904 | NORMAL | Delete the server configuration was successfull. (NODE=%s) (APPNAME=Apache) (SERVNAME=%s)
00410905 | NORMAL | Enabling the license was successful. (NODE=%s) (APPNAME=Apache)
00410906 | NORMAL | Disabling the license was successful. (NODE=%s) (APPNAME=Apache)

*...This message is output when the server configuration is added or the agent is started.

[Application monitor (Tomcat)]

Message ID

Severity

Message text

00411001

NORMAL

Succeeded to connect to the Server. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s)

00411002

WARNING

Failed to connect to the Server. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s)

00411003

WARNING

Because the license is not set, monitoring is not started. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s)

00411004

NORMAL

Succeeded to change the Server configuration.(NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s)

00411005

NORMAL

Succeeded to disconnect the Server. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s)

00411006

NORMAL

Succeeded to enable the license. (NODE=%s) (APPNAME=Tomcat)

00411007

NORMAL

Succeeded to disable the license. (NODE=%s) (APPNAME=Tomcat)

00411008

WARNING

Failed to initialize the collector. (NODE=%s) (APPNAME=Tomcat)

00411009

WARNING

Failed to terminate the collector. (NODE=%s) (APPNAME=Tomcat)

00411010

FATAL

Cannot access the java module. Please check <installation folder>/Agent/sg/CollectorTomcat.ini file.

00411011

FATAL

The Java class is not found. The Java class is not found. Please check whether <installation folder>/Agent/lib/CollectorTomcat.jar file exists.

00411012

FATAL

The Java class is corrupt. Please check <installation folder>/Agent/lib/CollectorTomcat.jar file.

00411013(*1)

WARNING

Monitoring was skipped. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s)

00411014(*1)

WARNING

Monitoring was terminated due to a time out. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s) (TIMEOUT=%s)

00411015(*1)(*2)

FATAL

Can not continue monitoring because MaxThreads is exceeded. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s) ([MAXTHREADS|MAXRECOVERYTHREADS]=%s)

00411016

NORMAL

In the case of MAXTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s) (MAXTHREADS)

In the case of MAXRECOVERYTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=Tomcat) (SERVNAME=%s) (MAXRECOVERYTHREADS)

*1...This message is output when enable the output setting. Refer to "Set a timeout for Tomcat monitoring", "Change the number of threads for monitoring Tomcat."
*2...An indication is added to the message to mean which upper limit MaxThreads or MaxRecoveryThreads is exceeded, and the number of threads is output (e.g.: MAXTHREADS=5).

[Application monitor (SAP)]

Message ID | Severity | Message text
00411101 | NORMAL | Instance configuration was successful. (NODE=%s) (APPNAME=SAP) (INSTANCEID=%s)
00411103 | WARNING | Because the license is not set, monitoring is not started. (NODE=%s) (APPNAME=SAP) (INSTANCEID=%s)
00411104 | NORMAL | Succeeded to change the Instance configuration. (NODE=%s) (APPNAME=SAP) (INSTANCEID=%s)
00411105 | NORMAL | Delete the Instance configuration was successful. (NODE=%s) (APPNAME=SAP) (INSTANCEID=%s)
00411106 | NORMAL | Succeeded to enable the license. (NODE=%s) (APPNAME=SAP)
00411107 | NORMAL | Succeeded to disable the license. (NODE=%s) (APPNAME=SAP)
00411108(*) | WARNING | Monitoring was terminated due to a time out. (NODE=%s) (APPNAME=SAP) (INSTANCEID=%s) (MTYPE=%s) (TIMEOUT=%s)
00411110(*) | WARNING | Monitoring was skipped. (NODE=%s) (APPNAME=SAP) (INSTANCEID=%s) (MTYPE=%s)
00411111 | NORMAL | Reset a read time-stamp of SAP syslog.(CATEGORY=%s)(FROMTIME=%s)

*...This message is output when enable the output setting. Refer to "SAP monitoring timeout settings."

[Application monitor (Java application)]

Message ID

Severity

Message text

00411301

NORMAL

Succeeded to connect to the Java application. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s)

00411302

WARNING

Failed to connect to the Java application. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s)

00411303

WARNING

Because the license is not set, monitoring is not started. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s)

00411304

NORMAL

Succeeded to change the Server configuration.(NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s)

00411305

NORMAL

Succeeded to disconnect the Java application. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s)

00411306

NORMAL

Succeeded to enable the license. (NODE=%s) (APPNAME=JavaAP)

00411307

NORMAL

Succeeded to disable the license. (NODE=%s) (APPNAME=JavaAP)

00411308

FATAL

Cannot access the java module. Please check <installation folder>/Agent/sg/CollectorJavaAP.ini file.

00411309

FATAL

The JAVA class is not found. Please check JAVA class environment in CollectorJavaAP.ini file and restart the agent.

00411310

FATAL

The JAVA class is corrupt. Please check <installation folder>Agent/lib/CollectorJavaAP.jar file.

00411311(*1)

WARNING

Monitoring was skipped. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s)

00411312(*1)

WARNING

Monitoring was terminated due to a time out. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s) (TIMEOUT=%s)

00411313(*1)(*2)

FATAL

Can not continue monitoring because MaxThreads is exceeded. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s) ([MAXTHREADS|MAXRECOVERYTHREADS]=%s)

00411314

NORMAL

In the case of MAXTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s) (MAXTHREADS)

In the case of MAXRECOVERYTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=JavaAP) (INSTANCEID=%s) (MAXRECOVERYTHREADS)

*1...This message is output when enable the output setting. Refer to "Set a timeout for Java application monitoring", "Change the number of threads for monitoring Java application."
*2...An indication is added to the message to mean which upper limit MaxThreads or MaxRecoveryThreads is exceeded, and the number of threads is output (e.g.: MAXTHREADS=5).

[Application monitor (WebSphere Application Server)]

Message ID

Severity

Message text

00411401

NORMAL

Succeeded to connect to the Server. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s)

00411402

WARNING

Failed to connect to the Server. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s)

00411403

WARNING

Because the license is not set, monitoring is not started. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s)

00411404

NORMAL

Succeeded to change the Server configuration.(NODE=%s) (APPNAME=WebSphere) (SERVERID=%s)

00411405

NORMAL

Succeeded to disconnect the Server. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s)

00411406

NORMAL

Succeeded to enable the license. (NODE=%s) (APPNAME=WebSphere)

00411407

NORMAL

Succeeded to disable the license. (NODE=%s) (APPNAME=WebSphere)

00411408

FATAL

Cannot access the java module. Please check <installation folder>/Agent/sg/CollectorWebSphere.ini file.

00411409

FATAL

The JAVA class is not found. Please check JAVA class environment in CollectorWebSphere.ini file and restart the agent.

00411410

FATAL

The JAVA class is corrupt. Please check <installation folder>Agent/lib/CollectorWebSphere.jar file.

00411411(*1)

WARNING

Monitoring was skipped. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s)

00411412(*1)

WARNING

Monitoring was terminated due to a time out. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s) (TIMEOUT=%s)

00411413(*1)(*2)

FATAL

Can not continue monitoring because MaxThreads is exceeded. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s) ([MAXTHREADS|MAXRECOVERYTHREADS]=%s)

00411414

NORMAL

In the case of MAXTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s) (MAXTHREADS)

In the case of MAXRECOVERYTHREADS

Monitoring restarted because MaxThreads is less than the upper limit. (NODE=%s) (APPNAME=WebSphere) (SERVERID=%s) (MAXRECOVERYTHREADS)

*1...This message is output when enable the output setting. Refer to "Set a timeout for WebSphere Application Server monitoring", "Change the number of threads for monitoring WebSphere Application Server."
*2...An indication is added to the message to mean which upper limit MaxThreads or MaxRecoveryThreads is exceeded, and the number of threads is output (e.g.: MAXTHREADS=5).

[Event Correlation]

Message ID | Severity | Message Text
00730001 | WARNING | There is no license. (FNC=%3)
00730002 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)

[Scenario Control]

Message ID | Severity | Message Text
00750001 | WARNING | There is no license.(FNC=%s)
00750002 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)
00750003 | WARNING | The depending service does not exist.(%s)
00750011 | FATAL | Scenario Component is Abnormal End. (Reason=%s)(scenario=%s)(instance name=%s)(component name=%s)
00750012 | NORMAL | Scenario started. (Scenario=%s)(instance name=%s)
00750013 | NORMAL/ FATAL/WARNING | Scenario was finished. (Scenario=%s)(instance name=%s)
00750014 | DELAY | Scenario is late. (Scenario=%s)(instance name=%s)(component name=%s)(status=%s)
00750015 | CONFIRMATION | Component began to wait. (Scenario=%s)(instance name=%s)(component name=%s)
00750016 | NORMAL/ FATAL/WARNING | Component finished wait. (Scenario=%s)(instance name=%s)(component name=%s)(NODE=%s)(user=%s)
00750017 | WARNING | Event receive acknowledgment timed out. (Host name=%s)(user name=%s)(event name=%s)
00750018 | WARNING | The planned date and time passed while the manager stopped. (Scenario=%s)(instance name=%s)(planned date and time=%s)
00750019 | WARNING | Scenario condition registration got failed. (Reason=%s)(scenario=%s)(instance name=%s)(component name=%s)(condition name=%s)
00750020 | WARNING | Scenario start condition may not become true. (Scenario=%s)(instance name=%s)(component name=%s)
00750101 | WARNING | Couldn't execute scenario because of no schedule settings. (Scenario=%s)
00750102 | WARNING | Scenario was not able to start because the execution number limitation was exceeded. (Scenario=%s)
00750103 | WARNING | Part of the end conditions became true before the start conditions. (Scenario=%s)(instance name=%s)(component name=%s)(condition name=%s)
00750104 | WARNING | Scenario %s may not become true. (Scenario=%s)(instance name=%s)(component name=%s)

[Operation]

Message ID | Severity | Message Text
01070001 | WARNING | There is no license. (FNC=%s)
01070002 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s) (FNC=%s)
01070003 | WARNING | The depending service does not exist.(%s)
01070006 | WARNING | Cannot execute the action because of prevented concurrent execution.(ACTION=%s)
01070007 | WARNING | Failed to write the file.(File=%s)

[Incident Registration]

Message ID | Severity | Message Text
01090001 | WARNING | There is no license.(FNC=%s)
01090002 | WARNING | The connection was refused because the number of licenses was insufficient.(NODE=%s)(FNC=%s)
01090003 | NORMAL | ServiceManager is connected.(SMHOST=%s)
01090004 | FATAL | Failed to connect to ServiceManager.(SMHOST=%s)(ERROR=%s)
01090005 | FATAL | ServiceManager is disconnected.(SMHOST=%s)
01090006 | WARNING | Failed to create new incident because of reaching today's max Incident Number.

[Invariant analysis]

Message ID | Severity | Message Text
01490001 | WARNING | There is no license.(FNC=Manager)
01490002 | WARNING | The connection was refused because there are not enough licenses.(NODE=%s) (FNC=SVC)
01490003 | WARNING | A warning occurred.(SYSTEM=%s)(DATE=%s)(ANALYSISDATE=%s)
01490004 | FATAL | Analysis failed. (SYSTEM=%s)(ANALYSISDATE=%s)(CAUSE=%s)
01490005 | FATAL | Model creation failed. (SYSTEM=%s)(MODEL=%s)(CAUSE=%s)
01490006 | FATAL | Model validation failed. (SYSTEM=%s)(MODEL=%s)(CAUSE=%s)
01490007 | NORMAL | The analysis engine was connected.(ENGINE=%s)
01490008 | NORMAL | The analysis engine became usable.(ENGINE=%s)
01490009 | FATAL | The analysis engine was disconnected.(ENGINE=%s)
01490011 | FATAL | Additional analysis failed. (SYSTEM=%s)(ANALYSISDATE=%s)(CAUSE=%s)
01490012 | WARNING | There are %d too few licenses for analysis.(SYSTEM=%s)(ANALYSISDATE=%s)
01490013 | WARNING | Logical Item has been renamed. Re-create model if needed.(OLDNAME=%ls)(NEWNAME=%ls)
01490014 | FATAL | Failed to communicate with analysis engine. Please make sure analysis engine.(ENGINE=%ls)
01490015 | WARNING | Real-time analysis is delayed.(SYSTEM=%ls)(ANALYSISDATE=%ls)
01490016 | WARNING | The resume has been failed, because analysis engine has been disconnected.(SYSTEM=%ls)(ANALYSISDATE=%ls)
01490017 | NORMAL | Analysis has been started.(ENGINE=%ls)(SYSTEM=%ls)(ANALYSISTYPE=%ls)(ANALYSISDATE=%ls)
01490018 | FATAL | Failed to rename counter name.(OLDNAME=%s)(NEWNAME=%s)
01490019 | FATAL | Analysis Wizard failed. (SYSTEM=%s)(cause=%s)
01490020 | FATAL | Model reset failed. (SYSTEM=%s)(MODEL=%s)(cause=%s)
01490021 | FATAL | Model data was corrupted. Re-create model. (SYSTEM=%s)(MODEL=%s)
01490022 | WARNING | The modeling target counters which is being used by a Real-time analysis was renewed. Please suspend and resume analysis to make the result of analysis reflect additional counter information. (SYSTEM=%s)(MODEL=%s)
01490023 | FATAL | Model import failed. (SYSTEM=%s)(FILE=%s)(cause=%s)

In each part, %s is replaced as follows:

%s | Description
NODE | Node name of Agent/Monitoring window
SNAME | Windows Service name
ONAME | Object name
FNC | Function name of Agent or SVC
INAME | Instance name
CNAME | Counter name
DATA | Performance measurement
UPPERERROR | Upper error threshold
UPPERWARNING | Upper warning threshold
LOWERWARNING | Lower warning threshold
LOWERERROR | Lower error threshold
PNAME | Process name
COUNT | Number of processes
LOWER | Lower limit threshold
UPPER | Upper limit threshold
NAME | Display name for node
DIRECTORY | Directory name
FILE | File name
CAP | Size of monitored file (directory)
OLDFILE | Output destination file name before switching
NEWFILE | Output destination file name after switching
OLD | Old severity
NEW | New severity
APPNAME | Monitored application name
LICENSECOUNT | Host setting Counts
ENABLEHOSTCOUNT | Registered Counts
DBNAME | Connecting database name
DELAYTIME | Delay time
DOMAINNAME | Domain name
SERVNAME | Server name
COUNTER | Monitoring counter name
USER | User name
PORT | Port Number
ErrorNo | Error code
ACTION | Action name
NUM | Number of deleted messages
RECVFROM | Date of receiving start of deleting
RECVTO | Date of receiving completion of deleting
ITEM | Item name
FROMTIME | The last time when SAP system log was collected normally before resetting
SMHOST | Host name and port number for connection destination ServiceManager
ERROR | Error code
CATEGORY | Definition type
PID | Pattern ID
TYPE | Start or Stop
JOBNAME | JOBNAME
SYSTEM | Name of the analyzed system
DATE | Date and time of incident occurrence
ANALYSISDATE | Analysis date
ANALYSISTYPE | Analysis type
CAUSE | Failure cause
MODEL | Model name
ENGINE | Name of the separate host analysis engine
OLDNAME | Old logical item name
NEWNAME | New logical item name
THREAD | Number of healthy running threads
TIMEOUT | Timeout in seconds
The Return Value | Result from running a command before application log monitoring
REMOTEHOST | Remote host name
PROTOCOL | Protocol which is being used
PORT | Service port display name
MAXTHREADS | The maximum number of threads which can be used
MAXRECOVERYTHREADS | The maximum number of recovery attempts for each instance
INSTANCEID | Instance ID
SERVERID | Server ID
LOG | Event log name, syslog name

  • Message ID and recovery/outlined portion of report
    The %s variable is replaced with the host name for the agent monitoring, the NT service name for the Windows service, the process display name or process ID for the process monitoring, the counter name for the performance monitoring, and the service port display name for the service port monitoring.

[Agent Monitoring]

Message ID | Description
00010001 | Host(%s) status becomes Host Normal.
00010002 | Host(%s) status becomes Host Empty.

[Windows Service Monitoring]

Message ID | Description
00090001 | Service (%s) becomes unknown state.
00090002 | Service (%s) becomes normal state.
00090003 | Service (%s) becomes stop state.

[Process Monitoring]

Message ID | Description
00080001 | Process (%s) becomes unknown state.
00080002 | Process (%s) becomes normal state.
00080003 | Process (%s) becomes stop state.
00080007 | The process (PID=%s) was started.
00080008 | The process (PID=%s) was stopped.

[Performance Monitoring]

Message ID | Description
00070001 | Performance Counter (%s\\%s) becomes unknown state.
 | Performance Counter (%s\\%s\\%s) becomes unknown state.
00070002 | Performance Counter (%s\\%s) becomes upper error state.
 | Performance Counter (%s\\%s\\%s) becomes upper error state.
00070003 00070004 | Performance Counter (%s\\%s) becomes upper warning state.
 | Performance Counter (%s\\%s\\%s) becomes upper warning state.
00070005 00070006 | Performance Counter (%s\\%s) becomes normal state.
 | Performance Counter (%s\\%s\\%s) becomes normal state.
00070007 00070008 | Performance Counter (%s\\%s) becomes lower warning state.
 | Performance Counter (%s\\%s\\%s) becomes lower warning state
00070009 | Performance Counter (%s\\%s) becomes lower error state.
 | Performance Counter (%s\\%s\\%s) becomes lower error state.

    • Remarks on message IDs of performance monitoring
Message ID | Content
00070003 | When a change is made from upper limit abnormal state to upper limit warning state
00070004 | When a change is made from normal state to upper limit warning state
00070005 | When a change is made from upper limit warning state to normal state
00070006 | When a change is made from lower limit warning state to normal state
00070007 | When a change is made from normal state to lower limit warning state
00070008 | When a change is made from lower limit abnormal state to lower limit warning state

[File monitor]

Message ID | Description
00080001 | Process (%s) becomes unknown state.
00080002 | Process (%s) becomes normal state.
00080003 | Process (%s) becomes stop state.
00080007 | The process (PID=%s) was started.
00080008 | The process (PID=%s) was stopped.

[Service port monitoring]

Message ID | Description
02170003 | The status of the service port (PORT=%s) has become "unknown".
02170004 | The status of the service port (PORT=%s) has become "normal".
02170005 | The status of the service port (PORT=%s) has become "abnormal".

[Note]

  • Messages with the following message IDs are suppressed when the topology view is in the HOLD state.

    00010001 - 00010002
    00080001 - 00080008
    00090001 - 00090003
    00070001 - 00070009
    00120001 - 00120002
    00780001 - 00780005
    02170003 - 02170005
    Logs of application log monitoring, event log monitoring, syslog monitoring

    For details about the topology view HOLD, see the following items.
    Define the host group
    Update a monitored host


About audit logs

This product provides a function to record information on operations to provide a history of their results, etc. as a log (audit log), regarding operations and automatic processes executed in the monitoring window or manager. The audit log management includes the following functions:

  • Logging function
    Uses the manager to centrally manage audit logs output for operations and automatic processes executed in the monitoring window or the manager.

  • Display function
    Displays audit logs logged in the manager in the monitoring window.
    [References]
    Reference audit logs
    Search for audit logs

  • Reporting function
    Performs Patlite, e-mail, and action reporting to alert operators when an audit log with a particular severity has been recorded.
    [Reference]
    Define a reporting process

  • Outputting an audit log to a file
    Audit logs in the specified category can be output to a file in the CSV format.
    [Reference]
    Output an audit log to a file

  • Audit log maintenance function
    Enables an audit log within a category to be deleted.
    [Reference]
    Delete an audit log within a category


Reference audit logs

This function manages audit logs by category. There are four categories, namely, "Application," "Security," "System," and "Audit Log."

Category | Audit Logs to Be Stored
Application | Audit logs output from applications. Audit logs not included on any tab in the tree view and other audit logs that do not correspond to any category are output to this category.
Security | Audit logs output from the user management function.
System | Audit log output from the service categorized on the [System] tab in the tree view.
Audit Log | Audit logs output from the audit log function itself.

Audit logs are referenced in an audit log view on a per-category basis. To display the audit log view, you can follow one of three methods:

  1. Double-click on the desired category node in the tree view.

  2. Double-click on the category icon displayed in the map view of the root node (audit log node).

  3. Double-click on an icon displayed in the property view on a desired category node.

The audit log view will be displayed on the right-hand side of the screen.

  • Button Panel section

    • Show/Hide Message Text
      Shows (or hides) a pane, in which message text for the selected audit log is displayed, in the bottom section of the audit log view.
    • Search
      Clicking on the [Search] button enables you to search for audit logs in a category. For details, refer to here.
    • Close
      When the search results are displayed in the message list section, the [Close] button is enabled and can be clicked to close the currently opened search result. Click here for details.
      Note that the [Close] button is disabled when [CategoryMessage] is displayed.

  • Message List section

When the category opens, 1000 of seven days in the past including that day audit logs are displayed from the new one in the initial state. The number of days or the display number that you want to back to the opening category are modified in the option setting.

    • Severity
      Displays the importance of an audit log.
    • Generated Date
      Displays the date an audit log was recorded.
    • Generated Time
      Displays the time an audit log was recorded.
    • Receive Date
      Displays the date the audit log function received an audit log.
    • Receive Time
      Displays the time the audit log function received an audit log.
    • Service
      Displays the name of the service (function name) that output an audit log.
    • Operation
      Displays the operation a user performed.
    • Audit ID
      Displays the ID of an audit log.
    • User
      Displays the name of the user who operated.
    • Node
      Displays the name of the monitoring view that output an audit log.
    • Target Node
      Displays the name of the manager on which the audit log function was performed.
    • Target Object
      Displays the name of the object on which an operation was performed.
    • Message Text
      Displays the body of the message text in an audit log.
    • Option
      Displays additional information attached to an audit log.

Note that double-clicking on the desired audit log will display the properties window of that audit log. In addition, from the right-click menu, you can display the copy and properties window for the selected contents of the audit log.

  • Up and Down buttons
    Switches the current audit log to a different one whose property you wish to display. The [Up] button and the [Down] button will display the properties of the audit log preceding or following the current one in the audit log view.

  • [Copy] button
    Copies the content of an audit log to the clipboard.


Reference a list of audit logs (in all categories)

All of the audit logs stored in the categories since monitoring window initialization are displayed in the audit log list tab at the bottom of the window.

  • Once you close the current monitoring window, the messages on the audit log list tab will not be displayed again.

Double-clicking on the desired audit log displayed in the audit log list will display the properties window for that audit log.

You can change the size, location, and show or hide, of columns such as [Severity]. Note that changes in settings such as the size, location, and whether to show or hide columns will be reflected in the audit log view the next time it is opened.

[Reference]

Reference audit logs


Customize the display of audit logs

In the audit log view, you can change the location and size of each column, and whether to show or hide it.

As the columns in the audit log view are interlocked with those of the [Audit Log Online View] tab at the bottom of the main window, changing a column(s) in the latter will change that column in the former.

  • Changes to the audit log view section will be applied when you display the audit log view again.

You can customize how audit logs appear by following the methods below:

  • Change the location of a column
    Click and hold the title part of the target column with your mouse, and drag and drop it on a new column location to which you want change the location of the column.

  • Change the size of a column
    Placing the mouse pointer on the right edge of the target column title part enables you to expand or reduce the width of the column horizontally.

  • Select whether to show or hide a column
    Right-click the column title part to display the column name list menu. Select the column name to toggle whether to show or hide it.
    Each column name being displayed has a check mark to its left in the column name list menu.

  • Change from the [Display Setting] window
    Right-click the column title part to display the column name list menu. Select [Other].
    Each column name being displayed has a check mark to its left in the column name list menu.

    • Column Name List section
      Lists column names. Each column name whose check box to its left is checked will be displayed.

    • Description
      Displays a description for the column being selected.

    • [Up]/[Down] button
      Change the location where the column name being selected will be displayed.

    • [Show] button
      Change the column name being selected from the hide setting to the show setting. The check box on the left side of the name will be checked.
      This button is only enabled for column names whose check box to their left is unchecked.

    • [Hide] button
      Change the column name being selected from the show setting to the hide setting. The check box on the left side of the name will be unchecked.
      This button is only enabled for column names whose check box to their left is checked.

    • [OK] button
      Enables you to complete detailed settings of displayed items and return to the original window. The changes are reflected in the column title section.

    • [Cancel] button
      Enables you to cancel detailed settings of displayed items and return to the original window. The changes are not reflected in the column title section.

When you have changed the location and size of each column, and whether to show or hide it of the audit logs and exit the monitoring view, the following message will be displayed to save the changed display settings.

Click [Yes] to save the changed display settings for each user account used when logging to the system. Click [No] not to save the changed display settings.

[Note]

  • Changes to the location and size of each column, and whether to show or hide it in the audit log view are only effective in the audit log view being displayed. The display settings are not saved.

[References]

Reference audit logs

Reference a list of audit logs (in all categories)


Search for audit logs

This operation facilitates the understanding of audit logs by using search conditions to limit them. When you click on the [Search] button in the audit log view, the [Search Condition Setting] window will be displayed, where you then specify search conditions and click on the [Search] button.

  • Condition
    Select either [Wild card] or [Regular expression]. The selected search condition will apply to the information to be entered in [Service Name], [Audit ID], [User Name], [Host Name], [Target Host Name], [Target Object Name], and [Message Text].

  • Severity
    The function will search for audit logs that match the severity type(s) you check.

  • Operation
    The function will search for audit logs that match the operation(s) you check.

  • Date/Time
    Specify the start date and time and the end date and time, in the form of a range, during which audit logs were recorded or received. Select the date and time recorded or received as a search condition.

  • Service
    Specify the service name (function name), in the form of a wild card or regular expression, that caused an audit log(s) to be generated.

  • Audit ID
    Specify the desired audit ID in the form of a wild card or regular expression.

  • User
    Specify the name of the user, in the form of a wild card or regular expression, who performed the selected operation(s).

  • Node
    Specify the name of the monitoring view, in the form of a wild card or regular expression, which performed the selected operation(s). Specifying with an IP address is not allowed.

  • Target Node
    Specify the name of the manager, in the form of a wild card or regular expression, on which the selected operation(s) was performed. Specifying with an IP address is not allowed.

  • Target Object
    Specify the name of an object, in the form of a wild card or regular expression, on which the selected operation(s) was performed.

  • Message Text
    Specify the desired message text in the form of a wild card or regular expression.

When you specify the search conditions and click on the [Search] button in the search window, a [Search Result] tab will be added to the message list window, displaying the search results.

  • Button Panel section

    • Show/hide message text
      Displays (or hides) the pane that displays the message text of the selected audit log at the bottom of the audit log view.

    • Search
      Click the [Search] button to search for an audit log in the specified category.

    • Close
      When the search results are displayed in the message list section, the [Close] button is enabled and can be clicked to close the currently opened search result dialog box.

Note that the [Close] button is disabled when [CategoryMessage] is displayed.

[Reference]

Reference audit logs


Output an audit log to a file

Logs can be saved as a text file by outputting audit logs in the specified category to a file in the CSV format. File output is performed from the command line on the machine on which the manager function is installed. For the details, refer to AuditTrailCmd CSV in the command reference.

[References]

Reference audit logs

AuditTrailCmd CSV


Delete an audit log within a category

The following two methods are provided to delete an audit log within a category: One method is to delete it with the monitoring window, and the other is to delete it with the command line (on a machine in which the manager function was installed). Note that deleted audit logs cannot be restored in either case.

  1. Delete an audit log with the monitoring window
    Users must perform this operation after shifting to the Configuration Mode.

    • Deleting all the audit logs within a category
      Select the category that stores the audit logs you wish to delete from the tree view, and select [Initialize Category] from the right-click menu. When the window to confirm deletion has been displayed, click on the [Yes] button.

    • Deleting audit logs with a specified date within a category
      This operation deletes the audit logs within a category that are older than a specified date. Select the category that stores the audit logs you wish to delete from the tree view, and select [Swap Category] from the right-click menu. When the [Swap Category] window has been displayed, specify the date and click on the [OK] button. You can choose a date from a calendar.

  2. Deleting audit logs with the command line
    You can also delete audit logs within a category by running the appropriate command on the manager. For the details, refer to AuditTrailCmd INIT and AuditTrailCmd SWAP in the command reference.

[References]

Reference audit logs

AuditTrailCmd INIT

AuditTrailCmd SWAP


Define a reporting process

This operation should be executed after shifting into the Configuration mode.

You define a reporting process from the [Report Setting] window. To display the [Report Setting] window, the following two methods are provided:

  1. Select the category for which you wish to configure the report process from the tree view, and select [Report Setting] from the right-click menu.

  2. Right-click the category in the map view of the root node (Audit Log node) to specify the report settings, and then select [Report Setting] from the displayed pop-up menu.

When the [Report Setting] window has been displayed, click on the [OK] button.

  • Report Setting
    If this check box is checked, the specified report is sent when an audit log with the severity specified for [Report Target] occurs. By default, no report will be sent.

  • When you click on the [Configuration] button, you can set the details of the report process from the [Report Setting] window. For more information on reporting, refer to here.

  • Report Target
    A report will be generated only when an audit log is recorded that corresponds to the selected check box(es) for severity. By default, the check boxes are not selected. You must select at least one report trigger.

[Reference]

Reporting


Set the options for audit log manager

This operation should be executed after shifting into the Configuration mode.

To define the options for the audit log management, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Audit Log] tab.

  • Audit Log

    • Category Open
      Specify the number of days that you want to back to when the category is opened. Specify from 0 - 31.
      Search for messages in the specified category within the number of days specified as the period, including the current day. The default is 7 days. When the search scope is defined by [Search] dialog, this setting has priority.
    • Max Search Records
      Specify the maximum number of records displayed in the audit log view immediately after the category is opened or searched. Specify within the range of 1000 - 20000. The default is 1000.
      When "1000 records" is specified, the last 1000 records stored are displayed.
      Specify the maximum number of displayed records, including the messages automatically added afterNote that a value greater than the value specified in [Max Display Records] cannot be specified for the maximum number of search records. being displayed, in the [Max Display Records] field.
    • Max Display Records
      Specify the maximum number of messages list in the [Message list] window. Specify within the range of 1000 - 20000. The default is 10000.
      Note that a value smaller than the value specified in [Max Search Records] cannot be specified for the maximum number of displayed items.

  • Audit Log Online View

    • Use Audit Log Online View
      Specify enable/disable the audit log online view. To use audit log online view check [Use Audit Log Online View]. The default is Enable the audit log online view.
    • Max Display Records
      Specify the maximum number of logs to list in the [Audit Log Online View] tab, when [Use Audit Log Online View] is checked. Specify within the range of 1000 - 2000. The default is 1000.

  • Duration of retention
    Select the duration of audit log retention from [Unlimited], [1Week], [2Week], [1Month], [2Months], [6Months], [9Months] and [1Year]. The default is [Unlimited].
    The audit log records over the duration are deleted automatically.

    [Note]
    When the duration is set as [Unlimited], messages are not deleted automatically. Delete by initialize or swapping.


About activating applications

This product provides functions to register and manage job applications by dividing the shortcuts of job applications into groups. The following functions are available to start applications.

  • Launcher function

Double-click an application icon for Tree view, Map view or properties view to start the specified application on the monitoring terminal.

[References]

Define the applications to be started

Define the application group

Start an application


Define applications to be started

Define the applications to be started

Before starting this operation, move to the Configuration mode.

Define applications to be started on the monitoring terminal.

To define an application, select [Add Application] in the right-click menu on the Tree view or in the right-click menu on the Map view.

When the [New Application] window appears, make entries in items, and then press the [OK] button.

  • Applications can be defined under the root node (attribution node) or host group.

  • Application Name

Specify an application name, in 64 characters or less. Application name cannot be omitted.

  • Icon File

Specify the icon file used for displaying icons by specifying an absolute path of up to 256 characters. When you click the [Browse] button, the [Open] dialog box is displayed, and the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the specified file is not correct or it does not exist on the machine on which the monitoring window is running, the default icon is used.

An environment variable on the machine on which the monitoring window is running can be used for the path of the icon file.

If an icon file is omitted, the icon for a specified application will be used. (If a specified file does have an icon, the default icon will be used.)

  • Application

Specify the application to start by using an absolute path of up to 256 characters. Press the [Browse] button to display the [Open] dialog where application files can be selected.

An environment variable on the machine on which the monitoring window is running can be used for the path of the application.
Path names do not have to be enclosed in " (double quotation marks) even if the names contain spaces.

  • Work Directory

Specify the work directory used when starting the application by using an absolute path of up to 256 characters. When you click the [Browse] button, the [Open Directory] dialog box is displayed, and the work directory can be selected.
An environment variable on the machine on which the monitoring window is running can be used for the path of the work directory.
Path names do not have to be enclosed in " (double quotation marks) even if the names contain spaces.

  • Option

Specify an argument to start an application, in 128 characters or less.

An environment variable on the machine on which the monitoring view is running can be used for the parameters.
Note that the parts enclosed by " (double quotation marks) are recognized as one parameter.

  • Authentication
    Specify the authentication settings for category operations.
    For details about how to specify these settings, see "Perform User Management" - "About user management".

[References]

Define the application group

Start an application


Define an application group

Define the application group

Before starting this operation, move to the Configuration mode.

To use groups for managing application definitions, application groups can be defined.

To define an application, select [Add Group] in the right-click menu on the Tree view or in the right-click menu on the Map view. When the [New Group] dialog appears, make entries in items, and then press the [OK] button.

Application groups can be created under the root node (attribution node) or application group.

  • Group Name

Specify a group name, in 64 characters or less.

Group name cannot be omitted.

  • Icon File

Specify the icon file used for displaying icons by specifying an absolute path of up to 256 characters. When you click the [Browse] button, the [Open] dialog box is displayed, and the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the specified file is not correct or it does not exist on the machine on which the monitoring window is running, the default icon is used.

An environment variable on the machine on which the monitoring window is running can be used for the path of the icon file.

If the icon file is omitted, the default icon will be used.

  • Authentication
    Specify the authentication settings for category operations.
    For details about how to specify these settings, see "Perform User Management" - "About user management".

[References]

Define the applications to be started


Start an application

There are three ways to start the applications.

  1. Start from the Tree view.

Double-click the application icon of the node displayed in the Tree View.

  2. Start from the Map view.

Double-click the application icon of the node displayed in the Map View of the parent node.

  3. Start from the properties view.

Double-click the application icon displayed in the Property View of the node.


Linking messages

The message link function links MasterScope Network Node Manager 7.01/7.50/7.51/7.53 (HP-UX version), ESMPRO/ServerManager, and MasterScope SystemManager Ver. 3 or earlier, enabling you to centrally monitor the messages collected from these products.

To use the message link function, the link module (SystemManager Event Trap Utility) must be installed and set up in advance.

To monitor the collected messages for each host, define the hosts under the message link node. Defining hosts enables the icon severity color display in the tree view and the filter definition.

  • Before linking messages

Installing and setting up the link module

  • Message display items

Displaying format of collected messages

Specifying message text using templates

  • Define hosts and groups under the message link node.

Defining a host group

Defining a host

Registering multiple hosts collectively


Installing and setting up the link module

To link messages, the link module (SystemManager Event Trap Utility) must be installed and set up on a machine where MasterScope Network Node Manager, ESMPRO/SeverManager, and MasterScope SystemManager Ver. 3 or earlier are running in advance.

For details on how to install and set up the module, see the included “SystemManager Event Trap Utility Release Note”.


Displaying format of collected messages

  • Item mapping

The following mapping is performed for the messages collected by the link function.

display items | Item name in the message definition file of the link module | supplement
Severity | Severity | Severity=2: Normal Severity=3: Warning Severity=4: Abnormal Others: Unknown
Node | AgentAddress | Host name or IP address where the message occurred
Generated Date | TimeStamp | Date when the event was detected
Generated Time | TimeStamp | Time when the event was detected
Message Text | Detail | Message details of the event Contents and display format can be changed. See the "Specifying message text using templates".
Received Date | - | Date when SystemManager received the message from the link module.
Received Time | - | Time when SystemManager received the message from the link module.
Application | ESMKind |
Object | - | Always display "ExternalMessage".
Message ID | Enterprise, GenericCode, SpecificCode | Value combined with Enterprise, GenericCode, and SpecificCode Note that "1.3.6.1" at the beginning of Enterprise is omitted. * See the example below.
Category | AlertType |

[Message ID example]

[Note]

Messages are not displayed when the data obtained from the link module contains the following values:

  • When Logging is 0.

  • When GenericCode is not between 0 and 6.

  • When TrapType is not between 0 and 2.


Specifying message text using templates

The message text display format of the messages obtained using the message link function can be specified using templates.

  • Configuration file for specifying a template

[Windows Manager]

C:\Program Files\NEC\UMF\Operations\Manager\sg\MessageViewMgr.ini

[UNIX Manager]

/opt/UMF/Operations/Manager/sg/MessageViewMgr.ini

The file exists on the local disks of both the active and standby nodes in a redundant environment.

Modify on both nodes.

  • How to specify a template

Open MessageViewMgr.ini with an editor, and specify a template in the following format:

[TemplateMessage]

Template=%DETAILMESSAGE%

The character string after “Template=” is the template.

Templates must be specified within one line. To specify in a multiple-line format, use the control code described below.

To display data items of the obtained message in the message text, include the following keywords in the template.

Keyword | Item name in the message definition file of the link module | Description
%ENTERPRISE% | Enterprise | Corporate ID
%GENERICCODE% | GenericCode | Generic trap ID
%SPECIFICCODE% | SpecificCode | Specific trap ID
%IPADDRESS% | - | IP address of the device where the event occurred
%DETAILMESSAGE% | Detail | Event details
%SUMMARY% | Summary | Event overview
%SOURCENAME% | Source | Event source name
%ALERTTYPE% | AlertType | Event alert type
%RECOVERYACTION% | Action | Event action, etc.
%RESOURCENAME% | - | Host name of the device where the event occurred
%COMPONENTNAME% | ESMKind | Event component name
%SEVERITY% | Severity | Event severity (2: Normal, 3: Warning, 4: Abnormal, others: Unknown)
%TRAPTYPE% | - | Event trap type When GenericCode=0 to 5: 0 When GenericCode=6: 1 Message not matching the definition file: 2
%EVENTID% | EventID | Event ID
%TIMEZONE% | Offset | Time zone where the event occurred
%ALERTOCCURREDTIME% | Time | Event occurrence date/time
%ALERTOCCURREDTIME_STR% (YYYY/MM/DD HH:MM:SS)
%TIMEZONEOFFSET% | - | Time zone where the link module is running
%ARRIVALTIME% | - | GMT time when the link module received the event
%ARRIVALTIME_STR% (YYYY/MM/DD HH:MM:SS)

  • Control code

To include line feeds and tabs in a template, include the following keywords.

Keyword | Description
%CRLF% | line break
%HORIZTAB% | horizon tab

  • Example of template specification

To display message details, action, and Enterprise:

[Specification for MessageViewMgr.ini]

[MessageTemplate]

Template=%DETAILMESSAGE% %CRLF%action: %RECOVERYACTION%%CRLF%(%ENTERPRISE%)

[Details of the obtained message]

DetailMessage:

The load on the entire CPU exceeded the abnormality threshold.

RecoveryAction:

Identify the active processes by, for example, using Task Manager, and remove the cause.

Enterprise:

1.3.6.1.4.1.119.2.2.4.4.2.3

[Message deployed according to the template]

[Note]

  • When the message deployed according to the template is longer than 1,024 characters, the message ends with "..." and the subsequent contents are not displayed.

  • When no template is specified, the same process as when %SUMMARY% is specified is performed.


Defining a host group

Enter the configuration mode before performing this operation.

This operation requires the add authority of the top group.

To manage hosts as a group, create a host group.

To define a host group, select [Add Group] from the right-click menu in the tree view or the map view. When the [New Group] dialog box is displayed, enter each item, and then click the [OK] button.

  • Host groups can be created on the root node (message link node) or in a host group.

  • [Group name]

Use up to 64 characters to specify a group name.

The name cannot be omitted.

  • [Icon file]

Use up to 256 characters to specify the icon used for display. When you click the [Browse] button, the [Open] dialog box is displayed, where the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the incorrect file is specified, the default icon is used.

An environment variable can be used for the file path name.

If an icon file is not specified, the default icon is used.

  • [Authentication]
    Specify the authentication settings for the host group.

For details about how to specify these settings, see “Managing users” in “User management”.

[References]

Defining a host


Defining a host

Enter the configuration mode before performing this operation.

This operation requires the add authority of the top group.

This product manages messages for each host. To define a host, select [Add host] from the right-click menu in the tree view (message link) or the map view. When the [New Host] dialog box is displayed, enter each item, and then click the [OK] button.

  • Hosts can be created on the root node (message link node) or in a host group.

  • [Host Name]

Use up to 64 characters to specify a host name.

The name cannot be omitted.

  • [Icon file]

Use up to 256 characters to specify the icon used for display. When you click the [Browse] button, the [Open] dialog box is displayed, and the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the incorrect file is specified, the default icon is used.

An environment variable can be used for the file path name.

If an icon file is not specified, the default icon is used.

  • [Authentication]
    Specify the authentication settings for the host.
    For details about how to specify these settings, see the “Managing users” of “User management”.

[Note]

Host names that already exist in the topology view or under the message link cannot be registered.

[References]

Defining a host group

Monitor a message for each host

Define a message filter

Set options for message monitoring


Registering multiple hosts collectively

Enter the configuration mode before performing this operation.

This operation requires the add authority of the top group.

To register multiple hosts collectively, select [Add Host (Import)] from the right-lick menu on the tree view (message link). When the [Add Host (Import)] dialog box is displayed, enter the file name, and then click the [OK] button.

  • Hosts are created on the root node (message link node) or in a host group.

  • [File name]

Use up to 256 characters to specify the file containing the host names. When you click the [Browse] button, the [Open] dialog box is displayed, and the file can be selected.

An environment variable can be used for the file path name.

The file format is shown below.

  • Specify one host name per line, and use no more than one line per host name.

  • Use up to 255 characters to specify a host name.

  • Comments cannot be entered. All entered character strings are recognized as host names.

  • Spaces before and after host names are removed.

  • Up to 256 host names can be entered in one file.

[Note]

  • SystemManager can recognize a maximum of 64 characters for the host name. Up to 255 characters can be specified in a file as a host name; however, the 65th and subsequent characters are removed and the host name is registered with 64 characters.

  • Host names that already exist in the topology view or under the message link cannot be registered.


About linking with applications

This product can link with external applications in a manner whereby it outputs collected messages to an external file and the applications read the file.

  • Message write out function
    Writes out collected messages to an external file.
    [References]
    Use Application Linker
    Define a write-out group
    Set a write-out file
    Define a filter for messages to be written out to a file
    Display messages written out to a file

[Note]

The applications that read the files written out by this function must meet the following conditions:

  • Open a file only when reading it

  • Do not open a file with write-out prohibition enabled

  • The delimiter for each record must be CR+LF or LF (linefeed control)

  • Support reading in either of the character codes provided by this function


Use Application Linker

This operation must be executed after shifting into the Configuration mode.

To use the Application Linker Function, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Application Linker] tab.

  • Use Application Linker Function
    If you want to use the Application Linker Function, you must check this checkbox and set the item to the desired value.
    When you check the box and click on the [OK] button, the [Application Linker] node will be displayed as a root node on the tree view in the monitoring window.

  • Number of Write Message Queue
    Specify the number of messages to be queued on Operations Navigator, in the range of 1000 to 10000, if the messages cannot be written to a file. The default value is 1000.

[References]

Define a write-out group

Set a write-out file


Define a write-out group

This operation must be executed after shifting into the Configuration Mode.

To define a write-out group, select [Group Setting] from the right-click menu of the [Application Linker] node on the tree view or the right-click menu of a write-out group. When the [New Group] dialog box has been displayed, complete the entries in the dialog box and click on the [OK] button.

  • Group Name
    Specify the desired group name, within a maximum of 64 characters.
    The Group Name must be specified.

  • Icon File
    Use a maximum of 256 characters to specify the icon to be used to display an entity. Clicking on the [Browse] button enables you to display the [Open File] dialog box and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.
    You can use an appropriate environment variable for the path name to the file.
    When you omit specifying an icon file, the default icon will be used.

[References]

Use Application Linker

Set a write-out file


Set a write-out file

This operation must be executed after shifting into the Configuration Mode.

To set a write-out file, select [Log File Setting] from the right-click menu of the [Application Linker] node on the tree view or the right-click menu of a write-out group. When the [New Log File] dialog box has been displayed, complete the entries in the dialog box and click on the [OK] button.

  • Display Name
    Specify the log file name to be displayed on the tree view, within a maximum of 64 characters.
    The Display Name must be specified.

  • Icon File
    Use a maximum of 256 characters to specify the icon to be used to display an entity. Clicking on the [Browse] button enables you to display the [Open File] dialog box and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.
    You can use an appropriate environment variable for the path name to the file.
    When you omit specifying an icon file, the default icon will be used.

  • Output Directory
    Specify the directory, within a maximum of 256 characters, in which you will create log files and backup files.
    The Output Directory must be specified.
    Once you apply the settings, the specified directory will be automatically created.

  • Output File Name
    Specify the desired log file name, within a maximum of 256 characters. When this log file is actually created, the file name will be the specified output file name+"0".
    The Output File Name must be specified.

  • Record Format
    Specify the arbitrary character string within a maximum of 1024 characters as a writing format to the log file.

    The following replacement character strings can be specified:

    $SEVERITY$

    Replaced with the severity (display name) of a message.

    $GENERATEDDATE$

    Replaced with the generated date of a message.

    $GENERATEDTIME$

    Replaced the generated time of a message.

    $RECEIVEDATE$

    Replaced with the received date of a message.

    $RECEIVETIME$

    Replaced with the received time of a message.

    $NODE$

    Replaced with the node name of a message.

    $EVENTCATEGORY$

    Replaced with the category name of a message.

    $APPLICATION$

    Replaced with the application name of a message.

    $OBJECT$

    Replaced with the object name of a message.

    $MESSAGEID$

    Replaced with the message ID of a message.

    $MESSAGETEXT$

    Replaced with the message text of a message.

    If a written character string includes a line feed code (CR or LF), it will be replaced with a one-byte space character.

    You cannot use platform dependent characters in UNIX managers (because they may be garbled):

  • Character Encoding
    Specify the character encoding used to write log files. The following codings are available. The default value is Unicode (UTF-8).

    Chinese Simplified (GB18030)

    Not supported in the Japanese environment.

    Chinese Simplified (GB2312)

    Not supported in the Japanese environment.

    Chinese Traditional (Big5)

    Not supported in the Japanese environment.

    Japanese (JIS 0208-1990 and 0212-1990)

    Log files are written in EUC code.

    Japanese (JIS)

    Log files are written in JIS code.

    Japanese (Shift-JIS)

    Log files are written in Shift-JIS code.

    Unicode

    Log files are written in Unicode (Little-Endian).

    Unicode (Big-Endian)

    Log files are written in Unicode (Big-Endian).

    Unicode (UTF-8)

    Log files are written in Unicode (UTF-8).

    US-ASCII

    Log files are written in ASCII code.

    If a message to be written cannot be encoded with the specified character coding, a blank line will be written instead of the message.

  • Add Byte Order Mark
    If you selected a character code that belongs to the Unicode family for your character code and want to append a Byte Order Mark (BOM) to a write-out file, check this. By default, no check is placed.

  • Line Feed
    Select either [CR+LF] or [LF] for the linefeed code as the delimiter for records in write-out files. By default, [LF] is selected.

  • Max File Size
    Specify the maximum log file write size (KB), from the range of 100 to 5000. The default value is 1000.
    When the size of any log file exceeds this value, the next write operation will be performed on a new file or one of the existing files after it is created or it is cleared, depending on the swap method selected in [Swap Type].

  • Generation
    Specify the number of log file generations to be created (the number of backup files), in the range of 1 to 4. The default value is 1. A backup file will be created with its filename + N (up to the number of generations) in the directory specified in [Directory].

  • Swap Type
    If the size of a written file reaches the Maximum File Size, select the method for the file to be written in the next write operation. If you select [Rename] and the size of the current file reaches the maximum size, it will be renamed with an appropriate backup file name, a new file will be created as the current file, and the current file will be written. If you select [Switch], the backup file will be cleared and written. By default, [Rename] is selected.

[e.g.]

If the file is named "OutputFile," its Max File Size is 1000KB, the number of Generation is 2, and the Swap Type is [Rename], the backup operation will work as follows:

  1. OutputFile0 is newly created

  2. When writing a message into OutputFile0 and its file size reaches 1000KB, "OutputFile0" is renamed "OutputFile1".

  3. A new OutputFile0 is then created and the message is written into this file.

  4. When writing a message into OutputFile0 and its file size reaches 1000KB, "OutputFile1" is renamed "OutputFile2".

  5. "OutputFile0" is renamed "OutputFile1".

  6. A new OutputFile0 is then created and the message is written into this file.

  7. When writing a message into OutputFile0 and its file size reaches 1000KB, "OutputFile2" is removed.

  8. "OutputFile1" is renamed "OutputFile2".

  9. "OutputFile0" is renamed "OutputFile1".

  10. A new OutputFile0 is then created and the message is written into this file.

  11. After this, repeat Steps 7 to 10.

When renaming of the current file has been unsuccessful, a message will be written into the current file, and the file will be renamed again the next time a message is written into it.

[e.g.]

If the file is named "OutputFile," its Max File Size is 1000KB, the number of Generation is 2, and the Swap Type is [Switch], the backup operation will work as follows:

  1. OutputFile0, OutputFile1, and OutputFile2 are newly created.

  2. When writing a message into OutputFile0 and its file size reaches 1000KB, OutputFile1 is cleared and the message is written into OutputFile1.

  3. When writing a message into OutputFile1 and its file size reaches 1000KB, OutputFile2 is cleared and the message is written into OutputFile2.

  4. When writing a message into OutputFile2 and its file size reaches 1000KB, OutputFile0 is cleared and the message is written into OutputFile0.

  5. After this, repeat Steps 2 to 4.

[Note]

When the settings for a write-out file have been updated, the file may be removed.

[References]

Define a write-out group

Define a filter for messages to be written out to a file


Define a filter for messages to be written out to a file

This operation must be executed after shifting into the Configuration Mode.

This section defines a filter to extract messages to be written out to a file. Select [Filter Setting] from the right-click menu of a desired log file node on the tree view. When the [Filter Setting] window has been displayed, register a desired message category(ies) by selecting it from those defined in Business View and click on the [OK] button.

If you check [Business View], a root node, messages stored in all the categories will be written out to a file.

The messages that are stored in a checked category(ies) or a checked category group(s) will be written out to a file.

[Note]

You cannot define extract conditions for a filter in this window. You need to complete the Filter Setting in a desired category in Business View and then define the extract conditions for the filter.

[References]

Define the category

Define the selecting conditions

Set a write-out file


Display messages written out to a file

To list the messages that were actually written out to a file, select [Write Message List] from the right-click menu on the log file node in the tree view or double-click on the node.

What is displayed from a file being written out is approximately 100,000 characters from the end of the file.

  • Button Panel section
    Displays buttons used when operations messages.

  • To display the latest content of a file, click on the [Refresh] button.

  • From the middle item box, specify the font with which characters are to be displayed.

  • From the right item box, specify the size of the characters to be displayed.

[Note]

Even if a file being written out does not have 100,000 characters, only the content of the file will be displayed.

[References]

Use Application Linker

Define a filter for messages to be written out to a file


About the incident registration function

When a specific message is generated, the product enables users to register the message into MasterScope ServiceManager as an incident.

  • Incident registration function

Enables users to register a message that the message monitoring function (business view) receives into MasterScope ServiceManageras an incident.

The incident registration function is defined in the following order:

1. Set the ServiceManagerinto which messages will be registered as an incident

2. Define the policy for the help desk

3. Set the items for registration of an incident

4. Define a mapping for the severity

5. Set options for the incident registration function

You can monitor or confirm the registration status of an incident by performing the following operations:

Refer to the registration status of an incident (in a list)

Refer to the registration status of an incident (in detail)

Search for the registration status of an incident

Confirm (hide) the registration status of an incident

Delete records in the incident history

Register an incident awaiting registration

[Note]

  • This function is available as an option. If you want to use it, you must purchase an appropriate number of licenses for the ServiceManager link function.
  • You must configure an appropriate environment for this function by referring to the "MasterScope SystemManager G Release Memo: ServiceManager Link Function" before starting to use it.


Define the policy for the help desk

This operation must be executed after shifting into the Configuration mode.

The [Policy Selection] window is used to define the incident registration function. To display the [Policy Selection] window, click on the [Help Desk Set] button in the [Filter Item Setting] window ([Recovery Setting] tab). When you have defined the policy, click on the [OK] button.

  • The defined policy can be shared within the manager. (Common in all users)

  • Policy

Select one from the defined policies.

  • Click on the [Add] button to display the [Policy Setting] window and define a new policy.

  • Click on the [Update] button to display the [Policy Setting] window and edit the selected policy.

  • Click on the [Delete] button to delete the selected policy.
    The mapping definition a policy is using is not deleted.
    You can delete a mapping definition from a "Incident Registration Setting" window.

  • Policy Name

Specify a desired policy name, within a maximum of 64 characters.

  • Help Desk

Select the help desk function that will work with the incident registration function.

Please select [ServiceManager]. When you have selected [ServiceManager] as the help desk, the [Incident Registration Setting] window will open, where you can define the incident items to be sent to ServiceManager.

  • [Set] button

This button opens the setting window set in the [Help Desk] item to be dedicated to the help desk and enables you to set in detail how the help desk function will work with the incident registration function.

[Reference]

Set the items for registration of an incident


Set the items for registration of an incident

This operation must be executed after shifting into the Configuration mode.

This section sets the details of an incident to be registered into ServiceManager.

Select [ServiceManager] for the help desk in the [Policy Setting] window and then click on the [Set] button to set the details of an incident. When the [Incident Registration Setting] window has been displayed, complete the entries and then click on the [OK] button.

  • The mapping (the incident registration setting) definition can be used in common in the manager. (Common in all users)

  • Description

Specify the description for the policy, within a maximum of 512 characters.

  • Type

  • Auto Registration

With this selected, after a message is generated, a message will be automatically registered as an incident to ServiceManager.

  • Manual Registration

Set the incident in the "Waiting registration" status temporarily after the message generation, and then register the incident to ServiceManager manually after checking the contents by the operator.

  • Clicking on the [Severity Mapping] button enables you to set a mapping to the $SEVERITYMAP$ severity replacement character string. For more information, refer to here.

  • Mapping List

Lists the mapping definitions for the items that have been registered into the manager. The checked definitions will be used.

The details of a mapping definition will be displayed in the [Field Setting] section.

    • Click on the [New] button to display the [Add A New Mapping Name] window and create a new mapping definition.

    • Click on the [Copy] button to display the [Add A New Mapping Name] window and copy the selected mapping definition.
    • Click on the [Delete] button to delete the selected mapping definition.
      The mapping definition other policy is using is not deleted.
    • Clicking on the list enables you to change the mapping name.

  • Field Setting

Displays the details of the incident to be registered into ServiceManager.

  • No.

Indicates the item number within the events input into ServiceManager. It is not editable.

  •  Internal Name

Indicates the item name within the events input into ServiceManager. It is not editable.

  •  Require (Entry Required)

Specify whether entering a value is required or not.

If [Require] is specified and [Auto Registration] is selected for [Type], you must enter the value of an item in the [Incident Registration Setting] window. If [Require] is specified and [Manual Registration] is selected for [Type], you must enter the value of an item in the [Registered Information Confirm] window.

The [O] mark is displayed for each of the items for which you must enter a value, and [X] is displayed for each of the items for which you can omit entering a value.

  • Visible (Displayed at registration)

If you selected [Manual Registration] for [Type], specify whether an item is to be displayed in the [Registered Information Confirm] window.

The [O] and [X] marks are displayed for the items to be displayed and not to be displayed in the window, respectively.

  • ditable (Allowed to Edit a Value)

If you selected [Manual Registration] for [Type], specify whether editing the value of an item is allowed in the [Registered Information Confirm] window.

The [O] and [X] marks are displayed for the items for which the value is editable and for those for which the value is not editable, respectively.

  • Display Name

Specify the display name for an item in the [Registered Information Confirm] window and in the history display in the [Incident Detail] window. If you do not specify this item, the Field Name will be displayed.

  • Value

Specify the value to be registered as an incident, within a maximum of 512 characters.

You can specify the following replacement character strings for the value:

$SUMMARY$ | Replaced with the message overview (filter name) of a message.
$GENERATEDDATE$ | Replaced with the generated date of a message.
$GENERATEDTIME$ | Replaced with the generated time of a message.
$RECEIVEDATE$ | Replaced with the received date of a message.
$RECEIVETIME$ | Replaced with the received time of a message.
$NODE$ | Replaced with the node name of a message.
$APPLICATION$ | Replaced with the application name of a message.
$OBJECT$ | Replaced with the object name of a message.
$MESSAGEID$ | Replaced with the message ID of a message.
$MESSAGETEXT$ | Replaced with the message text of a message.
$SEVERITY$ | Replaced with the severity of a message.
$SEVERITYMAP$ | Replaced with the severity of a message character string defined in the [Severity Mapping] window.
$GENERATEDTIME_SM$ | Replaced with the generated date and time of a message (in "mm/dd/yyyy HH:MM:SS" format). The time zone will be converted to that in the Standard Time.
$RECEIVETIME_SM$ | Replaced with the received date and time of a message (in "mm/dd/yyyy HH:MM:SS" format). The time zone will be converted to that in the Standard Time.
$EVENTCATEGORY$ | Replaces to the message event category.

Double-clicking on an item enables you to open the [Field Setting] window and edit the item.

[References]

Define the policy for the help desk

Define a mapping for a severity

Refer to the registration status of an incident (in detail)


Define a mapping for a severity

This operation must be executed after shifting into the Configuration mode.

Any character string can be mapped to the severity of a message. The mapped character string can be used by specifying the $SEVERITYMAP$ replacement character string.

To map any character string to the severity of a message, click on the [Severity Mapping] button in the [Incident Registration Setting] window. When the [Severity Mapping] window has been displayed, set the value in the window and click on the [OK] button.

  • The settings in the [Severity Mapping] window are shared within the manager.

  • Severity Color

Displays the color set for the severity. If you want to change it, refer to here.

  • Type

Displays the internal name of this severity.

  • Display Name

Displays the display name of this severity. If you want to change it, refer to here.

  • Value Of $SEVERITYMAP$

Displays the character string that is mapped to this severity. If you want to change it, display the [Severity Mapping] window by double-clicking on the item and specify the value, within a maximum of 32 characters.

[Reference]

Set the items for registration of an incident


Set options for the incident registration function

This operation must be executed after shifting into the Configuration mode.

To define options for the incident registration function, select [Option] from the [Configuration] menu.

  • ServiceManager Connection Setting

Click on the [Connection Setting] button to configure the settings related to a connection to ServiceManager. For more information, refer to here.

  • Incident Status view

  • Max Display

Specify the maximum number of items to be displayed in the [Incident Status] view. You can specify any value in the range of 100 to 20000. The default value is 1000.

  • Search for incidents awaiting registration when started

If this item is checked, the incident registration function will search for incidents waiting to be registered when the monitoring terminal is started, and display those searched for in the [Incident Status] view.

By default, it is checked.

  • Maximum number of search results

Specify the number of days you will go back in the past when the incident registration function searches for the incidents waiting to be registered when the monitoring terminal is started. You can specify any value in the range of 1-10000. The default value is 7 days.

  • Incident history held

  • Max Retention

Specify the maximum number of days during which the incident history records will be held in the manager. You can specify any value in the range of 1-10000 days. The default value is 100 days.

  • Deletion Operating Time

Specify the time an incident history removal process starts. The default value is 02:00:00.

  • Identical Message Suppression Function

  • Enabled

In preparation for the case where the message monitoring function (business view) notifies the incident registration function of identical messages for a short period of time, this enables you to specify whether an incident is to be registered or not. You can control the number of incidents by checking [Enabled] to indicate that identical message notifications in the specified period of time will not be registered.

A suppressed incident will be displayed with the status of [Suppressed] in the history.

  • Messages

Specify the maximum number of messages to be suppressed in the entire incident registration function. You can specify any value in the range of 256-4096. The default value is 1024.

  • When the number of messages to be suppressed exceeds the number specified here, the oldest message (or the message that has been prevented from being output for the longest period of time) will be removed from the suppressed target.

  • Monitoring Interval

Specify how long a message continues to be suppressed after the notification of the message is given. You can specify any value in the range of 1-3600 seconds. The default value is 10 seconds.

[Example]
Supposing that messages will be output as follows when you specify 1 minute (60 seconds) for the monitoring interval, the following table shows whether or not a message will be registered as an incident and what action the system will take:

Time Period (in seconds) | Message | Incident Registration | Action
000 | MSG001 | Yes | MSG001 is added to the suppressed targets (and will remain there for 60 seconds)
010 | MSG002 | Yes | MSG002 is added to the suppressed targets (and will remain there for 70 seconds)
020 | MSG003 | Yes | MSG003 is added to the suppressed targets (and will remain there for 80 seconds)
030 | MSG004 | Yes | MSG004 is added to the suppressed targets (and will remain there for 90 seconds)
040 | MSG001 | No | The message is not registered as an incident because it is one of the suppressed targets
050 | MSG002 | No | The message is not registered as an incident because it is one of the suppressed targets
060 | MSG004 | No | The message is not registered as an incident because it is one of the suppressed targets MSG001 is removed from the suppressed targets
070 | MSG001 | Yes | MSG001 is added to the suppressed targets (and will remain there for 130 seconds) MSG002 is removed from the suppressed targets
080 | MSG001 | No | The message is not registered as an incident because it is one of the suppressed targets MSG003 is removed from the suppressed targets
090 | MSG003 | Yes | MSG003 is added to the suppressed targets (and will remain there for 150 seconds) MSG004 is removed from the suppressed targets

    • Reset
      Specify whether or not the suppression time period is to be reset if an identical message is reported. If you check this, the suppression period will be reset every time an identical message is output.

      [Example]
      Supposing that messages will be output as follows when you specify 1 minute (60 seconds) for the monitoring interval and check [Reset] to reset the suppression period, the following table shows whether or not a message will be registered as an incident and what action the system will take:
Time Period (in seconds) | Message | Incident Registration | Action
000 | MSG001 | Yes | MSG001 is added to the suppressed targets (and will remain there for 60 seconds)
010 | MSG002 | Yes | MSG002 is added to the suppressed targets (and will remain there for 70 seconds)
020 | MSG003 | Yes | MSG003 is added to the suppressed targets (and will remain there for 80 seconds)
030 | MSG004 | Yes | MSG004 is added to the suppressed targets (and will remain there for 90 seconds)
040 | MSG001 | No | The message is not registered as an incident because it is one of the suppressed targets The suppression period is reset for MSG001 (and will be reset from 40 to 100 seconds).
050 | MSG002 | No | The message is not registered as an incident because it is one of the suppressed targets The suppression period is reset for MSG002 (and will be reset from 50 to 110 seconds).
060 | MSG004 | No | The message is not registered as an incident because it is one of the suppressed targets The suppression period is reset for MSG004 (and will be reset from 60 to 120 seconds).
070 | MSG001 | No | The message is not registered as an incident because it is one of the suppressed targets The suppression period is reset for MSG001 (and will be reset from 70 to 130 seconds).
080 | MSG001 | No | The message is not registered as an incident because it is one of the suppressed targets The suppression period is reset for MSG001 (and will be reset from 80 to 140 seconds). MSG003 is removed from the suppressed targets
090 | MSG003 | Yes | MSG003 is added to the suppressed targets (and will remain there for 150 seconds)

[Note]

The identical message suppression function works for all the messages that have been set to be registered as an incident. It cannot suppress the incident registration on a-per-policy basis

[Reference]

Set the ServiceManager into which messages will be registered as incidents


Set the ServiceManager into which messages will be registered as incidents

This operation must be executed after shifting into the Configuration mode.

This section sets the ServiceManagerinto which messages are registered as incidents.

To set the registration destination ServiceManager, select [Option] on the [Configuration] menu, and click on the [Connection Setting] button in the [Incident Registration Function] tab. When the [ServiceManager Connection Setting] window has been displayed, complete the entries in the window and then click on the [OK] button.

  • Server Host Name

Specify the host name of IP address of the ServiceManager Server, within a maximum of 256 characters.

  • Port Number

Specify the port number, in the range of 1 to 65535, for the SCAuto Listener to which ServiceManager Server listens. The default value is 12690.

  • Click on the [Connection Test] button to test the connection between the specified server host name and Port Number.

  • Registration User Name

Specify the registration user name, within a maximum of 24 characters, to be used when registering an incident.

If [Use operation user name upon manual registration] is checked and you want to register the manual registration type of incidents, use the username with which you logged in to SystemManager G as the registration user name. By default, it is not checked.

The number of characters for a user name must be 24 upon incident registration when the number of characters for the SystemManager G user name is 25 or more.

[Note]

If you specify a multi-byte character in a registration user name, the name may not display properly on the ServiceManager side.

Use single-byte alphanumeric characters for registration user names.

[Reference]

Set options for the incident registration function


Refer to the registration status of an incident (in a list)

The statuses of the incidents that have been generated and registered since the monitoring terminal was started are displayed in the [Incident Status] tab in the bottom of the monitoring window. The [Incident Status] tab displays the toolbar in the upper section and a list of statuses of the registered incidents in the lower section.

  • Note that when you exit the monitoring window, all the statuses of the incidents will have been confirmed (hidden) and they will not be displayed the next time you start the monitoring window.
  • If you checked [Search for incidents awaiting registration when started] in the option setting, the function will only search for and display the incidents that are waiting to be registered.

  • Right-click menu
    • Detailed display
      Displays the detailed registration status of the selected incident in the [Incident Detail] window. For more information, refer to here.
    • Confirm
      From the list window, hides the selected incident. For more information, refer to here.
    • Cancel
      Suspends the registration of the selected incident.
      It is only valid for incidents that await to be registered
    • Back to Generated
      Change the selected incident of canceled status to generated.
      It is only valid for incidents that await to be canceled.
  • Toolbar section

  • Click on the [Detailed Display] button to display the details of the selected registration status of the incident in the [Incident Detail] window. For more information, refer to here.

  • Click on the [Search] button to display the [Search for Incident] window and search for the registration statuses of the incidents. For more information, refer to here.

  • Click on the [Confirm] button to hide the details of the selected registration status of the instance from the list window. For more information, refer to here.

  • Click on the [Swap] button to completely delete records in the incident history with a date you specify. For more information, refer to here.

  •  Click on the [Initialize] button to delete all the records in the incident history. For more information, refer to here.

§ The [Swap] and [Initialize] buttons are only displayed in the Configuration mode.

  • Incident Registration Status List section

The [Incident Status] tab displays the status of each registered instance in the lower section.

  • State

Displays the current registration state of each incident. The state includes the following types:

Generated | An incident of the manual registration type is waiting for operator confirmation
Suppressed | An incident is suppressed by the identical message suppression function
Canceled | An incident of the manual registration type for which the registration is canceled by an operator
Registering | An incident is being registered into ServiceManager
Failed | An incident has failed to be registered into ServiceManager. It is possible to reregister it manually.
Succeeded | An incident has succeeded in being registered into ServiceManager

  • Generated Datetime

Indicates the date and time the incident registration function received a message from the message monitoring function (business view).

  • Update Datetime

Indicates the date and time the latest statuses were updated.

    • Description

Indicates the overview (filter name) of a message received from the message monitoring function (business view).

    • Node

Indicates the node of a message received from the message monitoring function (business view).

    • Message Text

Indicates the text of a message received from the message monitoring function (business view).

[Note]

The incident history records are saved on the manager and held there during the time period specified in the option setting.

  • The incident history is stored in the following path on the manager.

Windows manager

C:\Program Files\NEC\UMF\Operations\Manager\sg\ServiceManagerLinker\log

HP-UX manager

/opt/UMF/Operations/Manager/sg/ServiceManagerLinker/log

  • One record in the incident history amounts to approximately 4000 to 65000 bytes (which fluctuates, depending on the content of each incident).

[References]

Refer to the registration status of an incident (in detail)

Search for the registration status of an incident

Confirm (hide) the registration status of an incident

Delete records in the incident history


Refer to the registration status of an incident (in detail)

This section displays the details of the registration statuses of incidents, the incident history, or the messages on which incidents are based. To display the details, the following methods are provided:

  1. In the [Incident Status] tab, select a desired incident and click on the [Detailed Display] button.
  2. In the [Incident Status] tab, double-click on a desired incident.
  3. Click on the [Result Reference] button in the [Message Detail] window ([Attached Information] tab).

  • State

Displays the current state of the incident.

  • Type

Displays the registration type of the incident.

  • Generated Datetime

Displays the date and time the incident registration function received the message from the message monitoring function (business view).

  • Click on the [Message] button to display the message on which this incident is based in the [Message Detail] window.

§ When you display this window with the [Result Reference] button in the [Message Detail] window ([Attached Information] tab), the [Message Detail] button will not be displayed.

  • History

Displays the transition of the registration statuses of the incident in chronological order.

It displays the details of the selected incident record in the history in the bottom.

  • Click on the [Register] button to display the [Incident Registered Information Confirm] window and register the incident manually.

The [Register] button is only enabled for incidents in the Generated or Failed state.

  • Click on the [Cancel] button to set the incident to the Canceled state without registering it.

The [Cancel] button is only enabled for incidents in the Generated state.

  • Click on the [Back to generated] button to set the incident to the generated state.

The [Back to generated] button is only enabled for incidents in the canceled state.

  • By clicking on the [Incident Registration Setting] button, you can display the [Incident Registration Setting] window, which enables you to confirm and redefine the policy definition for the incident.

The [Incident Registration Setting] button is only enabled in the Configuration mode.

  • Click on the [Previous] button to display the incident above the current one on the [Incident Status] tab.

  • Click on the [Next] button to display the incident below the current one on the [Incident Status] tab.

§ When you display this window with the [Result Reference] button in the [Message Detail] window ([Attached Information] tab), the [Previous] and [Next] buttons will not be displayed.

[References]

Refer to the registration status of an incident (in a list)

Register an incident awaiting registration

Set the items for registration of an incident


Search for the registration status of an incident

You can easily get a clearer picture of the registration statuses of incidents by searching to narrow them down. To search for incident registration statuses, click on the [Search] button on the [Incident Status] tab, specify the search condition(s) and click on the [Search] button.

The window will display the search results as the [Incident Search Result] tab in the lower section.

  • State

Check a desired state, based on which the search operation will be performed.

  • Click on [All Check] button to check all the states.

  • Click on [All Uncheck] button to uncheck all the states.

  • Generated Datetime

Specify the start and end times of the search range. The search operation will be performed on the incidence registration statuses that fall within the range of the times specified in [Start] and [End].

[Reference]

Refer to the registration status of an incident (in a list)


Confirm (hide) the registration status of an incident

You can quickly recognize the incidents for which measures have not been taken by confirming (hiding) the incident registration statuses that have been addressed.

To confirm an incident registration status, select a desired incident and click on the [Confirm] button in the [Incident Status] tab.

  • Even if you confirm an incident status, you can still refer to it by searching for it.
  • The confirmation operation can be performed for unconfirmed incidents only.
  • To remove all the incident records in the history, refer to here.

[References]

Refer to the registration status of an incident (in a list)

Delete records in the incident history


Delete records in the incident history

The following two methods are provided to delete records in the incident history: One method is to delete them with the monitoring window, and the other is to delete them with the command line. Note that records deleted from the incident history cannot be restored in either case.

  1. Delete records in the incident history with the monitoring window

This operation must be executed after shifting into the Configuration mode.

  • Deleting all the records in the incident history

Select the [Initialize] button on the [Incident Status] tab. When a window to confirm deletion has been displayed, click on the [OK] button.

  • Deleting records in the incident history with a specified date

The incident history records older than the specified date will be removed. Select the [Swap] button on the [Incident Status] tab. When the [Swap Incident History] window has been displayed, specify the date and click on the [OK] button.

  2. Delete history data with the command line

You can also delete records in the incident history by running an appropriate command on the manager. For more information on this method, refer to ServiceManagerLinkerCmd INIT and ServiceManagerLinkerCmd SWAP in the command reference.

[Note]

These operations cannot delete records in the incident history on ServiceManager. Go to the ServiceManager side before deleting them.

[References]

Refer to the registration status of an incident (in a list)

ServiceManagerLinkerCmd INIT


Register an incident awaiting registration

This operation is only allowed for users who belong to a group that has the operation right.

An incident of the manual registration type will not be registered immediately after the corresponding message is generated, but end up in the status of waiting for a user to register it.

To register an incident that is waiting to be registered, display the [Registered Information Confirm] window by clicking on the [Register] button in the [Incident Detail] window and click on the [Register] button after confirming the incident in the window.

  • Field Name

Indicates the item name of the incident.

  • Value

Indicates the value to be registered as an incident. The content in the list is also displayed in the lower section.

If you want to change it, display the [Edit Item] window by double-clicking on the item and specify a desired value. If the value of the item can be entered with multiple lines, specify it within a maximum of 30000 characters. If it can be entered with a single line, specify it within a maximum of 1024 characters.

  • You cannot edit the value of an item for which the background is displayed in grey.

  • You must specify the value of an item for which the text is displayed in red.

[Note]

The number of characters that you can enter on the SystemManager G side does not match that of characters that can be handled on the ServiceManagerside.

If you enter more characters on the SystemManager G side than ServiceManager can handle, the characters cannot be displayed properly on the ServiceManager side. For this reason, note that you must specify the number of characters on SystemManager G so that they will equal or be less than the number of characters ServiceManager can handle.

  • Click on the [Register] button to register the incident into ServiceManager.

[Note]

The incident registration process is suspended in any environment in which the incident registration function cannot be connected to ServiceManager. When the maximum suspension size (with an initial value of 1000 incidents) is reached, attempts to register an incident manually will fail. To change the maximum suspension size, refer to "MasterScope SystemManager G Release Memo: ServiceManager Linking."

[Reference]

Refer to the registration status of an incident (in detail)


Invariant analysis

This product analyzes correlations in performance data and models the normal status. The product then compares performance data with the model and analyzes the data to detect correlation anomalies (abnormal correlations).

To perform invariant analysis, perform the following steps:

Users must perform this operation after shifting to the Configuration mode.

  1. Define the system to analyze in the integrated topology view.

Add a job to the integrated topology view, and then add a configuration group and logical item (host) under the job. For details, click here.

Right click the added job, select [Invariant analysis] from the displayed pop-up menu, and then add an invariant analysis node.

  2. Accumulate or import the performance data used for model generation and analysis.

Performance data is accumulated during performance monitoring. For details, click here.

To import the performance data, right click [Business], [Composition group], or [Logical item (Host)] in the integrated topology view, and then select [Import performance data] from the displayed pop-up menu.

Specify the import file in the [Import performance data] window, and then start importing the file. For details, click here.

[Related items]

Importing performance data

  3. Create a model used for analysis from the imported performance data for the period during which the system was normally operating.

Select [Invariant analysis] in the integrated topology view, and then select [Models] from the displayed pop-up menu.

Click the [Create new model] button in the [Models] window to create a model. For details, click here.

[Related items]

Model

Creating a model

Validating a model

Deleting a model

  4. Analyze data by using the created model.

Select [Invariant analysis] in the integrated topology view, right click any place on the view, and then select [Real-time analysis] or [On-demand analysis] from the displayed pop-up menu.

Start analysis from the [Analysis definition] window. For details, click here.

[Related items]

Analysis
Performing real-time analysis
Performing on-demand analysis

Deleting analysis results

  5. View the analysis result for which analysis processing is complete.

Click [Invariant analysis] in the integrated topology view to display the invariant analysis view.

When you double click a completed analysis, the detail of analysis result is displayed. View the analysis results.

[Related items]

Analysis

Viewing analysis results

Viewing an anomaly graph

Viewing an anomaly alert

Checking an abnormal correlation

Viewing an anomaly map

Viewing an invariant graph

Viewing a group summary

[Related items]

Maintaining counter information

Setting up the invariant analysis options

[Note]

  • This function is optional. To use this function, purchase an invariant analysis license.

  • This function will not operate correctly if performance data accumulation is disabled in the performance data accumulation management settings.
    To use this function, enable performance data accumulation.
    For details, click here.


Importing performance data

Users must perform this operation after shifting to the Configuration mode.

Performance data must be imported before invariant analysis. To import performance data, right click the tree view (integrated topology view), and then select [Import performance data] from the displayed pop-up menu. When the [Import performance data] window is displayed, specify the import file, select the counter to import, and then click the [OK] button.

  • Files being imported

Lists the specified import files.

    • Location

Displays the file location. This is [Console] or [Manager].

    • File path

Displays the full file path.

    • File format type

Displays the type of file.

    • [Add] button

Displays the [Select import file] window used to add the import file.

    • [Delete] button

Excludes the specified file from the import targets.

  • Import data

Displays the counter information contained in the files displayed in the [Files being imported] section.

If multiple files contain the data for the same counter or node name, the data is collectively displayed on a single row.

    • Counter name

Displays the names of counters read from the files. Blank space is displayed if no data is read from the files.

If the counter name is blank, the import processing cannot be performed. In this case, click the [Edit] button, and then specify the counter name.

If the check box is selected, the data for that counter is imported. The check box is selected by default.

    • Node name

Displays the names of nodes read from the files. Blank space is displayed if no data is read from the files.

When you specify a group in the integrated topology view for importing, the node name is displayed in red if it is not found in the specified group.

When you specify a node in the integrated topology view for importing, the node name in the integrated topology view is displayed instead of the value read from the file.

If the node name is blank or red, the import processing cannot be performed. In this case, click the [Edit] button, and then change the node name.

    • Time interval

Displays the time intervals read from the files after rounding them to the nearest minute. Blank space is displayed if no data is read from the files.

  • Aggregation method

Displays the aggregation method. The default value is [Average].

To change the value, click the [Edit] button.

    • Start time

Displays the time when the system began to read performance data from the file.

    • Beginning value

Displays the performance data that was read from the file first.

    • [Check] button

Selects the check box for the selected counter.

    • [Uncheck] button

Clears the check box for the selected counter.

    • [Edit] button

Displays the [Counter information] window where you can edit the counter name, node name, time interval, and aggregation method of the selected counter.

  • When you click the [OK] button, a progress window is displayed and the import processing starts.

    • When you click the [Cancel] button, the import processing is aborted.

This button changes to the [Close] button when the import processing is complete.

    • The [Start analysis] button is not used for this product.

[Notes]

  • Completing the processing might take a while if the import file is large.

  • If the performance data for the same counter has already been imported, the import processing does not overwrites the time interval and aggregation method in the existing counter information. Maintain counter information to edit them. For details, click here.

  • Imported performance data is organized by the minute according to the aggregation method and stored in the manager.

  • The period and counter count of performance data that each node retains are displayed in the node's property view in the integrated topology view. The dates and times for the oldest and newest performance data are displayed for the performance data retention period.

[Related items]

Specifying the import file

Editing counter information to import

Maintaining counter information


Specifying the import file

Users must perform this operation after shifting to the Configuration mode.

Specify the file from which performance data is imported. To specify the import file, click the [Add] button in the [Import performance data] window. When the [Select import file] window is displayed, specify each item, and then click the [OK] button.

  • Location

Select [Console] or [Manager] as the file location. The default value is [Console].

  • All files in directory

Select this check box to specify all the files in the specified directory at once. The files in subdirectories are not specified. The check box is cleared by default.

  • File path

Specify the file and directory to import by clicking the [Browse] button.

  • File format type

Specify the type of import file. The types below can be selected. The file type is automatically recognized by default.

  • Standard CSV

  • MasterScope PerformanceCmd

  • PerfStatisticsCmd CSV

  • MasterScope Network Manager

  • HP Performance Agent software(extract -g) -en

  • HP Performance Agent software(extract -g) -ja

  • JP1 PerformanceManagement(jpcrpt)

  • Windows Performance Monitor CSV

  • HP-UX sar

  • Linux sar -en

  • Linux sar -ja

  • Solaris sar

  • AIX sar

If [Auto] is specified, the file type is automatically determined.

[Note]

Some file types cannot be automatically recognized.

  • Character code

Specify the character encoding scheme for the import file. The following encoding schemes can be used. The default value is Japanese (Shift-JIS).

Japanese (JIS 0208-1990 and 0212-1990) | Data is read using EUC encoding.
Japanese (JIS) | Data is read using JIS encoding.
Japanese (Shift-JIS) | Data is read using Shift-JIS encoding.
Unicode | Data is read using Unicode encoding.
Unicode (Big-Endian) | Data is read using Unicode (Big-Endian) encoding.
Unicode (UTF-8) | Data is read using Unicode (UTF-8) encoding.
US-ASCII | Data is read using ASCII encoding.

  • [Preview] button

Previews the first 20 lines or the first 100 KB of data in the specified file.

If data is not normally displayed, specify the correct character encoding scheme.

This button is disabled when a directory is specified.

[Note]

  • Analyzing the contents might take a while if the specified file is large.

  • It's imported at a manager time zone by an import from monitoring view.

[Related item]

Importing performance data


Standard CSV

This is the standard CSV file defined for this product.

Even if performance data does not support other file types, the data can be imported by saving it in this format.

[Format]

  • Comma-delimited text file.

  • The first row enumerates a pair consisting of a node name and counter name by concatenating them with ":" (a colon).

  • The second and subsequent rows show the date and time information and the value of each counter.

  • The date and time information is displayed in the "YYYY/MM/DD hh:mm:ss" format in the first column.

  • When you specify "Invariant Analyzer CSV" at the beginning of the first row, the format can be automatically recognized when the file is loaded.

[Example]

Invariant Analyzer CSV, HostA:Counter-A, HostB:Counter-B, HostC:Counter-C

2009/09/01 00:00:12, 1.406, 2.760, 2.500

2009/09/01 00:01:12, 1.094, 2.474, 2.839

2009/09/01 00:02:12, 1.328, 2.344, 2.943

2009/09/01 00:03:12, 1.797, 3.099, 2.161

[Note]

If "Invariant Analyzer CSV" is omitted from the beginning of the first row, the format cannot be automatically recognized. Select [Standard CSV] for [File format type] before importing.

[Related item]

Specifying the import file


MasterScope PerformanceCmd

This is a file output by using the performance information output command, "PerformanceCmd CSV", in MasterScope SystemManager, MasterScope Application Navigator, or another application.

[Example]

Host: hostA

Object: Processor

Instance: 0

Counter: % Processor Time

Date,Time,Data

"2009/08/17","09:09:55",1.1979169845581055

"2009/08/17","09:10:25",2.03125

"2009/08/17","09:10:55",0.52083301544189453

[Note]

  • The format of a file output in an English environment cannot be automatically recognized. Select [MasterScope PerformanceCmd] for [File format type] before importing.

  • Only comma-delimited format can be imported. Tab-delimited format cannot be imported.

[Related item]

Specifying the import file


PerfStatisticsCmd CSV

This is a file output by using the performance information output command, "PerfStatisticsCmd CSV", in MasterScope SystemManager, MasterScope Application Navigator, or another application.

[Example]

"PerfStatisticsCmd CSV(TimeZone:-540)"

"Host Name","HostA"

"Counter Name","Object|Instance|Counter1"

"Data Type","average(sec)","3600"

"Date","Time","Data"

"2012/1/24","10:30:00","1.23456"

"2012/1/24","10:31:00","1.23456"

"2012/1/24","10:32:00","1.23456"

[Note]

  • Only comma-delimited format can be imported. Tab-delimited format cannot be imported.

[Related item]

Specifying the import file


MasterScope Network Manager

This is a performance information file for MasterScope Network Manager.

[Example]

;UNIXTIME,ManagerName:Compname,ifInOctets.1(Gi0/1),ifOutOctets.1(Gi0/1),ifInOctets.2

(Gi0/2),ifOutOctets.2(Gi0/2)

;,,bps,bps,bps,bps

1251472052,:c3550,1635,110,331,708

1251472652,:c3550,1610,104,321,654

1251473252,:c3550,1598,104,320,638

1251473852,:c3550,1484,104,319,692

1251474452,:c3550,1577,104,319,653

[Related item]

Specifying the import file


HP Performance Agent software (extract -g)

This is a file output by using the performance information output command, "extract -g" in HP Performance Agent software.

[Example]

PA Export 07/21/2009 15:59    Logfile: /var/opt/perf/datafiles/logglob SCOPE/UX C.04.73.400(3) HostA

          |        | Sec  |Cache Mem| SysCall  |Uptime|      |SysCall| Nice |RealTm|

   Date   |  Time  |/Intvl|  Hit %  |   Rate   |Hours |CPU % | CPU % |CPU % |CPU % |

07/21/2009|00:00:00| 299.3|    99.86|      2199|   111|  2.83|   0.85|  0.00|  0.06|

07/21/2009|00:05:00| 300.8|    99.98|      1754|   111|  2.56|   0.84|  0.00|  0.05|

07/21/2009|00:10:00| 300.1|   100.00|      2139|   111|  2.69|   0.81|  0.00|  0.05|

07/21/2009|00:15:00| 299.3|   100.00|      1717|   111|  2.51|   0.80|  0.00|  0.05|

07/21/2009|00:20:00| 300.8|    99.97|      1712|   111|  2.48|   0.78|  0.00|  0.05|

Use "|" as the separator.

Output "Date" in the first column and "Time" in the second column.

[Notes]

  • Only the [Global] data format is supported.

  • The date format differs depending on the language environment (English or Japanese) used during output. To import a file output in an English environment, select [HP Performance Agent software (extract -g) -en] for [File format type]. To import a file output in a Japanese environment, select [HP Performance Agent software (extract -g) -ja].

  • The format of a file output in a Japanese environment cannot be automatically recognized. Select [HP Performance Agent software (extract -g) -ja] for [File format type] before importing.

[Related item]

Specifying the import file


JP1 PerformanceManagement(jpcrpt)

This is a file output by using the performance information output command, "jpcrpt", in JP1 PerformanceManagement.

[Example]

Report: /test

Agents: OA1HostA

"Date Format: pattern-yyyyMMdd,space"

Command: jpcrpt -input c:\tmp\log\registration-report.xml -o c:\tmp\log\report.csv -dateformat pattern-yyyyMMdd -exportseparator space

Agent Host,Agent Instance,Date and Time,Agent Type,Block Changes/Tran,Block Get/sec,Block Visits/Tran,Buffer Busy Wait %

HostA,Instance1,2009 08 23 10:50:00,O,7,87.83333333,878.3333333,0

HostA,Instance1,2009 08 23 10:51:00,O,7.4,86.42622951,1054.4,0

HostA,Instance1,2009 08 23 10:52:00,O,7.4,89.11864407,1051.6,0

HostA,Instance1,2009 08 23 10:53:00,O,27.91304348,118.9,310.173913,0

Specify the ";pattern-yyyyMMdd"; date format.

Specify History(multiple agent) as the report type.

Output "Agent Host", "Agent Instance", and "Date and Time" in this order from the beginning of the row.

[Note]

  • Only the History(multiple agent) data format is supported.

[Related item]

Specifying the import file


Windows Performance Monitor CSV

This is a CSV output file for Windows performance monitor.

[Example]

"(PDH-CSV 4.0) ()(-540)","\\hostA\Memory\Available Bytes","\\hostA\Memory\Cache Bytes","\\hostA\Memory\Page Faults/sec"

"08/04/2009 17:12:57.468","846508032","200364032","266.26166227023049"

"08/04/2009 17:13:57.468","846536704","200388608","43.217559804965603"

"08/04/2009 17:14:57.468","846696448","200658944","41.584194634077527"

"08/04/2009 17:15:57.468","845553664","202080256","127.11929793204105"

"08/04/2009 17:16:57.468","846143488","201674752","25.467196559859204"

"08/04/2009 17:17:57.468","845991936","202211328","24.083822737037988"

[Note]

Only the [CSV (comma delimited)] format is supported.

[Related item]

Specifying the import file


HP-UX sar

This is a file output by using the HP-UX sar command.

[Example]

HP-UX hostA B.11.23 U ia64    08/23/09

16:46:08    %usr    %sys    %wio   %idle

16:46:09       0       1       0      99

16:46:10       1       0       0      99

16:46:11       0       0       0     100

Average        0       0       0      99

[Notes]

  • One file cannot contain information for multiple dates.

  • If data is output from a binary file by using the -f option, the format for outputting multiple items at the same time is not supported.

Output formats such as sar -A -f and sar -ud -f are not supported. Import each individually output file (e.g. sar -u -f).

[Related item]

Specifying the import file


Linux sar

This is a file output by using the Linux sar command.

[Example]

Linux 2.4.21-9.30AX (hostA)  09/14/09

16:54:44          CPU     %user     %nice   %system     %idle

16:54:45          all      0.00      0.00      0.00    100.00

16:54:46          all      0.00      0.00      0.00    100.00

16:54:47          all      0.00      0.00      0.00    100.00

16:54:48          all      0.00      0.00      0.00    100.00

Average:          all      0.00      0.00      0.00    100.00

[Notes]

  • One file cannot contain information for multiple dates.

  • If data is output from a binary file by using the -f option, the format for outputting multiple items at the same time is not supported.

Output formats such as sar -A -f and sar -ud -f are not supported. Import each individually output file (e.g. sar -u -f).

  • The date format differs depending on the language environment (English or Japanese) used during output. To import a file output in an English environment, select [Linux sar -en] in [File format type]. To import a file output in an Japanese environment, select [Linux sar -ja].

  • The format of a file output in a Japanese environment cannot be automatically recognized. Select [Linux sar -ja] for [File format type] before importing.

[Related item]

Specifying the import file


Solaris sar

This is a file output by using the Solaris sar command.

[Example]

SunOS hostA 5.9 Generic_117171-15 sun4u    09/04/2009

18:25:07    %usr    %sys    %wio   %idle

18:25:08       1       1       0      98

18:25:09      41       1       0      58

18:25:10       0       1       0      99

Average       14       1       0      85

[Notes]

  • One file cannot contain information for multiple dates.

  • If data is output from a binary file by using the -f option, the format for outputting multiple items at the same time is not supported.

Output formats such as sar -A -f and sar -ud -f are not supported. Import each individually output file (e.g. sar -u -f).

[Related item]

Specifying the import file


AIX sar

This is a file output by using the AIX sar command.

[Example]

AIX hostA 1 5 0006B72B4C00    09/03/09

14:25:24    %usr    %sys    %wio   %idle

14:25:35      25      75       0       0

14:25:38      25      75       0       0

14:25:40      20      80       0       0

Average       25      75       0       0

[Notes]

  • One file cannot contain information for multiple dates.

[Related item]

Specifying the import file


Editing counter information to import

Users must perform this operation after shifting to the Configuration mode.

To edit the counter information to import, select the counter in the import data section in the [Import performance data] window, and then click the [Edit] button. When the [Counter information] window is displayed, enter each item, and then click the [OK] button.

  • Counter name

Specify the counter name by using within 256 characters. This name cannot be omitted.

If different counter names are selected, this field displays [-] and is not editable.

  • Node

Select a node name from the list. This name cannot be omitted.

If different node names are selected, this field displays [-] and is not editable.

If performance data has been imported with a host specified in the integrated topology view, the node name cannot be edited.

  • Time interval

Specify the time interval for performance data within the range from 1 to 1,440.

  • Aggregation method

Specify the aggregation method for performance data. Select one of the types below. The default value is [Average].

Average | If multiple values exist in the analysis interval, the average value is used.
Instant | If multiple values exist in the analysis interval, the value at (or immediately before) the aggregation time is used.
Accumulated | If multiple values exist in the analysis interval, the total value is used.
Differential | If multiple values exist in the analysis interval, the difference between the value at (or immediately before) the aggregation time and the previous value is used.

If multiple counters using different aggregation methods are selected, [-] is displayed.

[Note]

  • If the edited counter name and node name exist in the [Import performance data] window, counter information is collectively displayed on a single row in the import data section.

[Related item]

Import performance data


Model

During invariant analysis, a model is created from the performance data of the normal behavior and performance data is analyzed using the model.

A model must be created before analysis.

To perform model-related operations, right click [Invariant analysis] in the tree view (integrated topology view), and then select [Models] from the displayed pop-up menu to display the [Models] window.

  • Models

Lists invariant analysis models.

  • Model creation date

Displays the date and time when the model was created.

  • Status

Displays the model status. The model has one of the following statuses

(blank) | The model was normally created and is not currently used for analysis.
Waiting | The model has received a creation or validation instruction and is waiting for processing.
Creating | The model is being created.
Validating | The model is being validated.
Cancelling | The model has received an aborting instruction and is waiting for completion of aborting processing.
Cancel | Creation has been aborted. Delete the model because it is not usable.
Fail | Creation has failed. Delete the model because it is not usable.
Using | The model is being used for analysis.
Resetting | Resetting validated model to original model.

  • Model name

Displays the model name.

  • Comment

Displays the comment added to the model.

    • Effective invariants

This displays the number of valid correlations detected due to model creation.

Because performing validation excludes weak correlations, the total number of correlations decreases.

  • Time interval

Displays the analysis interval of the model.

  • Modeling period

Displays the period of performance data used for model creation.

When creating a model, this period might be shorter than the specified period depending on the amount of memory available for model generation. For details, click here.

    • Last update

Displays the end of the target period specified for validation. If validation has been performed multiple times, the newest time is displayed.

If validation has never been performed, the end of the modeling period is displayed.

  • The number of counters

Displays the number of counters selected when creating the model.

  • Initial invariants

Displays the number of valid correlations when the model was created.

  • Threshold(either)

Displays the parameter specified when creating the model.

    • Threshold(both)
      Displays the parameter specified when creating the model.

    • Significant digits
      Displays the number of valid digits when the model was created.

    • Remove invariants which are never broken
      Displays the specification of [Remove invariants which are never broken] for model creation.
      Displays [Yes] when it is specified, and displays [-] when it is not specified.

    • Input range
      Displays the input data range specified when creating the model.

    • Feedback range
      Displays the output data range specified when creating the model.

    • Time shift
      Displays the time range specified when creating the model.

    • Model ID
      Displays the model ID.

  • [Create new model] button

Creates a model. For details, click here.

  • [Validate] button

Validates the model and eliminates unnecessary correlation information. For details, click here.

This button is enabled for models for which the status is [(blank)] or [Using].

  • [Update] button

Edits the model name or comment. For details, click here.

  • [Delete] button

Deletes the model. For details, click here.

This button is enabled for models for which the status is [(blank)], [Cancel], or [Fail].

  • Pop-up menu displayed by right clicking the [Models] section

  • Cancel

Aborts creation or validation of the model.

This button is enabled for models for which the status is [Waiting], [Creating], or [Validating].

This button is only available to a user who belongs to a group that has operation privileges.

  • Reset validating
    Reset validated model to previous model.
    This button is enabled for models for which the status is [(blank)], [Using].
    This button is only available to a user who belongs to a group that has operation privileges.

[Related items]

Creating a model

Validating a model

Updating the model name or comment

Deleting a model


Creating a model

Users must perform this operation after shifting to the Configuration mode.

To create a model, click the [Create new model] button in the [Models] window to display the [Create new model] window. Enter each item, and then click the [Start] button.

  • Model name

Specify the model name by using within 64 characters. This name cannot be omitted.

  • Comment

Specify the comment added to the model by using within 64 characters.

  • Modeling period

Specify the period for which data is modeled. Specify the period for which performance data is normal.

The specified period must contain performance data.

[Note]

The counter is excluded from modeling targets if some of its performance data is missing during the specified period.

If missing data is within the range specified in the option settings, the data can be added. For details, click here.

  • Target counters

Specify the counter to model by clicking the [Counter setting] button. For details, click here.

The selected counter count must not exceed the counter license count.

  • Time interval

Specify the analysis interval within the range from 1 to 1,440 (min).

The default value is the largest time interval for the selected target counters.

Any value can be specified by selecting the [Manual setting] check box.

  • Advanced settings

Displays the [Create new mode - Advanced Setting] window where you can specify detailed model creation parameters. For details, click here.

  • When you click the [Start] button, the model creation processing starts.

A progress window is displayed until the model creation processing is complete.

    • When you click the [Cancel] button, the model creation processing is aborted.

    • When you click the [Close] button, the progress window is closed. In this case, the model creation processing continues.

[Note]

If there are many counters and the modeling period is longer than the analysis interval, completing the processing might take a while.

[Related items]

Model

Selecting the target counter to model

Specifying advanced settings during model creation


Specifying advanced settings during model creation

Users must perform this operation after shifting to the Configuration mode.

Click the [Advanced settings] button in the [Create new model] window to display the [Create new model - Advanced Setting] window. Specify parameters, and then click the [OK] button.

  • Threshold(either)

Specify the correlation strength (fitness) that must be unilaterally satisfied by the correlation between two counters in the range from 0.00 to 1.00. The default value is 0.70.

If a larger value is specified for this item, fewer valid correlations are detected.

  • Threshold(both)

Specify the correlation strength (fitness) that must be bilaterally satisfied by the correlation between two counters in the range from 0.00 to 1.00. The default value is 0.50.

If a larger value is specified for this item, fewer valid correlations are detected.

  • Accuracy

    • Significant digits
      Specify a number between 3 and 7 for the significant digits. The default value is 5.
      A higher precision number indicates higher fitness; however, it also means that numerical calculation errors have a greater impact and insignificant correlation anomalies may be detected.
      If not specified, a larger number is used for the precision.

    • Remove invariants which are never broken
      When creating a model, correlations that always match and may not be required as a model are removed.
      By enabling this setting, the number of correlation anomalies can be reduced and the processing speed can be improved.
      This setting is enabled by default.
      It is disabled when the precision number is not specified.

  • Model parameter
    The analysis can be speeded up and the data volume can be reduced by specifying smaller values for model parameters; however, doing so narrows the supported modeling range.
    Specifying larger values widens the supported modeling range; however, doing so slows down the analysis and increases the data volume.

    • Input range
      Specify the input data log range as a number between 0 and 2. The default value is 1.

    • Feedback range
      Specify the feedback data log range as a number between 0 and 2. The default value is 1.

    • Time shift
      Specify the time difference between data as a number between 0 and 2. The default value is 0.

    • High speed(default)
      Specify the default values for the model parameters.

    • compatible & wide range
      Specify values compatible with previous versions (input data range 2, output data range 1, and time range 2) for the model generation parameters.

  • Help
    The [Help] dialog box is displayed.

When a model is created, correlations between counters are analyzed and only stronger correlations are used for the model.

That is, correlations for which the strength (fitness) exceeds the thresholds specified here are used.

Correlations between two counters are analyzed in both directions. [Threshold(either)] is the threshold that a unilateral correlation strength (fitness) must satisfy. [Threshold(both)] is the threshold that the bilateral correlation strengths (finesses) must satisfy.

If [Threshold(both)] is larger than [Threshold(either)], [Threshold(either)] is ignored.

[Related item]

Creating a model


Selecting the target counter to model

Users must perform this operation after shifting to the Configuration mode.

Click the [Counter setting] button in the [Create new model] window to display the [Target counters] window. Select the counters to model, and then click the [OK] button.

  • Tree display section

Displays the analysis targets in the integrated topology view in the tree format.

The number of selected counters and the total number of counters are displayed in the selected counter count/total counter count format after the node or group name.

All the counters in the node can be selected by selecting the node or group in the tree.

  • License count

The total number of selected counters and the counter license count are displayed in the total number of selected counters/counter license count format.

  • Counter list section

Lists the counters in the nodes or search counter information in the group.

If a selected group contains multiple nodes that have counters with the same name, these counters are collectively displayed on one row.
A blank list is displayed immediately after displaying the information.

  • Counter name

Displays the counter name.

If the check box is selected, the data for that counter is modeled. The check box is selected by default.

    • The number of found items
      Displays the number of found items when counters with the same name are summarized and displayed in one line after a search.

    • Search limit
      Specify the upper limit for the counter search count. The default value is 10,000.
      The search is stopped when the specified counter number is reached.

  • Find
    Enter a keyword in the text box, and then click the [Find] button to extract and display the counter names that include the keyword.
    This field is case-sensitive. Wildcards and regular expressions are not available.
    To remove the filter, clear the text box, and then click the [Find] button.

  • Check
    Check the box for the counter name on the selected line.

  • Uncheck
    Uncheck the box for the counter name on the selected line.

  • When the [Refer to existing model] button is clicked, the [Refer to existing model] dialog box is displayed, and you can copy the selection status of counters used to create the existing model.

    • Model name
      Display the name of the model to be viewed.
      Nothing is displayed when no model is specified for viewing.

    • Search counters not in the model
      When the box is checked, the existing model is viewed and counters that do not belong to the existing model are also searched.
      The check box is cleared by default.

  • When the [Browse] button in the [Referring Configuration] dialog box is clicked, the [select model] dialog box is displayed, and you can select the existing model to copy the selection status of counters.

If a counter not included in the existing model was added when the [OK] button in the [Referring Configuration] dialog box was clicked, the following message is displayed.

Click [Yes] to select the added counter. Click [No] to deselect the added counter.

When an added counter exists, the search status is cancelled and the counter is displayed in the list.

When an added counter does not exist, the following message is displayed.

[Related items]

Creating a model

License


Validating a model

Only a user who belongs to a group that has operation privileges can perform this operation.

Unnecessary correlations can be eliminated from the model by adding performance data to the created model and validating it.

To validate the model, select the target model in the [Models] window, and then click the [Validate] button. When the [Validate] window is displayed, enter each item, and then click the [Start] button.

  • Model name

Displays the model name. This item is not editable.

  • Validation period

Specify the period for which the model is validated. Specify the period for which performance data is normal.

The specified period must contain performance data.

[Note]

The counter is excluded from validation targets if its performance data is missing during the specified period.

If missing data is within the range specified in the option settings, the data can be added. For details, click here.

  • Add new counters to validation

Add new counters which are added after model creation or model validation.

Counters which are unchecked and removed from model creation are also added. At default, this function is turned off.

  • When you click the [Start] button, a progress window is displayed and the model validation processing starts.

    • When you click the [Cancel] button, the model validation processing is aborted.

    • When you click the [Close] button, the progress window is closed. In this case, the model validation processing continues.

[Note]

Completing the processing might take a while when the model validation period is long.

[Related items]

Model


Updating the model name or comment

Only a user who belongs to a group that has operation privileges can perform this operation.

To update the model name or comment, select the target model in the [Models] window, and then click the [Update] button. When the [Update] window is displayed, enter each item, and then click the [Start] button.

  • Model name

Specify the model name by using within 64 characters. This name cannot be omitted.

  • Comment

Specify the comment added to the model by using within 64 characters.

[Related item]

Model


Deleting a model

Only a user who belongs to a group that has operation privileges can perform this operation.

To delete an unnecessary model, select the model in the [Models] window, and then click the [Delete] button. When the following window is displayed, click the [OK] button.

[Note]

The model cannot be deleted when the status is [Using], [Waiting], [Creating], [Validating], or [Cancelling].

[Related item]

Model


Analysis

During invariant analysis, a model is created from the performance data of the normal behavior and performance data is analyzed using the model.

A model must be created before analysis.

To perform analysis-related operations, click [Invariant analysis] in the tree view (integrated topology view) to display the [Invariant analysis] view.

  • When you click the [Real-time analysis] button, new real-time analysis starts. For details, click here.

For real-time analysis, real-time performance data is retrieved through linkage with each monitoring function and automatically analyzed.

  • When you click the [On-demand analysis] button, new on-demand analysis starts. For details, click here.

For on-demand analysis, performance data that has been accumulated by each monitoring function and imported performance data are retrieved and manually analyzed.

  • Analysis result list section

Lists the past analysis results.

  • Analysis date

Displays the date and time when the analysis was performed.

    • Status

Displays the analysis status. The model has one of the following statuses.

Waiting | The system has received an analysis instruction and is waiting to start analysis. This status only applies to new analysis.
Analyzing | Data is being analyzed. This status only applies to new analysis.
Suspend | Analysis has temporarily stopped. This status only applies to real-time analysis.
Analysis completed | Analysis finished normally.
Analysis failed | Analysis has failed. This status only applies to new analysis.
Canceling analysis | The system received an aborting instruction and is waiting to finish aborting. This status only applies to on-demand analysis.
Analysis canceled | Analysis has been aborted. This status only applies to on-demand analysis.
Waiting subsequent analysis | The system has received an additional analysis instruction and is waiting to start additional analysis. This status only applies to additional analysis.
Analyzing subsequence | Additional data is being analyzed. This status only applies to additional analysis.
Cancelling subsequent analysis | The system received an additional analysis aborting instruction and is waiting to finish aborting. This status only applies to additional analysis.
Waiting for analysis engine connection | Waiting for an external engine connection. This status only applies to real-time analysis.
Updating analysis definition | Updating analysis definition. This status only applies to real-time analysis.

  • Analysis period

Displays the analysis period.

  • User name

Displays the name of the user who performed analysis.

  • Comment

Displays the comment added to the analysis.

  • Type

This displays the analysis type.

  • Analysis ID
    This displays the analysis ID.

  • Model name
    Displays the model name for which the whole period is specified in the model application schedule.

  • Model ID
    Displays the model ID for which the whole period is specified in the model application schedule.

  • Extended anomaly score
    Displays whether the analysis results include the calculation of the extended anomaly score or not.

  • Pop-up menu displayed by right clicking the analysis result list section

  • Show result

Displays the analysis result details. For details, click here.

    • View comment/Edit comment

Select this to view or edit the comment added to the analysis. For details, click here.

    • Stop analysis

Select this to terminate the analysis being performed.

This is only enabled during real-time analysis.

    • Suspend analysis

Select this to temporarily stop the analysis being performed.

This is only enabled during real-time analysis.

    • Resume analysis

Select this to resume a temporarily stopped analysis.

This is only enabled during real-time analysis.

    • Redefine analysis

A temporarily stopped analysis definition can be edited. For details, click here.

This is only enabled during real-time analysis.

    • Cancel analysis

Aborts analysis.

This is enabled during on-demand analysis or additional analysis.

    • Start a subsequent analysis

Select this to add a period to the results of a finished analysis to perform additional analysis. For details, click here.

This is only enabled during on-demand analysis (including finished additional analysis).

    • Delete result

Deletes the analysis result. For details, click here.

    • Analysis with inherited definition

Quotes the definition of analysis results and performs a new analysis. For details, click here.

[Related items]

Performing real-time analysis

Performing on-demand analysis

Performing additional analysis

Editing the comment for an analysis result

Viewing analysis results

Deleting analysis results


Performing real-time analysis

Users must perform this operation after shifting to the Configuration mode.

Use the [Real-time analysis definition] dialog box to perform real-time analysis. To display the [Real-time analysis definition] dialog box, perform one of the following operations:

  1. To run real-time analysis from tree view (integrated topology view), right click arbitrary node under logical view and select [real-time analysis].

  2. Click the [Real-time analysis] button in the invariant analysis view.

  3. Right click the analysis list section in the invariant analysis view, and then select [Analysis with inherited definition] from the displayed pop-up menu.

Enter each item in the [Real-time analysis definition] dialog box, and then click the [Start] button.

  • [Model assignment schedule] section

Specify the model applied to the analysis period.

    • Calendar display section

This displays the imposed model schedule on the calendar.

    • Click the [Previous] button to display the calendar for the previous month. This button is disabled when the current month is displayed.

    • Click the [Current] button to display the calendar for the current month. This button is disabled when the current month is displayed.

    • Click the [Next] button to display the calendar for the next month.

    • Models section

This lists the colors, names, imposed schedules and time interval of the used models.

The upper item takes priority.

    • The priority of the imposed model schedule can be changed using the [Up]/[Down] buttons.

    • To redefine the imposed model schedule, select it, and then click the [Edit] button or double click the item.

    • When you click the [Add] button, an imposed model schedule is added.

The model color can be changed in the [Analysis display settings] dialog box.

  • [Comment]

Specify the comment added to the analysis by using within 256 characters.

  • [Advanced settings]

This displays the [Analysis definition - Advanced settings] dialog box where you can specify detailed analysis parameters. For details, click here.

  • When you click the [Start] button, the analysis processing starts.

[Notes]

One counter for each counter of the model to apply is necessary. The number of counters must not exceed the number of counter licenses.

For real-time analysis, only one analysis is possible per job. It is not possible to simultaneously analyze the same job more than once.

[Related items]

Analysis

Defining the model used for analysis

Specifying advanced settings during analysis


Performing on-demand analysis

Users must perform this operation after shifting to the Configuration mode.

Use the [On-demand analysis definition] dialog box to perform on-demand analysis. To display the [On-demand analysis definition] dialog box, perform one of the following operations:

  1. Right click [Invariant analysis] in the tree view (the integrated topology view), and then select [On-demand analysis] from the displayed pop-up menu.

  2. Click the [On-demand analysis] button in the invariant analysis view.

  3. Right click the analysis list section in the invariant analysis view, and then select [Analysis with inherited definition] from the displayed pop-up menu.

Enter each item in the [On-demand analysis definition] dialog box, and then click the [Start] button.

  • Analysis period

Displays the analysis period. The initial value the last date for retaining performance data.

Specify the period that contains performance data.

When this window is displayed using the [Redefine analysis] menu, the initial value is the definition of the quoted analysis result.

When this window is displayed using the [Start analysis] button when performance data is completely imported, the initial value is the period of the imported file.

  • [Model assignment schedule] section

Specify the model applied to the analysis period.

  • Calendar display section

Displays the model application schedule on the calendar.

  • Click the [Previous] button to display the calendar for the previous month. This button is disabled if the first month of the analysis period is displayed.

  • Click the [Start] button to display the calendar for the first month of the analysis period. This button is disabled if the first month of the analysis period is displayed.

  • Click the [Next] button to display the calendar for the next month. This button is disabled if the last month of the analysis period is displayed.

  • Models section

This lists the colors, names, imposed schedules and time interval of the used models.

The upper item takes priority.

    • The priority of the model application schedule can be changed using the Up/Down buttons.

  • To redefine the model application schedule, select it, and then click the [Edit] button or double click the item.

  • When you click the [Add] button, a model application schedule is added.

The model color can be changed in the [Analysis display settings] window.

  • Comment

Specify the comment added to the analysis by using within 256 characters.

  • Advanced settings

Displays the [Analysis definition - Advanced settings] window where you can specify detailed analysis parameters. For details, click here.

  • When you click the [Start] button, a progress window is displayed and the analysis processing starts.

    • When you click the [Cancel] button, the analysis processing is aborted.

    • When you click the [Close] button, the progress window is closed. In this case, the analysis processing continues.

[Note]

If the used model has many valid correlations or the analysis period is long, completion of the processing might take a while.

[Related items]

Analysis

Defining the model used for analysis

Specifying advanced settings during analysis


Performing additional analysis

Only a user who belongs to a group that has operation privileges can perform this operation.

Use the [Analysis definition on the subsequent time period] dialog box to perform additional analysis. To display the [Analysis definition on the subsequent time period] dialog box, perform the following operation:

  1. Right-click the analysis list in the invariant analysis view, and then select [Subsequent analysis] from the displayed menu.

Enter each item in the [Analysis definition on the subsequent time period] dialog box, and then click the [Start] button.

  • [Analysis period]

Specify the analysis period. The initial value is the period from the last day subject to additional analysis until the last day for which performance data is retained.

Specify a period to retain performance data.

  • [Model assignment schedule] section

Specify the model applied to the analysis period.

  • Calendar display section

This displays the imposed model schedule on the calendar.

  • Click the [Previous] button to display the calendar for the previous month. This button is disabled if the first month of the analysis period is displayed.

  • Click the [Start] button to display the calendar for the first month of the analysis period. This button is disabled if the first month of the analysis period is displayed.

  • Click the [Next] button to display the calendar for the next month. This button is disabled if the last month of the analysis period is displayed.

  • Models section

This lists the colors, names, imposed schedules and time interval of the used models.

The upper item takes priority.

The model color can be changed in the [Analysis display settings] dialog box.

  • [Comment]

Specify the comment added to the analysis by using within 256 characters.

  • [Advanced settings]

Displays parameters set for analysis. The parameters can’t be reset.

For more detail on the parameters, please refer here.

  • When you click the [Cancel] button, the analysis processing is aborted.

  • When you click the [Close] button, the progress dialog box is closed. In this case, the analysis processing continues.

[Note]

For the real-time analysis type, additional analysis is not possible.

If the used model has many valid correlations or the analysis period is long, completing the processing might take a while.

[Related items]

Analysis

Defining the model used for analysis

About Period Schedules


Defining the model used for analysis

Users must perform this operation after shifting to the Configuration mode.

To define the model used for analysis, click the [Add] button in the [Analysis definition] window or specify the existing definition, and then click the [Edit] button. When the [Select model used] window is displayed, specify the model and schedule, and then click the [OK] button.

  • Model name

When you click the [Browse] button, the [Select model] window is displayed. Select the target model.

A model for which the status is [Cancelling], [Cancel] or [Fail] cannot be selected.

  • Imposed schedule

When you click the [settings] button, the [Schedule setting] window is displayed. Specify the model application schedule.

For details, click here.

The whole period is automatically applied to the first specified model.

[Related items]

Performing real-time analysis

Performing on-demand analysis

Period schedule


Specifying advanced settings during analysis

Users must perform this operation after shifting to the Configuration mode.

Click the [Advanced settings] button in the [Analysis definition] window to display the [Analysis definition - Advanced settings] window. Specify parameters, and then click the [OK] button.

  • Parameters for anomaly alert detection

Specify the parameters used to detect a correlation anomaly in the analysis result as an anomaly alert, if any.

    • Detection threshold

An anomaly alert is detected when the anomaly level (the number of abnormal correlations/the number of valid correlations in the model) exceeds the specified value.

Specify a value within the range from 1 to 100%. The default value is 5%.

    • Recovery threshold

The anomaly alert period ends when the anomaly level (the number of abnormal correlations/the number of valid correlations in the model) drops below the specified value during anomaly alert detection.

Specify a value within the range from 0 to 100%. The default value is 2%.

    • Suppress time

Specifying the suppression time allows the user to avoid detecting many anomaly alerts even if the anomaly level repeatedly crosses the detection and recovery thresholds.

No anomaly alert is detected for the specified suppression time after the anomaly level exceeds the detection threshold.

Specify a value within the range from 0 to 10,000 minutes. The default value is 10 minutes.

Even if the anomaly level (the number of abnormal correlations/the number of valid correlations in the model) does not drop below the recovery threshold, another warning might be automatically detected if the abnormal correlation trend changes.

  • Threshold

    • Broken Invariant detection threshold
      Specify the threshold to detecting broken Invariant.
      Specify a value within the range from 0.01 to 3.99.The default value is 1.10.

  • Analysis result

    • Calculate extended anomaly score
      Check this box to calculate the extended anomaly score during analysis.
      The extended anomaly score is a numeric value analyzed based on the abnormal correlation distribution to determine if the counter in question is the cause of the anomaly.
      This box is checked by default.

      The calculation of extended anomaly score takes time.
      Uncheck the box to shorten the analysis time.

Analysis cycle can be specified for real-time analysis.

  • Analysis cycle

  • Latency
    Specify the time to delay the analysis start time and wait for the performance data.
    Specify between 1 and 60 minutes.
    The default value is the maximum analysis interval of the applied model (this is 60 minutes if it exceeds 60 minutes).

  • Length
    Specify between 1 and 1,440 minutes as the duration to perform the real-time analysis.
    The default value is the maximum analysis interval of the applied model.

[Related item]

Performing real-time analysis

Performing on-demand analysis

Performing additional analysis


Editing the comment for an analysis result

Only a user who belongs to a group that has operation privileges can edit a comment.

To edit the comment for an analysis result, select the target analysis result in the invariant analysis view, right click it, and then select [Edit comment] from the displayed pop-up menu. When the [Edit comment] window is displayed, edit the comment, and then click the [OK] button.

  • Comment

Specify the comment added to the analysis result by using within 256 characters.

[Related item]

Analysis


Deleting analysis results

Only a user who belongs to a group that has operation privileges can perform this operation.

To delete an analysis result, select the analysis result in the invariant analysis view, right click it, and then select [Delete result] from the displayed pop-up menu. When the following window is displayed, click the [OK] button.

If the analysis result retention period is not [Unlimited] in the option settings, the analysis results older than the specified period are automatically deleted.

[Related items]

Analysis

Setting up the invariant analysis options


Viewing analysis results

To display the details of analysis result, select an analysis result in the analysis result list section in the invariant analysis view, and double click it or right click it and then select [Show result] from the displayed pop-up menu. When you double click [Invariant analysis] in the tree view (the Integrated topology), the result of the real-time analysis being performed is displayed in the analysis result details view. If there are no results for the real-time analysis being performed, the latest analysis result is displayed in the details of analysis result.

  • Anomaly graph

Displays the transitions in the correlation anomaly level (the number of abnormal correlations/the number of valid correlations in the model) at the top of the details of analysis result.

For details, click here.

  • [Anomaly alert] tab

Lists the points where the anomaly level exceeds the specified threshold as an anomaly alert.

For details, click here.

  • [Analysis result] tab

Displays the analysis result details.

  • Correlation anomaly tree

Displays the abnormal correlations at the time selected in the anomaly graph.

For details, click here.

  • Anomaly map

Displays the anomaly status at the time selected in the anomaly graph on the map showing groups and nodes.

For details, click here.

  • Invariant graph

Displays the transitions in the correlation anomaly between the counters selected in the correlation anomaly tree.

For details, click here.

  • Group summary

Displays the number of correlation anomalies at the time selected in the anomaly graph by the group and node in the pie graph.

For details, click here.

  • [Analysis definition] tab

Displays the analysis definition.

For details, click here.

[Related item]

Viewing an anomaly graph

Viewing an anomaly alert

Checking an abnormal correlation

Viewing an anomaly map

Viewing an invariant graph

Viewing a group summary

Viewing an analysis definition

Referencing an analysis result from an anomaly alert message


Viewing an anomaly graph

The anomaly graph is displayed at the top of the details of analysis result.

The transitions in the correlation anomaly level (the number of abnormal correlations/the number of valid correlations in the model) are displayed using a line graph.

  • Toolbar section

For real-time analysis

For on-demand analysis

  • , [image], [image] enable you to change the graph display time range and the display position. For details, click here.

  • Click the [Save analysis result] button to save the data displayed in the analysis result details view in the HTML format. For details, click here.

  • Graph section

Displays the correlation anomaly level (the number of abnormal correlations/the number of valid correlations in the model) as a graph.

When a node or group is selected in the anomaly map, the percentage of the selected node or group is also displayed on the graph.

  • When you click the graph section, the data for the selected time is displayed on the [Analysis result] tab. A red vertical dotted line is displayed at the selected time.
    From the clicked point, the system searches for the peak of the graph in the direction in which the graph goes up, and selects the found peak. To select a different point, click it while holding down the [Shift] key.

A point without a correlation anomaly cannot be selected.

  • [Register anomaly alert] menu

Registers the clicked point as an anomaly alert.

The anomaly alert cannot be registered if another anomaly alert has already been registered for the period. A point where no correlation anomaly is detected (where the graph value is 0%) cannot be registered.

Only a user who belongs to a group that has operation privileges can perform this operation.

  • [Delete anomaly alert] menu

Deletes the anomaly alert from the clicked point.

Only a user who belongs to a group that has operation privileges can perform this operation.

  • [Y Scale] menu

Select the display width of the graph's vertical axis from [100%], [50%], [25%], [10%], [5%], and [Auto]. The default value is [Auto].

  • Anomaly alert bar section

The anomaly alert period is displayed in gray. is displayed at the time of maximum anomaly.

When you select the anomaly alert, the time of maximum anomaly in the graph section is selected.

  • [Delete anomaly alert] menu

Deletes the anomaly alert from the clicked point.

Only a user who belongs to a group that has operation privileges can perform this operation.

[Related items]

Changing the display time for the anomaly graph

Viewing analysis results

Viewing an anomaly alert

Checking an abnormal correlation

Viewing an analysis definition

Referencing an analysis result from an anomaly alert message


Changing the display time for the anomaly graph

The display time range and position for the anomaly graph can be changed.

  • To change the display range

Select the time with [image] on the toolbar section in the anomaly graph. The selectable range is 1 hour, 2 hours, 4 hours, 8 hours, 12 hours, 1 day, 2 days, 4 days, 1 week, 2 weeks, or 1 month. Click [image] to shorten (zoom in) the display range by one level, or click [image] to lengthen (zoom out) the display range by one level. When the time range is changed, the display shifts, using the latest time currently displayed in the graph (the rightmost time) as the axis.

  • To change the display position

You can select the display date with [image] on the toolbar section in the anomaly graph. When you click [image], the latest time in the graph shifts to the last time an analysis result was obtained. When you click [image], the graph display time shifts left (past). When you click [image], the graph display time shifts right (future). Time shifts by half the time selected in [image].

When a real-time or additional analysis of the displayed analysis results is performed, the latest display button turns yellow, and the last date and time analysis results were obtained are displayed in the toolbar section (to the right of [image]). When you click [image], the latest time in the graph shifts to the last time an analysis result was obtained.

  • Automatically updating

If the [image] check box in the toolbar section of the anomaly graph is selected, when real-time analysis is performed, the latest time in the graph automatically shifts to the last time an analysis result was obtained. The check box is cleared by default.

The analysis result can be automatically updated during real-time analysis.

When the check-box is selected, the display position for [image] and [image] cannot be changed. To change the display position, clear the check box.

[Notes]

  • A period that does not contain an analysis result cannot be displayed.

  • If the display range is smaller than the analysis interval, the anomaly graph cannot be normally displayed.

[Related item]

Viewing an anomaly graph


Viewing an anomaly alert

The points where the anomaly level exceeds the specified threshold can be listed as anomaly alerts.

To view the anomaly alerts, select the [Anomaly alert] tab in the details of analysis result.

  • Anomaly alert list section

Lists anomaly alerts detected through analysis.

When you click an anomaly alert, the anomaly alert is selected on the anomaly alert bar in the anomaly graph.

When you double click an anomaly alert, the time of maximum anomaly is selected in the anomaly graph and the display switches to the [Analysis result] tab.

  • A [image] mark is displayed for automatically detected anomaly alerts. This mark is not displayed for anomaly alerts the user registers from the anomaly graph.

  • Occurrence date

Displays the time when the anomaly alert occurred.

  • Duration

Displays the period during which the anomaly alert continues. The period is 0 for anomaly alerts the user registers from the anomaly graph.

If an anomaly alert continues until the end of the analysis period, the period for that anomaly alert is not displayed.

  • Time of maximum anomaly

Displays the time when the anomaly level is the highest during the anomaly alert period.

  • Total anomaly

Displays the total anomaly level for the whole warning period.

  • Mark

Displays the mark that the user added to the warning.

    • User name

Displays the name of the user who registered the anomaly alert for anomaly alerts the user registers from the anomaly graph. No data is displayed for automatically detected anomaly alerts.

  • Comment

Displays the comment that the user added to the anomaly alert.

  • Pop-up menu displayed by right clicking the anomaly alert list section

  • Mark

Adds a mark to the anomaly alert. The added mark must be defined in the [Priority Setting] window in advance.

Only a user who belongs to a group that has operation privileges can perform this operation.

  • Edit Comment

Enables the user to add a comment of within 64 characters to the anomaly alert.

Only a user who belongs to a group that has operation privileges can perform this operation.

  • Define related information

Enables the user to register the trend of anomaly alert correlation anomalies as anomaly information in the [Edit option] window.

Anomaly information cannot be added to anomaly alerts for which the period is not displayed during real-time analysis.

Only a user who belongs to a group that has operation privileges can perform this operation.

  • Delete

Deletes an anomaly alert

An anomaly alert for which the period is not displayed cannot be deleted.

Only a user who belongs to a group that has operation privileges can perform this operation.

  • Anomaly information display section

Select an anomaly alert in the anomaly alert list section and click the [Find] button to display the registered anomaly information.

  • Find
    Search for the information related to the anomaly alert selected in the anomaly alert list section.

  • Cancel
    Cancel the search for anomaly information.

  • Occurrence date

Displays the time when an anomaly alert for which anomaly information is registered occurred.

  • Name

Displays the anomaly information name.

    • Similarity

Displays the matching ratio between the selected anomaly alert and the correlation anomaly trend in the anomaly information.

The higher the matching ratio, the more similar the correlation anomaly trend.

    • Comment

Displays the comment added to the anomaly information.

    • User Name

Displays the name of the user who registered or updated the anomaly information.

    • [Edit] button

Enables the user to edit the name and comment in the [Edit option] window. For details, click here.

Only a user who belongs to a group that has operation privileges can perform this operation.

  • Pop-up menu displayed by right clicking the anomaly information display section

    • Delete

Deletes the registered anomaly information.

Only a user who belongs to a group that has operation privileges can perform this operation.

[Notes]

  • Even if an anomaly alert for which anomaly information is registered is deleted, the anomaly information is not deleted.

  • If a lot of anomaly information is registered or the selected anomaly alert period is long, it might take a while to display the all information.

  • Even if an anomaly alert for which anomaly information is registered is selected, the matching ratio might not become 100%.

[Related items]

Viewing analysis results

Viewing an anomaly graph

Checking an abnormal correlation

Viewing an analysis definition

Specifying advanced settings during analysis

Referencing an analysis result from an anomaly alert message


Registering an anomaly alert as anomaly information

Only a user who belongs to a group that has operation privileges can perform this operation.

When an anomaly alert is detected, the system can compare the correlation anomaly pattern with that of the registered anomaly alert to determine whether the anomaly is the same event.

To register an anomaly alert as anomaly information, select the anomaly alert on the [Anomaly alert] tab in the details of analysis result, right click it, and then select [Define anomaly information] from the displayed pop-up menu. When the [Edit option] window is displayed, enter each item, and then click the [OK] button.

To edit the registered anomaly information, select the anomaly information from the [Anomaly alert] tab in the details of analysis result, and then click the [Edit] button. When the [Edit option] window is displayed, enter each item, and then click the [OK] button.

  • Name

Specify the anomaly information name by using within 64 characters. This item cannot be omitted. The default value is "(anomaly alert)[Occurrence date]".

  • Comment

Specify the comment added to the anomaly information by using within 1,024 characters.

[Note]

Anomaly information is managed for each model. Anomaly information registered with a model different from the selected anomaly alert is not displayed.

[Related item]

Viewing an anomaly alert


Checking an abnormal correlation

To check the abnormal correlation at the selected time in the anomaly graph, view the [Analysis result] tab in the details of analysis result.

Information about correlation anomalies is displayed at the left of the window.

  • Tree display order list box
    Switch the display order of the correlation anomaly tree.
    The default value is Anomaly score. The default value can be changed with the Options settings.

    • Anomaly score
      Displays the correlation anomaly tree in descending order of anomaly score.

    • Extended anomaly score
      Displays the correlation anomaly tree in descending order of extended anomaly score.
      This can be selected when [Calculate extended anomaly score] is specified during analysis.

  • Tree section

Displays correlation anomalies in a tree format with two levels.

The first level displays the counter that detected the correlation anomaly. The second level displays the counter for which the correlation with the first level counter is abnormal.

If the selected time is within the warning period, the exclamation mark is displayed at the icon of the first level counter that has the maximum anomaly level.

When a first level counter is selected, the counter's properties are displayed at the bottom. That counter is selected in the anomaly map.

When a second level counter is selected, the properties of the correlation anomaly between the counters are displayed at the bottom. That correlation is selected in the anomaly map. Information about that correlation is displayed in the invariant graph.

A node name and counter name concatenated with "."; are displayed in [Counter name].

  • Counter property

Displays the following information.

Counter name | Displays the counter name. A node name and counter name concatenated with "." are displayed in [Counter name].
Significant [Total] | Displays the total significance of correlation anomalies.
Anomaly score | Displays the number of abnormal correlations.
Extended anomaly score | Displays the extended anomaly score. For details about the extended anomaly score, click here.
Model name | Displays the model name used for analysis.

  • Property of broken invariants

Displays the following information.

Counter name | Displays the counter pair for which the correlation is abnormal. A node name and counter name concatenated with ";."; are displayed in [Counter name].
Significant | Displays the significance of the correlation anomaly.
Fitness | Displays the strength of correlation in the created model. This value is always the same for each correlation and does not depend on the analysis result.
Model name | Displays the model name used for analysis.

[Note]

The number of displayed counters is limited. The limit can be changed in the [Anomaly map] window.

[Related items]

Viewing analysis results

Viewing an anomaly map

Viewing an invariant graph

Viewing a group summary


Viewing an anomaly map

The anomaly map shows the correlation anomaly status at the time selected in the anomaly graph with groups and nodes.

To view the anomaly map, click the [Analysis result] tab in the details of analysis result, and then click the [Anomaly map] tab at the right of the window.

  • The map can be zoomed in or out by using the [Magnify] slide bar.

  • When you click a counter mark, [image], the counter is selected. The selected counter, the counter that detected the correlation anomaly, and the correlation line between them are highlighted.

  • The height of the counter mark [image] indicates the counter's anomaly score.

  • A counter can be moved by dragging and dropping it. A counter cannot be moved outside the frame shown by the node.

  • The highlight color, font, and counter height can be changed in the [Analysis display settings] window.

[Note]

The number of displayed counters is limited. The limit can be changed in the [Analysis display settings] window.

[Related items]

Viewing analysis results

Checking an abnormal correlation

Viewing an invariant graph

Viewing a group summary


Viewing an invariant graph

The invariant graph is a line graph that shows transitions in correlation anomalies between the counters selected in the tree section on the [Analysis result] tab.

To view the invariant graph, click the [Analysis result] tab in the details of analysis result, and then click the [Invariant graph] tab at the right of the window.

The following three graphs are displayed.

  • Upper part (input counter graph)

Of correlations selected in the tree section on the [Analysis result] tab, the performance data of the counter that the model has used as the input value is displayed with a blue line.

  • Middle part (output counter graph)

Of correlations selected in the tree section on the [Analysis result] tab, the performance data of the counter that the model has used as the output value is displayed with a blue line.

The expected values calculated from the input values displayed in the upper section by using the model are displayed with a green dotted line.

  • Lower part (residual graph)

The difference between the performance data (blue line) and the expected values calculated using the model (green dotted line) in the middle part is displayed.

The threshold of the permissible correlation anomaly is displayed with a red horizontal line. The graph part exceeding the threshold is detected as a correlation anomaly.

The graph displays information about 20 points at the left and right of the time selected in the anomaly graph in the analysis interval unit.

[Related items]

Viewing analysis results

Checking an abnormal correlation

Viewing an anomaly map

Viewing a group summary


Viewing a group summary

The group summary displays the number of correlation anomalies for each group and node in a pie graph.

To view the group summary, click the [Analysis result] tab in the details of analysis result, and then click the [Group summary] tab at the right of the window.

If a group is selected in the anomaly map, the information about the group is displayed. If a node is selected, the information about the upper group is displayed. If a group or node is not selected, the information about all the analysis targets is displayed.

If the group has a deep level, the information about within two levels is displayed.

Displays the correlation anomaly status with the contents specified for the correlation anomaly tree display order (anomaly score or extended anomaly score).

  • Pie graph section

Displays the correlation anomaly status of the group and node in a single or double pie graph. The color and font of the pie graph can be changed in the [Analysis display settings] dialog box.

  • Item list section

Lists the values of correlation anomalies (anomaly score or extended anomaly score) of the group and node displayed in the pie graph.
The group name is enclosed in brackets ([ ]).

  • The color and font of the pie graph can be changed in the [Analysis display settings] window.

[Note]

If the number of items is larger than the number of colors specified for the pie graph (50 by default), the items to which no color is assigned are displayed as [Other].

[Related items]

Viewing analysis results

Checking an abnormal correlation

Viewing an anomaly map

Viewing an invariant graph


Saving analysis data in an HTML file

Data displayed in the details of analysis result can be saved in an HTML file.

Click the [Save analysis result] button on the toolbar at the top of anomaly graph, enter each item in the [Save analysis result] window, and then click the [OK] button.

  • Report items

Items for which the check box is selected are included in the HTML file. All the check boxes are selected by default.

  • File path

Specify the file path for the HTML file by using within 244 characters. This can be specified by clicking the [Browse] button.

Create and save the image data used by the HTML file in a directory that has the same name as the file. Create the style sheet file (style.css) used by the HTML file in the same directory as the HTML file.

[Note]

Special characters for HTML and "%" cannot be used for saved file names.

[Related items]

Viewing analysis results

Viewing an anomaly graph


Viewing an analysis definition

To view the analysis definition, select the [Analysis definition] tab in the details of analysis result.

  • Analysis period

Displays the analysis period.

  • Schedule

Displays the model application schedule on the calendar.

If an analysis definition was changed, all imposed model schedules, including past imposed model schedules, are displayed.

  • Click the [Previous] button to display the calendar for the previous month. This button is disabled if the first month of the analysis period is displayed.

  • Click the [Start] button to display the calendar for the first month of the analysis period. This button is disabled if the first month of the analysis period is displayed.

  • Click the [Next] button to display the calendar for the next month. This button is disabled if the last month of the analysis period is displayed.

  • Parameters for anomaly alert detection

Displays the anomaly alert parameters specified during analysis.

If an analysis definition was changed, the anomaly alert parameters from after the change are displayed.

  • Threshold
    Display the correlation anomaly detection threshold value specified during analysis.
    If an analysis definition was changed, the setting value after the change is displayed.

  • Analysis cycle (only for real-time analysis)
    Display the analysis execution timing specified during analysis.
    If an analysis definition was changed, the setting value after the change is displayed.

  • Analysis results
    Displays whether or not the extended anomaly score was calculated during analysis.

[Related items]

Viewing analysis results

Viewing an anomaly alert

Performing real-time analysis

Performing on-demand analysis

Performing additional analysis

Specifying advanced settings during analysis


Referencing an analysis result from an anomaly alert message

To display the analysis result window for the anomaly alert that has caused an anomaly alert message, display the relevant information from a detailed window for the message generated during real-time analysis, and select the relevant information whose service name is "Invariant Analyzer".

Then, a correlation anomaly score graph is displayed, centering around the maximum destruction time for anomaly alerts.


Analysis Wizard

Analysis Wizard divides periods into groups based on performance characteristic similarity by analyzing normally behaving performance data, and automatically creates a schedule and model optimized for analysis.


Executing Analysis Wizard

Only a user who belongs to a group that has operation authority can perform this operation.

To start the Analysis Wizard, right click [Invariant analysis] in the tree view (integrated topology view) and then select [Analysis Wizard] from the displayed pop-up menu to display the [Analysis Wizard settings] dialog box.

If the Analysis Wizard had been executed before, the previous Analysis Wizard definitions can be reused. To reuse the definitions, click [Yes] when the confirmation message is displayed.

If a linkage view exists in the integrated topology view and the analysis assistant is selected from other than the invariant analysis node in the linkage view, the [Select integration views] dialog box is displayed. To add the linkage view to the modeling targets, select the target linkage view and click the [OK] button. To exclude the linkage view from the modeling targets, clear the check box and click the [OK] button.

When the definitions are reused, the [Select integration views] dialog box is not displayed.

Specify [Modeling period], [Target counters], [Time interval] and [Advanced settings] in the [Analysis Wizard settings] dialog box, and then click the [Execute] button.

  • [Modeling period]

  • [Period] and [Starting date and time]
    Specify the range of Analysis Wizard execution and model creation by specifying a starting date and time and a period. Select [1Day], [1Week] or [1Month] for the period. Specify the period for which performance data is normal. The default value is [1Day].
    The specified period must contain performance data.

    [Note]
    The counter is excluded from modeling targets if some of its performance data is missing during the specified period.
    If missing data is within the range specified for [Max complementation in modeling:] in the option settings, the data can be added. Click here for details.

  • [Analysis unit]
    Analysis Wizard analyzes the performance characteristics for each period specified for the analysis unit. Periods having similar characteristics are grouped based on the results of performance characteristics analysis.
    Select [1Hour], [2Hours], [3Hours], [4Hours], [6Hours], [8Hours], [12Hours], or [1Day] for the analysis unit. The default value is the period nearest to a value that is 100 times the analysis interval or higher.
    Specify the analysis unit by using a value greater than the analysis interval.
    It is recommended to specify the analysis unit by using a value that is 100 time the analysis interval or higher. [1Hour] is not recommended.

  • [Target counters]
    Specify the counter to model by clicking the [Counter Setting] button. Click here for details.
    The selected counter count must not exceed the counter license count.

  • [Time interval]
    Specify the analysis interval in a range from 1 to 1,440 (min).
    The default value is the largest time interval for the selected target counter.
    A value can be specified by selecting the [Manual setting] check box.

  • [Advanced settings]
    Displays the [Analysis Wizard settings Advanced settings] dialog box in which you can specify detailed model creation parameters. Click here for details.

  • When you click the [Execute] button, Analysis Wizard processing starts.
    A progress dialog box is displayed until the Analysis Wizard processing is complete.

  • When you click the [Cancel] button, Analysis Wizard processing stops.

  • When you click the [Open] button, the Analysis Wizard result the Analysis Wizard result dialog box is displayed.

  • When you click the [Close] button, the progress dialog box is closed. The Analysis Wizard processing continues.

[Note]

  • The Analysis Wizard progress dialog box is displayed if the Analysis Wizard processing is running when [Analysis Wizard] is selected from the displayed pop-up menu.

  • The Analysis Wizard result dialog box is displayed if the Analysis Wizard processing is complete when [Analysis Wizard] is selected from the displayed pop-up menu.

  • Only one Analysis Wizard can be executed for a target invariant analysis node.

  • If the modeling period is much longer than the analysis interval or analysis unit, the processing may take a long time.

  • Specify a large value for the analysis unit if the analysis period is long. Less than one day can be specified for the analysis unit in cases such as when performing different processing for daytime and nighttime. However, analysis for up to one week is recommended.

[Related items]

Analysis Wizard

Selecting the target counter to model

Specifying advanced settings for Analysis Wizard


Specifying advanced settings for Analysis Wizard

Click the [Advanced setting] button in the [Analysis Wizard settings] dialog box to display the [Analysis Wizard settings Advanced settings] dialog box. Specify the parameters, and then click the [OK] button.

  • [Threshold]
    See "Specifying advanced settings during model creation" for details about the thresholds.

  • [Accuracy]
    See "Specifying advanced settings during model creation" for details about the accuracy.

  • [Model parameters]
    See "Specifying advanced settings during model creation" for details about the model creation parameters.

  • [Analysis Wizard]

  • [Number of sampling counters]
    Specify the sampling count of the counter used for modeling by the analysis assistant in a range from 100 to 1,000,000. The default value is 1,000.
    The number of counters specified here are randomly selected from the counters specified as target counters in the [Analysis Wizard settings] dialog box.
    If you edit percentage value, number of sampling counter will be updated to corresponding value.

  • [Similarity threshold between the existing model and the new models]
    Specify the detection threshold used for identifying similar models when analyzing by using the analysis assistant in a range from 0.00 to 1.00. The default value is 0.20.

  • [Percentage threshold of remaining invariant relationships in the models]
    Specify the threshold to determine if the schedule is optimal according to the remaining counter ratio obtained from the analysis when analyzing by using the analysis assistant in a range from 0.00 to 1.00. The default value is 0.50.

  • Validate the model
    Validate using the period identified as a similar model for the model in the optimal period created by the analysis assistant. This is selected by default.

  • Re-extract sampling counters
    Specify if IA re-extracts sampling counters when you execute model wizard referring previous setting. If IA re-extracts sampling counters, IA will extract sampling counters which were not extracted last time. At default, this option is turned off.

[Related items]

Executing Analysis Wizard

Specifying advanced settings during model creation


Creating and analyzing a model based on Analysis Wizard results

Enter the configuration mode before performing this operation.

Only a user who belongs to a group that has operation authority can perform this operation.

Click the [Open] button in the [Analysis Wizard progress] dialog box to open the [Result of Analysis Wizard] dialog box.

If the [Analysis Wizard progress] dialog box is closed, right click [Invariant analysis] in the tree view (integrated topology view) and then select [Analysis Wizard] from the displayed pop-up menu to display the [Result of Analysis Wizard] dialog box.

  • [Modeling period]

  • [Period]
    Displays the target period used by the Analysis Wizard for model creation.
    [1Day], [1Week], or [1Month] is displayed.

  • [Analysis unit]
    Unit used for dividing the schedule during Analysis Wizard processing.
    [1Hour], [2Hours], [3Hours], [4Hours], [6Hours], [8Hours], [12Hours], or [1Day] is displayed.

  • [Schedule]
    Displays the models grouped by the Analysis Wizard.
    Model names can be changed.

  • Calendar display area
    Displays the models grouped by the Analysis Wizard on the calendar.

  • Click the [Previous] button to display the calendar for the previous month. This button is disabled if the first month of the modeling period is displayed.

  • Click the [Next] button to display the calendar for the next month. This button is disabled if the last month of the modeling period is displayed.

  • Model list area
    Displays the colors and names of the models in the list.
    Model names specified here are also used for schedule names.
    The default value is "IA_Job name_Analysis Wizard execution date and time#Sequential number".

  • Model names can be changed by selecting a model and clicking the [Edit] button, or double-clicking an item.

    The model color can be changed in the [Analysis display settings] dialog box.

  • [Analysis Type]
    Select [Realtime analysis] or [On-demand analysis] for the analysis to be executed when the [Create model and analysis] button is clicked. [Realtime analysis] is selected by default. If real time analysis is being executed in the same analysis target system, [Realtime analysis] cannot be selected.

  • Click the [Create model and analyze] button to start the model creation processing for the models displayed in the list.
    The [Analysis definition] dialog box specified for the analysis type is displayed. The model list and schedule settings are inherited in the [Analysis definition] dialog box.

  • [Cancel]
    Discards the Analysis Wizard results and closes the [Result of Analysis Wozard] dialog box.

[Note]

It may take some time to complete the processing if there are a lot models or the modeling period is long.

The model names specified by the Analysis Wizard are also used for schedule names.

Specify a unique name that differs from the existing model names and schedule names.

The Analysis Wizard automatically creates a model and schedule.

Delete unnecessary models and schedules manually.

Schedules used in the analysis results cannot be deleted. How to delete a schedule is shown below.

  • Click the [New analysis] button in the [Analysis results] dialog box to display the [Analysis definition] dialog box.

  • Click the [Add] button for the model application schedule to display the [Select model used] dialog box. Select a model (any) and click the [OK] button to close the [Select model used] dialog box.

  • Click the [Add] button for the model application schedule again to display the [Select model used] dialog box. Click the [Setting] button to display the [Schedule Setting] dialog box.

  • Select the schedule to delete, and then click the [Delete] button.

  • After deleting unnecessary schedules, click the [OK] button in the [Schedule Setting] dialog box to close the dialog box.

  • You are returned to the [Analysis definition] dialog box. Click the [Cancel] button to close this box.

[Related items]

Specifying a model name

Analysis Wizard

Analysis

Performing analysis

Selecting a Created Time Schedule


Specifying a model name

Select a model in the [Result of Analysis Wizard] dialog box, and click the [Edit] button to display the [Model name setting] dialog box. Specify the model name, and then click the [OK] button.

  • [Model name]
    Specify the model name by using up to 64 characters. This name cannot be omitted.
    The model name is also used for the schedule name.

[Notes]

The model names specified by the analysis assistant are also used for schedule names.

Specify a unique name that differs from the existing model names and schedule names.

[Related items]

Creating and analyzing a model based on Analysis Wizard results


Maintaining counter information

The counter information included in imported performance data can be edited or deleted later.

To edit or delete counter information, right click [Invariant analysis] in the tree view (integrated topology view), and then select [Counter information] from the displayed pop-up menu to display the [Counter information] window.

  • Tree display section

Displays the hosts to analyze in the integrated topology view in the tree format.

  • Counter list section

Lists the counters in the hosts or groups selected in the tree display section.

If a selected group contains multiple hosts that have counters with the same name, these counters are collectively displayed on one row.

  • Find
    Enter a keyword in the box, and then click the [Find] button to extract and display the counter names that include the keyword.
    This field is case-sensitive. Wildcards and regular expressions are not available.

  • Search limit
    Specify the upper limit for the counter search count. The default value is 10,000.
    The search is stopped when the specified counter number is reached.

  • Counter name

Displays the counter name.

    • Time interval

Displays the time interval for the counter.

If a group is selected in the tree display section and counters that have the same name are collectively displayed, [-] is displayed if the time intervals for the counters differ.

    • Aggregation method

Displays the aggregation method for the counter.

If a group is selected in the tree display section and counters that have the same name are collectively displayed, [-] is displayed if the aggregation methods for the counters differ.

  • Total

Displays the total number of counters in the group that have the same name if a group is selected in the tree display section.

This item is displayed only if a group is selected in the tree display section.

  • Real-time

This displays whether a counter is for performance data collected in real time.

    • [Edit] button

Displays the [Edit counter information] window where you can edit the counter name, time interval, and aggregation method of the selected counter. For details, click here.

Only a user who belongs to a group that has operation privileges can perform this operation.

    • [Delete] button

Deletes the selected counter. A counter for which the [Real-time] check box is selected cannot be deleted.

Enter the configuration mode before performing this operation.

[Related items]

Editing counter information

Importing performance data


Editing counter information

Users must perform this operation after shifting to the Configuration mode.

To edit counter information, select the counter in the [Counter information] window, and then click the [Edit] button. When the [Edit counter information] window is displayed, enter each item, and then click the [OK] button.

  • Counter name

Specify the counter name by using within 1100 characters. This name cannot be omitted.

If different counter names are selected, this field displays [-] and is not editable.

An existing counter name cannot be specified.

  • Time interval

Specify the time interval for performance data within the range from 1 to 1,440.

If counters that have different time intervals are selected, this field displays [-] and is not editable.

  • Aggregation method

Specify the aggregation method for performance data. Select one of the following types.

Average | If multiple values exist in the analysis interval, the average of these values is used.
Instant | If multiple values exist in the analysis interval, the value at (or immediately before) the aggregation time is used.
Accumulated | If multiple values exist in the analysis interval, the total of these values is used.
Differential | If multiple values exist in the analysis interval, the difference between the value at (or immediately before) the aggregation time and the previous value is used.

[Note]

For a real-time counter, only the collection method can be changed.

[Related item]

Maintaining counter information


Setting up the invariant analysis options

Users must perform this operation after shifting to the Configuration mode.

To define the options for the invariant analysis function, select [Option] from the [Setting] menu.

  • Analysis engine settings

Displays the [Analysis engine settings] window where you can specify the amount of memory and number of threads used for analysis. For details, click here.

  • Analysis result viewer settings

Displays the [Analysis display settings] window where you can specify the display color and other settings for analysis results. For details, click here.

  • Periodic clean up

Specify this to periodically delete information accumulated in the manager.

  • Expiry period of performance data

This setting is not used for this product.

Use the performance monitoring option to specify the retention period for performance data. For details, click here.

  • Expiry period of analysis result

Specify the period to retain analysis results. Select [[Unlimited], [1Week], [2Weeks], [1Month], [2Months], [3 Months], [6 Months], [9 Months], or [1Year]. Analysis results are automatically deleted after the specified retention period passes. The default value is [Unlimited].

Results older than the deletion date in the analysis period are deleted. If the end of the analysis period passes the deletion date, all analysis results are deleted. If the status is [Analyzing], [Suspend], or [Analyzing subsequence], the results are not deleted.

  • Clean up schedule

Specify the time to execute the deletion processing. The default value is 02:00:00.

  • Max complementation in modeling

Specify how many performance data items are added during model generation within the range from 1 to 10. The default value is 1.

If the performance data to model contains a missing period, the values around the missing part are added until they reach the specified number. If the number of missing values is larger than the specified number, that counter is excluded from modeling targets.

If you specify a larger value, the system can handle situations in which performance data for a longer period is missing. However, because complementary values are used, the model reliability decreases.

[Related items]

Specifying the analysis engine settings

Specifying the display settings for analysis results

Deleting analysis results

Creating a model


Specifying the analysis engine settings

Users must perform this operation after shifting to the Configuration mode.

This window allows the user to specify the settings for the engine that generates models and performs analysis.

To specify the analysis engine settings, click the [Analysis engine settings] button in the [Option Setting - Invariant analysis] window to display the [Analysis engine settings] window. Specify each item, and then click the [OK] button.

  • Memory usage

    • For analysis

Specify the amount of memory that can be used for the analysis processing in the range from 128 to 1,000,000 MB. The default value is 128 MB.

    • For modeling

Specify the amount of memory that can be used for the model creation and validation processing in the range from 128 to 1,000,000 MB. The default value is 256 MB.

[Notes]

  • Only the amount of memory used for the analysis or model processing can be limited. The amount of memory used for other processing cannot be limited. The whole manager process consumes the amount of memory specified here in addition to that used for other processing.

  • Although up to 1,000,000 MB can be specified, the actual usable amount of memory is limited based on your environment.
    If the specified value is larger than the actual usable amount of memory, the analysis processing and model generation processing may fail.

  • If the analysis and modeling processing are executed at the same time, the specified amounts of memory are used at the same time.

  • When a model is created, the percentage of valid correlations is expected and the memory usage is projected before processing. If there are more correlations than expected, memory larger than the specified value might be used.

  • Thread count

    • Computation thread

Specify the number of threads used for the operation processing during analysis or modeling processing within the range from 1 to 256. The default value is 1.

The analysis or modeling processing time can be reduced by specifying the number of threads according to the number of CPU cores in the computer where the manager function resides.

[Note]

  • If the analysis and modeling processing are executed at the same time, the specified number of operation threads is used for both types of processing at the same time.

  • Use external analysis engine server

Specify whether to use a separate host engine for analysis processing and model processing.

A separate host engine can be used by selecting this check box.

    • Engine list section
      Display a list of engines of other hosts to use as an analysis engine.
      The top item takes priority.

      • Analysis engine
        Display the host name to use as another host engine.

      • For analysis(MB)
        Display the amount of memory to use for the analysis processing of the other host engine.

      • For modeling(MB)
        Display the amount of memory to use for the model processing of the other host engine.

      • Computation thread
        Display the number of threads to use for the other host engine.

    • [Up] button and [Down] button
      Change the priority of the item selected in the engine list section.

    • The [Add] button
      Add an analysis engine.

    • The [Edit] button
      Edit the item selected in the engine list section.

    • The [Delete] button
      Delete the item selected in the engine list section.

Click the [Add] and [Edit] buttons to display the [Analysis engine add/edit] dialog box where you can specify settings for the other host engine being used as an analysis engine.

  • Name of analysis engine
    Specify host name or IP address of machine to use as external engine within 256 charactors.
    The name can also be selected from a list.

  • Memory usage

    • Analysis
      Specify the amount of memory that can be used for the analysis processing in the range from 128 and 10,485,760 MB. The default value is 512 MB.

    • Modeling
      Specify the amount of memory that can be used for the model creation and validation processing in the range from 128 to 10,485,760MB. The default value is 1,024 MB.

The details are the same as the above [Memory usage] settings.

  • Thread count

    • Computation thread
      Specify the number of threads used for the operation processing during analysis or modeling processing within the range from 1 to 256. The default value is 2.

The details are the same as the above [Thread count] setting.

[Notes]

  • Only the names of hosts connected as separate host engines are displayed in the list of host names.

  • If using a separate host engine, model generation processing and analysis processing are treated with an engine of separate host.

[Related items]

Setting up the options of the invariant analysis function

Creating a model

Validating a model

Performing real-time analysis

Performing on-demand analysis

Performing additional analysis


Specifying the display settings for analysis results

Users must perform this operation after shifting to the Configuration mode.

To specify the display settings for analysis results, click the [Analysis result viewer settings] button in the [Option Setting - Invariant analysis] window to display the [Analysis display settings] window. Specify each item, and then click the [OK] button.

The [Analysis display settings] window has the [Model color], [Group summary view], [Anomaly graph color], and [Anomaly map view] tabs.

[Model color]

Specify the model colors displayed in the [Analysis definition] window, the analysis result details window (analysis definition view), and back ground color of anomaly graph.

  • Model color

Lists model display colors. The colors are used from the top.

    • When you click the [Add] button, the [Color] window is displayed. Model colors can be added in the [Color] window.

When you select an item in the list and then click the [Add] button, the new item is added above the selected item. When you click the [Add] button without selecting any item in the list, the new item is added at the bottom of the list.

    • When you select an item in the list and then click the [Edit] button, the [Color] window is displayed. Model colors can be edited in this window.

    • A model color can be deleted by selecting the item in the list and then clicking the [Delete] button.

There must be 50 or more model colors.

    • Transparency

Specify the color transparency of the model displayed in the background of the anomaly graph within the range from 0 to 100%. The default value is 0%.

[Group summary view]

Specify the display settings for the analysis result details window (group summary view).

  • Group summary color

Lists colors displayed in the pie graph. The colors are used from the top.

    • When you click the [Add] button, the [Color] window is displayed. Pie graph colors can be added in the [Color] window.

When you select an item in the list and then click the [Add] button, the new item is added above the selected item. When you click the [Add] button without selecting any item in the list, the new item is added at the bottom of the list.

    • When you select an item in the list and then click the [Edit] button, the [Color] window is displayed. Pie graph colors can be edited in the [Color] window.

    • A pie graph color can be deleted by selecting the item in the list and then clicking the [Delete] button.

There must be 50 or more pie graph colors.

  • Font

Specify the font displayed in the pie graph. The default values are [MS UI Gothic] and [9].

[Anomaly graph color]

Specify the display settings for the analysis result details window (anomaly graph).

  • Total value

Specify the color displayed in the anomaly graph.

When you click the [Settings] button, the [Color] window is displayed. The displayed color can be changed in the [Color] window.

  • Partial value

Specify the color displayed to show the percentage in the anomaly graph when a node or group is selected in the anomaly graph.

When you click the [Settings] button, the [Color] window is displayed. The displayed color can be changed in the [Color] window.

[Anomaly map view]

Specify the display settings for the analysis result details window (anomaly map view).

  • Counter color

    • Selected counter

Specify the color displayed for the selected counter.

When you click the [Settings] button, the [Color] window is displayed. The displayed color can be changed in the [Color] window.

    • Pair counter

Specify the color displayed for a counter paired with the selected counter.

When you click the [Settings] button, the [Color] window is displayed. The displayed color can be changed in the [Color] window.

    • Unselected counter

Specify the color displayed for a counter not paired with the selected counter.

When you click the [Settings] button, the [Color] window is displayed. The displayed color can be changed in the [Color] window.

  • Invariant color

    • Selected invariant

Specify the color displayed for the selected correlation line.

When you click the [Settings] button, the [Color] window is displayed. The displayed color can be changed in the [Color] window.

    • Unselected invariant

Specify the color displayed for an unselected correlation line.

When you click the [Settings] button, the [Color] window is displayed. The displayed color can be changed in the [Color] window.

  • Counter font

    • Selected counter

Specify the font displayed for the counter names at both edges when a pair counter or correlation line is selected. The default values are [MS UI Gothic] and [9].

    • Pair counter

Specify the font displayed for the selected counter name. The default values are [MS UI Gothic] and [10].

    • Unselected counter

Specify the font displayed for the name of a counter not paired with the selected counter. The default values are [MS UI Gothic] and [9].

  • Transparency

    • Unselected counter

Specify the transparency of an unselected counter or correlation within the range from 0 to 100%. The default value is 70%.

  • Display limitation

    • The number of counters

Specify the upper display limit within the range from 1 to 10,000 for when many counters detect correlation anomalies. The default value is 100. If the upper display limit is exceeded, the counters that detect smaller anomalies are not displayed.

Because the specified number of anomalies that have high anomaly scores and the specified number of those that have large significance totals are displayed, the number of actually displayed anomalies might be larger than the specified value.

  • 2.5D display

    • Height of counter

Specify the height of counter values as a value within the range from 1 to 5. The default value is 3.

The larger the value, the higher the counter mark [image].

  • Display order of broken invariants tree

    • Default
      Specify a default value for the display order for the correlation anomaly tree by using [Anomaly score] or [Extended anomaly score].
      The default value is [Extended anomaly score].

[Related items]

Setting up the invariant analysis options

Viewing analysis results


Time zone list

Time zone IDs used by SIATCmd and details of the time zones are below.

Time zone ID | DST | Time zone name
1 | 0 | (UTC+04:30) Kabul
2 | 1 | (UTC-09:00) Alaska
3 | 0 | (UTC+03:00) Kuwait, Riyadh
4 | 0 | (UTC+04:00) Abu Dhabi, Muscat
5 | 0 | (UTC+03:00) Baghdad
6 | 0 | (UTC-03:00) Buenos Aires
7 | 1 | (UTC+04:00) Yerevan
8 | 1 | (UTC-04:00) Atlantic Time (Canada)
9 | 0 | (UTC+09:30) Darwin
10 | 1 | (UTC+10:00) Canberra, Melbourne, Sydney
11 | 1 | (UTC+04:00) Baku
12 | 1 | (UTC-01:00) Azores
13 | 0 | (UTC+06:00) Dhaka
14 | 0 | (UTC-06:00) Saskatchewan
15 | 0 | (UTC-01:00) Cape Verde Is.
16 | 0 | (UTC+04:00) Caucasus Standard Time
17 | 1 | (UTC+09:30) Adelaide
18 | 0 | (UTC-06:00) Central America
19 | 0 | (UTC+06:00) Astana
20 | 1 | (UTC-04:00) Manaus
21 | 1 | (UTC+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague
22 | 1 | (UTC+01:00) Sarajevo, Skopje, Warsaw, Zagreb
23 | 0 | (UTC+11:00) Magadan, Solomon Is., New Caledonia
24 | 1 | (UTC-06:00) Central Time (US & Canada)
25 | 1 | (UTC-06:00) Guadalajara, Mexico City, Monterrey
26 | 0 | (UTC+08:00) Beijing, Chongqing, Hong Kong, Urumqi
27 | 0 | (UTC-12:00) International Date Line West
28 | 0 | (UTC+03:00) Nairobi
29 | 0 | (UTC+10:00) Brisbane
30 | 1 | (UTC+02:00) Minsk
31 | 1 | (UTC-03:00) Brasilia
32 | 1 | (UTC-05:00) Eastern Time (US & Canada)
33 | 0 | (UTC+02:00) Cairo
34 | 0 | (UTC+06:00) Ekaterinburg
35 | 1 | (UTC+12:00) Fiji, Kamchatka, Marshall Is.
36 | 1 | (UTC+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius
37 | 0 | (UTC+04:00) Tbilisi
38 | 1 | (UTC) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London
39 | 1 | (UTC-03:00) Greenland
40 | 0 | (UTC) Casablanca, Monrovia, Reykjavik
41 | 1 | (UTC+02:00) Athens, Bucharest
42 | 0 | (UTC-10:00) Hawaii
43 | 0 | (UTC+05:30) Chennai, Kolkata, Mumbai, New Delhi
44 | 1 | (UTC+03:30) Tehran
45 | 1 | (UTC+02:00) Jerusalem
46 | 1 | (UTC+02:00) Amman
47 | 0 | (UTC+03:00) Kaliningrad
48 | 1 | (UTC+12:00) Petropavlovsk-Kamchatsky - Old
49 | 0 | (UTC+09:00) Seoul
50 | 0 | (UTC+12:00) Magadan
51 | 0 | (UTC+04:00) Port Louis
52 | 1 | (UTC-06:00) Guadalajara, Mexico City, Monterrey - Old
53 | 1 | (UTC-07:00) Chihuahua, La Paz, Mazatlan - Old
54 | 1 | (UTC-02:00) Mid-Atlantic
55 | 1 | (UTC+02:00) Beirut
56 | 1 | (UTC-03:00) Montevideo
57 | 1 | (UTC) Casablanca
58 | 1 | (UTC-07:00) Mountain Time (US & Canada)
59 | 1 | (UTC-07:00) Chihuahua, La Paz, Mazatlan - NEW
60 | 0 | (UTC+06:30) Yangon (Rangoon)
61 | 0 | (UTC+07:00) Novosibirsk
62 | 1 | (UTC+01:00) Windhoek
63 | 0 | (UTC+05:45) Kathmandu
64 | 1 | (UTC+12:00) Auckland, Wellington
65 | 1 | (UTC-03:30) Newfoundland
66 | 0 | (UTC+09:00) Irkutsk
67 | 0 | (UTC+08:00) Krasnoyarsk
68 | 1 | (UTC-04:00) Santiago
69 | 1 | (UTC-08:00) Pacific Time (US & Canada)
70 | 1 | (UTC-08:00) Tijuana, Baja California
71 | 0 | (UTC+05:00) Islamabad
72 | 1 | (UTC-04:00) Asuncion
73 | 1 | (UTC+01:00) Brussels, Copenhagen, Madrid, Paris
74 | 0 | (UTC+04:00) Moscow, St. Petersburg, Volgograd
75 | 0 | (UTC-03:00) Buenos Aires, Georgetown
76 | 0 | (UTC-05:00) Bogota, Lima, Quito, Rio Branco
77 | 0 | (UTC-04:00) La Paz
78 | 1 | (UTC-11:00) Midway Island, Samoa
79 | 0 | (UTC+07:00) Bangkok, Hanoi, Jakarta
80 | 0 | (UTC+08:00) Kuala Lumpur, Singapore
81 | 0 | (UTC+02:00) Harare, Pretoria
82 | 0 | (UTC+05:30) Sri Jayawardenepura
83 | 1 | (UTC+02:00) Damascus
84 | 0 | (UTC+08:00) Taipei
85 | 1 | (UTC+10:00) Hobart
86 | 0 | (UTC+09:00) Osaka, Sapporo, Tokyo
87 | 0 | (UTC+13:00) Nuku'alofa
88 | 1 | (UTC+02:00) Istanbul
89 | 0 | (UTC+08:00) Ulaanbaatar
90 | 1 | (UTC-05:00) Indiana (East)
91 | 0 | (UTC-07:00) Arizona
92 | 0 | (UTC) Coordinated Universal Time
93 | 0 | (UTC+12:00) Coordinated Universal Time+12
94 | 0 | (UTC-02:00) Coordinated Universal Time-02
95 | 0 | (UTC-11:00) Coordinated Universal Time-11
96 | 0 | (UTC-04:30) Caracas
97 | 0 | (UTC+11:00) Vladivostok
98 | 0 | (UTC+08:00) Perth
99 | 0 | (UTC+01:00) West Central Africa
100 | 1 | (UTC+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna
101 | 0 | (UTC+05:00) Islamabad, Karachi, Tashkent
102 | 0 | (UTC+10:00) Guam, Port Moresby
103 | 0 | (UTC+10:00) Yakutsk


Cause and a solution

Cause and solutions

Refer to "Messages this product outputs" for detail of online message from Invariant Analyzer.

Causes and solutions shown in online messages.

cause

Detail and solution

Wait queue over

Waiting queue of analysis engine is overflown.

Reduce number of concurrent execution of model creation and analysis.

In case of using external engine, verify the external engine is connected and recognized by manager.

Memory usage over your limit

Insufficient memory to continue model creation or analysis.

Increase memory usage for modeling and analysis from Analysis engine settings of Option Setting.

Please consider adding and using external engine (installing on Windows (x64) or RHEL (x86_64) is recommended.)

Changing advanced setting and shortening analysis period of model creation and analysis may solve the problem.

Model not available

Unable to use failed or canceled models to analysis.

Check status of the model from [Models] window.

Verify if model creation or validation has finished whenever validate the model.

Performance data file has not been found

Failed to acquire performance data.

Verify if target counters are existing.

Retention time is over

No response from analysis engine

If you are setting external engine, check the external engine are correctly connected to IA.

Network Connection Error

Disconnected to analysis engine.

Verify if there is any network failure between manager and external engine.

If you have installed product to Windows x64 Edition, runtime component of Visual C++2010 must be installed. For detail, check release memo of the product.

File transfer error

Failed to transfer file to analysis engine.

Verify disk space of computers which manager and external engine is installed.

User Interruption

Process was canceled by user.

If this error is result of operation from command line, verify that command line parameters are correctly set.

No Processing Requests

The requested process does not exist.

The process was deleted during model creation or analysis.

Invalid Model Status

Status of the model is invalid.

Check status of the model from [Models] window.

Verify if model creation or validation has finished whenever validate the model.

Missing performance data

There is data lack period in modeling period or the modeling period is outside of data retention period.

Modeling period must be within data retention period.

Data retention period can be checked from property view of each host.

No invariant relationships detected

Effective invariant relationship was not detected.

Go to advanced setting of Model Wizard and change parameters.

Analysis definition corrupted

Failed to execute subsequent analysis.

Analysis period must be after the date of previous analysis.

Verify if analysis start date and analysis end data is not inverted.

Analyzed period can be check from [Invariant Analysis] view.

Execution not available

Failed to execute subsequent analysis.

Verify if Invariant analysis ID and Analysis ID are correctly set.

Verify if status of the target analysis is [Analysis completed].

Invariant Analysis ID can be identified from property view of Invariant analysis node.

Analysis ID and analysis status can be identified from [Invariant Analysis] view.

Specified analysis node has not been existing

The host is not added to target business node.

Add target hosts to business node to execute model creation and analysis.

File error

Failed to load file.

Verify status and content of the file.

No target host t

Host nodes in CSV file does not exist on target system.

In case of not specifying –N option, all host nodes described in CSV file must be on target system.

No target counter

Counters in CSV file does not exist on target system.

In case of not specifying –N option, all counters described in CSV file must be on target system.

No correlation

Any counters combination in CSV file was not exist on target system.

At least one combination of counters in CSV file must be on target system.

Internal error

Internal Error is encountered.

Verify resources of computers which manager and external engine is installed.


Integrated topology

About Integrated topology

The integrated topology view is a function that provides a tree and view where the user can see job-related objects at a glance and check the relationships between the objects.

[Note]

This function is optional. To use this function, enable it by registering an invariant analysis license.


Define the group

This operation should be executed after shifting into the Configuration mode.

A group can be defined to manage jobs by the location, department, or other unit

To define a group, right click [Logical View] in the tree view, and then select [Add group] from the displayed pop-up menu. When the [New group] dialog box is displayed, enter each item, and then click the [OK] button.

  • A group definition can be created in a logical view node or group.

  • Business name
    Specify a group name by using within 64 characters. This item cannot be omitted. If the parent node already has a node with the same name, that group cannot be registered.

  • Icon File
    Specify the icon used for display by using within 256 characters. When you click the [Browse] button, the [Open] dialog box is displayed, where the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the incorrect file is specified, the default icon is used. An environment variable can be used for the file path. If an icon file is not specified, the default icon is used.

  • Description
    Specify a description of (remark on) the group node by using within 64 characters. This item can be omitted.

  • Authentication
    To limit the tree display or operation, click the [Setting] button. For the setting procedure, see "Perform User Management" - "Manage Group Information" - "Configuring authority".


Define the job

Define the business

This operation should be executed after shifting into the Configuration mode.

Nodes can be defined for each business.

To define a job, right click [Logical View] or [Group] in the tree view, and then select [Add business] from the displayed pop-up menu. When the [New business node] dialog box is displayed, enter each item, and then click the [OK] button.

Define a specific system or service such as "inventory management" or "Internet shop" or a group containing logical items such as multiple hosts that affect each other as a business.

  • A business definition can be created in a logical view node or group

  • Business Type
    Select the type of business to add. When you click the [Candidate] button, the type of business can be selected from the list. Candidate's list is displayed only by a product with CMDB.

  • Business Name
    Specify a business name by using within 64 characters. This item cannot be omitted. If the parent node already has a node with the same name, that job cannot be registered.

  • Icon File
    Specify the icon used for display by using within 256 characters. When you click the [Browse] button, the [Open] dialog box is displayed, where the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the incorrect file is specified, the default icon is used. An environment variable can be used for the file path. If an icon file is not specified, the default icon is used.

  • Description
    Specify a description of (remark on) the job by using within 64 characters. This item can be omitted.

  • Authentication
    To limit the tree display or operation, click the [Setting] button. For the setting procedure, see "Perform User Management" - "Manage Group Information" - "Configuring authority"


Define the constituent group

Define the composition group

This operation should be executed after shifting into the Configuration mode.

Constituent groups can be defined to manage logical units that make up a job (such as web servers and database servers) as a group.

To define a constituent group, right click [Business] in the tree view, and then select [Add Composition group] from the displayed pop-up menu. When the [New composition group] dialog box is displayed, enter each item, and then click the [OK] button.

  • A constituent group definition can be created in a job node or constituent group.

  • Composition Group Type
    Select the type of composition group to add. When you click the [Candidate] button, the type of composition group can be selected from the list. Candidate's list is displayed only by a product with CMDB.

  • Composition group name
    Specify a constituent group name by using within 64 characters. This item cannot be omitted. If the parent node already has a node with the same name, that group cannot be registered.

  • Icon File
    Specify the icon used for display by using within 256 characters. When you click the [Browse] button, the [Open] dialog box is displayed, where the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the incorrect file is specified, the default icon is used. An environment variable can be used for the file path. If an icon file is not specified, the default icon is used.

  • Description
    Specify a description of (remark on) the job by using within 64 characters. This item can be omitted.

  • Authentication
    To limit the tree display or operation, click the [Setting] button. For the setting procedure, see "Perform User Management" - "Manage Group Information" - "Configuring authority"


Define the logical item

This operation should be executed after shifting into the Configuration mode.

This dialog box allows the user to define a logical item. Logical item refers to an object related to the host or other business.

To define a logical item, right click [Logical View], [Group], [Business] or [Composition group] in the tree view, and then select [Add Logical item] from the displayed pop-up menu. When the [New logical item] dialog box is displayed, enter each item, and then click the [OK] button.

  • A logical item definition can be created in the logical view, or in a group node, business node, or composition group node.

  • Logical Type
    Select the type of logical item to add. When you click the [Candidate] button, the type of item can be selected from the list. Candidate's list is displayed only by a product with CMDB.

  • Logical name
    Specify a logical item name by using within 64 characters. This item cannot be omitted. If the parent node already has a node with the same name, that logical item cannot be registered. The logical item name must be unique within the same "business" node. For SystemManager G Invariant Analyzer Option, logical items that have the same host name as a host in the topology view are used to overwrite the host details in the topology view.

  • Icon File
    Specify the icon used for display by using within 256 characters. When you click the [Browse] button, the [Open] dialog box is displayed, where the icon file can be selected. An icon file (for which the extension is "ico") or an executable file containing icon resources (for which the extension is "exe") can be specified as the icon. If the incorrect file is specified, the default icon is used. An environment variable can be used for the file path. If an icon file is not specified, the default icon is used.

  • Description
    Specify a description of (remark on) the job by using within 64 characters. This item can be omitted.

  • Authentication
    To limit the tree display or operation, click the [Setting] button. For the setting procedure, see "Perform User Management" - "Manage Group Information" - "Configuring authority"


Define the logical item (host) attributes

This operation should be executed after shifting into the Configuration mode.

This dialog box allows the user to define the detailed settings for a logical item (host).

To specify logical item (host) attributes, right click [Logical item] in the tree view, and then select [Attribute setting] from the displayed pop-up menu. When the [Attribute setting] dialog box is displayed, enter each item, and then click the [OK] button.

  • OS name
    Specify the OS name by using within 128 characters. This item can be omitted.

  • OS Subname
    Specify the OS subname by using within 128 characters. This item can be omitted.

  • Version
    Specify the OS version by using within 5 characters. This item can be omitted.

  • SubVersion
    Specify the OS subversion by using within 5 characters. This item can be omitted.

  • IP Address
    Specify the IP address by using within 16 characters. This item can be omitted.

[Note]

  • For SystemManager G Invariant Analyzer Option, if [Logical item] is right-clicked for an item that has the same host name as a host in the topology view, [Attribute setting] is not displayed in the pop-up menu.


Export the definition for the tree and generate the definition file

This operation should be executed after shifting into the Configuration mode.

If you export the tree definition and create the definition file, the tree definition can be saved or reused. This facilitates the specification of monitoring definitions. To export the definition file, right click the integrated topology view and then select [export] from the displayed pop-up menu. When the [Specification of export] dialog box is displayed, click the [Browse] button, specify the name of the directory to save the definition file, and then click the [OK] button.

  • Comment
    Specify a comment that describes the definition file by using within 64 characters. This item cannot be omitted.

  • File name
    Specify the absolute path of the file where the definition is saved.

When you click the [OK] button, the export processing starts and the definition file is output to the specified directory.

[Note]

  • If the specified directory already contains a definition file, a dialog box is displayed to confirm whether to overwrite it. To overwrite the existing file, click [Yes]. To abort saving without overwriting the file, click [No].


Import the definition file for the tree

This operation should be executed after logging in as an "Administrator" and shifting into the Configuration mode.

The tree can be easily defined by importing a tree definition file created in advance. To import this file, right click the integrated topology view, and then select [import] from the displayed pop-up menu. When the [Specification of import] dialog box is displayed, click the [Browse] button, and then specify the directory containing the file. When the tree definition files in the specified directory are listed, select the import file, and then click the [OK] button.

[Note]

  • If the tree configuration in the import file already exists in the integrated topology tree, data is not updated.

  • The details about the logical items are overwritten. However, for SystemManager G Invariant Analyzer Option, logical items that have the same host name as a host in the topology view are used to overwrite the host details in the topology view.

  • In addition, if the tree configuration contains nodes that have the same name but different types, the import processing might result in an error.


Importing the tree structure for the topology view

This operation should be executed after logging in as an "Administrator" and shifting into the Configuration mode.

The tree definition for the topology view in SystemManager G, etc. can be imported in the integrated topology view. To import the tree structure for the topology view, right click [Logical View], [Group], [Business], or [composition group], and then select [import] from the displayed pop-up menu. The [Import of TopologyView information] dialog box is displayed.

If the selected import type is [Online data], when the tree configuration of the specified topology definition file is displayed in the dialog box, select the items to import, and then click the [OK] button

If the selected import type is [Backup data], click the [Browse] button, and then specify the topology definition file "Topology.dat". When the tree configuration of the specified topology definition file is displayed in the window, select the items to import, and then click the [OK] button.

[Note]

  • The [Online data] import type is only enabled for SystemManager G Invariant Analyzer Option.

  • If the tree configuration in the topology definition file already exists in the integrated topology tree, data is not updated.

  • The details about the logical items are overwritten. However, for MasterScope SystemManager G Invariant Analyzer Option, logical items that have the same host name as a host in the topology view are used to overwrite the host details in the topology view.

  • In addition, if the tree configuration contains nodes that have the same name but different types, the import processing might result in an error.


Importing the tree structure for the network view

Enter the configuration mode before performing this operation.

Before performing this operation, devices must be registered to MasterScope Network Manager, and then the data collection settings must be specified. For details about how to specify these settings, see "MasterScope Network Manager User's Manual" - "Collecting performance data from a device".

Specifying the above settings makes it possible to import the tree structure for the network view of MasterScope Network Manager into the integrated topology view.

To import the tree structure for the network view, right click [Business] or [Composition group], and then select [Import] followed by [Import from NetworkView] from the displayed pop-up menu. When the tree configuration of the device for which performance monitoring was specified in the [Import of NetworkView information] dialog box is displayed, select the items to import, and then click the [OK] button.

[Note]

  • If a device in the network view already exists for the same job, [Registered] is displayed to the right of the device name. If such a device is imported, no update is performed. However, the details about the logical items are overwritten.


Recovery

If a specific message is generated, this product uses settings registered in advance for each filter to take an action, and then displays recovery information or the execution results. The recovery function includes the following functions.

  • Recovery execution function

If a specific message is generated, the settings registered in advance are used to take an action (execution action).

The recovery is performed in the order shown below.

    1. Define the recovery

    2. Define the recovery process

    3. Define the execution action

[References]

Set the recovery options

  • Display function

Recovery status such as Being executed or Executed is displayed on the monitoring window.

[References]

Refer to the status of recoveries (listed)

See the details of recoveries (corresponding message)

See the details of recoveries (recovery results)

Search the recovery status

Confirm (hide) the recovery status

  • Recovery history maintenance function

Recovery histories that manager has stored can be deleted.

[References]

Delete the recovery histories

[Note]

  • Do not execute a process that does not return the execution result. This is because the recovery function requires the execution result and waits for the execution completion.
    When a process that does not return the execution result is executed, the recovery status remains in [Executing].

  • Do not start a resident process by using the recovery function. When a resident process is started by using the recovery function, it continues obtaining the standard output and standard errors until the process ends.
    Since the standard output and standard errors are stored in /tmp/sysmon_std_xxx.tmp, a large amount of disk space is used.

[References]

About message monitoring


Define recovery

Define the recovery

This operation should be executed after shifting into the Configuration mode.

Recovery is to be defined in the [Recovery Setting] window. To display the [Recovery Setting] window, press the [Configuration] button in the [Filter Detail Setting] window (Recovery Setting tab).

Recovery definition is comprised of multiple recovery processes and actions defined in each recovery. After the [Recovery Setting] window has appeared, specify the explanation of recovery definition, and then press the [OK] button.

Subject, Recovery List, and Action List are displayed at the top, center and bottom of the window, respectively.

  • Subject area

Enter comments on this recovery, in 512 characters or less.

  • Recovery List area

Displays a list of existing recovering processes. Recovery process with a checkmark put in the checkbox at the left side is to be executed.

  • Description

Displays the description of recovery process.

  • Type

Displays the action type of recovery process.

  • [Add] button

Newly creates a recovery process.

  • [Update] button

Edits the recovery process in selection.

  • [Delete] button

Deletes the recovery process currently in selection.

  • Action List area

Displays actions that have been defined in the recovery process in selection. Actions are executed in order from the top.

  • Description

Displays the description of actions.

  • Target Host

Displays a host that executes the action.

  • Command

Displays commands to be executed during the execution action.

  • Press the [Add] button to define a new action.

  • Press the [Update] button to edit an action in selection.

  • Press the [Delete] button to delete actions in selection.

  • Press the [Up]/[Down] arrow keys to change execution order of actions.

[References]

Define the recovery process

Define the execution action

Set the recovery options

About the limitation of the number of command execution


Define recovery process

Define the recovery process

This operation should be executed after shifting into the Configuration mode.

Define the recovery process to be selected in recovery definition. To define a recovery process, press the [Add] button in the recovery list area of the [Recovery Type Setting] window. Alternatively, select recovery and then press the [Update] button. When the [Recovery Type Setting] window appears, make entries in items and then press the [OK] button.

  • Defined recovery processes (recovery processes displayed in the recovery list area and the actions) can be shared within the manager unit.

  • Description

Enter comments on this recovery process, in 256 characters or less.

  • Type

Select the execution format of recovery.

  • Auto execute

When a recovery is made, the recovery process is automatically carried out.

  • Manual execute

When a recovery is made, the recovery process put in a state where it is waiting to be done. Recovery waiting to be done is executed on the [Recovery Detail] window. See here for details.

[References]

Define the recovery

Define the execution action


Define execution action

Define the execution action

This operation should be executed after shifting into the Configuration mode.

Define an actual process (action) to be carried out in each recovery process. To define an execution process, press the [Add] button in the action list area of the [Recovery Setting] window. Alternatively, select an action and then press the [Update] button. When the [Action Setting] window appears, make entries in items, and then press the [OK] button.

  • Defined recoveries (recovery processes displayed in the recovery list area and the actions) can be shared within the manager unit.

  • Description

Enter comments on the execution action, in 256 characters or less.

  • Target Host

Select an agent name that executes the action. Selection of $NODE$ replaces the host with the name of a node that issued message. Selection of $MANAGER$ replaces the manager name.

  • Action

Specify an application, in 256 characters or less. Press the [Browse] button to display the [Directory in Host] dialog, where you can select files on the host that executes actions (if you select $NODE$ for the host that executes actions, files are not selectable).

The environment variable can be used for the path name of a command. Blanks in a path, if any, need to be put in double quotation marks ("").

  • Work Directory

Specify the work directory to start a command, in 256 characters or less. Press the [Browse] button to display the [Directory in Host] dialog, where you can select directories on the host that executes actions (if you select $NODE$ for the host that executes actions, directories are not selectable).

The environment variable can be used for the path name of a command. When a blank is contained in the path name, it is not necessary to enclose in double quotation marks (""). If double quotation marks are added, the command execution fails.

  • Option

Specify an argument to start a command, in 256 characters or less.

The environment variable can be used for the argument.

[Note]

  • When a target host of command execution is UNIX, the command is run with UTF-8 locale. If the command can't run with UTF-8 locale, please create a shell script like below to set locale and convert a result of the command, and then specify the shell script as a executed command. As command and options cannot directly specify pipe, please make sure to create a shell script.

    [e.g.]
    In the case of executing a command which only supports SJIS locale on HP-UX
    env LANG=ja_JP.SJIS $1 | iconv -f sjis -t utf8

  • To use meta characters of the UNIX shell, you must specify the shell as a command.
    [e.g.] Action: sh, Option: -c "ls /home/*"

  • The command is executed by the authority of the process of manager and agent. (SYSTEM authority in Windows, root authority in others)

  • The total number of characters after the replacement character strings of the commands and options are extracted (when the target host is Windows, the environment variables are included) must be less than 1,700. If this number is exceeded, shorten the options by using a batch file and others.

[References]

Define the recovery

Define the recovery process


Set the recovery options

This operation should be executed after shifting into the Configuration mode.

To define the options for the recovery, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Recovery Setting] tab.

  • Recovery Status View

  • Max Display
    Specifies the maximum number of items to be displayed on the [Recovery status] tab. The value can be specified ranging from 100 to 20000. The default is 1000.

  • If a checkmark is put in "Auto confirm if Recovery finish normal", the recovery is to be automatically hidden at the time the recovery ends normally. With a specified value selected, not checkmark is placed.

  • Duration of retention
    Select the duration of recovery history retention from [Unlimited], [1Week], [2Week], [1Month], [2Months], [6Months], [9Months] and [1Year]. The default is [Unlimited].
    The histories over the duration are deleted automatically.

    [Note]
    When the duration is set as [Unlimited], recovery histories are not deleted automatically. Delete by initialize or swapping.

[References]

Define recovery

Delete recovery histories


Refer to the status of recoveries (listed)

The status of all recoveries generated after the activation of measuring terminal are displayed on the [Recovery status] tab at the bottom of the window. On the [Recovery Status] tab, the toolbar and list of recoveries will appear at the top and at the bottom, respectively.

  • If you exit the monitoring window, the status of all recoveries is checked (hidden). Note that it is not redisplayed with the monitoring window activated next time. If you search for the checked recovery status, you can refer to the status again.

  • Tool bar

  • Press the [Property] button to display the details on the recovery status in selection (details on corresponding messages and details on recovery results) on the [Recovery detail] window. See here, for details,

  • Press the [Search] button to display the [Search for recovery information] window, where you can search for recovery status. See here, for details.

  • Press the [Confirm] button to hide the status of recovery in selection from the list window. See here, for details.

  • Press the [Swap] button to completely delete the recovery histories based on the specified date. See here, for details.

  • Press the [Initialize] button to completely delete the recovery histories. See here, for details.

  • The [Swap] button and [Initialize] button are only displayed when the Configulation mode is active.

  • Recovery status list area

Each recovery status is displayed at the bottom of the recovery status.

  • Status

Displays the current recovery status (Waiting, Normal end, Abnormal end, or Executing). If multiple recovery processes and actions are defined, the status to which the top priority is given is displayed. Priorities given to statuses are shown below.

Waiting Executing > Abnormal end > Normal end

  • Date

Displays the date on which recovery occurred

  • Time

Displays the time at which recovery occurred

  • Service Name

Displays BusinessService fixed.

  • Subject

Displays the name of the filter through which recovery is issued.

[Note]

The recovery histories are preserved on the manager, and maintained for the period set by the option setting. Delete it regularly because there is a possibility of causing lack of disk free space when the maintenance period is set to "Indefinite limit". Refer to here for deleting.

  • Recovery histories are saved in the following bus on the manager.

    Windows manager

    C:\Program Files\NEC\UMF\Operations\Manager\sg\Recovery\log

    UNIX manager

    /opt/UMF/Operations/Manager/sg/Recovery/log

  • How to calculate recovery histories
    One recovery (one recovery process, one action) takes approximately 2000 to 5000 bytes (changes depending on the number of definition characters etc.). Space for action execution results is also added.
    Each time the number of action is increased by one, the space for increase is 500 to 2500 bytes + space for action execution results.

This calculation is available as a standard and changes depending on the operation status.


See the details of recoveries (corresponding message)

This operation is only allowed for users who belong to a group that has the operation authority.

Displays details on the message that causes the occurrence of recovery. The following methods are available to display the details.

  1. Select recovery on the [Recovery status] tab and then press the [Property] button.

  2. Double-click the recovery on the [Recovery Status] tab.

  3. Press the [Detail] button on the [Message detail] window (Option tab).

  • Date

Displays the date and time when recovery occurred.

  • Service Name

Displays BusinessService fixed.

  • Node Name

Display the node that outputs a message that triggers the issuance of recovery.

  • Application Name

Display an application that outputs a message that triggers the issuance of recovery.

  • Object Name

Displays an object that outputs a message that triggers the issuance of recovery.

  • Problem

Displays the name of the filter (description) through which recovery is issued.

  • Subject

Name (description) of recovery definition.

  • History

Describes action history for a filter through which recovery is issued, in 1024 characters or less. Press the [Update] button to register the description. The registered contents are reflected in all recoveries that have been (are) issued through the same filter.

  • Press the [Previous] button to display recovery detail above one on the [Message list] window.

  • Press the [Next] button to display recovery detail below one on the [Message list] window.

  • When [Detail] button on a [Message Detail] window (Option tab) displays this screen, [Previous] and [Next] buttons are not displayed.

[References]

Refer to the status of recoveries (listed)

See the details of recoveries (recovery results)


See the details of recoveries (recovery results)

This operation is only allowed for users who belong to a group that has the operation authority.

Displays the details on recovery results. The following methods are available to display the details. Display the [Recovery Detail] window according to the following methods, and then select the [Recovery] tab.

  1. Select recovery on the [Recovery Status] tab and then press the [Property] button.

  2. Double-click the recovery on the [Recovery Status] tab.

  3. Press the [Detail] button on the [Message detail] window (Option tab).

  • State

Displays the current recovery status (Normal end, Abnormal end, or Executing). If multiple recovery processes and actions are defined, the status to which the top priority is given is displayed. Priorities given to statuses are shown below.

Waiting > Executing > Abnormal end > Normal end

  • Press the [Configuration] button to display the [Recovery Setting] window. You can check recovery definitions and redefine recoveries in this window. This item is selectable only in the Configuration mode.

  • Option

Displays a message that triggers the issuance of recoveries.

  • APPLICATION

Name of application that outputs a message.

  • CATEGORYID

ID of category in which message is saved.

  • GENERATEDDATE

Date on which a message is generated.

  • GENERATEDTIME

Time at which a message is generated.

  • MESSAGEID

Means a Message ID.

  • MESSAGETEXT

Means message text.

  • NODE

Name of a node that outputs a message.

  • OBJECT

Means the name of an object that generates a message.

  • RECEIVEDATE

Means the date on which the message was received.

  • RECEIVETIME

Means the time at which the message was received.

  • RECORDNO

Means a Message ID.

  • SERVERITY

Means the Importance of messages.

  • SERVERITYID

Means the ID for the Importance.

  • Recovery List

Displays the list of recovery processes. Select a recovery process to display defined actions in the action list.

  • Description

Displays recovery processes that have been (are) executed.

    • Type

Displays the type of recovery processes.

  • Press the [Execute] button to start the recovery process (action) for waiting to start. The [Execute] button is selectable only when the recovery selected has an action of waiting to start.

  • Action list

Displays a list of actions. Select an action to display the action result output in the action result.

  • Description

Displays the description of actions.

  • Result

Means the execution results of commands. The results are divided into normal end, abnormal end, being executed, and waiting to start. In the recovery status, the action of waiting to start is displayed when being executed is selected for the execution result.

  • Target Host

Means the agent/manager name where a command has been (is) executed.

  • Command

Means a command that has been (is) executed.

  • Work Directory

Means a work directory of a command that has been (is) executed.

  • Option

Means the argument of a command that has been (is) executed.

  • Start time

Means the time at which the action was executed. It is not displayed if the action is waiting to start.

  • End time

Means the time at which the action ended. It is not displayed if the action is waiting to start.

  • Action Result

Displays the result output of an action selected.

  • Press the [Previous] button to display recovery detail above one on the [Message list] window.

  • Press the [Next] button to display recovery detail below one on the [Message list] window.

  • When [Detail] button on a [Message Detail] window (Option tab) displays this screen, [Previous] and [Next] buttons are not displayed.

[Note]

  • When indicating this window from a [Detail] button on Message Detail dialog (Option tab), [Previous] and [Next] button are not indicated.

  • The upper limit of the action result output displayed in the action result is a 65,536-byte character string. Character strings exceeding this upper limit are truncated.

[References]

Refer to the status of recoveries (listed)

See the details of recoveries (corresponding message)


Customize the display of recovery status

In the recovery status list window of the [Recovery Status] tab (the recovery status list section), you can change the location and size of each column, and whether to show or hide it.

In the action list of details of the recovery status (the recovery results), you can change the location and size of each column.

  • Changes to the result of recovery search will be applied when you search the recovery again.

You can customize how recovery status appear by following the methods below:

  • Change the location of a column
    Click and hold the title part of the target column with your mouse, and drag and drop it on a new column location to which you want change the location of the column.

  • Change the size of a column
    Placing the mouse pointer on the right edge of the target column title part enables you to expand or reduce the width of the column horizontally.

  • Select whether to show or hide a column
    Right-click the column title part to display the column name list menu. Select the column name to toggle whether to show or hide it.
    Each column name being displayed has a check mark to its left in the column name list menu.

  • Change from the [Display Setting] window
    Right-click the column title part to display the column name list menu. Select [Other].
    Each column name being displayed has a check mark to its left in the column name list menu.

    • Column Name List section
      Lists column names. Each column name whose check box to its left is checked will be displayed.

    • Description
      Displays a description for the column being selected.

    • [Up]/[Down] button
      Change the location where the column name being selected will be displayed.

    • [Show] button
      Change the column name being selected from the hide setting to the show setting. The check box on the left side of the name will be checked.
      This button is only enabled for column names whose check box to their left is unchecked.

    • [Hide] button
      Change the column name being selected from the show setting to the hide setting. The check box on the left side of the name will be unchecked.
      This button is only enabled for column names whose check box to their left is checked.

    • [OK] button
      Enables you to complete detailed settings of displayed items and return to the original window. The changes are reflected in the column title section.

    • [Cancel] button
      Enables you to cancel detailed settings of displayed items and return to the original window. The changes are not reflected in the column title section.

When you have changed the location and size of each column, and whether to show or hide it on the [Recovery Status] tab and exit the monitoring view, the following message will be displayed to save the changed display settings.

Click [Yes] to save the changed display settings for each user account used when logging to the system. Click [No] not to save the changed display settings.

[Note]

  • Changes to the location and size of each column, and whether to show or hide it in the report search results are only effective in the report search results being displayed. The display settings are not saved.

[References]

Refer to the status of recoveries (listed)


Search the recovery status

Searches for the recovery status. Narrowing down the object makes it easier to seize the status. To search for a recovery, press the [Search] button on the [Recovery Status] tab, enter the date range in which the search is done, and then press the [Search] button.

The search result is to be displayed as the [Recovery Search Result] tab at the bottom of the window.

[References]

Refer to the status of recoveries (listed)


Confirm (hide) the recovery status

This operation is only allowed for users who belong to a group that has the operation authority.

If available recoveries are shown/hidden, unsupported recoveries can promptly be seized.

To confirm a recovery, press [Confirm] button on the [Recovery status] tab.

  • If you search for the confirmed recovery status, you can refer to the status again.

  • The checking operation can only be done for unchecked recoveries.

  • To delete the recovery status completely, see here.

[References]

Refer to the status of recoveries (listed)


Delete recovery histories

Delete the recovery histories

Two ways are available to delete recovery histories: deleting of histories in the monitoring window and deleting of histories via a command line. Note that, in either case, recovery histories deleted once cannot be restored.

  1. Delete the message from the monitoring window.

This operation should be executed after shifting into the Configuration mode.

  • Deleting all recovery histories

Press the [Initialize] button on the [Recovery status] tab. When the confirmation screen for deletion, press the [Yes] button.

  • Deleting recovery histories by specifying date

Delete recovery histories whose date is before the specified date. Press the [Swap] button on the Recovery status tab. When the [Swap History] window appears, specify the date and then press the [OK] button. You can choose a date from a calendar.

  2. Delete messages via command line (the command exists in the machine where the manager function has been installed)

Execute the command stored on manager, can delete recovery histories. Please refer to RecoveryCmd INIT, RecoveryCmd SWAP.

[References]

Refer to the status of recoveries (listed)

RecoveryCmd INIT

RecoveryCmd SWAP


Reporting

In the case where a specific message is generated or a status change occurs, this product uses settings registered in advance to send a report on the case to the operator. The report function includes the following functions.

  • Patrol light report function

In the case where a specific message is generated or a status change occurs, Patrol light is used for reporting the case.

The Patrol light report is defined in the following order.

  1. Define the Patrol light report

  2. Define the policy of Patrol light report

  3. Define the Patrol light report destination

[References]

Set the report options

  • E-mail report function

In the case where a specific message is generated or a status change occurs, e-mail is sent for reporting the case.

The e-mail report is defined in the following order.

  1. Define the e-mail report

  2. Define the policy of e-mail report

  3. Edit the e-mail text

  4. Define the mail server

[References]

Set the report options

  • Action report function
    In the case where a specific message is generated or a status change occurs, this function uses settings registered in advance to send a report(Execution action) on the case.
    The action report is defined in the following order.
    1. Define the action report
    2. Define the policy of action report

[References]

Set the report options

  • Display function

Report status such as Being executed or Executed is displayed on the monitoring window.

[References]

See the status of reports (listed)

See the status of reports (details)

Confirm/Hide the report status

Search the report status

  • Report history maintenance function

Report histories that manager has stored can be deleted.

[References]

Delete report histories


Define the Patrol light report

This operation should be executed after shifting into the Configuration mode.

Define the Patrol light report. Define Patrol light reports from the [Report Setting] window. The following methods are available to display the [Report Setting] window.

  1. To set reports from the agent monitoring, see here.

  2. To set reports from the Windows service monitoring, see here.

  3. To set reports from the process monitoring, see here.

  4. To set reports from the performance monitoring, see here.

  5. To set reports from the message monitoring, see here.

  6. To set reports from the report results, see here.

  7. To set reports from the files/directories monitoring, see here.

  8. To set reports from the audit logs, see here.

When the [Report Setting] window appears, make entries in items, and then press the [OK] button.

  • Report to Patlite

If a checkmark is put in the checkbox, Patrol light report is done. It is not checked by default.

  • Policy List

Select the report policy that has been defined.
Patrol light report is done for policy if a checkmark is put in the check box.

  • Press the [Update] button to edit the policy in selection.

  • Press the [Add] button to define new policy.

  • Press the [Delete] button to delete the policy in selection.

[Note]

  • A policy can be used by multiple report settings. If a policy is deleted, all report settings that use the deleted policy are affected. Before deleting a policy, confirm that the policy is not being used by any settings.

  • If a message with the severity for which the report level character string is not set is generated, the report state is assumed to be normal termination though the report processing to PATLITE is not performed.

[References]

Define the policy of Patrol light report

Define the Patrol light report destination.

Set the report options


Define the policy of Patrol light report

This operation should be executed after shifting into the Configuration mode.

Define the policy (report level and destination to send report to) when a Patrol light report is made. To define the policy, press the [Add] button in the [Report Setting] window (Patlite Setting tab). Alternatively, select the policy and then press the [Update] button. When the [Patlite Policy] window appears, make entries in items and then press the [OK] button.

  • The defined policies can be shared within the manager unit.

  • Policy name

Specify a policy name, in 64 characters or less.

  • Destination

Select the defined setting of the destination to send report to.

  • Press the [Update] button to edit the selected destination to send report to.

  • Press the [Add] button to define a new destination to send report to.

  • Press the [Delete] button to delete the selected destination to send report to.

  • Severity & Level

Specify how each Severity is reported. When double-clicking the Severity displays the [Report level Setting] window, specify the report level of up to 16 characters, and then press the [OK] button.

  • In the case of using Serial-controlled Type

Specify the level that has been set in the Patrol light service setting (service setting window). For details on the Patrol light service setting, refer to the PAT-Manual.pdf bundled to CD-ROM. In the Patrol light service bundled to CD-ROM, 0 means that the light is turned off (After the light goes off, make settings for levels 1 and 2 to turn on the light).

    • In the case of using Network Type

Specify the lighting type. Please refer to the manual of PATLITE for the detail of lighting type. For example, if you specify "100000" as following, a red indicating lamp will turn on a light. (This is default setting of PATLITE)

[Note]

  • A report destination can be used by multiple policies. If a report destination is deleted, all policies that use the deleted report destination are affected. Before deleting a report destination, confirm that the report destination is not being used by any policies.

[References]

Define the Patrol light report

Define the Patrol light report destination


Define the Patrol light report destination

This operation should be executed after shifting into the Configuration mode.

Define the destination to send Patrol light report policy to. To define a destination to send report to, press the [Add] button in the [Patlite Policy] window. Alternatively, select a destination to send report to, and then press the [Update] button. When the [Patlite Destination Setting] window appears, make entries in items and then press the [OK] button.

  • The defined destinations to send report to can be shared within the manager unit.

  • Display Name

Specify the set name of a destination to send report to, in 64 characters or less.

  • Type

Select the using product type of the PATLITE.

You can select from either of "Serial-controlled Type" or "Network Type".

Serial-controlled Type | Network Type
PHE-3FB-RYG PHE-3FBE1-RYG PHC-100A PHC-D08 (Note 1), (Note 2) PHE-3FB2-RYG (Note 1), (Note 2) | NHE-3FB-RYG NHC-3FB-RYG NHM-3FB-RYG NHS-3FB1-RYG NHP-3FB1-RYG NHL-3FB1-RYG

(Note 1) This function can be used even with USB connection.

(Note 2) Use the normal operation mode of PATLITE. PATLITE does not operate in the PHU compatible mode.

  • Host Name

Specify the host name or IP address of the destination to send PATLITE report to, in 64 characters or less.

  • Port Number

When you selected "Serial-controlled Type" for PATLITE type, specify port number to be used for PATLITE report, ranging from 1024 to 32767.

  • Login Name

When you selected "Network Type" for PATLITE type, specify the login name of the user having execution authority for the rsh command which is registered to the PATLITE.

[References]

Define the Patrol light report

Define the policy of Patrol light report


Define the e-mail report

This operation should be executed after shifting into the Configuration mode.

Define the e-mail report. Define e-mail reports from the [Report Setting] window. The following methods are available to display the [Report Setting] window.

  1. To set reports from the agent monitoring, see here.

  2. To set reports from the Windows service monitoring, see here.

  3. To set reports from the process monitoring, see here.

  4. To set reports from the performance monitoring, see here.

  5. To set reports from the message monitoring, see here.

  6. To set reports from the report results, see here.

  7. To set reports from the files/directories monitoring, see here.

  8. To set reports from the audit logs, see here.

When the [Report Setting] window appears, select the [E-mail Setting] tab, and then press the [OK] button.

  • Report to E-mail

If a checkmark is put in the checkbox, e-mail report is done. It is not checked by default.

  • Policy name

Select the report policy that has been defined.

  • Press the [Update] button to edit the policy in selection.

  • Press the [Add] button to define new policy.

  • Press the [Delete] button to delete the policy in selection.

  • Send (To, Cc), Subject

The selected destination to send policy report to, and the title are displayed.

[Note]

  • A policy can be used by multiple report settings. If a policy is deleted, all report settings that use the deleted policy are affected. Before deleting a policy, confirm that the policy is not being used by any settings.

  • Some security monitoring softwares and antivirus softwares will block un-registered applications' sending e-mail.
    If the manager machine uses such security softwares, please configure to allow our product to send e-mail. The steps of configuration will be referred to the software manual.

[Example]

The antivirus software, "VirusScan Enterprise 8.8" produced by McAfee Inc. prevents the un-registered applications from sending e-mail in default setting. Please configure the following steps to allow our application to send e-mail.

  1. On the [VirusScan Console] window, select the [Access Protection] and double-click.

  2. The [Access Protection Properties] dialog will appear, so please select the [Prevent mass mailing worms from sending mail] from the [Anti-virus Standard Protection] items, and press the [Edit] button.

  3. The [Rule Details] dialog will appear, so please add the following process name into the [Excluded Processes] placed lower of the dialog.

SysMonMgr.exe

[References]

Define the policy of e-mail report

Define the mail server

Set the report options


Define the policy of e-mail report

This operation should be executed after shifting into the Configuration mode.

Define the policy (send of mail to and mail server to be used) when e-mail report is sent. To define the policy, press the [Add] button in the [Report Setting] window (EMail Setting tab). Alternatively, select the policy and then press the [Update] button. When the [EMail Policy Setting] window appears, make entries in items and then press the [OK] button.

  • The defined policies can be shared within the manager unit.

  • Policy Name

Specify a policy name, in 64 characters or less.

  • Mail Server

Select the defined server.

  • Press the [Update] button to edit the mail server in selection.

  • Press the [Add] button to define a new mail server.

  • Press the [Delete] button to delete the mail server in selection.

  • Send to (To, Cc, Bcc)

Specify the send of mail for each of To, Cc and Bcc. To specify multiple destinations, use different lines. Specify the destination with up to 256 characters per line and up to a total of 768 characters for all of To, Cc, and Bcc (including line feed characters).

  • Subject

Specify the title (subject matter) of the mail, in 128 characters or less.

Moreover, you can specify the substitution string for the subject of mail. Please refer to here for details of substitution string.

  • Message
    Press the [Edit] button to edit the text of the mail.

  • Encode
    Specify the character-code-set for encoding. Can specify following character-code-sets.

    Chinese Simplified (GB18030)

    Not support on English OS.

    Chinese Simplified (GB2312)

    Not support on English OS.

    Chinese Traditional (Big5)

    Not support on English OS.

    Japanese (JIS)

    Not support on English OS.

    Japanese (Shift-JIS)

    Not support on English OS.

    Unicode (UTF-8)

    Encode with Unicode (UTF-8).

[Note]

  • A mail server can be used by multiple policies. If a mail server is deleted, all policies that use the deleted mail server are affected. Before deleting a mail server, confirm that the mail server is not being used by any policies.

[References]

Define the e-mail report

Define the mail server

Edit the e-mail text


Define a mail server

Define the mail server

This operation should be executed after shifting into the Configuration mode.

Define a mail server to make an e-mail report. To define a mail server, press the [Add] button in the [E-Mail Policy Setting] window. Alternatively, select a mail server, and then press the [Update] button. When the [Mail Server Setting] window appears, make entries in items and then press the [OK] button.

  • The defined mail servers can be shared within the manager unit.

  • Display Name

Specify the name of the mail server set, in 64 characters or less.

  • Host Name

Specify the name of the server to make an e-mail report, in 64 characters or less.

  • Port Number

Specify port numbers to be used for e-mail report, ranging from 1 to 32767.

  • Mail From Address

Specify the sender address to send e-mail report from, in 128 characters or less.

  • Use SMTP Authentication

Use SMTP Authentication for accessing to the mail server. If you check, specify the log-in name and the password, each items are in 128 characters or less.

[Note]
For security reasons, it is recommended to set the password with more than 31 characters.

[References]

Define the e-mail report

Define the policy of e-mail report


Edit email text

Edit the e-mail text

This operation should be executed after shifting into the Configuration mode.

Edit the mail text of e-mail report policy. To edit mail text, press the [Edit] button in the [E-Mail Policy Setting] window. When the [Message Text] window appears, describe the text, in 2048 characters or less, and then press the [OK] button. The following substitute strings can be specified for mail text. And, these substitution strings can be specified for the subject of mail.

$SEVERITY$ | Stands for the severity of the message
$GENERATEDDATE$ | Stands for the generated date of the message
$GENERATEDTIME$ | Stands for the generated time of the message
$RECEIVEDATE$ | Stands for the received date of the message
$RECEIVETIME$ | Stands for the received time of the message
$NODE$ | Stands for the node name of the message
$APPLICATION$ | Stands for the application name of the message
$OBJECT$ | Stands for the object name of the message
$MESSAGEID$ | Stands for the message ID of the message
$MESSAGETEXT$ | Stands for the message text of the message

[Note]

  • The replacement character strings "$RECEIVEDATE$" and "$RECEIVETIME$" are available only when Business View triggers a reporting process. They cannot be used for reports triggered by other functions (such as host monitoring and performance monitoring).

  • Replacement character strings "$APPLICATION$" and "$OBJECT$" are not valid at reporting triggered by audit logs. $NODE$ and $MESSAGEID$ are replaced with the host name and the audit ID, respectively.

[References]

Define the policy of e-mail report


Define an action reporting process

Define the action report

This operation must be executed after shifting into the configuration mode.

Define the action report. Define action reports from the [Report Setting] window. The following methods are available to display the [Report Setting] window.

  1. To set reports from the agent monitoring, see here.

  2. To set reports from the Windows service monitoring, see here.

  3. To set reports from the process monitoring, see here.

  4. To set reports from the performance monitoring, see here.

  5. To set reports from the message monitoring, see here.

  6. To set reports from the report results, see here.

  7. To set reports from the files/directories monitoring, see here.

  8. To set reports from the audit logs, see here.

When the [Report Setting] window has been displayed, complete the entries in the window and click on the [OK] button.

  • Report to Action
    If this check box is checked, action reporting will be performed. It is not checked by default.

  • Policy Name
    Select one from the defined report policies.

    • Click on the [Update] button to edit the selected policy.
    • Click on the [Add] button to define a new policy.
    • Click on the [Delete] button to delete the selected policy.

  • Command
    Displays an application to be started.

  • Option
    Displays the arguments with which the command will be started.

[Note]

  • A policy can be used by multiple report settings. If a policy is deleted, all report settings that use the deleted policy are affected. Before deleting a policy, confirm that the policy is not being used by any settings.

[Reference]

Define the policy of action report

Set the report options

About the limitation of the number of command execution


Define a policy for action reporting

Define the policy of action report

This operation must be executed after shifting into the configuration mode.

This section defines a policy (any command or program on the manager) to use when performing an action reporting process. To define such a policy, click on the [Add] button or select a desired existing policy and click on the [Edit] button, in the [Report Setting] window ([Action Setting] tab). When the [Action Setting] window has been displayed, complete the entries in the window and click on the [OK] button.

  • The defined policy can be shared within the manager.

  • Policy Name
    Specify a desired policy name, within a maximum of 64 characters.

  • Action
    Specify a desired application to be started, within a maximum of 256 characters. Clicking on the [Browse] button enables you to display the [Directory in Manager] dialog and select a desired file on the manager.

    You can use an appropriate environment variable for the path name to the command. If the path includes a blank character, you must enclose it within double-quotation ("") marks.

  • Work Directory
    Specify a work directory, within a maximum of 256 characters, in which to run the command. Clicking on the [Browse] button enables you to display the [Directory in Manager] dialog and select a desired directory on the manager.
    You can use an appropriate environment variable for the path name to the command. When a blank is contained in the path name, it is not necessary to enclose in double quotation marks (""). If double quotation marks are added, the command execution fails.

  • Option
    Specify an argument(s) with which the command will be started, within a maximum of 2048 characters.
    You can use an appropriate environment variable for the argument.

In addition, the following substitute strings can be specified.

$SEVERITY$ | Stands for the severity of the message
$GENERATEDDATE$ | Stands for the generated date of the message
$GENERATEDTIME$ | Stands for the generated time of the message
$RECEIVEDATE$ | Stands for the received date of the message
$RECEIVETIME$ | Stands for the received time of the message
$NODE$ | Stands for the node name of the message
$APPLICATION$ | Stands for the application name of the message
$OBJECT$ | Stands for the object name of the message
$MESSAGEID$ | Stands for the message ID of the message
$MESSAGETEXT$ | Stands for the message text of the message

[Note]

  • If the type of OS running on the manager is a type of UNIX, a started command will be executed under the locale of UTF-8.

    If a command you will run does not support UTF-8, create a shell that sets a locale and converts output results to the UTF-8 code, and specify the shell for the command. As you cannot directly specify a pipe in commands and options, ensure that you create such a shell.

    E    .g.: If you must run a command that only supports the SJIS locale in HP-UX:

    env LANG=ja_JP.SJIS $1 | iconv -f sjis -t utf8

  • To use meta characters of the UNIX shell, you must specify the shell as a command.
    [e.g.] Action: sh, Option: -c "ls /home/*"

  • The command executed by the authority of the process of manager. (SYSTEM authority in Windows, root authority in others)

  • If a line feed code exists in the replacement character string, it is replaced with a single-byte space.

  • Arguments specified for options are interpreted in the command line as is. For this reason, the following operations are performed.

    • A space-delimited character string is interpreted as individually separated arguments.

    • A character string enclosed in double quotation marks is interpreted as one argument even if it includes space characters.

    • For other detailed operations, see the specifications of each OS.
      For Windows, see http://msdn.microsoft.com/en-us/library/a1y7w461(v=vs.71).aspx.

However, a replacement character string might be interpreted in an unexpected way when space characters or double quotation marks are included in the replacement character string because the replacement character string is extracted to the actual contents before it is interpreted in the command line.

  • The total number of characters after the replacement character strings of the commands and options are extracted (when the target host is Windows, the environment variables are included) must be less than 1,700. If this number is exceeded, shorten the options by using a batch file and others.

  • Replacement character strings "$APPLICATION$" and "$OBJECT$" are not valid at reporting triggered by audit logs. $NODE$ and $MESSAGEID$ are replaced with the host name and the audit ID, respectively.

[Reference]

Define the action report


Set the report options

This operation must be executed after shifting into the Configuration mode.

To define options for reporting, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Report Setting] tab.

  • Report Status View

  • Max Display

Specify the maximum number of statuses to be displayed in the [Report Status] tab. You can specify any value in the range of 100-20000. The default value is 1000.

  • If you check [Auto confirm if Report finishes normally], the report process will be hidden automatically upon its normal completion.

  • Report queue is initialized if manager restarts
    If this is checked, the items in the report queue will not be reported, but removed the next time the manager is started.
    The report queue is an area used to save reports on a temporary basis until they can be executed.
    If reports occur in succession, they will be stored in the queue to wait to be executed.

  • Report queue Size
    Specify the maximum number of reports that can be held in the report queue. You can specify any value in the range of 100-10000.
    Subsequent reports will be deleted until the number of reports in the report queue falls under this number.

  • Duration of retention
    Specify a period of time during which reporting history will be held from [Unlimited], [1 week], [2 weeks], [1 month], [2months], [3 months], [6 months], [9 months], and [1 year]. The default value is [Unlimited].
    Reporting history information that is older than the value specified here will be removed automatically.

    [Note]
    If you select [Unlimited], reporting history information will not be removed automatically. To remove it, perform operations such as initialization and swapping.

[References]

Define the Patrol light report

Define the e-mail report


See the status of reports (listed)

The status of all reports generated after the activation of monitoring terminal are displayed on the [Report Status] tab at the bottom of the window. On the [Report Status] tab, the toolbar and list of reports appear at the top and at the bottom, respectively.

  • If you exit the monitoring window, the status of all reports is checked (hidden). Note that it is not displayed when the monitoring window is activated next time. If you search for the checked report status, you can refer to the status again.

  • Tool bar

  • Press the [Property] button to display the details of the selected report status in the [Report Detail] dialog. See here, for details.

  • Press the [Search] button to display the [Report History Search] window, where you can search for report status. See here, for details.

  • Press the [Confirm] button to hide the status of report in selection from the list window. See here, for details.

  • Press the [Save] button, you can save the detail status of report under the display as a CSV file.
    The [Save As] dialog will appear, then specify the place, the file name, the character-code-set and the delimiter to save and press [OK] button.

  • Press the [Swap] button to completely delete the report histories based on the specified date. See here, for details.

  • Press the [Initialize] button to completely delete the report histories. See here, for details.

  • The [Swap] button and [Initialize] button are only displayed when the Configuration mode is active.

  • Report list

Each report status is displayed at the bottom of the report status.

  • Status

Displays the current report status (Normal End, Abnormal End, or Waiting). If there are two or more definitions from Patrol light, e-mail, and action, the status to which higher priority is given is displayed. Priorities given to statuses are shown below.

Waiting > Abnormal End > Normal End

  • Date

Displays the date on which report occurred.

  • Time

Displays the time at which report occurred

  • Service Name

Displays the name of monitoring functions that issued report.

Monitoring function | Display name
For agent monitoring function | TopologyView
For Windows service monitoring function | NTServiceMonitor
For process monitoring function | ProcessMonitor
For performance monitoring function | PerformanceMonitor
For message monitoring function | BusinessService

  • Subject

If reports are issued from agent monitoring, Windows service monitoring, and performance monitoring, explanation of events are displayed. If reports are issued from message monitoring, the name of filter issued is displayed.

[Notes]

The report histories are preserved on the manager, and maintained for the period set by the option setting. Delete it regularly because there is a possibility of causing lack of disk free space when the maintenance period is set to "Indefinite limit". Refer to here for deleting.

  • Report histories are saved in the following bus on the manager.

Windows manager

C:\Program Files\NEC\UMF\Operations\Manager\sg\Report\log

UNIX manager

/opt/UMF/Operations/Manager/sg/Report/log

  • How to calculate report histories

One report (Patrol light, e-mail, and action) is approximately 1500 to 3000 bytes in size (changes depending on the number of characters for report trigger, etc.).

This calculation is available as a standard and changes depending on the operation status.

  • An abnormal end in report status occurs in the following cases.

    • Patrol light report
      Serial connection type: An abnormal end occurs if communication with the machine to which the patrol light is connected fails. A problem in the communication destination machine is not detected, and a normal end occurs.
      LAN connection type: An abnormal end occurs if execution of the rsh command (a command equivalent to rsh in Windows) fails. A normal end occurs even if connection to the patrol light fails.

    • E-mail report
      An abnormal end occurs if communication with the mail server fails or the mail server returns an error during communication.

    • Action report
      An abnormal end does not occur. Success or failure of command execution and the execution result do not affect the report status.


See the status of reports (details)

Displays details on the event that causes the occurrence of report. The following methods are available to display the details.

  1. Select report on the [Report Status] tab and then press the [Property] button.

  2. Double-click the report on the [Report Status] tab.

  3. Press the [Detail] button on the [Message Detail] window (Option tab).

  • Report Date

Displays the date and time when report occurred.

  • Service

Displays the name of monitoring functions that issued report.

Monitoring function | Display name
For agent monitoring function | TopologyView
For Windows service monitoring function | NTServiceMonitor
For process monitoring function | ProcessMonitor
For performance monitoring function | PerformanceMonitor
For message monitoring function | BusinessView

  • Outline

If reports are issued from agent monitoring, Windows service monitoring, and performance monitoring, explanation of events are displayed. See here, for details. If reports are issued from message monitoring, the name of filter issued is displayed.

  • Option

Displays details on the event that triggers the issuance of reports.

  • APPLICATION

Means the name of an application that generates the event.

  • CATEGORYID

Is displayed only when report trigger is a message. ID of category in which message is saved.

  • GENERATEDDATE

Date on which an event is generated.

  • GENERATEDTIME

Time at which an event occurred.

  • MESSAGEID

Means the ID of an event.

  • MESSAGETEXT

Means the text of an event.

  • NEWSERVERITY

Is displayed only when a status change triggers the report. Means the severity after a status change is made.

  • NODE

Means the name of a node that generates the event.

  • OBJECT

Means the name of an object that generates the event.

  • OLDSERVERITY

Is displayed only when a status change triggers the report. Means the severity before a status change is made.

  • PROCESSNAME

Is displayed only when a status change (except for status change of agent) triggers the report. Means the name of an object to be monitored whose status has been changed.

  • RECEIVEDATE

Means the date on which the message was received.

  • RECEIVETIME

Means the time at which the message was received.

  • RECORDNO

Means a Message ID.

  • SERVERITY

Means the severity of messaged.

  • SEVERITYID

Means the ID for the severity.

  • Status

Displays the current report status (Normal end, Abnormal end, or Waiting). If there are two or more definitions from Patrol light, e-mail, and action, the status to which higher priority is given is displayed. Priorities given to statuses are shown below.

Waiting > Abnormal end > Normal end

  • Method

Displays the means of report that has been defined.

  • Result

Means the execution results of each report. The results are divided into normal end, abnormal end, and being executed.

  • Press the [Configuration] button to display the [Report Setting] window. You can check report definitions and redefine reports in this window. This item is available only in the Configuration mode.

  • Press the [Previous] button to display report detail above one on the [Message List] window.

  • Press the [Next] button to display report detail below one on the [Message List] window.

  • When "Detail" button on a [Message Detail] window (Option tab) displays this screen, "Previous" and "Next" buttons are not displayed.

[References]

See the status of reports (listed)


Customize the display of report status

In the report status list window of [Report Status] tab (the report list section), you can change the location and size of each column, and whether to show or hide it.

  • Changes to the report search results will be applied when you search the report again.

You can customize how report status appear by following the methods below:

  • Change the location of a column
    Click and hold the title part of the target column with your mouse, and drag and drop it on a new column location to which you want change the location of the column.

  • Change the size of a column
    Placing the mouse pointer on the right edge of the target column title part enables you to expand or reduce the width of the column horizontally.

  • Select whether to show or hide a column
    Right-click the column title part to display the column name list menu. Select the column name to toggle whether to show or hide it.
    Each column name being displayed has a check mark to its left in the column name list menu.

  • Change from the [Display Setting] window
    Right-click the column title part to display the column name list menu. Select [Other].
    Each column name being displayed has a check mark to its left in the column name list menu.

    • Column Name List section
      Lists column names. Each column name whose check box to its left is checked will be displayed.

    • Description
      Displays a description for the column being selected.

    • [Up]/[Down] button
      Change the location where the column name being selected will be displayed.

    • [Show] button
      Change the column name being selected from the hide setting to the show setting. The check box on the left side of the name will be checked.
      This button is only enabled for column names whose check box to their left is unchecked.

    • [Hide] button
      Change the column name being selected from the show setting to the hide setting. The check box on the left side of the name will be unchecked.
      This button is only enabled for column names whose check box to their left is checked.

    • [OK] button
      Enables you to complete detailed settings of displayed items and return to the original window. The changes are reflected in the column title section.

    • [Cancel] button
      Enables you to cancel detailed settings of displayed items and return to the original window. The changes are not reflected in the column title section.

When you have changed the location and size of each column, and whether to show or hide it on the [Report Status] tab and exit the monitoring view, the following message will be displayed to save the changed display settings.

Click [Yes] to save the changed display settings for each user account used when logging to the system. Click [No] not to save the changed display settings.

[Note]

  • Changes to the location and size of each column, and whether to show or hide it in the message list window are only effective in the message list window being displayed. The display settings are not saved.

[References]

See the status of reports (listed)


Search the report status

Searches for the report status. Narrowing down the object makes it easier to seize the status. To search for a report, press the [Search] button on the [Report Status] tab, enter the date range in which the search is done, and then press the [Search] button.

The search result is to be displayed as the [Search Report] tab at the bottom of the window.

[References]

See the status of reports (listed)


Confirm/Hide the report status

This operation is only allowed for users who belong to a group that has the operation authority.

If available reports are shown/hidden, unsupported reports can promptly be seized.

To check report status, select report on the [Report Status] tab, and then press the [Confirm] button.

  • If you search for the checked report status, you can refer to the status.

  • The checking operation can only be done for unchecked messages.

  • To delete the report status completely, see here.

[References]

See the status of reports (listed)


Delete report histories

Delete the report histories

Two ways are available to delete report histories: deleting of histories in the monitoring window and deleting of histories via a command line. Note that, in either case, histories deleted once cannot be restored.

  1. Delete the message from the monitoring window.

This operation should be executed after shifting into the Configuration mode.

  • Deleting all report histories

Press the [Initialize] button on the [Report Status] tab. When the confirmation screen for deletion, press the [OK] button.

  • Deleting all report histories by specifying date

Delete report histories whose date is before the specified date. Press the [Swap] button on the [Report Status] tab. When the [Report History Swap] window appears, specify the date and then press the [OK] button. You can choose a date from a calendar.

  2. Delete messages via command line (the command exists in the machine where the manager function has been installed)

Execute the command stored on manager, can delete report histories. Please refer to ReportCmd INIT, ReportCmd SWAP.

[References]

See the status of reports (listed)

ReportCmd INIT

ReportCmd SWAP


About event correlation

This product analyzes whether a received message meets a specified rule and issues a message that triggers an action to be performed based on the results of the analysis. Event correlation provides the following functions:

  • Analyze function

Rule-based analysis of received messages.

[References]

Create a rule

Create a rule group

Define the settings of a generation rule

Define a generation condition

Define a count condition

Define a time period condition

Define the settings of a suppression rule

Define a time deterrence condition

Define a period deterrence condition

  • Message issuance function

Issues a message that may trigger an action to be performed based on results of analysis.

[References]

Define the settings of a generation rule

Define the settings of a suppression rule

Define settings for an output event

  • Operation status display function

Displays the status of each condition within a rule.

[References]

Monitor the status of operations (in a list)

Monitor the status of operations (in detail)

  • History display function

Displays history information in a monitoring window, such as facts that a rule became true, a certain condition was reset and so on.

[References]

Refer to histories (in a list)

Refer to details of a history

Search for histories

Confirm (hide) a history

Remove a history

  • Import/export function

Imports/exports a defined rule.

[References]

Import a rule definition

Create a definition file by exporting a rule definition

[Note]

In addition, the timing for each of the event correlation processes is determined at the time when the event correlation function receives a message. Note that it is not the time when the message control or business view receives a message.

Therefore, analysis may not possibly be conducted properly due to the time lag between receiving time and processing time to a large extent when messages cannot be processed any more due to the overload by the message rush, or when the manager service is restarted.


Create a rule

Users must perform this operation after shifting to the Configuration mode.

This product manages event analysis on a per-rule basis. To define a rule, select [Add Rule] from the right-click menu on the tree view (the [Event Correlation View] node) or the right-click menu on the map view. When the [New rule] window has been displayed, complete the entries in the window and click on the [OK] button.

  • Rules can be created under the root node (the [Event Correlation View] node) or the rule group.

  • Rule Name

Specify any rule name, up to a maximum of 64 characters.

The Rule Name must be specified.

  • Icon File

Specify an icon to be used to display an entity, up to a maximum of 256 characters. Clicking on the [Browse] button enables you to display the [Open File] window and select a desired icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.

You can use appropriate environment variables for the path name to an icon file.

When you omit specifying an icon file, the default icon will be used.

  • Rule Type

Specify the rule type for a rule to be created.

You can select [Generation Rule], which monitors conditions in the wake of the generation of an incoming event, or a [Suppression Rule], which suppresses an event notification.

  • Authentication
    Sets a right for rules.
    For information on how to set the right, refer to "About user management" in "Perform User Management."

To update a created rule, select [Update] from the right-click menu on the tree view (the [event correlation view] node) or the right-click menu on the map view. When the [Update Rule] window has been displayed, complete the entries in the window and click the [OK] button.

  • The [Update] menu is disabled when the rule is valid.

  • In the [Update Rule] window, th rule type cannot be updated.

[References]

Create a rule group

Define the settings of a generation rule

Define the settings of a suppression rule


Create a rule group

Users must perform this operation after shifting to the Configuration mode.

To manage rules as a group, you can create a rule group for them.

To define a rule group, select [Add Group] from the right-click menu on the tree view (the [Event Correlation View] node) or the right-click menu on the map view. When the [New Group] window has been displayed, complete the entries in the window and click on the [OK] button.

  • Rule groups can be created under the root node (the [Event Correlation View] node) or under another rule group.

  • Group Name

Specify any group name, up to a maximum of 64 characters.

The Group Name must be specified.

  • Icon File

Specify an icon to be used to display an entity, up to a maximum of 256 characters. Clicking on the [Browse] button enables you to display the [Open File] window and select a desired icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.

You can use appropriate environment variables for the path name to an icon file.

When you omit specifying an icon file, the default icon will be used.

  • Authentication
    Sets a right for guroups.
    For information on how to set the right, refer to "About user management" in "Perform User Management."

To update a created rule group, select [Update] from the right-click menu on the tree view (the [event correlation view] node) or the right-click menu on the map view. When the [Update Group] window has been displayed, complete the entries in the window and click the [OK] button.

[References]

Create a rule


Define the settings of a generation rule

Users must perform this operation after shifting to the Configuration mode.

To analyze events, define the settings of a rule. Select [Set Up Rule] from the right-click menu of a rule on the tree view. When the [Set Up Rule] window has been displayed, click on the [Condition] button if you want to define a new condition. To redefine a defined condition, select the condition and click on the [Update] button

  • When the rule is valid, the menu turns to [Reference Rule].

  • Selecting [Reference Rule] will display a window similar to the one for [Rule Setting], but the settings are not editable.

A rule consists of a monitoring condition(s) and an output event(s); the monitoring condition includes settings related to individual conditions such as input events. The defined rule is evaluated according to the monitoring condition, and if the rule stands true, the specified output event will be generated.

The following shows the settable conditions in the occurrence rule:

Condition Name

Description

Occurrence

The occurrence of a special message can be defined as a condition.

[Normal] When the special message occurs, the condition stands true.

Number of Times

The number of occurrences of a special message can be defined as a condition.

[Normal] When the special message occurs the specified times within the specified time period, the condition stands true.

[Negation] When the special message does not occur the specified times within the specified time period, the condition stands true.

Time Period

You can define a condition that will stand true when another message is received within the specified time period after a message occurs.

[Normal] This condition stands true when all the other specific messages have occurred within the specified time period after a specific message occurs.

[Negation] After a specific message occurs, this condition stands true when any one of the other specific messages has not occurred within the specified time period. It means that the condition does not stand true when all the other specific message have occurred within the specified time period.

Percent

The condition is met when the percentage of input event generation in the specified group exceeds the specified percentage within the specified period.

* This is only available if the SSC linkage option license has been acquired.

Status

The condition is met when the failure status percentage in the specified group exceeds the specified percentage.

* This is only available if the SSC linkage option license has been acquired.

A list of monitoring conditions and the settings of an output event will be displayed. A rule is evaluated based on a monitoring condition, and if the rule becomes true, the specified output event will be generated as a message.

  • When you select a node and click on the [Condition] button, a new condition will be added under the node you selected. You can add a maximum of 32 conditions.

  • When you select a desired condition and click on the [AND] button, an AND condition will be added to the position.

  • When you select a desired condition and click on the [OR] button, an OR condition will be added to the position.

  • When you select a desired condition and click on the [Update] button, you will be able to edit the condition you selected.

  • When you select a condition and click on the [Delete] button, the condition you selected will be removed. Any conditions under the selected condition will also be removed.

  • When you check [Output Event] and click on the [Edit] button, you will be able to edit an output event.

*Only one output event can be defined. If you want to output more than one event, you need to create a separate rule with the same definition.

  • Monitor Option

    • Each Monitor key is monitored in parallel
      Specifies whether to monitor in parallel for every single monitoring key by extracting a monitoring key as a key word, for example, a host name, from the messages of the input event.
      Monitoring can be conducted for each of the keys when the portion (key) of the message differs.
      Select this check box and click the [Monitor key setting] button to display the [Individual Monitor Key Setting] screen.

    • The same event is monitored in parallel
      Specifies whether to monitor the identical event in parallel.
      A new monitoring can be started separately from the monitoring in progress when receiving the message of an identical input event if the button is checked.
      The following messages are processed according to the monitoring start order, and then the rules are established in the order.
      This option cannot be used when the rule definition includes "Number of times," "Rate," and "Status."

[Note]

  • To conduct monitoring with a defined rule, you must enable the rule. To enable/disable a rule, select [Disable Rule] from the right-click menu of the root node on the tree view.

  • Note that if a condition that meets the following (1) to (4) for the rule is set, the same message will be displayed repeatedly.
    (1) The condition type is "Occurrence".
    (2) The rule stands true just when only condition (1) stands true.
    (3) All the definitions for a filter for input events set to condition (1) are included in the definitions for messages set as an output event.
    (4) [The output event of the event correlation is used] is selected in the [Incoming Event Setting] window.
    If the same message is output repeatedly, invalidate the rules that include the above conditions and review the set rules.

[References]

Create a rule

Define a generation condition

Define a count condition

Define a time period condition

Define settings for an output event


Define a generation condition

Users must perform this operation after shifting to the Configuration mode.

Click on the [Condition] button in the [Rule Setting] window or select a desired condition and click on the [Update] button to display the [Condition Setting] window and set the condition to be analyzed in the window.

The condition types that you can set for the generation rule include [Occurrence], [Count], and [Time period]. This section explains the [Occurrence] condition type for analyzing the occurrence of a specified message.

  • Condition Name

Specify a desired condition name, up to a maximum of 64 characters. The character string you specify in this window will be displayed as the condition name in the [Rule Setting] window. The Condition Name must be specified.

  • Condition Type

Specify a desired condition type. If you specify [Occurrence], the occurrence of incoming events will be analyzed.

You cannot specify [Not] if you specified [Occurrence].

  • Condition Details

    • Incoming Event

Displays the event name to be monitored in event correlation. Clicking on the [Edit] button enables you to edit the incoming event. The Incoming Event must be specified.

  • Condition Auto Reset Function

This function resets the status of a condition.

    • Reset this condition when a Reset event occurs.

Specify whether to enable/disable a set up reset event.

    • Reset Event

When an event that matches the reset event occurs, the status of the condition will be reset to the initial state. Clicking on the [Edit] button enables you to edit the reset event.

    • Reset this condition when it is satisfied and a specific time period elapses.

Specify whether to enable/disable a set up elapsed time.

    • Elapsed Time

Specify the time in seconds to wait for reset operation to be executed after the condition is satisfied. You can specify a value in the range of 1-864000 seconds (10 days). The default value is 600 seconds.

  • Action after rule satisfaction

Specify the status of this condition after the rule is satisfied.

    • Retain the status of a monitored group.

Specify whether the status of a monitored group should be retained after the rule is satisfied.

*It is predefined. It cannot be specified in a generation condition.

    • This condition cannot be satisfied unless the status is recovered.

Specify whether this condition is allowed to be satisfied when an incoming event occurs after the rule becomes true.

*It is predefined. It cannot be specified in a generation condition.

[References]

Define the settings of a generation rule

Define a count condition

Define a time period condition

Define filter settings for events


Define a count condition

Users must perform this operation after shifting to the Configuration mode.

Click on the [Condition] button in the [Rule Setting] window or select a desired condition and click on the [Update] button to display the [Condition Setting] window and set the condition to be analyzed in the window.

The condition types that you can set for the generation rule include [Occurrence], [Count], and [Time period]. This section explains the [Count] condition type for monitoring whether a specified number of messages will occur within a specified time period.

  • Condition Name

Specify a desired condition name, up to a maximum of 64 characters. The character string you specify in this window will be displayed as the rule name in the [Rule Setting] window. The Condition Name must be specified.

  • Condition Type

Specify a desired condition type. If you specify [Count], it will analyze whether the specified number of incoming events will occur within a specified time period.

You can specify [Not] if you specified [Count]. If you specify [Not], it will analyze whether the specified number of incoming events will not occur within a specified time period.

  • Condition Details

    • Incoming Event

Displays the event name to be monitored in event correlation. Clicking on the [Edit] button enables you to edit the incoming event. The Incoming Event must be specified.

    • Monitoring Period

Specify the time period in seconds during which incoming events will be monitored after the first incoming event occurs. You can specify a value in the range of 1-864000 seconds (10 days). The default value is 600 seconds.

    • Number of occurrences

Specify the number of occurrences of the incoming event. You can specify a value in the range of 2-65535. The default value is 10.

  • Condition Auto Reset Function

This function is to reset the status of a condition.

    • Reset this condition when a Reset event occurs.

Specify whether to enable/disable a set up reset event.

    • Reset Event

When an event that matches the reset event occurs, the status of the condition will be reset to the initial state. Clicking on the [Edit] button enables you to edit the reset event.

    • Reset this condition when it is satisfied and a specific time period elapses.

Specify whether to enable/disable a set up elapsed time.

    • Elapsed Time

Specify the time in seconds to wait for reset operation to be executed after the condition is satisfied. You can specify a value in the range of 1-864000 seconds (10 days). The default value is 600 seconds.

  • Action after rule satisfaction

Specify the status of this condition after the rule is satisfied.

    • Retain the status of a monitored group.

Specify whether the status of a monitored group should be retained after the rule is satisfied.

*It is predefined. It cannot be specified in a count condition.

    • This condition cannot be satisfied unless the status is recovered.

Specify whether this condition is allowed to be satisfied when an incoming event occurs after the rule becomes true.

*It is predefined. It cannot be specified in a count condition.

[References]

Define the settings of a generation rule

Define a generation condition

Define a time period condition

Define filter settings for events


Define a time period condition

Users must perform this operation after shifting to the Configuration mode.

Click on the [Condition] button in the [Rule Setting] window or select a desired condition and click on the [Update] button to display the [Condition Setting] window and set the condition to be analyzed in the window.

The condition types that you can set for the generation rule include [Occurrence], [Count], and [Time period]. This section explains the condition type [Time period] for analyzing whether another message will occur within a specified time period after a message is generated.

  • Condition Name

Specify a desired condition name, up to a maximum of 64 characters. The character string you specify in this window will be displayed as the rule name in the [Rule Setting] window. The Condition Name must be specified.

  • Condition Type

Specify a desired condition type. If you specify [Time period], it will analyze whether all the subsequent events will occur within a specified time period after an incoming event is generated.

You can specify [Not] if you specified [Time period]. If you specify [Not], it will analyze whether none of the subsequent events will occur within a specified time period after an incoming event is generated. (This condition is satisfied unless all Subsequent events occur within a specific time period.)

  • Condition Details

    • Incoming Event

Displays the event name to be monitored in event correlation. Clicking on the [Edit] button enables you to edit the incoming event. The Incoming Event must be specified.

    • Monitoring Period

Specify the time period in seconds during which subsequent events will be monitored after the first incoming event occurs. You can specify a value in the range of 1-864000 seconds (10 days). The default value is 600 seconds.

    • Subsequent Event

Specify a desired event to be monitored after an incoming event occurs. The Subsequent Event must be specified.

Clicking on the [New] button enables you to add an additional event.

Clicking on the [Edit] button enables you to edit the selected event.

Clicking on the [Delete] button enables you to remove the selected event.

  • Condition Auto Reset Function

This function is to reset the status of a condition.

    • Reset this condition when a Reset event occurs.

Specify whether to enable/disable a set up reset event.

    • Reset Event

When an event that matches the reset event occurs, the status of the condition will be reset to the initial state. Clicking on the [Edit] button enables you to edit the reset event.

    • Reset this condition when it is satisfied and a specific time period elapses.

Specify whether to enable/disable a set up elapsed time.

    • Elapsed Time

Specify the time in seconds to wait for reset operation to be executed after the condition is satisfied. You can specify a value in the range of 1-864000 seconds (10 days). The default value is 600 seconds.

  • Action after rule satisfaction

Specify the status of this condition after the rule is satisfied.

    • Retain the status of a monitored group.

Specify whether the status of a monitored group should be retained after the rule is satisfied.

*It is predefined. It cannot be specified in a time period condition.

    • This condition cannot be satisfied unless the status is recovered.

Specify whether this condition is allowed to be satisfied when an incoming event occurs after the rule becomes true.

*It is predefined. It cannot be specified in a time period condition.

[References]

Define the settings of a generation rule

Define a generation condition

Define a count condition

Define filter settings for events


Define the settings of a suppression rule

Users must perform this operation after shifting to the Configuration mode.

To analyze events, define the settings of a rule. Select [Set Up Rule] from the right-click menu of a rule node on the tree view. When the [Set Up Rule] window has been displayed, set up a condition to be analyzed.

  • When the rule is valid, the menu turns to [Reference Rule].

  • Selecting [Reference Rule] will display a window similar to the one for [Rule Setting], but the settings are not editable.

Unnecessary intermediate messages can be excluded under the deterrence rule when a serial message defined as an input event occurs.

The start message is notified at the timing when the initial message of a serial message that occurs continuously is received while the end message is reported at the timing when the status in which no message occurs elapses for a certain period of time or at the timing when other message is received. Unnecessary message can be excluded by monitoring only the start and end messages by the business view and others.

The conditions that can be set by the deterrence rule are described below.

Condition Name | Description
Time Suppression | A definition, which deters the notice of the specified message from when the specified message occurs up to the specified time, can be created.
Section Suppression | A definition, which deters the notice of the specified message from when a message occurs to when another message is received, can be created.

[Note]

To conduct monitoring with a defined rule, you must enable the rule. To enable/disable a rule, select [Disable Rule] from the right-click menu of the root node on the tree view.

[References]

Create a rule

Define filter settings for events

Define settings for an output event


Define a time deterrence condition

This operation must be executed after changing into the Configuration mode.

To execute this operation, the authority to update the applicable rule is required.

Select [Condition Type] on the [Rule Setting] screen in order to set the condition to be analyzed from the [Condition Details]

There are two types of condition that can be set by the deterrence rule: [Time Suppression] and [Section Suppression]. This section describes [Time Suppression] in Condition Type.

Under the time deterrence condition, it is able to create the definition that reports the start message at the timing when the initial message is received while the end message is reported at the timing when more time elapses than the specified time.

Unnecessary intermediate messages can be excluded when a serial message defined as an input event occurs.

  • Rule Name
    Displays the selected rule name.

  • Condition Type
    Specifies the condition type. Input event is deterred from when the input event occurs up to the specified time when the [Time Suppression] is specified.

  • Condition Details

    • Incoming Event
      The event names that are monitored by the event correlation are displayed. Clicking the [Edit] button enables the edit of the input event. The input event cannot be omitted.

    • zero time reference
      Input event is deterred from when the first input event occurs up to the specified time when the [Initial Incoming Event] is selected.
      Input event is deterred from when the last input event occurs up to the specified time when the [Last Incoming Event] is specified.

    • Suppression Time Period
      Specifies the time to continue deterrence from when the input event occurs. A value from 1 to 864000 (equivalent for 10 days) can be specified. The default value is 600 seconds.

  • Output Event

    • Initial Event
      Specifies enable/disable of the event that is output when starting the deterrence. Clicking the [Edit] button enables the edit of the start event.

    • Last Event
      Specifies enable/disable of the event that is output when releasing the deterrence. Clicking the [Edit] button enables the edit of the last event.

* Only a single definition is available for the start event and last event each. Rules of the same definition must be created separately when you want to output the multiple start and last events.

  • Monitor Option

    • Each Monitor key is monitored in parallel.
      Specifies whether to monitor in parallel for every single monitoring key by extracting the input event message as a key.
      Clicking the [Monitor key setting] button displays the [Individual Monitor Key Setting] screen.

[Related item]

Define the settings of a suppression rule

Define a period deterrence condition

Define filter settings for events

Define the monitoring key setting


Define a period deterrence condition

This operation must be executed after changing into the Configuration mode.

To execute this operation, the authority to update the applicable rule is required.

Select [Condition Type] on the [Rule Setting] screen in order to set the condition to be analyzed from the [Condition Details]

There are two types of condition that can be set by the deterrence rule: [Time Suppression] and [Section Suppression]. This section describes [Section Suppression] in Condition Type.

Under the period deterrence condition, it is able to create the definition that starts monitoring at the timing when the initial message is received and that reports the start message at the timing when the initial input event is received while the end message is reported at the timing when the message defined as a deterrence end event is received.

Unnecessary intermediate messages can be excluded when a serial message defined as an input event occurs continuously.

  • Rule Name
    Displays the selected rule name.

  • Condition Type
    Specifies the condition type. The input event is deterred from when the start deterrence event or input event occurs to when the deterrence end event occurs when the [Section Suppression] is specified.

  • Condition Details

    • Suppression Start Event
      The event names that are monitored by the event correlation are displayed. Clicking the [Edit] button enables the edit of the input event. The input event cannot be omitted.

    • Incoming Event
      Input event is deterred from when the first input event occurs up to the specified time when the [Initial Incoming Event] is selected.
      Input event is deterred from when the last input event occurs up to the specified time when the [Last Incoming Event] is specified.

    • Suppression End Event
      Specifies the time to continue deterrence from when the input event occurs. A value from 1 to 864000 (equivalent for 10 days) can be specified. The default value is 600 seconds.

    • Count the detection event
      [Suppression Start Event], [Input event], and the [Suppression End Event] are counted when [All] is selected.
      Selecting [Incoming Event] counts the input events.

  • Output Event

    • Initial Event
      Specifies enable/disable of the event that is output when starting the deterrence. Clicking the [Edit] button enables the edit of the start event.

    • Last Event
      Specifies enable/disable of the event that is output when releasing the deterrence. Clicking the [Edit] button enables the edit of the last event.

* Only a single definition is available for the start event and last event each. Rules of the same definition must be created separately when you want to output the multiple start and last events.

  • Monitor Option

    • Each Monitor key is monitored in parallel.
      Specifies whether to monitor in parallel for every single monitoring key by extracting the input event message as a key.
      Clicking the [Monitor key setting] button displays the [Individual Monitor Key Setting] screen.

[Related item]

Define the settings of a suppression rule

Define a time deterrence condition

Define filter settings for events

Define the monitoring key setting


Define filter settings for events

Users must perform this operation after shifting to the Configuration mode.

To analyze received messages, you define a filter. Click on the [Edit] button for an incoming event, reset event, or subsequent event. When the [Event Setting] window for one of the three event types has been displayed, click on the [Add] button if you want to define a new filter. To redefine a defined filter, select the filter and click on the [Update] button or double-click on the filter.

A list of filters and the extract conditions for each filter are displayed. The filter conditions are sequentially processed from top to bottom in the window and a filter process will work based on the first filter definition whose conditions are met. Filter processes based on the filter definitions after the first met one will not be performed.

  • Event Name

Specify a desired condition name, up to a maximum of 64 characters. The Condition Name must be specified.

  • To change the order of execution of the selected filters, use the down and up arrow keys (Up and Down).

  • To redefine a filter, select the filter and click on the [Update] button or double-click on any item in the filter.

  • When you select a filter and click on the [Add] button, a new filter will be added to the position. If you select more than one filter, a new filter will be added to the top position. When you click on the [Add] button without selecting filters, a new filter will be added to the bottom of the list.

  • When you select a filter and click on the [Delete] button, the selected filter will be removed. If you select multiple filters, you can remove them all at once.

  • When you select a filter and click on the [Copy] button, a copy of the selected item(s) will be added to the position. You can add a new filter that has the same extract conditions as a source filter by copying it.

  • [Key Extract Setting] Button
    Clicking the [Key Extract Setting] button displays the [Extraction setting of Monitor key] screen.
    However, this button is enabled only when the parallel monitoring option is set on the [Rule Setting] screen.

  • The output event of the event correlation is used
    Checking this dialog box utilizes the output event of the event correlation as an input event.
    Unchecking this dialog box enables the deterrence of the unintended correlation loop.
    The output event of the event correlation is used by default.

[References]

Define a generation condition

Define a count condition

Define a time period condition

Define the settings of a suppression rule

Define extract conditions for events


Define extract conditions for events

Users must perform this operation after shifting to the Configuration mode..

You define conditions that determine what message should be treated as an event.

Extract conditions for a filter can be defined in the [Filter Detail Setting] window. To display the [Filter Detail Setting] window, you can perform one of the following three methods:

  1. Click on the [Add] button in the [Event Setting] window

  2. Select the filter you want to edit in the [Event Definition] window and click on the [Update] button

  3. Double-click on the filter you want to edit in the [Event Definition] window.

When the [Filter Detail Setting] window has been displayed, enter the extract conditions in the window and click on the [OK] button.

  • Description (filter name)

Specify a desired filter name, up to a maximum of 256 characters. The character string you specify in this window will be displayed as the filter name in the [Filter Definition] window. The Description must be specified.

  • Category

Specify a filter condition for the category in regular expression format, up to a maximum of 32 characters or select from [Application], [Security], [System], and [Unified Management Framework]. If you select [Not], messages that do not match the specified regular expression will be selection candidates.

  • Node (node name that outputs messages)

Specify a filter condition for the node in regular expression format, up to a maximum of 256 characters. If you select [Not], messages that do not match the specified regular expression will be selection candidates.

  • Application (application name that outputs messages)

Specify a filter condition for the application in regular expression format, up to a maximum of 128 characters. If you select [Not], messages that do not match the specified regular expression will be selection candidates.

  • Object (object name that generates messages)

Specify a filter condition for the object in regular expression format, up to a maximum of 128 characters. If you select [Not], messages that do not match the specified regular expression will be selection candidates.

  • Message ID

Specify a filter condition for the message ID in regular expression format, up to a maximum of 128 characters. If you select [Not], messages that do not match the specified regular expression will be selection candidates.

  • Message Text (message body)

Specify a filter condition for the message text in regular expression format, up to a maximum of 1024 characters. If you select [Not], messages that do not match the specified regular expression will be selection candidates.

  • Select by Position

Specify up to eight search operation conditions by selecting positions in the message text. If you select [Not], messages that do not match the specified condition will be selection candidates.

    • Position

Specify a position in characters (or bytes) in the message text in the range of 1 to 1024 so that characters after the position may be compared.

    • Condition

Specify a desired comparison condition.

    • Value

Specify a desired value that will be used for comparison, up to a maximum of 64 characters. The Value cannot be specified in regular representation format.

E.g.:

If you want to extract messages that have an occurrence of "Abnormal" at the 10th position in the message text, specify the items as follows:

Position | :10
Condition | :=
Value | :Abnormal

  • Select by Key

Specify up to eight search operation conditions by selecting keys in the content of a log. If you select [Not], messages that do not match the specified condition will be selection candidates.

    • Key

Specify a key in a log, up to a maximum of 64 characters.

    • Condition

Specify a desired comparison condition. If you specify "=," a regular expression will apply to the Value. If you specify any other condition than "=," a string specified in [Value] will be compared on a binary basis.

    • Value

Enter a value that will be used for comparison. If you specified "=" for [Condition], specify a Value in regular expression.

E.g.:

Suppose you have a log that includes the string of "error_number = 5" and the "5" part is variable. If you want to extract logs that include "error_number" = 4 or less, specify the items as follows:

Key | :error
Condition | :<=
Value | :4

  • Severity

Select a search condition for a degree of severity. If you select [Not], messages that do not match the selected condition will be search targets.

  • If you omit specifying a condition(s), the condition(s) will not be used (all messages will be selection candidates in relation to the condition(s)).

  • Only the messages that meet all the conditions specified here can be extracted.

  • You cannot use a comma (,) or a double quotation (") in this window.

[References]

Define filter settings for events


Define settings for an output event

Users must perform this operation after shifting to the Configuration mode..

This section defines an output event that will generate a notification when a rule becomes true.

To display the [Output Event Setting] window, click on the [Edit] button in a generation rule or suppression rule.

  • Extract Source

If you select [Initial Event], the content of an incoming event that will be detected first will be quoted. If you select [Last Event], the content of an incoming event that will be detected last will be quoted.

If you display the [Output Event Setting] window from a suppression rule, [Extract Source] will be disabled.

  • Severity

Specify a degree of severity for the output message from the list box. If you have checked [Extract Source], the degree of severity for an incoming event will be output.

  • Occurrence Date and Time

Specify the time and date for an output message. If you have checked [Extract Source], the time and date when the incoming event was generated will be output, and if you have checked [Current Date and Time], the time and date when the rule became true will be output.

  • Node

Specify the node for output messages, up to a maximum of 256 characters. If you have checked [Extract Source], the node for an incoming event will be output. You can also specify a replaced character string(s) for a Node.*

  • Application

Specify the application for output messages, up to a maximum of 256 characters. If you have checked [Extract Source], the application for an incoming event will be output. You can also specify a replaced character string(s) for an Application.*

  • Object

Specify the object for output messages, up to a maximum of 256 characters. If you have checked [Extract Source], the object for an incoming event will be output. You can also specify a replaced character string(s) for an Object.*

  • Message ID

Specify the ID for output messages, up to a maximum of 256 characters. If you have checked [Extract Source], the message ID of an incoming event will be output. You can also specify a replaced character string(s) for a Message ID.*

  • Event Category

Specify the category for output messages, up to a maximum of 256 characters. If you have checked [Extract Source], the event category for an incoming event will be output. You can also specify a replaced character string(s) for an Event Category.*

  • Message text

Specify the message text for an output message, up to a maximum of 1024 characters. If you have checked [Extract Source], the message text for an incoming event will be output. You can also specify a replaced character string(s) in Message Text.*

  • Select by Position

Select the content that will be quoted from the message text of an incoming event by specifying a position(s) in the message text. You can define a maximum of 8 conditions. If you have checked [Extract Source], you cannot specify this.

    • Position

Specify a position in the message text with the number of characters after which the text starts to be extracted. You can specify the position in the range of 1-1024.

    • String Length

Specify the length of a string that will replace a variable.
You can specify it in the range of 1-1024.
Specify the value in a way that a total of it and the value specified for the position may not exceed 1025.

    • replacement variable

Specify a variable, up to a maximum of 64 characters, that will be replaced with the content to be quoted.

E.g.:

Message text of an incoming event: "Warning: CUP usage in server A exceeds 90%"

If you want to extract "90%" from the message text and output it in an output message, specify the items as follow:

Message text | :CPU usage failure (Usage=CPUVALUE)
Position | :40
String Length | :3
Variable to be replaced | :CPUVALUE

Message text of the output event: CPU usage failure (Usage=90%)

  • Select by Key

Select the content that will be quoted from the message text of an incoming event by specifying a key value(s). If you specify a Start key value and an End key value, the character string that starts one position after the character string that matches the Start key value and ends one position before the character string that matched the End key value will be extracted from the message text of an incoming event. If you have checked [Extract Source], you cannot specify this.

    • Start key value

Specify a key value immediately before the content you want to quote from the message text of an incoming event, up to a maximum of 64 characters.

    • End key value

Specify a key value immediately after the content you want to quote from the message text of an incoming event.

    • replacement variable

Specify a variable, up to a maximum of 64 characters, that will be replaced with the content to be quoted.

E.g.:

Message text of an incoming event: "Failure occurred on ServerA in server group A."

If you want to extract "ServerA" from the message text and output it in an output message, specify the items as follows:

Message text | :Faulty server (SVNAME)
Start key value | :Failure occurred on
End key value | :in server group A.
Variable to be replaced | :SVNAME

Message text of the output event: Faulty server (ServerA)

*Character strings to be replaced.

You can specify the following character string to be replaced as a designated character string:

$RULENAME$ Replaced with a rule name.

$SEVERITY$ Replaced with the severity of a quoted message.

$CREATEDATE$ Replaced with the generated date of a quoted message.

$CREATETIME$ Replaced with the generated time of a quoted message.

$NODENAME$ Replaced with the node name of a quoted message.

$APPLICATIONNAME$ Replaced with the application name of a quoted message.

$OBJECTNAME$ Replaced with the object name of a quoted message.

$MESSAGEID$ Replaced with the message ID of a quoted message.

$EVENTCATEGORY$ Replaced with the event category of a quoted message.

$MESSAGETEXT$ Replaced with the message text of a quoted message.

$EVENTCOUNT$ Replaces with the number of correlated source messages However, this character string cannot be used in [Suppression Start Event] under the deterrence rule.

[References]

Define the settings of a generation rule

Define the settings of a suppression rule


Define the monitoring key setting

This operation must be executed after changing into the Configuration mode.

To execute this operation, the authority to update the applicable rule is required.

The setting for the extraction of the specified character string as a monitoring key is defined from the event message.

Clicking the [Monitor key setting] button of the Monitor Option under the generation rule or the deterrence rule displays the [Individual Monitor Key Setting] screen.

  • Monitoring key list

The defined monitoring keys are displayed in the list.

  • Monitor key name
    Displays the name of a monitoring key.

  • Add button
    Clicking the [Add] button displays the [New monitor key] screen

Specify a monitoring key name by using up to 64 characters. Clicking the [OK] button adds a monitoring key name to the monitoring key list.

Delete the single-byte- or double-byte space if it is included in the monitoring key name at the beginning or at the end of its name.

The maximum number of monitoring keys is 10.

  • Update button
    Selecting any key from the [Monitor key name] and clicking the [Update] button displays the [Update monitor key] screen.

Updating the monitoring key name and clicking the [OK] button updates the name of the applicable monitoring key.

  • Delete button
    Selecting any key from the [Monitor key name] and clicking the [Delete] button deletes the selected key.

  • Extraction setting of monitor key

Select any key from [Monitor key name] to define the extraction setting from the [Extraction setting of monitor key] tab.

When the extraction setting has already been made, the existing contents are displayed.

The items that are displayed in red characters when displaying the [Extraction setting of monitor key] tab are those for which settings are requisite.

    • Condition Name
      Displays the name of the condition.

    • Event Name

Displays the event name.

    • Require
      Displays whether the key extraction setting is requisite or not. Conditions with a 0 mark are requisite.

    • Target

Displays whether the conditions are extraction target or not.

    • Reference List

Displays the replacement characters of a reference source.

    • String operation

Displays the method of extracting a key from the replacement characters of a reference source.

Selecting the condition on the [Extraction setting of monitor key] tab and clicking the [Update] button displays the [Extraction setting of Monitor key screen.

  • Composition group tab

Select any key from [Monitor key name] to define the constituent group setting from the constituent group tab.

When the setting has already been made, the existing contents are displayed.

    • Composition group name

Displays the name of a constituent group

    • Wild-card specification

Displays whether to specify wild card.

    • Component

Displays the replacement character of the component.

    • Up and down button

Moves the selected constituent group up or down to change the priority.

The component that is not specified by a Wild-card is not affected by the priority. The constituent group that matches according to the priority list is searched by the component that includes asterisk mark (s), "*," of Wild-card (s) because multiple groups may match.

    • Add button

When you click the [Add] button, the [Set up Component of Composition Group] screen is displayed.

    • Edit button

Selecting any group name from the constituent group list and clicking the [Edit] button displays the [Set up Component of Composition Group] screen.

    • Delete button

Selecting any group name from the constituent group list and clicking the [Delete] button deletes the selected group from the list.

  • [Set up Component of Composition Group] Screen

Defines constituent group.

    • Composition group name

Specifies a constituent group name by using up to 64 characters.

    • Component list

Specifies a component by using up to 256 characters.

One component must be specified in a line by using a line feed when multiple components are specified.

A maximum of 10,000 components can be specified.

A constituent group and a component must be identical in a monitoring key.

    • The wild-card is specified

If the check box is checked, asterisk mark(s) "*" included in the component is treated as wild-card (s).

If it is not checked, asterisk marks are treated as characters.

Asterisk marks are not treated as wild-cards by default.

[Related item]

Define the settings of a generation rule

Define the settings of a suppression rule


Define the monitoring key extraction setting

This operation must be executed after changing into the Configuration mode.

To execute this operation, the authority to update the applicable rule is required.

The setting for the extraction of the specified character string as a monitoring key is defined from the event message.

The [Extraction setting of Monitor key] screen is displayed under the following conditions:

- When the [Key Extract Setting] button on the [Incoming Event Setting] is clicked

- When the condition is selected on the [Extraction setting of monitor key]tab on the [Individual Monitor Key Setting] screen.

  • Monitoring key list
    The defined monitoring keys are displayed in the list.

The extraction setting of checked key (s) is enabled.

Selecting a monitoring key displays the contents on the [Extraction setting of Monitor key] screen.

  • Extraction setting of Monitor key

Defines the extraction setting.

    • Reference List

Selects the message item that is the source of reference for a monitoring key.
Message item can be selected from below:

$APPLICATION$ | Displays the application name of a message.
$CREATEDATE$ | Displays the date of the generation of a message.
$CREATETIME$ | Displays the time of the generation of a message.
$EVENTCATEGORY$ | Displays the message event category.
$MESSAGEID$ | Displays the ID of a message.
$MESSAGETEXT$ | Displays the text of a message.
$NODE$ | Displays the node name of a message.
$OBJECT$ | Displays the object name of a message.
$SEVERITY$ | Displays the severity of a message.

  • String operation

Defines the method of extracting a key from the character string of an item that is specified by the source of reference.

    • Select by All

Specifies an extraction by specifying a whole character string of an item that is specified by the source of reference as a key.

    • Select by Position

Defines the contents to be extracted as a key by specifying the position in the character string of an item that is specified by the source of reference.

      • Position

Specifies the extraction start position in the character string of an item that is specified by the source of reference by using a number of characters.

The range from 1 to 1024 can be specified.

      • String Length

Specifies the character string to be extracted.

The range from 1 to 1024 can be specified.

Specify a value so that the total with the value specified as a position does not exceed 1025.

Example:

Character string of the item specified by the source of reference: "Failure occurred in ServerA of server group A."

When you want to extract "ServerA" from the character string from the item specified by the source of reference, specify a value as below:

Position : 21

String Length: 7

    • Select by Key

Defines the contents to be extracted as a key by specifying the key value in the character string of an item that is specified by the source of reference. Specifying the start key value and the end key value acquires the contents from the next to the start key value up to in front of the end key.

When the start key is omitted, extraction starts from the beginning of the character string of an item specified by the source of reference. When the end key is omitted, character string is extracted up to the end.

Both the start key and the end key cannot be omitted at the same time.

      • Start key value

Specify the key value in front of the contents that you want to extract from the character string of an item specified by the source of reference by using up to 64 characters.

When there is (are) space (s) in single or double byte(s) at the beginning and at the end of the character string, do not delete them; instead, use them as a part of the key.

  • Ent key value

Specify the key value in front of the contents that you want to extract from the character string of an item specified by the source of reference by using up to 64 characters.

When there is (are) space (s) in single or double byte(s) at the beginning and at the end of the character string, do not delete them; instead, use them as a part of the key.

Example:

Character string of the item specified by the source of reference: "Failure occurred in ServerA of server group A."

When you want to extract "ServerA" from the character string from the item specified by the source of reference, specify a value as below:

Starting position key value: "Failure occurred in "

End position key value: " of server group A."


Monitor the status of operations (in a list)

To display the list window for operating statuses, double-click on a rule in the tree view (within the Event Correlation View) or a rule icon in the map view (within the Event Correlation View). A list window for conditions and statuses for the rule will be displayed in the right section of the window.

  • Button Panel section

Displays buttons used when operating messages.

    • Clicking on the [Update] button enables you to update the view of the status of rule generation to the latest state.

    • Number of monitor
      Displays the number of instances for which monitoring is in progress, in the format of <Number of monitoring items>/<A maximum number of monitoring items>. Note that a maximum number of simultaneous monitoring items for one rule is 1000.
    • Last updated
      Displays the date and time of updating the display (to the latest status).

*This operation is allowed for only users who belong to a group that has the operation right.

  • Instance status list section

Displays the status of instances for which monitoring is in progress, in the list.

    • Status
      Displays the status of instances.

    • Monitor Start Date Time
      Displays the date and time of starting the instance.

  • Status list section

Displays the status of each condition within a rule.

    • Status
      Displays the status of condition.

    • Condition

Displays the name of each condition.

    • Type

Displays each condition type.

    • Not

Displays whether it is a negative condition.

    • Start Date

Displays the date when the monitoring of a condition started.

    • Start Time

Displays the time when the monitoring of a condition started.

    • Generated Date

Displays the date when a condition became true.

    • Generated Time

Displays the time when a condition became true.

    • Time Period

Displays the status of how the time period is being monitored.

This fraction represents the elapsed time since the start of monitoring compared to the specified time.

*It is used for conditions such as count conditions that can specify a specified time.

    • Count

Displays the status of how the count is being monitored.

This fraction represents the number of detected incoming events compared to the specified number.

*It is used for count conditions only. It is not used for any other conditions.

    • Percentage

Displays the status of how percentage is being monitored.

This fraction represents the occurrence ratio of incoming events in a monitored group compared to the specified percentage.

*It is predefined. It is not used for generation, count, and time period conditions.


Monitor the status of operations (in detail)

To display the detailed window of operating status, display a list of operation state in the right section of the window by double-clicking on a rule in the tree view (within the Event Correlation View) or a rule icon in the map view (within the Event Correlation View).
Selecting an instance from the instance list The respective detail information items are those upon selection. Displays are not automatically updated.

  • Clicking the [Reset] button resets the conditions that are currently selected to the initial state.

  • Condition Name

Displays the name of the condition.

  • Condition Status

Displays the status of the condition.

  • Date/Time

    • When started

Displays the time and date when the monitoring of the condition started.

    • When occurred

Displays the time and date when the condition became true.

  • Condition Type

Displays the type of the condition. If this is a Not condition, a check mark will be displayed for [Not].

  • Status Details

    • Incoming Event

Displays the name of the incoming event.

    • Recovery Event

Displays the name of the recovery event.

*It is predefined. It is not used for generation, count, and time period conditions.

    • Time Period

Displays the status of how the time period is being monitored.

This fraction represents the elapsed time since the start of monitoring compared to the specified time.

*It is used for conditions such as count conditions that can specify a specified time.

    • Number of Times

Displays the status of how the count is being monitored.

This fraction represents the number of detected incoming events compared to the specified number.

*It is used for count conditions only. It is not used for any other conditions.

    • Percentage

Displays the status of how the percentage is being monitored.

This fraction represents the occurrence ratio of incoming events in a monitored group compared to the specified percentage.

*It is predefined. It is not used for generation, count, and time period conditions.

    • Monitored Group

Displays the name of a monitored group.

*It is predefined. It is not used for generation, count, and time period conditions.

  • Auto Reset Function

    • Reset Event

Displays the name of the reset event.

    • Elapsed Time

Displays the time elapsed since the reset condition became true.

This fraction represents the elapsed time since a condition became true compared to the specified time.

  • Detected Event

Displays a list of detected incoming events.

    • Event Name

Displays the name of each detected event.

    • Severity

Indicates the display name of a degree of severity specified as severity.

    • Node

Displays the name of each node.

    • Generated Date

Displays the date when each event was generated.

    • Generated Time

Displays the time when each event was generated.

    • Application

Displays the name of each application.

  • Object

Displays the name of each object.

    • Message ID

Displays each message ID.

    • Message text

Displays the message text for each event.

    • Event Category

Displays the event category.

[References]

Monitor the status of operations (in a list)


Customizing the operation state display

The location, size, and whether to show or hide each column in the operation state list dialog box and operation state details dialog box can be changed.

  • Changes to the operation state list and details dialog boxes will be applied when those dialog boxes are displayed again.

To customize the display, perform the following operations.

The dialog box example below is the operation state list dialog box.

  • Changing the column location
    Drag the target column title area, then drop it in the destination column location.

  • Changing the column size
    Place the mouse on the right edge of the target column title area to expand or shrink the column horizontally.

  • Selecting to show or hide the column
    Right-click the column title area to display the column name list menu. Switch showing/hiding by selecting a column name.
    A checkmark is displayed to the left of the column name list menu for the column names currently being displayed.

  • Changing in the detailed setting dialog box of the displayed contents
    Right-click the column title area to display the column name list menu. Select [Other].
    A checkmark is displayed to the left of the column name list menu for the column names currently being displayed.

  • Column Name List section
    Lists column names. Each column name whose check box to its left is checked will be displayed.
    The vertical order (top to bottom) becomes the horizontal order (left to right) for the columns.

  • Description
    Displays a description for the column being selected.

  • [Up]/[Down] button
    Change the location where the column name being selected will be displayed.

  • [Show] button
    Change the column name being selected from the hide setting to the show setting. The check box on the left side of the name will be checked.
    This button is only enabled for column names whose check box to their left is unchecked.

  • [Hide] button
    Change the column name being selected from the show setting to the hide setting. The check box on the left side of the name will be unchecked.
    This button is only enabled for column names whose check box to their left is checked.

  • [OK] button
    Enables you to complete detailed settings of displayed items and return to the original window. The changes are reflected in the column title section.

  • [Cancel] button
    Enables you to cancel detailed settings of displayed items and return to the original window. The changes are not reflected in the column title section.

When the console window is closed after the display settings such as the location, size, and whether to show or hide each column of the [Online Message] tab are changed, the following message is displayed prompting you to save the changed display settings.

Click [Yes] to save the changed display settings for each user account used when logging to the system. Click [No] not to save the changed display settings.

[References]

Monitor the status of operations (in a list)

Monitor the status of operations (in detail)


Viewing a rule history

Right-click a rule in the tree view (in the event correlation), and then select [Rule History] from the displayed menu to display the respective rule history list screen.

  • Toolbar section

    • Displays the displaying period. The rule histories from the previous day to the current day are displayed by default.

    • Clicking the [Search] button displays the [Search for History Information] screen on which you can search for the rule history information. For details, click here.

  • History information list section

The history information is displayed under the event correlation view.

Note that those for which monitoring is in progress, are not displayed. In addition, they are not automatically added when the rules for which monitoring is in progress is completed during the display.

  • Result
    Displays the rule establishment, completion of deterrence, and reset.

  • Monitor Start Date Time
    Displays the monitoring start date and time.

  • Monitor End Date Time
    Displays the monitoring end date and time.

  • Monitoring period(second)
    Displays the period of monitoring rules, in seconds.

  • Number of detected events
    Displays the number of events that are detected during the monitoring.
    For the reset history, the number of detected events is 0. The detected event cannot be referenced.

Double-clicking the history in the event correlation view displays the history being selected on the [History Information] For details, click here.


Searching for a rule history

Searching for a rule history and narrowing down targets facilitates the history control. To search for a rule history, click the [Search] button in the event correlation view, enter the range of the date to be searched for, and then click the [OK] button.

The search result is displayed again in the event correlation view.

[Related item]

Viewing a rule history


Refer to histories (in a list)

All histories that have been generated since a monitoring terminal was started are displayed in the [Event Correlation] tab in the lower section of the window. The [Event Correlation] tab displays the toolbar in the upper section and a list of histories in the lower section.

  • Note that when you exit the monitoring window, all histories will have been confirmed (hidden) and they will not be displayed the next time you start the monitoring window. Even if you confirmed a history, you can still refer to it by searching for it.

  • Toolbar section

  • Clicking on the [Property] button enables you to display the selected history in the [History Information] window. For details, refer to here.

  • Clicking on the [Search] button enables you to display the [Search for History Information] window and search for history information in the window. For details, refer to here.

  • Clicking on the [Confirm] button enables you to hide the selected history from the list window. For details, refer to here.

  • Clicking on the [Swap] button enables you to delete histories completely with a date specification. For details, refer to here.

  • Clicking on the [Initialize] button enables you to delete all the histories. For details, refer to here.

    • The [Swap] and [Initialize] buttons are only displayed in the Configuration Mode.

  • History information list section

The lower section in the Event Correlation Status displays the status of each history.

    • Rule Name

Displays the name of each rule.

    • Condition Name

Displays the name of each condition.

    • Generated Date

Displays the date when the rule became true, the condition was reset, or the settings of the rule or condition were changed.

    • Generated Time

Displays the time when the rule became true, the condition was reset, or the settings of the rule or condition were changed.

    • Result

Displays the fact that the rule was satisfied or the condition was reset, or the results of an operation.


Refer to details of a history

This section displays the details of a history. To display the details of a history, perform one of the following operations:

  1. Select a desired history in the [Event Correlation] tab and click on the [Property] button.

  2. Double-click on a desired history in the [Event Correlation] tab.

  3. 3. Double-click a history on the respective rule history list screen.

  • Rule Name

Displays the name of a rule.

  • Condition Name

Displays the name of a condition.

  • Result

Displays the fact that the rule was satisfied or the condition was reset, or the results of an operation.

  • Start Date Time
    Displays the rule start date and time.

  • End Date Time
    Displays the rule end date and time.

  • Detected Event Count
    Displays the number of events that are detected by the rule.

  • When occurred

Displays the time and date when the rule became true, the condition was reset, or the settings of the rule or condition were changed.

  • Detected Event

Lists incoming events that this rule detected.

    • Event Name

Displays the name of each detected event.

    • Severity

Indicates the display name of a degree of severity specified as severity.

    • Node

Displays the name of each node.

    • Generated Date

Displays the date when each event was generated.

    • Generated Time

Displays the time when each event was generated.

    • Application

Displays the name of each application.

    • Object

Displays the name of each object.

    • Message ID

Displays each message ID.

    • Message text

Displays the message text for each event.

    • Event Category

Displays the event category.

  • Output Event
    Displays the output event that was output by a role in the list.

    • Severity

Displays the display name that is specified as a severity.

    • Node

Displays the name of a node.

  • Generated Date
    Displays the date when the event occurred.

  • Generated Time
    Displays the time when the event occurred.

  • Application
    Displays the name of an application.

  • Object
    Displays the name of an object.

  • Message ID
    Displays the message ID.

  • Message text
    Displays the message text for each event.

    • Event Category
      Displays the event category.

  • Clicking on the [Previous] button displays a history that is one up the current on the [Event Correlation] tab.

  • Clicking on the [Next] button displays a history that is one down the current on the [Event Correlation] tab.

  • Clicking the [Save...] button opens the [Save as] dialog in which the event categories can be output in the CSV format.

[References]

Refer to histories (in a list)

Outputting the history detail data into a file


Outputting the history detail data into a file

Outputting the history detail data to a file in the CSV format can be used in other applications. Files are output on the monitoring window. Files are saved in the monitoring terminal.

Clicking the [Save...] button displays the [Save as] dialog box, then specify the storage location, file name, character code, and delimiter, and then click the [Save] button.

Data is output in the SJIS format.

Check the [Use UNICODE]] check box in the [Save as] dialog box when data is output in Unicode.

[Related item]

Refer to details of a history


Search for histories

You can easily get a clearer picture of histories by searching for them to narrow them down. To search for histories, click on the [Search] button in the [Event Correlation] tab and enter a range of dates during which search operation will be performed, and click on the [OK] button.

The lower section of the window displays search results as the [Event Correlation History Search Results] tab.

[References]

Refer to histories (in a list)


Confirm (hide) a history

This operation is allowed for only users who belong to a group that has the operation right.

By confirming (hiding) addressed history messages, you can promptly get a clear picture of history messages that have been not addressed yet.

To confirm a history message, select it in the [Event Correlation] tab and click on the [Confirm] button.

Even if you confirmed a history message, you can still refer to it by searching for it.

You can perform confirm operation only on history messages that have not been confirmed yet.

To remove the status of a history completely, refer to here.

[References]

Refer to histories (in a list)


Customizing the log display

The location, size, and whether to show or hide each column can be changed for the [Event Correlation] tab, [Event Correlation History Search Results] tab and log details dialog box.

  • Changes to the [Event Correlation] tab, [Event Correlation History Search Results] tab and log details dialog box will be applied when they are displayed again.

To customize the display, perform the following operations.

The dialog box example below is the [Event Correlation] tab.

  • Changing the column location
    Drag the target column title area, then drop it in the destination column location.

  • Changing the column size
    Place the mouse on the right edge of the target column title area to expand or shrink the column horizontally.

  • Selecting to show or hide the column
    Right-click the column title area to display the column name list menu. Switch showing/hiding by selecting a column name.
    A checkmark is displayed to the left of the column name list menu for the column names currently being displayed.

  • Changing in the detailed setting dialog box of the displayed contents
    Right-click the column title area to display the column name list menu. Select [Other].
    A checkmark is displayed to the left of the column name list menu for the column names currently being displayed.

  • Column Name List section
    Lists column names. Each column name whose check box to its left is checked will be displayed.
    The vertical order (top to bottom) becomes the horizontal order (left to right) for the columns.

  • Description
    Displays a description for the column being selected.

  • [Up]/[Down] button
    Change the location where the column name being selected will be displayed.

  • [Show] button
    Change the column name being selected from the hide setting to the show setting. The check box on the left side of the name will be checked.
    This button is only enabled for column names whose check box to their left is unchecked.

  • [Hide] button
    Change the column name being selected from the show setting to the hide setting. The check box on the left side of the name will be unchecked.
    This button is only enabled for column names whose check box to their left is checked.

  • [OK] button
    Enables you to complete detailed settings of displayed items and return to the original window. The changes are reflected in the column title section.

  • [Cancel] button
    Enables you to cancel detailed settings of displayed items and return to the original window. The changes are not reflected in the column title section.

When the monitoring window is closed after the display settings such as the location, size, and whether to show or hide each column of the [Event Correlation] tab, [Event Correlation History Search Results] tab and log details dialog box are changed, the following message is displayed prompting you to confirm and save the changed display settings.

Click [Yes] to save the changed display settings for each user account used when logging to the system. Click [No] not to save the changed display settings.

[References]

Refer to histories (in a list)

Refer to details of a history

Search for histories


Remove a history

Users must perform this operation after shifting to the Configuration mode.

You remove a history from a monitoring window. Note that you cannot restore a removed history.

  • Removing all histories

Select the [Initialize] button in the [Event Correlation] tab. When a confirmation window for removal has been displayed, click on the [Yes] button.

  • Removing histories with a date specification

Histories that are older than a specified date will be removed. Select the [Swap] button in the [Event Correlation] tab. When the [History Information Swapping] window has been displayed, specify a desired date and click on the [OK] button.

Deleting the history on the event correlation tab also deletes the history on the respective rule history list screen.

Note that history can also be deleted regularly by the option setting of the event correlation.

[References]

Refer to histories (in a list)

Set options for event correlation


Set options for event correlation

Users must perform this operation after shifting to the Configuration mode.

To define options for event correlation, select [Option] from the [Configuration] menu.

  • Event Correlation History
    • Max Display

Specify the maximum number of records to be displayed in the [Event Correlation] tab. You can specify a value in the range of 100-20000. The default is 1000 records.

    • Max Retaining

Specify the maximum number of days during which histories for event correlation will be held. You can specify a value in the range of 1-10000. The default value is 30 days.

    • Max Retained

Specify the maximum size for storing histories for event correlation. You can specify a value in the range of 1-2000. The default value is 100 MB.

    • Deletion Operating Time

Specify the time when a message removal process starts. The default value is 02:00:00.

    • Event Correlation View

      • When the state of the rule is changed, the sound is sounded.
        Specifies whether the audio alarms upon rule status change.
        Checking the checkbox requires the audio setting for the severity below:
        UNKNOWN
        NORMAL
        WARNING
        CRITICAL
        For details about the audio setting, click here.
        The check box is cleared by default..

[References]

Refer to histories (in a list)

Remove a history


Import a rule definition

Users must perform this operation after shifting to the Configuration mode.

Importing a definition file that has been created will facilitate the definition of event correlation. To import a definition file, select [Import] from the right-click menu on the tree view ([Event Correlation View] node). When the [Import Setting] window has been displayed, click on the [Browse] button and specify the directory that stores a desired definition file. When the [Import Setting] window has displayed a list of importable definitions, click on the [OK] button.

  • Rule Name

Specify a rule name after importing the definition file. You can edit any displayed rule name by clicking on (selecting) it.

[Note]

  • You cannot import a definition file that includes a rule name that has been already defined.

  • For the imported rule, all the user groups are granted the reference, update, add, reset, and able rights.
    (Any of the rights is not granted to user groups that do not have the group authority required for granting the right.)

[References]

Create a definition file by exporting a rule definition


Creates a definition file by exporting a rule definition

Users must perform this operation after shifting to the Configuration mode.

By exporting a rule definition to create a definition file, you can save and use the rule definition for various purposes and create another rule definition more easily. To export a definition file, select [Export] from the right-click menu on the tree view ([Event Correlation View] node). When the [Export Setting] window has been displayed, click on the [Browse] button, specify the directory name that stores the definition to be exported, and click on the [OK] button.

  • File Name

Specify a filename for the definition file to be exported.

You can edit the file name for the selected export file by clicking on (selecting) it.

  • Subject

Specify a comment that indicates the description of the definition file to be exported. The comment you specify here will be displayed in the [Subject] column in the file list when importing the file.

You can edit the [Subject] column for the selected definition file by clicking on (selecting) it.

[References]

Import a rule definition


Using the scenario control

About the scenario control

This product monitors the automatic operation of business activities and their operation status by registering a sequence of operation flows as a scenario. The scenario control includes the following functions:

  • Scenario definition function

Defines an operation flow of a business.

[References]

Create a scenario

Define conditions

Save a scenario

Change a scenario

Move a scenario group

Remove a scenario

Export a scenario definition

Import a scenario definition

View a list of parts

Manage global objects

Manage local objects
Refer to definition of scenario of effective state
Refer to destination definition of the scenario exe part

  • Scenario execution function

Executes a defined scenario.

The function provides the following execution methods: Execute a scenario manually, on a planned time and date, based on a schedule, or in response to a received message as a trigger.

[References]

Enable a scenario

Run a scenario

Run a scenario manually

Submit a planned scenario

Run a scheduled scenario

Run a scenario in response to a received message

Change an operation date

Adjust the time

Respond to a wait event

Run a scenario action manually

Re-execute an instance

Resume executing a part that is stopped due to a failure or forced stop

Force an instance or a part to stop

Force a part to be executed or the condition of a part to become true

Disable a condition

Restore a disabled condition

Confirm a completed instance

Send an event

Change an operation date command

Change the running state command
Instance request ID

  • Scenario monitoring function

Monitors the operating status of a scenario and checks the status of instances and parts.

[References]

Check the status of scenarios, instances, and parts

Search for scenarios and instances

Manage the enablement/disablement of an operation date
Refer to destination result of the scenario exe part

  • History management function

Removes execution results.

[References]

Delete records in a history

Delete an instance
Restricting the number of instances displayed on the instance list tab

  • Import/export function

Enables you to import/export an individual scenario definition file, scenario definition files on a per-group basis, or a global object.

[References]

Export a scenario definition

Import a scenario definition

[Note]

This function is optional. If you want to use the scenario control function, you must purchase an appropriate number of licenses for the function.


Create a scenario

You must create a scenario under the scenario control view.
You can also create a group under the scenario control view and create a scenario under the group.
You can also create another group under a scenario group.

This section explains the following operations:

Creating a new scenario

Creating a new group of scenarios

Renaming a scenario

Renaming a scenario group

Configuring scenario start settings not using the operation date scheme

Configuring_scenario_start_settings__using_the_operation_date_scheme

Creating a new scenarios

To create a new scenario, follow these steps:
Move to the Configuration Mode. To change the mode of operation, select [Configuration Mode] from the [Setting] menu.
In the tree view in the left section of the window, right-click on the tree root or the group within which you want to create a scenario, and select [Add Scenario] from the context menu.

When a dialog box has opened, enter the name of the scenario.

Not using the operation date scheme | Using the operation date scheme
  • Scenario Name (required)

Enter the name of a new scenario.

If you specified the same scenario name as that of any existing scenario, you cannot create the scenario.
"&","%", "$", "!" and line feed codes cannot be used.
If a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.
A scenario name containing only periods (“.”) cannot be specified.
For example, “.” or “..” cannot be used as a scenario name.

  • Icon File

When you leave it blank, the default icon that is displayed in the upper left section will be used.*1

If you want to change an icon, specify the icon file by clicking on [Browse].

  • Operation Date

Check [Use] if the scenario you want to create uses the operation date scheme. (*2) Default setting: Unchecked

The operation date scheme defines one day as the time period from the date when a set of scheduled business activities starts to the date when it ends.
In addition to the system date, setting up this operation date enables you to expand one day up to 999 hours 59 minutes and create (monitor) a business schedule based on the operation date.

  • Description
    Describe the scenario in up to 256 characters.
    The entered description is displayed on the property tab of the scenario.

  • Right setting
    Specify an appropriate right setting for the scenario.
    For information on how to specify the right setting, refer to "About user management" in "Perform User Management."

*1) The default icon for scenarios using the operation date is different from the one for those not using it.

*2) After you create a scenario, you cannot change whether the operation date scheme applies to the scenario.

Click on [OK] to create a new scenario and add it to the tree view in the left section of the window. The new scenario is also added to the [Instance List] tab on the scenario control view in the right section of the window.

Click on [Cancel] to return to the original window without creating a new scenario.

Not using the operation date scheme | Using the operation date scheme

From the tree view in the left section of the window, select the newly added scenario, right-click on it, and select [Edit Definition] from the context menu.

The [Scenario Definition] view opens.

Not using the operation date scheme | Using the operation date scheme

In this window (the [Scenario Definition] view), you create (define) a scenario by allocating necessary parts to it.

For more information on how to allocate parts, refer to the "Define actions by allocating parts" section.

Creating a new group of scenarios

To create a new scenario group, follow these steps:
Move to the Configuration Mode. To change the mode of operation, select [Configuration Mode] from the [Setting] menu.
IIn the tree view in the left section of the window, right-click on the scenario control view or the group under which you want to create a group, and select [Add Group] from the context menu.

When a dialog box has opened, enter the name of the group.

  • Group Name (required)

Enter the group name.

If you specify the group name that exists within the group under which you try to create it, you cannot create the group.
"&","%", "$", "!" and line feed codes cannot be used.

If a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.

A scenario name containing only periods (“.”) cannot be specified.

For example, "." or ".." cannot be used as a group name.

  • Icon File

When you leave it blank, the default icon that is displayed in the upper left section will be used.

If you want to change an icon, specify the icon file by clicking on [Browse].

  • Right setting
    Specify an appropriate right setting for the scenario group.
    For information on how to specify the right setting, refer to "About user management" in "Perform User Management."

Click on [OK] to create a new group and add it to the tree view in the left section of the window.

Click on [Cancel] to return to the original window without creating a new group.

Renaming a scenario

To rename a scenario, follow these steps:
Move to the Configuration Mode. To change the mode of operation, select [Configuration Mode] from the [Setting] menu.
From the scenario control view in the right section of the window, right-click on the scenario you want to rename and select [Update] from the context menu.

Not using the operation date scheme | Using the operation date scheme

When a dialog box has opened, enter a new name in [Scenario Name].

Not using the operation date scheme | Using the operation date scheme

Click on [OK] to change the name and return to the original window.

Click on [Cancel] to return to the original window without changing the name.

Renaming a scenario group

To rename a scenario group, follow these steps:
Move to the Configuration Mode. To change the mode of operation, select [Configuration Mode] from the [Setting] menu.
From the tree view in the left section of the window, right-click on the group you want to rename and select [Update] from the context menu.

When a dialog box has opened, enter a new name in the [Group Name] field.

Click on [OK] to change the name and return to the original window.

Click on [Cancel] to return to the original window without changing the name.

Configuring scenario start settings (not using the operation date scheme)

To configure scenario start settings, follow these steps:

  1. Move to the Configuration Mode. To change the mode of operation, select [Configuration Mode] from the [Setting] menu.
  2. From the tree view in the left section of the window, select the scenario for which you want to configure start settings, right-click on it, and select [Edit Definition] from the displayed context menu.
  3. When the [Scenario Definition] view has opened, double-click on the [Start] part or [End] part, or right-click on it and select [Property] from the context menu.
  4. The [Scenario Start Settings] dialog box opens.

Set the [Run Definition] tab.

How to set a scenario to be submitted manually/based on a plan

Set the [Scenario Setting] tab.

How to set the [Scenario Setting] tab

Set the [Condition Definition] tab.

How to set the [Condition Definition] tab

  5. When you have completed all necessary settings, save the scenario start settings.

Click on [OK] to save the settings and close the [Scenario Start Settings] dialog box.

Click on [Cancel] to close the [Scenario Start Settings] dialog box without saving the settings.

How to set a scenario to be submitted manually/based on a plan

[Execution Setting] tab

Execution Timing

Set when to generate an instance.

Default value:

Manual submit only, Validity period setting (not selected)

  • Manual submit only (default)

Generates an instance immediately, or on a planned time and date.

Before you can run a manual submit operation, you must enable the scenario definition. When the scenario definition is not enabled, you cannot manually submit the scenario.

  • Effective period setting (option)

When you set a validity period and check the [Active] check box, you can perform a manual submit operation within the period that is set.

When you set a validity period and uncheck the [Active] check box, you can perform a manual submit operation at any time.

When you do not set a validity period, you can perform a manual submit operation at any time.

To set a validity period, click on the [Validity Period Set] button. For more information on how to set a validity period, refer to the "Period schedule" section.*1

*1) A schedule set in [Validity Period Setting] can be shared in [Manual submit only] and [Message Trigger].

How to set a time trigger

[Execution Setting] tab

Execution Timing

Set when to generate an instance.

Default value:

Manual submit only, Validity period setting (not selected)

  • Scheduled Time

Generates an instance on a time and date set in a schedule.

The scenario definition must be enabled on a time and date set in a schedule. When it is not enabled, the instance will not be generated.

  • Schedule Setting (required when [Time Trigger] is selected)

To set a schedule, click on the [Schedule] button. For more information on how to set the schedule, refer to the "Time schedule" section.

How to set a message trigger

[Execution Setting] tab

Execution Timing

Set when to generate an instance.

Default value:

Manual submit only, Validity period setting (not selected)

  • Receive Message

Generates an instance when a message that meets a condition(s) specified in a filter definition is received.

The scenario definition must be enabled when receiving messages. When the scenario definition is not enabled, messages cannot be received.

  • Effective period setting (option)

When you set a validity period and check the [Active] check box, an instance will be generated when a message is received within that period.

When you set a validity period and uncheck the [Active] check box, an instance will be generated when a message is received.

When you do not set a validity period, an instance will be generated when a message is received.

To set a validity period, click on the [Validity Period Set] button. For more information on how to set a validity period, refer to the "Period schedule" section.*1

*1) A schedule set in [Validity Period Setting] can be shared in [Manual submit only] and [Message Trigger].

Filter Setting

This becomes active when [Receive Message] is selected in [Execution Timing ].

To define a filter definition, refer to the "Message Wait: Filter Definition" section.

[Note]

This product issues messages with specific timing.

If you set a condition that messages issued by the product may meet in a filter definition, it is likely that messages from the product may be received prior to those originally expected. Set up an appropriate filter definition so that you do not receive unnecessary messages.

For more information on this subject, refer to the "About the filter definition" section.

How to set the [Scenario of Setting] tab

Number executed at the same time

  • Unlimited (default)

Imposes no limit on the number of instances that can be run concurrently.

  • Limit

Up to the specified number of concurrent instances can be run.

Default value: 1

Maximum Value: 65536

Scheduled Time Setting

  • Start Time Monitoring (default)

If you uncheck [Monitoring the start time], the function will not monitor whether the start time of the scenario will be delayed or halted.

  • End Time Monitoring (default)

If you uncheck [Monitoring the end time], the function will not monitor whether the end time of the scenario will be delayed or halted.

[Note]

If the specified number of concurrent instances are already running, the scenario will not be run (its instance will not be created).

How to set the [Condition Setting] tab

[Condition Setting] tab

Set conditions to start an instance.
For more information on how to set the conditions, refer to the "Define conditions" section.

Configuring scenario start settings (using the operation date scheme)

To configure scenario start settings, follow these steps:

  1. Move to the Configuration Mode. To change the mode of operation, select [Configuration Mode] from the [Setting] menu.
  2. From the tree view in the left section of the window, select the scenario for which you want to configure start settings, right-click on it, and select [Edit Definition] from the context menu.
  3. When the [Scenario Definition] view has opened, double-click on the [Start] part or [End] part, or right-click on it and select [Property] from the context menu.
  4. The [Scenario Start Settings] dialog box opens.

Set the [Scenario Setting tab and the [Condition Definition] tab.

[Setting of Scenario] tab

Setting of Working/Nonworking Days

  • Calendar Name

Select a desired calendar (required).
Click on [Calendar Setting] to open the [Calendar Setting] dialog box and set the calendar in it. The calendar will be displayed in [Calendar Name] after that.
When you click on the [OK] button without setting working days/non-working days, the following message will be displayed.

Scheduled Time Setting

  • Start Time Monitoring (default)

If you uncheck [Monitoring the start time], the function will not monitor whether the start time of the scenario will be delayed or halted.

  • End Time Monitoring(default)

If you uncheck [Monitoring the end time], the function will not monitor whether the end time of the scenario will be delayed or halted.

How to set the [Condition Setting] tab

[Condition Setting] tab

Set conditions to start or end an instance.
For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario, in addition to the start condition.


Define actions by allocating parts

Allocate one action

Select [Action] from the toolbar and click on the line connecting [START] to [END].

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Command Setting] tab

  • Target Host (required)

Select a desired host that will run this action.

Select the host on which you want to execute a desired command from the pull-down menu or specify it through the property reference.

When the manager is specified for the destination to which the command is sent, the execution destination host name: $MANAGER$ shall be specified.

In the pull-down list, the manager ($MANAGER$) and the agent names that are connected are displayed.

Use [property reference] when you want to change the execution destination host dynamically upon execution.

(For example, the execution destination host can be changed upon scenario execution by utilizing [property reference] of the local object.)

For details about the method of using [property reference], see "property reference]".

  • Command (required)

Specify a desired application to be started, within a maximum of 260 characters, or specify it through the property reference.

Clicking on the [Browse] button enables you to display the [Directory for "Hostname to Be Run"] dialog box and select a desired application file on the host that will run the application. You can use appropriate environment variables for the path name to the command. If the path includes a blank character, you must enclose it within double quotation marks (").

  • Working Directory

Specify a work directory, within a maximum of 260 characters, to run the command. Clicking on the [Browse] button enables you to display the [Directory for "Hostname to Be Run"] dialog box and select a desired directory on the host that will run the application. Alternatively, specify it through the property reference.

You can use appropriate environment variables for the path name to it. If the path includes a blank character, you must enclose it within double quotation marks (").

If you omit specifying a work directory, the following directory will be used for your work directory.

For Windows OS: Windows work directory (%SystemRoot%system32)

  • Option

Specify an argument, within a maximum of 1024 characters, used when running the command.

Specify the option directly or specify it through the property reference.

You can use environment variables for the arguments.

[Exit Code Setting] tab

  • Normal Exit Code

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been successfully completed.

  • Warning Exit Code

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been completed with a warning.

When this check box is not selected, the command execution result is not treated as a warning end.

  • Abnormal Exit Code

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been abnormally completed.

When this check box is not selected, the command execution result is not treated as an abnormal end.

How to specify values:

When you specify the completion codes, use one-byte numeric characters.

If you want to specify more than one value, delimit each value with a one-byte comma.

If you want to specify a range of values, enter a one-byte hyphen between the start and end values of the range.

Examples of specifying values:

-1,2,5,10,90-99

[Note]

  • If none of the three ranges of the completion codes is specified, any return value will be regarded as an indication that the command has been successfully completed.

  • If you do not specify a normal completion code and a return value or a result from an executed command does not fall within the specified ranges of abnormal and warming completion codes, the return code will be interpreted to indicate that the command has been successfully completed.

  • When the check boxes of both warning end and abnormal end are not selected, all end codes are treated as a normal end.

  • If a result from an executed command does not fall within the ranges of normal, warning and abnormal completion codes, the status will be regarded as follows:

If the range of normal completion codes is not defined --- Regarded as successful completion

If the result falls outside the range of the normal completion codes and if the range of the warning completion codes is not defined --- Regarded as warning completion

Otherwise --- Abnormal completion

  • When the specification ranges of the end codes overlap, the following priorities are used to determine.

When the end code is specified: Abnormal end -> Warning end -> Normal end

When the end code is not specified (when it is blank): Normal end -> Warning end -> Abnormal end

  • Failed to command option (required)

  • Stop Flow (Default)

Stops the scenario with a result of abnormal completion.

  • Continue Flow

Specify a desired Exit code. If you select [Continue Flow], the scenario will continue to be run even when the command has been abnormally completed.

When you specify the completion codes, use one-byte numeric characters.

[Monitoring Setting] tab

This tab is used to set the monitoring of the delayed start and end of a part.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

  • Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

  • Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

  • Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

  • Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

  • Expected Run Time

Specify an expected duration from the time when a command is entered to the time when it has been completed. If the process of this part has not been completed when the specified period of time has elapsed since the command was entered, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

[Note]

  • When a target host of command execution is UNIX such as Linux, HP-UX, Solaris or AIX, the command is run with UTF-8 locale. If the command can't run with UTF-8 locale, please create a shell script like below to set locale and convert a result of the command, and then specify the shell script as a executed command. As command and options cannot directly specify pipe, please make sure to create a shell script.

    [e.g.]
    In the case of executing a command which only supports SJIS locale on HP-UX
    env LANG=ja_JP.SJIS $1 | iconv -f sjis -t utf8

  • Any command is executed with the right of the manager and that of an agent process(with the SYSTEM right in Windows and with the root right in others).


Allocate more than one action

To allocate another action to the [Scenario Definition] view to which one or more actions or parts have been allocated, follow these steps:

Select [Action] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate a new action.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Set the details of the newly allocated part.

For more information on how to set the details of a newly allocated part, refer to "Allocate an action."


Allocate more than one action in parallel

Allocating two actions in parallel

Adding a branch

Removing a parallel branch(es)

Removing all parallel branches

Removing the specified branch only

Allocating two actions in parallel

If you want to allocate two actions in parallel, follow these steps:

Select [Parallel Branch] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate two actions.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

The parallel branch operates as follows:

  • Parts are simultaneously executed independently of each branch line.
  • The next part will be executed after all the parts on the branch lines have been completed.

Allocate two actions or other parts you want to execute in parallel on two flows (lines) diverged from the point.

When you have allocated the parts you want to execute in parallel, set the details of each part.

Next, set the details of the parallel branch. You need to set a completion code for the parallel branch.

[Exit Code Setting] tab

  • Maximum Value (All Components) (default)

The maximum of completion codes for the parts that are placed on the branch lines is treated as the completion code for the part.

  • Minimum Value (All Components)

The minimum of completion codes for the parts that are placed on the branch is treated as the completion code for this part.

  • Maximum Value (Last components of each branch)

The maximum of completion codes for the parts that are placed at the end of respective branch lines is treated as the completion code for this part.

  • Maximum Value (Last components of each branch)

The minimum of completion codes for the parts that are placed at the end of respective branch lines is treated as the completion code for this part.

  • Latest Component

Adopts the completion code of the anterior part as that of this part.

Adding a branch

Right-click on a desired parallel branch part and select [Add Branch] from the context menu.

As [Add Branch] can add a branch, you will add the number of branches you need by clicking on [Add Branch] enough times and allocate a desired part(s) to each branch that you want to execute in parallel.

Removing a parallel branch(es)

Removing all parallel branches

Right-click on the parallel branch part you want to remove and select [Delete] from the context menu.

A confirmation dialog box opens.

Click on [Yes] to remove all the conditional branches and return to the [Scenario Definition] view even if any of the branches has a part(s) placed on it (see the above figure).

Click on [No] to return to the [Scenario Definition] window without removing the branch parts.

Removing the specified branch only

Right-click anywhere near the start point of the branch line you want to remove and select [Delete Branch] from the context menu.

[Note]

  • You cannot perform [Delete Branch] on any branches to which a part(s) is allocated. Remove the allocated part(s) before performing [Delete Branch].
  • A confirmation dialog box is not displayed when performing [Delete Branch].
  • If the number of branches is 2, you cannot perform [Delete Branch].


Allocate a part that waits for a user decision

If you want to create a process that waits for a user decision before proceeding, you can allocate a window response part.

Select [Screen Response] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate a screen response part.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Basic Setting] tab

  • Component Name

Displays the part name of this part.

  • Comment

Enter what will be displayed as a comment when an inquiry event is generated (can be left blank).

[Exit Code Setting] tab

This tab includes required items.

Directly specify a desired completion code or select the completion code of the anterior part. Alternatively, specify that a user should select the code when he responds to a waiting part.

  • Immediate Value

Directly specify a desired completion code.

Default value: 0

  • Latest Component

Adopts the completion code of the anterior part as that of this part.

  • Console Response at Run Time (the default)

When responding to a waiting part, a user will specify a desired completion code directly or select the completion code of the anterior part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

  • Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

  • Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

  • Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

  • Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

  • Expected Run Time

Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the specified time range elapses, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59


Branch a flow conditionally

Branching a flow conditionally

Adding a branch

Removing a conditional branch(es)

Removing all conditional branches

Removing the specified branch only

Branching a flow conditionally

If you want to branch a process flow based on a condition(s), follow these steps:

Select [Conditional Branch] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate a conditional branch.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

A flow that you branch with a conditional branch part will be set to branch conditions. By default, the flow is set to the conditions of 0 and "other."

First, right-click on the conditional branch part and select [Property] from the context menu, or double-click on the part and specify items for conditional decision.

You can set a property that will be treated as a branch condition. For more information on this operation, refer to the "Property Reference" section.

[Note]

  • The property names you can specify for branch conditions depend on the anterior part. The figure is meant for an example only.

  • Each column can display up to 259 characters.
    When the character string consists of 260 or more characters, all the characters cannot be listed.

As the settings of the branch conditions are 0 and "other" immediately after you allocate the branch, you need to change them if necessary.

If you want to change the default setting(s), double-click on the value(s) on the flow (line). When the [Branch Condition Setting] dialog box opens, change it.

How to specify values:

  • When the attribute of the branch part condition takes a "numeric value"

One-byte characters. More than one value can be specified by delimiting each value with a one-byte comma, and a range of values can be specified with a one-byte hyphen.

  • When the attribute of the branch part condition takes a "character string"

Any character string. Character strings can be specified in regular expression.

[Note]

If you specify a character string, whether it meets the branch condition is tested in regular expression. As the branch condition is tested based on partial matching, it is determined that the target character string matches the condition when it includes the character string entered in the [Branch Condition Setting] window.

Examples of specifying values:

  • Numeric values

-1,2,5,10,90-99

  • Character strings

2007/02/26

2007/05/

Once you have changed a value of the branch condition, the current setting appears on the line of the work flow.

When you can change the value of each branch condition, allocate the actions that will be processed when the conditions become true or other parts to the branched flow line.

Once you have allocated the parts, set the details of each part.

Adding a branch

Right-click on a desired, conditional branch part and select [Add Branch] from the context menu.

A new additional branch will be added to the position above the branch of "other." The value for the added branch is defaulted to the number which indicates how many branches precede it.

When you have added the number of branches you need by clicking on [Add Branch] enough times, you must set each branch condition to an appropriate value again.

Once you have set the branch conditions, allocate the part(s) to be processed to each branch.

Removing a conditional branch(es)

Removing all conditional branches

Right-click on the conditional branch part you want to remove and select [Delete] from the context menu.

A confirmation dialog box opens.

Click on [Yes] to remove all the conditional branches and return to the [Scenario Definition] view even if any of the branches has a part(s) placed on it (see the above figure).

Click on [No] to return to the [Scenario Definition] view without removing the branch parts.

Removing the specified branch only

Right-click on the set condition value of the branch you want to remove and select [Delete Branch] from the context menu.

[Note]

  • You cannot perform [Delete Branch] on any branches to which a part(s) is allocated. Remove the allocated part(s) before performing [Delete Branch].
  • A confirmation dialog box is not displayed when performing [Delete Branch].
  • If the number of branches is 2, you cannot perform [Delete Branch].
  • You cannot perform [Delete Branch] on the lowest branch with a conditional value of [other].
  • The completion code of a conditional branch part is the one for the last part on the branch line for which the branch condition was evaluated and became true.
    If the branch line has no parts, the completion code will inherit the one of the previous part.
  • If more than one branch condition is evaluated and becomes true, only the part(s) on the branch line positioned highest will be executed.
  • Immediately after a conditional branch part has been arranged, the completion code of the anterior part will be used to determine the branch destination.


Allocate a time-controlled part

To control a process based on time, follow these steps:

Select [Time Wait] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate a part.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Timer Setting] tab

This tab includes a required item.

Select either [Absolute Time] or [Wait Time].

Time must be specified in the form of "hours:minutes:seconds".

  • Absolute Time (default)

The work flow waits for the specified time before proceeding with a process. If the specified time has passed before it executes the part, it will wait for the same time on the following day.

It will execute the next part at the specified time.

Default value: 00:00:00

  • Wait Time

The work flow will wait until the specified time period elapses after this part is executed.

It proceeds with executing the next part when the wait time has elapsed.

Maximum Value: 23:59:59

[Exit Code Setting] tab

This tab includes a required item.

Directly specify a desired completion code or select the completion code of the anterior part.

  • Immediate Value

Directly specify a desired completion code.

Default value: 0

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

  • Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

  • Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59


Allocate a part transmitting messages

If you want to allocate a part that sends messages to other process, follow these steps:

Scenario not using the operation date scheme

Select [Send Message] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate a part.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Scenario not using the operation date scheme

Scenario using the operation date scheme

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Message Setting] tab

  • Category

Select a desired category for messages from the pull-down menu.

Alternatively, specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any category, messages will be sent with [Unified Management Framework].

  • Severity

Select a severity from the pull-down menu.

It displays severities set up in [Option].

If you do not specify any severity, messages will be sent with "NORMAL."

  • Node

Specify a desired node that will send messages.

Specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any node, messages will be sent with the name of the manager node name.

  • Application

Specify a desired application that will send messages.

Specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any category, messages will be sent with [Unified Management Framework].

  • Object

Specify a desired object that will send messages.

Specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any object, messages will be sent with "System."

  • Message ID

Specify the ID that identifies a message.

Specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any message ID, messages will be sent with "00000000."

  • Message Text

Enter the message that you want to send.

Specify a desired character string, within a maximum of 1024 characters, or specify it through the property reference.

[Note]

The maximum length of the category, application, object and message ID of an output message is 32 characters.

When the length exceeds the maximum length, the first 32 characters are displayed in the output message.

[Exit Code Setting] tab

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the anterior part as that of this part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

  • Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

  • Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions"" section.

Scenarios using the operation date scheme

[Monitoring Setting] tab

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
Only [Absolute Time] is enabled.

  • Absolute Time (default setting when monitoring the start time)
    If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
    If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
    Default value: 000:00:00; Maximum value: 999:59:59

  • Relative Time
    This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
Only [Absolute Time] is enabled.

  • Absolute Time (default setting when monitoring the end time)
    If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
    Default value: 000:00:00; Maximum value: 999:59:59

  • Relative Time
    This item is disabled for scenarios using the operation date scheme.

  • Expected Run Time
    This item is disabled for scenarios using the operation date scheme.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario, in addition to the start condition.


Allocate a part that waits for a message

If you want to allocate a part that waits for a message from other processes, follow these steps:

Select [Wait Message] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate a part.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Filter Setting] tab

Define a process for filtering messages.

If you omit specifying a condition(s), the condition(s) will not be used.

If you omit all conditions, all messages will be received.

When you have checked the box to the right of [Not] for a condition, messages that do not meet the condition will be received.

Only the messages that meet all the conditions specified here can be received.

You cannot use a double quotation (") in [Select by Position] and [Select by Key].

[Important]

This product issues messages with specific timing.

If you set a condition that messages issued by the product may meet in a filter definition, it is likely that messages from the product may be received prior to those expected. Set up an appropriate filter definition so that you do not receive unnecessary messages.

For more information on this subject, refer to the "About the filter definition" section.

  • Category

Select a desired category for messages from the pull-down menu.

Alternatively, specify a filter condition for the category in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Node

Specify a filter condition for the nodes that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Application

Specify a filter condition for the applications that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Object

Specify a filter condition for the objects that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Message ID

Specify a filter condition for the message IDs in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Message Text

Specify a filter condition for the messages (message text) to be received in regular expression format, within a maximum of 1024 characters, or specify it through the property reference.

  • Select by Position

Specify a maximum of eight conditions for search operations through selecting positions in a message text.

If you specify more than one position, messages that will meet all the specified position conditions will be received.

§ Position

Specify a position in characters in a message text, in the range of 1 to 1024, so that the character at the position may be compared.

§ Condition

Specify a desired comparison condition.

The following shows the available comparison condition operators:

§ Value

Specify a desired value that will be compared, within a maximum of 64 characters. The Value cannot be specified in regular expression format.

Condition example:

If you want to extract messages that have an occurrence of "Abnormal" at the 10th position in their message text, specify the items as follows:

Position: 10

Condition: =

Value: Abnormal

  • Select by Key

Specify a maximum of eight conditions for search operations through selecting keys in a message text.

If you specify more than one key, messages that will meet all the specified key conditions will be received.

§ Key

Specify a key in a log, within a maximum of 64 characters.

§ Condition

Specify a desired comparison condition.

The following shows the available comparison condition operators:

If you specify "=," a regular expression will apply to the Value.

If you specify a condition other than "=," a string specified in [Value] will be compared on a binary basis.

§ Value

Enter a value that will be used for comparison. If you specify "=" for [Condition], specify a Value in regular expression.

Condition example:

Suppose you have a log that includes a string of "error_number = 5" and the part "5" is variable. If you want to extract logs that include "error_number" = 4, you specify the items as follows:

Key: error_number

Condition: =

Value: 4

  • Severity

Select a severity from the pull-down menu.

It displays severities set up in [Option].

[Exit Code Setting] tab

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the anterior part as that of this part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

§ Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

§ Expected Run Time

Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the specified time range elapses since it started, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

[Note]

You can run both an end time monitoring process and a timeout process concurrently. If the specified timeout period is shorter than the specified expected execution duration, the timeout process will be executed earlier than the end time monitoring process. In this case, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.


Allocate a part transmitting events

If you want to allocate a part that sends events to other processes, follow these steps:

Scenario not using the operation date scheme

Select [Send Event] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate a part.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Scenario not using the operation date scheme

Scenario using the operation date scheme

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Event Setting] tab

  • Event Name

Specify a desired event name to be sent, within a maximum of 64 characters, or specify it through the property reference.

  • Event Sending Unit

Unit
Sends an appropriate event to the oldest part inserted in the event waiting queue or to the waiting condition for those events.
All
Sends an appropriate event to all the parts inserted in the event waiting queue or to all the wait conditions for those events.

[Exit Code Setting] tab

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the anterior part as that of this part.

  • Action when event Sending timeout

§ Stop Flow (Default)

If the part has a posterior part (a part that has anterior condition set to regard this part as its anterior part),

the anterior condition for the posterior part will not become true.

§ Continue Flow

Specify a desired completion code. Even if event transmission times out. the anterior condition for the posterior part will become true because this part is regarded as completed.

When you specify the completion code. use one-byte numeric characters.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 00:00:00; Maximum value: 23:59:59

§ Relative Time
If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 00:00:00; Maximum value: 23:59:59

  • Confirm Event Receiving

If you want to monitor the end time of execution of a part, check the box.
As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59

§ Relative to the start time of a flow
If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59

§ Specification of an expected execution duration
Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the specified time range elapses since it started, the status of the part will be changed to [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59

  • Event receipt acknowledgement

Check this if you want to acknowledge the receipt of an event.

§ Timeout
Specify a timeout period in the range of 0-86400 seconds (a maximum of 24 hours). If you enter a value of 0, this part will wait for an event receipt acknowledgement forever.
Default value: 0

[Note]

You can run both an end time monitoring process and a timeout process concurrently. If the specified timeout period is shorter than the specified expected execution duration, the timeout process will be executed earlier than the end time monitoring process. In this case, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Scenarios using the operation date scheme

[Monitoring Definition] tab

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
Only [Direct Specification] is enabled.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
Only [Direct Specification] is enabled.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

§ Expected Run Time
This item is disabled for scenarios using the operation date scheme.

  • Confirm Event Receiving

Check this if you want to acknowledge the receipt of an event.

§ Timeout
Specify a timeout period in the range of 0-86400 seconds (a maximum of 24 hours). If you enter a value of 0, this part will wait for an event receipt acknowledgement forever.
Default value: 0

[Note]

Even when a part times out, it is regarded as completed successfully. The next part will take actions as defined when the event transmission times out.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario, in addition to the start condition.


Allocate a part that waits for an event

If you want to allocate a part that waits for events from other processes, follow these steps:

Select [Wait for Event] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate a part.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Event Waiting Setting] tab

  • Event Name

Specify a desired event name for which the part waits, within a maximum of 64 characters, or specify it through the property reference.

[Exit Code Setting] tab

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the anterior part as that of this part.

[Monitoring Setting] tab

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 00:00:00; Maximum value: 23:59:59

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 00:00:00; Maximum value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59

§ Relative Time
If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59

§ Expected Run Time
Specify an expected duration from the time when the process of this part starts to the time when it ends.

  • Timeout

If the process of this part has not been completed when the specified time period has elapsed since it started, the status of the part will be changed to [Abnormal Completion] and control will be passed on to the next part.
Specify a timeout period in the range of 0-86400 seconds (a maximum of 24 hours). If you enter a value of 0, this part will wait to receive an appropriate event forever.
Default value: 0

[Note]

You can run both an end time monitoring process and a timeout process at the same time. If the specified timeout period is shorter than the specified expected execution duration, the timeout process will be executed earlier than the end time monitoring process. In this case, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.


Allocate a part that updates a global object

To update a global object, follow these steps:

Scenario not using the operation date scheme

Select [Global Object] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate the part.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Scenario not using the operation date scheme

Scenario using the operation date scheme

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Global Object Setting] tab

  • Variable Name

Displays the variable name of the global object you select with [Browse].

  • Attribute

Displays the attribute of the global object you select with [Browse].

  • Explanation

Displays the explanation of the global object you select with [Browse].

  • Designated Value (default)

Specify a desired updating value or specify it through the property reference.

  • Increment

This is enabled only when the attribute of the global object you selected with [browse] is a whole number.

  • Decrement

This is enabled only when the attribute of the global object you selected with [browse] is a whole number.

[Exit Code Setting] tab

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 00:00:00; Maximum value: 23:59:59

§ Relative Time
If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 00:00:00; Maximum value: 23:59:59

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Scenario using the operation date scheme

[Monitoring Setting] tab

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

§ Expected Run Time
This item is disabled for scenarios using the operation date scheme.

[Note]

You can run both an end time monitoring process and a timeout process at the same time. If the specified timeout period is shorter than the specified expected execution duration, the timeout process will be executed earlier than the end time monitoring process. In this case, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario, in addition to the start condition.


Allocate a part that updates a local object

To update a local object, follow these steps:

Scenario not using the operation date scheme

Select [Local Object] from the toolbar and click on the position of the line connecting [START] to [END] to which you want to allocate the part.

The part name is automatically created. If you want to change the part name, refer to the "Rename a part" section.

Scenario not using the operation date scheme

Scenario using the operation date scheme

Set the details of the part.

Right-click on the icon for the part that is placed in the [Scenario Definition] view and select [Property] from the context menu or double-click on the part icon.

[Local Object Setting] tab

  • Variable Name

Displays the variable name of the local object you select with [Browse].

  • Attribute

Displays the attribute of the local object you select with [Browse].

  • Explanation

Displays the explanation of the local object you select with [Browse].

  • Increment

This is enabled only when the attribute of the local object you selected with [browse] is a whole number.

  • Decrement

This is enabled only when the attribute of the local object you selected with [browse] is a whole number.

  • File
    Select a file when specifying the contents of the external file for the local object that was selected by [Browse].

    • File Path
      Specifies a file path that is used for the input by using up to 1024 characters, or specifies a file path by using [property reference].
      When you click the [Browse] button, the Directory of Manager dialog box is displayed, where the files on the manager can be selected.
      It is required to specify a file path when selecting a [File] for the value setting.
      The file path cannot be specified when the setting other than [File] is selected.
      Set in the input file only information on the value that is set for the local object.
      (Set information only on a numeric value that does not include spaces/line feed when setting a value to the local object whose attribute is an integer.)
      Specify a value smaller than 65536 bytes for an input file.

    • Character Code
      Select a character encoding type for the input file from the pull-down menu.

  • Designated Value (default)

Specify a desired updating value or specify it through the property reference.

[Exit Code Setting] tab

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

  • Action when failed

    • Stop Flow (default)

The system stops the scenario and terminates in abnormal end.

    • Continue Flow

Specifies an end code.
The scenario is continuously executed even upon abnormal end when [Continue Flow] is specified.
The setting range for a value is from -2147483648 to 2147483647.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 00:00:00; Maximum value: 23:59:59

§ Relative Time
If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 00:00:00; Maximum value: 23:59:59

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Scenario using the operation date scheme

[Monitoring Setting] tab

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

§ Expected Run Time
This item is disabled for scenarios using the operation date scheme.

[Note]

You can run both an end time monitoring process and a timeout process at the same time. If the specified timeout period is shorter than the specified expected execution duration, the timeout process will be executed earlier than the end time monitoring process. In this case, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario, in addition to the start condition.


Placing a component to execute a scenario

Allocate a part to execute a scenario

The procedure to execute a scenario by calling from other scenario is described below.

Select [Scenario Exec] from the toolbar, and click the place on the line connecting [START] and [END] where you want to place the component.

The component name is created automatically. To change the component name, see "Change the settings of a part".

Specify advanced settings for the component.

Right-click the component icon placed in the scenario definition view and select [Property] from the context menu, or double-click the component icon.

[Execute Setting] tab

  • Manager Name(required)
    Specify the name of the manager where the scenario to be executed exists by using up to 64 characters.
    $MANAGER$ indicates that the manager is this computer.
    When entering directly, if a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.
    The execution destination can be changed dynamically upon execution by using [Reference Property].
    (For example, the execution destination scenario can be changed upon execution by [Reference Property] of the local object.)
    The manager of its own ($MANAGER$) and the connected lower-level manager name are displayed in the pull-down list.
    Use [Reference Property] when you want to change [Manager Name] dynamically upon execution.
    (For example, [Manager Name] can be changed upon execution by utilizing [Reference Property] of the local object.)
    For details about the method of using the property view, see "[Property view]".

  • ScenarioName(required)
    Specify the absolute path or relative path of the scenario to be executed by using up to 1,024 characters.
    "&", "$", "!" and line feed codes cannot be used.
    When entering directly, if a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.
    The execution destination can be changed dynamically upon execution by using [Reference Property].
    (For example, the [Scenario] of an execution destination can be changed by using [Reference Property] of the local object.)
    The scenario can be executed recursively by specifying the scenario of the scenario of its own.
    (For details about the executing scenario in a multiple stage on an identical manager, see and check the description of [Notes].)

    • Absolute path
      Specify the path from directly under [Scenario View], starting with "%".
      Use "%" as a delimiter.

      Example:
      %Group1%Group2%Scenario1

    • Relative path
      Specify the path of the scenario where the scenario execution component is placed, starting with ".%" or "..%".
      ".%" indicates the current layer, and "..%" indicates the one layer above the current layer.
      If ".%" or "..%" is omitted, the starting point of the path is the current layer, in the same way as when starting with ".%".
      To specify a scenario multiple layers above, repeat "..%" (such as "..%..%", etc.).

      Example:
      ..%..%Group1%Scenario1

      [Notes]

      • A scenario name or group name containing only periods (".") cannot be specified.
        For example, the scenario names shown below, which contain "." or "..", cannot be specified.
        .%Group1%Group1%.
        .%Group1%Group1%..

      • ".%" and "..%" cannot be used at the same time.

      • When the lower manager is specified as the target manager, the starting point of the path is [Scenario View] on the lower manager.

      • ".% and "..%" can be used only at the beginning of a path.
        For example, ".%" cannot be used in the middle of a path, as shown below.
        .%Group1%.%Group2%Scenario1

  • Comment
    Specify a comment describing the scenario to be executed by using up to 256 characters.
    The entered comment is displayed in the [Instance List] dialog box of the executed scenario.
    Line feed codes cannot be used.
    Property references can be used.

  • Local Object Setting
    Specify the local object value of the target scenario when it is executed.

    • [Add]
      Displays the [Local Object Setting] dialog box.
      Enter the variable name and specification value in the [Local Object Setting] dialog box, and click the [OK] button to add the settings.

    • [Update]
      Displays the [Local Object Setting] dialog box.
      Enter the specification value in the [Local Object Setting] dialog box, and click the [OK] button to update the selected settings.

    • [Delete]
      Deletes the selected settings.
      Multiple settings can be selected and deleted at the same time.

    • Variable Name(required)
      Specify the local object variable name by using up to 64 characters.
      Specify the same variable name as the local object defined for the scenario to be executed.
      If the specified variable name does not exist, it will be ignored.
      "&", "%", "$", "!", "=" and line feed codes cannot be used.
      When entering directly, if a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.
      Property references can be used.

    • Desigmated Value
      Specify the value of a local object by using an arbitrary character string up to 65535 characters.When entering directly, one-byte spaces, two-byte spaces, tabs and line feeds at the beginning or the end are deleted.
      Property references can be used.

      [Notes]

      • If a character string which cannot be converted into an integer value is specified for a local object whose attribute is integer, the component ends abnormally when the scenario execution component is executed.

Specify the execution destination manager name and scenario name to view the execution destination scenario definition.

For details, click here.

[Notes]

  • The maximum number of local objects that can be set is 1,000.

  • Multiple local objects with the same name cannot be specified.
    Variable names when the scenario execution component is executed by using a property reference might be the same. In this case, value of the last variable in the order of UNICODE character encoding (alphabetical order) is used for the variable name when it is defined.

  • Each column in the [Execute Setting] tab can display up to 259 characters.
    When the character string consists of 260 or more characters, all the characters cannot be listed.

[Exit Code Setting] tab

  • Action when failed

    • Stop Flow(default)
      Stops the scenario and ends the processing with an error.

    • Continue Flow
      Specify the termination code.
      If [Continue Flow] is selected, scenario execution continues even if an error occurs.
      Specify a numeric value.

[Monitoring Setting] tab

This tab is used to set the monitoring of the delayed start and end of a part.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

  • Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

  • Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

  • Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

  • Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

  • Expected Run Time

Specify an expected duration from the time when a command is entered to the time when it has been completed. If the process of this part has not been completed when the specified period of time has elapsed since the command was entered, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

[Notes]

  • If the target scenario of the scenario execution component is deleted, renamed or moved after the scenario definition was saved, the scenario execution component ends abnormally because the target scenario cannot be found.

  • When executing a scenario by placing a scenario execution component in the target scenario, it becomes a nested execution.
    The maximum number of nested executions that can be handled by one manager is 100.
    If the number of nested scenario executions exceeds 100, the scenario execution component ends abnormally.

  • If the target scenario is forcibly stopped during the execution of the scenario execution component, the status of the scenario execution component becomes "Abnormal end".

  • If the scenario execution component is forcibly stopped, the instance of the target scenario is forcibly stopped.
    In this case, the scenario execution component is immediately terminated, and does not wait for the target instance to be forcibly stopped.

  • When continuing execution from a scenario execution component that caused an error, the operation differs depending on the status of the target scenario.

Status of executed scenario | Operation when continuing execution
Executing | The scenario execution component enters the"Executing" state.
Normal End | The scenario execution component ends normally.
Other than the above | The scenario execution component enters the “Executing” state and the execution target scenario is executed again.

[Notes when executing a scenario from an upper manager on a lower manager]

  • A scenario from a lower manager cannot be executed on an upper manager.

  • If a scenario is executed on a disconnected lower manager, the system waits 5 minutes for the lower manager to be connected before executing the scenario.
    The scenario will be executed if the lower manager is connected within 5 minutes.
    If the lower manager is not connected within 5 minutes, the status of the scenario execution component changes from "Executing" to "Abnormal end".

  • If the connection between the executing manager and the lower manager is disconnected while the scenario is being executed on the lower manager, the system will wait 5 minutes and then the scenario execution component will end abnormally.
    If the lower manager is connected again within 5 minutes, the processing continues.
    If the target scenario has already finished executing when the lower manager is connected again, the scenario execution component ends.

Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Authority of the scenario to be executed from a scenario execution component:

When executing or forcibly stopping the target scenario from a scenario execution component, perform the operation with the following authorities.

Execution trigger for scenario in which scenario execution component is placed | Authority
Manual execution | Operate the target scenario with the authority of the user who manually executed the scenario in which the scenario execution component is placed.
Time trigger | Operate the target scenario with the authority of the user who enabled the scenario in which the scenario execution component is placed.
Message trigger | Operate the target scenario with the authority of the user who enabled the scenario in which the scenario execution component is placed.

Note that scenarios on the lower manager are executed unconditionally without checking the authority.


Refer to the result of an anterior part (property reference)

You can use the property reference function when you want to use the results (properties) of the anterior part for the settings of this part.

To use the property reference function, follow these steps:

  1. Press Ctrl+R in an entry field for which you want to use the property reference, or select [Property Reference] from the context menu that is displayed with a right-click operation.

However, the context menu is not displayed with a right-click operation on an entry field where the property reference cannot be used.

  2. The [Property Reference] dialog box opens. The dialog box does not open on an entry field where the property reference cannot be used.
  3. To refer to a part, specify the [Part] radio button, select a desired part name from a list of the anterior parts, and select the item (property) you want to refer to from a list of the properties.
  4. To refer to a local object, specify the [Local Object] radio button, and selectthe item (property) you want to refer to from a list of the variables.
    If the property is a character string, the [Character String Handling] specificationis enabled in the right section of the dialog box.
  5. To refer to a global object, specify the [Global Object] radio button, and select the item (property) you want to refer to from a list of the variables.

If the property is a character string, the [Character String Handling] specification is enabled in the right section of the dialog box.

Click on [OK] to insert the description of the specified property reference at the cursor position.

Click on [Cancel] to return to the original window without entering the property reference.

Previous Part:

If you check this, the common properties (completion code, completion status, start time, and end time) of all the parts will be displayed in a list of the properties.

If you do not check this, the items (properties) for the selected part from a list of the anterior parts will be displayed in a list of the properties.

Character String Handling:

  • All text (default setting if you select a character string)

Refers to all the text for the specified property.

  • Select by Position

Refers to a specified number of characters from the specified character position.

If you specify a value of 0 in [Number of Characters], a character string will be extracted until a blank character or LF character is encountered.

  • Select by Key

Specify a key value in regular expression. This function enables users to refer to a character string that extends from the character immediately after the key value to the one before a blank character, LF character, or a right parenthesis (")") is encountered. (Note that a right parenthesis (")") is valid if the last of the key value is "=".)
When multiple matching key values exist, the character string of the key that appears first is obtained.

Setting items for which the property reference can be used

Part | Detail Setting Tab Name | Setting Item
Action Scenario action SSC tandem | Command Definition | Target Host Command Work Directory Option
Message transmission | Message Definition | Category Node Application Object Message ID Message Text
Message reception | Filter Definition
Event transmission Event waiting | Event Definition Event Wait Definition | Event Name
Global object | Global Object Setting | Specified Value
Local object | Llobal Object Setting | Specified Value
Scenario Exec | Execute Setting | Manager Name Scenario Name Comment Local Object Setting

Setting items for conditions for which the property reference can be used

Condition Name | Detail Setting Tab Name | Setting Item
Message | Condition Definition | Category Node Application Object Message ID Message Text
Event | Condition Definition | Event Name
Global object | Condition Definition | Specified Value

List indicating whether the property reference is possible or not

Referencing | Referenced | Referencing Possible Or Not
Part | Scenario start condition | Yes
Part | Scenario end condition | No
Part | Scenario | Yes
Part | Itself | No
Part | Anterior part | Yes
Part | Posterior part | No
Part | Start condition for itself | Yes
Part | End condition for itself | No
Part | Start condition for the anterior part | Yes
Part | End condition for the anterior part | Yes
Part | Start condition for the posterior part | No
Part | End condition for the posterior part | No
Start condition for the part | Start condition for the scenario, and the scenario itself | Yes
Start condition for the part | Start condition for the scenario, and any entity other than the scenario | No
End condition for the part | Start condition for the scenario, and the scenario itself | Yes
End condition for the part | Start condition for the scenario, and any entity other than the scenario | No

List of property reference items for scenarios (START parts)

Type | Property Name | Attribute | Description
Scenario | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
 | R_APPLICATIONNAME *1 | Character string | Application name
 | R_CREATEDATE *1 | Character string | Generated date
 | R_CREATETIME *1 | Character string | Generated time
 | R_EVENTCATEGORY *1 | Character string | Category
 | R_MESSAGETEXT *1 | Character string | Message text
 | R_NODENAME *1 | Character string | Node
 | R_OBJECTNAME *1 | Character string | Object name
 | R_RECEIVEDATE *1 | Character string | Received date
 | R_RECEIVETIME *1 | Character string | Received time
 | R_REGACYID *1 | Character string | Message ID
 | R_SEVERITY *1 | Character string | Severity
 | R_OPERATIONDATE *2 | Character string | Operation date

*1: This can be specified for a message trigger

*2: This can be specified for scenarios using the operation date scheme

List of property reference items for parts

Part Type | Property Name | Attribute | Description
Action part | R_ENDDATE | Character string | Date the command was completed on the agent
 | R_ENDTIME | Character string | Time the command was completed on the agent
 | R_HOST | Character string | Host to which the command was submitted
 | R_STARTDATE | Character string | Date the command was started on the agent
 | R_STARTTIME | Character string | Time the command was started on the agent
 | R_STATUS | Numeric value | Command completion status
 | R_STDOUT | Character string | Command output
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Conditional branch part | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Parallel branch part | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Window response part | R_COMMENT | Character string | Response Comment
 | R_RESPONSE | Character string | Response
 | R_RESPONSEHOST | Character string | Responding host
 | R_RESPONSESTATUS | Numeric value | Completion Status When Responding
 | R_RESPONSETIME | Character string | Response time
 | R_RESPONSEUSER | Character string | Responding user
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Timer waiting part | R_SCHEDULEDENDTIME | Character string | Scheduled end time and date
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Message transmitting part | R_APPLICATIONNAME | Character string | Application name
 | R_CREATEDATE | Character string | Generated date
 | R_CREATETIME | Character string | Generated time
 | R_EVENTCATEGORY | Character string | Category
 | R_MESSAGE_ID | Character string | Message ID
 | R_MESSAGETEXT | Character string | Message text
 | R_NODENAME | Character string | Node
 | R_OBJECTNAME | Character string | Object name
 | R_SEVERITY | Character string | Severity
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Message waiting part | R_APPLICATIONNAME | Character string | Application name
 | R_CREATEDATE | Character string | Generated date
 | R_CREATETIME | Character string | Generated time
 | R_EVENTCATEGORY | Character string | Category
 | R_MESSAGETEXT | Character string | Message text
 | R_NODENAME | Character string | Node
 | R_OBJECTNAME | Character string | Object name
 | R_RECEIVEDATE | Character string | Received date
 | R_RECEIVETIME | Character string | Received time
 | R_LEGACYID | Character string | Message ID
 | R_SEVERITY | Character string | Severity
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Event transmitting part | R_EVENTNAME | Character string | Event name
 | R_SENDTIME | Character string | Transmission time
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Event waiting part | R_EVENTNAME | Character string | Event name
 | R_HOST | Character string | Issuing host
 | R_RECEIVETIME | Character string | Reception time
 | R_SENDTIME | Character string | Transmission time
 | R_USER | Character string | Issuing user
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Global object part | R_PREVIOUS_VALUE | Character string | Previous value
 | R_VALUE | Character string | Setting value
 | R_VARIABLENAME | Character string | Variable name
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Local object part | R_PREVIOUS_VALUE | Character string | Previous value
 | R_VALUE | Character string | Setting value
 | R_VARIABLENAME | Character string | Variable name
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
Scenario Exec part | R_INSTANCE_DATE_TIME | Character string | Instance Date Time
 | R_INSTANCE_ID | Numeric value | Instance ID
 | R_ALL_LOCAL_OBJECT | Character string | All Local Object
 | EndTime | Character string | End Time
 | R_RESULT | Numeric value | Exit Code
 | R_RESULT_DETAIL | Numeric value | Result Detail
 | StartTime | Character string | Start Time
 | Status |  | Exit Status
SSC tandem part | R_HOST | Character string | Host to which the command was submitted
 | R_STATUS | Numeric value | Command completion status
 | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status
SSC Web service Relation | EndTime | Numeric value | End Time
 | R_RESULT | Character string | Exit Code
 | Start_Time | Character string | Start Time
 | Status | Numeric value | Exit Status
 | P_REQUEST_TYPE_NUM | Numeric value | Request Type(*3)
 | R_RESPONSE_RAW_DATA | Character string | Response data from ssc
 | R_RESPONSE_SEPARATE_DATA | Character string | Separated response data from ssc
 | R_RESULT_DETAIL_OUTPUT_FILE_NAME | Character string | Result detail output file name
Scenario action part | EndTime | Character string | End time
 | R_RESULT | Numeric value | Completion code
 | StartTime | Character string | Start time
 | Status | Numeric value | Completion status

*3: The request type selected in the Request Setting is acquired as a numeric value and displayed in order starting from 0.

List of property reference items for conditions

Condition Type | Property Name | Attribute | Description
Event condition | R_EVENTNAME | Character string | Event name
 | R_HOST | Character string | Issuing host
 | R_USER | Character string | Issuing user
 | R_SENDTIME | Character string | Transmission time
 | R_RECEIVETIME | Character string | Reception time
 | R_AGREETIME | Character string | Time when the condition became true
Message condition | R_EVENTCATEGORY | Character string | Category
 | R_NODENAME | Character string | Node
 | R_APPLICATIONNAME | Character string | Application name
 | R_OBJECTNAME | Character string | Object name
 | R_LEGACYID | Character string | Message ID
 | R_CREATEDATE | Character string | Generated date
 | R_CREATETIME | Character string | Generated time
 | R_RECEIVEDATE | Character string | Received date
 | R_RECEIVETIME | Character string | Received time
 | R_MESSAGETEXT | Character string | Message text
 | R_AGREETIME | Character string | Time when the condition became true
Time condition | R_SCHEDULEDENDTIME | Character string | Scheduled end time and date
 | R_AGREETIME | Character string | Time when the condition became true
Global object condition | R_VARIABLENAME | Character string | Variable name
 | R_COMPAREVALUE | Character string | Comparison character string
 | R_VALUE | Character string | Variable value
 | R_AGREETIME | Character string | Time when the condition became true
Command return value condition | R_RETURNVALUE | Numeric value | Command return value
 | R_AGREETIME | Character string | Time when the condition became true
Anterior part condition | R_AGREETIME | Character string | Time when the condition became true

Specification example:

This example specifies a character string in a message text, starting from a character immediately after "host=" to the one before a blank or LF character.

When a part is referenced:

When a global object is referenced:

When a local object is referenced:

Example of describing a property reference:

When using a property reference, the following character string is displayed at the reference point.

* Examples of location specification and key specification are not described.

Reference From | Describing
Component | %!<Property Name>%
Last Component | %<Part Name>!<Property Name>%
Local Object | %&&<Local Object Name>%
Global Object | %&<Global Object Name>%
Condition | %<Part Name>$<Condition Name>!<Property Name>%

[Notes]
Each column in the property or variable list can display up to 259 characters.
When the character string consists of 260 or more characters, all the characters cannot be listed.


Allocate a part in anteroposterior relationship

In the case of a scenario using the operation date scheme, you can connect every two parts in anteroposterior relationship.

Adding an anterior condition

  1. Click on the anterior condition icon [image] placed in the [Scenario Definition] view to select a part that will be before this part.

The background color of the selected part turns blue.

  2. Move the mouse cursor to the part you want to register as the condition.

The background color of the part you will register turns blue.

  3. Click on the part to be registered to connect them in anteroposterior relationship.

  4. When you open the property for the posterior part and reference the [Condition Setting] tab, the anterior condition (part name) is added under the start condition.

For the condition definitions, refer to the "Define a condition: anterior part condition" section.

Changing an anteroposterior relationship

  1. Select the arrow.

  2. Drag & drop one side of the arrow on another posterior part that you want to make current.

  3. When you open the property for the new posterior part and reference the [Condition Setting] tab, the anterior condition (part name) is added under the start condition.

For more information on how to set a new posterior part, refer to the "Condition definition" section.

  4. When you open the property for the part that was released from the anteroposterior relationship and reference the [Condition Setting] tab, the anterior condition (part name) under the start condition is removed.

Removing an anteroposterior relationship

  1. Select the arrow.

  2. Select [Remove] from the context menu.


Set a start schedule/end schedule for a part

If you want to monitor a part based on a time element such as the time of day or the elapsed time, you must set a start schedule and end schedule.

To set a start schedule and end schedule for each part, use [Monitoring Definition] in [Detail Setting] for the part.

For more information on how to configure the monitoring setting, refer to how to define a part to be monitored in the "Define actions by allocating parts" section.


Enter the command in the agent machine connected by the upper manager to the lower

Enter the command in the agent machine connected by the upper manager to the lower manager

To enter the command in the agent machine connected by the upper manager to the lower manager, use "CommandExe".

When using this command, setting of the upper manager is required on the lower manager side in advance.

Check that the settings in "Set an upper manager".

Allocate one action and enter the CommandExe.exe in upper manager.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\CommandExe.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/CommandExe.exe

[Specifying procedure]

CommandExe.exe -M <Target Name> <Application Name> [-O <Option>] [-W <Work Directory>]

[Description]

Enter the command in the agent machine connected by the upper manager to the lower manager.

[Argument]

Target Name | Specify the host name in which the command is entered. This item cannot be omitted. Specify <Agent Name>@<Lower Manager Name> here.
Application Name | Describe the command path of the command to be executed. This item cannot be omitted.To enter a space, enclose it in double quotation marks ("") according to the specifications of the operating system used.
-O Option | Describe the options for the specified command in the command string. If no command option needs to be specified, do not specify the -O option. If the actual command has multiple parameters, enclose them in double quotation marks ("") according to the specifications of the operating system used. When a control character is used, escape it.
-W Work Directory | Describe the working directory for command execution. If no working directory needs to be specified, do not specify the -W option. To enter a space, enclose it in double quo-tation marks ("") according to the specifications of the operating system used.

[Return value]

Success : Return value and standard output of the executed command

Failure :

Return Value | Description
0 | Agent(target host) stopped during command execution. "** Agent down **"
1 | Any argument is omitted or invalid Usage will be displayed. Socket initialization failed at the time of command execution. "Fatal Error: Socket initialization failed" Connection failure to lower-level manager, etc. (socket relation) "Fatal Error:xxx"
3 | Command transmission failure to lower-level manager. "Failed to send to LowerManager." Execution failure of command service. "Failed to request to Command Service." Upper-level manager or lower-level manager stopped during command execution. "Connection Timeout." Stopping the agent(target host). "** Agent down **"
96-98 | Other error, insufficient memory, etc. "Fatal Error: can not Alloc1 (Error Code)" "Fatal Error: Send request to Manager failed (Error Code)" "Fatal Error: Receive Header failed (Error Code)" "Fatal Error: Receive Data failed (Error Code)"

[Note]

  • It isn't possible to enter the command in the agent machine connected to the upper manager.

  • The total number of characters of environment variables such as commands and options after expansion must be about 1700 or fewer.
    If this is exceeded, shorten the options by using a batch file or shell script.

  • When executing this command from a part of scenario control when the upper manager and execution destination agent are operating in Windows, a string with spaces can be specified as an option specified with -O by escaping it as shown below.
    To specify options with a string including spaces, enclose the options in double quotation marks (""), and specify a double quotation mark ("") escaped by placing seven backslashes (\) before and after the option including spaces.
    (Example: "\\\\\\\"C:\Program Files\\\\\\\"")

  • When executing this command from a part of scenario control when the upper manager or execution destination agent is operating in UNIX, a string with spaces cannot be specified as an option specified with -O.

  • Specify the escape specifications of Windows by referring to the following.
    http://msdn.microsoft.com/en-us/library/cc737438(v=ws.10).aspx
    http://msdn.microsoft.com/en-us/library/78f4aasd(VS.80).aspx

[References]

Allocate one action


Storing the command execution result (standard output) in the local object

Follow the procedure below to store the execution result (standard output) of the command that is defined in the action component, to the local object.

Right-click the start component and select the [Local Object Setting] from the displayed pull-down menu.

Click [Add] on the [Local Object Setting] screen.

On the [Local Object Addition] screen, set the items shown on the following screen to [Variable Name], [Explanation], [Attribute], and [Initial Value], and click [OK].

For details about the method of setting the local object, see "Adding a local object".

Locate an action part.

For details about the method of locating/setting an action part, see "Locating an action".

Locate an action part followed by a local object part, right-click the local object part and select [Property] from the displayed pull-down menu.

Select the local object that is added to the variable name on the [Local Object Setting] screen.

After the setting, right-click the edit box of [Specified value], and select [Property Reference] from the context menu.

Follow the procedure below for the settings on the [Properties Reference] screen.

  1. Select the [Component] radio button of [Reference From], and deselect the check mark of the [Last Component] check box.

  2. Select [Action 1] from [Component].

  3. Select [R_STDOUT] from [Property List].

  4. Click the [OK] button.

* It is able to obtain the end code or state of a part other than the command standard output.

For details about the method of using [Property Reference], refer to [Property view].

Save the definition.

[Related item]

Allocate one action

Adding a local object

Refer to the result of an anterior part (property reference)


Viewing the result of the scenario at the execution destination of the scenario execution component from the calling side

Use a local object when viewing the result of the scenario at the execution destination of the scenario execution component from the scenario of the calling side.

Defining the scenario of an execution destination

Add a local object when storing information that is viewed from the calling side to the scenario of the execution destination of the scenario execution component.

For details about the method of setting the local object, see "Adding a local object".

Store the execution result of an action part (the command standard output) into the local object by locating an action part and a local object part.

For details about the method of storing the execution result of an action part into the local object, see "Storing the command execution result (standard output) in the local object ".

Defining the scenario of the calling side

Add a local object in which the result of the scenario at the execution destination is stored, to the scenario of the calling side.

For details about the method of setting the local object, see "Adding a local object".

Set the scenario at an execution destination by locating a scenario execution component.

For details about the method of setting the scenario execution component, see "Allocate a part to execute a scenario".

Locate a scenario part followed by a local object part, right-click the local object part and select [Property] from the displayed pull-down menu.

Select the local object that was added to the variable name on the [Local Object Setting] screen.

After the setting, right-click the edit box of the [Specified value], and select the [Property Reference] from the context menu.

Follow the procedure below for the settings on the [Properties Reference] screen.

  1. Select the [Component] radio button of [Reference From], and deselect the check mark of the [Last Component] check box.

  2. Select [Scenario Exec1] from [Component].

  3. Select [R_ALL_LOCAL_OBJECT] from [Property List].

  4. Select the [Select by Key] button from [String operation].

  5. Specify "OUTPUT=" for [Key].
    (Specify the local object name of the scenario at the execution destination, "OUTPUT".)

  6. Click the [OK] button.

* For details about the method of using [Property Reference], refer to [Refer to the result of an anterior part (property reference)].

Save the definition.

[Related item]

Adding a local object

Storing the command execution result (standard output) in the local object

Allocate a part to execute a scenario


Outputting the contents of a local object to a file

Follow the procedure below when outputting the contents of a local object in the scenario to a file by using the GETVALUE command.

Locate an action part.

Right-click the action part, and select [Property] from the displayed pop-up menu to set the [Command Setting] tab as shown below.

  • Target Host
    Specify "$MANAGER$".

  • Command

Specify "ScenarioCmd.exe".

  • Work directory

In the case of the Windows manager:

<Installation Directory>\Manager\bin

In the case of the UNIX manager (HP-UX, Linux)

<Installation Directory>/Manager/bin

  • Option

Specify the setting as shown below.

GETVALUE <Scenario ID> < Instance execution date> <Instance ID> -O < Output file name>

Specify information on the instance that is a target to which the local object file is output, for the scenario ID, Instance execution date, and instance ID.

* The scenario (START part) property can be used for the settings of the scenario ID, instance execution date, and instance ID when the local object of the instance of its own is output.

For details, see [Refer to the result of an anterior part (property reference)].

* For details about the method of using the GETVALUE command, see "ScenarioCmd GETVALUE".

Save the definition.

[Related item]

Refer to the result of an anterior part (property reference)

ScenarioCmd GETVALUE


Define conditions

Operation Date | Part Name | Start Condition | Normal Completion Condition | Abnormal Completion Condition
Scenario not using the operation date scheme | START part END part | Option | Not settable | Not settable
 | Action part | Option | Not settable | Not settable
 | SSC tandem part | Option | Not settable | Not settable
 | Global object part | Option | Not settable | Not settable
 | Conditional branch part | Not settable | Not settable | Not settable
 | Parallel branch part | Not settable | Not settable | Not settable
 | Window response part | Not settable | Not settable | Not settable
 | Time-controlled part | Not settable | Not settable | Not settable
 | Message transmitting part | Option | Not settable | Not settable
 | Message receiving part | Not settable | Not settable | Not settable
 | Event transmitting part | Option | Not settable | Not settable
 | Event receiving part | Not settable | Not settable | Not settable
Scenario using the operation date scheme | START part END part | Option | *Option | Option
 | Scenario action part | Required | *Option | Option
 | Global object part | Required | *Option | Option
 | Message transmitting part | Required | *Option | Option
 | Event transmitting part | Required | *Option | Option

*If you set the abnormal completion condition, you are required to set the normal completion condition.

Scenario not using the operation date scheme

To define a condition for a part in a scenario, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

From the tree view in the left section of the window, select the scenario that includes the part for which you want to define a condition, right-click on it, and select [Edit Definition] from the context menu to open the [Scenario Definition] view.

To define a condition for a part, follow these steps:

  1. To define a condition for a part in a scenario, right-click on the part for which you want to define a condition.

Select [Property] in the context menu to open the [Setting] dialog box for the part.

Alternatively, double-click on the part to open the [Setting] dialog box.

Part in a scenario not using the operation date scheme

  2. Select the [Condition Definition] tab.

Adding a condition

  • Condition

When you select the Start Condition node and click on the [Condition] button, the [Condition Detail Setting] dialog box is displayed, where you can add a new condition item.
Use the displayed [Condition Detail Setting] dialog box to add a new condition.
The [Condition] button is disabled and grayed out when a condition item is selected.

  • AND, OR

The [AND] or [OR] button is used to create more than one condition to start a scenario (part).
When you select a condition, AND item, or OR item, and click on the [AND] or [OR] button, the AND item or OR item will be added above the selected item.
When you select a start condition, normal completion condition, abnormal completion condition (root node), and click on [AND] or [OR] button, the AND item or OR item will be added below the selected item.
Both buttons are grayed out and disabled when any node is not selected.

The following example explains a case where 2 conditions are set to start a part:

(1) Select [Start Condition] and click on the [Condition] button to add "Start Condition 1."

(2) Select the condition item "Start Condition 1" and click on the [AND] button.

(3) Select the condition item [AND].

(4) Click on the [Condition] button to add "Start Condition 2."

(1) Add "Start Condition1." (3) Select the [AND] item. (5) The condition tree looks as shown above.

(2) Click on the [AND] button. (4) Add "Start Condition2."

The following example explains a case where 2 conditions are set to start a part:

(1) Select [Start Condition] and click on the [Condition] button to add "Start Condition 1."

(2) Select the condition item "Start Condition 1" and click on the [OR] button.

(3) Select the condition item [OR].

(4) Click on the [Condition] button to add "Start Condition 2."

(1) Add "Start Condition1." (3) Select the [OR] item. (5) The condition tree looks as shown above.
(2) Click on the [OR] button. (4) Add "Start Condition2."

Editing a condition

To edit an existing condition, select the condition item you want to edit and click on the [Edit] button, or double-click on the condition item.
When the [Condition Detail Setting] dialog box is displayed, edit the item(s) you want to change.
If you want to finish editing, click on the [OK] button in the [Condition Detail Setting] dialog box to reflect your edits in the condition.
If you want to cancel the editing operation, click on the [Cancel] button in the [Condition Detail Setting] dialog box to discard your edits.

The [Edit] button is disabled when an entity other than a condition item is selected or when the selected condition item is an anterior part condition.

Deleting a condition

To delete a condition, select the condition item you want to delete, and then click on the [Delete] button.
When you click on the [Delete] button, the following removal confirmation message box appears.

Click on [OK] to delete the condition.
Click on [Cancel] to abort the delete operation.

When you select an AND or OR item and click on the [Delete] button, you can delete all the conditions under the AND or OR item.
If you click on the [Delete] button when an anterior part condition is included under the AND or OR item, however, the following confirmation message box appears after the removal confirmation message box.

Click on [Yes] to delete all the conditions under the AND or OR item, including the anterior part condition.

Click on [No] to delete all the conditions except the anterior part condition.

Click on [Cancel] to not delete any of the conditions.

Note that the [Delete] button is disabled when the root node for the start condition is selected.

Optimizing conditions

The [Optimize] button is used to delete unnecessary AND or OR items if there are fewer than two condition items under them.
The following example describes how the optimization works: One optimization operation optimizes the situation shown in the leftmost window to that in the rightmost.

Description

As AND (1) has only one child node or message wait condition, the AND (1) node is deleted and the condition becomes a child node under the OR item that is the parent node of the AND (1) node.

As the AND (2) node has no child nodes, it is deleted.

The OR item has only message wait condition as its child node, and then the OR item is deleted, and the message wait condition eventually becomes a child node of the root node that was the parent node of the OR item.

Scenario using the operation date scheme

  1. To define a condition for a part in a scenario, right-click on the part for which you want to define the condition.

Select [Property] in the context menu to open the [Setting] dialog box for the part.

Alternatively, double-click on the part to open the [Setting] dialog box.

Part in a scenario using the operation date scheme

  2. Select the [Condition Setting] tab.

You can define a normal completion condition and abnormal completion condition, in addition to a start condition.
The explanations for the buttons are similar to those for the case where the operation date scheme is not used.


Define the details of a condition

Perform one of the following operations on [Property] for the part to open the [Condition Detail Setting] dialog box:

  • Click on the [Condition] button in the [Condition Definition] tab.
  • Select a condition item and click on the [Edit] button.
  • Select a condition item and double-click on it.

  • Condition Name

A unique condition name is entered when the [Condition Detail Setting] dialog box is initially displayed.
Specify the condition name, within a maximum of 64 characters. The characters &, %, $, and ! cannot be used for condition names.
The condition name must be unique within a part.

  • Condition Type

Select the condition type you want to set from among [Message], [Event], [Time], [Global Object], and [Command Return Value].

The [Condition Detail Group] box in the lower section displays different items, depending on the selected type.
The following pages explain the specification defined for each condition type.

[Note]

The command return value condition can be selected only for the normal completion and abnormal completion conditions for scenario action parts.

  1. Message condition

This condition type becomes true when a specific message that meets the details of the condition is received.
It can also specify the time window to receive messages.

When you have checked the box to the right of [Not] for a condition, messages that do not meet the entered condition will be the candidates for the condition
For the conditions to become true, the messages must meet all the conditions specified here.
You cannot use a double quotation (") in [Select by Position] and [Select by Key].

  • Category

Select a desired category for messages from the pull-down menu.

Alternatively, specify a filter condition for the categories in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Node

Specify a filter condition for the nodes that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Application

Specify a filter condition for the applications that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Object

Specify a filter condition for the objects that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Message ID

Specify a filter condition for the message IDs in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Message Text

Specify a filter condition for the messages (message text) to be received in regular expression format, within a maximum of 1024 characters, or specify it through the property reference.

  • Select by Position

Specify a maximum of eight conditions for search operations through selecting positions in a message text.
If you specify more than one position, messages that will meet all the specified position conditions will be received.

  • Position

Specify a position in characters in a message text, in the range of 1 to 1024, so that the character at the position may be compared.

  • Condition

Specify a desired comparison condition.
The following shows the available comparison condition operators:

  • Value

Specify a desired value that will be compared, within a maximum of 64 characters. The Value cannot be specified in regular expression format.

Condition example:

If you want to extract messages that have an occurrence of "Abnormal" at the 10th position in their message text, specify the items as follows:

Position: 10
Condition: =
Value: Abnormal

  • Select by Key

Specify a maximum of eight conditions for search operations through selecting keys in a message text.
If you specify more than one key, messages that will meet all the specified key conditions will be received.

  • Key

Specify a key in a log, within a maximum of 64 characters.

  • Condition

Specify a desired comparison condition.
The following shows the available comparison condition operators:

If you specify "=," a regular expression will apply to the Value.
If you specify a condition other than "=," a string specified in [Value] will be compared on a binary basis.

  • Value

Enter a value that will be used for comparison. If you specify "=" for [Condition], specify a Value in regular expression.

Condition example:

Suppose you have a log that includes a string of "error_number = 5" and the part "5" is variable. If you want to extract logs that include "error_number" = 4, you specify the items as follows:

Key: error_number
Condition: =
Value: 4

  • Severity

Select a severity from the pull-down menu.
It displays severities set up in [Option].

  • Time Window for Reception

Check this if you want to specify a reception window.
Specify both the start time and end time in the range of 00:00:00 to 23:59:59.

  2. Event condition

This condition becomes true when an event with the specified event name is received.

  • Condition Name (required)

Specify a desired event name for which the part waits, within a maximum of 64 characters, or specify it through the property reference.

  3. Time condition

The condition becomes true when the specified time has come or the waiting time period has elapsed.

  • Absolute Time

Specify the time period in the range of 00:00:00 to 23:59:59 for a part in a scenario not using the operation date scheme.
Specify the time in the range of 000:00:00 to 999:59:59 for a part in a scenario using the operation date scheme.

  • Wait Time

Specify the time period in the range of 00:00:00 to 23:59:59 for a part in a scenario not using the operation date scheme.
This item is disabled for scenarios using the operation date scheme.

  4. Global object condition

This condition combines the conditional expressions of global objects and comparison values.

  • Browse

Enables you to display the [Global Object List] dialog box and select a desirable variable you want to refer to.

  • Variable Name

Displays the selected variable name.

  • Attribute

Displays the attribute of the selected variable.

  • Explanation

Displays the explanation of the selected variable.

  • Condition

Specify a desired comparison condition.
The following shows the available comparison condition operators:

If you specify "=," a regular expression will apply to the Value.
If you specify a condition other than "=," a string specified in [Value] will be compared on a binary basis.

  • Value

Enter a value that will be used for comparison. If you specify "=" for [Condition], you can also specify a Value in regular expression.
You can also a property reference for [Value].

5. Command return value condition

The return value from a command set in a scenario action part is treated as a condition.
This condition can be specified only in normal completion conditions and abnormal completion conditions, and used only in scenario action parts.

  • Command Return Value

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been completed.

How to specify values:

When you specify the return values, use one-byte numeric characters.
If you want to specify more than one value, delimit each value with a one-byte comma.
If you want to specify a range of values, enter a one-byte hyphen between the start and end values of the range.

Examples of specifying values:

-1,2,5,10,90-99

  6. Anterior part condition

The completion of the specified part is treated as a condition.

This condition indicates a relation between two parts connected with a line when editing the definition of a scenario flow and does not have detailed condition definitions.

[Note]

If you operate an anterior part in the definition editing, an additional anterior part condition will be added to [Condition Definition] for the posterior part in the following patterns, depending on the current definition:

    • When only the anterior part condition is defined in the start condition

    • When another anterior part has been defined

    • When a condition other than the anterior part condition has been defined as a start condition

    • In the case of complex conditions

When an AND condition is in the start condition

When an OR condition is in the start condition

Once you have entered all the necessary information, save the scenario.
Click on [Ok] to add (edit) the entered anterior part condition as a condition item under the called start condition, normal completion condition, or abnormal completion condition for the part and close the [Condition Detail Setting] dialog box.
Click on [Cancel] to close the [Scenario Start Settings] dialog box (and discard all the changes) without adding (editing) the conditions.


Move a condition

You can move a desired condition item, AND item, or OR item by selecting and dragging & dropping it or using the context menu on the condition tree.

Drag & drop [Move]

To move a condition by dragging & dropping it on the condition tree, follow these steps:

  1. On the condition tree, select a condition item, AND item, OR item, position the mouse pointer on it, press and hold the mouse button, drag & drop the item onto the destination AND or OR item, and release the mouse button.

  2. A move confirmation message box appears.

Click [Yes] to complete the drag & drop operation.

Click on [No] to abort the operation.

[Note]

You can only move condition items, AND items, and OR items between the same condition types (start condition, normal completion condition, and abnormal completion condition).

Context menu [Move]

To move a condition item, AND item, or OR item with the context menu, follow these steps:

  1. Right-click on the condition item, AND item, or OR item you want to move.

  2. Select [Move] from the context menu of the item to be moved to open the move dialog box.

The move dialog box only displays the movable condition types.

Select the AND item or OR item to which you want to move the item.

  3. Once you have selected the destination, confirm the move operation.

Click on [OK] to complete the move operation and return to the condition definition.

Click on [Cancel] to return to the condition definition without moving the condition.


Rename a part

To rename a part in a scenario, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

From the tree view in the left section of the window, select the scenario that includes the part you want to rename, right-click on it, and select [Edit Definition] from the context menu to open the [Scenario Definition] view.

To rename a part, follow these steps:

  1. To change a part name in a scenario, right-click on the part you want to rename and select [Rename] from the context menu.
  2. The [Part Name Setting] dialog box opens.

As the dialog box is populated with the current part name, enter a new part name.

You cannot enter the same name as the scenario or that of any existing part within the scenario.

Click on [OK] to change the part name and return to the [Scenario Definition] view.

Click on [Cancel] to return to the [Scenario Definition] view without changing the part name.

  3. Once you have completed all the changes, save the scenario.

Click on [Yes] to save the changed scenario and close the [Scenario Definition] view.

Click on [No] to close the [Scenario Definition] view (and discard all the changes) without saving the scenario.

Click on [Cancel] to return to the changed [Scenario Definition] view (without saving the scenario).


Copy/move a part

Copying a part

Moving a part

To copy or move a part in a scenario, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

From the tree view in the left section of the window, select the scenario that includes the part you want to copy or move, right-click on it, and select [Edit Definition] from the context menu to open the [Scenario Definition] view.

Copying a part

You can copy a part to a different location in the same scenario.

You cannot copy a part in a scenario to a different scenario definition.

To copy a part, follow these steps:

  1. Right-click on the part you want to copy and select [Copy] from the context menu.

  2. Right-click on the location to which you want to copy it and select [Paste] from the context menu.

  3. When the part has been copied to the specified location, rename it or change its details if necessary.

  4. Once you have completed all the changes, save the scenario.

Click on [Yes] to save the changed scenario and close the [Scenario Definition] view.

Click on [No] to close the [Scenario Definition] view (and discard all the changes) without saving the scenario.

Click on [Cancel] to return to the changed [Scenario Definition] view (without saving the scenario).

[Note]

Branch parts cannot be copied.

Moving a part

You can move a part to a different location in the same scenario.

You cannot move a part in a scenario to a different scenario definition.

To move a part, follow these steps:

  1. Select the part you want to move and drag it to the location to which you want to move it.

  2. When the part has been moved to the specified location, rename it or change its details if necessary.

  3. Once you have completed all the changes, save the scenario.

Click on [Yes] to save the changed scenario and close the [Scenario Definition] view.

Click on [No] to close the [Scenario Definition] view (and discard all the changes) without saving the scenario.

Click on [Cancel] to return to the changed [Scenario Definition] view (without saving the scenario).

[Note]

When you move a branch part, any part(s) you placed on the branch lines will be moved at the same time.


Change the settings of a part

To change the settings of a part in a scenario, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

From the tree view in the left section of the window, select the scenario that includes the part for which you want to change the details, right-click on it, and select [Edit Definition] from the context menu to open the [Scenario Definition] view.

To change the settings of a part, follow these steps:

  1. To change a part (the details of a part) in a scenario, right-click on the part for which you want to change details and select [Property] from the context menu.
  2. The [Details Setting] window for the part opens.

Once you have changed the details of the part, click [OK] to close the [Details Setting] window for the part.

  3. Once you have completed all the changes, save the scenario.

Click on [Yes] to save the changed scenario and close the [Scenario Definition] view.

Click on [No] to close the [Scenario Definition] view (and discard all the changes) without saving the scenario.

Click on [Cancel] to return to the changed [Scenario Definition] view (without saving the scenario).


Remove a part

To remove a part from a scenario, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

From the tree view in the left section of the window, select the scenario that includes the part you want to remove, right-click on it, and select [Edit Definition] from the context menu to open the [Scenario Definition] view.

To remove a part, follow these steps:

  1. To remove a part in a scenario, right-click on the part you want to remove.

Select [Remove] in the context menu, and the confirmation dialog box opens.

Click on [Yes] to remove the part and return to the [Scenario Definition] view.

Click on [No] to return to the [Scenario Definition] view without removing the part.

  2. Once you have completed all the changes, save the scenario.

Click on [Yes] to save the changed scenario and close the [Scenario Definition] view.

Click on [No] to close the [Scenario Definition] view (and discard all the changes) without saving the scenario.

Click on [Cancel] to return to the changed [Scenario Definition] view (without saving the scenario).

[Note]

If you remove a part in an anteroposterior relationship, the anterior condition will be automatically removed from the [Condition Definition] for the part that sets the condition in relation to the removed part.

It is also true of the case where an [image] anterior condition will be removed without removing a part.


Save a scenario

Once you have allocated necessary parts and set the details of each part, save the scenario.

Click on [image] at the upper right corner of the [Scenario Definition] view.

Click on [Yes] to save the current scenario and close the [Scenario Definition] view.

Click on [No] to close the [Scenario Definition] view without saving the created or changed scenario.

Click on [Cancel] to cancel the save task and return to the current [Scenario Definition] view.

If you fail to enter any required parameters in setting a scenario, part, or condition, a message will appear to prompt you to enter them when you save the scenario.
For example, if you do not set the working days/non-working days in a scenario with the operation date scheme, the following message will appear.


Change a scenario

To change a scenario definition, scenario start settings, and scenario name, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

Change a scenario definition

Change scenario start settings

Change a scenario name

Change a scenario definition

To change a scenario definition, follow these steps:

  1. Select the scenario you want to change from the tree view in the left section of the window. If you do not know where the scenario is located, refer to the "Search for scenarios and instances"" section.
  2. Right-click on the scenario and select [Edit Definition] from the context menu.
  3. Change the scenario definition and save it.

[Note]

After you create a scenario, you cannot change whether the operation date scheme applies to the scenario.

Change scenario start settings

To change scenario start settings, refer to the "Create a scenario: Configuring scenario start settings" section.

Change a scenario name

To rename a scenario, refer to the "Create a scenario: Renaming a scenario" section.


Move a scenario and a group of scenarios

You can move a scenario and a group of scenarios into another group. To run this process, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

To move a scenario (or a group of scenarios) displayed in the tree view, follow these steps:

Right-click on the scenario (or the scenario group) you want to move in the tree view, and select [Edit Definition] from the context menu.

When the following move window has been displayed, select the group into which you want to move the scenario (or the scenario group) and click on the [OK] button.

Alternatively, drag & drop the scenario (or the group scenario) in the tree view.

[Note]

  • Any Group you cannot specify as a destination into which you can move a scenario or a group of scenarios is not displayed.
  • If you move the specified scenario group, all the groups and scenarios under it will be moved.
  • Even with the drag & drop operation, you cannot move a scenario (or a group of scenarios) that you are not allowed to move.


Remove a scenario

To remove a scenario or a group of scenarios, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

When you try to remove a scenario or a group of scenarios, note that some scenarios and scenario groups cannot be removed.

Remove a scenario

Remove a scenario group

Remove a scenario

[Note] About scenarios that cannot be removed

You cannot remove a scenario that is being edited.

You cannot remove an active scenario.

You cannot remove a scenario that includes a running instance.
*1: If the included instances are those on non-working days or those that are ready (on non-working days), the scenario can be removed.

To remove a scenario, follow these steps:

  1. From the tree view in the left section of the window, select the scenario you want to remove. If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.
  2. Right-click on the scenario and select [Delete] from the context menu.

A confirmation message box opens.

Click on [OK] to remove the scenario.

Click on [Cancel] to return to the original window without removing the scenario.

Remove a scenario group

[Note] About removing scenarios that are included in a group and a group including scenarios that cannot be removed

Scenarios included in a group will be removed together with the group when it is removed.

You cannot remove a group that includes a scenario that cannot be removed.

For a group that includes scenarios that can be removed and those that cannot be removed, the scenarios that can be removed will be removed and the group itself will not be removed. If a group includes an active scenario, however, the group and all the scenarios included in it will not be removed.

To remove a group of scenarios, follow these steps:

  1. From the tree view in the left section of the window, select the scenario group you want to remove. If you do not know where your desired group is located, search for scenarios and instances .
  2. Right-click on the group and select [Delete] from the context menu.

A confirmation message box opens.

Click on [OK] to remove the group. Scenarios included in a group will be removed together with the group when it is removed.

Click on [Cancel] to return to the original window without removing the group.

[Note]

Removing a scenario including an instance submitted according to the plan or a group including such an instance

If you try to remove a scenario that includes an instance submitted based on the plan or a group including such a scenario, another removal confirmation message will reappear after the first removal confirmation message is displayed.

Click on [Yes] to remove a scenario that includes an instance submitted according to the plan or a group including such an instance.
Click on [No] to keep the scenario intact.


Export a scenario definition

By exporting a scenario definition or scenario definitions on a per-group basis, you can save and use the scenario definition(s) for various purposes.

To export a scenario definition, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

To export a scenario definition, follow these steps:

  1. From the tree view in the left section of the window, select the scenario or scenario group you want to export.
  2. Right-click on it and select [Export] from the context menu.
  3. When the [Export Setting] dialog box has opened, enter a desired comment and file name.

[Export Setting] dialog box

  • Comment (required)

Enter a desired comment.

  • File Name (required)

Click on [Browse], select a directory, and enter a desired file name.

Alternatively, specify the file name directly. If you omit specifying a pathname, the exported file will be saved on the user's desktop.

  4. Click on [OK] to export the scenario definition.

Click on [Cancel] to close the dialog box without exporting the scenario definition.


Import a scenario definition

You can import and use a file that stores an exported scenario definition or exported scenario definitions on a per-group basis.

To import a scenario definition, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

To import a scenario definition, follow these steps:

  1. In the tree view in the left section of the window, select the tree root or group you want to import.
  2. Right-click on it and select [Import] from the context menu.
  3. When the [Import Setting] dialog box opens, click on [Browse] and specify the path to the file you want to import from the [Folder Selection] dialog box.
  4. If the [Import Setting] dialog box displays all the files that can be imported and reside on the specified path, select the file name you want to import, and click on [OK].

    • Import File Path (Non-enterable)
      Displays the path to the file to be imported.

    • Browse
      Click on this button to display the [Folder Selection] dialog box where you can specify the path to the file you want to import.

    • File Name
      Displays each import file name that resides on the path to the file to be imported.

    • Comment
      Displays the comment in each displayed import file.

    • Type
      Displays the type (scenario/group) of each displayed import file.

    • Group Name/Scenario Name
      Displays the scenario name or group name of each displayed import file.

    • Description
      Display the scenario description.

    • Preparer
      Displays the user name that created each displayed import file.

  5. The [Import Scenario] dialog box opens.

[Import Scenario] dialog box

    • Scenario Name (required)
      Displays the scenario name to be imported.
      If you want to change the scenario name, you can reenter it.
    • Description
      Describe the scenario in up to 256 characters.
      The entered description is displayed on the property tab of the scenario.
    • Icon File
      When you leave it blank, the default icon that is displayed in the upper left section will be used.
      If you want to change an icon, specify the icon file by clicking on [Browse].
    • Right setting
      Specify an appropriate right setting for the scenario.
      For information on how to specify the right setting, refer to "About user management" in "Perform User Management."

  6. Click on [OK] to import the scenario definition to the location you specified in Step 1.
    Click on [Cancel] to close the dialog box without importing the scenario definition.

The following error message will appear when the import process is started if the scenario name to be imported already exists under the selected tree.

The scenario name entered in the [Import Scenario] dialog box is displayed in the part surrounded by a red border.

Import scenario definitions in a batch

  1. In the tree view in the left section of the window, select the tree root or group you want to import.
  2. Right-click on it and select [Import] from the context menu.
  3. When the [Import Setting] dialog box opens, click on [Browse] and specify the path to the file you want to import from the [Folder Selection] dialog box.
  4. If you want to import the files in a batch, select the file names to be imported while you press the [Shift] key or [Ctrl] key.
  5. Click on [OK] to import the scenario definitions you selected to the location you specified in Step 1.
    Click on [Cancel] to close the dialog box without importing the scenario definitions.

Import exported files on a per-group basis

To import a scenario definition, you must shift into the Configuration Mode.

To change the mode of operation, select [Configuration Mode] from the [Setting] menu.

To import a file to which scenario definitions were exported on a per-group basis, follow these steps:

  1. In the tree view in the left section of the window, select the tree root or group you want to import.
  2. When the [Import Setting] dialog box opens, click on [Browse] and specify the path to the file you want to import from the [Folder Selection] dialog box.
  3. If the [Import Setting] dialog box displays all the files that can be imported and reside on the specified path, select the file name you want to import, and click on [OK].

  4. Click on [OK] to import the export file on a per-group basis to the location you specified in Step 1.
    Click on [Cancel] to close the dialog box without importing the export file on a per-group basis.
    The following error message will appear when the import process is started if the group name to be imported already exists under the selected tree.

The group name entered in the [Import Group] dialog box is displayed in the part surrounded by a red border.

Import groups in a batch

  1. In the tree view in the left section of the window, select the tree root or group you want to import.
  2. Right-click on it and select [Import] from the context menu.
  3. When the [Import Setting] dialog box opens, click on [Browse] and specify the path to the file you want to import from the [Folder Selection] dialog box.
  4. If you want to import the groups in a batch, select the group file names to be imported while you press the [Shift] key or [Ctrl] key.
  5. Click on [OK] to import the export files on a per-group basis to the location you specified in Step 1.
    Click on [Cancel] to close the dialog box without importing the scenario definitions.

[Note]

To import an export file on a per-group basis, consider the following:

  • Importing a scenario not using the operation date scheme
    The validity period and schedule settings for the instantiation timing in the scenario start settings are not imported.
    You must newly set the schedule setting and validity period setting.
  • Importing a scenario using the operation date scheme
    A calendar in which working days/non-working days are set in the scenario settings is not imported.
    You need to set the working days/non-working days in the scenario setting again.
  • Each scenario definition in the group to be imported may include a setting(s) that depends on an environment.
    Before you activate and run such scenarios, ensure that you modify and save them to suit the environment into which you will import them.
  • If the group name you are importing already exists, the [Import Group] dialog box will appear. Change the name to a different group name.

[Import Group] dialog box

  • Group Name (required)
    Displays the group name to be imported.
    If you want to change the group name, you can reenter it.

  • Icon File
    When you leave it blank, the default icon that is displayed in the upper left section will be used.
    If you want to change an icon, specify the icon file by clicking on [Browse].

  • Right setting
    Specify an appropriate right setting for the scenario.
    For information on how to specify the right setting, refer to "About user management" in "Perform User Management."

Import scenario definition files and group definition files in a batch

  • You can import both scenario definition files and group definition files at the same time.
    The location to which the scenario definition files and group definition files are imported is under the tree root or the group in the scenario control view you selected to open the [Import Setting] dialog box, and it is displayed in the [Import Setting] dialog box.
    If any names conflict, the import dialog box for scenarios or groups will appear.
    Change the name(s) to a different one(s) to continue the import operation.

When an error occurs during an import process

  • When an error occurs in importing a file, the file will be reset to the status before the import process started.
    A message box to confirm whether you want to continue the import process or not will then appear.

    The import file name is displayed in the part surrounded by a red border.

    Click on [Yes] to continue the import process.
    Click on [No] to abort the import process.
    If you decide to continue the import process, the subsequent files will be imported, starting with the file following the one that caused an error.


Part list

This table explains the parts that consist of a scenario.

Command Executable Parts

Action

This part executes the specified command on the specified host.

Set one of the following as an action:

  • Command

  • Batch file

Scenario action

This part executes, concurrently or sequentially, more than one specified command on more than one specified host.

Set one of the following as an action:

  • Command

  • Batch file

SSC tandem

An SSC tandem part executes the same command on more than one host that is to be provisioned at SSC (Sigma System Center).

SSC tandem parts can be allocated only if an appropriate number of SSC tandem option licenses are purchased.

Provisioning Executable Parts

SSC Web service Relation

SSCWeb service link components are used together with Sigma System Center (SSC) to create virtual machines.

The SSCWeb service link components can be placed only in a vDCAutomation environment.

Inter-scenario Sharable Variable Parts

Global object part

Global object parts enable information to be communicated between scenarios because they are capable of handling variables and enable an exclusive control and synchronization process when executing multiple scenarios.

In provisioning with SSC (SSC tandem), only one scenario should be run while the other scenarios are prevented from being run in some cases. This part then enables the provisioning process to be controlled so that the process may not be run concurrently on more than one Tier.

Inter-scenario Variable Parts

Local object

A local object part updates the value of a local object on a work flow.

Scenario Exec Parts

Scenario Exec

A scenario on the same manager or the specified lower manager can be executed.

Work flow Branch Parts

Conditional branch

A conditional branch part branches a flow based on the results of its anterior part. One part can have 2 or more branches and can set the types of results or a range of results of its anterior part as conditions. The results you can specify depend on the anterior part.

Parallel branch

A parallel branch part is to execute more than one part in parallel. It branches unconditionally.

Process Wait Parts

Screen response

A screen response part waits for a response from users.

Users can select whether to run or stop a part(s) after this part.

Timer waiting

This part waits for time to pass before proceeding with a process.

Message-related Parts

Message transmission

This part transmits messages to other processes.

Message waiting

This part waits to receive messages from other processes.

It waits for messages until it receives a specific message that meets the specified condition.

Event-related Parts

Event transmission

This part transmits events to other processes.

Event waiting

This part waits to receive events from other processes.

It waits for events until it receives a specific event that meets the specified condition.

Anteroposterior Relation Parts

Anterior condition

This part waits for its anterior part to be completed.

Start and End Parts

Start
Scenario not using the operation date scheme
Scenario using the operation date scheme

This part indicates the start of a scenario.

It also configures the scenario start settings.

When a new scenario is created, one start part is created in the scenario.

Users cannot add or remove this part at their own discretion.

End
Scenario not using the operation date scheme
Scenario using the operation date scheme

This part indicates the end of a scenario.

When a new scenario is created, one end part is created in the scenario.

Users cannot add or remove this part at their own discretion.


Action

An action part is the minimum executable unit. The part executes the specified command on the specified host.

You can specify any command provided by OS or batch file for the command.

Setting Items

Execution Results

Setting Items

[Command Setting] tab

  • Target Host (required)

Select a desired host that will run this action.

Select the host on which you want to execute a desired command from the pull-down menu or specify it through the property reference.

If you want to specify a manager to which a desired command will be entered, specify it in the form of "Target Host Name: $Manager$".

  • Command (required)

Specify a desired application to be started, within a maximum of 260 characters, or specify it through the property reference.

Clicking on the [Browse] button enables you to display the [Directory for "Hostname to Be Run"] dialog box and select a desired application file on the host that will run the application. You can use appropriate environment variables for the path name to the command. If the path includes a blank character, you must enclose it within double quotation marks (").

  • Working Directory

Specify a work directory, within a maximum of 260 characters, to run the command. Clicking on the [Browse] button enables you to display the [Directory for "Hostname to Be Run"] dialog box and select a desired directory on the host that will run the application. Alternatively, specify it through the property reference.

You can use appropriate environment variables for the path name to the work directory. If the path includes a blank character, you must enclose it within double quotation marks (").

If you omit specifying a work directory, the following directory will be used for your work directory.

For Windows OS: Windows work directory (%SystemRoot%system32)

  • Option

Specify an argument, with a maximum of 1024 characters, to be used when running the command.

Specify the option directly or specify it through the property reference.

You can use environment variables for the arguments.

[Exit Code Setting] tab

  • Normal Exit Code

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been successfully completed.

  • Warning Exit Code

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been completed with a warning.
When this check box is not selected, the command execution result is not treated as a warning end.

  • Abnormal Exit Code

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been abnormally completed.
When this check box is not selected, the command execution result is not treated as an abnormal end.

How to specify values:

When you specify the return values, use one-byte numeric characters.

If you want to specify more than one value, delimit each value with a one-byte comma.

If you want to specify a range of values, enter a one-byte hyphen between the start and end values of the range.

Examples of specifying values:

-1,2,5,10,90-99

[Note]

  • If all three ranges of completion codes are not specified, any return value will be regarded as an indication that the command has been successfully completed.

  • If you do not specify a normal completion code and a return value or a result from an executed command does not fall within the specified ranges of abnormal and warming completion codes, the return code will be interpreted to indicate that the command has been successfully completed.

  • When the check boxes of both warning end and abnormal end are not selected, all end codes are treated as a normal end.

  • If a result from an executed command does not fall within the ranges of normal, warning, and abnormal completion codes, the status will be regarded as follows:
    If the range of normal completion codes is not defined --- Successful completion
    If it falls outside the range of normal completion codes and if the range of warning completion codes is not defined --- Warning completion
    Otherwise --- Abnormal completion

  • When the specification ranges of the end codes overlap, the following priorities are used for judgment purposes.
    When the end code is specified: Abnormal end -> Warning end -> Normal end
    When the end code is not specified (when it is blank): Normal end -> Warning end -> Abnormal end
    When the end code is specified and the command return value does not match any range: Abnormal end -> Warning end -> Normal end

  • Failed command option (required)

Stop Flow (Default)

Stops the scenario with a result of abnormal completion.

Continue Flow

Specify a desired completion code. If you select [Continue Flow], the scenario will continue to be run even when the command has been abnormally completed.

When you specify a completion code, use one-byte numeric characters.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

§ Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

§ Expected Run Time

Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the specified time range elapses since it started, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

[Note]

  • If you enter a command to an agent that has not been started, the system makes the agent wait 5 minutes before it starts. If the agent starts within the 5 minutes, the specified command is entered to it. If the agent does not start after the 5 minutes have passed, the status changes from Running to Abnormal completion.
  • If you terminate the manager while the command is being executed for the agent, the execution of the command is not aborted. In this case, when you start the manager, the running action is abnormally completed. If you terminate the agent while it is running the command, the execution of the command is not aborted. In this case, the action is also abnormally completed.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Exit Code

Displays the completion code of the command. When the command is abnormally completed and if you selected [Continuous Execution], the completion code you specified is displayed.

[Result] tab

  • Target Host

Displays the host name that ran the command.

  • Command

Displays the command set up in the command definition.

  • Working Directory

Displays the work directory in the command definition.

  • Option

Displays the option set up in the command definition.

  • Start Time

Displays the time and date in the host time when the execution of the command was started.

  • End Time

Displays the time and date in the host time when the execution of the command was ended.

  • Status

Displays the execution result (success or failure) of the command.

  • Results

Displays the completion code of the command.

[Output] tab

Displays the standard output when the command was executed.

[Condition] tab

For more information on how to check the conditions, refer to the "Check the status of instances and parts: Check the status of a condition" section.

  • Condition Tree

Displays the status of whether the start condition for each part is true.

  • Condition Name

Displays the condition name of the selected condition item.

  • Status

Displays the status of the selected condition item.

  • Condition Satisfied Time

Displays the time when the selected condition item became true.

[Note]

  • When a target host of command execution is UNIX such as Linux, HP-UX, Solaris or AIX, the command is run with UTF-8 locale. If the command can't run with UTF-8 locale, please create a shell script like below to set locale and convert a result of the command, and then specify the shell script as a executed command. As command and options cannot directly specify pipe, please make sure to create a shell script.

    [e.g.]
    In the case of executing a command which only supports SJIS locale on HP-UX
    env LANG=ja_JP.SJIS $1 | iconv -f sjis -t utf8

  • Any command is executed with the right of the manager and that of an agent process (with the SYSTEM right in Windows and with the root right in others).

[References]

About the limitation of the number of command execution


Conditional branch

A scenario flow branches into more than one flow based on a condition.

You can set the types or ranges of the results of an anterior part to be used as conditions.

Setting Items

Results used as branch conditions depend on the anterior part. You can set one result among them.

The following figure shows a setting window example.

As the setting values of the branch conditions are 0 and "other," you need to change them if necessary.

If you want to change the default setting(s), double-click on the value(s) on the flow (line). When the [Branch Condition Setting] dialog box opens, change it.

How to specify values:

  • When the attribute of the branch part condition is a "numeric value"

One-byte numeric characters. More than one value can be specified by delimiting each value with a one-byte comma, and a range of values can be specified with a one-byte hyphen.

  • When the attribute of the branch part condition is a "character string"

Any character string. Character strings can be specified in regular expression.

[Note]

If you specify a character string, the string is tested in regular expression as to whether it meets the branch condition. As the branch condition is tested based on partial matching, it is determined that the target character string matches the condition when it includes the character string entered in the [Branch Condition Setting] window.

Examples of specifying values:

  • Numeric values

-1,2,5,10,90-99

  • Character strings

2007/02/26

2007/05/

[Note]

Each column in the property list can display up to 259 characters.
When the character string consists of 260 or more characters, all the characters cannot be listed.


Parallel branch

You can branch a scenario flow into more than one flow. The scenario flow unconditionally branches and executes multiple parts in parallel.

As the parts on the parallel branches are unconditionally processed, you do not have to set the details of each branch process, but you do have to set the completion codes.

The parallel branch operates as follows:

§ Parts are simultaneously executed independently of each branch line.

§ The next part will be executed after all the parts on the branch lines have been completed

Setting Items

[Exit Code Setting] tab

  • Maximum Value (All Components) (default)

Adopts the maximum of completion codes for the parts that are placed on the branch lines as the completion code of the part.

  • Minimum Value (All Components)

Adopts the minimum of completion codes for the parts that are placed on the branch lines as the completion code of the part.

  • Maximum Value (Last components of each branch)

Adopts the maximum of completion codes for the parts that are placed at the end on the branch lines as the completion code of the part.

  • Minimum Value (Last components of each branch)

Adopts the minimum of completion codes for the parts that are placed at the end on the branch lines as the completion code of the part.

  • Latest Component

Adopts the completion code of the anterior part as that of this part.


Window response

Screen response

A work flow waits for a user response before proceeding with the parts after this part.

The user specifies the status of completion and a completion code and clicks on [Submit Response].

When the user response has been submitted, the work flow completes this part and runs the next part.

Setting Items

Execution Results

Setting Items

[Basic Setting] tab

  • Component Name

Displays the part name of this part.

  • Comment

Enter what will be displayed as a comment when an inquiry event is generated (can be left blank).

You can enter a maximum of 64 characters.

[Exit Code Setting] tab

This tab includes required items.

Directly specify a desired completion code or select the completion code of the anterior part. Alternatively, specify that a user should select the code when he responds to a waiting part.

  • Immediate Value

Directly specify a desired completion code.

Default value: 0

  • Latest Component

Adopts the completion code of the anterior part as that of this part.

  • Console Response at Run Time (the default)

When responding to a waiting part, a user will specify a desired completion code directly or select the completion code of the anterior part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

§ Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

§ Expected Run Time

Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the specified time range elapses since it started, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

Response windows

When the [Response] tab opens, enter the necessary items.

The [Status] tab has no fields into which users can enter information when responding to the response part. When the necessity arises, check the items in the tab.

[Response] tab

  • Response Comment

You can enter their comment (it can be left blank).

Default value: Nothing set (or blank)

You can enter a maximum of 64 characters.

  • Status Setting (required)

Specify how this part will be completed.

Normal completion: Specifies that the part will be successfully completed.

Warning completion: Specifies that the part will be completed with a warning.

Abnormal completion: Specifies that the part will be completed abnormally.

Halt: Specifies that the part will be completed abnormally and the instance will be halted.

Default value: Successful completion

  • Exit code Setting (required)

You can select one of the following: You can neither select nor change the completion code when responding to a window response part if you specify it in a scenario definition.

§ Immediate Value (the default when setting information at the time of response)

Enter the completion code value with single-byte numeric characters.

Default value: 0

§ Latest Component

Inherits the completion code of the anterior part. The completion code will be displayed in the right column (and users cannot change it).

Screen Response Result dialog box example

[Status] tab when a user has submitted a response

[Response] tab when a user has submitted a response

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Response

Displays the description of the response.

  • Response Time

Displays the time and date when the response was submitted.

  • Response Status

Displays the completion status that a user specified when submitting a response.

  • Exit Code

Displays the completion code of the part.

  • User

Displays the user name of the user who submitted the response.

  • Host Name

Displays the host name that addressed the response.

[Response] tab

  • Message

Displays the comment that was defined in the [Basic Setting] tab.

  • Response Comment

Displays the comment that was set in [Response Comment] in the [Response] tab.


Timer waiting

This part waits for time to pass before proceeding with a process. You can specify the time when a part should run or the elapsed time since a part started to wait.

The work flow will execute the next part at the specified time or when the specified period has elapsed.

Setting Items

[Timer Setting] tab

This tab includes a required item.

Select either [Specified Time] or [Wait Time].

Time must be specified in the form of "hours:minutes:seconds".

  • Absolute Time (default)

The work flow waits for the specified time before proceeding with a process.

It will execute the next part at the specified time.

Default value: 00:00:00

  • Wait Time

The work flow will wait until the specified time period elapses after this part is executed.

It proceeds with executing the next part when the waiting time has elapsed.

Maximum Value: 23:59:59

[Exit Code Setting] tab

This tab includes a required item.

Directly specify a desired completion code or select the completion code of the anterior part.

  • Immediate Value

Directly specify a desired completion code.

Default value: 0

  • Latest Component (default)

Adopts the completion code of the anterior part as that of this part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59


Message transmission

This part transmits messages to other processes.

Setting Items

Execution Results

Setting Items

[Message Setting] tab

You cannot use a double quotation mark (") in [Select by Position] and [Select by Key]. It can be used, however, in character strings in the message text.

  • Category

Select a desired category for messages from the pull-down menu.

Alternatively, specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any category, messages will be sent with [Unified Management Framework].

  • Severity

Select a severity from the pull-down menu.

It displays severities set up in [Option].

If you do not specify any severity, messages will be sent with "NORMAL."

  • Node

Specify a desired node that will send messages.

Specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any node, messages will be sent with the name of the manager node name.

  • Application

Specify a desired application that will send messages.

Specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any category, messages will be sent with [Unified Management Framework].

  • Object

Specify a desired object that will send messages.

Specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any object, messages will be sent with "System."

  • Message ID

Specify the ID that identifies a message.

Specify a desired character string, within a maximum of 256 characters, or specify it through the property reference.

If you do not specify any message ID, messages will be sent with "00000000."

  • Message Text

Enter the message that you want to send.

Specify a desired character string, within a maximum of 1024 characters, or specify it through the property reference.

[Exit Code Setting] tab

This tab includes a required item.

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

Configuring in a scenario not using the operation date scheme

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

Configuring in a scenario using the operation date scheme

[Monitoring Setting] tab

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

§ Expected Run Time
This item is disabled for scenarios using the operation date scheme.

Configuring in a scenario not using the operation date scheme

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Configuring in a scenario using the operation date scheme

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario, in addition to the start condition.

Execution Results

[Status] tab

  • Status
    Displays the status of the part.     For more information on the status, refer to the mapping table between the completion statuses and the parts.
  • Start Time (Schedule)
    If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.
  • Start Time (Result)
    Displays the time and date when the execution of the part was started.
  • End Time (Result)
    Displays the time and date when the execution of the part was terminated.
  • Exit Code
    Displays the completion code of the part.

[Execution Results] tab

  • Category

Displays the category set up in the message definition.

  • Severity

Displays the severity set up in the message definition.

  • Generated Time

Displays the time and date when the message was sent.

  • Node

Displays the node set up in the message definition.

  • Application

Displays the application set up in the message definition.

  • Object

Displays the object set up in the message definition.

  • Message ID

Displays the message ID set up in the message definition.

  • Message Text

Displays the message text set up in the message definition.

When a scenario not using the operation date scheme was executed

When a scenario using the operation date scheme was executed

[Condition] tab

For more information on how to check the conditions, refer to the "Check the status of instances and parts: Check the status of a condition" section.

  • Condition Tree

Displays the status of whether the start condition for each part is true.

  • Condition Name

Displays the condition name of the selected condition item.

  • Status

Displays the status of the selected condition item.

  • Condition Satisfied Time

Displays the time when the selected condition item became true.


Message waiting

This part waits to receive messages from other processes.

A work flow waits to receive a specific message that meets the specified condition and proceeds with the next part once it has received it.

If any conditions have not been specified, the work flow waits to receive any messages and proceeds with the next part once it has received one.

[Important]

This product issues messages with specific timing.

If you set a condition that messages issued by the product may meet in a filter definition, it is likely that messages from the product may be received prior to those expected. Set up an appropriate filter definition so that you do not receive unnecessary messages.

For more information on this subject, refer to the "About the filter definition" section.

Setting Items

[Filter Setting] tab

Define a process for filtering messages.

If you omit specifying a condition(s), the condition(s) will not be used.

If you omit all the conditions, all messages will be received.

When you have checked the box to the right of [Not] for a condition, messages that do not meet the condition will be received.

Only the messages that meet all the conditions specified here can be received.

You cannot use a double quotation mark (") in [Select by Position] and [Select by Key].

  • Category

Select a desired category for messages from the pull-down menu.

Alternatively, specify a filter condition for the categories in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Node

Specify a filter condition for the nodes that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Application

Specify a filter condition for the applications that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Object

Specify a filter condition for the objects that send messages in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Message ID

Specify a filter condition for the message IDs in regular expression format, within a maximum of 256 characters, or specify it through the property reference.

  • Message Text

Specify a filter condition for the messages (message text) to be received in regular expression format, within a maximum of 1024 characters, or specify it through the property reference.

  • Select by Position

Specify a maximum of eight conditions for search operations through selecting positions in a message text.

If you specify more than one position, messages that will meet all the specified position conditions will be received.

§ Position

Specify a position in characters in a message text, in the range of 1 to 1024, so that the character at the position may be compared.

§ Condition

Specify a desired comparison condition.

The following shows the available comparison condition operators:

§ Value

Specify a desired value that will be compared, within a maximum of 64 characters. The Value cannot be specified in regular expression format.

Condition example:

If you want to extract messages that have an occurrence of "Abnormal" at the 10th position in their message text, specify the items as follows:

Position: 10

Condition: =

Value: Abnormal

  • Select by Key

Specify a maximum of eight conditions for search operations through selecting keys in a message text.

If you specify more than one key, messages that will meet all the specified key conditions will be received.

§ Key

Specify a key in a log, within a maximum of 64 characters.

§ Condition

Specify a desired comparison condition.

The following shows the available comparison condition operators:

If you specify "=," a regular expression will apply to the Value.

If you specify a condition other than "=," a string specified in [Value] will be compared on a binary basis.

§ Value

Enter a value that will be used for comparison. If you specify "=" for [Condition], specify a Value in regular expression.

Condition example:

Suppose you have a log that includes a string of "error_number = 5" and the part "5" is variable. If you want to extract logs that include "error_number" = 4, you specify the items as follows:

Key: error_number

Condition: =

Value: 4

  • Severity

Select a severity from the pull-down menu.

It displays severities set up in [Option].

[Exit Code Setting] tab

This tab includes a required item.

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

§ Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

§ Expected Run Time

Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the specified time range elapses since it started, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

  • Timeout

If the process of this part has not been completed when the specified time period has elapsed since it started its process, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.

Specify a timeout period in the range of 0-86400 seconds (a maximum of 24 hours). If you enter 0 (zero), the timeout process will be disabled.

Default value: 0

[Note]

You can run both an end time monitoring process and a timeout process at the same time. If the specified timeout period is shorter than the specified expected execution duration, the timeout process will be executed earlier than the end time monitoring process. In this case, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.


Event transmission

The part sends events only within scenario control.

Setting Items

Execution Results

Setting Items

[Event Setting] tab

This tab sets the definitions for events to be sent.

  • Event Name

Specify a desired event name to be sent, within a maximum of 64 characters, or specify it through the property reference.

  • Event Sending Unit

Unit
Sends an appropriate event to only the oldest event condition (part) among those with the same event name inserted in the event waiting queue.
All
Sends an appropriate event to all the event conditions (parts) with the same event name inserted in the event waiting queue.

[Exit Code Setting] tab

This tab includes required items.

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

  • Action when event sending timeout.

Stop Flow (Default)
If the completion condition is not defined in a scenario using the operation date scheme, the part will be regarded as completed successfully and the posterior part will not be executed.
If the condition is defined, the scenario will be in the status of the completion condition that became true.

Continue Flow
Specify a esired completion code. If you select [Continuous Execution] in a scenario using the operation date scheme,
the work flow will resume executing the posterior part.
When you specify the values, use one-byte numeric characters.

Configuring in a scenario not using the operation date scheme

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 00:00:00; Maximum value: 23:59:59 (999:59:59 for scenarios using the operation date scheme)

§ Relative Time
If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 00:00:00; Maximum value: 23:59:59

  • Monitoring the end time

If you want to monitor the end time of execution of a part, check the box.
As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59 (999:59:59 for scenarios using the operation date scheme)

§ Relative Time (disabled for scenarios using the operation date scheme)
If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59

§ Expected Run Time (disabled for scenarios using the operation date scheme)

Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the

specified time range elapses since it started, the status of the part will be changed to [Running (Delayed End)].

Default value: 00:00:00; Maximum value: 23:59:59

  • Confirm Event Receiving

If you check [Confirm Event Receiving], the part will wait until it receives an acknowledgment for an event it sent.

    • Timeout
      Specify a timeout period in the range of 0-86400 seconds (a maximum of 24 hours).
      Default value: 0

The part will time out if it does not receive a receipt acknowledgement during the specified time period.
If you enter a value of 0, this part will wait for an event receipt acknowledgement forever.

[Note]

You can run both an end time monitoring process and a timeout process at the same time. If the specified timeout period is shorter than the specified expected execution duration, the timeout process will be executed earlier than the end time monitoring process. In this case, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.

Scenarios using the operation date scheme

[Monitoring Setting] tab

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

§ Expected Run Time
This item is disabled for scenarios using the operation date scheme.

  • Event receipt acknowledgement

Check this if you want to acknowledge the receipt of an event.

§ Timeout
Specify a timeout period in the range of 0-86400 seconds (a maximum of 24 hours). If you enter a value of 0, this part will wait for an event receipt acknowledgement forever.
Default value: 0

[Note]

Even when a part times out, it is regarded as completed successfully. The next part will take actions as defined when the event transmission times out.

Configuring in a scenario not using the operation date scheme

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Configuring in a scenario using the operation date scheme

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario, in addition to the start condition.

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Exit Code

Displays the completion code of the part.

[Results] tab

  • Event Name

Displays the event name of the transmitted event.

  • Status

Displays the severity set up in the message definition.

  • Sent Time

Displays the time and date when the event was sent.

When a scenario not using the operation date scheme was executed

When a scenario using the operation date scheme was executed

[Condition] tab

For more information on how to check the conditions, refer to the "Check the status of instances and parts: Check the status of a condition" section.

  • Condition Tree

Displays the status of whether the start condition for each part is true.

  • Condition Name

Displays the condition name of the selected condition item.

  • Status

Displays the status of the selected condition item.

  • Time when the condition became true

Displays the time when the selected condition item became true.


Event waiting

This part waits to receive events from other processes.

A work flow waits to receive a specific event that meets the specified condition and proceeds with the next part once it has received the one.

Setting Items

Execution Results

Setting Items

[Event Wait Setting] tab

This tab sets the definitions for events that will be awaited.

  • Event Name

Specify a desired event name for which the part waits, within a maximum of 64 characters, or specify it through the property reference.

[Exit Code Setting] tab

This tab includes a required item.

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
Default value: 00:00:00; Maximum value: 23:59:59

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 00:00:00; Maximum value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Direct Specification (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59

§ Relative to the start time of a flow
If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 00:00:00; Maximum value: 23:59:59

§ Expected Run Time
Specify an expected duration from the time when the process of this part starts to the time when it ends.

  • Timeout

If the process of this part has not been completed when the specified time period has elapsed since it started its process, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.
Specify a timeout period in the range of 0-86400 seconds (a maximum of 24 hours). If you enter a value of 0, this part will wait to receive an appropriate event forever.
Default value: 0

[Note]

You can run both an end time monitoring process and a timeout process at the same time. If the specified timeout period is shorter than the specified expected execution duration, the timeout process will be executed earlier than the end time monitoring process. In this case, the status of the part will be changed to [Abnormal Completion] and the next part will not be executed.

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Exit Code

Displays the completion code of the part.

[Results] tab

  • Event

Displays the event name of the received event.

  • Issuing Host

Displays the host name that issued the received event.

  • Issuing User

Displays the user name that issued the received event.

  • Transmission Time

Displays the time when the received event was sent.

  • Reception Time

Displays the time when the event was received.


Global object

A global object part updates the value of a global object on a work flow.

Setting Items

Execution Results

Setting Items

[Global Object Setting] tab

  • Variable Name

Displays the variable name of the global object you select with [Browse].

  • Attribute

Displays the attribute of the global object you select with [Browse].

  • Explanation

Displays the explanation of the global object you select with [Browse].

  • Designated Value (default)

Enter a desired updating value.
If you enter a whole number, enter it in the range of -2147483648 to 2147483647.
If you enter a character string, specify it within a maximum of 1024 characters.
You can specify an appropriate property reference value(s). If you specify the property reference value(s), you can specify a character string, within a maximum of 1024 characters, in addition to the value(s).
If the Attribute is a character string, you can specify more than one property reference value.
If the Attribute is a numeric value, the attribute of a property specified in the property reference value must be a whole number.

  • Increment

This is enabled only when the attribute of the global object you select with [Browse] is a whole number.

  • Decrement

This is enabled only when the attribute of the global object you selected with [Browse] is a whole number.

[Exit Code Setting] tab

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

Configuring in a scenario not using the operation date scheme

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Configuring in a scenario using the operation date scheme

[Monitoring Setting] tab

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the start time)
If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
Only [Absolute Time] is enabled.

§ Absolute Time (default setting when monitoring the end time)
If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
Default value: 000:00:00; Maximum value: 999:59:59

§ Relative Time
This item is disabled for scenarios using the operation date scheme.

§ Expected Run Time
This item is disabled for scenarios using the operation date scheme.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario in addition to the start condition.

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Exit Code

Displays the completion code of the part.

[Result] tab

  • Variable Name

Displays the variable name specified in the global object definition.

  • Attribute

Displays the attribute of the variable specified in the global object definition.

  • Explanation

Displays the explanation of the variable specified in the global object definition.

  • Before Setting

Displays the value of the variable before it was updated.

  • Set Value

Displays the current setting value of the variable.

When a scenario not using the operation date scheme was executed

When a scenario using the operation date scheme was executed

[Condition] tab

For more information on how to check the conditions, refer to the "Check the status of instances and parts: Check the status of a condition" section.

  • Condition Tree

Displays the status of whether the start condition for each part is true.

  • Condition Name

Displays the condition name of the selected condition item.

  • Status

Displays the status of the selected condition item.

  • Condition Satisfied Time

Displays the time when the selected condition item became true.


Local object

A local object part updates the value of a local object on a work flow.

Setting Items

Execution Results

Setting Items

[Local Object Setting] tab

  • Variable Name

Displays the variable name of the local object you select with [Browse].

  • Attribute

Displays the attribute of the local object you select with [Browse].

  • Explanation

Displays the explanation of the local object you select with [Browse].

  • Designated Value (default)

Enter a desired updating value.
If you enter a whole number, enter it in the range of -2147483648 to 2147483647.
If you enter a character string, specify it within a maximum of 1024 characters.
You can specify an appropriate property reference value(s). If you specify the property reference value(s), you can specify a character string, within a maximum of 1024 characters, in addition to the value(s).
If the Attribute is a character string, you can specify more than one property reference value.
If the Attribute is a numeric value, the attribute of a property specified in the property reference value must be a whole number.

  • Increment

This is enabled only when the attribute of the local object you select with [Browse] is a whole number.

  • Decrement

This is enabled only when the attribute of the local object you selected with [Browse] is a whole number.

[Exit Code Setting] tab

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component (default)

Adopts the completion code of the previous part as that of this part.

Configuring in a scenario not using the operation date scheme

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring
    If you want to monitor the start time of execution of a part, check the box.
    You can specify the start time directly or as the time relative to the start of a work flow.

    • Absolute Time (default setting when monitoring the start time)
      If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
      If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.
      Default value: 00:00:00

    • Relative Time
      If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
      Maximum Value: 23:59:59

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Configuring in a scenario using the operation date scheme

[Monitoring Setting] tab

  • Start Time Monitoring
    If you want to monitor the start time of execution of a part, check the box.
    Only [Absolute Time] is enabled.

    • Absolute Time (default setting when monitoring the start time)
      If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
      Default value: 000:00:00; Maximum value: 999:59:59

    • Relative Time
      This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring
    If you want to monitor the end time of execution of a part, check the box.
    Only [Absolute Time] is enabled.

    • Absolute Time (default setting when monitoring the end time)
      If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
      Default value: 000:00:00; Maximum value: 999:59:59

    • Relative Time
      This item is disabled for scenarios using the operation date scheme.

    • Expected Run Time
      This item is disabled for scenarios using the operation date scheme.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario in addition to the start condition.

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Exit Code

Displays the completion code of the part.

[Result] tab

  • Variable Name

Displays the variable name specified in the local object definition.

  • Attribute

Displays the attribute of the variable specified in the local object definition.

  • Explanation

Displays the explanation of the variable specified in the local object definition.

  • Before Setting

Displays the value of the variable before it was updated.

  • Set Value

Displays the current setting value of the variable.

  • File Select

Displays the file that is used for the input and the result of file processing when [File] was selected for the value specification.

    • File Path

Displays a file name.

    • Result Detail

Displays a result of file operation.

Value that viewed a property (R_RESULT_DETAIL) | Display
0 | Normal end
1 | File not exist
2 | File cannot be open
3 | File size exceeded the maximum
4 | There is an error in value specifying

When a scenario not using the operation date scheme was executed

When a scenario using the operation date scheme was executed

[Condition] tab

For more information on how to check the conditions, refer to the "Check the status of instances and parts: Check the status of a condition" section.

  • Condition Tree

Displays the status of whether the start condition for each part is true.

  • Condition Name

Displays the condition name of the selected condition item.

  • Status

Displays the status of the selected condition item.

  • Condition Satisfied Time

Displays the time when the selected condition item became true.


Scenario Exec

Scenarios defined on the same manager are executed by a scenario execution component.

If managers are structured hierarchically, scenarios defined on a lower manager can also be executed.

Setting Items

Execution Results

Setting Items

[Execute Setting] tab

  • Manager Name(required)
    Specify the name of the manager where the scenario to be executed exists by using up to 64 characters.
    $MANAGER$ indicates that the manager is this computer.
    When entering directly, if a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.
    Property references can be used.

  • ScenarioName(required)
    Specify the absolute path or relative path of the scenario to be executed by using up to 1,024 characters.
    "&", "$", "!" and line feed codes cannot be used.
    When entering directly, if a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.
    Property references can be used.

    • Absolute path
      Specify the path from directly under [Scenario View], starting with "%".
      Use "%" as a delimiter.

      Example:
      %Group1%Group2%Scenario1

    • Relative path
      Specify the path of the scenario where the scenario execution component is placed, starting with ".%" or "..%".
      ".%" indicates the current layer, and "..%" indicates the one layer above the current layer.
      If ".%" or "..%" is omitted, the starting point of the path is the current layer, in the same way as when starting with ".%".
      To specify a scenario multiple layers above, repeat "..%" (such as "..%..%", etc.).

      Example:
      ..%..%Group1%Scenario1

      [Notes]

      • A scenario name or group name containing only periods (".") cannot be specified.
        For example, the scenario names shown below, which contain "." or "..", cannot be specified.
        .%Group1%Group1%.
        .%Group1%Group1%..

      • ".%" and "..%" cannot be used at the same time.

      • When the lower manager is specified as the target manager, the starting point of the path is [Scenario View] on the lower manager.

      • ".% and "..%" can be used only at the beginning of a path.
        For example, ".%" cannot be used in the middle of a path, as shown below.
        .%Group1%.%Group2%Scenario1

  • Comment
    Specify a comment describing the scenario to be executed by using up to 256 characters.
    The entered comment is displayed in the [Instance List] dialog box of the executed scenario.
    Line feed codes cannot be used.
    Property references can be used.

  • Local Object Setting
    Specify the local object value of the target scenario when it is executed.

    • [Add]
      Displays the [Local Object Setting] dialog box.
      Enter the variable name and specification value in the [Local Object Setting] dialog box, and click the [OK] button to add the settings.

    • [Update]
      Displays the [Local Object Setting] dialog box.
      Enter the specification value in the [Local Object Setting] dialog box, and click the [OK] button to update the selected settings.

    • [Delete]
      Deletes the selected settings.
      Multiple settings can be selected and deleted at the same time.

    • Variable Name(required)
      Specify the local object variable name by using up to 64 characters.
      Specify the same variable name as the local object defined for the scenario to be executed.
      If the specified variable name does not exist, it will be ignored.
      "&", "%", "$", "!", "=" and line feed codes cannot be used.
      When entering directly, if a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.
      Property references can be used.

    • Desigmated Value
      Specify the value of a local object by using an arbitrary character string up to 65535 characters.
      When entering directly, if a single-byte space, double-byte space, or tab exists at the beginning or the end, it is removed.
      Property references can be used.

      [Notes]

      • If a character string which cannot be converted into an integer value is specified for a local object whose attribute is integer, the component ends abnormally when the scenario execution component is executed.

[Notes]

  • The maximum number of local objects that can be set is 1,000.

  • Multiple local objects with the same name cannot be specified.
    Variable names when the scenario execution component is executed by using a property reference might be the same. In this case, value of the last variable in the order of UNICODE character encoding (alphabetical order) is used for the variable name when it is defined.

  • Each column in the [Execute Setting] tab can display up to 259 characters.
    When the character string consists of 260 or more characters, all the characters cannot be listed.

[Exit Code Setting] tab

  • Action when failed

    • Stop Flow(default)
      Stops the scenario and ends the processing with an error.

    • Continue Flow
      Specify the termination code.
      If [Continue Flow] is selected, scenario execution continues even if an error occurs.
      Specify a numeric value.

[Monitoring Setting] tab

This tab is used to set the monitoring of the delayed start and end of a part.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

  • Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

  • Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

  • Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

  • Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

  • Expected Run Time

Specify an expected duration from the time when a command is entered to the time when it has been completed. If the process of this part has not been completed when the specified period of time has elapsed since the command was entered, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

[Notes]

  • If the target scenario of the scenario execution component is deleted, renamed or moved after the scenario definition was saved, the scenario execution component ends abnormally because the target scenario cannot be found.

  • When executing a scenario by placing a scenario execution component in the target scenario, it becomes a nested execution.
    The maximum number of nested executions that can be handled by one manager is 100.
    If the number of nested scenario executions exceeds 100, the scenario execution component ends abnormally.

  • If the target scenario is forcibly stopped during the execution of the scenario execution component, the status of the scenario execution component becomes "Abnormal end".

  • If the scenario execution component is forcibly stopped, the instance of the target scenario is forcibly stopped.
    In this case, the scenario execution component is immediately terminated, and does not wait for the target instance to be forcibly stopped.

  • When continuing execution from a scenario execution component that caused an error, the operation differs depending on the status of the target scenario.

Status of executed scenario | Operation when continuing execution
Executing | The scenario execution component enters the"Executing" state.
Normal End | The scenario execution component ends normally.
Other than the above | The scenario execution component enters the “Executing” state and the execution target scenario is executed again.

[Notes when executing a scenario from an upper manager on a lower manager]

  • A scenario from a lower manager cannot be executed on an upper manager.

  • If a scenario is executed on a disconnected lower manager, the system waits 5 minutes for the lower manager to be connected before executing the scenario.
    The scenario will be executed if the lower manager is connected within 5 minutes.
    If the lower manager is not connected within 5 minutes, the status of the scenario execution component changes from "Executing" to "Abnormal end".

  • If the connection between the executing manager and the lower manager is disconnected while the scenario is being executed on the lower manager, the system will wait 5 minutes and then the scenario execution component will end abnormally.
    If the lower manager is connected again within 5 minutes, the processing continues.
    If the target scenario has already finished executing when the lower manager is connected again, the scenario execution component ends.

Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Exit Code

Displays the completion code of the command. When the command is abnormally completed and if you selected [Continue Flow], the completion code you specified is displayed.

[Execute Setting] tab

  • Manager Name
    Displays the target manager name specified when the scenario was defined.

  • Scenario Name
    Displays the scenario name specified when the scenario was defined.

  • Comment
    Displays the comment specified when the scenario was defined.

  • LocalObject Setting
    Displays the local object variable name and specification value specified when the scenario was defined.
    Up to 259 characters can be displayed as the specification value.
    The specification value is displayed after removing line feed codes.

Select the item of the local object settings and double-click it to display the [Local Object Reference Detail] dialog box.

[Execute Result] tab

  • Instance DateTime
    Displays the instance starting date and time of the target scenario.

  • Instance ID
    Displays the instance ID of the target scenario.

  • Result Detail
    Displays the execution results of the target scenario.

Value referenced from a property (R_RESULT_DETAIL)

Display

Description

0

Normal end

Target scenario ended normally.

1

Abnormal end

Target scenario ended abnormally.

100

Flow is not enabled

Target scenario is disabled.

Enable the target scenario, and then execute it again.

101

No authority

The authority to execute the target scenario has not been not granted.

The target scenario must be executed by a user who has the correct authority.

102

Flow not exist

The target scenario does not exist.

103

Could not execute flow

The target scenario is not a scenario that can be executed from a scenario execution component.

Scenario execution component can execute a manually-executed scenario which does not use a job date.

104

Out of range duration

The target scenario does not fall within the valid period.

Execute a scenario that falls within the valid period.

105

Connection time out

The connection with the target manager has timed out.

Check the connection status of the target manager.

107

Executing instance is force ended

The instance of the target scenario was forcibly stopped.

108

Could not execute instance

The target scenario cannot be executed.

If the number of simultaneous executions for the target scenario is limited, check that the number does not exceed the upper limit when the scenario is executed.

Also, check that the specified local object value matches the local object attribute of the target scenario.

109

Tier execution maximum over

The target scenario was not able to be executed due to the limited number of nested executions.

Check whether more scenario execution components than the upper limit of nested executions (100) are being used.

[Note]

  • Since the workflow completes even if the target scenario ends with a warning, the execution result of the scenario execution component is "Normal end".

  • Local Object
    Displays the local object of the target scenario when it ended.
    Up to 259 characters can be displayed as the set value.
    The set value is displayed after removing line feed codes.

    Select the item of the local object settings and double-click it to display the [Local Object Reference Detail] dialog box.

Condition Setting] tab

For more information on how to set the conditions, refer to the "Check the status of scenarios, instances, and parts" section.


Scenario action

A scenario action part can execute more than one command concurrently or sequentially for more than one host.

You can specify any command provided by OS or batch file for the command.

Setting Items

Execution Results

Setting Items

[Action Setting] tab

  • Action List

Displays a list of the defined actions. This list displays the following information:
Target Host, Command, Work Directory, and Option

  • Add

Displays the command definition dialog box to add a new action to the Action List.

The target host is different from that in the [Command Setting] tab for the action parts.

    • Target Host (required)

Select the host on which you want to execute a desired command from the pull-down menu or specify it through the property reference.
If you want to specify a manager to which a desired command will be entered, specify it in the form of "Target Host Name: $Manager$".
Directly specify a list of hosts that will run a command by delimiting them with a comma, or specify them through the property reference.

    • Update

Displays the command definition dialog box to edit an action in the Action List.

    • Delete

Deletes an action in the Action List.

    • Up

Moves to the next action above the current one in the Action List.

    • Down

Moves to the next action below the current one in the Action List.

    • Execution Mode (required)

Select whether you want to manually or automatically execute a defined action. [Automatic Execution] is initially selected.

    • Comment

Describe what will be displayed when an action is manually executed. [Automatic Execution] is initially selected.

    • Execution Method (required)

Specify the process mode in which commands will be executed. [Parallel Process] is initially selected.
Parallel processing (the following figure illustrates the overview of parallel processing)

Sequential processing (the following figure illustrates the overview of sequential processing)

Per Host
This item is enabled when you select [Sequential Process], and if you check it, commands will be sequentially executed on a per-host basis.
Run All Commands
This item is enabled when you select [Sequential Process], and if you check it, all the defined commands will be issued in a way that every defined command will be executed, even when its previous command encounters an error.
If it is not checked, no subsequent commands will be issued when an error occurs.

[Note]

Each column in the action list can display up to 259 characters.
When the character string consists of 260 or more characters, all the characters cannot be listed.

[Exit Code Setting] tab

  • Maximum Value (default)

Adopts the maximum of results (return values) from the issued commands on all the hosts to which they were entered as the completion code of the scenario action.

  • Minimum Value

Adopts the minimum of results (return values) from the issued commands on all the hosts to which they were entered as the completion code of the scenario action.

  • Immediate Value

Directly specify a desired completion code.

  • Latest Component

Adopts the completion code of the previous part as that of this part.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.
Only [Absolute Time] is enabled.

  • Absolute Time (default setting when monitoring the start time)
    If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].
    Default value: 000:00:00; Maximum value: 999:59:59

  • Relative Time
    This item is disabled for scenarios using the operation date scheme.

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.
Only [Absolute Time] is enabled.

  • Absolute Time (default setting when monitoring the end time)
    If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].
    Default value: 000:00:00; Maximum value: 999:59:59

  • Relative Time
    This item is disabled for scenarios using the operation date scheme.

  • Expected Run Time
    This item is disabled for scenarios using the operation date scheme.

[Note]

  • If you enter a command to an agent that has not been started, the system makes the agent wait 5 minutes before it starts. If the agent starts within the 5 minutes, the specified command is entered to it. If the agent does not start after the 5 minutes have passed, the status changes from Running to Abnormal Completion.
  • If you terminate the manager while the command is being executed for the agent, the execution of the command is not aborted. In this case, when you start the manager, the running action is abnormally completed. If you terminate the agent while it is running the command, the execution of the command is not aborted. In this case, the action is also abnormally completed.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

For a scenario using the operation date scheme, you can set conditions for normal and abnormal completions of the scenario in addition to the start condition.

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Exit Code

Displays the completion code of the command. When the command is abnormally completed and you selected [Continuous Execution], the completion code you specified is displayed.

[Execute Action] tab

  • Comment

Displays the command set up in the action definition.

  • Action List

Displays a list of the actions to be executed.

  • Execute

If [Execution Type] in the [Action Definition] tab is set to [Manual Execution], this button is enabled when you are prompted to confirm your operation.

[Note]

Each column in the action list can display up to 259 characters.
When the character string consists of 260 or more characters, all the characters cannot be listed.

[Result Detail] tab

The result view of executed actions displays the following information on a per-host and per-command basis.

  • Command List

The following information is displayed by the execution unit for commands (on a per-host and a per-command basis).

If the Processing Type is Parallel Process, the execution results are displayed in the order of the definition, host, and command.

If the Processing Type is Sequential Process, the execution results are displayed in the order in which the commands were executed.

    • Status

Displays the execution result (ready, running, success, or failure) of each command.

    • Target Host

Displays the host name that ran each command.

    • Command

Displays each command set up in the command definition.

    • Working Directory

Displays each work directory set up in the command definition.

    • Option

Displays each option set up in the command definition.

    • Start Time

Displays the time when the agent started executing each command.

    • End Time

Displays the time when the agent completed the execution of each command.

  • Command Output

Displays the standard output when a command was executed.

Displays the standard output from the selected command in the Command List.

[Note]

Each column in the action list can display up to 259 characters.
When the character string consists of 260 or more characters, all the characters cannot be listed.

[Condition] tab

For more information on how to check the conditions, refer to the "Check the status of instances and parts: Check the status of a condition" section.

  • Condition Tree

Displays the status of whether the start condition for each part is true.

  • Condition Name

Displays the condition name of the selected condition item.

  • Status

Displays the status of the selected condition item.

  • Condition Satisfied Time

Displays the time when the selected condition item became true.

[Note]

  • When a target host of command execution is UNIX such as Linux, HP-UX, Solaris or AIX, the command is run with UTF-8 locale. If the command can't run with UTF-8 locale, please create a shell script like below to set locale and convert a result of the command, and then specify the shell script as a executed command. As command and options cannot directly specify pipe, please make sure to create a shell script.

    [e.g.]
    In the case of executing a command which only supports SJIS locale on HP-UX
    env LANG=ja_JP.SJIS $1 | iconv -f sjis -t utf8

  • Any command is executed with the right of the manager and that of an agent process (with the SYSTEM right in Windows and with the root right in others).


SSC Web service Relation

SSCWeb service link components are used together with Sigma System Center (SSC) to create virtual machines.

The SSCWeb service link components can be placed only in a vDCAutomation environment.

Setting Items

Execution Results

Setting Items

[Request Setting]tab

  • RequestType
    Default value: CreateVM
    Select the type of request to be sent to SSC from the displayed types.

  • Request(required)
    Default value: Not set
    pecify a local object where a request to SSC is stored.

  • Result detail output to a file
    Default value: Not checked
    If the box is checked, the result details for a request to SSC are output to a file.
    Check the box to use the result details with other applications.
    The file is stored in the following directory. The name of the output file is automatically specified.

    WindowsManager:
    <InstallPath>\Manager\tmp\
    UNIX(HP-UX, Linux)Manager:
    <InstallPath>\Manager\tmp\

    The file path of the output file can be obtained in the property reference (STR_R_RESULT_DETAIL_OUTPUT_FILE_NAME) of the SSCWeb service link components.

[Exit Code Setting]tab

  • Failed option

  • Stop Flow (Default

Stops the scenario with a result of abnormal completion.

  • ontinue Flow

Specify a desired Exit code. If you select [Continue Flow], the scenario will continue to be run even when the command has been abnormally completed.

When you specify the values, use one-byte numeric characters.

[Monitoring Setting]tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

  • Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

  • Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

  • Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

  • Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

  • Expected Run Time

Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the specified time range elapses since it started, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

[Note]

  • If the manager is stopped while a request to SSC is being processed, the request to SSC will not be cancelled. In this case, the active component ends abnormally when the manager is started.

[Condition Setting]tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Execution Results

[Status]tab

  • Status

Displays the status of the component. For details, see the termination status - component correspondence table.

  • Start Time (Schedule)

When the start time monitoring is specified in the monitoring definition, the date and time to start the component is displayed.

  • End Time (Schedule)

When the end time monitoring is specified in the monitoring definition, the date and time to end the component is displayed.

  • Start Time (Result)

The date and time when the execution of the component started is displayed.

  • End Time (Result)

The date and time when the execution of the component ended is displayed.

  • Exit Code

The exit code of the SSCWeb service link component is displayed. When "Continue the operation" is selected on an abnormal end, the specified exit code is displayed.
Exit codes of SSCWeb service link components are shown below.

Termination code | Description
0 | Normal end
1 | Parameter error
2 | Communicating with SSC failed.
Others | HTTP status code from SSC

[Result]tab

  • Request Type

The request type specified when the component was defined is displayed.

  • Response

The request result from SSC is displayed.

[Result Detail]tab

  • Detaol list

The request result from SSC is displayed after dividing the results into the key and value.

[Note]

Each column can display up to 259 characters.
When the key or value consists of 260 or more characters, all the characters cannot be listed.

[Condition]tab

For more information on how to check the conditions, refer to the "Check the status of instances and parts: Check the status of a condition" section.

  • Condition Tree

    • Displays the status of whether the start condition for each part is true.

  • Condition Name

    • Displays the condition name of the selected condition item.

  • Status

    • Displays the status of the selected condition item.

  • Condition Satisfied Time

    • Displays the time when the selected condition item became true.


Refer to definition of scenario of effective state

This operation should be executed after shifting into the Configuration mode.

Refer to a definition of a scenario of effective state.

Select [Refer Definitions] from the right click menu to open a definition reference view when target scenario is effective state.

In the case of definition reference view, it is displayed as [Read-only] in the title of the view.

It isn't possible to do arrangement of a part and setting on the definition reference view.

[Note]

  • Even if a definition of a scenario is updated, it isn't reflected to a definition reference view.
    When a definition reference view is opened again, it's reflected.


Refer to destination definition of the scenario exe part

Refer to a definition of an destination scenario of a scenario exec part at the time of definition edit of a scenario.

To refer to a definition of destination scenario, select [Target flow] and then [Refer to definition] from the right click menu of the scenario exec part

When an destination scenario is a lower manager, a lower manager name is displayed to the title of the definition reference view.

When an execution destination manager can't specify, the following view is displayed.

(When a manager name is specified by a property reference)

  • Manager Name
    Specify the name of the manager where the scenario to be executed exists by using up to 64 characters.

[Note]

  • Even if a definition of a scenario is updated, it isn't reflected to a definition reference view.
    When a definition reference view is opened again, it's reflected.

  • In case of a lower manager, display a default icon to a title bar.


Activate a scenario

Before you can run a scenario, you must activate the scenario. You cannot run a scenario unless it is activated.

[Note]

You cannot define the scenarios that are active.

You cannot activate scenarios for which the definitions are being edited.

[Important]

When you attempt to activate a scenario that is being edited, a dialog box will open to confirm whether you want to save it.

Select [Yes] to save and activate the scenario.

Select [No] to activate the scenario without saving it.

Select [Cancel] to return to the [Scenario Definition] view.

When you attempt to activate a scenario using the operation date scheme without setting working days/non-working days, the following message will appear.

Enable a scenario definition

To enable a scenario definition, select the scenario you want to enable, right-click on it, and select [Enable] from the context menu for the scenario control view in the left section of the window.

(If the scenario definition has already been enabled, a check mark is attached to the left of the context menu item.)

[Reference]

Context menu in the Configuration Mode

Context menu in the Normal Mode


Run a scenario

To run a scenario not using the operation date scheme, the following methods are provided:

Manual Submit

This immediately generates an instance of a scenario.

Before you can run a manual submit operation, you must enable the scenario definition. When the scenario definition is not enabled, you cannot manually submit it.

If a validity period is set, a manual submit operation can be performed within the period.

Planned Submit

This generates an instance of a scenario on the specified time and date.

Before you can run a planned submit operation, you must enable the scenario definition. When the scenario definition is not enabled, you cannot submit it based on a plan.

If a validity period is set, a planned submit operation can be performed within the period.

Time Trigger

This generates an instance of a scenario on the scheduled time and date if the scenario definition is enabled.

When it is not enabled, the instance will not be generated.

The schedule setting is required.

Message Trigger

This generates an instance of a scenario when a specific message that meets the conditions specified in a filter definition is received.

The scenario definition must be enabled when receiving messages. When the scenario definition is not enabled, messages cannot be received.

If a validity period is set, an instance of a scenario will be generated following the reception of a specific message that meets the filter conditions within the period, and the scenario will be executed.

To actually run a scenario, you must configure the scenario start settings and enable the scenario definition.

To run a scenario using the operation date scheme, the following method is provided:

Operation Date Change

This immediately generates an instance of a scenario.
Before you can change the operation date, you must enable the scenario definition. When the scenario definition is not enabled, you cannot change the operation date.

To actually run a scenario, you must configure the scenario start settings and enable the scenario definition.


Submit a scenario manually

Users can run scenarios manually.

To submit a scenario manually, follow these steps:

  1. Before you can submit a scenario manually, you must enable the scenario definition.
  2. From the tree view in the left section of the window, right-click on the scenario you want to submit manually and select [Manual Submit] from the context menu.

  3. The [Manual Submit] dialog box opens.

  4. Enter a comment or check [Open Tracker Window] if necessary.
    • Comment

Displayed in the comment column of the instance list. You should enter your comment, for example, when you want to distinguish between instances (it can be left blank). You can enter any comment, within a maximum of 256 characters.

    • Tracker Window

If you check this, the flow tab in the instance monitoring view will open immediately after you have submitted a scenario manually, which enables you to watch how the scenario is running.

  5. Click on [Local Object Setting] to open [Local Object Setting] dialog box.

  6. Click on [OK] to submit the scenario manually and close the [Manual Submit] dialog box.
    Click on [Cancel] to close the [Manual Submit] dialog box without submitting the scenario manually.

[Note]

The manual submit operation can be performed in either the Normal Mode or the Configuration Mode. Note that the context menu that will be displayed by a right-click operation will appear differently depending on the operation mode.
You cannot run a scenario (or cannot activate it) while it is being edited.


Submit a scenario based on a plan

You can run a scenario at a planned time.

To run a scenario based on a plan, follow these steps:

  1. Before you can submit a scenario based on a plan, you must enable the scenario definition.
  2. From the tree view in the left section of the window, right-click on the scenario you want to submit manually and select [Manual Submit] from the context menu.

  3. The [Manual Submit] dialog box opens.

  4. Select [Planned Submit].

  5. Enter the time the scenario will be submitted.
    • Execution Time (required)

Planned submit: The instance of the scenario will be created and will be executed on the planned time and date.
Date: Specify the date the instance of the scenario will be executed.
Time: Specify the time the instance of the scenario will be executed.

  6. Enter a comment or check [Open Tracker Window] if necessary.
    • Comment

Displayed in the comment column of the instance list. You should enter your comment, for example, when you want to distinguish between instances (it can be left blank).
You can enter any comment, within a maximum of 256 characters.

    • Tracker Window

If you check this, the flow tab in the instance monitoring view will open immediately after you have submitted a scenario based on the plan, which enables you to watch how the scenario is running.

  7. Click on [Local Object Setting] to open [Local Object Setting] dialog box.
  8. Click on [OK] to perform the planned submit operation and close the [Manual Submit] dialog box.
    Click on [Cancel] to close the [Manual Submit] dialog box without performing the planned submit operation.

[Note]

The planned submit operation can be performed in either the Normal Mode or the Configuration Mode.
Note that the context menu that will be displayed by a right-click operation will appear differently depending on the operation mode.
You cannot run a scenario (or cannot activate it) while it is being edited.
If a validity period is set in the scenario definition, the execution time must be within the period.


Run a scheduled scenario

If the start setting for a scenario is set to [Time Trigger] and if the scenario definition is enabled, an instance of the scenario will be created and the scenario will be executed on the scheduled time and date.

For information on setting the schedules, refer to the "Create a scenario: How to set a time trigger" section.


Run a scenario in response to a received message

If the start setting for a scenario is set to [Message Trigger] and the scenario definition is enabled, an instance of the scenario will be created and the scenario will be executed when a specific message that meets the specified conditions is received.

For information on setting this, refer to the "Create a scenario: How to set a message trigger" section.


Change an operation date

You can change the operation date for a scenario regardless of the current status of the scenario.

To change the operation date for a scenario, follow these steps:

  1. Before you can change the operation date, you must enable the scenario definition.
  2. From the tree view in the left section of the window, right-click on the scenario for which you want to change the operation date and select [Change Operations Data] from the context menu.

  3. The [Operation Date Change] dialog box opens.

  4. Specify the date to which you want to change the current operation date.
    • Scenario Name

Displays the scenario name for which you want to change the operation date.

    • Current Operation Date

Displays the operation date produced by the last operation date change operation.

    • Operation Date

Specify the date to which you want to change the current operation date.
It is defaulted to the current date.

  5. Enter a comment or check [Open Tracker Window] if necessary.
    • Comment

Displayed in the comment column of the instance list. You should enter your comment, for example, when you want to distinguish between instances (it can be left blank).
You can enter any comment, within a maximum of 256 characters.

    • Tracker Window

If you check this, the flow tab in the instance monitoring view will open immediately after you perform the operation date change operation, which enables you to watch how the scenario is running.

  6. Clicking [Local Object Setting] will open the local object setting window.
  7. Click on [OK] to change the operation date and close the [Operation Date Change] dialog box.
    Click on [Cancel] to close the [Operation Date Change] dialog box without changing the operation date.

[Note]

  1. You can perform the operation date change operation in either the Normal Mode or the Configuration Mode.
    Note that the context menu that will be displayed by a right-click operation will appear differently depending on the operation mode.
    You cannot run a scenario (or cannot activate it) while it is being edited.

  2. When you perform the operation date change operation and the operation date falls on one of the non-working days set in the working days/non-working days configuration for the scenario, the scenario will not be executed. The following should be noted about the instance list:
    • The [Status] column displays "Not yet executed (on non-working day).
    • The tracker window for an instance cannot be displayed.
    • The control instruction cannot be directed to instances in the list.
    • You cannot perform [Time Adjustment] from the context menu for any instance in the instance list.

  3. If the calendar in which the working days/non-working days for a scenario are specified has been removed and valid calendars are not available, and if the specified date is a non-designated date, the following error message will appear.


Instance request ID

Some commands of scenario control can identify the target instance with its request ID.

To confirm the request ID of the instance from the console, view the [Instance List] tab or the [Request ID] column in the [Instance List] dialog box.

  • Request ID
    A request ID is issued when a scenario is newly executed.
    When re-executing an instance or continuing the execution, a new instance is created by inheriting the request ID of the execution source instance.
    When a request ID is specified on the execution of a scenario control command and the instance is a re-executed instance or continued execution, the latest instance is targeted.
    The request ID can be copied by right-clicking the instance and selecting [Copy Request ID] from the displayed pop-up menu

[Command to output request ID]

ScenarioCmd EXEC

ScenarioCmd DATE

[Command to specify request ID]

ScenarioCmd STATUS

ScenarioCmd CNTRLF

ScenarioCmd CNTRLIF


Adjust the time

The scheduled start time and scheduled end time for a scenario using the operation date scheme and parts within the scenario can be adjusted with the [Time Adjustment] window.

The [Time Adjustment] window will be displayed in the product view by selecting [Time Adjustment] from the context menu of the Instance List.

The left pane displays the structure, status, and start time and end time of the scenario. It is called the scenario monitoring pane.
The right pane displays the scheduled time bars and the actual time bars. It is called the time adjustment pane.


Scenario Control pane

The pane displays the components of a scenario in tree view format. The root node is the scenario. It displays the same icons as those displayed in the tree view. In the background of each icon, the same color as the severity color of its corresponding scenario displayed in the Instance List is displayed.
It displays, under the scenario, the parts that are allocated in the scenario in ascending order of part names. It displays a node ([Current Day]) between the parts to indicate the actual start time and end time. In the background of each part icon, the severity color of the current part is displayed.

The row of the scenario and that of each part name display the scheduled start time and end time. It displays "---:--:--" for the parts that do not monitor the star time and the end time.

The row ([Current Day]) below each part name displays the actual start time and end time. It displays "---:--:--" for each row that has no actual start time and end time.

The scheduled start time and end time of the scenario display the earliest scheduled start time and the latest scheduled end time among those for the parts under it.
In deriving them, however, only the parts that perform monitoring of both the start time and end time are considered.
"---:--:--" is displayed for the scheduled start time or end time to indicate that it is not available.


Time Adjustment pane

The pane displays the bars for the scheduled start time and scheduled end time of the scenario and each part displayed in the Scenario Monitoring pane.
It similarly displays the bar to reflect each actual start time and end time.
It, however, displays the bar when neither the start time nor the end time is "---:--:--."

The bar for the scheduled times and the one for the actual times are displayed in blue and in green.

You can display the context menu in a section where the bars in the [Time Adjustment] pane are not present.

Zoom in/Zoom out:

Selecting [Zoom in] will double the width of the time column. Selecting [Zoom in] will halve the width of the time column.

Grid Display:

Selecting [Grid Display] will display a grid as follows.
The grid is displayed at one-hour intervals on a permanent basis.

Switching Display Period:

Initially, the display period is set to 100 hours.
The spin button in the upper section enables you to change the display period from 24 to 1000 hours.
You can directly specify it in the field.

Once you have changed the value of the display period, click on the [Update] button to reflect the change in the [Time Adjustment] pane.

Bar display:

The scenario name or a part name is displayed within its corresponding bar. If any name does not fit in the display width, it will be truncated, which is indicated by using the elision mark ("...").
The scheduled start time or the actual start time, and the scheduled end time or the actual end time, are displayed before and after the bar.

Operations for time adjustment for a part

When you position the mouse pointer on the start time or end time on a bar, the mouse pointer will change to "<=>". When you drag the pointer and release the mouse, the following [Time Adjustment] dialog box will appear.

The [Time Adjustment] dialog box displays the start time or end time at the location where you released the mouse.
The [Time Adjustment] dialog box enables you to fine-tune the start time and end time.
To confirm the adjusted time, click on the [OK] button in the [Time Adjustment] dialog box.
You can also move an entire bar by dragging it.
In this case, both the start time and end time will be changed.
As you are dragging the bar, the start time and end time displayed to the left and right of the bar are also changing.

In the [Time Adjustment] dialog box, you can only specify an end time that is after the start time.
If you should specify an end time that is before the start time, the following message dialog box will appear.

Only one monitoring terminal can perform the time adjustment operation on one instance of a scenario. Consequently, when any other monitoring terminal displays the [Time Adjustment] dialog box for the same instance of the same scenario, you cannot display the dialog box, and the following error message will appear.

If the parts are defined in a loop and in anteroposterior relationship as follows, it is impossible to adjust the time.
In this case, the following error message will appear.

[Note]

You cannot adjust the time for completed instances/parts, or for re-executed instances/parts.
When the [Time Adjustment] dialog box is displayed for an instance, you cannot adjust the time for the instance in any other monitoring window.
Even when you adjust the time for a scenario or part in the delay status, the scenario or part will remain in the delay status.


Automatic time adjustment operation specification

Operations for time adjustment in scenarios:

The adjustment operation is only allowed for entire scheduled times. You can adjust neither an individual scheduled start time nor an individual scheduled end time.
For this reason, the mouse cursor does not change its shape on the left and right ends of the bar. The o nly operation that you are allowed to perform is to move the entire bar by dragging it.
The adjustment result is confirmed in the [Time Adjustment] dialog box similarly to parts.
After you have adjusted the times for a scenario, those for the parts under the scenario will also be changed by the adjusted portion.

Automatic adjustment to related parts:

In the case of parts in anteroposterior relationship, when you adjust the end time of the anterior part to a time after the start time of the posterior part, the start time and end time of the posterior part will be shifted to those after them by the adjusted portion.
E.g.: Suppose that two parts are in anteroposterior relationship, and the start time and end time of the anterior part are 09:00 and 10:00 and the start time and end time of the posterior part are 10:00 and 11:00, and you then change the end time of the anterior part to the time after it by 15 minutes.

In the above example, the start time and end time of the posterior part shift to those after them by 15 minutes.

In the case of parts in anteroposterior relationship, when you adjust the start time of the posterior part to a time before the end time of the anterior part, the start time and end time of the anterior part will be shifted to those before them by the adjusted portion. E.g.: Suppose that two parts are in anteroposterior relationship, and the start time and end time of the anterior part are 09:00 and 10:00 and the start time and end time of the posterior part are 10:00 and 11:00, and you then change the start time of the posterior part to the time before it by 15 minutes.

In the above example, the start time and end time of the anterior part shift to those before them by 15 minutes.

In the case of two parts in anteroposterior relationship, when you move the scheduled end time of the anterior part to the older time, the scheduled start time and end time of the posterior part will not change.

In the above example, the start time and end time of the posterior part are not adjusted.

Action when changing the operation date:

When the [Time Adjustment] window is displayed and the operation date change for the scenario occurs, the [Time Adjustment] dialog box will be closed.


Respond to a wait event

If a scenario includes a window response part, the execution of an instance of the scenario will be made to wait for a response.

When a new wait event occurs, the icon for the [Scenario Control Wait] tab blinks in the information view.

Blinking example:

When a user responds to the window response part, the instance will run the next part.

To respond to a window response part, follow these steps:

  1. To display a list of window response parts that now cause wait events to be generated, select the [Scenario Control Wait] tab in the information view in the lower pane of the window.

  2. To open the window response result dialog box, select and double-click on the row for the window response part you want to respond to.

When the [Response] tab opens, enter the necessary items.

The [Status] tab has no fields into which users can enter information when responding to the response part. When the necessity arises, check the items in the tab.

[Supplemental Remark]

Users also can open the window response result dialog box from the [Flow] tab in the instance monitoring view. To open the window response result dialog box, select [Property] from the context menu displayed by right-clicking on the appropriate part icon or double-click on the part icon.

[Response] tab

    • Response Comment

You can enter a comment, within a maximum of 64 characters (it can be left blank).

Default value: Nothing set (or blank)

    • Status Setting (required)

Specify how this part will be completed.

Normal completion: Specifies that the part will be successfully completed.

Warning completion: Specifies that the part will be completed with a warning.

Abnormal completion: Specifies that the part will be completed abnormally.

Halt: Specifies that the part will be completed abnormally and the instance will be halted.

Default value: Normal completion

    • Exit Code Setting (required)

You can select one of the following: You can neither select nor change the completion code when responding to a window response part if you specify it in the scenario definition.

§ Immediate Value (the default when setting the code at the time of response)

Enter the completion code value with single-byte numeric characters.

Default value: 0

§ Latest Component

Inherits the completion code of the anterior part. The completion code will be displayed in the right column (and users cannot change it).

  3. When you click on [Respond], a confirmation dialog box opens.

Click on [Yes] to submit a response and proceed with the next part in the scenario.

Click on [No] to return to the original window without submitting a response.

[Note]

When you click on [OK] without clicking on [Submit Response], a response will not be submitted and the dialog box will be closed after the comment and value you entered are saved.

When you click on [Cancel] without clicking on [Submit Response], a response will not be submitted and the dialog box will be closed without saving the comment or value you entered.

The window response part to which you submitted a response will be removed from the list in the [Scenario Control Wait] tab of the information view.

Window Response Result dialog box example

[Status] tab when (and before) a user submits a response

[Status] tab when a user has submitted a response

[Response] tab when a user has submitted a response

Blink setting:

To cause the occurrence of a new wait event to blink the icon for the [Scenario Control Wait] tab of the information view, you must use [Edit] to set [Sound Type] for the parts for which [Type] is "CONFIRMATION" in [Setting]->[Option]->[Priority Setting] to something other than [None].


Run a scenario action manually

If a scenario includes a scenario action part and its execution type is set to [Manual Execution], a wait event is raised during the execution of an instance of the scenario.

When a wait event occurs, the icon for the scenario blinks in the [Scenario Control Wait] tab of the information view.

Blinking example:

When the scenario action part is executed, the instance will run the next part.

To run a scenario action part, follow these steps:

  1. Select the [Scenario Control Wait] tab in the information view to display a list of scenario action parts that have a wait event now.

  2. Double-click on the row for the scenario action part you want to run to open the scenario action result dialog box.
    Alternatively, display the tracker window from the instance list tab (window) and double-click on the scenario action part.

  3. When the [Execute Action] tab opens, click on [Execute]. A confirmation dialog box opens.

Click on [Yes] to run the command and proceed with the next part in the scenario.

Click on [No] to return to the original window without running the command.

[Note]
Click on [OK] or [Cancel] without clicking on [Execute] to close the dialog box.
The scenario action part that has been executed will be removed from the list in the [Scenario Control Wait] tab of the information view.

Scenario Action Result dialog box example:

[Status] tab when and before a user runs a scenario action part

[Status] tab when a user has submitted a response

[Execute Action] tab when a user has run a scenario action part

[Result Detail] tab when a user has run a scenario action part

[Condition] tab when a user has run a scenario action part

Blink setting:

To cause the occurrence of a new wait event to blink the icon for the [Scenario Control Wait] tab of the information view, you must use [Edit] to set [Sound Type] for the parts for which [Type] is "CONFIRMATION" in [Setting]->[Option]->[Priority Setting] to something other than [None].


Re-execute an instance

Re-execute an instance of a scenario not using the operation date scheme

You can re-execute an instance of a scenario not using the operation date scheme after it has been executed.

You can perform the re-execute operation regardless of whether the scenario definition is enabled or disabled.

The scenario definition for the re-executed instance is the same as that for the executed instance.

[Instance Name] is the same as that of the instance to be re-executed.

When you re-execute an instance, the mark "(Re-execute)" will be suffixed to the information in [Status] and prefixed to the description in [Comment].

When you re-execute the instance again, another "(Re-execute)" will be prefixed to the description in [Comment].

E.g.) When an instance has been re-executed 3 times

When re-executing an instance, the scenario start settings will be disabled.

  • Re-executable instances

Instances that have been completed

To re-execute an instance, follow these steps:

  1. From the tree view in the left section of the window, select the non-operation date scheme scenario group or the scenario that defines the instance you want to re-execute.
    If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.
  2. From the instances displayed in the [Instance List] tab in the scenario control view, or the [Instance (Scheduled/Actual) List] view, select the instance of the scenario, not using the operation date scheme, you want to re-execute.
    If you do not know where the instance is located, refer to the "Search for scenarios and instances" section.
  3. Right-click on the instance you want to re-execute and select [Control Instruction]->[Re-execute] from the context menu.

  4. Once you start re-execution, the instance that is the source to be re-executed becomes [Confirmed] and disappears from the [Instance List] tab. (*1)
    The instance name to be re-executed is the same as the source instance name to be re-executed, but its comment field displays [(Re-execute)].(*2)(*3)

*1) The [Instance (Scheduled/Actual) List] view displays [Confirmed] in its confirmation field.

*2) If you re-execute an instance more than once, you can determine that the instance has been re-executed several times from [Start Time (Result)] and [End Time (Result)].

*3) If you re-execute a re-executed instance again, the comment field displays [(Re-execute) (Re-execute)].

Re-execute a part in an instance of a scenario using the operation date scheme

You can re-execute a part in an instance of a scenario using the operation date scheme after it has been executed.

The following describes the considerations you should take when re-executing a part:

  1. You can re-execute parts that have been completed.
  2. You can re-execute a part even when the scenario that includes it is being executed.
    When a scenario action part is re-executed when it is being executed, all the commands except those that are being issued will be canceled, all the command return values held will be discarded, and the canceled commands will be reissued.
  3. Even when you re-execute an anterior part in anteroposterior relationship, the posterior part will not be re-executed.
  4. You cannot re-execute parts that are conditionally halted.
  5. When you re-execute a part in a completed instance, you need to create the instance anew and execute the specified part only.
    When the part has been executed, the instance ends with the same completion status as that of the part.
  6. When you re-execute a part in an instance that is being executed, the instance will not be newly created.
  7. Even if you re-execute a part, the system neither registers the conditions nor deregisters them.

To re-execute a part in an instance, follow these steps:

  1. From the tree view in the left section of the window, select the operation date scheme scenario group or the scenario that defines the instance you want to re-execute.
    If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.
  2. From the instances listed in the [Instance List] tab in the scenario control view or the [Instance (Schedule/Actual) List] view, select the instance of the scenario, using the operation date scheme, you want to re-execute.
    If you do not know where the instance is located, refer to the "Search for scenarios and instances" section.
  3. Right-click on the instance you want to re-execute, select [Open] from the context menu, and double-click on it.

  4. Display the tracker window, select the part you want to re-execute in the window, and select [Control Instruction]->[Re-execute] from the context menu.

  5. A confirmation message box appears.

Click on the [OK] button to re-execute the part.

Click on [Cancel] to return to the tracker window without re-executing the part.

  6. Once you start re-execution, the instance that is the source to be re-executed becomes [Confirmed] and disappears from the [Instance List] tab. (*1)
    The instance name to be re-executed is the same as the source instance name to be re-executed, but its comment field displays [(Re-execute)].(*2)(*3)

*1) The [Instance (Scheduled/Actual) List] view displays [Confirmed] in its confirmation field.

*2) If you re-execute an instance more than once, you can determine that the instance has been re-executed several times from [Start Time (Result)] and [End Time (Result)].

*3) If you re-execute a re-executed instance again, the comment field displays [(Re-execute) (Re-execute)].


Continuing the execution of an instance

Instance of a scenario not using the operation date scheme

If an instance includes a part that has been stopped due to abnormal completion or forcefully terminated and has been completed, you can resume executing the instance from the part.

You can perform the resumption operation regardless of whether the scenario definition is enabled or disabled.

The settings of the scenario definition for the instance that resumes execution are the same as those for the original instance.

The instance name is the same as that of the instance that will be resumed.

When you resume executing an instance, the mark "(Continuous Execution)" will be prefixed to the description in [Comment].

  • Resumable instances

Completed instances that include a part that has been stopped due to abnormal completion or forcefully terminated

Instance of a scenario not using the operation date scheme

When an instance ends, the execution can be continued from any component in the instance. In addition, when another scenario is executed using the scenario execution component, the execution can be continued from any component in the execution destination instance. (When the manager is in a hierarchical configuration, the execution can be continued in the middle of the instance executed on the lower manager.)

When the component to continue the execution is a "conditional branching" component or "parallel branching" component, whether to continue the execution from the beginning of the branch or from the stopped component in the branch can be selected.

You can perform the resumption operation regardless of whether the scenario definition is enabled or disabled.

When continuing the execution, the value of the local object used in the instance can be changed.

The settings of the scenario definition for the instance that resumes execution are the same as those for the original instance.

The instance name is the same as that of the instance that will be resumed.

When you resume executing an instance, the mark "(Continuous Execution)" will be prefixed to the description in [Comment].

  • Resumable instances

Instances in the completed status

Context menu

Right-click the component in the result view of the ended instance to display the following menu.

Continue

When [Control]-[Continue] is selected from the context menu, the execution of each parent instance that is on the path to the instance where the currently operating component is placed is also continued.

For example, when executing scenarios 1 through 3 using the scenario execution component as shown in the figure below, the executions of the instances of scenario 1 and scenario 2 are also continued when [Control]-[Continue] is performed to the component of scenario 3. (Each execution is continued from “Scenario execution 1”, which is the path to execute scenario 3.)

Discrete Continue

When [Control]-[Discrete Continue] is selected from the context menu, only the execution of the instance where the currently operating component is placed is continued.

(Only the execution of the selected instance is continued even when the instance to be operated is executed in the multiple-stage configuration using the scenario execution component.)

To resume executing an instance, follow these steps:

Continuing only the execution of the selected instance

  1. From the tree view in the left section of the window, select the scenario that defines the instance you want to resume executing. If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.
  2. From the instances listed in the [Instance List] tab in the scenario control view or the [Instance (Scheduled/Actual) List] view, select the instance you want to resume executing. If you do not know where the instance is located, refer to the "Search for scenarios and instances" section.
  3. Right-click on the instance you want to resume executing and select [Open] from the context menu.

  4. When the [Instance Monitoring view]-[Flow] tab opens, select and right-click on the part you want to resume executing, and select context menu.

    To continue the execution from the beginning of the branching component

    To continue the execution from the stopped component in the branching component

    To continue the execution from a component other than the branching component

  5. Select [Continue] to display the [Local Object Setting] dialog box.

    Select a local object in the list and click the [Update] button to open the [Local Object Update] dialog box, where the value can be changed.
    Click the [Execute] button to start the continuous execution for the component.
    Click on the [Cancel] button to return to the tracker window without resuming the execution of the part.

  6. Once you start to resume the execution of the instance, the source instance becomes [Confirmed] and disappears from the [Instance List] tab. (*1) The instance name that resumes execution is the same as the source instance name, and its comment field displays [(Continuous Flow)]. (*2) (*3)

*1) The [Instance (Scheduled/Actual) List] view displays [Confirmed] in its confirmation field.

*2) If you resume executing an instance more than once, you can determine that the execution of the instance has been resumed several times from [Start Time (Result)] and [End Time (Result)]. The parts that have been completed normally or completed with a warning in the source instance before you resume executing it inherit information from the source.

*3) If you resume executing the instance again, the comment field displays [(Continuous Execution) (Continuous Execution)].

Continuing the execution from any component in the execution destination instance

  1. Select the definition source scenario of the instance to continue the execution from the tree view on the left side of the window. If the location of the scenario is unknown, see Search for scenarios and instances.

  2. Select the instance to continue the execution from the [Instance List] tab in the scenario control view, or from the instances displayed in the instance (schedule and actual result) list view. If the location of the instance is unknown, see Search for scenarios and instances .

  3. Right-click the instance to continue the execution, and then select [Open] from the displayed context menu.

  4. When the [Instance Monitoring View]-[Flow] tab is opened, right-click the scenario execution component placed in the instance, and then select [Target flow]-[Refer to result] from the displayed context menu.

  5. When the [Instance Monitoring View]-[Flow] tab of the execution destination instance is opened, right-click the component to continue the execution, and then select the context menu.
    To continue the execution from the beginning of the branching component

    To continue the execution from the stopped component in the branching component

    To continue the execution from a component other than the branching component

  6. Select [Continue] to display the [Local Object Setting] dialog box.

    Select a local object in the list and click the [Update] button to open the [Local Object Update] dialog box, where the value can be changed.
    Click the [Execute] button to start the continuous execution of the component.
    Click the [Cancel] button to cancel the continuous execution of the component and return to the tracker window.

  7. When the continuous execution starts, the execution of the instance where the selected component is placed and the execution of the calling side instance (the instance selected in step 3) on the path to the instance where the selected component is placed are continued. (The status is changed to [Confirmed], and it is not displayed on the [Instance List] tab (*1).) The instance name of the continuous execution is the same as the instance name of the continuous execution source, however, [(Continue Flow)] is displayed in the comment column (*2) (*3).

    *1) [Confirmed] is displayed in the confirmation column in the instance (schedule and actual result) list view.
    *2) When performing the continuous execution multiple times, the executions can be identified with the actual starting times and ending times. The component where the continuous execution source instance ended normally or ended with a warning inherits the information of the continuous execution source instance.
    *3) When continuing the continuous execution instance again, [(Continue Flow)(Continue Flow)] is displayed in the comment column.

[Note]

  • When the manager is in a hierarchical configuration, [Discrete Continue] cannot be performed to the instance executed on the lower manager from the console connected to the upper manager.

  • When the console is connected to the lower manager and [Continue] is performed to the lower instance, it is executed from the highest instance on the manager connected to the console.

  • When the selected instance is the highest instance executed on the manager connected to the console, [Continue] cannot be selected.

[Notes on the continuous execution executed from an arbitrary component in the branching component]

  • Continuing the execution from an arbitrary component in the conditional branching
    When performing the continuous execution to a component on the path where the processing has not passed yet in the conditional branching component, the results of the path where the previous instance had passed are deleted after the continuous execution.

  • Continuing the execution from an arbitrary component in the parallel branching
    When performing the continuous execution from an arbitrary component in the parallel branching component, only the execution on the path where the selected component is placed is continued. When there is a stopped component on another path, the subsequent processing after the branch is not performed even if the selected path ends normally.

  • Continuing the execution from an arbitrary component in the not-executed parallel branching
    When performing the continuous execution from an arbitrary component in the not-executed parallel branching component, only the execution on the path where the selected component is placed is continued. Since other paths are not executed, the subsequent processing after the branch is not performed even if the selected path ends normally. (The branching component is forcibly stopped.)

Instance of a scenario using the operation date scheme

If an instance of a scenario using the operation date scheme includes a part that has been stopped due to abnormal completion or forcefully terminated, even if the instance has been completed, you cannot resume executing it.


Force an instance or a part to stop

Force an instance to stop

Force a part to stop

Force an instance to stop

If you have forced an instance to stop, all the parts that are running at the point in time when the termination process is activated will immediately enter the state of enforced termination.

When you have forced a part to stop, the subsequent parts will not be executed, and the instance itself will immediately enter the state of enforced termination.

  1. From [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view, right-click on the instance name you want to force to stop.
  2. Select [Change Status]-[Force End] from the context menu.

Not using the operation date scheme | Using the operation date scheme

  3. A confirmation dialog box opens.

Click on [OK] to run an enforced stop process and return to the [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view.

Click on [Cancel] to return to the [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view when running an enforced stop process.

[Note]

If you force a part to stop that will run a command for an agent, and when the agent has not been executed, the command submission is aborted.

When the agent starts running, the command will not be executed. If you force a part to stop when the command has been entered while the agent is running, the execution of the command will not be aborted.

Force a part to stop

If you force a part to stop, the part will stop and the subsequent parts will not be executed.

If the part that has been forced to stop is included in a branch line of a parallel branch part, only the branch line is stopped, and the other branch lines continue to perform their processes.

Once the other branch lines have been executed, except the one that has been forced to stop, it means that the parallel branch part has been forced to stop.

If you force a parallel branch part to stop, it forces all the parts that are being executed on all the branch lines to stop.

Once all the other parts have been executed, the instance itself has been forced to stop.

  1. From [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view, right-click on the instance that includes the part you want to force to stop.
  2. When you right-click on it and select [Open] from the context menu, or double-click on it, [Instance Monitoring View]-[Flow] opens.
  3. Right-click on the part you want to force to stop and select [Change Status]-[Force End] from the context menu (the [Force End] menu is disabled for parts that you cannot force to stop).

Not using the operation date scheme

Using the operation date scheme

  4. A confirmation dialog box opens.

Click on [OK] to run an enforced stop process and return to [Instance Monitoring View]-[Flow].

Click on [Cancel] to return to [Instance Monitoring View]-[Flow] without running an enforced stop process.

[Note]

To force an instance to stop while running a parallel branch part, you must force the parallel branch part to stop or force the parts that are being executed in all the branch lines to stop.

The parts that can be forced to top are limited to those in the state of Not Executed Yet (Waiting for the start condition), Running, Waiting, or Conditional Halt.


Force a part to be executed or the condition of a part to become true

Force a part to be executed
Force the condition of a part to become true

Force a part to be executed

In a running instance, you can force parts for which the start condition has not become true or those in the state of Conditional Halt to be executed.

Once a part has been forced to be executed, the start condition continues to be monitored to see whether it becomes true until the instance is completed.

  1. From [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view, right-click on the instance that includes the part you want to force to execute.
  2. When you right-click on it and select [Open] from the context menu, or double-click on it, [Instance Monitoring View]-[Flow] opens.
  3. Right-click on the part you want to force to execute and select [Control Instruction]-[Forced Execution] from the context menu

Instance of a scenario using the operation date scheme

  4. A confirmation dialog box opens.

Click on [OK] to run the forced execution process and return to [Instance Monitoring View]-[Flow].

Click on [Cancel] to return to [Instance Monitoring View]-[Flow] without running the forced execution process.

[Note]

In an instance of a scenario not using the operate date scheme, you cannot perform the forced execution process for the parts.
The forced execution process can be performed for only parts in the state of Not Yet Executed (Waiting for the start condition).

Instance of a scenario not using the operation date scheme

Force the condition of a part to become true

You can force the condition of a part in a running instance to become true.

When you specify a desired condition for a part and perform the mandatory true condition function on the condition, the condition will be forced to become true regardless of what the condition is.

    1. From [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view, right-click on the instance that includes the part for which you want to force the condition to become true.
    2. When you right-click on it and select [Open] from the context menu, or double-click on it, [Instance Monitoring View]-[Flow] opens.
    3. Select and right-click on the part for which you want to force the condition to become true, and select [Property] from the context menu, or double-click on it.
    4. Select the [Condition] tab from the part dialog box.
    5. Select the condition you want to force to become true from the condition tree in the [Condition] tab, right-click on it to open the context menu, and select [Mandatory True Condition] from the menu.

Force the start condition to become true

If the condition that you force to become true is the start condition, the part will start its process.

Force the normal completion condition to become true

Force the abnormal completion condition to become true


Disable a condition

Disable a condition from the tracker window:

You can disable a condition from the context menu you display by selecting a part in the tracker window.
Even if either the normal completion condition or the abnormal completion condition has become true, you can still perform the disable condition process.
[Disable Condition] is disabled when all the conditions within a part have been disabled.

Disable a condition from the condition setting for each part
Disable a condition under the start condition
Disable a condition under the normal completion condition
Disable a condition under the abnormal completion condition

In a running instance, you can disable a condition of a part when its higher conditions are not true.

The disabled condition will not be tested until it is restored.

  1. From [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view, select the instance that includes the part for which you want to disable the condition.
  2. When you right-click on it and select [Open] from the context menu, or double-click on it, [Instance Monitoring View]-[Flow] opens.
  3. Select and right-click on the part for which you want to disable the condition, and select [Property] from the context menu, or double-click on it.
  4. Select the [Condition] tab from the part dialog box.
  5. Select the condition you want to disable from the condition tree in the [Condition] tab, right-click on it to open the context menu, and select [Stop Condition] from the menu.

Disable a condition under the start condition

If you disable the start condition or a condition under the start condition, the part will not start its process until the condition is restored.

Disable a condition under the normal completion condition

Disable a condition under the abnormal completion condition

  6. A confirmation dialog box opens.

Click on [OK] to disable the condition and return to the [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view.

Click on [Cancel] to return to the [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view without disabling the condition.

Disabling a condition under the normal completion condition

Disabling a condition under the abnormal completion condition

[Note]

When you disable a condition, the following actions will be taken, by type of condition:

    1. Message condition
      Waiting for messages is disabled.
    2. Event condition
      Waiting for events is disabled.
    3. Time condition
      The time waiting is disabled.
    4. Global object condition
      Waiting for a condition to become true is disabled.
    5. Command return value condition
      The return value from a completed command is not tested.
    6. Anterior part condition
The completion of anterior part is not tested.


Restore a disabled condition

Restore a disabled condition from the tracker window:

You can perform this operation from the context menu you display by selecting a part in the tracker window.
Even if either the normal completion condition or the abnormal completion condition is true, you can still perform the restore disabled condition process.
[Restore Disabled Condition] is disabled when none of the conditions within a part have been disabled.

Restore a disabled condition in the condition settings for each part:
Restore a disabled start condition
Restore a disabled normal completion condition
Restore a disabled abnormal completion condition

You can restore a desired disabled condition of a part in a running instance.

  1. From [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view, select the instance that includes the part for which you want to restore a disabled condition.
  2. When you right-click on it and select [Open] from the context menu, or double-click on it, [Instance Monitoring View]-[Flow] opens.
  3. Select and right-click on the part for which you want to restore a disabled condition, and select [Property] from the context menu, or double-click on it.
  4. Select the [Condition] tab from the part dialog box.
  5. Select the disable condition you want to restore from the condition tree in the [Condition] tab, right-click on it to open the context menu, and select [Cancel Condition Stop] from the menu.

Restore a disabled start condition

If you restore the disabled start condition(s), the part will test the status of the condition(s) and wait for the condition(s) to become true before it starts its process.

Restore a disabled normal completion condition

If you restore the disabled normal completion condition(s), the part will test the status of the condition and wait for the part to be completed or wait for the condition to become true before it starts its process.

Restore a disabled abnormal completion condition

If you restore the abnormal completion condition(s), the part will test the status of the condition(s) and wait for the part to be completed or wait for the condition(s) to become true before it starts its process.

  6. A confirmation dialog box opens.

Click on [OK] to restore the disabled condition and return to the [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view.

Click on [Cancel] to return to the [Scenario Control View]-[Instance List] or the [Instance (Scheduled/Actual) List] view without restoring the disabled condition.

  7. Results of restoring the disabled condition

Restoring a disabled normal completion condition

Restoring a disabled abnormal completion condition

[Note]

When you restore a disabled condition, the following restore actions will be taken, by type of condition:

    1. Message condition
      Waiting for messages is disabled.
    2. Event condition
      Waiting for events is disabled.
    3. Time condition
      If the specified time has passed, the condition is regarded as becoming true.
    4. Global object condition
      If it turns out that the tested value has been the specified value, the condition is regarded as becoming true.
    5. Command return value condition
      If it turns out that the tested value has been the specified value, the condition is regarded as becoming true.
    6. Anterior part condition
      If testing the status of the anterior part shows that it has been completed, the condition is regarded as becoming true.


Confirm a completed instance

Confirm a completed instance and remove it from the list

Undo the confirmation of a completed instance

Confirming/cancelling the ended instances including the execution destination instances

Confirm a completed instance and remove it from the list

You can attach a "Confirm" flag to a completed instance and remove it from the list.

A "Confirm" flag attached instance is not displayed in the [Scenario Control View]-[Instance List] tab, but it is displayed with [Confirmed] in the confirmation field of the [Instance (Scheduled/Actual) List] view.

To confirm a completed instance, follow these steps:

  1. From the tree view in the left section of the window, select the scenario that defines the instance you want to remove from the list. If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.
  2. The instances are displayed in the [Scenario Control View]-[Instance List] tab or the [Instance (Scheduled/Actual) List] view for the selected scenario definition. From the completed instances, select and right-click on the one you want to remove from the list and select [Confirm] from the context menu.

Instance of a scenario not using the operation date scheme

Instance of a scenario using the operation date scheme

Undo the confirmation of a completed instance

An instance with an attached "Confirm" flag can be displayed again in the list by undoing the "Confirm" flag.

To undo the "Confirm" flag for an instance, follow these steps:

  1. From the tree view in the left section of the window, select the scenario that defines the instance for which you want to undo confirmation. If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.
  2. The instances are displayed in the [Instance (Scheduled/Actual) List] view for the scenario definition you selected. From the confirmed instances in the list, select and right-click on the one for which you want to undo confirmation and select [Undo Confirm] from the context menu.

Instances of a scenario not using the operation date scheme

Instances of a scenario using the operation date scheme

Confirming the ended instances including the execution destination instances

When the instance to be confirmed executes another scenario using the scenario execution component, the execution destination instances can also be confirmed together.

When using the function to confirm the execution destination instances together, the setting for the "WorkflowMgr.ini" file or "WorkflowSvc.ini" file must be performed.

This function can be used only for the instances of a scenario that does not use a job date.

Location of WorkflowMgr.ini file

<Manager Installation Directory>\Manager\sg\WorkflowMgr.ini

Location of WorkflowSvc.ini file

<Console Installation Directory>\Svc\sg\WorkflowSvc.ini

If the file does not exist, create a new file, edit it, and then save it.

  • Windows:Character encoding for the file is UTF-16LE (with BOM), and the line feed code is CR+LF.

  • UNIX:Character encoding for the file is UTF-8, and the line feed code is LF.

Section | Key | Overview | Setting range
Config | ConfirmMessage | Specify whether or not to display the message when selecting the [Confirm/Undo Confirm] menu.When "Display" is specified, a message prompting the user to select whether or not to confirm the execution destination instances together is displayed. If this item is omitted, the message is not displayed. | 0: Do not display 1: Display
 | ConfirmMethod | Specify the operation when the message is not displayed when selecting the [Confirm/Undo Confirm] menu for the setting item above. If this item is omitted, [Confirm/Undo Confirm not include destination instance] is selected. | 0:Confirm/Undo Confirm include destination instance 1:Confirm/Undo Confirm not include destination instance

If the configuration file exists on both manager and console, the configuration file on the console overrides the other.

If the message display is specified, the following message is displayed when the [Confirm/Undo Confirm] menu of an instance is selected on the [Instance List] tab and in the instance (schedule and actual result) list view.

Select [Confirm].

Click the [Yes] button to confirm the selected instance and all execution destination instances.

For the instances after the confirmation was performed, [Confirming] is displayed in the confirmation column in the instance (schedule and actual result) list view until the status of all execution destination instances changes to [Confirmed].

The instances in the [Confirming] status are not displayed on the [Instance List] tab of [Scenario View].

[Confirm/Undo Confirm] cannot be performed for the instances in the [Confirming] status.

Click the [No] button to add the [Confirmed] flag only to the selected instance and remove the selected instance from the list.(Similar to "Confirm a completed instance and remove it from the list")

Click the [Cancel] button to return to the previous dialog box.

Select [Undo Confirm].

Click the [Yes] button to cancel the confirmation for the selected instance and all execution destination instances.

For the instances after the confirmation was cancelled, [Undoing Confirm] is displayed in the confirmation column in the instance (schedule and actual result) list view until the confirmation of all execution destination instances is cancelled.

The instances in the [Undoing Confirm] status are displayed on the [Instance List] tab of [Scenario View].

[Confirm/Undo Confirm] cannot be performed for the instances in the [Undoing Confirm] status.

Click the [No] button to remove the [Confirmed] flag only from the selected instance and display the selected instance in the list again.(Similar to "Undo the confirmation of a completed instance")

Click the [Cancel] button to return to the previous dialog box.


Check the status of scenarios, instances, and parts

Check the status of a scenario

Check the status of an instance

Check the status of each part

Check the status of a scenario

Under Scenario Control View in the tree view, the background color of an icon shows the status of its corresponding scenario or group, including the view.

The severity color that indicates the status of a scenario, scenario group, and Scenario Control View is determined as follows:

  • Severity color of Scenario Control View

The background color of the icon for Scenario Control View is the severity color of the group or the scenario with the highest priority among all those belonging to the view.

  • Severity color of a group

The background color of the icon for a group is the severity color of the group or the scenario with the highest priority among all those belonging to the group.

  • Severity color of a scenario

Using the operation date scheme:

The background color of the icon for a scenario is the severity color of the instance for which the operation date was changed last.

Not using the operation date scheme:

The background color of the icon for a scenario is the severity color of the instance with the highest priority among all those derived from the scenario.

However, the instances removed from the history are not considered.

For more information on the severity color and priority, refer to the "Set severities and priorities" section.

Check the status of an instance

To check the status of an instance, follow these steps:

  1. Select the scenario for which you want to check the status from the tree view in the left section of the window. If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.

[Scenario Control View] - [Instance List] for the selected scenario opens in the right section of the window.

[Scenario Control View]-[Instance List] tab

About the color of an instant

The respective icons [image] displayed to the left of an instance name display the severity color of the part for which the severity has the highest priority among the parts in the instance when the instance has not been completed. If a delay happens to a part, however, the highest priority among the relevant parts is compared to that of the delay. If the latter priority is higher than the former, the color of the delay will be displayed in preference to the color of the highest priority part. If an instance that does not adopt the operation date scheme or one that adopts the operation date scheme and sets neither the normal completion condition nor the abnormal completion condition has been completed, its color will be determined in the same manner as when it is not completed. If the scenario adopts the operation date scheme and sets the normal completion condition and the abnormal completion condition, the color of the scenario will be the normal completion color when the normal completion condition becomes true and the abnormal completion color when the abnormal completion condition becomes true. The displayed color is the color of a severity set with [Setting]-[Option]-[Priority Setting].

The respective icons [image] displayed to the left of a scenario name display the severity color of the instance with the highest priority among the status colors for the instances that are displayed in the [Instance List] tab and in the tree.

Instance Name:

Displays the name of each scenario at the top and instances that were generated from the scenario at the indented position

The instance name is automatically generated based on the time and date the instance was generated.

The instance name of a scenario indicated by the above icon is always displayed on one line.

Naming rule

The instance name is automatically generated in the form of "YYYY/MM/DD HH:MM:SS (instantiation timing)."

The instantiation timing consists of "Immediate," "Message," "Schedule," and "Plan."

Naming rule

The instance name is automatically generated in the form of "scenario name YYYY/MM/DD (instantiation timing)."

The instantiation timing is "Operation date change."

Instances are displayed during a time period set in [Setting]-[Option]-[Scenario Control]. The instances that have passed the display period disappear from the [Instance List] tab.
In the case of a scenario using the operation date scheme, the tab displays the instance that changed the operation date last, regardless of the set display period.
Refer to the "Search for instances" section whenever necessary.

Situation:

Displays the status of each instance.

While the instance is running, it displays the status of the part that is being executed. If the scenario is running more than one part simultaneously, the severity of Wait for Confirmation when a window response part is waiting for a user to submit a confirmation and the severity of Running when any window response parts do not wait for user intervention are displayed. It displays the status of the last part when the scenario has been completed.

If any part in the scenario experiences a delay, the status name will be displayed after [Add] is attached to it.

Comment

Displays the comment entered when [Manual Submit], [Planned Submit] or [Operation Date Change] was selected.

When you re-execute an instance or when you resume executing an instance, the "(Re-execute)" or "Continuous Execution" mark will be automatically prefixed to the comment.

Actual Start Time:

Displays the time when the execution of each instance was actually started.

Actual End Time:

Displays the time when each instance has been actually completed.

  2. From [Scenario Control View]-[Instance List], select the instance name for the scenario you want to check by clicking on it. When you select [Open] from the context menu displayed by right-clicking on the instance name, or double-click on it, [Instance Monitoring View]-[Flow] opens and displays the status of the instance with relevant information such as the color of the part or time.
  3. From [Instance Monitoring View]-[Flow], you can confirm the execution log for instances.

[Instance Monitoring View]

About the colors of parts

Every icon representing a part has a color on it that indicates the current status of the part.

The displayed color is the color of a severity defined in [Setting]-[Option].

In addition, the [Situation] column in the lower section displays the current status name for each part.

About items in the lower columns in the [Flow] tab

    • Component Name

Displays part names included in this instance.

    • Situation

Displays the current status name for each part. The status name is connected to the color of its corresponding icon.

    • Start Time (Schedule)

Displays the scheduled start time if it is set up for a part.

A blank column indicates that no scheduled start time is set up for the part.

    • End Time (Schedule)

Displays the scheduled end time if it is set up for a part.

A blank column indicates that no scheduled end time is set up for the part.

In the [Monitoring Definition] tab for a part, however, if [Specification of an expected execution duration] in [Monitoring the end time] is selected, it displays the scheduled end time when the part has been started.

Reference: Action-Monitoring Definition

    • Actual Start Time

Displays when the instance actually started its process.

A blank column indicates that the instance has not been started yet.

    • Actual End Time

Displays when the instance has completed its process.

A blank column indicates that the instance has not been started yet or is running.

About items in the [Log] tab

    • Generated Time

Displays the time when a log event was generated.

    • Message

Displays what is included in a log.

Check the status of each part

To check the status of each part, follow these steps:

  1. Select the scenario for which you want to check the status from the tree view in the left section of the window. If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.

[Scenario Control View]-[Instance List] for the selected scenario opens in the right section of the window.

  2. From [Scenario Control View]-[Instance List], select the instance name for the scenario for which you want to check the status by clicking on it. When you select [Open] from the context menu displayed by right-clicking on the instance name, or double-click on it, [Instance Monitoring View]-[Flow] opens and displays the status of the instance with relevant information such as the color of the part or time.
  3. To confirm the status of each part in detail, select [Property] from the menu displayed by right-clicking on the icon for the part or double-click on the icon. You can confirm the current detailed status of each part.

Detailed result example

Detailed results of an action part

Check the status of a condition

[Condition] tab

  • Condition Tree

Displays the AND items, OR items, or condition items set in the start condition, and the status (*1) of whether each condition has become true with the background color (*2) of the icon for each item.

  • Condition Name

Displays the condition name of the selected condition item.
If an AND item or OR item is selected, it is left blank.

  • Status

Displays the status (True, False, Mandatory True Condition, or Disabled) of the selected condition item.

You can check the details of a condition by selecting [Refer to Condition] from the context menu of the condition item.

  • Condition Satisfied Time

Displays the time the selected condition item became true.
For scenarios not using the operation date scheme, the system time is used to display the time.
For scenarios using the operation date scheme, the time is displayed in terms of the operation date.

*1) Status of whether a condition has become true

    • Color of the true condition (or the color of mandatory true condition)
      1. In the case of a condition item, when the set condition becomes true.
      2. In the case of an AND item, when all the lower items become true.
        When an AND item does not include the lower items, the condition will become true.
      3. In the case of an OR item, when any one of the lower items becomes true.
        When an OR item does not include the lower items, the condition will become true.
      4. In the case of the start condition, normal completion condition, and abnormal completion condition node, when at least one of the lower items becomes true
      5. When a mandatory true condition instruction is directed to a condition item.

    • Color of a disabled condition
      1. In the case of a condition item, when the set condition is disabled.
      2. In the case of an AND item, when any one of the conditions is disabled and the other conditions are true under the item
      3. In the case of an OR item, when all of the conditions under it are disabled.
      4. In the case of the start condition, normal completion condition, and abnormal completion condition node, when a lower item turns to the color of a disabled condition.

    • Color of a false condition
      1. In the case of a condition item, when the set condition is neither true nor disabled.
      2. In the case of an AND item, when any one of the lower items becomes false.
      3. In the case of an OR item, when none of the lower items are true and none of them are disabled.
      4. In the case of the start condition, normal completion condition, and abnormal completion condition node, when none of the lower condition items is true.

*2) Background color of an icon
The background color of each icon is displayed with the color of a true condition (or the color of a mandatory true condition), the color of a false condition, or the color of a disabled condition.
The color of a true condition and the color of a false condition can be changed from the [Scenario Control] tab in the option setting.

The color of a disabled condition can be changed from the [Priority Setting] tab in the option setting.

Checking the details of a condition

The following pages explain the results of a specified definition and definition reference by the condition type.

  1. Results and definition reference of the message condition
  2. Results and definition reference of the event condition
  3. Results condition and definition reference of the global object
  4. Results and definition reference of the time condition
  5. Results and definition reference of the command return value condition

Results: Message condition

[Result] tab

  • Category

Displays the category of a received message.

  • Severity

Displays the severity of a received message.

  • Generated Time

Displays the time a received message was generated

  • Reception Time

Displays the time a message was received

  • Node

Displays the node to which a message was transmitted.

  • Application

Displays the application to which a message was transmitted.

  • Object

Displays the object to which a message was transmitted.

  • Message ID

Displays the message ID with which a message was transmitted.

  • Message Text

Displays the message (message text) of a received message.

Definition reference: Message condition

[Definition Reference] tab

  • Displays what has been defined in the condition definition for messages. The displayed items are not editable.

Results: Event condition

[Result] tab

  • Event Name

Displays the event name of a received event.

  • Sent Host

Displays the host name that issued a received event.

  • Sent User

Displays the user name that issued a received event.

  • Sent Time

Displays the time when a received event was sent.

  • Received Time

Displays the time when an event was received.

Definition reference: Event condition

[Definition Reference] tab

  • Displays what has been defined in the condition definition for an event. The displayed items are not editable.

Results: Global object condition

[Result] tab

  • Variable

Displays the variable name of the global object.

  • Value

Displays the value of the variable when the condition became true.

Definition reference: Global object condition

[Definition Reference] tab

  • Displays what has been defined in the condition definition for a global object. The displayed items are not editable.

Results: Time condition

[Result] tab

  • Result Time

Displays the time when the condition actually became true (it may be different from the scheduled time, depending on the status of the server load or the execution).

Definition reference: Time condition

[Definition Reference] tab

  • Displays what has been defined in the condition definition for time. The displayed items are not editable.

Results: Command return value condition

[Result] tab

  • Command Return Value

Displays the return value of an executed command.

Definition reference: Command return value condition

[Definition Reference] tab

  • Displays what has been defined in the condition definition for command return values. The displayed items are not editable.


Search for scenarios and instances

Search for scenarios or groups

Search fpr instances by specifying a request ID

Search for instances

Search for scenarios or groups

To search for scenarios or scenario groups, follow these steps:

  1. In the left section of the window, select Scenario Control View, a scenario group, or a scenario, and then select [Search] from the right-click menu.

  2. When the node search dialog box has been displayed, enter the node name and click on the [Search Start] button.

Enter a desired scenario name or group name for [Node Name].

You can specify the following search mode for the scenario name or group name.

Perfect match: ABC

Forward match: ABC*

Backward match: *ABC

Partial Match: *ABC*

Enter asterisks ("*") as single-byte.

  3. If you want to display a searched-for scenario(s) or scenario group(s), double-click on the desired scenario or scenario group, or select a desired scenario or scenario group and click on the [Exit] button to display the scenario or the scenario group.

Follow the procedure below to search for the target instance by specifying a request ID.

  1. Right-click [Scenario View] on the left side of the screen, and select [Instance advanced search] from the context menu.

  2. Enter the request ID that you want to search for by using up to 21 characters since the [Instance advanced search] dialog is displayed, and click the [OK] button.
    For details about the request ID, see "Instance request ID".

  3. The [Instance (Scheduled/Actual) List] view is opened and the search result is displayed.
    In addition, the scenario of the specified request ID is in the being selected state in the tree view.

Search for instances

To search for instances, follow these steps:

  1. Select the scenario that defines a desired instance from the tree view in the left section of the window. If you do not know where your desired scenario is located, refer to the "Search: Search for scenarios or groups" section.
  2. Double-click on the selected scenario or select [Instance List] from the context menu you display by right-clicking on the scenario to open the [Instance (Scheduled/Actual) List] view.
  3. Click on the [Search] button in the [Instance (Scheduled/Actual) List] view to open the [Instance Search] dialog box.
  4. Click on [OK] after specifying the search conditions to start a search operation and display an instance(s) that matches the conditions.

Click on [Cancel] to return to the [Instance (Scheduled/Actual) List] view without performing the search operation.

Instance Search dialog box:

You can enter search conditions or check them.

    • Start Date

Enter the start date of the period within which instances are searched for.

Default value: Date that is the number of days specified in the [Option] - [Scenario Control] tab before the day on which a search operation is performed

    • End Date

Enter the end date of the period within which instances are searched for.

Default value: The day on which a search operation is performed

    • Filter

If you specify the state, delay, and confirm conditions for a filter, they will be combined into OR conditions within a group (*1) and into AND conditions between groups.

  • Status

Check a desired status(es) to be searched for.(*1)

Default setting: All the boxes are checked

  • Delay

Specify whether a delay will be present.(*1)

Default setting: All the boxes are checked

  • Confirm

Specify whether instances are confirmed or not.(*1)

Default setting: All the boxes are checked

*1) Note that if you uncheck all the items above, search operations will not find any matched instances.

[Note]

The possible dates that meet the conditions of a search operation for instances are dates on which actual start times fell and those on which the operation dates were changed. For instances that were executed over a day, you must specify the date when they started the process to be searched for.

For instances that were re-executed or resumed, search operations are executed based on the actual start times of the source instances.


Monitor scenario messages

Monitor the scenario message

  • Scenario Control Message
    • Enabled

Specify whether the use of scenario control messages will be enabled/disabled. If you want to use them, check [Enabled]. By default, scenario control messages will be used.

    • Max Display

When you checked [Enabled] for [Scenario Control Message], specify the maximum number of messages to be displayed in the [Scenario Control Message] tab. You can specify any value in the range of 1000-20000. The default value is 1000.


Refer to destination result of the scenario exe part

The results of the execution destination scenario can be viewed from the scenario execution component in the i nstance monitoring view.

To view the results of the execution destination scenario, right-click the finished scenario execution component and select [Target flow] and then [Refer to result] from the displayed pop-up menu, or double-click the component while clicking the [Shift] key.

When the execution destination scenario is the lower manager, the lower manager name is displayed in the title of the result reference view.

The display on the Instance result screen is updated by every certain period of time when the instance in the lower-level manager is being executed. (The default is 5 seconds.)

Click the [Update] button when immediately updating the display on the result screen.

The [Update] button is enabled only when the displayed instance is being executed.

The time when the display was updated last is displayed on the status bar on the screen when the instance that displays the result screen is being executed. (The last update date and time is hidden when the instance is completed.)

Follow the procedure below to change the automatic update interval of the result screen.

  1. Select [Setting] and then [Options] of the menu item.

  2. Select the [Scenario] tab since the [Option Setting] dialog box opens.

  3. Set the update interval of the Lower Manager Result View within the range from 5 to 3600 seconds.

Clicking [OK] changes the update interval and closes the [Option Setting] dialog box.

Clicking [Cancel] does not change the update interval and closes the [Option Setting] dialog box.

The cause of failure is displayed on the status bar on the screen when the update of the result screen failed.

[Note]

  • When the execution destination scenario is the lower manager, the components cannot be operated from the result reference view of the execution destination scenario.

  • When the execution destination scenario is the lower manager, the icon displayed on the title bar is the default icon.


Restricting the number of instances displayed on the instance list tab

When displaying the [Instance List] tab takes time due to a large number of instances, the load on the dialog box can be reduced by restricting the number of displayed instances.

  • [Instance List] tab

    • Restricting the number of displayed items
      Specify whether or not to restrict the number of instances displayed on the [Instance List] tab.
      Not restricted by default.

    • Maximum number of displayed items
      When the check box for [Limited instance count] is selected, specify the maximum number of instances displayed on the [Instance List] tab.
      Specify a value from 100 to 10,000. The default value is 100.

[Note]

  • This restriction only applies to the [Instance List] tab.
    This restriction does not apply to the [Instance List] dialog box that is displayed by right-clicking the scenario control tree and selecting [Instance List] from the displayed pop-up menu, or by double-clicking a scenario node.

  • These settings are used to restrict the number of instances displayed when the [Instance List] tab is opened for the first time.
    Instances that are added while the dialog box is displayed are not restricted.

  • Display restriction is performed for each scenario.
    When there are multiple scenarios displayed in the [Instance List] tab, instances up to the maximum display number are displayed for each scenario.


Delete records in a history

You can delete executed instances of a scenario on a per-day basis.

To delete them, two methods are provided: One method is to directly delete the specified scenario or scenario group and another is to automatically delete instances that have passed the specified retention period.

If you directly delete instances, you can delete them on a per-scenario basis or on a per-group basis, and if you follow the latter method, the delete operation will target all the scenarios within a group.

If you follow the automatic deletion method, the instances of all the scenarios that have passed the retention period will be deleted.

You can also delete records in the history from the command line. For information on how to delete records in the history from the command line, refer to the command reference.

[Note]

You cannot restore any records deleted from the history.

Even if a scenario definition is enabled, the scenario records can be deleted from the history.

When an instance being executed exists in the scenario to be deleted, all instances except the instance being executed are deleted.

To remove records in a history, you must shift into the Configuration Mode.

Select [Configuration Mode] from the [Setting] menu to change the mode of operation.

If the deletion period includes a scenario including an instance submitted based on a plan, or a group including such a scenario (when performing a SWAP operation specifying a future time or an initialization operation), a removal confirmation message will appear.

Click the [Yes] button to delete the instance entered according to the schedule.(The instances that can be deleted except the instance being executed are deleted.)

Click the [No] button to return to the previous dialog box without deleting the instance entered according to the schedule.(The instances that can be deleted except the instance being executed are deleted.)

In the case of manual deletion

Deleting scenario records from the history

Deleting scenarios within a group from the history

In the case of automatic deletion

In the case of manual deletion

Deleting scenario records from the history

To delete specific scenarios from the history, follow these steps:

  1. From the tree view in the left section of the window, select the scenario that defines the instance you want to delete. If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.
  2. Right-click on the scenario you selected and select [Delete History] from the context menu.

  3. The history delete dialog box opens.

Deleted Item:

Displays the scenario name for which records will be deleted from the history (not editable).

Initialization:

Deletes all the records from the history.

Swap:

Deletes all the records prior to the swap date from the history.
When you delete scenario records using the operation date scheme from the history, specify the date when you changed the operation date as the swap date.

When you select a desired condition for history deletion and click on [OK], a confirmation dialog box opens.

Click on [Yes] in the confirmation dialog box to delete records from the history based on the selected condition and close the confirmation dialog box and the history delete dialog box.

Click on [No] in the dialog box to return to the history delete dialog box without deleting records from the history.

Click on [Cancel] to close the history delete dialog box without deleting records from the history.

Deleting scenarios within a group from the history

[Note]

When you delete records for the scenarios within a specific group from the history, you need to delete them with the same condition(s).

If you select Scenario Control View and perform this operation, all the instances will be deleted from the history with the same condition(s).

If you want to delete scenarios from the history with different conditions, you need to delete them on a per-scenario-definition basis.

To delete scenarios within a specific group from the history, follow these steps:

  1. From the tree view in the left section of the window, select the group that includes the scenario defining the instance you want to delete. If you do not know where the group is located, refer to the "Search for scenarios and instances" section.
  2. Right-click on the group you selected and select [Delete History] from the context menu.

  3. The history delete dialog box opens.

Deleted Item:

Displays the group name that includes scenarios to be deleted from the history (not editable).

Initialization:

Deletes all the records from the history.

Swap:

Deletes all the records prior to the swap date from the history.
When you delete records of scenarios using the operation date scheme from the history, specify the date when you changed the operation date as the swap date.

When you select a desired condition for history deletion and click on [OK], a confirmation dialog box opens.

Click on [Yes] in the confirmation dialog box to delete records from the history based on the selected condition and close the confirmation dialog box and the history delete dialog box.

Click on [No] in the dialog box to return to the history delete dialog box without deleting records from the history.

Click on [Cancel] to close the history delete dialog box without deleting records from the history.

In the case of automatic deletion

[Note]

The history hold period for instances is initialized to indefinite.

If you want to automatically delete instance records from the history, you must always set a desired history hold period.

  1. Select [Setting]-[Option] menu item.
  2. When the [Option Setting] dialog box has opened, select the [Scenario Control] tab.

Set a desired history hold period.

Click on [OK] to change the history hold period and close the [Option Setting] dialog box.

Click on [Cancel] to close the [Option Setting] dialog box without changing the history hold period.

[Note]

An automatic deletion operation is performed only once a day; when you generate the first instance on the day.

An automatic deletion operation is not performed on a day when you do not generate an instance.


Delete an instance

In addition to the deletion of records in the history, you can manually delete instances that have been completed and those that are scheduled to run.

In the history delete function, instances that will be deleted are those created in the specified time period, but in this function, instances per se will be deleted.

From the [Instance List] tab and the [Instance (Scheduled/Actual) List] view, you can delete instances.

The deleted instances will be also removed from the history.

Instances that can be deleted:

The following shows the types of instances that you can delete from the [Instance List] tab and the [Instance (Scheduled/Actual) List] view:

  • Instances not yet executed (on non-working days)
  • Instances not yet executed (limited runs)
  • Instances normally completed
  • Instances abnormally completed
  • Instances completed with a warning
  • Instances forcefully completed
  • Instances submitted based on a plan

Deleting instances from the [Instance List] tab

To delete instances, follow these steps:

  1. From the tree view in the left section of the window, select the scenario group or the scenario that defines the instance you want to delete.
    If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.

  2. From the instances displayed in the [Instance List] of Scenario Control View, select the instance of the scenario you want to delete.
    If you do not know where the instance is located, refer to the "Search for scenarios and instances" section.
  3. Right-click on the instance and select [Delete] from the context menu.(*1)

  4. A message appears to confirm the delete operation.

Click on [Yes] to delete the instance and return to the [Instance (Scheduled/Actual) List] view after the view is updated.

Click on [No] to return to the [Instance (Scheduled/Actual) List] view without deleting the instance.

[Note]

*1: Among the instances of a scenario using the operation date scheme, the last one that changed the operation date cannot be deleted.
The instances that changed the operation date in the past, except the one that did it last, can be deleted.

If you delete an instance that will be submitted based on a plan, the instance will not be executed at the planned time.

Deleting instances from the [Instance (Scheduled/Actual) List] view

To delete instances, follow these steps:

  1. From the tree view in the left section of the window, right-click on the scenario group or the scenario that defines the instance you want to delete and select [Instance List] from the context menu.
    If you do not know where the scenario is located, refer to the "Search for scenarios and instances" section.

  2. From the instances displayed in the [Instance (Scheduled/Actual) List] view, select the instance you want to delete.
    If you do not know where the instance is located, refer to the "Search for scenarios and instances" section.
  3. Right-click on the instance and select [Delete] from the context menu.(*1)

  4. A message appears to confirm the delete operation.

Click on [Yes] to delete the instance and return to the [Instance (Scheduled/Actual) List] view after the view is updated.

Click on [No] to return to the [Instance (Scheduled/Actual) List] view without deleting the instance.

[Note]

*1: Among the instances of a scenario using the operation date scheme, the last one that changed the operation date cannot be deleted with the context menu of the [Instance (Scheduled/Actual) List] view.
The instances that changed the operation date in the past, except the one that did it last, can be deleted.

If you delete an instance that will be submitted based on a plan, the instance will not be executed at the planned time.


Manage the enablement/disablement of an operation date

You can check the working days/non-working days for a scenario using the operation date scheme on a monthly basis.

To list the working days/non-working days, follow these steps:

  1. Select Scenario Control View, a desired scenario group, or a desired scenario.

  2. After selecting the item, press the right mouse button and select [Enabled/Disabled Scenario List] from the context menu.

[Normal] mode: | [Configuration] mode

  3. The [Enabled/Disabled Scenario List] window appears.

    • Year specification (Non-enterable)
      Specify a desired year in the range of 2000 to 2036 with the spin button. The current year is initially displayed.
    • Month specification (Non-enterable)
      Select a desired month from January to December. The current month is initially displayed.

    • Previous Month
      Clicking on the [Previous Month] button enables you to display information for the month previous to the current month in the year displayed (set).
    • Next Month
      Clicking on the [Next Month] button enables you to display information for the month following the current month in the year displayed (set).
    • Update
      Click on the [Update] button to update the components and names of scenarios and groups and the working days/non-working days in the calendar.

    • Scenario Name
      Displays each scenario name. This list does not display scenarios that are not using the operation date scheme. It also displays the gray background for dates for which working/non-working days are not set or for cases where a valid calendar is not indicated.

Status of selecting Scenario Control View

    • Colors for working day/non-working day/non-specified days
      The colors set in [Option] in the scenario control are displayed.

[Note]

    • About displaying [Enabled/Disabled Scenario List] for scenarios not using the operation date scheme.
      The list does not display the scenario names and working days/non-working days for scenarios that are not using the operation date scheme.
      If a scenario group includes a scenario that is not using the operation date under the group, it only displays the group name and the scenario names using the [image] operation date scheme. Even if the scenario group only includes scenarios that are not using the operation date scheme, the group name is still displayed.

Scenarios that are not displayed in [Enabled/Disabled Scenario List]

    • When the view is updated
      When you have changed the structure tree of a scenario and the settings of colors for working day/non-working day/non-specified days, the colors and the view of the structure tree for the scenario will not be updated automatically. They will be updated when you click on the [Update] button.


Send an event

The event transmission is a function that sends events within the scenario control only.
Two methods are provided for the event transmission: One method is to send events within a flow by using an event transmitting part and another method is for a user to issue an event at any time.

[Note]

Events limited to within the scenario control.

Messages can be sent to functions that monitor them such as Business View, but events are closed within the scenario control and cannot be sent to other functions.

Issue an event at any time

To issue an event, follow these steps:

  1. Display the context menu from Scenario Control View.

[Normal] mode:

  2. Select [Issue Event] from the context menu to display the [Issue Event] dialog box.

    • Event Name (required)
      Enter a desired event name, within a maximum of 64 characters, or specify one by selecting it from the current wait events.
    • Event Sendig Unit
      Specify a desired destination unit (Unit or All). Single is selected when this dialog box is initially displayed.
    • Confirm Event Receiving
      Check this if you want to receive an acknowledgement of the event reception. It is unchecked when the dialog box is initially displayed. If it is checked, a timeout value can be entered.
    • Timeout
      Specify a timeout value in the range of 0 to 86400 seconds when receiving an acknowledgement of the event reception. A value of "0" means that a user waits to receive an acknowledgement of the event forever. A value of "0" is initially displayed.

  3. Click on [OK] to issue the event and close the [Issue Event] dialog box.
    Click on [Cancel] to close the [Issue Event] dialog box without issuing the event.

When you click on [OK] without entering the event name, the following error message will appear.

When you specify a timeout value outside the range and click on [OK], the following error message will appear.

[Note]

Event Sending Unit:

When sending events, you need to specify a desired event destination unit (Single or Whole).

Unit

Sends an appropriate event to the oldest part or waiting condition inserted in the event waiting queue.

For this reason, only the oldest condition or part waiting for an appropriate event receives the event.

All

Sends an appropriate event to all the parts or all the wait conditions inserted in the event waiting queue.

For this reason, all the conditions or parts waiting for an appropriate event receive the event.


Confirm the receipt of an event

This function waits for the transmitted event to be received, without discarding it, when there are no conditions or parts awaiting the transmitted event.

If an event was not awaited when sending it, but it is awaited before the receipt acknowledgement times out, only the part or condition that started waiting for the event will receive it, regardless of the event destination unit, and the event transmission will be completed.

You can specify a timeout value for the waiting process.
When the wait timer times out, the transmitted event will be discarded. When an event transmission process times out from the [Issue Event] dialog box, a message will be sent.


About guaranteeing an event

Guaranteeing an event from the [Issue Event] dialog box

If the manager is stopped when trying to receive a receipt acknowledgement for an event transmitted from the [Issue Event] dialog box with a user operation, the issued event will remain in the manager.
Rebooting the manager will not reset the timeout value for receipt acknowledgement in the [Issue Event] dialog box.
When the event times out while the manager is stopped, it will be recognized immediately after the manager is rebooted.

Guaranteeing an event from an event transmitting part

If the manager is stopped when trying to receive a receipt acknowledgement for an event transmitted from an event transmitting part, the issued event will remain in the manager.
Rebooting the manager will not reset the timeout value for receipt acknowledgement for the event transmitting part.
When the event transmitting part's reception timer times out while the manager is stopped, it will be recognized immediately after the manager is rebooted.


Scenario control event

The [Scenario Control Event] tab is displayed in Information View. The [Scenario Control Event] tab displays events that are being awaited and those for which the event receipt acknowledgement is being awaited.

  • Service Name

Displays the service name to which each event is related. It is displayed only when more than one service is using the work flow infrastructure.

  • Scenario Name

Displays each scenario name. It displays a work flow name when more than one service is using the work flow infrastructure.

  • Instance Name

Displays the instance name of each scenario.

  • Event Name

Displays the event name of an event that this instance waits to transmit or receive.

  • Event Type

Displays one from [Event Transmission], [Event Reception], and [User Issuance].

  • Component Name

Displays the part name in each scenario. It is left blank for events issued by users.

  • Wait Start Time

Displays the following based on the types of events:
Event transmitting part: Time when an event was transmitted
Event waiting part: Time when the part started to wait for an event
User issuance: Time when a user issued an event (in the manager time)

  • Timeout

Displays the time when a timeout occurs, in the form of yyyy/mm/dd hh:mm:ss if the timeout is set. If the timeout is not set, it is left blank. The timeout value is displayed in the system date even for scenarios with the operation date.

If more than one service is using a work flow, "Workflow Event" is displayed.

Deleting an event from the [Scenario Control Event] list

Only the events that have been issued from the [Scenario Control Event] list with a user operation can be deleted by selecting [Delete] from the context men.

When you perform a delete operation on an event that was issued with a user operation, an error message will not appear if the event has already timed out or has been received.
From the scenario control event, you can delete neither events issued from event transmitting parts nor waiting events.

When an event is deleted from the [Scenario Control Event] list

The events are deleted when:

  • Reception acknowledgement is turned on and an issued event is received or, an event is received when the event is awaited.
  • The event times out.
  • The relevant part is forced to stop.
  • The operation date is changed.
  • A completion condition becomes true if the completion condition is set in a scenario using the operation date scheme.
  • A delete operation is performed from the [Scenario Control Event] list.

Displaying a monitoring dialog box for event transmission and event reception

Double-clicking on a row item within the [Scenario Control Event] tab will open its corresponding instance tracker window and display the property window for the target part.
If you double-click on an event waiting condition, however, it will only open the tracker window for the corresponding instance, and will not open the property window for the condition.
If the event type is user issuance, the monitoring dialog box will not appear.


About global objects

A global object is a variable that can be shared between scenarios. Global objects enable information sharing and synchronization of flows between scenarios.

Example of using a global object to pass information:

The following examples show that an execution result within a scenario is referenced by another scenario. An appropriate process based on the result can be made possible by enabling another scenario to reference it.

To do so, a global object (variable) that can pass an execution result must be defined in advance.

Examples of using a global object for flow synchronization

The following examples show that a scenario waits for another scenario to complete its task before it proceeds with its process. Execution of scenarios can be synchronized by waiting for another scenario to complete its task.

To do so, a global object (variable) must be defined in advance to test whether the task has been completed.

In this example, the variable is called "Task 1-1 completion flag."

The following describes the specifications of global objects.

Data types of global objects:

Variables that can be used for global objects take the following two types of data:

Type | Data Range
Numeric value | -2147483648-2147483647
Character string | -2147483648-2147483647

Operators for global objects:

The variables can be used when the following operations are performed:

Operator | Process | Remarks
Assignment | Assigns a variable to the specified value or character string. | Only the integer type of values can be assigned to the integer type of variables.
Increment | Increments the value of a variable by 1. | This operator can be selected for the integer type of variables only. If the value has reached the upper limit, nothing happens.
Decrement | Decrements the value of a variable by 1. | This operator can be selected for the integer type of variables only. If the value has reached the lower limit, nothing happens.


Refer to a global object

You can list the defined global objects and reference the current value of each global object.
Open this dialog box with the context menu for the tree view.

  • Variable Name

Displays the variable name of each global object.

  • Attribute

Displays [Integer] or [Character String].

  • Value

Displays the current value of each global object.

  • Explanation

Displays the explanation specified when creating each global object.

  • Add

Opens the global object addition dialog box.

  • Update

Opens the update dialog box for the selected global object in the list.

  • Delete

Deletes the selected global object from the list.

  • Update Value

Opens the update dialog box for the value of the selected global object in the list.

  • Browse List

Opens the reference list dialog box for the selected global object in the list.

  • Reacquire

Reacquires the latest value and description of each global object.

Select an item in the list and double-click it to open the [Global Object Reference Detail] dialog box.

Global Object Reference Detail:

[Note]

Each column can display a maximum of 259 characters.
If you specify a Value or Description with 260 or more characters, all the characters cannot be listed at once.


Create a global object

The following dialog box is displayed by selecting [Add] in the [Global Object Setting] dialog box.
This dialog box is used to define one global object.

When Attribute is Integer:

When Attribute is Character String:

  • Variable Name (required)

Specify a desired variable name, within a maximum of 64 characters. The characters &, %, $, and ! cannot be used for variable names.
When a single-byte or double-byte blank character(s) is included at the beginning or end of a variable name, you must remove it.

  • Attribute (required)

Select either [Integer] or [Character String]. It is initially blank.

  • Initial Value

Enter the initial value of the global object.
When Attribute is Integer, this is a required item. You can enter the value with the spin button.
If you enter an integer, enter it in the range of -2147483648 to 2147483647.
If you enter a character string, specify it within a maximum of 1024 characters.

  • Explanation

Specify a explanation for the value, within a maximum of 1024 characters.

When you click on the [OK] button, the system checks the entries, and if any entry is invalid, it will display the following error message:

When the Variable Name is not entered:

When the Variable Name includes &, %, $, and/or !:

When the entered Initial Value is invalid:


Update a global object

The following dialog box is displayed for the selected global object in the list by selecting [Update] in the [Global Object Setting] dialog box.
This dialog box is used to update the description of the selected global object.
When the description of the global object has been updated, the global object list will be updated.

  • Variable Name

Displays the variable name of the global object you selected in the list.

  • Attribute

Displays the attribute of the global object you selected in the list.

  • Initial Value

Displays the initial value.

  • Explanation

You can change the explanation of the global object you selected in the list.
Change the explanation within a maximum of 1024 characters.


Delete a global object

You can delete the selected global object in the list by selecting [Delete] in the [Global Object Setting] dialog box.
Before you delete the global object, the following confirmation message will appear.

If the global object is used in a flow, the following message will appear.

[Note]

If a global object is deleted when re-executing an instance, the waiting condition in the global object will become false.
The global object update part will result in an error, and the part will be completed abnormally.
Even if you delete a global object and create another global object with the same name as the deleted object, they will be managed as separate entities.
For this reason, if you re-execute or resume executing an instance that includes a deleted global object and you created a global object with the same name, type, and initial value as those for the deleted object before re-execution or resumption, the process will be completed abnormally because the system determines that the global object (part or condition) does not exist.


Update the value of a global object

The following dialog box is displayed for the selected global object in the list by selecting [Update] in the [Global Object Setting] dialog box.
This dialog box is used to update the current value of the global object.
When the current value of the global object has been updated, the global object list will be updated.

  • Variable Name

Displays the variable name of the global object you selected in the list.

  • Attribute

Displays the attribute of the global object you selected in the list.

  • Value

Displays the current value, which you can change.
When Attribute is Integer, this is a required item, and can be specified with the spin button.
If you enter an integer, enter it in the range of -2147483648 to 2147483647.
If you enter a character string, specify it with a maximum of 1024 characters.

  • Explanation

Displays the explanation of the global object you selected in the list.

When you click on the [OK] button, the system checks the entries, and if any entry is invalid, it will display the following error message:


Refer to a scenario using a global object

A list of scenarios is displayed that refer to the global object selected in the list.
When a scenario refers to a global object, it means:

  • The start condition or completion conditions for the scenario or a part in the scenario include the condition of the global object,
  • The property reference for a part in the scenario refers to the global object,
  • A global object update part in the scenario will update the global object.

  • Scenario Name

Displays the scenario name that refers to the global object.

  • Group Path

Displays the absolute path to the group to which this scenario belongs.

[Notes]
Each column can display up to 259 characters.
When the Group Path consists of 260 or more characters, all the characters cannot be listed.


Reacquire the value of every global object

You can update the value and description of every global object by selecting [Reacquire] in the [Global Object Setting] dialog box.
When you select [Reacquire], the other buttons will stay grayed out and disabled until the value and description of every global object have been updated.


About local objects

A local object is a variable that can be used on a-per-scenario basis.

A local object enables you to run a scenario with the information you specify when running it.

To define a local object, select [Local Object Setting] from the right-click menu of a desired START part in Scenario Definition View.

You can reference local object values through reference settings of conditional branch parts, property reference of parts, and part conditions (property reference of detailed conditions).

A local object value can be specified when running a scenario using the object, and if the object value is not specified, the initial value specified when defining the local object will be applied.

Data types of local objects:

Variables that can be used for local objects take the following two types of data:

Type | Data range
Integral Number | -2147483648 to 2147483647
String | 1024 characters

Examples of using a local object value when running a scenario:

The following example sets an item in the command definition for an action part so that the item can refer to a local object value.

Hosts or commands to be run can be controlled by one scenario through local object values.

  • Local object definition example

Variable name | Type | Initial value
ServerName | String | Server1
Command1 | String | Command1
Command2 | String | Command2


Setting a local object

You can define a local object when editing a scenario definition, and use it within the scenario.

To define a local object, select [Local Object Setting] from the right-click menu of a desired START part in Scenario Definition View.

  • Variable Name
    Displays the variable name of each local object.

  • Attribute
    Displays [Integer] or [Character String].

  • Initial value
    Displays the initial value of each local object.

  • Explanation
    Explanation the description specified when creating each local object.

  • Add
    Opens the local object addition dialog box.

  • Update
    Opens the update dialog box for the local object you selected in the list.

  • Delete
    Deletes the local object you selected in the list.

[Note]

Each column can display a maximum of 259 characters.

If you specify a Value or Description with 260 or more characters, all the characters cannot be listed at once.


Adding a local object

The following dialog box is displayed by selecting [Add] in the [Local Object Setting] dialog box.

This dialog box is used to define one local object.

When Attribute is Integer:

When Attribute is Character String:

  • Variable Name (required)
    Specify a desired variable name, within a maximum of 64 characters. The characters &, %, $, !, =, and linefeed cannot be used for variable names.
    When a single-byte or double-byte blank character(s) or TAB character(s) is (are) included at the beginning or end of a variable name, you must remove it.

  • Attribute (required)
    Select either [Integer] or [Character String]. [Integer] is initially displayed.

  • Initial value
    Enter the initial value of the local object.
    When Attribute is Integer, this is a required item. You can also enter the value with the spin button.
    If you enter an integer, enter it in the range of -2,147,483,648 to 2,147,483,647.
    If you enter a character string, specify it within a maximum of 1,024 characters. A linefeed character cannot be used.
    When a single-byte or double-byte blank character(s) or TAB character(s) is (are) included at the beginning or end of the initial value, you must remove it.

  • Explanation
    Specify a Explanation for the value, within a maximum of 1,024 characters. A linefeed character cannot be used.

When you click the [OK] button, the system checks the entries, and if any entry is invalid, it will display the following error message:

When the Variable Name is not entered:

When the Variable Name includes &, %, $, ! and/or =:

When the entered Initial Value is invalid:


Updating a local object

The following dialog box is displayed for the selected local object in the list by selecting [Update] in the [Local Object Setting] dialog box.

This dialog box is used to update the initial value and description of the selected local object.

When the current settings of the local object have been updated, the local object list will be updated.

  • Variable name
    Displays the variable name of the local object you selected in the list.

  • Attribute
    Displays the attribute of the local object you selected in the list.

  • Initial value
    You can change the initial value of the local object you selected in the list.
    If you enter an integer, enter it in the range of -2,147,483,648 to 2,147,483,647.
    If you enter a character string, specify it within a maximum of 1,024 characters. A linefeed character cannot be used.
    When a single-byte or double-byte blank character(s) or TAB character(s) is (are) included at the beginning or end of the initial value, you must remove it.

  • Explanation
    You can change the Explanation of the local object you selected in the list.
    Change the Explanation within a maximum of 1,024 characters. A linefeed character cannot be used.


Deleting a local object

You can delete the selected local object in the list by selecting [Delete] in the [Local Object Setting] dialog box.

Before you delete the local object, the following confirmation message will appear.


Setting a local object value

Set a local object value when running a scenario.

You can set a local object value with the manual entry dialog box and operation date change dialog box, and when running a scenario with a command.

To a local object whose value is not set when running a scenario, the initial value set when the scenario was defined is applied.

Manual Submit dialog box:

  • Local object setting
    Opens the local object setting dialog box.

Operation Date Change dialog box:

  • Local object setting
    Opens the local object setting dialog box.

Local Object Setting dialog box:

  • Variable Name
    Displays the variable name of each local object.

  • Attribute
    Displays [Integer] or [Character String].

  • Value
    Displays the value of the set local object.

  • Explanation
    Displays the explanation specified when creating each local object.

  • Update
    Opens the update dialog box for the local object you selected in the list.

[Note]

Each column can display up to 259 characters.
When the key or value consists of 260 or more characters, all the characters cannot be listed.

Local Object Update dialog box:

  • Variable name
    Displays the variable name of the local object you selected in the list.

  • Attribute
    Displays the attribute of the local object you selected in the list.

  • Value
    You can change the value of the local object you selected in the list.
    If you enter an integer, enter it in the range of -2,147,483,648 to 2,147,483,647.
    If you enter a character string, specify it within a maximum of 1,024 characters. A linefeed character cannot be used.
    When a single-byte or double-byte blank character(s) or TAB character(s) is (are) included at the beginning or end of the initial value, you must remove it.

  • Explanation
    Displays the explanation of the local object you selected in the list.

If you set a local object value when running a scenario with a command, refer to the following:

  • For scenarios not having the operation date:

  • For scenarios having the operation date:


Referencing a local object value

When a scenario using a local object has been executed, you can reference the local object value when the scenario was running.

The following methods are provided to reference the value of a local object when the scenario using the object was running.

  1. From the right-click menu of an instance displayed in the instance list, select [Local object reference] to open the [Local Object Reference] dialog box.

  2. Display the property of a part from the tracker window of the instance, and refer to an item that references a desired local object.

When referencing from the [Local Object Reference] window

Instance list:

Local Object Reference dialog box:

  • Variable name
    Displays the variable name of the local object used when running a scenario.

  • Attribute
    Displays the attribute of the local object used when running a scenario.

  • Value
    Displays the value of the local object used when running a scenario.

  • Explanation
    Explanation the description of the local object used when running a scenario.

[Note]

Each column can display up to 259 characters.
When the key or value consists of 260 or more characters, all the characters cannot be listed.

Select an item in the list and double-click it to open the [Local Object Reference Detail] dialog box.

Local Object Reference Detail:

When referencing from the property of a part.

Tracker window:

Part property:

  • When defining a scenario

  • When running a scenario

The item that was set to reference a local object when defining a scenario displays the value of the local object when the scenario was running.


Restrictions on an operation for each operation target

The scenario control enables you to limit executable operations on each operation target through granted user authorities.

In addition, before you can grant a user authority, you need to have an appropriate group authority the user authority is based on.

operation | user authorities | group authorities
Add Group | Reference Update Add | User Management authority
Add Scenario | Reference Update Add | User Management authority
Instance list | Reference | Reference authority
Enabled/Disabled Scenario List | Reference | Reference authority
Enabled | Reference Control | Operation authority
Manual submit | Reference Control | Operation authority
Change Operation Date | Reference Control | Operation authority
Send Event | Reference | Operation authority
Edit Definitions | Reference Update | Configuration authority
Global Object Setting | Reference | Reference authority
Add/Update/Delete Global Object | Reference | Configuration authority
Update Global Object Value | Reference | Operation authority
Referencing a Global Object | Reference | Reference authority
Import | Reference Update Add | User Management authority
Export | Reference | Configuration authority
Delete History | Reference History deletion | Configuration authority
Move (source) | Reference Update Delete | User Management authority
Move (destination) | Reference Update Add | User Management authority
Update | Reference Update | Configuration authority
Delete | Reference Update Delete | Configuration authority
Forcing a running instance or part to stop | Reference Control | Operation authority
Confirming completed instances and undoing the confirmation | Referencev Control | Operation authority
Monitor a instance | Reference | Reference authority
Re-execute an instance | Reference Control | Operation authority
Delete instance | Reference Control | Operation authority
Resume execution from a part | Reference Control | Reference authority
Confirmation responses of parts | Reference Control | Reference authority
Disable a condition/Restore a disabled condition | Reference | Reference authority
(Node)Search | Reference | Reference authority

[Note]

  • For the imported scenario group, all the user groups are granted the reference, update, add, delete, and history delete rights.

  • For the imported scenario, all the user groups are granted the reference, update, delete, control, and history delete rights.

  • Any of the rights granted when being imported is not granted to user groups that do not have the group authority required for granting the right.


About filter definition

This product issues messages with specific timing.

If you set a condition that messages issued by the product may meet in a filter definition, it is likely that messages from the product may be received prior to those expected. Set up an appropriate filter definition so that you do not receive unnecessary messages.

This product issues messages with the following content at the following times:

Message issue timing

  • When starting an instance
  • When ending an instance (*1)
  • When a delay occurs
  • When a window response part starts to wait
  • When a window response part ends waiting
  • When a scenario action part starts to wait and ends waiting
  • When an action part submits a command to an agent that has not been started and a timeout event occurs
  • When a scenario action part submits a command to an agent that has not been started and a timeout event occurs
  • When an SSC tandem part submits a command to an agent that has not been started and a timeout event occurs

Message content

  • Application

Unified Management Framework

  • Object

Scenario control

  • Category

Unified Management Framework

  • Message ID

00750001 When the scenario control is not licensed (Severity: Warning)

00750002 When the number of licenses is insufficient (Severity: Warning)

00750003 When a service it depends on does not exist (Severity: Warning)

00750011 When a part has been abnormally completed (a message will be issued at the following time for each part)

Timing for each part

  • Action and SSC tandem parts: When they have been abnormal completed due to the completion code, when they fail to submit a command, or when their host or command is empty

  • SSC Web service Relation: Failed to request SSC.

  • Conditional branch part: When it cannot acquire a property reference value

  • Message transmitting part: When it fails to send a message

  • Message waiting: When it times out

00750012 When starting an instance

00750013 When ending an instance (*1)

00750014 When a delay occurs

00750015 When a window response part starts to wait

00750016 When a window response part ends waiting

00750017 When an event of reception acknowledgement issued from the [Issue Event] dialog box times out (Severity: Warning)

00750018 If the manager is stopped on the time and date when a planned and scheduled instance is started, and when the scheduled instance is started at the time of starting the manager (Severity: Warning)

00750019 When the event name of an event condition includes a blank character (Severity: Warning)

00750020 Start condition: When receiving a report that the condition does not become true from a start route condition (Severity: Warning)

  • When all of the condition fails to be registered

  • When a complex condition using AND includes a condition registration error

  • When the anterior condition does not become true

00750101 When activating a scenario for which a schedule is not set in a time trigger (Severity: Warning)

00750102 When a scenario cannot not be started due to the restrictions on the number of simultaneously executable instances (Severity: Warning)

00750103 When any condition defined in the normal completion condition or abnormal completion condition becomes true ahead of the start condition (Severity: Warning)

00750104 Start condition: When receiving a report that the condition does not become true from a start route condition (Severity: Warning)

  • 00750104 End condition: When receiving a report that the condition does not become true from an end route condition

  • When all of the condition fails to be registered

  • When a complex condition using AND includes a condition registration error

  • Other items

Differ depending on messages

*1) If an instance is forced to stop, an instance end message will also be issued when the instance is forced to be terminated as a result of a part being forced to stop.


About restrictions on operations due to user rights.

This product mainly provides three types of rights. A granted right determines the scope of user operations.

The system is in the normal mode when a user logs in to it. When you need to define a scenario, you must log in to the system as a user with the definition right and shift into the Configuration mode.

Only one user can shift into the Configuration mode at once. When a user on a different terminal has already shifted into the Configuration mode, no other user can move into the mode until the user shifts into the Normal mode.

User Right | Reference Right | Operation Right | Definition Change Right
Available Mode | Normal Mode | Normal Mode | Normal Mode Configuration Mode
Editing a scenario definition | No | No | Yes(*1)
Importing and exporting a scenario | No | No | Yes(*1)
Importing and exporting a group | No | No | Yes(*1)
Enabling a scenario | No | Yes | Yes
Manual scenario submission (Planned submission) | No | Yes | Yes
Forcing a running instance or part to stop | No | Yes | Yes
Confirming completed instances and undoing the confirmation | No | Yes | Yes
Monitoring instances | Yes | Yes | Yes
Re-executing an instance | No | Yes | Yes
Resuming execution of a part | No | Yes | Yes
Deleting an instance | No | Yes | Yes
Creating, renaming, deleting, and moving a group | No | No | Yes(*1)
Creating, renaming, deleting, and moving a scenario | No | No | Yes(*1)
Instance list (instance search) | Yes | Yes | Yes
(Node) search | Yes | Yes | Yes
Operation date change | No | Yes | Yes
Disabling a condition | No | Yes | Yes
Restoring a disabled condition | No | Yes | Yes
Mandatory true condition | No | Yes | Yes
Event issuance | No | Yes | Yes
Time adjustment | No | Yes | Yes
Displaying the [Time Adjustment] window | Yes | Yes | Yes
Displaying the [Global Object Editing] window | Yes | Yes | Yes
Adding a global object | No | No | Yes(*1)
Updating a global object | No | No | Yes(*1)
Deleting a global object | No | No | Yes(*1)
Updating the value of a global object | No | Yes | Yes
Referencing the global object list | Yes | Yes | Yes
Reacquiring global objects | Yes | Yes | Yes
Optional settings | No | No | Yes(*1)
License management | No | No | Yes(*2)
User management | No | No | Yes(*3)

*1) This can be executed after shifting into the Configuration mode.

*2) Only users with the definition right who have the license management right can execute this.

*3) Only users with the definition right who have the user management right can execute this.


Compatibility between different versions

Restrictions on displaying and executing scenarios

Restrictions on scenarios using the operation date scheme

When you create a scenario using the operation date scheme in this version of the product, the scenario cannot be manually submitted or re-executed, its definition cannot be edited, and the monitoring window (tracker window) cannot be displayed in any of the lower versions.
If you perform one of the operations described above, the following actions will be taken:

  • The error message "An error occurred." will be displayed when submitting the scenario manually.
  • The error message "This definition cannot be edited on this terminal." will be displayed when editing the definition of the scenario.
  • The error message "This definition cannot be edited on this terminal." will be displayed when displaying the monitoring window.
  • The error message "Re-execution of the instance failed." will be displayed when re-executing the scenario.

Restrictions on scenarios with the start condition

When you create a scenario without the operation date scheme and set the start condition in this version of the product, the definition of the scenario cannot be edited, and the monitoring window (tracker window) cannot be displayed in any of the lower versions.
If you perform one of the operations described above, the following actions will be taken:

  • The error message "This definition cannot be edited on this terminal." will be displayed when editing the definition of the scenario.
  • The error message "This definition cannot be edited on this terminal." will be displayed when displaying the monitoring window.

Restriction on the deletion function for scenarios

Even if you delete an instance in this version, the instance cannot be removed from the view of the instance list in any of the lower versions.
The instance will be removed from the instance list by restarting MISSION CRITICAL OPERATIONS SVC.

Restrictions on scenarios including new parts

For a scenario including a part (event transmitting, event waiting, global object, or scenario action part) that has been made available in this version of the product, the definition of the scenario cannot be edited, and the monitoring window (tracker window) cannot be displayed in any of the lower versions.
A console older than Ver. 3.6.2 cannot edit definitions or display the monitoring dialog box (tracker) for scenarios, including components (local objects update parts and SSC Web service Relation parts), which became available for Ver. 3.6.2 or later.

A console using a version earlier than Ver. 4.0 cannot perform definition editing or display the monitoring window (tracker) for a scenario containing components (scenario execution components) that can only be used from Ver. 4.0.

If you perform one of the operations described above, the following actions will be taken:

  • The error message "This definition cannot be edited on this terminal." will be displayed when editing the definition of the scenario.
  • The error message "This definition cannot be edited on this terminal." will be displayed when displaying the monitoring window.

Restrictions on removing a scenario from which a scheduled instance was derived

If you try to delete a scenario in any of the lower versions from which you derived a scheduled instance that would be submitted based on a plan in this version, only an existing scenario removal confirmation message will be displayed, regardless of whether the scheduled instance exists.
For this reason, if you try to delete scheduled instances from the history, the operation will fail.
The error message then displays "Removal operation could not be performed on the history because an instance that could not be removed existed. Reason: Unknown."

Restrictions on scenario action parts

Scenario action parts that have started waiting for a response are displayed in the [Scenario Control Waiting List] tab.
If you select and double-click on one of the scenario action parts displayed in the list in any of the lower versions, the following error message will be displayed:
"This definition cannot be edited on this terminal."

Restrictions on running a command on the manager

When you specify a logical manager in the host name for an action execution part or SSC tandem part in a lower version, you cannot specify the logical manager because the error message "Specify a target host on which a command will be executed" appears when clicking on [OK] or saving the part.

Scenario description

Scenario descriptions cannot be displayed on a console using a version earlier than Ver. 4.0.

Continuing the scenario execution

For the instances generated with Ver. 4.0.1.0 or older, multiple-stage continuous execution associated with a parent instance generation cannot be performed.

If the version of the lower manager is Ver. 4.0.1.0 or older, multiple-stage continuous execution associated with a parent instance generation cannot be performed.


Restrictions on importing and exporting

Restrictions on importing

You cannot import group definition export files, which have been exported in this version, into any of the lower versions.
You cannot import scenario definition export files, which have been exported in this version, into any of the lower versions.
If you perform these operations, the definition export files are not displayed in the list of files to be imported.

Any scenario definition export file using a local object(s) that was exported in Ver3.6 or later cannot be imported to a file with any version before Ver3.6.

If you try this operation, it will cause an import error.

Scenario definition export files which use scenario execution components and were exported using Ver. 4.0 or later versions cannot be imported using versions earlier than Ver. 4.0.
An import error occurs when this operation is executed.Moreover, scenario and group names containing only periods (".") cannot be used for Ver. 4.0 or later.
To import a scenario whose name contains only periods (".") created with versions earlier than Ver. 4.0, change the scenario name and then import it.

Restrictions on exporting

In any of the lower versions, if you try to export a scenario using an operation date scheme that was created in this version, the operation will end in an error.
In any of the lower versions, if you try to export a scenario with a start condition that was created in this version, the operation will end in an error.
In any of the lower versions, when you try to export a scenario that includes a new part (event transmitting, event waiting, global object, or scenario action parts) that has been made available in this version, the operation will end in an error.

An error occurs when a console older than Ver. 3.6.2 is used to export scenarios that contain components (local objects update parts and SSC Web service Relation parts) which became newly available for Ver. 3.6.2 or later.
When you perform these operations, the error message "Export failed" will be displayed.

An error occurs when using a version earlier than Ver. 3.6.2 to export a scenario containing components (local objects, SSCWeb service linkage components) that can only be used from Ver. 3.6.2.
An error occurs when using a version earlier than Ver. 4.0 to export a scenario containing components (scenario execution components) that can only be used from Ver. 4.0.

About a global object when importing a group failed

When importing scenarios or scenario groups on a per-group basis have failed, added scenarios or groups will return to those in the tree before importing them, but global objects added in the importing process will remain intact.


Status List

Status for Part

Status

(Name)

Status

(Value)

Status

(Color)

Description

Not yet executed

0

NOTEXEC

Status of being not yet executed

Not yet executed (waiting for the start condition)

0

NOTEXEC

Status of being not yet executed because the start condition has not become true
(for action parts, message transmitting parts, event transmitting parts, global object update parts, local object update parts, SSC tandem parts, SSC Web service Relation parts, and scenario action parts only)

Not yet executed (delayed start)

0

DELAY

Status of being not yet executed although the scheduled start time has passed

(Exception: Branch parts)

Not yet executed (waiting for the start condition) (delayed start)

0

DELAY

Status of being not yet executed because the start condition has not become true although the scheduled start time has passed
(for action parts, message transmitting parts, event transmitting parts, global object update parts, local object update parts, SSC tandem parts, SSC Web service Relation parts, and scenario action parts only)

Not yet executed (delayed end)

0

DELAY

Status of being not yet executed although the scheduled end time has passed

(Exception: Branch parts)

Not yet executed (waiting for the start condition) (delayed end)

0

DELAY

Status of being not yet executed because the start condition has not become true although the scheduled end time has passed
(for action parts, message transmitting parts, event transmitting parts, global object update parts, local object update parts, SSC tandem parts, SSC Web service Relation parts, and scenario action parts only)

Running

1

EXECUTING

Status of running

In the case of branch parts, the status of running lasts from the time when the part starts to run to the time when all the parts in the branch lines are not yet started or have been completed

Running (delayed start)

1

DELAY

Status of a part that started to run after the scheduled start time passed

(Exception: Branch parts)

Running (delayed end)

1

DELAY

Status of running although the scheduled end time has passed

(Exception: Branch parts)

Waiting

2

CONFIRMATION

(For window response parts and scenario action parts only)

Status of waiting for a response from users.

Waiting (delayed start)

2

DELAY

(For window response parts and scenario action parts only)

Status of waiting for a response from users after the scheduled start time passed

Waiting (delayed end)

2

DELAY

(For window response parts and scenario action parts only)

Status of waiting for a response from users after the scheduled end time passed

Abnormal completion

5

FATAL

Status of being completed abnormally

Abnormal completion (delay)

5

FATAL

Status of being completed abnormally during the occurrence of delayed start or delayed end

(Exception: Branch parts)

Warning completion

6

WARNING

Status of being completed with a warning

Warning completion (delay)

6

WARNING

Status of being completed with a warning during the occurrence of delayed start or delayed end

(Exception: Branch parts)

Normal completion

7

NORMAL

Status of being completed normally

Normal completion (delay)

7

NORMAL

Status of being completed normally during the occurrence of delayed start or delayed end

(Exception: Branch parts)

Forced completion

8

FORCEEND

Status of a part being forced to terminate when it is forced to stop

Forced completion (delay)

8

FORCEEND

Status of a part being forced to terminate when it is forced to stop during the occurrence of delayed start or delayed end

(Exception: Branch parts)

Disabling a condition

10

CONDSTOP

Status of all the conditions being disabled that have not become true

(for action parts, message transmitting parts, event transmitting parts, global object update parts, local object update parts, SSC tandem parts, SSC Web service Relation parts, and scenario action parts only)

Disabling a condition (delayed start)

10

DELAY

Status of all the conditions being disabled that have not become true after the scheduled start time passed

(for action parts, message transmitting parts, event transmitting parts, global object update parts, local object update parts, SSC tandem parts, SSC Web service Relation parts, and scenario action parts only)

Disabling a condition (delayed end)

10

DELAY

Status of all the conditions being disabled that have not become true after the scheduled end time passed

(for action parts, message transmitting parts, event transmitting parts, global object update parts, local object update parts, SSC tandem parts, SSC Web service Relation parts, and scenario action parts only)

[Important]

1) A running part has a different status of delayed start or delayed end, and the status of delayed end will be displayed in preference to that of delayed start if both are occurring at once.

2) The color of a part matches the status (color) of the part listed in the above table. The color can be set with [Setting]-[Option]-[Priority Setting].

3) Branch parts do not display the status of delay.

Status of Instance (word indication)
Status (Name) | Status (Value) | Description
Not yet executed (on non-working days) | 0 | Status of an instance for which the execution day falls on a non-working day
Not yet executed (limited runs) | 0 | Status of an instance that was submitted based on a plan and could not be executed because the number of running instances had reached the limit when the planned time came
Not yet executed | 0 | Status of all the parts being not yet executed
Not yet executed (waiting for the start condition) | 0 | Status of an instance that has not been executed yet because the start condition of the scenario does not become true
Not yet executed (delay) (waiting for the start condition) | 0 | Status of an instance that has not been executed yet because the start condition of the scenario does not become true, with a status of delayed start occurrence in a part within the flow
Running | 1 | Status of running The status of running is indicated when an instance is not stopped, even if some parts are forcefully terminated, completed abnormally, completed with a warning, or completed normally
Running (delay) | 1 | Status of an instance that is running while a part in the flow is experiencing a delay (delayed start or delayed end)
Waiting | 2 | Status of user response being awaited If a part is being executed simultaneously, the indicator "Waiting" is displayed ahead of the status of the part
Waiting (delay) | 2 | Status of user response being awaited while a part in the flow is experiencing a delay (delayed start or delayed end)
Abnormal completion | 5 | For scenarios not having the operation date: Status of the last executed part being completed abnormally For scenarios having the operation date: When the abnormal completion condition of a scenario becomes true and the instance has been completed
Abnormal completion (delay) | 5 | Status of an instance being completed abnormally while a part in the flow is experiencing a delay (delayed start or delayed end)
Warning completion | 6 | For scenarios not having the operation date: Status of the last executed part being completed with a warning For scenarios having the operation date: This event never happens.
Warning completion (delay) | 6 | Status of an instance being completed with a warning while a part in the flow is experiencing a delay (delayed start or delayed end)
Normal completion | 7 | For scenarios not having the operation date: Status of the last executed part being completed normally For scenarios having the operation date: When the completion condition of a scenario is not set or the normal completion condition becomes true and the instance has been completed
Normal completion (delay) | 7 | Status of an instance being completed normally while a part in the flow is experiencing a delay (delayed start or delayed end)
Forced completion | 8 | For scenarios not having the operation date: 1) When an instance is forced to stop 2) When an instance has been completed and a part(s) is forced to be terminated. However, it is assumed that the last part is not completed with a warning or abnormally. The status of running is indicated when an instance is not stopped, even if some parts are forced to be terminated. For scenarios having the operation date: When an instance is forced to stop
Forced completion (delay) | 8 | Status of instance being forced to be terminated while a part in the flow is experiencing a delay (delayed start or delayed end)

[Important]

1) If an instance includes a delayed part, "Delay" will be added to the word indicator. The types of the part, run status (such as "Not yet executed" and "Completion"), and delayed start and delayed end are not considered.

2) The color of an instance is not the status of the instance itself but matches that of the part with the highest priority among the statuses of the parts included in the instance. The priority can be set with [Setting]-[Option]-[Priority Setting]. The higher a status is positioned in the list, the higher priority it has. If a delay happens to a part, however, the highest priority among the relevant parts is compared to that of the delay. If the latter priority is higher than the former, the color of the delay will be displayed in preference to the color of the highest priority part.

3) When an instance is re-executed and a new instance is created, the "Re-execute" indicator is added to the status name.


The mapping table between the completion statuses and the parts

 | Status
Part Name | Normal Completion (*1, *9) | Warning Completion (*1) | Abnormal Completion | Forced Completion
Start part (*10, *11) | The same as the status of an instance
Action (*10) | When the return value from a command is determined to be a normal completion code | When the return value from a command is determined to be a warning completion code | When the return value from a command is determined to be an abnormal completion code (*2) When the target host or a command does not exist (*5) When the execution of a command fails When the agent specified as the target host is not started and the execution timer times out (*8) | When a part is forced to stop
Parallel branch (*7) | When the part has been processed normally (including the normal completion with delayed start and delayed end) | When the branch includes a part that was completed with a warning, unless there are parts that were forced to be terminated and those that were completed abnormally | When the branch includes a part that was completed abnormally (*3) | When a part within the branch was forced to stop, unless the branch includes parts that were completed abnormally
Conditional branch | When the last part on the branch lines has been completed normally When the branch lines include no parts | When the last part on the branch lines has been completed with a warning | When the last part on the branch lines has been completed abnormally (*3) When [Stop Flow] had been selected for the part on the branch line that was abnormally completed | When a part on the branch line was forced to be terminated
Window response | When the part has been processed normally (including the normal completion with delayed start and delayed end) | When a user selects "Warning completion" for the completion status when the user responds to the part | When a user selects "Abnormal completion" or "Stop" for the completion status when the user responds to the part (*4) | When the part is forced to stop
Timer waiting |  | - | -
Message transmitting (*10, *11) |  | - | When the part fails to send a message | -
Message waiting |  | - | When the reception of messages times out (*3) | When the part is forced to stop
SSC tandem (*8, *10) Select one in the detail setting from all the command return values (*6) | When the return value (*6) from a command is determined to be a normal completion code | When the return value (*6) from a command is determined to be a warning completion code | When the return value (*6) from a command is determined to be an abnormal completion code When the target host or a command does not exist (*5) When the execution of a command fails When the agent specified as the target host is not started and the execution timer times out (*8) | When the part is forced to stop
Scenario action (*11) | When the normal completion condition becomes true, or when a command is completed if the completion conditions are not defined | When the return value from a command is determined to be a warning completion code | When the abnormal completion condition becomes true | When the part is forced to stop
Event transmitting (*10, *11) | When the part has been processed normally | - | When the part fails to send an event When the transmission of an event times out When the abnormal completion condition becomes true for scenarios using the operation date scheme, because a timeout event does not cause them to be completed abnormally | When the part is forced to stop
Event receiving | (including the normal completion with delayed start and delayed end) | - | When the part fails to receive an event When the reception of an event times out | When the part is forced to stop
Global object (*10, *11) |  | - | When failing to update the value of a global object variable | When the part is forced to stop
Local object (*10, *11) |  | - | When failing to update the value of a local object variable | When the part is forced to stop
Scenario Exec | When the target scenario ended normally | When the target scenario ended with a warning | When the target scenario was not able to be executed When the target scenario ended abnormally When the target scenario was forcibly stopped When communication with the target manager timed out or components were forcibly stopped | When the part is forced to stop

*1) Instances resume execution.

*2) If you select [Stop Flow] when the part has been completed abnormally in the detail setting for the part, the instance will stop. If you select [Continuous Execution], the instance resumes execution.

*3) The instance will stop.

*4) When a user specifies [Abnormal completion] for the completion status when he responds to the part, the instance will resume execution. When he specifies "Stop," the instance will stop.

*5) This happens when you use the property reference for the target host or command and the referenced value is empty.

*6) In the detail setting for a part, select one from [Maximum Value], [Minimum Value], [Direct Specification], and [Completion Code of Anterior Part]. The return value that satisfies the selected condition is treated as the completion code of the part, which is used to determine Normal/Warning/Abnormal.

*7) The completion status of a branch part is determined with the completion statuses of the parts on the branch lines, it is not connected to the setting of priority, and its priority is always in the order of "normal completion < warning completion < forced completion < abnormal completion."

*8) If you enter a command to an agent that has not been started, the system makes the agent wait 5 minutes before it starts. If the agent starts within the 5 minutes, the specified command is entered to it. If the agent does not start after the 5 minutes have passed, the status changes from Running to Abnormal Completion.

*9) If the normal completion condition or the abnormal completion condition in [Condition Definition] for the detail setting of a part becomes true, it is regarded as completed normally or abnormally.

*10) If you allocate a part to a scenario not using the operate date scheme, you can define the start condition for the allocated part.

*11) If you allocate a part to a scenario using the operate date scheme, you can define the start condition, normal completion condition, and abnormal completion condition for the allocated part.


About operation

This product prevents users from making operational mistakes by converting a set of operations for submitting a command to an agent or the manager to a routine procedure.

The operation control includes the following functions:

  • Action execution function

Performs an action (command execution or send message), in response to an execution trigger (time, message, or manual intervention).

An action must be defined in the following order:

1. Create a desired action

2. Set the basic definition

3. Set the action definition (command execution or send message)

4. Set the definition for the exit operation

5. Toggle the action between Enable and Disable

[References]

Run an action manually

Run an action awaiting confirmation of execution

Force a running action to stop

  • Display function

Displays the operating status of an action or a history of action executions in a monitoring window.

[References]

Monitor the execution status of an action

Refer to the action history

Save an action history in a file

Refer to the details of the action history (command results)

Refer to the details of the action history (messages sent)

Refer to the details of the action history (execution triggers)

Search for a record in the action history
Searching for a command log
Saving a command log to a file
Printing a command log
Refer to command log details (command results)
Refer to command log details (execution triggers)
Customizing the command log display
Refer to command execution results
Customizing the command execution result display

  • Action history maintenance function

Enables users to delete records in the action history.

[Reference]

Delete records in the action history

  • Import/export function

Enables users to import/export action definition information.

[References]

Import the definition file for an action definition

Create a definition file by exporting an action definition

[Note]

This function is available as an option. If you want to use it, you must purchase an appropriate number of licenses for it.


Create an action

This operation must be executed after shifting into the Configuration mode.

To create an action, select [Add Action] from the right-click menu on the tree view (the [Operation View] node) or on Map View. When the [New Action] window has been displayed, complete the entries in the window and click on the [OK] button.

Actions can be created under a root node (operation control view node) or an action group.

To create an action, perform one of the following two operations:

1. Select [Add Action] from the context menu in the tree view (operation control view node).

2. Select [Add Action] from the context menu in the map view.

When the [New Action] dialog box is displayed, enter each item, and then click the [OK] button.

  • Action Name

Specify a desired action name, within a maximum of 64 characters.

The Action Name must be specified.

  • Icon File

Specify the icon file used for displaying icons by specifying an absolute path of up to 256 characters. Clicking on the [Browse] button enables you to display the [Open File] window and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. If the specified file is not correct or it does not exist on the machine on which the monitoring window is running, the default icon is used.

An environment variable on the machine on which the monitoring window is running can be used for the path of the icon file.

[Note]

To run the created action, you must create a definition for the action. For information on defining an action, refer to here.

[References]

Set a basic definition

Create an action group

Change an action


Create an action group

This operation must be executed after shifting into the Configuration mode.

An action group (group) can be created to manage actions as a group.

Groups can be created under a root node (operation control view node) or a group.

To create a group, perform one of the following two operations:

1. Select [Add Group] from the context menu in the tree view (operation control view node).

2. Select [Add Group] from the context menu in the map view.

When the [New Group] dialog box is displayed, enter each item, and then click the [OK] button.

  • Group Name

Specify a desired group name, within a maximum of 64 characters.

The Group Name must be specified.

  • Icon File

Specify the icon file used for displaying icons by specifying an absolute path of up to 256 characters. Clicking on the [Browse] button enables you to display the [Open File] window and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. If the specified file is not correct or it does not exist on the machine on which the monitoring window is running, the default icon is used.

An environment variable on the machine on which the monitoring window is running can be used for the path of the icon file.

[Reference]

Create an action


Change an action

This operation must be executed after shifting into the Configuration mode.

The action on which you want to perform the operation must be disabled.

You can change an action name and icon. The following two methods are available to change an action.

  1. Select [Update] from the right-click menu of a desired action on the tree view (Operation View).
  2. Select the action you want to change from Map View and select [Update] from the right-click menu.

When the [Update Action] window has been displayed, change either or both of the entries in the window and click on the [OK] button.

  • Action Name

Specify a desired action name, within a maximum of 64 characters.

The Action Name must be specified.

  • Icon File

Specify the icon file used for displaying icons by specifying an absolute path of up to 256 characters. Clicking on the [Browse] button enables you to display the [Open File] window and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. If the specified file is not correct or it does not exist on the machine on which the monitoring window is running, the default icon is used.

An environment variable on the machine on which the monitoring window is running can be used for the path of the icon file.


Delete an action

This operation must be executed after shifting into the Configuration mode.

The action on which you want to perform the operation must be disabled.

The following two methods are available to delete an action.

  1. Select [Delete] from the right-click menu of a desired action on the tree view (Operation View).
  2. Select the action you want to delete from Map View and select [Delete] from the right-click menu.

When a removal confirmation window has been displayed, click on [OK].

[Note]

  • If the action you want to delete is running or awaiting confirmation of execution, it cannot be deleted.
  • You can delete an action group only if all the actions under the group are deletable.


Set a basic definition

This operation must be executed after shifting into the Configuration mode.

The action you want to define must be disabled.

This section sets the basic definition to run an action.

The [Action Setting] window ([Basic Definition] tab) is used to define a basic definition. To display the [Action Setting] window, select [Action Setting] from the right-click menu of a desired action on the tree view.

When the [Action Setting] window ([Basic Definition] tab) has been displayed, complete the entries and then click on the [OK] button.

  • Action Name

Displays the name of the action.

If you want to change the action name, refer to here.

  • Execution Condition

Set a condition to run this action (an execution trigger for the action).

    • Manual Submit

An operator will run the action from the monitoring terminal.

By clicking on the [Validity Period Set] button, you can set a desired validity period for the action to limit the time period during which the action can be executed from the [Schedule Setting] window.

When the [Enable] checkbox is checked, the limit for the validity period will be enabled.

For information on setting a schedule, refer to here.

    • Scheduled Time

The action will be executed on a time and date set in a schedule.

Click on the [Schedule Setting] button to display the [Schedule Setting] window, and specify the time and date you want the action to run in the window.

For information on setting a schedule, refer to here.

    • Receive Message

The action will be executed when a specific message is received.

Click on the [Filter Setting] button to display the [Filter Setting] window, and, in the window, define the message that triggers the action to be executed when it receives the message.

For information on defining a filter, refer to here.

By clicking on the [Validity Period Set] button, you can set a desired validity period for the action to limit the time period during which the action can be executed from the [Schedule Setting] window.

When the [Enable] checkbox is checked, the limit for the validity period will be enabled.

For information on setting a schedule, refer to here.

  • Event Processing

When you selected [Scheduled Time] or [Receive Message] for [Execution Condition], you set the behavior of the action when the execution trigger continuously occurs.

When you selected [Manual Submit] for [Execution Condition], this item is not settable.

    • Initial Event Only

When a succession of continuous execution triggers occur, the second and later triggers will not cause the action to be executed.

If you check [Accept Again When Action Completed], the current instance of the action will be executed when the previous instance of the action is neither running nor awaiting confirmation of execution.

[Note]

Even if [First Event Only] is specified, the setting will be reset with one of the following operations:

§ Disable the action and then enable it again

§ Restart the manager

    • All Events

When a succession of continuous execution triggers happens, each trigger will cause the action to be executed.

  • Action Type

Specify the type of the action.

    • Command Execution

A command(s) will be executed as the action.

The [Action Setting] tab is used to set the command(s) to be executed. For information on the [Action Setting] tab, refer to here.

    • Message Transmission

A message will be sent as the action.

The [Action Setting] tab is used to set the message to be sent. For information on the [Action Setting] tab, refer to here.

  • Wait the end of a command

If this checkbox is checked and multiple commands are set, the following command will start to be executed after the current command has completed. It is not checked by default. This setting is valid only when the action type is [Command Execution].

    • Continue at the abnormal end

If this checkbox is checked, the following command will be executed even when the current command has completed abnormally. It is not checked by default.

    • Timeout Value

If this checkbox is checked, the time period used to wait for each previous command to be completed can be limited. It is not checked by default.

A timeout value must be specified in seconds. You can specify the value in the range of 1-864000 seconds (1 day). The default value is 60 seconds.

    • Treat by timeout

If you checked [Timeout specification], specify whether a command that times out will be treated as completed normally or abnormally. The default value is [Abnormal End].

  • Wait user decision

If this checkbox is checked, the action will be executed after waiting for an operator to confirm that it can be executed. It is not checked by default.

You can set it when [Execution Condition] is set to [Scheduled Time] or [Receive Message]. When you selected [Manual Submit] for [Execution Condition], this item is not settable.

    • Report

If this checkbox is checked, a report will be sent through PATLITE or e-mail when the action begins to wait for an operator to confirm the execution of the action. It is not checked by default.

    • Report Setting

Clicking on the [Configuration] button enables you to set the details of a report from the [Report Setting] window. For more information on reporting, refer to here.

  • Prevent concurrent execution

If this checkbox is checked, multiple instances of the same action cannot be executed concurrently. It is not checked by default.

If you selected [Manual Submit] or [Wait for user's determination], an error message will be displayed when you direct multiple instances of the action to be run concurrently.

If you selected [Scheduled Time] or [Receive Message] and did not select [Wait for user's determination], the subsequent instances of the action will be canceled. The [Operation Control Message] view will display this action as a canceled action.
This setting is valid only when the action type is [Command Execution].

  • User Confirm
    When this check box is selected, the check box for verification is displayed in the action execution dialog box when executing an action that has a manual execution condition. The check box is cleared by default.

  • Displayed when run the command execution result
    When this check box is selected, the command execution result dialog box is displayed when executing an action that has a manual execution condition or executing a user verification waiting action. The check box is cleared by default.

[Note]

To run the defined action, you must enable it. For information on enabling an action, refer to here.

[References]

Create an action

Toggle an action between Enable and Disable


Define a filter for messages playing the role of an execution trigger

This operation must be executed after shifting into the Configuration mode.

This section defines a filter to extract a message that plays the role of an execution trigger for an action.

To set a filter for messages, display the [Filter Setting] window by clicking on the [Filter Setting] button in the [Action Setting] window ([Basic Definition] tab).

To define a new filter, click on the [Add] button. To redefine a defined filter, select the filter and click on the [Edit] button, or double-click on the filter.

You can perform this setting only if you have selected [Receive Message] for [Execution Condition] in the [Action Setting] window ([Basic Definition] tab).

The window displays a list of filters, with the extract conditions for each filter. The filter conditions are sequentially processed from top to bottom in the window, and only the filter process for the first filter definition for which the conditions are met will be performed. Filter processes based on filter definitions following the first one met will not be performed. Messages that do not meet any of the filter conditions will not be an execution trigger.

  • To change the order of execution of the selected filters, use the up and down arrow keys (Up and Down).
  • To redefine an existing filter, select the filter and click on the [Edit] button, or double-click on any item in the filter.
  • When you select a filter and click on the [Add] button, a new filter will be added in the position held by that filter. If you select more than one filter, a new filter will be added to the position above the selected filters. When you click on the [Add] button without selecting a filter, a new filter will be added to the bottom of the list.
  • When you select a filter and click on the [Delete] button, the selected filter will be removed. If you select multiple filters, you can remove them all at once.
  • When you select a filter and click on the [Copy] button, a copy of the selected filter will be added in the position held by that filter. By copying the source filter, you can add a new filter that has the same extract conditions as those for the source.

[References]

Set an action definition (command execution)

Define a filter for messages playing the role of an execution trigger


Define conditions for extracting messages playing the role of an execution trigger

This operation must be executed after shifting into the Configuration mode.

This section defines conditions that determine what messages will be execution triggers.

The [Filter Item Setting] window is used to define extract conditions for a filter. The following three methods are provided to display the [Filter Item Setting] window:

  1. Click on the [Add] button in the filter definition window.
  2. In the filter definition window, select the filter to be edited and click on the [Edit] button.
  3. Double-click on the filter to be edited in the filter definition window.

When the [Filter Item Setting] window has been displayed, enter the extract conditions in the window and click on the [OK] button.

You can perform this setting only if you have selected [Receive Message] for [Execution Condition] in the [Action Setting] window ([Basic Definition] tab).

  • Message Overview (name of the filter)

Specify the filter name, within a maximum of 256 characters. The character string you specify in this window will be displayed as the filter name in the [Filter Definition] window. The Message Overview must be specified.

  • Type

Specify a desired filter type. If you specify [Store], the messages that will meet this filter will be an execution trigger for an action. If you specify [Ignore], the messages that meet this filter will not be an execution trigger for an action and the filtering processes based on the subsequent filters will not be performed.

  • Category

Specify a desired filter condition for the category, within a maximum of 32 characters, or select one from [Application], [Security], [System], and [Unified Management Framework]. If you select [Not], the messages that do not match the specified regular expression will be the candidates for selection.

  • Node (name of the node that outputs the messages)

Specify a filter condition for the node in regular expression format, within a maximum of 256 characters. If you select [Not], the messages that do not match the specified regular expression will be the candidates for selection.

  • Application (name of the application that outputs the messages)

Specify a filter condition for the application in regular expression format, within a maximum of 128 characters. If you select [Not], the messages that do not match the specified regular expression will be the candidates for selection.

  • Object (name of the object that generates the messages)

Specify a filter condition for the object in regular expression format, within a maximum of 128 characters. If you select [Not], the messages that do not match the specified regular expression will be the candidates for selection.

  • Message (Message ID)

Specify a filter condition for the message ID in regular expression format, within a maximum of 128 characters. If you select [Not], the messages that do not match the specified regular expression will be the candidates for selection.

  • Message Text (message body)

Specify a filter condition for the message text in regular expression format, within a maximum of 1024 characters. If you select [Not], the messages that do not match the specified regular expression will be the candidates for selection.

  • Select by Position

Specify a maximum of eight conditions for search operations by selecting positions in the message text. If you select [Not], the messages that do not match the specified conditions will be the candidates for selection.

  • Position

Specify a position in characters (or bytes) in the message text, in the range of 1 to 1024, so that characters after the position may be compared.

  •  Condition

Specify a desired comparison condition.

  • Value

Specify a desired value that will be compared, within a maximum of 64 characters. Value cannot be specified in regular expression format.

E.g.:

If you want to extract messages that have an occurrence of "Abnormal" in the 10th position in their message text, specify the items as follows:

Position

Condition

Value

:10

:=

:Abnormal

  • Select by Key

Specify a maximum of eight conditions for search operations by selecting keys in a log. If you select [Not], the messages that do not match the specified conditions will be the candidates for selection.

    • Key

Specify a key in a log, within a maximum of 64 characters.

    • Condition

Specify a desired comparison condition. If you specify "=," a regular expression will apply to the value. If you specify a condition other than "=," a string specified in [Value] will be compared on a binary basis.

    • Value

Enter the value that will be used for comparison. If you specify "=" for [Condition], specify a value in regular expression.

E.g.:

Suppose you have a log that includes the string of "error_number = 5" and the "5" part is variable. If you want to extract logs that include "error_number" = 4 or less, specify the items as follows:

Key

Condition

Value

:error_number

:<=

:4

The key value used for [Select by Key] and the key must be enclosed with separators, as shown below:

(<Key>=<Value>)

Single-byte space, two-byte space, and single-byte brackets ((, ), [, ], {, }, <, >) are available for use as separators.

Note that spaces among keys, "=," and values are ignored.

  • Severity

Select a desired search condition for the severity. If you select [Not], the messages that do not match the selected condition will be the candidates for search.

[Note]

  • If you omit specifying a condition(s), the condition(s) will not be used (all the messages will be selected).
  • Only the messages that meet all the conditions specified here can be extracted.
  • You cannot use a comma (,) or a double quotation (") in this window.
    For this reason, specify the condition by using a period ".” (which indicates any character in a regular expression) to extract messages containing the characters mentioned above.

[References]

Define a filter for messages playing the role of an execution trigger

About Messages Output by Manager/Agents


Set an action definition (command execution)

This operation must be executed after shifting into the Configuration mode.

The action you want to define must be disabled.

This section sets a command(s) that will be executed as an action.

The [Action Setting] window ([Action Setting] tab) is used to define the action definition (command execution). To display the [Action Setting] window, select [Action Setting] from the right-click menu of a desired action on the tree view.

When the [Action Setting] window has been displayed, select the [Action Setting] tab, complete the entries, and then click on the [OK] button.

Before you can set this action definition, you must select [Command Execution] for [Action Type] in the [Action Setting] window ([Basic Definition] tab).

  • Action Name

Displays the name of the action.

If you want to change the action name, refer to here.

  • Description

Specify the description for the action, within a maximum of 64 characters.

  • Target Host

Displays a host on which the command(s) will be executed.
If the total number of characters of the destination exceeds 1,024, the 1,025th and subsequent characters are omitted and displayed as "..."

Clicking on the [Target Selection] button enables you to display the [Target Selection] window and select the target host. For information on the [Target Selection] window, refer to here.

  • Action

Lists the commands to be executed. The commands will be executed sequentially from the top of the list in the window.

The Action must be specified.

    • To change the order of execution of the selected commands, use the up and down arrow keys (Up and Down).

    • To redefine a command, select the command and click on the [Edit] button, or double-click on the command item.

    • When you select a command and click on the [Add] button, the new command will be added to that position. If you select more than one command, the new command will be added to the position above the selected commands. When you click on the [Add] button without selecting a command, the new command will be added to the bottom of the list.

    • When you select a command and click on the [Delete] button, the command will be removed. If you select multiple commands, you can remove them all at once.

The command field displays a character string derived from removing the directory path of the command from the character string entered in the command field of the [Command Setting] window.

E.g.:
Character string entered in the command field of the [Command Setting] window: C:\Windows\System32\xcopy.exe

Displayed character string: xcopy.exe

The command name is not displayed correctly if it includes "\" or "/" that is not intended to be a part of the directory path.

The character string entered in the command field can be displayed as it is by changing the OperationMgrini file on the manager.

For information on setting the OperationMgr.ini file, refer to the "MasterScope SystemManager G Release Memo."

  • Confirm Message

You can specify a confirm message for operators, within a maximum of 500 characters.

[Note]

To run the defined action, you must enable it. For information on enabling an action, refer to here.

[References]

Create an action

Set a target host for a command

Set a command

Set an action definition (send message)

About the limitation of the number of command execution


Set a target host for a command

This operation must be executed after shifting into the Configuration mode.

To set a target host on which a command will be executed, display the [Target Selection] window by selecting the [Action Setting] tab in the [Action Setting] window and clicking on the [Target Selection] button.

Select the target host and click on the [OK] button.

You can perform this setting only if you have selected [Command Execution] for [Action Type] in the [Action Setting] window ([Basic Definition] tab).

  • Host List

Lists the hosts that can be specified as a target host.

  • Target Host List

Lists the hosts that have been specified as a target host. A command will be executed on one or more of the hosts that are displayed in this list.

The following special hosts can be used as a target:

$MANAGER$ | A command will be executed on the manager.
$NODE$ | If Receive Message is the execution condition for an action, this will be replaced with the node name in the received message and the action will be executed on the node.

    • To add all the hosts to [Target Host List], click on the [ALL Add] button.

    • To add a host to [Target Host List], check the checkbox for the host in [Host List] and click on the [Add] button.

    • To return a host to [Host List], select the host in [Target Host List] and click on the [Delete] button.

    • To return all the hosts to [Host List], click on the [ALL Delete] button.

[Reference]

Set an action definition (command execution)


Set a command

This operation must be executed after shifting into the Configuration mode.

This section sets a command that will be executed as an action.

The [Command Setting] window is used to define the command. To display the [Command Setting] window, the following three methods are provided:

  1. In the [Action Setting] window ([Action Setting] tab), click on the [Add] button.
  2. In the [Action Setting] window ([Action Setting] tab), select the command you want to edit and click on the [Edit] button.
  3. In the [Action Setting] window ([Action Setting] tab), double-click on the command you want to edit.

You can perform this setting only if you have selected [Command Execution] for [Action Type] in the [Action Setting] window ([Basic Definition] tab).

  • Description

Specify the description for the command, within a maximum of 64 characters.

  • Command

Specify the command to be executed, within a maximum of 256 characters. Click on the [Browse] button to display the [Directory in Host] dialog, where you can select files on the host that executes actions. (If you specify more than one target host, the directory for the host displayed the farthest to the left will be displayed. I f you only specified $NODE$ for the target hosts, the [Browse] button is disabled.)

You can use an appropriate environment variable for the path name to the command. If the path includes a blank character, you must enclose it within double-quotation ("") marks.

The Command must be specified.

  • Working Directory

Specify a working directory, within a maximum of 256 characters, to run the command. Click on the [Browse] button to display the [Directory in Host] dialog, where you can select a directory on the host that executes actions. (If you specify more than one target host, the directory on the host displayed the farthest to the left will be displayed. If you only specified $NODE$ for the target hosts, the [Browse] button is disabled.)

You can use an appropriate environment variable for the path name to the directory. If the path includes a blank character, you must enclose it within double-quotation ("") marks.

  • Option

Specify an argument with which the command will be started, within a maximum of 256 characters. You can use an appropriate environment variable for the argument.

§ You can specify the following replacement character strings in [Description], [Command], [Working Directory], and [Option] if the execution condition for the action is [Receive Message].

$SEVERITY$ | Replaced with the severity of a message.
$CREATEDATE$ | Replaced with the generated date of a message.
$CREATETIME$ | Replaced with the generated time of a message.
$NODE$ | Replaced with the node name of a message.
$APPLICATION$ | Replaced with the application name of a message.
$OBJECT$ | Replaced with the object name of a message.
$MESSAGEID$ | Replaced with the message ID of a message.
$MESSAGETEXT$ | Replaced with the message text of a message.

In addition, if the execution condition for the action is Receive Message, you can define a new replacement character string by clicking on [User Variable Definition] from the right-click menu of the entry area and extracting a part from the replacement character string described above. For more information, refer to here.

[Note]

When a replacement character string is expanded with real data and the real data includes an LF character, the command line will be broken at the position of the LF character.

  • Normal End Code, Abnormal End Code

Specify the range of results (return values) from an executed command, within a maximum of 64 characters, which are regarded as an indication as to whether the command has completed normally or abnormally.

How to specify values:

When you specify the values, use one-byte numeric characters.

If you want to specify more than one value, delimit each value with a one-byte comma.

If you want to specify a range of values, enter a one-byte hyphen between the start and end values of the range.

Examples of specifying values:

-1,2,5,10,90-99

[Note]

§ If all two ranges of end codes are not specified, any return value will be regarded as an indication that the command has completed successfully.

§ If you do not specify a normal end code and a return value or a result from an executed command does not fall within the specified range of abnormal end codes, the return value will be interpreted to indicate that the command has completed successfully.

§ If you do not specify an abnormal end code and a return value or a result from an executed command does not fall within the specified range of normal end codes, the return value will be interpreted to indicate that the command has completed abnormally.

§ If a return value or a result from an executed command does not fall within the specified range of normal end codes or within the specified range of abnormal end codes, the return value will be interpreted to indicate that the command has completed successfully.

§ If a return value or a result from an executed command falls both within the specified range of normal end codes and within the specified range of abnormal end codes, the return value will be interpreted to indicate that the command has completed successfully.

  • Get command output result

If this checkbox is checked, the standard output from the command will be acquired. By default, it is checked.

[Note]

  • If the type of OS running on the target host is a type of UNIX (Linux, HP-UX, Solaris and AIX), a started command will be executed under the locale of UTF-8.

If a command you will run does not support UTF-8, create a shell that sets a locale and converts output results to the UTF-8 code, and specify the shell for the command. As you cannot directly specify a pipe in commands and options, ensure that you create such a shell.

E.g.: If you must run a command that only supports the SJIS locale in HP-UX:

env LANG=ja_JP.SJIS $1 | iconv -f sjis -t utf8

  • Any command is executed with the right of the manager and that of an agent process (with the SYSTEM right in Windows and with the root right in others).

  • The total number of characters after the replacement character strings of the commands and options are extracted (when the target host is Windows, the environment variables are included) must be less than 1,700. If this number is exceeded, shorten the options by using a batch file and others.

[References]

Set an action definition (command execution)

Define a replacement character string


Set an action definition (send message)

This operation must be executed after shifting into the Configuration mode.

The action you want to define must be disabled.

This section sets a message that will be sent as an action.

The [Action Setting] window ([Action Setting] tab) is used to define the action definition (send message). To display the [Action Setting] window, select [Action Setting] from the right-click menu of a desired action on the tree view.

When the [Action Setting] window has been displayed, select the [Action Setting] tab, complete the entries, and then click on the [OK] button.

Before you can set this action definition, you must select [Send Message] for [Action Type] in the [Action Setting] window ([Basic Definition] tab).

  • Action Name

Displays the name of the action.

If you want to change the action name, refer to here.

  • Description

Specify the description for the action, within a maximum of 64 characters.

  • Action

Set the message that you want to output.

    • Category

Specify the category information for the message, within a maximum of 32 characters, or select one from [Application], [Security], [System], and [Unified Management Framework]. The Category must be specified.

The default value is [Unified Management Framework].

    • Severity

Select the severity of the message. The Severity must be specified.

The default value is [Normal].

    • Node

Specify the node information for the message, within a maximum of 256 characters. The Node must be specified.

The default value is the host name of the manager.

    • Application

Specify the application information for the message, within a maximum of 32 characters. The Application must be specified.

The default value is [Unified Management Framework].

    • Object

Specify the object information for the message, within a maximum of 32 characters. The Object must be specified.

The default value is [Operation].

    • Message ID

Specify the message ID of the message, within a maximum of 32 characters. The Message ID must be specified.

The default value is [01070011].

    • Message Text

Specify the message text of the message, within a maximum of 1024 characters. The Message Text must be specified.

You can specify the following replacement character strings in the descriptive sections if the execution condition for the action is Receive Message.

$SEVERITY$ | Replaced with the severity of a message.
$CREATEDATE$ | Replaced with the generated date of a message.
$CREATETIME$ | Replaced with the generated time of a message.
$EVENTCATEGORY$ | Replaced with the category of a message.
$NODE$ | Replaced with the node name of a message.
$APPLICATION$ | Replaced with the application name of a message.
$OBJECT$ | Replaced with the object name of a message.
$MESSAGEID$ | Replaced with the message ID of a message.
$MESSAGETEXT$ | Replaced with the message text of a message.

In addition, if the execution condition for the action is Receive Message, you can define a new replacement character string by clicking on [User Variable Definition] from the right-click menu of the entry area and extracting a part from the replacement character string described above. For more information, refer to here.

[Note]

The maximum length of the category, application, object and message ID of an output message is 32 characters.

When the length exceeds the maximum length, the first 32 characters are displayed in the output message.

  • Confirm Message

You can specify a confirmation message for operators, within a maximum of 500 characters.

[Note]

To run the defined action, you must enable it. For information on enabling an action, refer to here.

[References]

Create an action

Set an action definition (command execution)

Define a replacement character string


Define a replacement character string

This operation must be executed after shifting into the Configuration mode.

You can define a character string as a replacement character string by extracting the string partially from an action name or a message item.

The [User Variable List] window is used to define such a replacement character string. To display the [User Variable List] window, the following methods are provided:

  1. In the [Command Setting] window, select [User Variable Definition] from the menu displayed by right-clicking on the entry area.
  2. When [Send Message] is selected for [Action Type], select [User Variable Definition] from the menu displayed by right-clicking on the entry area in the [Action Setting] window ([Action Setting] tab).

When the [User Variable List] window has been displayed, complete the entries in the window and click on the [OK] button.

You can define a maximum of 8 user variables for each action.

  • Variable Name

Specify the character string, within a maximum of 32 characters, to be used as a replacement character string.

A character string created by prefixing and suffixing the variable name with "$"can be used as a replacement character string.

You can use the following characters in the variable names:

  • Single-byte alphabetic characters (A-Z and a-z)

  • Single-byte numeric characters (0-9)

  • "$", "=", and single-byte symbols excluding a space

  • Reference Target

Select a message item or an action name to be referred to for the replacement character string. The selectable items include the following:

$ACTION$ | References an action name.
$APPLICATION$ | References the application name of a message.
$CREATEDATE$ | References the generated date of a message.
$CREATETIME$ | References the generated time of a message.
$EVENTCATEGORY$ | References the category of a message.
$MESSAGEID$ | References the message ID of a message.
$MESSAGETEXT$ | References the message text of a message.
$NODE$ | References the node name of a message.
$OBJECT$ | References the object name of a message.
$SEVERITY$ | References the severity of a message.

  • Select by Position

Specify the range to be extracted from the message item specified in [Reference Target] with a position.

  •  Position

Specify the first position in the message item with the number of characters, in the range of 1 to 1024, to indicate the position from which the character string will be extracted from the item.

  •  Characters

Specify the number of characters to be extracted, in the range of 1 to 1024.

If there is no character string in the specified area, spaces will be acquired instead of characters.

If the number of characters in the specified area is smaller than the specified number of characters to be acquired, the character string is acquired from the specified location to the end of the character string.

  • Select by Key

Specify the range to be extracted from the message item specified in [Reference Target] with a key.

  •  Key

Specify a desired key, within a maximum of 64 characters.

The character string immediately following the character string that matches the specified key will be extracted from the message item until a space character or LF is encountered.
A regular expression can be used for a key value.

[References]

Set a command

Set an action definition (send message)


Set a definition for the exit operation

This operation must be executed after shifting into the Configuration mode.

The action you want to define must be disabled.

This section sets a definition related to the completion of an action.

The [Action Setting] window ([Exit Operation Definition] tab) is used to define an exit operation definition. To display the [Action Setting] window, select [Action Setting] from the right-click menu of a desired action on the tree view.

When the [Action Setting] window has been displayed, select the [Exit Operation Definition] tab, complete the entries, and then click on the [OK] button.

You can perform this setting only if you have selected [Command Execution] for [Action Type] in the [Action Setting] window ([Basic Definition] tab).

  • Action Name

Displays the name of the action.

If you want to change the action name, refer to here.

  • Normal end condition for action

If you want to run commands on multiple target hosts, specify the normal end condition for the action.
The default value is [All commands on all the target hosts succeeded].

  • All commands on all the target hosts succeeded.
    The action result will be "Normal end" only if all commands ended normally on all target hosts.

  • All commands on a target host succeeded.
    The action result will be "Normal end" if all commands ended normally on at least one target host.

  • End message send

A message can be sent when the action has been completed normally or abnormally.

    • Send

If this check box is checked, a message will be sent when the action has been completed normally (or abnormally). It is not checked by default.

    • Set

Clicking on the [Set] button enables you to set an output message in the [Normal End Message] window or the [Abnormal End Message] window. For more information, refer to here.

[Note]

To run the defined action, you must enable it. For information on enabling an action, refer to here.

[References]

Create an action

Define a message to be output upon termination


Define a message to be output upon termination

This operation must be executed after shifting into the Configuration mode.

This section defines a message that will be output when an action has been completed.

To set an end message, display the [Normal End Message] window or [Abnormal End Message] window by selecting the [Exit Operation Definition] tab in the [Action Setting] window and then clicking on the [Set] button for normal completion or for abnormal completion. Complete the entries and click on the [OK] button.

You can perform this setting only if you have selected [Command Execution] for [Action Type] in the [Action Setting] window ([Basic Definition] tab).

  • Category

Specify the category information for the message, within a maximum of 32 characters, or select one from [Application], [Security], [System], and [Unified Management Framework]. The Category must be specified.

The default values for normal end messages and abnormal end messages are [Unified Management Framework].

  • Severity

Select the severity of the message. The Severity must be specified.

The default values for normal end messages and abnormal end messages are [Normal] and [Abnormal], respectively.

  • Node

Specify the node information for the message, within a maximum of 256 characters. The Node must be specified.

  • Application

Specify the application information for the message, within a maximum of 32 characters. The Application must be specified.

The default values for normal end messages and abnormal end messages are [Unified Management Framework].

  • Object

Specify the object information for the message, within a maximum of 32 characters. The Object must be specified.

The default values for normal end messages and abnormal end messages are [Operation].

  • Message ID

Specify the message ID of the message, within a maximum of 32 characters. The Message ID must be specified.

The default values for normal end messages and abnormal end messages are [01070003] and [01070004], respectively.

  • Message Text

Specify the text of the message, within a maximum of 1024 characters.

$ACTION$ will be replaced with an action name. The Message Text must be specified.

The default values for normal end messages and abnormal end messages are [It succeeded in the execution of the Action (ACTION=$ACTION$)] and [It failed in the execution of the Action (ACTION=$ACTION$)], respectively.

[References]

Set a definition for the exit operation


Toggle an action between Enable and Disable

This operation must be executed after shifting into the Configuration mode.

To run a defined action, you must enable it.

If you want to change an action definition or delete an action, you must disable the action.

To toggle an action between Enable and Disable, the following two methods are provided:

  • Method to toggle an action between Enable and Disable on a per-action basis

Select [Enable Action] from the right-click menu of a desired action on the tree view (Operation View).

An enabled action will have [Enable Action] checked on the right-click menu.

  • Method to toggle actions between Enable and Disable on a per-action-group basis

Select [Enable All] or [Disable All] from the right-click menu of a desired action group on the tree view (Operation View).

An enabled action will have [Enable Action] checked on the right-click menu.

[Note]

The actions that are not defined cannot be enabled.

[References]

Create an action

Set a basic definition


Import the definition file for an action definition

This operation must be executed after shifting into the Configuration mode.

Importing a definition file that has been created will facilitate the definition of an action.

Select [Import] from the right-click menu of a desired action group on the tree view to import a definition file. When the [Import Setting] window has been displayed, click on the [Browse] button and specify the directory in which the definition file is located. If the specified directory includes definition files, the files will be listed. Select the file you want to import and click on the [OK] button.

  • Path to Import File (Non-enterable)
    Displays the path to the file to be imported.

  • Reference
    Click on this button to display the [Folder Selection] dialog box where you can specify the path to the file you want to import.

  • File name
    Displays each import file name that resides on the path to the file to be imported.

  • Comment
    Displays the comment in each displayed import file.

  • Type
    Displays the type (action/group) of each displayed import file.

  • Group/action name
    Displays the group name or action name within each displayed import file.

  • Version
    Displays the version of each imported file.

[Note]

  • When you import a definition file for which the type is [Group], all the actions included in the group will be imported.
  • The status of the imported action(s) is Disable.
  • When you import a definition file and some actions or some action groups conflict with those in the import destination, they will be added to the destination without overwriting the existing ones.
  • For the imported action, all the user groups are granted the reference, update, delete, control, and history delete rights.
  • For the imported action group, all the user groups are granted the reference, update, add, delete, and history delete rights.
  • Any of the rights granted when being imported is not granted to user groups that do not have the group authority required for granting the right.

[Reference]

Create a definition file by exporting an action definition


Create a definition file by exporting an action definition

This operation must be executed after shifting into the Configuration mode.

By exporting action definition information and creating a definition file based on it, you can save and use the action definition for various purposes.

To export a definition file, select [Export] from the right-click menu of a desired action (or action group) on the tree view. When the [Export Setting] window has been displayed, specify the comment and the file name, and then click on the [OK] button.

  • Comment

Specify the comment that describes the definition file by using up to 64 characters.
The comment you specify here will be displayed in the [Comment] column of the [Import Setting] window when importing the definition file.

  • File Name

Specify the name of the file in which the definitions are saved by using up to 256 characters.

[Note]

  • If you export the action definition information by specifying an action group, all the actions and action groups under it will be exported.

Under the same directory that includes the file specified in [File Name], a file that records the definition for each action under the action group will be created.

  • If there has already been a definition file(s) with the same name under the directory, a confirm dialog will be displayed to prompt you to confirm the overwrite save operation. Click on [Yes] to overwrite an existing definition file(s), and click on [No] to cancel the overwrite operation without saving the definition files.
  • When the path for the file name is omitted
    • Console (when started from the Start menu)
      The file is saved to C:\Documents and Settings\<Windows login user>.(For Windows Server 2003/XP)
      (For Windows Server 2008/Vista/7, the file is saved to C:\Users\<Windows login user>.)
    • Console (when started from a shortcut on the desktop)
      The file is saved on the desktop.
    • Console (when started by double-clicking SysMonSvc.exe)
      The file is saved in the directory that includes SysMonSvc.exe.
    • Web console
      The file is saved on the desktop.

[Reference]

Import the definition file for an action definition


Set options for operation control

This operation must be executed after shifting into the Configuration mode.

To define the options for operation control, select [Option] on the [Configuration] menu.

  • Action History view
    • Display Period

Specify the number of days you will go back in the past when displaying the records in the action history. You can specify any value in the range of 1-31. The default value is 2 days.

    • Maximum Search Records

Specify the maximum number of items displayed in the action log dialog box immediately after opening the action log or performing a search. Specify a value in a range of 100 to 2000.The default value is 100 items.

When “100 items” is specified, the last 100 items stored are displayed.

The maximum number of displayed items, including the action logs automatically added after being displayed, is specified in the [Max Display records] field.

Note that a value greater than the value specified in [Max Display Records] cannot be specified for the maximum number of search items.

    • Max Display Records

Specify the maximum number of records to be displayed in the [Action History] window. You can specify any value in the range of 1000-20000. The default value is 10000.
Note that a value smaller than the value specified in [Max Search Records] cannot be specified for the maximum number of displayed items.

  • Operation Control Message
    • Enabled

Specify whether the use of operation control messages will be enabled/disabled. If you want to use them, check [Enabled]. By default, operation control messages will be used.

When [To be used] is selected, the [Operation Control Message] tab is displayed at the bottom of the dialog box.

    • Max Display

When you checked [Enabled] for [Operation Control Message], specify the maximum number of messages to be displayed in the [Operation Control Message] tab. You can specify any value in the range of 1000-20000. The default value is 1000.

  • History Hold Period

Specify the period of time for which the action history data will be held, from among [Unlimited], [1 week], [2 weeks], [1 month], [2 months], [3 months], [6 months], [9 months], and [1 year]. The default value is [Unlimited].

History information that is older than the value specified here will be automatically removed.

[Note]

If you select [Unlimited], history information will not be automatically removed. To remove it, perform operations such as initialization and swapping.

  • Delete the command history at the time of action deletion
    When this check box is selected, command logs are also deleted when deleting actions.
    When this check box is not selected, command logs will not be deleted when deleting actions. This check box is selected by default.

[References]

Refer to the action history

Monitor the execution status of an action

Delete records in the action history


Run an action manually

This operation is only allowed for users who belong to a group that has the operation right.

To perform this operation, the control right for the action is required.

To run an action for which the execution condition is Manual Submit , the following three methods are provided:

  1. Select [Action Execution] from the right-click menu of a desired action on the tree view (Operation View).
  2. Double-click on a desired action on the tree view (Operation View).
  3. Double-click on a desired action on Map View.

When the [Action Execution] window has been displayed, confirm the information in the window and then click on the [Run] button.

  • Action Setting tab

Displays the details of a defined action.

For the Command Execution type of action, it displays the information on the host executing the action and the command(s) to be executed.

For the Send Message type of action, it displays the information on output messages.

The command field displays a character string derived from removing the directory path of the command from the character string entered in the command field of the [Command Setting] window.

E.g.
Character string entered in the command field of the [Command Setting] window: C:\Windows\System32\xcopy.exe

Displayed character string: xcopy.exe

The command name is not displayed correctly if it includes "\" or "/" that is not intended to be a part of the directory path.

The character string entered in the command field can be displayed as it is by changing the ini file on the manager.

For information on setting the ini file, refer to the “MasterScope SystemManager G Release Memo."

As the confirm message field displays the items that must be checked before running the action, please examine them carefully.

  • Confirm
    This is displayed for an action in which [User Confirm] was selected for the action setting.
    The [Execute] button becomes available by selecting [Confirm], enabling the action to be executed.

  • Exit Operation Definition tab

Displays the operation when the action has been completed.

  • Run button

Executes the action.
When the [Confirm] check box is displayed, the [Execute] button is not available unless [Confirm] is selected.

Users who belong to a group that has the authority to change definitions or a group that has the authority to edit the action in question can change the definition contents and execute the action.
For more information on how to define an action, refer to here.

[Note]

  • The action you want to run must be enabled.
  • You cannot run actions with execution conditions of Scheduled Time or Receive Message.
  • When you run an action with the information derived from rewriting the action definition, the definition will not be overwritten with the information. To change the definition, you must disable the action before changing it.
  • If concurrent execution of the same action is restricted, an action cannot be executed when another instance of the same action is already running.

[References]

Set an action definition (command execution)

Set an action definition (send message)

Set a definition for the exit operation

Toggle an action between Enable and Disable


Run an action awaiting confirmation of execution

This operation is only allowed for users who belong to a group that has the operation right.

If an action for which the execution condition is Scheduled Time or Receive Message is set to [Wait for user determination], the action will not be executed immediately after the execution trigger occurs, but end up in the state of waiting for user confirmation for execution.

To reference actions in the state of waiting for user confirmation for execution, display the [Waiting for a check of Operation Control] view.

  • Actions Awaiting Confirmation for Execution list

  •  State

Displays the state (Await confirmation or Suspend) of each action.

  • User Name

Displays the user name of the user that suspended each action. For actions that are not suspended, it displays a blank.

  • Generated Date

Displays the date the execution condition for each action became true.

  • Generated Time

Displays the time the execution condition for each action became true.

  • Action Name

Displays the name of each action.

  • Action Type

Displays the type (Command or Message) of each action.

  • Execution Condition

Displays the execution condition (Scheduled Time or Receive Message) of each action.

  • Description

Displays the description of each action.

Double-click on a desired action in the [Actions Awaiting Confirmation of Execution] list.

When the [Action Execution] window has been displayed, confirm the information in the window, and then click on the [Run] button.

  • Action Setting tab

Displays the details of the defined action.

For the action for which the action type is Command Execution, it displays the information on the host executing the action and the command(s) to be executed.

For the action for which the type is Send Message, it displays the information on output messages.

As the confirm message field displays the items that must be checked before running the action, please carefully examine them.

  • Event Trigger tab

Displays what is set for the execution trigger for the action (Scheduled Time or Send Message).

  • Exit Operation Definition tab

Displays the operation when the action has been completed.

  • Run button

Executes the action.

The action that is executed will be deleted from the [Waiting for a check of Operation Control] view.

  • Suspend button

Suspends the execution of an action on a temporary basis for some reason, such as checking the status.

For the action that has been suspended, the status field and the user name field in the [Waiting for a check of Operation Control] view will display [Suspend] and the user name of the user that suspended the action.

  • Cancel button

Cancels an action without executing it.

The canceled action will be deleted from the [Waiting for a check of Operation Control] view. It will not be recorded, even in the action history.

Users who belong to a group with the definition change right can run an action after they rewrite the action definition. For more information on how to define an action, refer to here.

[Note]

  • When you run an action with the information derived from rewriting the action definition, the definition will not be overwritten with the information. To change the definition, you must disable the action before changing it.
  • If concurrent execution of the same action is restricted, an action cannot be executed when another instance of the same action is already running.

[References]

Set an action definition (command execution)

Set an action definition (send message)

Set a definition for the exit operation


Force a running action to stop

This operation is only allowed for users who belong to a group that has the operation right.

Select [Action History] from the right-click menu of a desired action on the tree view (Operation View) to force a running action to stop. The right section of the window displays the action history window.

Select the running action you want to force to stop and select [Force End] from the right-click menu.

When a window to confirm the forced termination has been displayed, click on the [OK] button.

[Note]

When you have forced an action to stop, a running command continues to be executed, but the result of the command will be discarded.


Monitor the execution status of an action

The execution statuses of the actions that have been generated since the monitoring terminal was started are displayed in the [Operation Message] tab in the bottom of the monitoring window.

The [Operation Message] tab is not displayed when the tab is set not to be used via the option setting.

The following information is displayed in a list of messages:

  • Generated Time

Displays the date and time an event occurred, such as the execution of an action and a command, and message transmission.

  • Action Name

Displays the name of each action.

  • Action ID

Displays the number that identifies an executed action.

Action ID will be automatically assigned to the execution unit of an action.

  • Target Host

Displays the host to which each command has been submitted.

  • Command

Displays the name of each command.

  • Message

Displays a message that indicates the execution status of each action.

[Note]

Once you exit the monitoring window, the information on the [Operation Control Message] tab will not be displayed the next time you start the monitoring window.


Refer to the action history

This operation requires the reference right in the user authority and the reference right in the group authority.

Select [Action History] from the right-click menu of an action on the tree view (Operation View) to refer to the action history. The right section of the window displays the action history window.

The action history window displays the button panel in the upper section and a list of history records in the lower section.

  • Button Panel section
    • Display Period

Displays the display period for the history window.

It displays records in the action history for the time period set in [Display Period] in the option setting immediately after the action history window has been displayed.

To change the display period, search for the records in the action history.

    • [Search] button

Enables you to search the action history for past records. For more information, refer to here.

    • [CSV Output] button

Outputs the displayed history information to a CSV format file.

This operation requires the reference right in the user authority and the reference right in the group authority.
For more information, refer to here.

  • History List section
    • Status

Displays the color that corresponds to the status of each action.

    • State

Displays the status (Executing, Normal End, Abnormal End, or Force End) of each action.

    • Confirm

Displays the confirmation status of each action.

It displays a blank for actions that are not confirmed and [Confirmed] for those that have been confirmed.

    • Action ID

Displays the number that identifies an executed action. Action ID will be automatically assigned to the execution unit of an action.

    • Start Time

Displays the date and time each action started to be executed.

    • End Time

Displays the date and time each action completed the execution.

    • User Name

If you ran an action manually or while it waits for confirmation for execution, it displays the user name of the user that ran it. Otherwise, it remains blank.

  • Right-click menu

You can display a menu by specifying a desired action and right-clicking on it.

    • Confirmed/Cancel Confirmed

Changes the confirmation status of the selected record in the action history.

For a confirmed action, the severity color will not be reflected in the corresponding icon in the tree view.

    • Detailed Display

Displays the details of the selected record in the action history. For more information, refer to here.

You can also display the details of an action by double-clicking on the action in the history.

    • Force End

Forces a running action to stop. For more information, refer to here.

[Note]

The action history records are saved on the manager and held there for the time period specified in the option setting. If you set the hold period to [Unlimited], you must remove records in the action history periodically because it may have an impact on the disk capacity. For more information on the remove operation, refer to here.

  • The action history is stored in the following path on the manager. (if the installation task was performed based on the default setting)

Windows manager

C:\Program Files\NEC\UMF\Operatios\Manager\sg\Operation

HP-UX manager

/opt/UMF/Operations/Manager/sg/Operation

  • The size of the action history fluctuates depending on some variables such as the number of target hosts, the number of commands, and information output from the commands.

[References]

Search for a record in the action history

Refer to the details of the action history (command results)

Delete records in the action history

Force a running action to stop


Save an action history in a file

This operation requires the right to reference the root node in the operation control view and the appropriate action.

All the actions displayed in the action history window are output into a file in CSV format.

From the action history window, click the [CSV Output] button to display the CSV output setting window.

  • File name
    Specify the name of the file in which the action log is saved by using up to 256 characters.

  • Reference button
    When the [Save As] dialog has been displayed, specify the save location, file name, character code, and delimiting character, and click [OK] button.

  • OK Button
    Saves the information into the specified file.
    The file is output using Shift-JIS by default.
    To output the file using Unicode, click the [Browse] button, and select [Use UNICODE] in the [Save As] dialog box.

  • Cancel Button
    Completes the save operation and closes this window.

[Note]

  • If there has already been a definition file(s) with the same name under the directory, a confirm dialog will be displayed to prompt you to confirm the overwrite save operation.
    Click [Yes] to overwrite an existing definition file(s), and click [No] to cancel the overwrite operation without saving the definition files.

  • If the path is omitted in a file name

  • Regular console (when being started from Start menu)
    The file is saved in C:\Documents and Settings\<Windows login user>

  • Regular console (when being started from the shortcut on desktop)
    The file is saved to the desktop.

  • Regular console (when being started by double-clicking SysMonSvc.exe)
    The file is save in the directory in which the SysMonSvc.exe resides.

  • Web console
    The file is saved to the desktop.

[Reference]

Refer to the action history


Refer to the details of the action history (command results)

To display the results from an executed command, the following two methods are provided:

  1. Select [Detailed Display] from the right-click menu of a desired action in the action history window.
  2. Double-click on a desired action in the action history window.

When the [Detailed Action History] window has been displayed, select the [Action] tab.

The left section of the tab displays a tree of commands that were executed on each target host. The right section displays the execution results of the selected command.

  • Description

Displays the description of the command.

  • State

Displays the status (Not Start, Executing, Normal End, Abnormal End, or Force End) of the command.

  • Command

Displays the commands that have been executed or will be executed.

  • Working Directory

Displays the working directory for each of the commands that have been executed or will be executed.

  • Option

Displays the argument for each of the commands that have been executed or will be executed.

  • Start Time

Displays the time each command was executed. Nothing is displayed for the commands that are not started.

  • End Time

Displays the time each command was completed. Nothing is displayed for the commands that have not been completed.

  • Exit Code

Indicates the return value of each of the completed commands. Nothing is displayed for the commands that have not been completed.

  • Output Reference button

Displays the output (standard output/standard error output) from each of the completed commands.

Nothing will be displayed for the commands that have not been completed or that are not set to output results.

The command displayed in tree displays a character string derived from removing the directory path of the command from the character string entered in the command field of the [Command Setting] window.

E.g.:

Character string entered in the command field of the [Command Setting] window: C:\Windows\System32\xcopy.exe

Displayed character string: xcopy.exe

The command name is not displayed correctly if it includes "\" or "/" that is not intended to be a part of the directory path.

The character string entered in the command field can be displayed as it is by changing the OperationMgr.ini file on the manager.

For information on setting the OperationMgr.ini file, refer to the “MasterScope SystemManger G Release Memo."

[References]

Refer to the action history

Refer to the details of the action history (execution triggers)

Set a command


Refer to the details of the action history (messages sent)

To display what is included in a sent message, the following two methods are provided:

  1. Select [Detailed Display] from the right-click menu of a desired action in the action history window.
  2. Double-click on a desired action in the action history window.

When the [Detailed Action History] window has been displayed, select the [Action] tab.

  • Category

Displays the category of a sent message.

  • Severity

Displays the severity of a sent message.

  • Node

Displays the node of a sent message.

  • Application

Displays the application of a sent message.

  • Object

Displays the object of a sent message.

  • Message ID

Displays the message ID of a sent message.

  • Message Text

Displays the message body of a sent message.

[References]

Refer to the action history

Refer to the details of the action history (execution triggers)

Set an action definition (send message)


Refer to the details of the action history (execution triggers)

To display the execution trigger of an action, the following two methods are provided:

  1. Select [Detailed Display] from the right-click menu of a desired action in the action history window.
  2. Double-click on a desired action in the action history window.

When the [Detailed Action History] window has been displayed, select the [Status] tab.

  • Description

Displays the description of the action.

  • Status
    • Start Time

Displays the date and time the action started to be executed.

    • End Time

Displays the date and time the action completed execution.

    • State

Displays the status (Executing, Normal End, Abnormal End, or Force End) of the action.

  • Execution Trigger

Displays different information, depending on the execution condition.

[Manual Submit]

    • Execution Condition

Displays "Manual Submit."

    • User

Displays the user name of the user that ran the action.

[Schedule Time]

    • Execution Condition

Displays "Scheduled Time."

    • Scheduled Time

Displays the time that was defined as the trigger.

    • Generated Time

Displays the date and time the action was triggered. If the action is set to provide notification of the schedule during a failover operation in the [Failover Setting] window, it may be different from [Scheduled Time].

    • User

If the action is set to wait for user determination, it will display the user name of the user that ran the action.

[Receive Message]

    • Execution Condition

Displays "Receive Message."

    • Message Overview

Displays the filter's "message overview" that satisfies the conditions.

    • Category

Displays the category of the message that played the role of a trigger.

    • Severity

Displays the severity of the message that played the role of a trigger.

    • Node

Displays the node name that output the message that played the role of a trigger.

    • Application

Displays the application of the message that played the role of a trigger.

    • Object

Displays the object of the message that played the role of a trigger.

    • Message ID

Displays the message ID of the message that played the role of a trigger.

    • Generated Datetime

Displays the date and time the message that played the role of a trigger occurred.

    • Received Datetime

Displays the date and time the message monitoring function received the message that played the role of a trigger.

    • Message Text

Displays the text of the message that played the role of a trigger.

    • User

If the action is set to wait for user determination, it displays the user name of the user that ran the action.

[References]

Refer to the action history

Refer to the details of the action history (command results)


Search for a record in the action history

To search for a record in the action history, display the [Action History Search] window by clicking on the [Search] button in the action history window.

Specify the search conditions and click on the [OK] button.

  • Start Date

Specify the start day of the display period.

  • End Date

Specify the end day of the display period.

  • Filter

  •  State

The actions will be searched for based on the checked state(s) among [Executing],

[Normal End], [Force End], [Abnormal End], and/or [No Executing].

  • Confirm

The actions will be searched for based on the checked item(s) among [Confirmed] and/or [Not Confirmed].

[Reference]

Refer to the action history


Delete records in the action history

This operation must be executed after shifting into the Configuration mode.

To delete records from the action history, select [Delete History] from the right-click menu of a desired action on the tree view (Operation View).

When the [Delete History] window has been displayed, specify the delete conditions, and then click on the [OK] button.

  • Delete Target

Displays the action name of the action to be deleted.

  • Initialization

Selecting this will delete all the records of the target action in the history.

  • Swap

Selecting this will delete all the records in the history older than the date specified as the swap date.

[Note]

  • If an action to be deleted in the history is still running or waiting for confirmation, the action record(s) will not be deleted from the history.

  • Deleting logs from the root node in the tree view (operation control view) deletes the command logs that were not deleted when deleting actions.

[Reference]

Refer to the action history


Searching for a command log

To execute this operation, the authority to view the root node in the operation control view is required.

To search for a command log, select [Command History] from the right-click menu in the operation control view to display the [Search Condition] dialog box.

Specify the search condition, and then click the [Search] button.

The [Search Condition] dialog box can also be displayed by clicking the [New Search] and [Set Search Condition] buttons in the command log dialog box.

  • Max Display
    Specify the maximum number of items to be displayed when searching for a command log. Specify a value in a range of 1,000 to 20,000. The default value is 10,000.

  • Condition
    Select the method for describing the search condition. Select [Wild Card] or [Regular Expression] for the description method. The default value is [Wild Card].

  • Target Host
    Specify the host where the command was executed by using up to 256 characters.. A host can be selected from the list. If this field is blank, all hosts where the command was executed will be searched. This field is blank by default.
    Searches by using the method specified in the [Condition] column mentioned above.

  • Action Name
    Specify the action name by using up to 256 characters.. If this field is blank, all actions will be searched. This field is blank by default.
    Searches by using the method specified in the [Condition] column mentioned above.

  • Command
    Specify the command by using up to 256 characters.. If this field is blank, all commands will be searched. This field is blank by default.
    Command options can also be specified.
    Searches by using the method specified in the [Condition] column mentioned above.

  • User Name
    Specify the command execution user name by using up to 64 characters.. If this field is blank, all users will be searched. This field is blank by default.
    Searches by using the method specified in the [Condition] column mentioned above.

  • Status
    Select and specify the command status from the list. If this field is blank, all statuses will be searched. This field is blank by default.

  • Execution Condition
    Select and specify the command execution condition from the list. If this field is blank, all execution conditions will be searched. This field is blank by default.

  • Start Date
    Specify the date to start the search. The default value is the date 60 minutes prior to when the search condition dialog box was displayed.

  • Start Time
    Specify the time to start the search. The default value is the time 60 minutes prior to when the search condition dialog box was displayed.

  • End Date
    Specify the date to end the search. The default value is the date when the search condition dialog box was displayed.

  • End Time
    Specify the time to end the search. The default value is the time when the search condition dialog box was displayed.

  • Start date not set
    Select this when the search starting date and starting time are not specified. If this is selected, the starting date and starting time cannot be selected and the search starts with the oldest log. This is not selected by default.

  • End date not set
    Select this when the search ending date and ending time are not specified. If this is selected, the ending date and ending time cannot be specified and the search continues up to the latest log. This is not selected by default.

  • Search Time Stamp

    • Selected
      Searches for commands executed in the continuous period specified by the starting date/time and ending date/time. This is selected by default.
      Example: When the starting date/time is 9:00am on April 1, and the ending date/time is 12:00pm on April 3
      Commands executed in the period between 9:00am on April 1 and 12:00pm on April 3 are searched.

    • Not selected
      Commands executed from the starting time to the ending time each day in the period specified by the starting date and ending date are searched.
      Example: When the starting date/time is 9:00am on April 1, and the ending date/time is 12:00pm on April 3
      Commands executed between 9:00am and 12:00pm on April 1,
      between 9:00am and 12:00pm on April 2, and between 9:00am and 12:00pm on April 3 are searched.
      * Commands that were not executed between 9:00am and 12:00pm each day are not searched.

  • Search
    Starts the command search based on the specified condition.

  • Cancel
    Cancels the search and closes the dialog box.

Specify the condition in the search dialog box and click the [Search] button to add the search result tab and display the search results in the command log dialog box.

Click the [New Search] button to display the [Set Search Condition] dialog box. The search result tab is added and the search results are displayed when the search condition is specified and the search is executed.

Up to 5 search result tabs can be displayed simultaneously. To execute more than 5 searches, close unnecessary tabs by clicking the [Close] button. A tab can also be closed from the pop-up menu displayed by right-clicking the tab.

The command log dialog box closes when all tabs are closed.

Click the [Set Search] button to display the previous search condition on the current search result tab as the initial value for the [Search Condition] dialog box. Click the [Search] button in the search dialog box to display the search results on the already displayed search result tab.

[Notes]

  • When a future date is specified for the ending date/time or the ending date/time is not specified, commands executed after the search will be automatically added and displayed on the search result tab if the commands match the search condition.

  • Command logs that were not deleted when deleting actions can also be searched.

  • The commands of actions for which reference authority is not granted are not displayed in the search results.
    However, the history of commands executed from an action to which the reference privileges have not been granted is displayed in [Search Result] if that action is deleted.

[Reference]

Refer to command log

Saving a command log to a file

Printing a command log

Refer to command log details (command results)

Refer to command log details (execution triggers)

Customizing the command log display


Refer to command log

To execute this operation, the authority to view the root node in the operation control view and the corresponding action is required.

Search the command logs to view a command log. The command log dialog box is displayed on the right side of the window.

In the log dialog box, the button panel is displayed in the upper part and the log list is display in the lower part of the window.

  • Button panel area

    • Output result display
      The selected command output (standard output/standard error output) is displayed below the log list.
      Unfinished commands and commands that do not have settings to acquire output results are not displayed.

    • [New Search] button
      Searches past logs.
      For details, click here.

    • [Set Search Condition] button
      Searches past logs.
      For details, click here.

    • [CSV Output] button
      Outputs displayed log information to a file in CSV format.
      For details, click here.

    • [Print] button
      Prints displayed log information as a form.
      For details, click here.

    • [Close] button
      Closes the currently displayed search result tab.

  • Log list area

    • Action name
      Displays the action name.

    • Status
      Displays the command status (“Not executed”, “Executing”, “Normal end”, “Abnormal end”, or “Forcible termination”).

    • Command
      Displays the command.

    • Option
      Displays the parameters of the command.

    • Execution start time
      Displays the date and time command execution started.

    • Execution end time
      Displays the date and time command execution ended.

    • Termination code
      Displays the termination code of the command. Unfinished commands are not displayed.

    • Destination
      Displays the host where the command was or will be executed.

    • Execution condition
      Displays the command execution condition (manual execution, time trigger, or message trigger).

    • User name
      Displays the name of the user who executed the command when the command was manually executed or executed from the waiting-for-verification status. Other items are blank.

  • Right-click menu
    Displays a pop-up menu when a command is selected and right-clicked.

    • Detailed display
      Displays the details of the selected log. For details, click here.
      Details can also be displayed by double-clicking a log.

[Reference]

Refer to command log

Saving a command log to a file

Printing a command log

Refer to command log details (command results)

Refer to command log details (execution triggers)

Customizing the command log display


Saving a command log to a file

To execute this operation, the authority to view the root node in the operation control view and the corresponding action is required.

All commands displayed in the command log search results are output to a file in CSV format.

Click the [CSV Output] button in the command log dialog box to display the CSV output setting dialog box.

  • File name
    Specify the name of the file in which to save the command log by using up to 256 characters..

  • [Browse] button
    When the [Save As] dialog box is displayed, specify the saving destination, file name, character code, and delimiter, then click the [OK] button.

  • [OK] button
    Saves the log to the specified file.
    The file is output using Shift-JIS by default.
    To output the file using Unicode, click the [Browse] button, and select [Use UNICODE] in the [Save As] dialog box.

  • [Cancel] button
    Cancels saving and closes the dialog box.

[Notes]

  • If a file with the same name already exists, a dialog box to confirm whether to overwrite it is displayed. To overwrite the existing file, click [Yes]. To abort saving without overwriting the file, click [No].

  • When the path for the file name is omitted

    • Standard console (when started from the Start menu)
      The file is saved to C:\Documents and Settings\<Windows login user>.

    • Standard console (when started using a shortcut on the desktop)
      The file is saved on the desktop.

    • Standard console (when started by double-clicking SysMonSvc.exe)
      The file is saved in the directory that includes SysMonSvc.exe.

    • Web console
      The file is saved on the desktop.

  • - The search execution date and time (the date and time that the file was saved) and the search condition are output at the beginning of the file (Lines 1 to 13). The command list items output in the file are the items of each column displayed in the log search results, and the order in which they are output is the same as the order in which they are displayed in each column.

[Reference]

Refer to command log


Printing a command log

To execute this operation, the authority to view the root node in the operation control view and the corresponding action is required.

Commands displayed in the command log search results are printed as a form.

Click the [Print] button in the command log dialog box to open the print dialog box, and then select the printer to be used and click the [OK] button.

When a print target command is selected and the [Print] button is clicked in the command log dialog box, [Selection] can be selected for the print range in the print dialog box. In this case, only the commands selected in the command log dialog box are printed.

An image of the form to be printed is shown below.

[Notes]

  • The search execution date and time printed on the form header is the date and time when the form was printed.

[Reference]

Refer to command log


Refer to command log details (command results)

To execute this operation, the authority to view the action is required.

There are two methods used to display the command execution results.

  1. Right-click the command in the command execution result dialog box of the command log dialog box, and select [Details] from the displayed pop-up menu.

  2. Double-click the command in the command execution result dialog box of the command log dialog box.

When the command log details dialog box is displayed, select the [Action] tab.

  • Target Host
    Displays the host to which the command is sent.

  • Status
    Displays the command status ("Not executed", "Executing", "Normal end", "Abnormal end", or "Forcible termination").

  • Command
    Displays the command.

  • Working Directory
    Displays the work directory for the command.

  • Option
    Displays the parameters of the command.

  • Start Time
    This is the time when the command was executed.

  • End Time
    This is the time when the command ended.

  • End Code
    This is the return value of the command. Unfinished commands are not displayed.

  • Output Results
    Displays the command output (standard output/standard error output).
    Unfinished commands and commands that do not have settings to acquire output results are not displayed.

[Reference]

Refer to command log


Refer to command log details (execution triggers)

To execute this operation, the authority to view the action is required.

There are two methods used to display the command execution results.

  1. Right-click the command in the command log dialog box, and select [Details] from the displayed pop-up menu.

  2. Double-click the command in the command log dialog box.

When the command log details dialog box is displayed, select the [Execution Condition] tab.

The details to be displayed vary depending on the execution condition.

If execution condition is Manual Submit

  • Execution Condition
    Displays the Manual Submit.

  • User Name
    Displays the name of the user who executed the action.

If the execution condition is Receive Message

  • Execution Condition
    Displays the Receive Message.

  • User Name
    Displays the name of the user who executed the action when the action was executed from the waiting-for-verification status. Other items are blank.

  • Description
    Displays [Description] for the filter that matched the condition.

  • Category
    Displays the category of the trigger message.

  • Severity
    Displays the severity of the trigger message.

  • Node
    Displays the name of the node that output the trigger message.

  • Application
    Displays the application of the trigger message.

  • Object
    Displays the object of the trigger message.

  • Message ID
    Displays the message ID of the trigger message.

  • Generated Time
    Displays the date and time that the trigger message was generated.

  • Receive Time
    Displays the date and time that the trigger message was received by the message monitoring function.

  • Message Text
    Displays the message text of the trigger message.

If the execution condition is Scheduled Time

  • Execution Condition
    Displays the Scheduled Time.

  • User Name
    Displays the name of the user who executed the action when the action was executed from the waiting-for-verification status. Other items are blank.

  • Estimated Time
    Displays the date and time defined as the trigger.

  • Generated Time
    Displays the date and time of the trigger. When schedule notification during failover is enabled in the [Fail Over Setting] dialog box, the time may differ from the scheduled time.

[Reference]

Refer to command log


Customizing the command log display

To execute this operation, the authority to view the root node in the operation control view is required.

The location, size, and whether to show or hide each column can be changed for the command log search results.

To customize the search result display, perform the following operations.

  • Changing the column location
    Drag the target column title area, then drop it in the destination column location.

  • Changing the column size
    Place the mouse on the right edge of the target column title area, then move the mouse right or left to change the size.

  • Selecting whether to show or hide a column
    Right-click the column title area to display the column name list menu. Switch showing/hiding by selecting a column name. A checkmark is displayed to the left of the column name list menu for the column names currently being displayed.

  • Changing the display contents from the detailed setting dialog box
    Right-click the column title to display the column name list menu. Select [Other]. A checkmark is displayed to the left of the column name list menu for the column names currently being displayed.

  • Column name list area
    Column names are displayed in a list. Column names with a checkmark in the check box on the left are displayed.

  • Description
    Descriptions of selected columns are displayed.

  • [Up] and [Down] buttons
    These buttons change the location to display the selected column name.

  • [Show] button
    Shows a hidden selected column name. A checkmark is placed in the check box on the left.
    This operation is available only when a checkmark is not placed in the check box on the left.

  • [Hide] button
    Hides a shown selected column name. A checkmark is removed from the check box on the left.
    This operation is available only when a checkmark is placed in the check box on the left.

  • [OK] button
    Finalizes the detailed settings for the displayed contents and returns to the previous operation. Changes are applied to the column title area.

  • [Cancel] button
    Cancels the detailed settings for the displayed contents and returns to the previous operation. Changes are not applied to the column title area.

[Notes]

  • Changes in the display settings such as the location, size, and whether to show or hide each column in the search result dialog box are valid only in the displayed search result dialog box. Display settings are not saved.

[Reference]

Refer to command log


Refer to command execution results

To execute this operation, the authority to view the root node in the operation control view is required.

There are two methods used to display the command execution results.

  1. Select [Command Result] from the right-click menu in the operation control view.

  2. Execute the action for which [Displayed when run the command execution result] is specified as the action setting.

In the command execution result dialog box, the button panel is displayed in the upper part and the execution result list is display in the lower part of the window.

  • Button panel area

    • Output result display
      The selected command output (standard output/standard error output) is displayed below the execution result list.
      Unfinished commands and commands that do not have settings to acquire output results are not displayed.

  • Execution result list area

    • Action name
      Displays the action name.

    • Status
      Displays the command status ("Not executed", "Normal end", "Abnormal end", or "Forcible termination").

    • Command
      Displays the command. Commands being executed are not displayed.

    • Option
      Displays the parameters of the command.

    • Start Time
      Displays the date and time command execution started.

    • End Time
      Displays the date and time command execution ended.

    • Exit Code
      Displays the termination code of the command. Unfinished commands are not displayed.

    • Target Host
      Displays the host where the command was executed (or will be executed).

    • Execution Condition
      Displays the command execution condition (manual execution, time trigger, or message trigger).

    • User Name
      Displays the name of the user who executed the command when the command was manually executed or executed from the waiting-for-verification status. Other items are blank.

  • Right-click menu
    isplays a pop-up menu when a command is selected and right-clicked.

    • Details
      Displays the details of the selected log. For details, click here.
      Details can also be displayed by double-clicking a log.

    • Re Execute
      Displays the action execution dialog box.
      Action information from when the selected command was executed is displayed in the action execution dialog box.

[Notes]

  • The running commands and those for actions without the reference right are not displayed in the execution result list.

  • Commands executed after a user has logged in and commands executed by the same user from a different console while the user is logged in are displayed in the execution result list. Commands executed during the previous login or commands executed by other users are not displayed.

  • If the command logs were not deleted when the actions were deleted, the commands of the deleted actions are displayed in the execution result list. However, they cannot be re-executed from the displayed right-click pop-up menu.

  • The maximum number of items displayed in the execution result list is 20,000.If the number of items exceeds 20,000, the last 20,000 items are displayed.

[Reference]

Refer to command log details (command results)

Refer to command log details (execution triggers)

Customizing the command execution result display


Customizing the command execution result display

To execute this operation, the authority to view the root node in the operation control view is required.

The location, size, and whether to show or hide each column can be changed for the command execution results.

To customize the execution result display, perform the following operations.

  • Changing the column location
    Drag the target column title area, then drop it in the destination column location.

  • Changing the column size
    Place the mouse on the right edge of the target column title area, then move the mouse right or left to change the size.

  • Selecting whether to show or hide a column
    Right-click the column title area to display the column name list menu. Switch showing/hiding by selecting a column name. A checkmark is displayed to the left of the column name list menu for the column names currently being displayed.

  • Changing the display contents from the detailed setting dialog box
    Right-click the column title to display the column name list menu. Select [Other]. A checkmark is displayed to the left of the column name list menu for the column names currently being displayed.

  • olumn name list area
    Column names are displayed in a list. Column names with a checkmark in the check box on the left are displayed.

  • Description
    Descriptions of selected columns are displayed.

  • [Up] and [Down] buttons
    These buttons change the location to display the selected column name.

  • [Show] button
    Shows a hidden selected column name. A checkmark is placed in the check box on the left.
    This operation is available only when a checkmark is not placed in the check box on the left.

  • [Hide] button
    Hides a shown selected column name. A checkmark is removed from the check box on the left.
    This operation is available only when a checkmark is placed in the check box on the left.

  • [OK] button
    Finalizes the detailed settings for the displayed contents and returns to the previous operation. Changes are applied to the column title area.

  • [Cancel] button
    Cancels the detailed settings for the displayed contents and returns to the previous operation. Changes are not applied to the column title area.

When the console is closed after the display settings such as the location, size, and whether to show or hide each column of the command execution results are changed, the following message is displayed prompting you to save the changed settings.

Click [Yes] to save the changed display settings for each logged in user account. Click [No] to discard the changed display settings.

[Reference]

Refer to command execution results


About Impacts from Stopping Agent/Manager

A command takes the following actions when the agent/manager has stopped

  • When the agent stops while a command is being executed, the running command will be completed abnormally.

  • When a command is executed on an agent that is stopped, the command will be completed abnormally after waiting for the given time (5 minutes) to elapse.

If the command is set to a timeout value of less than 5 minutes, it will be completed abnormally after waiting for the timeout value to elapse.

[Reference]

Set a basic definition

  • When the manager stops while a command is being executed, the status of the command will be displayed as Abnormal End when the manager is restarted.

When the manager has been restarted, the subsequent command will be executed if it is executable.

  • If the time specified as the execution trigger has passed while the manager stops and if such an event is set to be notified of in the [Failover Setting] window, the action will be executed the next time the manager is started.


Linkage betweenManagers

SystemManager G monitors the whole system in an integrated fashion by connecting multiple managers hierarchically, where the lower manager collects messages and notifies them to the upper manager.

  • Message reporting function
    Messages collected by the lower manager are notified to the upper manager.

    • Settings at the lower manager

In the lower manager, information of the upper (destination) manager and the relevant message filter are defined.

[References]
Use Message Linker with upper manager

Define an upper manager group

Set an upper manager

Define a filter for messages to be reported to an upper manager

Display a list of messages reported to an upper manager

    • Settings at the upper manager

"@manager name" will be added to the end of the node name for messages sent by the lower manager.

Create a category in the Business View to store these messages.

[References]

About message monitoring

  • Command execution function
    Enables you to issue a recovery event for a message reported to an upper manager by setting the recovery process on the manager.

    • Settings at the lower manager

No settings required.

    • Settings at the upper manager

Command linkage can be defined in the Recovery Definition of Message Monitoring Function.

[References]

Set the Command Linker

[Note]

This functionality is optional. If you would like to use it, please purchase the license for Manager Linkage and register your license key.


Use Message Linker with upper manager

This operations must be executed after shifting into the Configuration mode.

To use the Message Linker with upper manager, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [Manager Linker] tab.

  • Use Manager Linker
    If you want to use Manager Linker, you must check this checkbox and set the items to desired values.
    When you check the box and click on the [OK] button, the [Manager Linker] node will be displayed as a root node on the tree view in the monitoring window.

  • Number of Sent Message
    Specify the Size of sent Messages to the upper manager and you want to retain, in 1000 to 10000. The default value is 1000.
    When you display a list of messages transmitted to the upper manager, the messages will be displayed in such a manner that the number does not exceed the value specified here as the maximum number of messages to be displayed in the list.

  • Size of Send Message Queue
    Specify the Size of Send Queue, in 1000 to 10000, if the messages cannot be reported to the upper manager. The default value is 1000.

[References]

Define an upper manager group

Set a upper manager


Define an upper manager group

This operations must be executed after shifting into the Configuration mode.

To define an upper manager group, select [Group Setting] from the right-click menu of the [Manager Linker] node on the tree view or the right-click menu of the upper manager group. When the [New Group] dialog box has been displayed, complete the entries in the dialog box and click on the [OK] button.

  • Group Name
    Specify a desired group name, within a maximum of 64 characters.
    The Group Name must be specified.

  • Icon File
    Use a maximum of 256 characters to specify the icon to be used to display an entity. Clicking on the [Browse] button enables you to display the [Open File] dialog box and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.
    You can use an appropriate environment variable for the path name to the file.
    When you omit specifying an icon file, the default icon will be used.

[References]

Use Message Linker with upper manager

Set an upper manager


Set an upper manager

This operations must be executed after shifting into the Configuration mode.

To set up an upper manager to which messages will be reported, select [Upper Manager Setting] from the right-click menu of the [Manager Linker] node on the tree view or the right-click menu of the upper manager group. When the [New Upper Manager] dialog box has been displayed, complete the entries in the dialog box and click on the [OK] button.

  • Upper Manager
    Specify the upper manager name to be displayed in the tree view, within a maximum of 64 characters.
    The upper manager name must be specified.

  • Icon File
    Use a maximum of 256 characters to specify the icon to be used to display an entity. Clicking on the [Browse] button enables you to display the [Open File] dialog box and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.
    You can use an appropriate environment variable for the path name to the file.
    When you omit specifying an icon file, the default icon will be used.

  • HostName
    Specify the host name or IP address for the upper manager, within a maximum of 64 characters, to which you want to send messages. The character string for this item will be used when establishing a connection to the upper manager.
    The host name must be specified.

  • Port
    Specify the port number, in the range of 1024 to 32767, to be used for the message link with the upper manager. It must match the port number that is specified to communicate with the agent in the upper manager. The default value is 12520, this is the default port number that is specified to communicate with the agent in the MCOperations V3.X manager.

[Note]

The status color for an MCO manager node indicates "NORMAL" when it is connected to the MCO manager and "CRITICAL" when it is disconnected.

It does not indicate the severity of each reported message.

[References]

Define an upper manager group

Define a filter for messages to be reported to an upper manager


Define a filter for messages to be reported to an upper manager

This operation must be executed after shifting into the Configuration mode.

This section defines a filter to extract messages that were output on an agent. Select [Filter Setting] from the right-click menu of a desired upper manager node on the tree view. When the [Filter Setting] window has been displayed, register a desired message category(ies) by selecting it from those defined in Business View and click on the [OK] button.

  • If you check [Business View], a root node, you can report messages in all the categories to the upper manager.

The messages that are stored in a checked category(ies) or a checked category group(s) will be reported to the upper manager.

[Note]

  • You cannot define extract conditions for a filter in this window. You need to complete filter setting in a desired category in Business View and then define the extract conditions for the filter.

  • If the checked category is stopped, the message is reported to the upper manager if [Saving Messages] is checked in the option setting of the business view.

[References]

Define the category

Define the selecting conditions

Set the options for message monitoring

Set an upper manager


Set the Command Linker

This product can execute a recovery command set up on the upper manager side with a message reported to the upper manager as the activation trigger.

The [Recovery setting] window on the side of an upper manager is used to set the Command Linker. For more information on the window, refer to here.

The Command Linker tool, CommandExe.exe, is used to enter a command from upper manager to SystemManager G.

Specify CommandExe.exe as the command to be executed, and its arguments that point to the agent to which the command will be issued and the real command to be executed on the agent.

[Note]

  • A recovery command that will be issued from an upper manager must be set on the upper manager.

  • CommandExe.exe itself is executed on the upper manager. For this reason, the recovery command on an upper manager is directed to the upper manager itself.
    Select "$MANAGER$" for [Host Executing Action] in the [Action Setting] window.

A command that will be entered from an upper manager must be described in the following syntax:

CommandExe.exe -M <Target Name> <Application Name> [-O <Option>] [-W <Work Directory>]

  • Target Name
    Specify the agent name that will run the recovery command. It must be specified.
    In this case, specify "$NODE$" on a permanent basis.

  • Application Name
    Describe the command line for the command to be executed. It must be specified.

  • -O Option
    Describe the option that will be given to the command specified in the command character string. If you do not have to specify the command option, you can omit specifying the -O option.

  • -W Work Directory
    Describe the work directory used to execute the command. If you do not have to specify the work directory, you can omit specifying the -W option.

[Note]

  • To prevent the command from malfunctioning, enclose each item in the Option field with a double quotation (").

  • The total number of characters after the replacement character strings of the commands and options are extracted (when the target host is Windows, the environment variables are included) must be less than 1,700. If this number is exceeded, shorten the options by using a batch file and others.

[References]

About the limitation of the number of command execution


Display a list of messages reported to an upper manager

To list the messages that were actually sent to the upper manager, select [Sent Message List] from the right-click menu of the upper manager node in the tree view or double-click on the node.

The number of messages to be displayed is determined by the [Number of Sent Message] setting in the [Manager Linker] tab of the [Option Setting] window.

  • Refresh
    Refreshes the view with the latest information.

  • Show/Hide the Description
    Shows (or hides) the pane in the lower section of the message list in which message text for the selected message is displayed.

[Note]

The status color for an upper manager node indicates "NORMAL" when it is connected to the upper manager and "CRITICAL" when it is disconnected.

It does not indicate the severity of each reported message.

[References]

Use Message Linker with upper manager

Define a filter for messages to be reported to an upper manager


About user management

This product manages user information that is used in the system. A user is allowed to perform operations that are permitted with a right that is assigned to a group to which the user belongs.

  • Manage user information

You create users that will use the system and manage them.

[References]

Manage user information

  • Manage group information

You create groups to which users will belong and manage them. You also assign various authority to a group.

[References]

Manage group information


Manage user information

This operation must be executed after shifting into the Configuration mode.

This operation is only allowed for users that belong to a group that has the user management authority.

To display the User Management window, select [User Management] from the [Configuration] menu.

  • User Information Display section

Lists created users. You can create a new user, and select a desired user and change his password and property or delete him.

    • User name

Displays the login name of a user.

    • Full name

Displays the full name of a user.

    • Description

Displays the explanation of a user.

  • Clicking on the [New user] button enables you to add a user.

  • Clicking on the [Certification setting] button enables you to change the certification setting of the selected user.

  • Clicking on the [Delete user] button enables you to delete the selected user.

  • Clicking on the [Property] button enables you to update information on the selected user.

Predefined system administration user Administrator exists in the initial state after installing the product.

Nobody can remove Administrator or change information on it.

[Note]

You must change the password for the predefined system administration user Administrator before you start operating the system.

[References]

Create a user

Set a Directory Authentication

Change user information

Delete a user

Change a password for a user


Create a user

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

This section creates a new user.

To create a user, click the [New user] button on the [Users] tab in the [User Management] window to display the [New user] dialog box.

  • Authentication

Select from [Text Authentication] or [Directory Authentication].

  • User name

This is the login name entered when starting the monitoring window. It must be unique within the system.

Specify it within a maximum of 64 characters.
The following user names cannot be registered:

    • / \ [ ] : ; | =, + * ? User names that include a slash ("/"), backslash ("\"), left and right square brackets ("[," "]"), colon (":"), semicolon (";"), vertical bar ("|"), equal sign ("="), comma (","), plus sign ("+"), asterisk ("*"), question mark ("?"), or blank character (" ")

    • User names that only consist of space characters or periods (".")

    • User names that include a tab or line-feed character

    • User names that include a double-byte or single-byte space character at their beginning or end

  • Full name

Enter the full name for a new user, within a maximum of 256 characters. This item is optional.

The following full names cannot be registered:

    • Full names that include a tab or line-feed character

    • Full names that include a double-byte or single-byte space character at their beginning or end

  • Description

Specify the explanation for this user, within a maximum of 256 characters. This item is optional.

The following descriptions cannot be registered:

    • Descriptions that include a tab or line-feed character

    • Descriptions that include a double-byte or single-byte space character at their beginning or end

Click on the [Create] button after Selecting [Text authentication], the password setup window will be displayed. Enter any password in the range of 6 to 64 characters, and then click on the [OK] button.

The following passwords cannot be registered:

  • Passwords that include a double-byte or single-byte space character at their beginning or end.

Click on the [Create] button after Selecting [Directory authentication], "Select the authentication server" dialog will be displayed.

[Note]

  • A new user is granted a reference authority only. If a user needs any other authority, you must attach the user to a group that has the authority.

  • When a user is created from a user except an Administrator, it belongs the group which has Add authority.

[References]

Set a Directory Authentication


Change user information

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

This section changes user information.

To change user information, double-click the user on the [Users] tab in the [User Management] window, or click the [Property] button to display the [Property] dialog box.

  • Authentication

[Text Authentication] or [Directory Authentication] is displayed.

  • Full name

Enter the full name for the user, within a maximum of 256 characters. This item is optional.

The following full names cannot be registered:

    • Full names that include a tab or line-feed character

    • Full names that include a double-byte or single-byte space character at their beginning or end

  • Description

Specify the explanation for the user, within a maximum of 256 characters. This item is optional.

The following descriptions cannot be registered:

    • Descriptions that include a tab or line-feed character

    • Descriptions that include a double-byte or single-byte space character at their beginning or end

  • Disable this account

When you check this item, this user will not be able to log in to the system. If he has already logged in to the system, he will not be able to log in to it from the next time.

  • Lock this account
    Normally, this item has been disabled, and can't check. This function is optional.

Clicking on the [Belong to group] tab enables you to change the group to which this user belongs.

Click on the [OK] button to change information on the selected user. Click on the [Cancel] button to return you to the User Management window without changing user information.

[Note]

  • The user name cannot be changed. If you must change a user name, remove the user first and create a new user.

  • A user can belong to more than one group. If the user belongs to multiple groups, all the authorities granted to each group are granted to the user.


Change a password for a user

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

To specify a password for a user, click the [Certification setting] button on the [Users] tab in the [User Management] window to display the [Password setting] dialog box. If authentication type is [Directory Authentication], Select the authentication server dialog will be displayed.

Enter any password in the range of 6 to 64 characters, and then click on the [OK] button.

The following passwords cannot be registered:

  • Passwords that include a double-byte or single-byte space character at their beginning or end.


Delete a user

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

This section deletes an unnecessary user.

To delete a user, click the [Delete user] button on the [Users] tab in the [User Management] window to display the deletion confirmation dialog box.

Click on [Yes] to delete the user. If the user cannot be deleted for some reason such as because the user is currently logged in, an error message dialog box is displayed and deletion is cancelled.

[Note]

  • Once you have deleted a user, the user cannot be restored. If you want to stop a user from using the system on a temporary basis, disable his account. For more information, refer to here.

  • "Administrator," a built-in user, cannot be removed.


Manage group information

This operation must be executed after shifting into the Configuration mode.

This operation is only allowed for users that belong to a group that has the user management authority.

To display the user management window, select [User Management] from the [Option] menu.

  • Group tree section

This section displays groups in tree format. From the right-click menu, you can add an additional group under a selected group or select a desired group and change it (rename it) or remove it.

    • System Group

This is a predefined system administration group. Only the Administrators group, which has all authorities, belongs to this group.

The settings for the System group cannot be changed.

    • User Group

You can create any groups under this group.

  • Group authority

You can assign an authority to a group. For more information on the types of authority, refer to here.
The configurable types of authority depend on the current authority enabled for a group. If a group does not have a higher authority in the following figure, you are not allowed to set any subordinate authority for the group.

E.g.) Before you can set your group to the "configuration authority," you must set the "reference authority" and the "operation authority" for the group.

  • Application View

In Application View, you can assign operations on the root node (Application View node), application groups, or applications, and message monitoring processes to an appropriate right(s). For more information on the types of authority and rights, refer to here.

The configurable rights depend on the current right(s) available to Application View.

  • Topology View

In Topology View, you can assign appropriate right(s) to operations on the root node (Topology View node), host groups, or hosts, and message monitoring processes. For more information on the types of authority and rights, refer to here.

The configurable rights depend on the current right(s) available to Topology View.

  • Business View
    In Business View, you can assign operations on the root node (Business View node), category groups, or categories, and message monitoring processes to an appropriate right(s). For more information on the types of authority and rights, refer to here.

    The configurable rights depend on the current right(s) available to Business View.

  • User Management
    From [User Management] in the [Option] menu, you can assign the appropriate right(s) for operations on user information and group information. For more information on the types of authority and rights, refer to here.

    The configurable rights depend on the current right(s) available to User Management.

  • List users belonging to a selected group

Displays information on users that belong to the selected group.

[Note]

Even if you set up groups in a hierarchy structure, the groups do not inherit any types of authority from their higher group(s). Only the type(s) of authority granted to each group is valid.

[References]

Add an additional group

Rename a group

Delete a group

Edit a member user of a group


Add an additional group

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

You will create a new group.

To create a group, click the [Add group] button on the [Group] tab in the [User Management] window to display the [Group settings] dialog box.

Enter a desired group name, within a maximum of 64 characters, and click on the [OK] button.

The following group names cannot be registered:

  • Group names that include a tab or line-feed character

  • Group names that include a two-byte or one-byte space character(s) at their beginning and/or end

  • Existing group names in the same hierarchical level


Rename a group

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

You will rename a group.

To rename a group, click the [Edit group] button on the [Group] tab of the [User Management] window to display the [Group settings] dialog box.

Enter a new group name, within a maximum of 64 characters, and click on the [OK] button.

The following group names cannot be set:

  • Group names that include a tab or line-feed character

  • Group names that include a two-byte or one-byte space character(s) at their beginning and/or end

  • Existing group names in the same hierarchical level


Delete a group

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

You will remove an unnecessary group.

To delete a group, click the [Del group] button on the [Group] tab of the [User Management] window to display the deletion confirmation dialog box.

Click on [Yes] to delete the group.

[Note]

Note that any groups under the group to be deleted will also be deleted.


Edit a member user of a group

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

You will specify a user that belongs to a group.

To specify a user that belongs to a group, click the [Edit belong users] button on the [Group] tab of the [User Management] window to display the [Edit users belong to group] dialog box.

Check the user(s) that you want to belong to a group in the user list and click on the [OK] button.


Group authority

The following types of authority can be assigned to a group:

  • Reference authority

Users in a group with this authority can only refer to information within the system.

Reference authority is granted to all groups and cannot be revoked.

  • Operation authority

Users in a group with this authority can perform operations such as confirming messages, and starting and stopping processes/Windows services.

  • Configuration authority

Users in a group with this authority can transition to the configuration mode and perform various definitions.

  • License management authority

Users in a group with this authority can register and manage licenses.

  • User management authority

Users in a group with this authority can create users/groups and assign a right(s) to them.

  • Audit trail reference authority
    Users in a group with this authority can refer to audit logs.

  • Audit trail update authority
    Users in a group with this authority can define information related to audit logs.

[Note]

  • Only the predefined system administration user, Administrator, can perform this operation.

  • Reference authority is even assigned to users that do not belong to any groups.


Application View

The rights you can assign to operations on the root node (Application View node), application groups, or applications processes in Application View include the following types:

  • Reference

Users with this right can perform reference operation on the root node (Application View node), application groups, or applications in Application View.

This right is assigned to all the groups.

  • Update

Users with this right can perform update operation on the root node (Application View node), application groups, or applications in Application View.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add

Users with this right can perform addition operation on the application groups, or applications in Application View.

This operation is only allowed for users that belong to a group that has the user management authority.

This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete

Users with this right can perform delete operation on the application groups, or applications in Application View.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

[Note]

You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Event Correlation View

The rights you can assign to operations on a tree node in Event Correlation View include the following types:

  • Reference
    Users with this right can perform reference operation on the root node (Event Correlation View node), or rule groups and rules in Event Correlation View.
    This operation can be assigned to all the groups.

  • Update
    Users with this right can perform update operation on rule groups and rules in Event Correlation View.
    Users with this right can set appropriate rules.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add
    Users with this right can add rule groups and rules in Event Correlation View.
    This operation is only allowed for users that belong to a group that has the user management authority.
    This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete
    Users with this right can remove rule groups and rules in Event Correlation View.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

  • Reset
    Users with this right can reset conditions of any rule in Event Correlation View.
    This operation is only allowed for users that belong to a group that has the operation authority.
    This will be hidden from users that do not belong to groups that have the operation authority.

  • Enable
    Users with this right can switch between enabling and disabling a rule in Event Correlation View.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

  • History deletion
    Users with this right can remove the history information in the event correlation function.
    This right can be granted to the root node (Event Correlation View node) only in Event Correlation View.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.


Operation View

The rights you can assign to operations on the root node (Operation Control View node), or action groups and actions in Operation Control View include the following types:

  • Reference
    Users with this right can perform reference operation on the root node (Operation Control View node), or action groups and actions in Operation Control View.
    This operation can be assigned to all the groups.

  • Update
    Users with this right can perform update operation on the root node (Operation Control View node), or action groups and actions in Operation Control View.
    Users with this right can switch between enabling and disabling actions and set actions on an appropriate node.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add
    Users with this right can add the root node (Operation Control View node), or action groups and actions in Operation Control View.
    This operation is only allowed for users that belong to a group that has the user management authority.
    This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete
    Users with this right can remove the root node (Operation Control View node), or action groups and actions in Operation Control View.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

  • Control
    Users with this right can perform control operation on the root node (Operation Control View node), or action groups and actions in Operation Control View.
    Users with this right can execute an appropriate action, check if any actions are awaiting a confirmation for execution, and force a running action to be terminated and check if the process has been normally completed.
    This operation is only allowed for users that belong to a group that has the operation authority.
    This will be hidden from users that do not belong to groups that have the operation authority.

  • History deletion
    Users with this right can remove the history information on the root node (Operation Control View node), or action groups and actions in Operation Control View.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

  • Action Update
    Allows the action definition to be edited when executing an operation control action.
    Only a user who belongs to a group that has operation authority can perform this operation.
    The relevant data is invisible to other users who do not belong to a group with operation authority.

[Note]

You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Scenario View

The rights you can assign to operations on the root node (Scenario Control View node), or scenario groups and scenarios in Scenario Control View include the following types:

  • Reference
    Users with this right can perform reference operation on the root node (Scenario Control View node), or scenario groups and scenarios in Scenario Control View.
    This operation can be assigned to all the groups.

  • Update
    Users with this right can perform update operation on the root node (Scenario Control View node), or scenario groups and scenarios in Scenario Control View.
    Users with this right can edit the definition and correct the time of an appropriate scenario.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add
    Users with this right can add the root node (Scenario Control View node), or scenario groups and scenarios in Scenario Control View.
    This operation is only allowed for users that belong to a group that has the user management authority.
    This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete
    Users with this right can remove the root node (Scenario Control View node), or scenario groups and scenarios in Scenario Control View.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

  • Control
    Users with this right can perform control operation on the root node (Scenario Control View node), or scenario groups and scenarios in Scenario Control View.
    Users with this right can perform control operation on an appropriate scenario such as enabling/disabling it, manually launching it, and change its operation date, and on an instance or instance part.
    This operation is only allowed for users that belong to a group that has the operation authority.
    This will be hidden from users that do not belong to groups that have the operation authority.

  • History deletion
    Users with this right can remove the history information on the root node (Scenario Control View node), or scenario groups and scenarios in Scenario Control View.
    This operation is only allowed for users that belong to a group that has the configuration authority.
    This will be hidden from users that do not belong to groups that have the configuration authority.

[Note]

You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Topology View

The rights you can assign to operations on the root node (Topology View node), host groups, hosts, and message monitoring processes in Topology View include the following types:

  • Reference

Users with this right can perform reference operation on the root node (Topology View node), host groups, or hosts in Topology View.

This right is assigned to all the groups.

  • Update

Users with this right can perform update operation on the root node (Topology View node), host groups, or hosts in Topology View.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add

Users with this right can perform addition operation on the host groups, or hosts in Topology View.

This operation is only allowed for users that belong to a group that has the user management authority.

This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete

Users with this right can perform delete operation on the host groups, or hosts in Topology View.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

[Note]

You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Business View

The rights you can assign to operations on the root node (Business View node), category groups, or categories, and message monitoring processes in Business View include the following types:

  • Reference

Users with this right can perform reference operation on the root node (Business View node), category groups, or categories in Business View.

This right is assigned to all the groups.

  • Update

Users with this right can perform update operation on the root node (Business View node), category groups, or categories in Business View.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add

Users with this right can perform addition operation on the category groups, or categories in Business View.

This operation is only allowed for users that belong to a group that has the user management authority.

This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete

Users with this right can perform delete operation on the category groups, or categories in Business View.

This operation is only allowed for users that belong to a group that has the configuration authority.

  • Mark

Users with this right can attach the user mark to messages in categories in Business View.

This operation is only allowed for users that belong to a group that has the operation authority.

  • Confirm
    Users with this right can confirm (hide) messages in a category in Business View.
    This operation is only allowed for users that belong to a group that has the operation authority.

  • Initialize
    Users with this right can delete all the messages in the root node (Business View node), category groups, or categories in Business View.
    This operation is only allowed for users that belong to a group that has the operation authority.

  • Swap
    Users with this right can delete messages with the specified date in the root node (Business View node), category groups, or categories in Business View.
    This operation is only allowed for users that belong to a group that has the operation authority.

  • Stop
    Users with this right can temporarily stop and resume monitoring messages in the root node (Business View node), category groups, or categories in Business View.
    This operation is only allowed for users that belong to a group that has the operation authority.

  • Print
    Users with this right can print the details of a message within a category in Business View.
    This operation is only allowed for users that belong to a group that has the operation authority.

  • CSV
    Users with this right can print results from referencing a message within a category in Business View to a CSV file.
    This operation is only allowed for users that belong to a group that has the operation authority.

  • Comment
    Users with this right can attach a comment to a message within a category in Business View.
    This operation is only allowed for users that belong to a group that has the operation authority.

  • Option
    Users with this right can set options for monitoring messages from the root node (Business View node) in Business View.
    This operation is only allowed for users that belong to a group that has the configuration authority.

[Note]

You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Multi-graph View

The rights you can assign to operations on the root node (Multi-graph View node), groups, and items in Multi-graph View include the following types:

  • Reference

Users with this right can perform reference operation on the root node (Multi-graph View node), groups, or items in Multi-graph View.
This right can be assigned to all the groups.

  • Update

Users with this right can perform update operation on the root node (Multi-graph View node), groups, or items in Multi-graph View.
This operation is only allowed for users that belong to a group that has the configuration authority.
This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add

Users with this right can perform addition operation on the root node (Multi-graph View node), groups, or items in Multi-graph View.
This operation is only allowed for users that belong to a group that has the user management authority.
This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete

Users with this right can perform delete operation on the root node (Multi-graph View node), groups, or items in Multi-graph View.
This operation is only allowed for users that belong to a group that has the configuration authority.
This will be hidden from users that do not belong to groups that have the configuration authority.

[Note]

You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Message Cooperation

In Message Cooperation, the rights you can assign to operations on the root node (Message Cooperation node), or host groups, hosts, and message monitoring include the following types:

  • Reference

Users with this right can perform reference operation on the root node (Message Cooperation node), or host groups and hosts in Message Cooperation.

This right can be assigned to all the groups.

  • Update

Users with this right can perform update operation on the root node (Message Cooperation node), or host groups and hosts in Message Cooperation.

Users with this right can update the filter definition of a message monitoring node.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add

Users with this right can add the root node (Message Cooperation node), or host groups and hosts in Message Cooperation.

This operation is only allowed for users that belong to a group that has the user management authority.

This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete

Users with this right can remove the root node (Message Cooperation node), or host groups and hosts in Message Cooperation.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Other host message reference
    Messages of a host that does not belong to either the topology view or message linkage node can be referenced.
    This right can be assigned to all the groups.

[Note]

  • You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).

  • Reference authority of the remote monitoring agent is controlled by the other host message reference.

  • If a host with the same name as a host that existed in the past is added, the display of the messages of the past host is controlled by the reference authority of the current host.


Integrated topology view

The following types of privileges are granted related to tree node operations performed in the integrated topology view.

  • Reference

Allows the user to view a tree node.

  • Update

Allows the user to update a tree node. Only a user who belongs to a group that has the definition modification privilege can perform this operation. The relevant data is invisible to other users.

  • Add

Allows the user to add a tree node. Only a user who belongs to a group that has the user administration privilege can perform this operation. The relevant data is invisible to other users.

  • Delete

Allows the user to delete a tree node. Only a user who belongs to a group that has the definition modification privilege can perform this operation. The relevant data is invisible to other users.

[Note]

You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Print View

The rights you can assign to operations on the tree node in Print View include the following types:

o Reference

Users with this right can perform reference operation on the root node, groups, or print definitions in Print View.

It's necessary to check the print results and to refer the output reports.

o Update

Users with this right can perform update operation on the root node, groups or print definitions in Print View.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

o Add

Users with this right can perform addition operation on the root node or groups in Print View.

This operation is only allowed for users that belong to a group that has the user management authority.

This will be hidden from users that do not belong to groups that have the user management authority.

o Delete

Users with this right can perform delete operation on the groups or print definitions in Print View.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

o Print

Users with this right can perform output operation on the print definitions in Print View.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.


Calendar setting

The rights you can assign to operations on a tree node in Calendar Setting include the following types:

  • Reference

Users with this right can perform reference operation on the Calendar.
This operation can be assigned to all nodes except for root node (Calendar node) and built-in calendar (All operation dates, Week day operation dates).

Route node (Calendar node) isn't substance of a calendar, so a reference right is unnecessary.
All users can refer to a built-in calendar (All operation dates, Week day operation dates).

  • Setup

Users with this right can add, update, and remove calendar.
This operation can be assigned to all nodes except for root node (Calendar node) and built-in calendar (All operation dates, Week day operation dates).

Icon List

icon | explanation
 | An icon of a route node (Calendar node).
 | An icon of a Built-in calendar (All operation dates, Week day operation dates)
 | An icon of an added calendar.

[Note]

  • The calendar made newly takes a reference right and a setup right of a parent calendar.

  • The user who belongs to no groups can't refer to a calendar of anything but a built-in calendar (All operation dates, Week day operation dates).


User Management

From [User Management] in the [Option] menu, the rights you can assign to operations on user information and group information include the following types:

  • Reference

From [User Management] in the [Option] menu, users with this right can perform reference operation on user information and group information.

  • Update

From [User Management] in the [Option] menu, users with this right can perform update operation on user information and group information.

  • Add

From [User Management] in the [Option] menu, users with this right can perform addition operation on user information and group information.

  • Delete

From [User Management] in the [Option] menu, users with this right can perform delete operation on user information and group information.

[Note]

  • Only the predefined system administration user, Administrator, can configure the authority of user management.

  • None of the items on the [User Management] tab are displayed for a user group that does not have user management authority.

  • You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Application Summary

The following indicates the rights that can be granted to the operations of hosts and applications under the Physical View node or groups, categories, application services, and RAC summaries under the Logical View node, in the Application Summary:

  • Reference

Enables users to perform reference operations on the Physical View and applications and hosts under the Physical View node, or the Logical View and groups, categories, application services, RAC summaries, and defaults categories under the Logical View node, in the Application Summary.

  • Update

Enables users to perform update operations on groups, categories, and application services under the Logical View node in the Application Summary.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Add

Enables users to perform an operation to add a new node under the Logical view, a group, or a category in the Application Summary.

This operation is only allowed for users who belong to a group that has the user management authority.

This will be hidden from users that do not belong to groups that have the user management authority.

  • Delete

Enables users to perform delete operations on applications under the Physical View node, or groups, categories, application services, and defaults categories under the Logical View node, in the Application Summary.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Host

Enables users to perform an operation to edit the [Host Setting] window in an application under the Physical View node in the Application Summary.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Instance

Enables users to perform an operation to edit the [Instance Setting] window or the [Server Setting] window in a host under the Physical View node in the Application Summary.

This operation is only allowed for users that belong to a group that has the configuration authority.

This will be hidden from users that do not belong to groups that have the configuration authority.

  • Option

Enables users to perform an operation to set options in the Application Monitor.

This operation is only allowed for users who belong to a group that has the operation authority.

[Note]

You cannot change any types of the authority set for System groups (the background of each title for the right is grayed out).


Use LDAP authentication

The LDAP authentication is a function linked with SECUREMASTER (MasterScope Directory Server) or Active Directory.

To use the LDAP authentication function, the following preparations must be performed in advance.

  1. Stop the manager.

  2. Create the following configuration file, and store it on the machine where the manager is installed.

    • File name
      UserMgr.ini

    • Directory to store
      <Manager Installation Directory>\Manager\sg

    • Description details

[Option]

Ldap=1

      • Ldap
        Specify 1 to use the LDAP authentication.
        The default value is 0 (Not to use the LDAP authentication).

    • File format
      Character encoding for the file is UTF-16LE (with BOM), and the line feed code is CR+LF.

  3. Start the manager.

[Note]

  • Only Windows manager supports the LDAP authentication function. Managers other than Windows manager cannot use the LDAP authentication function.

  • Because Administrator users are special administrator users, they cannot login with [LDAP Authentication].

  • If the same user name has been created in text authentication, text authentication has priority.

  • Since the LDAP authentication users are managed on the authentication server, the users cannot be managed using the [Users] tab in the [User Management] dialog box. Also, the users are not displayed for [List of users belong selected group] on the [Groups] tab

  • If the LDAP authentication user is not allocated to a group, that user cannot log in. The settings for the [Related items] must be specified according to the authentication server to be used.

[References]

  • To use SECUREMASTER (MasterScope Directory Server):

Specify LDAP authentication settings (SECUREMASTER)
Allocate a user to a group (SECUREMASTER)
Specify authentication server settings (SECUREMASTER)

  • To use Active Directory:
    Specify LDAP authentication settings (Active Directory)
    Allocate a user to a group (Active Directory)
    Specify authentication server settings (Active Directory)


Specify LDAP authentication settings (SECUREMASTER)

This operation should be executed after shifting into the Configuration mode.

Only a user who belongs to a group that has user administration authority can perform this operation.

To display the [User Management] dialog box, select [User Management] from the [Configuration] menu.

  • Use LDAP Authentication
    Select this check box to use LDAP authentication.
    The items below must be entered.

  • Server Type
    Select [SECUREMASTER].

  • Authentication Server
    Specify the host name or IP address of the authentication server by using up to 256 characters.

  • Authentication Port
    Specify a positive integer value from 1 to 65,535.
    The default value of the authentication port number for SECUREMASTER (MasterScope Directory Server) is 1389.

  • Authentication Type
    Specify the authentication method.

    • Simple
      Authenticate using "No-Protected Simple Authentication". The password is sent to the authentication server in the plain text format.

    • SASL CRAM-MD5
      Authenticate using "Protected Simple Authentication". The password is encrypted in the CRAM-MD5 format and sent to the authentication server.

[Note]

  • Authentication levels other than the above are not supported.

  • Attribute of loginID
    Specify the attribute name of the relative distinguished name (RDN) by using up to 256 one-byte alphanumeric characters.

    [Note]

    • Only single attribute can be specified. Multiple attributes cannot be specified.

  • Search Start Position
    Specify the distinguished name (DN) of the location to start the LDAP authentication user search by using up to 4,096 characters.

    The distinguished name (DN) can be obtained with the operation management tool as described below.

    1. Select [MasterScope Directory Server] - [Console] from the [Start] menu.

    2. From the [Login] dialog box, log in as a user with Administrator authority.

    3. Right-click the entry (directory) that you want to start the search, and then select [Copy] - [Copy DN] from the displayed pop-up menu.

    4. The distinguished name (DN) is copied to the clipboard.

  • User Distinguished Name
    Specify the distinguished name (DN) of an administrator user who can search users by using up to 4,096 characters.

  • User Password
    Specify the password for the user distinguished name for the search by using up to 128 characters.

    [Note]

    • Characters other than one-byte alphanumeric characters and symbols cannot be used (it is not recommended to use space characters either).

  • Authentication Test
    Perform the authentication test. Success or failure of the authentication is displayed as a message.

    • Login Name
      Specify the login name for the authentication test by using up to 64 characters.

    • Password
      Specify the password for the authentication test by using from 6 to 64 characters.

[Note]

  • Use the authentication test after the settings for the group and authentication server are specified.

  • Configure user data retention period
    If this check box is selected, the information (dialog box positioning, etc.) of an LDAP authentication user who has not logged in within the retention period can be deleted.
    Specify the retention period in the range of 1 to 365. The default value is 30 days.


Allocate a user to a group (SECUREMASTER)

The following setting procedure must be performed to allocate an LDAP authentication user to a group.

This operation should be executed after shifting into the Configuration mode.

Only a user who belongs to a group that has user administration authority can perform this operation.

Only a user who belongs to a group that has user administration add authority can perform this operation.

Create a new group.

To create a group, display the [Group settings] dialog box by clicking the [Add group] button on the [Groups] tab in the [User Management] dialog box.

  • Group name
    Specify the group name by using up to 64 characters.
    The following group names cannot be registered:

    • Group names with tab characters or line feed characters

    • Group names that include a one- or two-byte space as the first or last character

    • Group names that already exist in the same layer

  • DN
    Specify the authority master ID when the user was registered by using up to 4,096 characters.

    The information required for setting can be obtained with the operation management tool as described below.

    1. Select [MasterScope Directory Server] - [Console] from the [Start] menu.

    2. From the [Login] dialog box, log in as a user with Administrator authority.

    3. Select the entry (directory) to which the user is registered.

    4. Right-click the entry (user) and select [Property] from the displayed pop-up menu.

    5. Select the [Attribute List] tab in the [Property] dialog box.

    6. The attribute value of [Attribute Name: eidmSpareString41] is the authority master ID when the user was registered.

[Note]

  • If the information of where the LDAP authentication user belongs to and the distinguished name in the [Group settings] dialog box do not match, the login process fails.

[References]

Add an additional group

Rename a group

Delete a group

Specify authentication server settings (SECUREMASTER)


Specify authentication server settings (SECUREMASTER)

Specify the information to allocate an LDAP authentication user to a group.

  1. Select [MasterScope Directory Server] - [Console] from the [Start] menu.

  2. From the [Login] dialog box, log in as a user with Administrator authority.

  3. Right-click the LDAP authentication user in the [Directory Tree View] dialog box, and select [Property] from the displayed pop-up menu.

  4. Display the [Attribute List] tab in the [Property] dialog box.

  5. Specify the following settings.

For details about the setting procedure, see the Help of MasterScope Directory Server.

  • Attribute Name uid
    Specify the LDAP authentication user name by using up to 64 characters.
    The following attribute values cannot be used:

    • A value that includes /\[]:;|=,+*?<>

    • Only spaces or periods (.)

    • A value that includes tab characters or line feed characters

    • A value that includes a one- or two-byte space as the first or last character

    • Characters of "Administrator"

  • Attribute Name eidmSpareString41
    Specify the distinguished name to allocate to a group by using up to 4,096 characters.
    For this attribute type, specify the subclass eidmSpareObject and attribute type eidmSpareString41 in the subclass type object class.
    It is possible to allocate to multiple groups by specifying multiple attribute values.

  • Attribute Name userPassword
    Specify the password for the LDAP authentication user by using from 6 to 64 characters.
    The following attribute values cannot be used:

    • A value that includes characters other than one-byte alphanumeric characters and symbols (it is not recommended to use space characters either)

    • A value that includes tab characters or line feed characters

    • A value that includes a one- or two-byte space as the first or last character

[Note]

  • If the attribute value of the attribute type eidmSpareString41 is not specified, an LDAP authentication user cannot be allocated to a group.

[References]

Allocate a user to a group (SECUREMASTER)


Specify LDAP authentication settings (Active Directory)

This operation should be executed after shifting into the Configuration mode.

Only a user who belongs to a group that has user administration authority can perform this operation.

To display the [User Management] dialog box, select [User Management] from the [Configuration] menu.

  • Use LDAP Authentication
    Select this check box to use LDAP authentication.
    The items below must be entered.

  • Server Type
    Select [Active Directory].

  • Authentication Server
    Specify the host name or IP address of the authentication server by using up to 256 characters.

  • Authentication Port
    Specify a positive integer value from 1 to 65,535.
    The default value of the Active Directory authentication port number is 389.

  • Authentication Type
    Specify the authentication method.

    • Simple
      Authenticate using "No-Protected Simple Authentication". The password is sent to the authentication server in the plain text format.

    • NTLM
      Authenticate using "Protected Simple Authentication". The password is encrypted in the NTLM format and sent to the authentication server.

[Note]

  • Authentication levels other than the above are not supported.

  • Attribute of loginID
    Specify the attribute name used as a login name (user name) by using up to 256 one-byte alphanumeric characters.
    Specify [sAMAccountName].

    [Note]

    • Only single attribute can be specified. Multiple attributes cannot be specified.

  • Search Start Position
    Specify the distinguished name (DN) of the location to start the LDAP authentication user search by using up to 4,096 characters.
    To obtain the information required for setting, execute the dsquery command in the command prompt in the environment where Active Directory is installed.

    dsquery ou [-name <Search String>]

    Example 1: Using the Users container as the search start position

CN=Users,DC=nec,DC=co,DC=jp
* The Users container cannot be obtained with the dsquery command.
Because the Users container is located under the domain, define dot-delimited parts of the domain name as DC attribute values
Example: Domain name (nec.co.jp) => DC=nec,DC=co,DC=jp

Example 2: Using "Group (organization unit (ou))" as the search start position

OU=Group,DC=nec,DC=co,DC=jp

  • User Distinguished Name
    Specify [User logon name] on the [Account] tab in the property dialog box for the user with search authority by using up to 4,096 characters.

    Account name format: Data on the right of [User logon name] (pre-Windows 2000)
    Example: Administrator

  • User Password
    Specify the password for the user distinguished name for the search by using up to 127 characters.

    [Note]

    • Characters other than one-byte alphanumeric characters and symbols cannot be used (it is not recommended to use space characters either).

  • Authentication Test
    Perform the authentication test. Success or failure of the authentication is displayed as a message.

    • Login Name
      Specify the login name for the authentication test by using up to 64 characters.
      Specify the data for [User logon name] on the [Account] tab in each user's property dialog box.

      Account name format: Data on the right of [User logon name] (pre-Windows 2000)

    • Password
      Specify the password for the authentication test by using from 6 to 64 characters.

[Note]

  • Use the authentication test after the settings for the group and authentication server are specified.

  • If [User must change password at next logon] under [Account options] in the user's property dialog box is selected, the authentication fails.
    Remove the check mark from [User must change password at next logon].

  • Configure user data retention period
    If this check box is selected, the information (dialog box positioning, etc.) of an LDAP authentication user who has not logged in within the retention period can be deleted.
    Specify the retention period in the range of 1 to 365. The default value is 30 days.


Allocate a user to a group (Active Directory)

The following setting procedure must be performed to allocate an LDAP authentication user to a group.

This operation should be executed after shifting into the Configuration mode.

Only a user who belongs to a group that has user administration authority can perform this operation.

Only a user who belongs to a group that has user administration add authority can perform this operation.

Create a new group.

To create a group, display the [Group settings] dialog box by clicking the [Add group] button on the [Groups] tab in the [User Management] dialog box.

  • Group name
    Specify the group name by using up to 64 characters.
    The following group names cannot be registered:

    • Group names with tab characters or line feed characters

    • Group names that include a one- or two-byte space as the first or last character

    • Group names that already exist in the same layer

  • DN
    Specify the distinguished name of the root entry in the target group by using up to 4,096 characters.

    To obtain the information required for setting, execute the dsquery command in the command prompt in the environment where Active Directory is installed.

    dsquery group [-name <Search String>]

[Note]

  • If the information of where the LDAP authentication user belongs to and the distinguished name in the [Group settings] dialog box do not match, the login process fails.

[References]

Add an additional group

Rename a group

Delete a group

Specify authentication server settings (Active Directory)


Specify authentication server settings (Active Directory)

Specify the information to allocate an LDAP authentication user to a group on the authentication server.

  1. From the [Start] menu, select [Administrative Tools] - [Active Directory Users and Computers].

  2. Right-click the LDAP authentication user, and select [Properties] from the displayed pop-up menu.

  3. Display the [Member Of] tab in the properties dialog box.

  4. Specify the following settings.

For details about the setting procedure, see the Help of Active Directory.

  • Member of
    Add a group to which the LDAP authentication user is to be allocated.
    (Create a group in advance as needed.)

[Note]

  • An LDAP authentication user cannot be allocated to a group which is specified as a primary group.

[References]

Allocate a user to a group (Active Directory)


Export user information

This operation must be executed only after logging in as the Administrator user and shifting into the Configuration mode.

To export user information, click on the [Export] button in the [User Management] window. When the [Export Setting] window is displayed, click on the [Browse] button, specify the filename to be saved and click on the [OK] button.

  • Comment

Specify a comment that describes the definition file. The specified comment is displayed in the [Comment] column in the [Import Setting] dialog box.

  • File Name

Specify the filename of the configuration file to be saved by using an absolute path.

[Note]

  • If the specified file already exists, a dialog confirming whether to overwrite it will be displayed. Click on [Yes] to overwrite and [No] to cancel the overwrite operation without saving the file.

  • When importing a configuration file saved by exporting, the user password specified for [Text Authentication] is not set. Specify a password in the [User Management] window.

  • When importing exported information to a different environment, only the authorities for a group can be inherited. Specify the authorities other than the authorities for the group again after importing.

  • The exported information does not include the Administrator users information.

  • When the target to specify the authority has been deleted once and recreated, the settings cannot be inherited by importing them even if the target has the same name.

[Reference]

Import user information


Import user information

This operation must be executed only after logging in by Administrator and shifting into the Configuration mode.

To import export files, click on the [Import] button in the [User Management] window. When the [Import Setting] window is displayed, click on the [Browse] button and specify the directory storing the file. A list of files which can be imported will be displayed. Select the file to be imported and click on the [OK] button.

[Note]

  • A password for the user of [Text Authentication] added by importing is not specified. Specify a password in the [User Management] window.

[References]

Export user information


About schedule

In this product, you can set a schedule for each function to execute processing at the specified time or during the specified period.

You can set the following two types of schedules:

  • Period schedule
    You can execute or constrain processing within the planned period. For details, click here.

  • Time schedule
    You can execute processing on the planned date and time. For details, click here.

You can set a schedule to the functions listed below.

Function | Screen on which to set up a schedule | Type of settable schedule
Agent monitoring | Define the host group Update a monitored host | Period schedule
Monitor the message | Define the category Define the category group | Period schedule
Scenario control | [Scenario Settings] dialog -[Scenario Start Settings] dialog - [Validity Period Set] | Period schedule/td>
 | [Scenario Settings] dialog - [Execution Setting] dialog - [Schedule] | Time schedule
Operation control | [Action Setting] dialog - [Preferences] tab - [Validity Period Set] | Period schedule
 | [Action Setting] dialog - [Preferences] tab - [Schedule] | Time schedule
Output a report | Creating a print definition | Time schedule


About Calendars

By setting a calendar and associating it with a schedule, a schedule rule is applied to the Operation date that has been set for the calendar.

Calendar has the following functions:

  • Calendar customize function

Adds, updates and deletes calendars.

[See Also]

Selecting a created calendar

Creating a new calendar

Changing a calendar name

Deleting a calendar

Editing a calendar

  • Calendar rule customize function

Adds, updates and deletes calendar rules.

[See Also]

Creating a calendar rule

Changing a calendar rule

Deleting a calendar rule


Selecting a Created Calendar

To select a created calendar, choose a calendar name on the Calendar Setting dialog shown below and press the OK button.

To make additions to or update a calendar, calendar setting authority for the calendar to be processed is required. To delete a calendar, calendar setting authority for the calendar and subtree to be processed is required.

The [Edit Calendar] dialog box is opened in the view mode when the user does not have setting authority.

  • Calendar Tree

Shows created calendars in tree hierarchy. The "All operation dates" and the "Weekday operation dates" calendars are created by default and cannot be updated or deleted.

  • Description

Shows the description you specified on the Name Setting dialog, displayed by pressing the Add button.

  • Year spin box

Specify the year of the calendar you want to show. From 1971 to 2036 can be specified.

  • Month combo box

Select the month of the calendar you want to show.

  • Previous button

Shows the calendar of the previous month.

  • Current button

Shows the calendar of the current month.

  • Next button

Shows the calendar of the next month.

  • Add button

Adds calendars under the calendar that you selected from Calendar Tree. Pressing this button opens the Name Setting dialog.

  • Update button

Updates the calendar name and the description of the calendar that you selected from Calendar Tree. Pressing this button opens Name Setting dialog.

  • Delete button

Deletes the calendar that you selected from Calendar Tree.

  • Edit Calendar button

Edits the calendar that you selected from Calendar Tree. Pressing this button opens the Edit Calendar dialog.

The Calendar Tree is composed in a tree structure, and lower calendar rules have higher priority.

[Note]

  • The following message is displayed while this dialog box is displayed when the authority for this calendar has been changed by another user.
    Close the message to view the calendar tree again.


Creating a New Calendar

To create a new calendar, press the Add button on the Calendar Setting dialog.

The Name Setting dialog opens.

  • Calendar Name

Enter the calendar name (mandatory). Up to 64 characters can be entered.

Spaces before and after a calendar name are deleted. Spaces between characters are allowed.

If only spaces are entered for a calendar name, it will be recognized as an error.

  • Description

Enter the description of the calendar. Up to 128 characters can be entered.

  • Time zone

Select a time zone to use for the calendar. This is enabled for products that support multiple locales.

  • Automatically adjust clock for daylight saving changes

Select whether or not to automatically adjust the daylight saving time when the time zone has daylight saving time.
This item is displayed only when the time zone selected for the time zone item has daylight saving time.

  • Authentication

This operation must be performed after moving to configuration mode.
Specify the calendar authentication.

For details about how to specify these settings, see [Perform user management] in [About user management].

[Note]

  • The following message is displayed while this dialog box is displayed when the setting authority has been disabled by another user.
    Close the message to close this dialog box and view the calendar tree in the [Calendar Setting] dialog box again.


Changing a Calendar Name

Select a calendar name on the Calendar Setting dialog and press the Update button.

When the Name Setting dialog opens, change the settings and press the OK button.


Deleting a Calendar

Select a calendar name on the Calendar Setting dialog and press the Delete button.

When the delete confirmation dialog appears, press the OK button.


Editing a Calendar

Select a calendar name on the Calendar Setting dialog, press the Edit Calendar button.

The Edit Calendar dialog opens.

To make this operation, calendar setting authority for the calendar to be processed is required.

  • Calendar Name

Shows the calendar name you selected.

  • Previous button

Shows the calendar of the previous month.

  • Year spin box

Specify the year of the calendar you want to show. From 1971 to 2036 can be specified.

  • Month combo box

Select the month of the calendar you want to show.

  • Previous button

Shows the calendar of the previous month.

  • Current button

Shows the calendar of the current month.

  • Next button

Shows the calendar of the next month.

  • Calendar

Shows the calendar status as background color of days.

The explanations of the colors are as follows:

Unspecified day | : | Gray
Operation date | : | Light blue
Non-operation date | : | Light red
Operation date that was additionally set on the Calendar Rule Settings dialog | : | Deep blue
Non-operation date that was additionally set on the Calendar Rule Settings dialog | : | Deep red

  • Calendar Rule

Lists calendar rules. Upper calendar rules in the list have higher priority.

  • Add button

Opens the Calendar Rule Settings dialog and adds a calendar rule.

  • Edit button

Opens the Calendar Rule Settings dialog and updates a calendar rule.

  • Delete button

Deletes calendar rules.

  • Up button

Moves up the selected calendar rule and gives higher priority to it.

  • Down button

Moves down the selected calendar rule and gives lower priority to it.

[Note]

  • The following message is displayed while this dialog box is displayed when the setting authority has been disabled by another user.
    Close the message to close this dialog box and view the calendar tree in the [Calendar Setting] dialog box again.

  • The following message is displayed while this dialog box is displayed when the reference authority has been disabled by another user.
    Close the message to close this dialog box and view the calendar tree in the [Calendar Setting] dialog box again.


Creating a Calendar Rule

Press the Add button on the Edit Calendar dialog. The Calendar Rule Settings dialog opens.

  • Rule group

Select any of Non-operation date, Operation date, or Unspecified day, and choose calendar rule type. See the table below for details.

  • Date group

Specify a day, a month, and a year.

  • Week group

Nth/day of a week or a day of every week can be plurally specified. For whether this can be specified or not, see the table below.

  • Application period group

Specify the application period of the calendar rule. When you select "The end date is not defined", the period to 2036/12/31 is specified.

Depending on a calendar rule, following items can be entered.

Item | Year | Month | Date | N th | Day | The day check box | Application period
Every day | No | No | No | No | No | No | Yes
Weekly | No | No | No | No | No | Yes | Yes
Monthly(date) | No | No | Yes | No | No | No | Yes
Monthly(day) | No | No | No | Yes | Yes | No | Yes
Yearly(date) | No | Yes | Yes | No | No | No | Yes
Yearly(day) | No | Yes | No | Yes | Yes | No | Yes
Special day | Yes | Yes | Yes | No | No | No | No

[Note]

  • The following message is displayed while this dialog box is displayed when the setting authority has been disabled by another user.
    Close the message to close this dialog box and view the calendar tree in the [Calendar Setting] dialog box again.


Changing a Calendar Rule

Select a calendar rule on the Edit Calendar dialog and press the Edit button. The Calendar Rule Settings dialog opens. Change the settings on the dialog and press the OK button.


Deleting a Calendar Rule

Select a calendar rule on the Edit Calendar dialog and press the Delete button. Then, press the OK button on the delete confirmation dialog.


About Time Schedules

By setting a schedule, a process can be performed at the date and time you specified.

Time schedule has the following functions:

  • Time schedule customize function

Adds, updates, and deletes time schedules, and configures settings at fail over.

Allows you to view time schedule settings.

[See Also]

Selecting a created time schedule

Creating a new time schedule

Changing a time schedule

Deleting a time schedule

Configuring settings at fail over

Viewing time schedules

  • Time schedule customize function

Adds, updates, and deletes time schedules.

[See Also]

Creating a time schedule rule

Changing a time schedule rule

Deleting a time schedule rule


Selecting a Created Time Schedule

To select a created time schedule, choose a schedule name on the Schedule Setting dialog, and press the OK button.

  • Schedule Name

Lists created schedules. If a schedule was selected at the last time this dialog exited, the dialog will start with the schedule selected at the next start-up.

  • Add button

Adds schedule. Pressing this button opens the Edit Schedule dialog.

  • Edit button

Updates the schedule that you selected from the list. Pressing this button opens the Edit Schedule dialog.

  • Delete button

Deletes the schedule that you selected from the list.

When the schedule is being used by any other application, it cannot be deleted.


Creating a New Time Schedule

To create a new schedule, press the Add button on the Schedule Setting dialog.

A schedule rule is applied to "Operation date" that was set for the calendar.

  • Schedule Name

Enter a schedule name (mandatory). Up to 64 characters can be entered.

Spaces before and after a schedule name are deleted. Spaces between characters are allowed.

If only spaces are entered for a schedule name, it will be recognized as an error.

  • Calendar Name

Select a calendar (mandatory). When you press Select Calendar, the Calendar Setting dialog opens. The calendar name that you selected on the Calendar Setting dialog is displayed in this box.

  • Previous

Shows the calendar of the previous month.

  • Year

Specify a year. From 1971 to 2036 can be specified.

  • Month

Specify a month.

  • Current

Shows the calendar of the current month.

  • Next

Shows the calendar of the next month.

  • Fail Over Setting button

Pressing this button opens the Fail Over Setting dialog. For an application that does not need notification of un-notified past schedules, this button is not displayed.

  • Select Calendar button

Pressing this button opens the Calendar Setting dialog.

  • View Schedule button

Pressing this button opens the Schedules dialog.

  • Calendar View

Changes the background color of days of the schedule you selected from Schedule Rule. According to the rule of the calendar you selected with the Select Calendar button, operation dates are displayed in green, non-operation dates are displayed in red, and unspecified days are displayed in gray. If no calendar is selected, all days are displayed in gray.

  • Schedule Rule

Lists schedule rules. No priority is set among schedule rules.

  • Add button

Adds a schedule rule. Pressing this button opens the Schedule Rule Settings dialog.

  • Edit button

Updates a schedule rule. Pressing this button opens the Schedule Rule Settings dialog.

  • Delete button

Deletes a schedule rule.

  • Time

Shows the schedule time that was set for the selected schedule rule.

If [Repetition] is selected for [Type] in [Schedule rule], up to ten scheduled times after the current time today are displayed.

If a period schedule is specified, the title displays the period (T) in the following format: starting time today - ending time today.


Changing a Time Schedule

Press the Edit button on the Schedule Setting dialog.

The Edit Schedule dialog opens. Change the settings and press OK.


Deleting a Time Schedule

Select a schedule on the Schedule Setting dialog, and press the Delete button.

When the delete confirmation dialog appears, press OK.

If the Delete button is disabled even when you select a schedule, the selected schedule is being used by any other application. In such a case, that schedule cannot be deleted.


Configuring Settings at Fail over

Set whether or not to notify schedules during fail over in a cluster system. By default, a schedule that was planed to be performed 10 minutes before the service startup is notified. The schedule will be notified immediately after the service start-up.

Configuring this setting can prevents fail of schedule notification that occurs due to system down.

  • Do not notify/Notify

Specify whether or not to notify past schedules that were not notified.

  • Day/Hour/Minute

Specify a date and time back from the service start-up date/time. From 1 minute to 6 days 23 hours 59 minutes can be specified.

  • Select notification counts

Specify that either all un-notified past schedules for which a period is defined or the latest one will be notified. For example, if the service has been stopped for three hours when a schedule was set to be performed every one hour, specify that either all of three un-notified schedules during the service stop or the latest one will be notified.


Viewing Time Schedules

This dialog lists schedule times that were set for the day you specify.

  • Schedule Name

Shows the schedule name.

  • Calendar Name

Shows the calendar name that is used for the schedule.

  • Calendar Status

Shows the calendar status of the day you specified for Schedule Day. Any of Operation date, Non-operation date, or Unspecified day is displayed.

  • Schedule Day

Specify the day whose schedule you want to show in the Time list. You can select the day from the pull-down menu or you can specify it from the calendar shown below, displayed by pressing the F4 key.

  • Time

Lists schedule times of the day that you selected for Schedule Day in ascending order. For the schedule for which Repetition was set as Type on the Schedule Rule Settings dialog, it is displayed as "Start time - End time Interval".


Creating a Time Schedule Rule

When you press the Add button on the Edit Schedule dialog, the Schedule Rule Settings dialog opens.

  • Type

Select a schedule type.

  • Date

Specify the date and time when the schedule will be performed. From 1971/1/1 to 2036/12/31 can be specified.

  • Time

Specify the time when the schedule will be performed.

  • Week

Specify the day(s) of week when the schedule will be performed.

  • Application Period

Specify the period when the schedule will be applied. From 1/1/1971to 12/31/2036 can be specified.

When you select "The end date is not defined", the period to 12/31/2036 is specified.

Depending on a rule, following items can be entered.

Item | Year | Month | Day | Nth week | Week | Day of week | Start | End | Interval | Application period
Operation date | No | No | No | No | No | No | Yes | No | No | Yes
Repetition | No | No | No | No | No | No | Yes | Yes | Yes | Yes
Weekly | No | No | No | No | No | Yes | Yes | No | No | Yes
Monthly(date) | No | No | Yes | No | No | No | Yes | No | No | Yes
Monthly(day) | No | No | No | Yes | Yes | No | Yes | No | No | Yes
Yearly(date) | No | Yes | Yes | No | No | No | Yes | No | No | Yes
Yearly(day) | No | Yes | No | Yes | Yes | No | Yes | No | No | Yes
Specified day | Yes | Yes | Yes | No | No | No | Yes | No | No | No


Changing a Time Schedule Rule

When you select a schedule rule on the Edit Schedule dialog and press the Edit button, the Schedule Rule Settings dialog opens. Change the settings and press the OK button.


Deleting a Time Schedule Rule

Select a schedule rule on the Edit Schedule dialog and press the Delete button. Press the OK button on the delete confirmation message.


About Period Schedules

By setting a period schedule, a process can be performed or restrained during the period you specified.

Period schedule has the following functions:

  • Period schedule customize function

Adds, updates, deletes period schedules. Allows you to view period schedule settings.

[See Also]

Selecting a created period schedule

Creating a new period schedule

Changing a period schedule

Deleting a period schedule

Viewing period schedules

  • Period schedule rule customize function

Adds, updates, deletes period schedule rules.

[See Also]

Creating a period schedule rule

Changing a period schedule rule

Deleting a period schedule rule

[Note]

An error within 5 seconds may occur when determining the period schedule.

For example, when messages are set to be received until 4:59 p.m., messages may be received at around 5:00:04 p.m.
*The second of the end time is managed as 59 seconds. When you specify 5:00 p.m. as the end time, the actual end time is 5:00:59 p.m.


Selecting a Created Period Schedule

This procedure is the same as that for "Selecting a Created Time Schecule".


Creating a New Period Schedule

This procedure is the same as that for "Creating a New Time Schedule".

The Fail Over Setting button is not displayed for period schedules.


Changing a Period Schedule

This procedure is the same as that for "Changing a Time Schedule".


Deleting a Period Schedule

This procedure is the same as that for "Deleting a Time Schedule".


Viewing Period Schedules

This procedure is the same as that for "Viewing Time Schedules".

For the period schedule, the schedule times are displayed as "Start time-End time" in the Time column.


Creating a Period Schedule Rule

When you press the Add button on the Edit Schedule dialog, the Period Setting dialog opens.

When type is not "Consecutive dates":

When type is "Consecutive dates":

Explanation of each control is the same as that on the Schedule Rule Settings dialog. On the Period Setting dialog, specification of Interval is not in the Time group.

Depending on a rule type, following items can be entered.

Item | Year | Month | Day | Nth week | Week | Day of week | Start | End | Application period
Operation date | No | No | No | No | No | No | Yes | Yes | Yes
Weekly | No | No | No | No | No | Yes | Yes | Yes | Yes
Monthly(date) | No | No | Yes | No | No | No | Yes | Yes | Yes
Monthly(day) | No | No | No | Yes | Yes | No | Yes | Yes | Yes
Yearly(date) | No | Yes | Yes | No | No | No | Yes | Yes | Yes
Yearly(day) | No | Yes | No | Yes | Yes | No | Yes | Yes | Yes
Specified day | Yes | Yes | Yes | No | No | No | Yes | Yes | No
Consecutive dates | No | No | No | No | No | No | Yes | Yes | No


Changing a Period Schedule Rule

This procedure is the same as that for "Changing a Time Schedule Rule".


Deleting a Period Schedule Rule

This procedure is the same as that for "Deleting a Time Schedule Rule".


Stop the sound

Stop the sound

The following methods are available to stop sounding voice.

  1. Select [Stop Sound] on the Operation menu.

  2. Click [image] on the toolbar.

[Note]

If sound type is WAVE, the sound stops after one time playing. Hence, you can not stop sound in playing.


Draw graphic forms on the Map view

This operation should be executed after shifting into the Configuration mode.

Graphic forms can be drawn on the Map view and explanation of the screen can be added.

  • Draw a straight line.

  1. Click [image] in the tool box.

  2. Hold down the left mouse button and drag the pointer to draw a line.

  • Draw a quadrangle.

  1. Click [image] in the tool box (to draw a quadrangle with right angles) or click [image] (to draw a quadrangle with round corners).

  2. Hold down the left mouse button and drag the pointer in an oblique direction.

  • Draw a circle

  1. Click [image] in the tool box.

  2. Hold down the left mouse button and drag the pointer in an oblique direction.

  • Insert an icon

  1. Click [image] in the tool box.

  2. Click on the insertion place.

  3. Select an icon to be inserted.
    Icon files (whose extension is "ico") and execution files with icon resource are selectable as icons. If a specified file is incorrect, the default icon will be used.
    The file path is the common setting for all consoles. The same file on the same path for each console is required.

  • Insert an image

  1. Click [image] in the tool box.

  2. Click on the insertion place.

  3. Select an image to be inserted.
    You can only select bit map files (whose extension is "bmp") as an image.
    The file path is the common setting for all consoles. The same file on the same path for each console is required.

  • Combine graphic forms

  1. Click a source graphic form to combine from.

  2. Hold down the Ctrl key and click a destination graphic form to combine to.

  3. Click [image] in the tool box.

  • Draw a text box

  1. Click [image] in the tool box.

  2. To create a character entry frame, hold down the left mouse button and drag the pointer in an oblique direction until a target size is obtained.

  3. Double-click over the internal area of the character entry frame and then enter characters.

  • Change the background color of graphic form

  1. Select a graphic form whose background is to be changed.

  2. Click [image] in the tool box.

  • Change line color

  1. Select a graphic form whose line color is to be changed.

  2. Click [image] in the tool box.

  • Change character color

  1. Select a graphic form whose character color is to be changed.

  2. Click [image] in the tool box.

  • Change font

  1. Select a graphic form whose font is to be changed.

  2. Click [image] in the tool box to select font.

  • Change font size

  1. Select a graphic form whose font size is to be changed.

  2. Click [image] in the tool box to select font size.

  • Change line thickness

  1. Select a graphic form whose line thickness is to be changed.

  2. Click [image] in the tool box to select line thickness.

  • Change line type

  1. Select a graphic form whose line type is to be changed.

  2. Click [image] in the tool box to select a line type.

  • Change a straight line to an arrow

  1. Select a straight line to be changed to an arrow.

  2. Click [image] in the tool box to select the type of the arrow.

  • Delete graphic form

  1. Select a graphic to be deleted.

  2. Select [Delete] from the right-click menu.

  • Change display order of graphic forms

  1. Select graphic forms whose display order is to be changed.

  2. From the right-click menu, place the cursor at [Change Order] and then select display order.

  • Change the displayed position of the icon text

  1. Select the icon that you want to change the displayed position of the icon text.

  2. From the right-click menu, place the cursor at [Icon text] and select the displayed position.


Change the background color of the Map view

This operation should be executed after shifting into the Configuration mode.

  • Change background color

  1. From the right-click menu, select [Background Color] at a place without graphic forms of the Map view.

  2. When the [Color] dialog appears, select color and then press the [OK] button.

  • Display a file on the background

  1. From the right-click menu, select [Background Bitmap] at a place without graphic forms of the Map view.

  2. When the [Open] dialog box appears, select a bit map file.
    The file path is the common setting for all consoles. The same file on the same path for each console is required.
    * To hide the background bitmap, select [Background Bitmap] from the right-click pop-up menu again and clear the check mark.

  • Display grids on the background

  1. From the right-click menu, select [Grid] at a place without graphic forms of the Map view.
    * To hide the background bitmap, select [Grid] from the right-click pop-up menu again and clear the check mark.


Moving from the Map view to another screen

You can move between screens by operating the button in the map view.

Moving between screens based on the display history

The monitoring screen saves up to 100 display records every time the displayed node is changed.

You can move the screen to the node saved in the history by clicking the [image] or [image] button.

  • button
    Use this button to move the screen to the node displayed before the currently displayed node.

  • button
    Use this button to move the screen to the node displayed after the currently displayed node.

* When the number of display records exceeds 100, the oldest display record is deleted.

* Display records are saved when the displayed node is changed. Display records are not saved when the tabs such as the map view and property view are switched.

* The tabs such as the map view and property view are not saved in display records. The same tab as when you click the node in the tree is displayed when the [image] or [image] button is clicked.

[Note]

  • The display history is reset when the monitoring screen is restarted.

  • If nodes with the same name exist on the same level in the tree, the tree is searched from the top and the screen moves to the first found node.

  • If the node in the display record does not exist (Examples: The node was deleted. The user no longer has the authority to view the node. The node was renamed.) when the [image] or [image] button is clicked, the relevant record is deleted and the screen moves to the node in the next display record.

Moving the screen to an upper node

  • button
    Use this button to move the screen to a node directly above in the same tree as the currently displayed node.

  • button
    Use this button to move the screen to the top node in the same tree as the currently displayed node.

Moving the screen to the top node in each tree

  • Top node list
    Move the screen to the top node in each tree.
    When you click the list, the top node in each tree is displayed.
    When you select a node, the screen moves to the selected node.


Reduction/expansion of the Map view

The Map view can be reduced (left side) and the expansion (right side) be displayed by operating the slider.


Search for node

The following ways are available to search for node on the Tree view.

  1. From the right-click menu on the Tree view, select the [Find].

  2. Click [image] on the toolbar.

When the [Find] dialog appears, enter the node name, and then press the [Start] button to display the search results.

  • Wild card "*" is available for the search.

To display nodes searched for, double-click a node to display the selected node, or select a node to display and click the [Jump] button


Move an object (icon)

This operation should be executed after shifting into the Configuration mode.

The following ways are available to move a node displayed on the Tree view.

  1. On the tree view, select the [Move] from the right-click menu on the target node to be moved.

  2. On the tree view, drug and drop the object icon.

  • About the node un-allowed to move, you cannot move with drug and drop.

When [Move] is selected by a way of 1, the following [Move Node] is indicated, so select a destination node, and press [OK] button.

  • Only nodes to which object can move are displayed.

  • If a registered host or group is moved, all nodes under them are also moved.


Delete object (icon)

This operation should be executed after shifting into the Configuration mode.

The following ways are available to delete icons displayed on the Tree view and Map view.

  1. On the tree view, select the [Delete] from the right-click menu on the target node to be deleted.

  2. On the Map view of the node higher by one than the target node to be deleted, select the node to be deleted, and then choose [Delete] from the right-click menu.

  • If the node does not allow the object to be deleted, you cannot select [Delete] from the right-click menu.

When the confirmation screen for deletion, press the [OK] button.

  • If a registered host or group is deleted, all nodes under them are also deleted.


Redefine object (icon)

This operation should be executed after shifting into the Configuration mode.

The following ways are available to redefine icons displayed on the Tree view and Map view.

  1. On the tree view, select the [Update] from the right-click menu on the target node to be redefined.

  2. On the Map view of the node higher by one than the target node to be redefined, select the node to be redefined, and then choose [Update] from the right-click menu.

  • If the node does not allow the object to be redefined, you cannot select [Update] from the right-click menu.

When the dialog box for updates appears, make a redefinition.


Change the layout of windows

The Window menu is available to change the layout of windows.

  • Arrange windows in a cascade

Select [Cascade] from the [window] menu to arrange windows (Map View, Property View, and monitoring windows) in a cascade.

  • Tile windows

Select [Tile] from the [window] menu to tile windows (Map View, Property View, and monitoring windows).

  • Arrange icons

Select [Arrange icon] from the [window] menu to arrange minimized windows (Map View, Property View, and monitoring windows).

[References]

Window menu


Show/hide the Tool bar

To change the display status of a toolbar, select [Tool Bar] in the View menu.

When the toolbar is displayed, a checkmark is put on the left side of the [Tool Bar] in the View menu.

[References]

Window menu


Show/hide the Status bar

To change the display status of status bar, select [Status Bar] in the View menu.

When the status bar is displayed, a checkmark is put on the left side of the [Status Bar] in the View menu.

[References]

Window menu


Print the Map view

The following methods are available to print a Map view image.

  1. Display a Map view to be printed, and then select [Print] from the [File] menu.

  2. Displays the Map view to be printed and then click [image] on the toolbar.

When the [Print] dialog appears, make settings for printing, and then press the [OK] button.

  • To preview a print image

Display a Map view to be printed, and then select [Print Preview] from the [File] menu.

  • To set printer

Select [Set Printer] from the [File] menu. When the [Print Setup] command appears, make entries in items and then press the [OK] button.


Check the version

The following ways are available to check the version of this product (monitoring terminal functions).

  1. Select [About Version] in the [Help] menu.

  2. Click [image] on the toolbar.


About the provided commands

This product enables users to perform operations such as deleting messages and outputting information to a CSV file from the monitoring windows, and it also provides manual commands to execute the same functions, in addition to the operations from the monitoring windows.

  • TopologyCmd command
    Can suspend and resume message and report events from the agent monitoring function.
    [References]
    TopologyCmd HOLD
    TopologyCmd ACTV
    TopologyCmd LIST

  • PerformanceCmd command
    Can perform operations such as deleting history records and outputting them to a CSV file, in the performance monitoring function.
    [References]
    PerformanceCmd INIT
    PerformanceCmd SWAP
    PerformanceCmd CSV
    PerformanceCmd MCSV
    PerformanceCmd LIST

  • BusinessCmd command
    In the message monitoring function, can perform operations such as deleting messages and outputting them to a CSV file.
    [References]
    BusinessCmd INIT
    BusinessCmd SWAP
    BusinessCmd CSV
    BusinessCmd HOLD
    BusinessCmd ACTV

BusinessCmd LIST
BusinessCmd CFM

  • AuditTrailCmd command
    In the audit log function, can perform operations such as deleting log records and outputting them to a CSV file.
    [References]
    AuditTrailCmd INIT
    AuditTrailCmd SWAP
    AuditTrailCmd CSV

  • RecoveryCmd command
    In the recovery function, can delete records in the recovery history.
    [References]

RecoveryCmd INIT

RecoveryCmd SWAP

  • ReportCmd command
    In the report function, can delete records in the reporting history.
    [References]
    ReportCmd INIT
    ReportCmd SWAP

  • LicenseCmd command

These commands make it possible to add license keys and register code words for the license function.

[References]

LicenseCmd ADD

LicenseCmd DELETE

LicenseCmd LIST

LicenseCmd REGISTER

  • EventCorrelationCmd command
    In the Analyze events function, can output them to a CSV file.
    [References]

EventCorrelationCmd CSV

EventCorrelationCmd SU

EventCorrelationCmd IMPORT

EventCorrelationCmd EXPORT

EventCorrelationCmd CNV

  • ScenarioCmd command
    In the scenario control function, can perform operations such as delete records in the histories and run the scenario.
    [References]

ScenarioCmd INIT

ScenarioCmd SWAP

ScenarioCmd LIST

ScenarioCmd STATUS

ScenarioCmd EXEC

ScenarioCmd DATE

ScenarioCmd CNTRLF/CNTRLN

ScenarioCmd CNTRLIF/CNTRLIN

ScenarioCmd ENABLE

ScenarioCmd GETVALUE

ScenarioCmd IMPORT

ScenarioCmd RENAME

  • ServiceManagerLinkerCmd command
    In the incident registration function, can perform operations such as deleting incident histories and outputting them to a CSV file.

[References]

ServiceManagerLinkerCmd INIT

ServiceManagerLinkerCmd SWAP

ServiceManagerLinkerCmd CSV

  • SIATCmd

These commands make it possible to import performance data and request additional analysis for the invariant analysis function.

[References]

SIATCmd IMPORT
SIATCmd CANCEL IMPORT
SIATCmd LIST IA
SIATCmd LIST NODE
SIATCmd PROPERTY NODE
SIATCmd CREATE MODEL
SIATCmd LIST MODEL
SIATCmd VALIDATE MODEL
SIATCmd RESET MODEL
SIATCmd DELETE MODEL
SIATCmd STATUS MODEL
SIATCmd CANCEL MODEL
SIATCmd CSV MODEL
SIATCmd IMPORT MODEL
SIATCmd ONDEMAND ANALYSIS
SIATCmd SUBSEQUENT ANALYSIS
SIATCmd ANALYSIS STATUS
SIATCmd LIST ANALYSIS
SIATCmd CANCEL ANALYSIS
SIATCmd DELETE ANALYSIS
SIATCmd CSV ANALYSIS
SIATCmd CSV ALERT

  • OperationCmd command
    Theses commands can import all the tree structure and action definitions.
    [References]
    OperationCmd SU
    OperationCmd IMPORT

  • Commands related to the backup function
    There commands can backup or restore information such as the definition data.
    [References]
    Backup command
    Backup list command
    Backup delete command
    Restore command

[Note]

  • Commands must be executed with Administrator authority. Start the command prompt with Administrator authority for Windows Server 2008 or later versions.

  • Before you can execute the commands described above on an Linux manager, you must make the following preparations:

  • Set up the library path
    Add the following to environmental variable LD_LIBRARY_PATH:
    <Manager's installation directory>/Manager/bin

  • Set up a locale
    Set the locale in the running environment to UTF-8.


TopologyCmd HOLD

This command suspends the monitoring and reporting of events for the specified agent.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\TopologyCmd.exe

UNIX manager

<Manager's installation directory>/Manager/bin/TopologyCmd.exe

[Specifying procedure]

TopologyCmd.exe HOLD <HostName>

[Description]

This command temporarily stops monitoring or alert events from the agent specified as <HostName>. Monitoring continues on each agent and the monitoring results are sent to the manager. However, message notification and alert processing on the manager are suppressed.

Use TopologyCmd ACTV to change the status from "monitoring stopped" to "monitoring".

If any argument is omitted or invalid, a help window will be displayed.

The functions under the stopped topology view operate as described below.

For message suppression for the stopped functions, see [Note] in "Messages Agent/Manager outputs".

  • Files/directories monitoring
    No messaging or reporting about status change is executed. The color indicating severity changes.
    If the threshold determination method is [Continuous] or [Average], the counter is not reset.

  • Windows service monitoring
    No messaging or reporting about status change is executed. The color indicating severity changes.

  • Process monitoring
    No messaging or reporting about status change is executed. The color indicating severity changes.

  • Performance monitoring
    No messaging or reporting about status change is executed. The color indicating severity changes.
    If the logging option is enabled, the history data is saved.
    If the threshold determination method is [Continuous] or [Average], the counter is not reset.

  • Event log monitoring
    Monitoring continues on the agent while these events are stopped. However, the events are not output to the monitoring log. The log of the monitoring that was performed while the events were stopped is not reported even after the state is changed to the monitoring state.

  • Syslog monitoring
    Monitoring continues on the agent while these events are stopped. However, the events are not output to the monitoring log. The log of the monitoring that was performed while the events were stopped is not reported even after the state is changed to the monitoring state.

  • Application log monitoring
    The pre-monitoring command function is executed.
    Monitoring continues on the agent while these events are stopped. However, the events are not output to the monitoring log. The log of the monitoring that was performed while the events were stopped is not reported even after the state is changed to the monitoring state.

  • Performance data accumulation management
    If performance data accumulation setting is enabled, performance data is accumulated.

[Argument]

HostName

Specify the agent name from which messages and report events are no longer received. Specifying with an IP address is not allowed.

[Return value]

Return value | Description
0 | The command succeeded
1 | Command initialization error
2 | Invalid argument
6-8 | Fails to establish communication with manager
10 | Wrong specification of the host name

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

TopologyCmd ACTV


TopologyCmd ACTV

This command cancels the "monitoring and reporting stopped" status for the specified agent and restarts monitoring.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\TopologyCmd.exe

UNIX manager

<Manager's installation directory>/Manager/bin/TopologyCmd.exe

[Specifying procedure]

TopologyCmd.exe ACTV <HostName>

[Description]

The "monitoring and reporting stopped" status for the agent specified by the <HostName> parameter is canceled, and monitoring resumes. Use TopologyCmd HOLD to change the status from "monitoring" to "monitoring stopped".

If any argument is omitted or invalid, a help window will be displayed.

[Argument]

HostName

Specify the agent name that starts sending messages and report events. Specifying with an IP address is not allowed.

[Return value]

Return value | Description
0 | The command succeeded
1 | Command initialization error
2 | Invalid argument
6-8 | Fails to establish communication with manager
10 | Wrong specification of the host name

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • Executing TopologyCmd ACTV when the status is [HOLD] (monitoring stopped) in the schedule does not change the status to "monitoring".

[References]

About the provided commands

TopologyCmd HOLD


TopologyCmd LIST

A command used to output a list of agent names and OS types of currently monitored agents.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\TopologyCmd.exe

UNIX manager

<Manager's installation directory>/Manager/bin/TopologyCmd.exe

[Specifying procedure]

TopologyCmd.exe LIST

[Description]

This command outputs a list of agent names and OS types of currently monitored agents.

If any argument is omitted or invalid, a help window will be displayed.

[Argument]

None

[Return value]

Return value | Description
0 | The command succeeded
1 | Command initialization error
2 | Invalid argument
6-8 | Fails to establish communication with manager
22 | File error

[Display format]

"Agent name" [OS type]

[e.g.]

"ServerA" [Windows]

"ServerB" [HP-UX]

"ServerC" [Linux]

"ServerD" [Windows]

[Note]

  • The command displays all the agent names regardless of whether they are working (running/stopped).

  • It does not display the agents in the [Unregistered Host] group.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands


PerformanceCmd INIT

This command deletes all history data, collected through the performance monitoring, from agents.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\PerformanceCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/PerformanceCmd.exe

[Specifying procedure]

PerformanceCmd.exe INIT <HostName>

[Description]

Delete all history data of the specified agent as the argument <HostName>.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

HostName

Specifies the name of an agent to delete history data. Specifying with an IP address is not allowed.

[Return value]

Return value | Description
0 | The command succeeded
1 | Invalid argument, Fails to establish communication with manager/agent
4 | Command initialization error

[Note]

  • Note that deleted history data cannot be restored.

  • If you want to delete the history data with the dates before the specified date, so please use with the SWAP option.

  • Even if you specify nonexistent agent name as <HostName> argument, you won't any error messages. Please specify the agent name exactly.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete history data

PerformanceCmd SWAP


PerformanceCmd SWAP

This command deletes history data before the specified date.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\PerformanceCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/PerformanceCmd.exe

[Specifying procedure]

PerformanceCmd.exe SWAP <HostName> <Date>

[Description]

Delete the history data before specified date as the argument <Date> of the specified agent as the argument <HostName>. A specified date itself is also an deletion target.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

HostName | Specifies the name of an agent to delete history data. Specifying with an IP address is not allowed.
Date | Specify date in the YYYY/MM/DD format.

[Example]

PerformanceCmd.exe SWAP ServerA 2011/02/14

History data up to and including the data of February 14, 2011 will be deleted.

[Return value]

Return value | Description
0 | The command succeeded
1 | Invalid argument, Fails to establish communication with manager/agent
4 | Command initialization error

[Note]

  • Note that deleted history data cannot be restored.

  • If you want to delete all history data, so please use with the INIT option.

  • Even if you specify nonexistent host name as <HostName> argument, you won't any error messages. Please specify the host name exactly.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete history data

PerformanceCmd INIT


PerformanceCmd CSV

This command outputs history data to files on the agents, collected through the performance monitoring, from agents.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\PerformanceCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/PerformanceCmd.exe

[Specifying procedure]

PerformanceCmd.exe CSV <CounterID> <Date> <CSV File Name> [-U [-B]] [-T] [-W <N>]

[Description]

Output history data specified as <CounterID>, in CSV format files, with the specified date as <Date> onto the agent.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

CounterID | Specifies the ID of a counter to output history data. The counter ID can be referenced from the [Graph Data] window (see the red box in the below diagram) or the result of the [PerformanceCmd LIST] command.
Date | Specify date in the YYYY/MM/DD format.
CSV File Name | Specify the file name by using an absolute path. If the specified directory does not exist, the command will not be executed.
-U | Specify this option to use Unicode (Little-Endian) for output of data on Windows (by default, SJIS is used for output). Output on Unix makes this option ineffective.
-B | Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given). If the -U option is not specified or data is output on Unix, this option is ineffective.
-T | Specify this option to use TAB as a CSV delimiter (by default, comma is used).
-W <N> | If this option is specified, the command times out when there is no response from an agent for which a counter to output log data is specified. If this option is not specified, the command keeps waiting for a response from the agent. A timeout period (seconds) is specified for <N>. The setting range is from 10 to 3600.

[Example]

PerformanceCmd.exe CSV 42d743ad 2011/02/14 C:\foo\bar.csv

History data on February 14th in 2011 are output to C:\foo\bar.csv on the agent targeted for the counter by which the counter ID is 42d743ad.

[Return value]

Return value | Description
0 | The command succeeded
1 | Invalid argument, Fails to establish communication with manager/agent
4 | Command initialization error

When the log data output fails, a list of counters that fail to output log data is output to the standard output.

[Output format]

<Counter Name> <Failure Cause (DISCONNECTED | TIMEOUT)>

* DISCONNECTED or TIMEOUT is displayed in <Failure Cause>.

  • DISCONNECTED
    The agent for which a counter to output log data is specified is stopped.

  • TIMEOUT
    No response from the agent for which a counter to output log data is specified (Displayed only when the -W option is specified.)

[e.g.]

$ PerformanceCmd.exe CSV 51ca9698 2013/06/26 C:\result.csv -W 60

Failed to output history data.

50f8ec82 DISCONNECTED

50fd06d7 DISCONNECTED

[Format of output file]

Host Name:<Target host name>

Object Name:<Target object name>

Instance Name:<Target instance name>

Counter Name:<Target counter name>

Date,Time,Data

"YYYY/MM/DD","HH:MM:SS",XX

:

:

[Contents of output file]

An example of the output file is shown below.

Host Name:HostA

Object Name:LogicalDisk

Instance Name:D:

Counter Name:% Used Ex

Date,Time,Data

"2015/01/20","09:52:44",34.413258830199908

"2015/01/20","10:02:44",34.413258830199908

"2015/01/20","10:12:44",34.413258830199908

* This is an example of the output of statistical data with a 600-second (10-minute) interval.

[Note]

  • The output history data refers to the stored log file. To save the history data, please check the [Store the historical data to file] check box on the [Display Setting] tab of the [Counter Detail Setting] window.

  • This command output the CSV file onto the agent. If you want to output onto the manager, so please use with the MCSV option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • Even when the -W option is specified and the command times out, a trace indicating successful CSV output might be output.

[References]

About the provided commands

Output history data as a file

PerformanceCmd MCSV


PerformanceCmd MCSV

This command outputs history data to files, collected through the performance monitoring, from agents onto manager.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\PerformanceCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/PerformanceCmd.exe

[Specifying procedure]

PerformanceCmd.exe MCSV {-c <CounterID> | -h <HostName>} <Date> <CSV File Name> [-U [-B]] [-T] [-W <N>]

[Description]

Output history data specified as <CounterID> with -c option or <HostName> with -h option, with the specified date as <Date>, in CSV format files, onto the manager.

For a counter ID or agent name specified using the -c or -h option, the history data of the date specified by the <Date> parameter will be output to a file on the agent in the CSV format. When executing the command, the -c or -h option must be specified. Note that the -c and -h options cannot both be specified at the same time.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

-c <CounterID>

Specifies the ID of a counter to output history data. The counter ID can be referenced from the [Graph Data] window (see the red box in the below diagram) or the result of the [PerformanceCmd LIST] command.

When the "*" (asterisk) is specified as <CounterID>, output files for all the counters of all the monitored agents.

-h <HostName>

Specifies the name of an agent to output history data. Specifying with an IP address is not allowed.

All history data of the specified agent are output.

When the "*" (asterisk) is specifed as <HostName>, output files for all the counters of all the monitored agents.

(In this case, performs as same as that specify the "*" as <CounterID> with -c option.)

Date

Specify date to output history data to file.

There are 2 ways to specify.

Absolute specifying | Specify date directly in the YYYY/MM/DD format.
Relative specifying | Specify which history data (that is, data from how many days prior to the current date) to output by using a positive integer, including 0. For example, when the date is specified as "3" at "07/02/2006", output the data of "04/02/2006". And, when the date is specified as "0", output the data of "07/02/2006 (current day)".

CSV File Name

If the counter ID is specified by using the -c option, specify the file name or directory name by using an absolute path.

If an "*" (asterisk) is specified for the -c option or if the -h option is used, specify the output directory by using an absolute path. The following default file name is specified for the file name. In this case, the file name specified in the parameter will be ignored and only the directory name will be valid.

The output directory and default file name when this option is omitted are shown below.

Note that the following default file name is also used when a directory is specified for the output destination by using this option.

Default directory: Current directory

Default file name: Date_CounterID.csv

If the specified directory does not exist, the command will not be executed.

-U

Specify this option to use Unicode (Little-Endian) for output of data on Windows (by default, SJIS is used for output).

Output on Unix makes this option ineffective.

-B

Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given)

.If the -U option is not specified or data is output on Unix, this option is ineffective.

-T

Specify this option to use TAB as a CSV delimiter (by default, comma is used).

-W <N>

If this option is specified, the command times out when there is no response from an agent for which a counter to output log data is specified.

If this option is not specified, the command keeps waiting for a response from the agent.

A timeout period (seconds) is specified for <N>. The setting range is from 10 to 3600.

[Example]

PerformanceCmd.exe MCSV -c 42d743ad 2011/02/14 C:\foo\bar.csv

History data on February 14th in 2011 are output to C:\foo\bar.csv on the manager targeted for the counter by which the counter ID is 42d743ad.

[Return value]

Return value | Description
0 | The command succeeded
1 | Invalid argument
2 | Fails to establish communication with manager
3 | File error
4 | Command initialization error, Upper limit of number of output counters exceeded

When the log data output fails, a list of counters that fail to output log data is output to the standard output.

[Output format]

<Counter Name> <Failure Cause (DISCONNECTED | TIMEOUT)> [Agent Name for which a counter is specified]

* The agent name for which a counter is specified is displayed only when an asterisk (*) is specified for the -c or -h option.

* DISCONNECTED or TIMEOUT is displayed in <Failure Cause>.

  • DISCONNECTED
    The agent for which a counter to output log data is specified is stopped.

  • TIMEOUT
    No response from the agent for which a counter to output log data is specified (Displayed only when the -W option is specified.)

[e.g.]

$ PerformanceCmd.exe MCSV -c * 2013/06/25 C:\perf -W 60

Failed to output history data.

50f8ec82 DISCONNECTED 192.168.0.1

50fd06d7 DISCONNECTED 192.168.0.1

50fd06d8 TIMEOUT 192.168.0.2

[Format of output file]

Host Name:<Target host name>

Object Name:<Target object name>

Instance Name:<Target instance name>

Counter Name:<Target counter name>

Date,Time,Data

"YYYY/MM/DD","HH:MM:SS",XX

:

:

[Contents of output file]

An example of the output file is shown below.

Host Name:HostA

Object Name:LogicalDisk

Instance Name:D:

Counter Name:% Used Ex

Date,Time,Data

"2015/01/20","09:52:44",34.413258830199908

"2015/01/20","10:02:44",34.413258830199908

"2015/01/20","10:12:44",34.413258830199908

* This is an example of the output of statistical data with a 600-second (10-minute) interval.

If there are too many counters to be output in history data, history data output fails, and the following standard output is displayed. Reduce the counters to be output by specifying the host name with the -h option or specifying the counter with the -c option.

Failed to output history data.

Too many counters.

To change the maximum number of counters to be output in history data, edit the following configuration file. Restarting of the manager service is not required.

[Storage destination]

<Manager Installation Directory>/Manager/sg

[File name]

PerformanceHelperMgr.ini

[Description example]

[MCSV]

CounterLimit = 2000

  • CounterLimit
    Specifies the maximum number of counters to be output in history data.
    When MCSV is executed, memory is used proportionally to the number of counters during history data collection. Specify a value to avoid depletion of memory.
    When the monitoring interval setting in performance monitoring is 30 seconds, memory of up to 250 KB may be used per counter.

[Note]

  • The output history data refers to the stored log file. To save the history data, please check the [Store the historical data to file] check box on the [Display Setting] tab of the [Counter Detail Setting] window.

  • This command output the CSV file onto the manager. If you want to output onto the agent, so please use with the CSV option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • Even when the -W option is specified and the command times out, a trace indicating successful CSV output might be output.

[References]

About the provided commands

Output history data as a file

PerformanceCmd CSV


PerformanceCmd LIST

This command shows the list of monitored counter names and counter IDs.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\PerformanceCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/PerformanceCmd.exe

[Specifying procedure]

PerformanceCmd.exe LIST <HostName>

[Description]

Display the list of monitored counter ID of the specified agent as the argument <HostName>.

When the arguments was invalid, help message will be displayed.

[Argument]

HostName

Specifies the name of an agent to display the list of all monitored counter ID. Specifying with an IP address is not allowed.

When the "*" (asterisk) is specified as <CounterID> or the argument is omitted, display the list for all agents.

[Return Value]

Return value | Description
0 | The command succeeded
1 | Invalid argument, Fails to establish communication with manager, File error
4 | Command initialization error

[Display format]

[Agent Name]

|-- [Monitored Object Name]

|-- [Monitored Instance Name]

|-- [Counter ID] [Logging (-/*)] [Monitored Counter Name]

[Logging] shows the setting of logging the history data to file, set from the [Display Setting] tab in the [Counter Detail Setting] window.

When the history data will be stored to file, this column shows "-" (hyphen), otherwise this column shows "*" (asterisk).

[e.g.]

C:\Program Files\NEC\OperationsNavigator\Manager\bin>PerformanceCmd LIST *

ServerA

|-- PhysicalDisk

| |-- _Total

| |-- 43be28fa * % Disk Read Time

| |-- 43be28f9 - % Disk Time

| |-- 43be28f8 * % Disk Write Time

|

|-- Memory

| |-- 43be28a8 - Available Bytes

| |-- 43be28a7 - Available KBytes

| |-- 43be28a6 - Available MBytes

|

|-- Thread

|-- alg/0

|-- 43c3078d * % User Time

|-- 43c3078c - ID Process

|-- 43c3078b * ID Thread

ServerB

|-- Processor

|-- 0

|-- 43deff7e - % Privileged Time

|-- 43deff7d * % Processor Time

|-- 43deff7c * % User Time

[Note]

  • Even if you specify nonexistent agent name as <HostName> argument, you won't any error messages. Please specify the agent name exactly.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Define the detailed settings of the monitored counter (display settings)


BusinessCmd INIT

This command deletes all messages from categories.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\BusinessCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/BusinessCmd.exe

[Specifying procedure]

BusinessCmd.exe INIT <CategoryID>

[Description]

Delete all messages of the specified category as the argument <CategoryID>.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

CategoryID

Specifies the ID of a category in which target message to be operated is saved. The category ID can be referenced from the Property view of the monitoring window (see the red box in the below diagram), or the result of the "BusinessCmd LIST" command.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted messages cannot be restored.

  • If you want to delete the message with the dates before the specified date, so please use with the SWAP option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • Messages stored in the deleted category are not deleted even when "00000000" is specified for the category ID.

[References]

About the provided commands

Delete the messages in the category

BusinessCmd SWAP


BusinessCmd SWAP

This command deletes message before the specified date from categories.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\BusinessCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/BusinessCmd.exe

[Specifying procedure]

BusinessCmd.exe SWAP <CategoryID> <Date>

[Description]

Delete the messages before specified reception date as argument <Date> of the specified category as the argument <CategoryID>. A specified date itself is also an deletion target.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

CategoryID | Specifies the ID of a category in which target message to be operated is saved. The category ID can be referenced from the Property view of the monitoring window (see the red box in the below diagram), or the result of the "BusinessCmd LIST" command.
Date | Specify date in the YYYY/MM/DD format.

[Example]

BusinessCmd.exe SWAP 48e45001 2011/02/14

Delete the messages in the category with the category ID 48e45001 received up to and including February 14, 2011.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted messages cannot be restored.

  • If you want to delete all message, so please use with the INIT option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete the messages in the category

BusinessCmd INIT


BusinessCmd CSV

This command outputs messages from categories to files.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\BusinessCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/BusinessCmd.exe

[Specifying procedure]

BusinessCmd.exe CSV <CategoryID> <Date> <CSV File Name> [-U [-B]] [-T]

[Description]

Output messages specified as <CategoryID>, in CSV format files, with the specified reception date as <Date> onto the manager. Messages whose status is "unconfirmed" are targeted.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

CategoryID | Specifies the ID of a category in which target message to be operated is saved. The category ID can be referenced from the Property view of the monitoring window (see the red box in the below diagram), or the result of the "BusinessCmd LIST" command. The group ID of category group or "00000000" can not be specified.
Date | Specify date in the YYYY/MM/DD format.
CSV File Name | Specify the file name by using an absolute path. If the specified directory does not exist, the command will not be executed.
-U | Specify this option to use Unicode (Little-Endian) for output of data on Windows (by default, SJIS is used for output). Output on Unix makes this option ineffective.
-B | Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given). If the -U option is not specified or data is output on Unix, this option is ineffective.
-T | Specify this option to use TAB as a CSV delimiter (by default, comma is used).

[Example]

BusinessCmd.exe CSV 48e45001 2011/02/14 C:\foo\bar.csv

Messages on February 14th in 2011 are output to C:\foo\bar.csv targeted for the category by which the category ID is 48e45001.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • Some characters contained in a message are replaced when they are output as shown below.

    • Double quotation mark (") --> Single quotation mark (')

    • Line feed code (\r) --> One-byte space

    • Line feed code (\n) --> One-byte space

[References]

About the provided commands

Output messages as a file


BusinessCmd HOLD

This command suspends monitoring for messages in a category.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\BusinessCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/BusinessCmd.exe

[Specifying procedure]

BusinessCmd.exe HOLD {<CategoryID> | <-F> <ListFile>}

[Description]

It suspends monitoring for messages within the category specified by the <Category ID> argument. Use BusinessCmd ACTV to change the status from "monitoring stopped" to "monitoring".

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

The stopped category and categories under the group operate as described below.

  • Messages are not stored in the category.

  • No recovery or reporting is performed.

  • The background color of the icon is the color indicating severity of "UNMANAGED".

[Argument]

CategoryID

Specify the ID of the category you want to manipulate. The category ID can be referenced from the Property view of the monitoring window (see the red box in the below diagram), or the result of the "BusinessCmd LIST" command.

You can also specify the group ID of a category group for this category ID. If you specify a group ID for the category ID, all categories under the specified group will be targets for the command.

If you specify "00000000" for the category ID, all categories in Business View will be targets for the command.

-F <ListFile>

Specify a list file in which the IDs of the target categories are described, one ID per line. Specify an absolute path or relative path for the file name. If including spaces in the file name, enclose the name in "" (double quotation marks).

The category ID can be viewed in the property view of the monitoring window (the portion enclosed in a red frame in the figure below) or by using the "BusinessCmd LIST" command.

The group ID of a category group can be specified as the category ID. If a group ID is specified as the category ID, all categories under the specified group are targeted.

If "00000000" is specified as the category ID, all categories in the business view are targeted.

[Example of a list file]

534f7d6f

534f7d76

534f7d5c

534f7d7e

534f7ddb

[Return value]

Return value | Description
0 | Normal end.
1 | Error occurred because communication with the manager failed.
21 | Error occurred because the specified <List File> name was not found.
22 | Error occurred because opening of the specified <List File> failed.
31 | Error occurred because the category ID is not 8-digit hexadecimal, etc. The following error message is displayed in the standard output. Error: Format is invalid. (<LineNumber>:<LineContent>) * Only the line where the error was detected first is output.
32 | Error occurred because no valid category ID exists in <List File>.
41 | Error occurred because a non-existent category ID is specified, etc. The following error message is displayed in the standard output. Error: Specified ID is invalid. (<SpecifiedID>) * If there are multiple non-existent category IDs, multiple lines are output.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • For a list file, the character encoding and line feed code are SJIS and CR+LF for Windows manager, and UTF-8 and LF for UNIX manager.

  • Up to 1000 categories can be described in a list file. Operation is undefined if more categories are described over the maximum.

  • If any category ID that does not exist in the list file is included, it changes the monitoring status for the existing category IDs and returns 41 as the return value.

[References]

About the provided commands

Suspend message monitoring

BusinessCmd ACTV


BusinessCmd ACTV

This command releases a category from suspension of monitoring its messages and resumes the monitoring.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\BusinessCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/BusinessCmd.exe

[Specifying procedure]

BusinessCmd.exe ACTV {<CategoryID> | <ListFile>}

[Description]

Cancel the "monitoring stopped" status for the messages in the category specified by the <Category ID> parameter and resume monitoring. Use BusinessCmd HOLD to change the status from "monitoring" to "monitoring stopped".

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

CategoryID

Specify the ID of the category you want to manipulate. The category ID can be referenced from the Property view of the monitoring window (see the red box in the below diagram), or the result of the "BusinessCmd LIST" command.

You can also specify the group ID of a category group for this category ID. If you specify a group ID for the category ID, all categories under the specified group will be targets for the command.

If you specify "00000000" for the category ID, all categories in Business View will be targets for the command.

-F <ListFile>

Specify a list file in which the IDs of the target categories are described, one ID per line. Specify an absolute path or relative path for the file name. If including spaces in the file name, enclose the name in "" (double quotation marks).

The category ID can be viewed in the property view of the monitoring window (the portion enclosed in a red frame in the figure below) or by using the "BusinessCmd LIST" command.

The group ID of a category group can be specified as the category ID. If a group ID is specified as the category ID, all categories under the specified group are targeted.

If "00000000" is specified as the category ID, all categories in the business view are targeted.

[Example of a list file]

534f7d6f

534f7d76

534f7d5c

534f7d7e

534f7ddb

[Return value]

Return value | Description
0 | Normal end.
1 | Error occurred because communication with the manager failed.
21 | Error occurred because the specified <List File> name was not found.
22 | Error occurred because opening of the specified <List File> failed.
31 | Error occurred because the category ID is not 8-digit hexadecimal, etc. The following error message is displayed in the standard output. Error: Format is invalid. (<LineNumber>:<LineContent>) * Only the line where the error was detected first is output.
32 | Error occurred because no valid category ID exists in <List File>.
41 | Error occurred because a non-existent category ID is specified, etc. The following error message is displayed in the standard output. Error: Specified ID is invalid. (<SpecifiedID>) * If there are multiple non-existent category IDs, multiple lines are output.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • Executing BusinessCmd ACTV when the status is [HOLD] (monitoring stopped) in the schedule does not change the status to "monitoring".

  • For a list file, the character encoding and line feed code are SJIS and CR+LF for Windows manager, and UTF-8 and LF for UNIX manager.

  • Up to 1000 categories can be described in a list file. Operation is undefined if more categories are described over the maximum.

  • If any category ID that does not exist in the list file is included, it changes the monitoring status for the existing category IDs and returns 41 as the return value.

[References]

About the provided commands

Suspend message monitoring

BusinessCmd HOLD


BusinessCmd LIST

This command shows the list of category groups and categories.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\BusinessCmd.exe

Linux Manager

<Manager's installation directory>/Manager/bin/BusinessCmd.exe

[Specifying procedure]

BusinessCmd.exe LIST [<GroupID>] [-S]

[Description]

Display the list of category groups and categories under the category group of the specified as the argument <GroupID>.

When the arguments was invalid, help message will be displayed.

[Argument]

GroupID

Specifies the ID of a group of category group The group ID can be referenced from the Property view of the monitoring window (see the red box in the below diagram).

All the category groups and categories under the specified category group will be targets for the command.

If "00000000" is specified as the group ID or the group ID is omitted, all category groups and categories will be targets for the command.

-S

When this option is specified, the category monitoring state (ACTIVE/HOLD) is displayed in the output category list.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1

[Display format]

 | Display Format
Category groups | G "<group name>" [<group ID>]
Category | "<category name>" [<category ID>]
Category (when -S is specified) | "<category name>" [<category ID>] [ACTIVE | HOLD]

Each category group and category is shown in the above format.

The root node (business view node) is shown as "*" (an asterisk).

[e.g.]

C:\Program Files\NEC\UMF\Operations\Manager\bin>BusinessCmd.exe LIST *

|-- G "GroupA" [4bac6d52]

| |-- G "GroupA1" [4bac6ddf]

| | |-- "CategoryA11" [4bac6df0]

| | |-- "CategoryA12" [4bac6df8]

| | |-- "CategoryA13" [4bac6dfe]

| |

| |-- G "GroupA2" [4bac6deb]

|

|-- G "GroupB" [4bac6d84]

| |-- "CategoryB1" [4bac6a24]

|

|-- "CategoryC" [4bac6dbd]

C:\Program Files\NEC\UMF\Operations\Manager\bin>BusinessCmd.exe LIST -S *

|-- G "GroupA" [4bac6d52]

| |-- G "GroupA1" [4bac6ddf]

| | |-- "CategoryA11" [4bac6df0] [ACTIVE]

| | |-- "CategoryA12" [4bac6df8] [ACTIVE]

| | |-- "CategoryA13" [4bac6dfe] [HOLD]

| |

| |-- G "GroupA2" [4bac6deb]

|

|-- G "GroupB" [4bac6d84]

| |-- "CategoryB1" [4bac6a24] [HOLD]

|

|-- "CategoryC" [4bac6dbd] [ACTIVE]

[Note]

  • Even if you specify nonexistent ID or an ID other than one for a category group as <GroupID> argument, you won't any error messages.

  • The shown order might differ from the order of display in the monitoring window. The order of output for the command is the order of creation of category groups/categories. The order of display on the monitoring window is the order of category group/category name.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Define the category

Defining the category group


BusinessCmd CFM

This command is used to treat messages as those that have been confirmed.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\BusinessCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/BusinessCmd.exe

[Specifying procedure]

BusinessCmd.exe CFM <CategoryID> {-A | -D <Date> | -P [<Hour>]}

[Description]

The confirmation status of the target messages in the category specified by the <Category ID> parameter will be set to "confirmed" according to the contents of the -A, -D, and -P options.

These options cannot be specified simultaneously.

If any argument is omitted or invalid, a help window will be displayed.

[Argument]

CategoryID

Specify the ID of the category as the operation target. The category ID can be referenced in the Property View (part surrounded by a red box in the following figure) or with the BusinessCmd LIST command.

When "00000000" is specified as the category ID, all the categories in Business View will be the operation targets.

-A

Used to treat all the messages in the specified category as those that have been confirmed.

-D <Date>

The confirmation status of all messages in the specified category received on the date specified by the <Date> parameter will be set to "confirmed".

  • Date
    Specify a desired date in the form of YYYY/MM/DD.

-P [Hour]

The confirmation status of all messages in the specified category received from the specified number of hours ago (minutes and seconds are truncated) up to the current time will be set to "confirmed".
The status of a message cannot be changed back to "unconfirmed" once the status has been changed to "confirmed" by using the -P option.

  • Hour
    Specify the time from 1 to 99 in hours.
    If the time is omitted, the confirmation status of all messages in the past including those of the current date and time will be set to "confirmed".

[Example]

BusinessCmd.exe CFM 48e45001 -A

Treats all the messages in the category whose category ID is 48e45001 as those that have been confirmed.

BusinessCmd.exe CFM 48e45001 -D 2012/03/06

Treats all the messages that were generated on March 6 in 2012 in the category whose category ID is 48e45001, as those that have been confirmed.

BusinessCmd.exe CFM 48e45001 -P 1

Treats all the past messages as those that have been confirmed, in the category whose category ID is 48e45001, which belong to the current time (at 1 o'clock 2 minutes 30 seconds on March 6 in 2012, in this example) to the time (at 0 o'clock 0 minutes 0 seconds on March 6 in 2012) obtained, omitting minutes and seconds, from going back to the past by the specified time (1 hour).

[Return value]

Upon successful execution, "0" is returned.

Upon unsuccessful execution, "1" is returned.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Confirm the message (hidden)


MessageViewCmd CSV

This command is used to output message history data to the file. The message history data on the Manager has been collected through the message monitoring function.

  • The command exists in the machine where the manager function has been installed.

  • For the UNIX manager (HP-UX, Linux), execute with an account that has root authority.

[Path]

Windows Manager

C:\Program Files\NEC\UMF\Operations\Manager\bin\MessageViewCmd.exe

UNIX Manager (HP-UX, Linux)

/opt/UMF/Operations/Manager/bin/MessageViewCmd.exe

[Specifying procedure]

MessageViewCmd.exe CSV [HostName] <StartDate> [EndDate] <CSV File Name> [-U [-B]] [-T]

[Description]

Output history data specified as <CounterID>, in CSV format files, with the specified date as <Date > onto the agent.

If you specify HostName argument, massages whose node name matches to the specified host name will be output.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

HostName | Specify hostname. If you don't specify HostName argument, the command will be executed on all nodes.
StartDate | Specify start date in the YYYY/MM/DD format.
EndDate | Specify end date in the YYYY/MM/DD format. If you don't specify EndDate argument, messages for the date specified in StartDate will be output.
CSV File Name | Specifies a bus or file name. If the specified file name already exists, the command terminates with an error without overwriting the existing file.
-U | Specify this option to use Unicode for output of data on Windows (by default, SJIS is used for output. Output on Unix makes this option ineffective. (On UNIX, UTF-8 is used)
-B | Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows. (by default, BOM is given) If the -U option is not specified or data is output on Unix, this option is ineffective.
-T | Specify this option to use TAB as a CSV delimiter (by default, comma is used).

[Example]

Outputs to C:\foo\bar.csv on the manager the history data of messages dated February 14, 2011 that occurred on a node whose node name Host 1.

MessageViewCmd.exe CSV Host1 2011/02/14 C:\foo\bar.csv

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

Return value | Description
0 | The command succeeded
1 | An illegal argument was specified.
2 | A process failed.
3 | More than one command was started.

[Note]

  • If the specified time period is long or a large amount of messages have been stored, it may take a while to complete the command.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

  • Some characters contained in a message are replaced as follows when they are output.

    • Double quotation mark (") --> Single quotation mark (')

    • Line feed code (\r) --> One-byte space

    • Line feed code (\n) --> One-byte space


PerfImportCmd

A command used to import the performance data from a file.

The imported performance data can be used to be output to a multi-graph view and to a report.

  • The command resides in the machine to which the manager function has been installed.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\PerfImportCmd.exe

[Specifying procedure]

PerfImportCmd.exe <ImportFileName> [-C <CharacterCode>]

[Description]

Imports the performance data from the file specified in the argument <ImportFileName> or from all the files directly under the directory specified in the argument <ImportFileName>, on the manager.

If the argument <ImportFileName> is omitted or invalid, a help window will be displayed.

If you specify a directory under which more than one file exists in the <ImportFileName> argument, and the import process fails before all the files have been processed, the process will be resumed from the file next to the one where it failed.

When you cancel the import process (by pressing Ctrl+C keys), the import process is aborted when it has been canceled. The performance data that has been imported before the import process has been canceled has not been removed.

[Argument]

ImportFileName

Using the full path, specify the file name you want to import or the directory name the files under which you want to import on the manager.

If the file name or directory name includes a space character, you must specify it by enclosing the character with a double-quotation mark.

When a directory name is specified, all the files directly under the directory will be imported. The files under its subdirectories will not be imported.

The specifiable performance data files are limited to those in formats output with the following commands:

  • PerformanceCmd CSV

  • PerformanceCmd MCSV

However, the operation does not support tab delimited with the –T option specified.

-C

You can select a desired character code for the file(s) to be imported by specifying this option.

When this option is omitted, "Japanese(Shift-JIS)" will be applied.

If this option is specified, and the <CharacterCode> is not specified, it will cause a command error.

CharacterCode

Specify the character code for a file(s) to be imported with one of the following numbers:

3: | Japanese(Shift-JIS)
4: | Unicode

If you specify Unicode, files in UTF-16LE (Little Endian) format will be imported.

[Return value]

Return value | Description
0 | The command succeeded
1 | What is specified in <CharacterCode> is illegal. A help window will be displayed.
2 | The file or directory to be imported does not exist. A help window will be displayed.
3 | There are no files to be imported under the directory. A help window will be displayed.
90 | Failed in connection to the manager.
100 | Failed in import processing.

[Usage example]

PerfImportCmd.exe C:\tmp

Imports the performance data from the files under the directory "C:\tmp".

PerfImportCmd.exe C:\tmp\Import.csv

Imports the performance data from the file "C:\tmp\Import.csv".

PerfImportCmd.exe C:\tmp -C 4

Imports files in Unicode format under the directory "C:\tmp".

[Execution example]

The following shows an overview of an example where the following files are specified as those to be imported.

  • fwperf_HostA_20120209.csv: Normal file to be imported

  • fwperf_HostB_20120209.csv: File that includes illegal performance data

  • fwperf_HostC_20120209.csv: File whose format is illegal

  • fwperf_HostD_20120209.csv: Cancel the import of this file half way through.

> PerfImportCmd.exe C:\tmp

......

(1/4) fwperf_HostA_20120209.csv : Success import.

..

(2/4) fwperf_HostB_20120209.csv : Error import [Code=0x01234567].

..

(3/4) fwperf_HostC_20120209.csv : Illegal file.

.....

(4/4) fwperf_HostD_20120209.csv : Cancel import.

>

Every time one file has been imported, a message in the following format will be output:

(<Number of processed files>/<Number of all files to be processed>) <File name>: <Result message>

You can confirm the progress of the import process by looking at "(<Number of processed files>/<Number of all files to be processed>)" output at the beginning of the message.

[Note]

The performance data imported with this command cannot be referenced from a monitoring window or graph data in the performance monitoring function on the target agent.

[Reference]

PerformanceCmd CSV

PerformanceCmd MCSV

Performance monitoring function


PerfStatisticsCmd CREATE

This command is used to regenerate statistical data for a counter to be displayed in Multi-graph View.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\PerfStatisticsCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/PerfStatisticsCmd.exe

[Specifying procedure]

PerfStatisticsCmd.exe CREATE [-W] <CounterName> <StartDate> <StartTime> <EndDate> <EndTime>

PerfStatisticsCmd.exe CREATE [-W] <CounterName> <StartDays> <EndDays>

[Description]

It regenerates statistical data for the period from the time specified in <StartDate> and <StartTime> to the one specified in <EndDate> and <EndTime> for the counter specified in the argument <CounterName>.

A relative date based on the current date can also be specified by using <StartDays> to <EndDays> for the period.

If a parameter is omitted or is invalid, the help is displayed.

[Argument]

-W | Specifying this option makes it possible to specify a wildcard “*” for <CounterName>.
CounterName | Specify the counter name of the counter to re-generate. The counter name can be viewed in the [Counter Detailed Setting] dialog box (enclosed in a red frame in the figure below). Be sure to enclose the counter name in double quotation marks) (“”). Specifying “-W” option makes it possible to specify a wildcard “*”. Example: "System|hostA|counter01" "System|*|counter01"
StartDate | Specify a desired start date in the form of YYYY/MM/DD.
StartTime | Specify a desired start time in the form of HH:MM.
EndDate | Specify a desired end date in the form of YYYY/MM/DD.
EndTime | Specify a desired end time in the form of HH:MM.
StartDays | Specify the starting date as a relative date.(*)
EndDays | Specify the ending date as a relative date.(*)

* Relative date specification: Specify the number of days before the current date by using a positive integer.

For example, when the current date is 2012/01/20, the statistical data is re-generated as shown below.

If StartDays = 5 and EndDays = 1, the target period is 2012/01/15 00:00 to 2012/01/19 23:59.

If StartDays = 1 and EndDays = 0, the target period is 2012/01/19 00:00 to the current time on 2012/01/20.

[Return value]

Return value | Description
0 | Command successfully completed
1 | An illegal argument was specified. A help window will be displayed.
3 | Failed in communicating with the manager. Check the status of communication with the manager.
4 | The invalid period is specified.
6 | The specified counter doesn't exist.
7 | Failed to regenerate statistical data.

[Note]

  • If the specified period does not have performance data, the command will fail to generate the data.

  • If the specified period has already had performance data, the existing data will be removed and new performance data will be generated.

  • If you specify a long period of time, it may take some time to complete the command.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


PerfStatisticsCmd INIT

This command is used to delete all the statistical data for a counter to be displayed in Multi-graph View.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\PerfStatisticsCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/PerfStatisticsCmd.exe

[Specifying procedure]

PerfStatisticsCmd.exe INIT [<CounterName>]

[Description]

It deletes all the statistical data for the counter specified in the argument <CounterName>.

When <CounterName> is omitted, the statistical data for all the counters will be deleted.

If the argument is omitted or invalid, a help window will be displayed.

[Argument]

CounterName

Specify the counter name of a desired counter to be deleted. The counter name can be referenced in the [Counter Detailed Setting] window (surrounded with a red line in the figure shown below). When specify the counter name, ensure that you enclose it with a double quotation (").

Example:

"System|hostA|counter01"

[Return value]

Return value | Description
0 | Command successfully completed
1 | An illegal argument was specified. A help window will be displayed.
2 | Failed in an initialization process.
3 | Failed in communicating with the manager. Check the status of communication with the manager.
6 | The specified counter doesn't exist.

[Note]

  • Note that you cannot restore deleted performance data.

  • If you want to remove statistical data with a date you specify, use the SWAP option.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands

PerfStatisticsCmd SWAP


PerfStatisticsCmd SWAP

This command is used when you want to specify a date and delete performance data whose generation date is equal to or earlier than the date, for the counter to be displayed in Multi-graph View.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\PerfStatisticsCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/PerfStatisticsCmd.exe

[Specifying procedure]

PerfStatisticsCmd.exe SWAP <Date> [<CounterName>]

[Description]

The statistical data of the counter specified by the <CounterName> parameter before the date specified by the <Date> parameter will be deleted.

The statistical data of the specified date will also be deleted.

When <CounterName> is omitted, the statistical data for all the counters will be deleted.

If the argument is omitted or invalid, a help window will be displayed.

[Argument]

Date

Specify the date whose statistical data will be deleted.

There are two methods to specify the date, as shown below.

Absolute date specification

Directly specify the date in the YYYY/MM/DD format.

Relative date specification

Specify the number of days before the current date by using a positive integer.

For example, if “5” is specified for 2012/01/20, the statistical data on and before 2012/01/15 will be deleted.

If “0” is specified, the statistical data on and before 2012/01/20 (the date the command was entered) will be deleted.

CounterName

Specify the counter name of a desired counter to be deleted. The counter name can be referenced in the [Counter Detailed Setting] window (surrounded with a red line in the figure shown below). When specify the counter name, ensure that you enclose it with a double quotation (").

Example:

"System|hostA|counter01"

[Return value]

Return value | Description
0 | Command successfully completed
1 | An illegal argument was specified. A help window will be displayed.
3 | Failed in communicating with the manager. Check the status of communication with the manager.
4 | The invalid period is specified.
5 | Failed to delete statistical data.
6 | The specified counter doesn't exist.

[Note]

  • Note that you cannot restore deleted performance data.

  • If you want to delete all the statistical data, use the INIT option.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands

PerfStatisticsCmd INIT


PerfStatisticsCmd CSV

This is a command used to output the statistical data of the counter displayed in the multi graph view to a CSV file.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\PerfStatisticsCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/PerfStatisticsCmd.exe

[Specifying procedure]

PerfStatisticsCmd.exe CSV [-W] <CounterName> <StartDate> <StartTime> <EndDate> <EndTime> <Interval> <OutputDirectory> [-N <FileName>] [-U [-B]] [-T]

PerfStatisticsCmd.exe CSV [-W] <CounterName> <StartDays> <EndDays> <Interval> <OutputDirectory> [-N <FileName>] [-U [-B]] [-T]

[Description]

Outputs the statistical data of the counter, period, and statistical interval specified by parameters to a CSV file in the specified directory. A relative date based on the current date can also be specified by using <StartDays> to <EndDays> for the period.

If statistical data matching the specified statistical interval does not exist, data from the nearest interval is output based on the following rules.

  1. Statistical data which has a statistical interval smaller than the specified value is output.

  2. If (1) does not exist, the performance data will be output.

  3. If both (1) and (2) do not exist, statistical data which has a statistical interval larger than the specified value will be output.

  4. If none of the above exist, the counter in question will be skipped.

If a file with the same name exists in the output destination directory, the counter in question will also be skipped.

The skipped counter name is displayed on the standard output when the command ends.

If the argument is omitted or invalid, a help window will be displayed.

Note that the counters that failed for the CSV output are displayed in the "Skipped Counter Name List" of the standard output.

Skipped Counter Name List:

System|Agent01|LogicalDisk|E:|% Used Ex

System|Agent01|LogicalDisk|F:|% Used Ex

System|Agent01|LogicalDisk|X:|% Used Ex

The causes of the fail for the CSV output are assumed as below:

  • The specified counter does not exist.

  • The specified counter exists; however, the data of the specified period does not exist.

  • The file of an identical name of the output file has already existed in the output destination directory.

  • The disk space of the output destination is insufficient.

  • There is no right to write for the output destination directory.

[Argument]

-W

Specifying this option makes it possible to specify a wildcard “*” for <CounterName>.

CounterName

Specify the counter name of the counter to be output to a CSV file.The counter name can be viewed in the [Counter Detailed Setting] dialog box (enclosed in a red frame in the figure below). Be sure to enclose the counter name in double quotation marks) (“”). Specifying “-W” option makes it possible to specify a wildcard “*

Example:

"System|hostA|counter01"

"System|*|counter01"

StartDate

Specify a desired start date in the form of YYYY/MM/DD.

StartTime

Specify a desired start time in the form of HH:MM.

EndDate

Specify a desired end date in the form of YYYY/MM/DD.

EndTime

Specify a desired end time in the form of HH:MM.

StartDays

Specify the starting date as a relative date.(*)

EndDays

Specify the ending date as a relative date.(*)

Interval

Specify the statistical interval of the statistical data to be output to a CSV file. If “0” is specified, the performance data is output.

A suffix (s/m/h/d) can be specified for the statistical interval. If a suffix is not specified, the value is recognized as being specified by seconds.

Example:

Specified by seconds: 600s

Specified by minutes: 30m

Specified by hours: 12h

Specified by days: 1d

OutputDirectory

Specify the directory name to which the CSV file is output using the full path. Be sure to enclose the directory name in double quotation marks) (“”). If the specified directory does not exist, an error occurs.

In addition, do not enter the characters of path delimiter (for example, \, /) at the end of the directory name. An error occurs and the CSV output is terminated when the characters of the path delimiter are entered.

-N

When specifying the file name, this option is specified.

FileName

Specify an output file name. Be sure to enclose the output file name in double quotation marks) (“”). If the output file name is not specified, the default file name is used.

For details about output file names, see [Output file name] below.

-U

Specify this option to use Unicode for output of data on Windows (by default, SJIS is used for output.

Output on Unix makes this option ineffective.

(On UNIX, UTF-8 is used)

-B

Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given).

If the -U option is not specified or data is output on Unix, this option is ineffective.

-T

Specify this option to use TAB as a CSV delimiter (by default, comma is used).

* Relative date specification: Specify the number of days before the current date by using a positive integer.

For example, when the current date is 2012/01/20, the statistical data is re-generated as shown below.

If StartDays = 5 and EndDays = 1, the target period is 2012/01/15 00:00 to 2012/01/19 23:59.

If StartDays = 1 and EndDays = 0, the target period is 2012/01/19 00:00 to the current time on 2012/01/20.

[Return value]

Return value | Description
0 | Command successfully completed
1 | An illegal argument was specified. A help window will be displayed.
3 | Failed in communicating with the manager. Check the status of communication with the manager.
4 | The invalid period is specified.
6 | The specified counter doesn't exist.
10 | Outputting the file failed.

%HostName% | Character string for the host name included in the counter name. Example: “hostA” if the counter name is as follows. System|hostA|object|instance|counter01
%CounterName% | Counter name (character string after the last delimiter “|”) Example: “counter01” if the counter name is as follows. System|hostA|object|instance|counter01
%InstanceName% | Character string between "%HostName%" and "%CounterName%". Example: “object_instance” if the counter name is as follows. System|hostA|object|instance|counter01
%StartDateTime% | Starting date and time Starting date and time specified for the command parameter (YYYYMMDDHHMM format)
%EndDateTime% | Ending date and time Ending date and time specified for the command parameter (YYYYMMDDHHMM format)
%Interval% | Statistical interval Statistical interval (seconds) specified for the command parameter
%CounterID% | Statistical counter ID Unique ID for each statistical counter (8 digits in hexadecimal)

When outputting the performance data of multiple counters by using a wildcard, files are generated for each counter. Specify a unique file name by using a replacement character string.

Specification example:

"Perf_%HostName%_%CounterName%_%Interval%.csv"

The default file name if the “-N” option is not specified is “perfdata_%CounterID%.csv”.

If characters that are not allowed to be used in a file name such as the counter name delimiter “|” are used, they are replaced with “_”.

[Contents of output file]

An example of the output file is shown below.

"PerfStatisticsCmd CSV(TimeZone:-540)"

"Host Name","HostA"

"Counter Name","Processor|0|% Processor Time"

"Data Type","average(sec)","600"

"Date","Time","Data"

"2009/08/17","09:00:00","1.19791698455810550"

"2009/08/17","09:10:00","2.03125000000000000"

"2009/08/17","09:20:00","0.52083301544189453"

* This is an example of the output of statistical data with a 600-second (10-minute) interval.

When outputting performance data, “raw data” is output for “Data Type”

[Note]

  • If the specified period is long or there are many target counters, the command may take a long time to execute..

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


AuditTrailCmd INIT

This command deletes all audit logs from categories.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\AuditTrailCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/AuditTrailCmd.exe

[Specifying Procedure]

AuditTrailCmd.exe INIT <CategoryID>

[Description]

Delete all audit logs of the specified category as the argument <CategoryID>.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

CategoryID

Specifies the ID of a category in which target message to be operated is saved.

Each category IDs are fixed as follows.

Application | :1
Security | :2
System | :3
Audit Log | :4

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted audit logs cannot be restored.

  • If you want to delete the audit logs with the dates before the specified date, so please use with the SWAP option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete an audit log within a category

AuditTrailCmd SWAP


AuditTrailCmd SWAP

This command deletes audit logs before the specified date from categories.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\AuditTrailCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/AuditTrailCmd.exe

[Specifying Procedure]

AuditTrailCmd.exe SWAP <CategoryID> <Date>

[Description]

Delete the audit logs before specified reception date as argument <Date> of the specified category as the argument <CategoryID>.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

CategoryID

Specifies the ID of a category in which target message to be operated is saved.

Each category IDs are fixed as follows.

Application | :1
Security | :2
System | :3
Audit Log | :4

Date

Specify date in the YYYY/MM/DD format.

[Example]

AuditTrailCmd.exe SWAP 3 2011/02/14

Delete the messages of the audit log in the System category received up to and including February 14, 2011.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted audit logs cannot be restored.

  • If you want to delete all audit logs, so please use with the INIT option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete an audit log within a category

AuditTrailCmd INIT


AuditTrailCmd CSV

This command outputs messages from categories to files.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\AuditTrailCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/AuditTrailCmd.exe

[Specifying Procedure]

AuditTrailCmd.exe CSV <CategoryID> <Date> <CSV File Name> [-U [-B]] [-T]

[Description]

Output messages specified as <CategoryID>, in CSV format files, with the specified reception date as <Date> onto the manager.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

CategoryID

Specifies the ID of a category in which target message to be operated is saved.

Each category IDs are fixed as follows.

Application | :1
Security | :2
System | :3
Audit Log | :4

Date

Specify date in the YYYY/MM/DD format.

CSV File Name

Specify the file name by using an absolute path. If the specified directory does not exist, the command will not be executed.

-U

Specify this option to use Unicode (Little-Endian) for output of data on Windows (by default, SJIS is used for output).

Output on Unix makes this option ineffective.

-B

Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given).

If the -U option is not specified or data is output on Unix, this option is ineffective.

-T

Specify this option to use TAB as a CSV delimiter (by default, comma is used).

[Example]

AuditTrailCmd.exe CSV 3 2011/02/14 C:\foo\bar.csv

A message on February 14th in 2011 is output to C:\foo\bar.csv on the manager targeted for the audit logs in the system category.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • Some characters contained in a message are replaced when they are output as shown below.

    • Double quotation mark (") --> Single quotation mark (')

    • Line feed code (\r) --> One-byte space

    • Line feed code (\n) --> One-byte space

    • Line feed code (\r\n) --> One-byte space

[References]

About the provided commands

Output an audit log to a file


RecoveryCmd INIT

This command deletes all recovery histories.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\RecoveryCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/RecoveryCmd.exe

[Specifying procedure]

RecoveryCmd.exe INIT

[Description]

Delete all recovery histories.

[Argument]

None.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted recovery histories cannot be restored.

  • If you want to delete the histories with the dates before the specified date, so please use with the SWAP option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete the recovery histories

RecoveryCmd SWAP


RecoveryCmd SWAP

This command deletes recovery histories before the specified date.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\RecoveryCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/RecoveryCmd.exe

[Specifying procedure]

RecoveryCmd.exe SWAP <Date>

[Description]

Delete the recovery histories before specified occurrence date as argument <Date>. A specified date itself is also an deletion target.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

Date

Specify date in the YYYY/MM/DD format.

[Example]

RecoveryCmd.exe SWAP 2011/02/14

Recovery history data up to and including the data of February 14, 2011 will be deleted.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted recovery histories cannot be restored.

  • If you want to delete all histories, so please use with the INIT option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete the recovery histories

RecoveryCmd INIT


ReportCmd INIT

This command deletes all report histories.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ReportCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/ReportCmd.exe

[Specifying procedure]

ReportCmd.exe INIT

[Description]

Delete all report histories.

[Argument]

None.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted report histories cannot be restored.

  • If you want to delete the histories with the dates before the specified date, so please use with the SWAP option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete the report histories

ReportCmd SWAP


ReportCmd SWAP

This command deletes report histories before the specified date.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ReportCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/ReportCmd.exe

[Specifying procedure]

ReportCmd.exe SWAP <Date>

[Description]

Delete the report histories before specified report date as argument <Date>. A specified date itself is also an deletion target.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

Date

Specify date in the YYYY/MM/DD format.

[Example]

ReportCmd.exe SWAP 2011/02/14

Report history data up to and including the data of February 14, 2011 will be deleted.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted report histories cannot be restored.

  • If you want to delete all histories, so please use with the INIT option.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete the report histories

ReportCmd INIT


LicenseCmd ADD

This command adds a license key.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\LicenseCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/LicenseCmd.exe

[Specifying procedure]

LicenseCmd.exe ADD <Product Code> <License Key>

[Description]

Enter the product model number for the <Product Code> argument and the license key for the <License Key> argument. If the entered license key is correct, the code word application code is displayed.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

Product Code | Specify the product model number for which to register a license.
License Key | Specify the license key to register.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • This command can only be executed while the manager is stopped.

  • While the manager is running, add license keys on the monitoring window.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Register the code word

LicenseCmd REGISTER

Confirm the number of licenses

LicenseCmd LIST


LicenseCmd DELETE

This command deletes a license key.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\LicenseCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/LicenseCmd.exe

[Specifying procedure]

LicenseCmd.exe DELETE <License Key>

[Description]

Enter the license key to delete for the <License Key> argument.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

License Key

Specify the license key to delete.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • This command can only be executed while the manager is stopped.

  • While the manager is running, add license keys on the monitoring window.

  • A trial license cannot be deleted by using this command. Delete a trial license from the monitoring view.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Register the code word

Confirm the number of licenses

LicenseCmd LIST


LicenseCmd LIST

This command shows the list of registered licenses.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\LicenseCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/LicenseCmd.exe

[Specifying procedure]

LicenseCmd.exe LIST [-R]

[Description]

Display the list of registered licenses.

[Argument]

-R

Specify this option to display only licenses for which the code word is not registered.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Display format]

ProductCode | : <product modelnumber>
LicenseKey | : <license key>
RequestCode | : <application code>
Codeword | : <code word>

For the trial version license, "Trial License Key" is displayed as the license key and "Trial Version" is displayed as the request code.

[Note]

  • This command can only be executed while the manager is stopped.

  • While the manager is running, add license keys on the monitoring window.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Add the new license key

LicenseCmd ADD

Register the code word

LicenseCmd REGISTER


LicenseCmd REGISTER

This command registers a code word.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\LicenseCmd.exe

UNIX Manager

<Manager's installation directory>/Manager/bin/LicenseCmd.exe

[Specifying procedure]

LicenseCmd.exe REGISTER <License Key> <Code word>

[Description]

Enter the license key for the <License Key> argument and the code word for the <Code word

> argument.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

License Key | Specify a registered license key.
Code word | Specify a retrieved code word.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • This command can only be executed while the manager is stopped.

  • While the manager is running, add license keys on the monitoring window.

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Add the new license key

LicenseCmd ADD

Confirm the number of licenses

LicenseCmd LIST


EventCorrelationCmd CSV

This command outputs history data to files.

  • The command exists in the machine where the manager function has been installed)

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\EventCorrelationCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/EventCorrelationCmd.exe

[Specifying procedure]

EventCorrelationCmd.exe CSV [<Date>] [<CSV File Name>] [-U [-B] [-T]]

[Description]

Output the log information of the occurrence date specified with the <Date> parameter to a file on the manager in the CSV format.

If the argument is omitted, the data of the day before will be output to the default file. If the argument is incorrect, Help will appear.

[Argument]

Date | Specify date in the YYYY/MM/DD format.
CSV File Name | Specifies a path or file name. Specifying a nonexistent directory ignores the command. Default directory:Current directory Default directory:EventCorrelation<Date>.csv
-U | When you specify this option, files will be output in Unicode. (By default, files will be output in SJIS.) This option is disabled when outputting files on Unix.
-B | When you specify this option and output files in Unicode with the -U option on Windows, BOM (Byte Order Mark) will not be attached to output files. (By default, BOM will be attached.) This option is disabled when outputting files on Unix or if the -U option is not specified.
-T | When you specify this option, TAB will be used as a delimiting character for CSV files. (By default, a comma will be used.)

[Example of use]

Output the event correlation log information of February 14, 2011 to C:\foo\bar.csv on the manager.

EventCorrelationCmd.exe CSV 2011/02/14 C:\foo\bar.csv

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


EventCorrelationCmd SU

This command is used to check the syntax of the hierarchy definition file and the rule definition file, and to convert them to the object file.

  • The command exists in the machine where the manager function has been installed)

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\EventCorrelationCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/EventCorrelationCmd.exe

[Specifying procedure]

EventCorrelationCmd.exe SU <SourceFile> [ObjectFile]

[Description]

This command is used to check the syntax of the hierarchy definition file and the rule definition file that were specified by the argument <SourceFile>, and to convert them into the object files on the manager. The object file name is specified by an absolute path by using the argument [ObjectFile].

If the requisite argument is omitted or is invalid, the usage is displayed. If an object file already exists in the path specified by <ObjectFile>, it is overwritten.

[Argument]

SourceFile

Specifies the name of the hierarchy definition file to be converted by using an absolute path.

The file name cannot be omitted.

Specifies the file output by EventCorrelationCmd EXPORT or the file created by the user.

(For details about the hierarchy definition file or rule definition file, see "EventCorrelationCmdSgImport.pdf" provided with MasterScope Media.)

ObjectFile

Specifies the name of the object file that is output by converting the hierarchy definition file by using an absolute path.

If it is omitted, an object file with the hierarchy definition file and the "sgo" extension is output in the directory identical to the hierarchy definition file.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

Return value

Description

1

Error in specifying an argument

Specify the correct argument according to the displayed Help.

5

Failed to write into a file.

Writing the file of the output target failed. Check the disc free space of the output destination or check whether the file attribute is read only.

Contact the developer with the contents of "DetailCode: <Error detail code>" attached that is a standard output when problems cannot be solved.

6

<ObjectFile> is same as <SourceFile>.

7

The specified file does not exist.

Specify an existing file by an argument.

8

The definition file format is incorrect.

Check the message description and the definition file, and then remove the definition error.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

  • When the path for the argument <ObjectFile> that is specified as arguments is the path including spaces, for example C: Program Files, it is required to enclose the path with double quotations ("").

[Supplementary]

  • The manager is stopped when the command is executed.

  • When the import and export commands are executed at the same time, or when the monitoring screen in the definition mode exists when the command is executed

  • When a file other than the object file that is created by the "EventCorrelationCmd SU" command is specified for the argument <ObjectFile>

[References]

About the provided commands


EventCorrelationCmd IMPORT

This command is used to import the object files that were converted by the "EventCorrelationCmd SU" command, to the event correlation view.

  • The command exists in the machine where the manager function has been installed)

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\EventCorrelationCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/EventCorrelationCmd.exe

[Specifying procedure]

EventCorrelationCmd.exe IMPORT [-N NodeID] <ObjectFile>

[Description]

This command is used to import the object files that were specified by the argument <ObjectFile> to the event correlation view.

If a parameter is invalid, the usage is displayed.

[Argument]

-N NodeID

Specify the node ID of the group or rule to be imported when you want to update all of the rule definitions or rule (s) under the specified group under the event correlation.

The node ID is the one which is displayed as the group ID or rule ID of the property view on the right of the screen when the group or rule node in the event correlation view is selected.

Import fails when the node ID of the node does not exist under the event correlation view.

When "00000000" is specified for the node ID or when this parameter is omitted, all of the groups and rules under the event correlation view are the target to be imported.

ObjectFile

Specifies the object file name that was converted by the "EventCorrelationCmd SU" command by using an absolute path.

The file name cannot be omitted.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

Return value | Description
1 | Error in specifying an argument Specify the correct argument according to the displayed Help.
3 | Fails in establishing communication with the manager Check that the manager is started up, and execute the command under the state where the manager is started up.
4 | Failed in acquiring the definition mode Check whether the definition mode is acquired in the monitoring terminal. In addition, check whether there is no import/export currently being executed.
7 | The specified file does not exist. Specify an existing file by an argument.
9 | The specified node ID does not exist. Specify an existing node ID by an argument.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

  • When the path for the arguments <SourceFile> and <ObjectFile> that are specified as arguments is the path including spaces, for example C: Program Files, it is required to enclose the path with double quotations ("").

[References]

About the provided commands


EventCorrelationCmd EXPORT

The command that is used to export the settings of the event correlation view that was set on the monitoring screen, to the hierarchy definition file and the rule definition file. The hierarchy definition file and category definition file are exported to the specified directory as "Hierarchy.txt" and "Rule_<Rule ID>.txt", respectively.

  • The command exists in the machine where the manager function has been installed)

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\EventCorrelationCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/EventCorrelationCmd.exe

[Specifying procedure]

EventCorrelationCmd.exe IMPORT [-N NodeID] <ObjectFile>

[Description]

This command is used to export the currently set event correlation view setting to the directory that is specified for the argument <OutPutFile Path>, to the hierarchy definition file (Hierarchy.txt), and to the rule definition file (Rule_<Rule ID>.txt).

When the argument <NodeID> is specified, the hierarchy definition file is exported to the "Hierarchy_<NodeID>.txt."

If a parameter is invalid, the usage is displayed. If the hierarchy definition file and rule definition file already exist in the path specified by <OutPutFile Path>, they are overwritten.

[Argument]

-N NodeID

Specify the node ID of the group or rule to be exported when you want to export all of the rule definitions or the specified rule definition under the specified group under the event correlation view.

The node ID is the one which is displayed as the group ID or rule ID of the property view on the right of the screen when the group or rule node in the event correlation view is selected on the monitoring screen.

Export fails when the node ID of the node does not exist under the event correlation view.

When "00000000" is specified for the node ID or when the node ID is omitted, all of the groups and rules under the event correlation view are the target to be exported.

When "00000000" is specified for the node ID, the hierarchy definition file is "Hierarchy.txt" as in the same manner as when the node ID is omitted.

OutPutFile Path

Specify the directory to which the hierarchy definition file and rule definition file are exported by using the absolute path. Characters that number 200 or more cannot be specified for the path length.

The file name cannot be omitted.

(For details about the hierarchy definition file or rule definition file, see "EventCorrelationCmdSgImport.pdf" provided with MasterScope Media.)

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

Return value

Description

1

Error in specifying an argument

Specify the correct argument according to the displayed Help.

3

Fails in establishing communication with the manager

Check that the manager is started up, and execute the command under the state where the manager is started up.

4

Failed in acquiring the definition mode

Check whether the definition mode is acquired in the monitoring terminal. In addition, check whether there is no import/export currently being executed.

5

Failed to write into a file.

Writing the file of the output target failed. Check the disc free space of the output destination or check whether the file attribute is read only.

Contact the developer with the contents of "DetailCode: <Error detail code>" attached that is a standard output when problems cannot be solved.

9

The specified node ID does not exist.

Specify an existing node ID by an argument.

12

The character string length of the directory specified for <OutputFile Path> is too long.

Specify a path whose length is less than 200 characters.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

  • When the path for the arguments <SourceFile> and <ObjectFile> that are specified as arguments is the path including spaces, for example C: Program Files, it is required to enclose the path with double quotations ("").

[References]

About the provided commands


EventCorrelationCmd CNV

This command is used to convert the history of the event correlation that occurred before the upgrade, so that the history before the upgrade can be viewed when the version is upgraded from the version prior to version 4.2.0.

  • The command exists in the machine where the manager function has been installed)

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\EventCorrelationCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/EventCorrelationCmd.exe

[Specifying procedure]

EventCorrelationCmd.exe CNV

[Description]

This command is used to convert all the histories of the event correlation that occurred before the upgrade, so that all the histories before the upgrade can be viewed when the version is upgraded from the version prior to version 4.2.0.

[Argument]

None

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

Return value

Description

1

Error in specifying an argument

Specify the correct argument according to the displayed Help.

3

Fails in establishing communication with the manager

Check that the manager is started up, and execute the command under the state where the manager is started up.

5

Failed to write into a file.

Writing the file of the output target failed. Check the disc free space of the output destination or check whether the file attribute is read only.

Contact the developer with the contents of "DetailCode: <Error detail code>" attached that is a standard output when problems cannot be solved.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

  • Error occurs when the manager is stopped while the command is executed.

  • It takes much time to convert the histories when there are many histories before the upgrade.
    * Approx 1 minute is a rough indication as the time of conversion for 10,0000 histories.

  • The converted file can be displayed when searching for the history from the monitoring terminal.

  • Unconverted files remain when the manager is stopped during the command execution; however, they are converted when executing the command again after starting up the manager again.

[References]

About the provided commands


ScenarioCmd INIT

This is a command to remove all the histories of results derived from running scenario.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe INIT

[Description]

The command removes all the results derived from running scenarios.

If an illegal argument is specified, help information will be displayed.

[Argument]

None

[Return value]

When the command has been successfully completed, it will return 0 (zero).

When the command has failed, it will output a message to the standard output and return a value in the range of 1 to 5 depending on the content of the error.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
4 | Failed in deleting some of the executed results. If there is a scenario scheduled to be executed, delete the instance in question from the console.
5 | Cannot be removed because the scenario control service has not been started. Execute the command after registering the license of the scenario control service.

[Note]

  • Note that you cannot restore removed histories of executed results.

  • When an instance being executed exists, all instances except the instance being executed are deleted and the operation ends normally.

  • If you want to remove histories of executed results with a date specification, use the SWAP option.

  • When an instance entered according to the schedule exists, all instances except the instance entered according to the schedule are deleted and 4 is returned as the return value.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete history data

ScenarioCmd SWAP


ScenarioCmd SWAP

This is a command to remove histories of the executed results of scenarios with a date specification.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe SWAP <Date>

[Description]

In the histories of executed results of scenarios, those that are older than the specified date in the argument <Date> will be removed.

If the argument is omitted or invalid, help information will be displayed.

[Argument]

Date

Specify a date in the form of YYYY/MM/DD.

[Example of use]

Delete the scenario execution results from February 14, 2011 and earlier.

ScenarioCmd.exe SWAP 2011/02/14

[Return value]

When the command has been successfully completed, it will return 0 (zero).

When the command has failed, it will output a message to the standard output and return a value in the range of 1 to 5 depending on the content of the error.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
4 | Failed in deleting some of the executed results. If there is a scenario scheduled to be executed, delete the instance in question from the console.
5 | Cannot be removed because the scenario control service has not been started. Execute the command after registering the license of the scenario control service.

[Note]

  • Note that you cannot restore removed histories of executed results.

  • If you want to remove all the histories of executed results, use the INIT option.

  • When an instance being executed exists, all instances except the instance being executed are deleted and the operation ends normally.

  • When an instance entered according to the schedule exists among the instances prior to the specified date, all instances except the instance entered according to the schedule are deleted and 4 is returned as the return value.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete history data

ScenarioCmd INIT


ScenarioCmd LIST

A command to output a list of scenarios registered to the scenario control view.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe LIST [-G <GroupName>] [-F <FilePath> [-CL|-L]] [-A]

[Description]

Outputs a list of scenarios registered to the scenario control view.

If a parameter is omitted or is invalid, the help is displayed.

[Argument]

-G | A list of scenarios registered in the specified group can be output by specifying this parameter. A command error occurs if this parameter is specified but GroupName is not.
GroupName | Use up to 1,024 characters to specify a group name to output a list. If the group structure has multiple levels, specify the group name by combining group names from the top using "%". If including spaces in the file name, enclose the name in " (double quotation marks). Example: Group1%Group2
-F | A list of scenarios can be output to a file by specifying this parameter. A command error occurs if this parameter is specified but FilePath.
FilePath | Use a full path and specify a file name to which a list of scenarios is output. If including spaces in the file name, enclose the name in " (double quotation marks). The file is output in Unicode (UTF-16).
-CL | Specifies the line feed code, CR+LF upon file output by specifying this option. This option cannot be specified together with -L option at the same time. A command error occurs when the -F option is not specified. The line feed code is LF when the -CL or -L option is omitted.
-L | Specifies the line feed code, LF upon file output by specifying this option. This option cannot be specified together with -CL option at the same time. A command error occurs when the -F option is not specified. The line feed code is LF when the -CL or -L option is omitted.
-A | Only valid scenarios can be output to a list by specifying this parameter.

[List of scenarios]

A list of scenarios is output in the following format.

Group name\Group name\Scenario name=ScenarioID ExecutionTiming

Execution Timing (0: Invalid; 1: Manual Submit; 2: Scheduled Time; 3: Receive Message; 4: Change Operation Date)

The list is sorted in the Unicode character code order (alphabetical order) of the output scenarios.

The group name and scenario name are delimited with “\” (backslash in an English OS environment), and the scenario name and scenario ID are delimited with “=”.

[Return value]

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
5 | Scenario control service has not been started. Execute the command after registering the license of the scenario control service.
17 | The specified file is invalid. Specify a path to a location to which the file can be output, and then execute the command.
18 | There was no scenario found matching the specified conditions.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


ScenarioCmd STATUS

Checks the scenario status.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe STATUS <RequestID> [-F <FilePath>]

[Description]

Outputs the instance execution results of the specified scenario and the variable values of the used local object.

Outputs the progress rate of the instance if the specified instance is still being executed.

Outputs the value of the local object from when the scenario ended if the instance has already ended.

In this case, the progress rate is not displayed.

The progress rate is 0 regardless of the execution status if a scenario with a job date is specified.

If a parameter is omitted or is invalid, Help is displayed.

[Argument]

RequestID | Specify the request ID to identify the target instance. A request ID can be obtained when executing a scenario using ScenarioCmd EXEC and DATE.
-F | The obtained local object value can be output to the specified file by specifying this parameter. A command error occurs if this parameter is specified but FilePath is not.
FilePath | Use the full path and specify a file name to which the local object values from when the scenario ended are output. If you are including spaces in the file name, enclose the name in ““ (double quotation marks). The file is output in Unicode (UTF-16).

[Result Output]

Obtains the execution results for the instance with an instance ID 1, which was executed on 2011/07/29 with a scenario ID 4e321118.

If the instance already ended, the local object values are output to "C:\result.csv".

The command return value can be used to determine if the instance has already ended.

[Progress output]

The scenario progress rate is output in the following format.

(The progress rate is not output to a file when the -F parameter is specified.)

Progress=*%

[Result Output]

Local objects from when the scenario ended are output in the following format.

(If a line feed character string is included in the information, the information after the line feed character string will not be output.)

[Return value]

A message is output on failure, and the following values are returned depending on the error details.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
5 | Scenario control service has not been started. Execute the command after registering the license of the scenario control service.
12 | Specified instance or parts do not exist.

The following values are returned as command return values when the status checking succeeds.

Return value | Description
100 | The specified scenario is being executed.(*1)
101 | The specified scenario ended normally.(*2)
102 | The specified scenario ended abnormally.(*2)
103 | The specified scenario ended with a warning.(*2)
104 | The specified scenario was terminated.(*2)
105 | The specified scenario has not been executed.(*1)
106 | The specified scenario is queued.(*1)

*1: Output the scenario progress rate.

*2: Output the local object values when the scenario ends.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


ScenarioCmd EXEC

Command to run the specified scenario.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe EXEC <ScenarioID> [Comment]

ScenarioCmd.exe EXEC <ScenarioID> <Comment> [-W] [-F <FilePath> [-U | -U8]] [-S <Separator>]

ScenarioCmd.exe EXEC <ScenarioID> <Comment> [-W] [-D <LocalObject>]

ScenarioCmd.exe EXEC <ScenarioID> <Comment> <-W> [-F <FilePath> [-U | -U8]] <-O OutputFile [-CL|-L]> [-S <Separator>]

ScenarioCmd.exe EXEC <ScenarioID> <Comment> <-W> [-D <LocalObject>] <-O OutputFile [-CL|-L]> [-S <Separator>]

ScenarioCmd.exe EXEC -P <ScenarioPath> [Comment]

ScenarioCmd.exe EXEC -P <ScenarioPath> <Comment> [-W] [-F <FilePath> [-U | -U8]] [-S <Separator>]

ScenarioCmd.exe EXEC -P <ScenarioPath> <Comment> [-W] [-D <LocalObject>]

ScenarioCmd.exe EXEC -P <ScenarioPath> <Comment> <-W> [-F <FilePath> [-U | -U8]] <-O OutputFile [-CL|-L]> [-S <Separator>]

ScenarioCmd.exe EXEC -P <ScenarioPath> <Comment> <-W> [-D <LocalObject>] <-O OutputFile [-CL|-L]> [-S <Separator>]

[Description]

It executes the specified scenario.

The request ID is displayed when the command ends successfully.

If you omit an argument that must be specified or an invalid argument, a help window will be displayed.

[Argument]

ScenarioID

Specifies an ID of the scenario.
To view scenario IDs, open [Scenario Control View] and click [Property View] tab.

-P

It is able to specify the target scenario by using a group name and a scenario name when this option is specified.

A command error occurs when ScenarioPath is not specified.

ScenarioPath

Specifies the target scenario path by using up to 1024 characters.

Specify the path by using "%" to connect from the hierarchy directly under the [Scenario View] when the group configuration comprises a multiple hierarchy.

If including spaces in the group/scenario name, enclose the name in double quotation marks (“”).

Escape "%" by using "^" when the group name is the same as the environment variable.

If including double quotations (") in the group/scenario name, escape it by using yen ("\") mark.

Error occurs when exceeding the 1024 characters.

Example 1:

Group1%Group2%Scenario

Example 2: Escape of the environment variable

Group1^%Path^%Group2%Scenario

* When including a group named "Path" that is the same as the name of the environment variable

Example 3: Escape of "\"

Group\"1\"%Scenario

*When including a group named "Group"1""

-F

Specifying this option enables you to specify a file in which a value(s) for a local object(s) is defined.

If this option is specified, and FilePath is not specified, it will cause a command error.

will cause a command error. This option cannot be specified in conjunction with "-F".

FilePath

Specify a filename with its full pathname in which a value(s) for a local object(s) on the manager is defined. If the filename includes a blank, enclose it with a pair of double quotation marks.

Files in text format can be specified.

-U

Specify this option when the file in which a value(s) for a local object(s) is defined is based on the character code of Unicode (UTF-16) (default value is SJIS).

If this option is specified, and the "-F" option is not specified, it will cause a command error.

The file is read as Little Endian on Windows and as Big Endian on UNIX.

Perform loading with the following endian.

Windows: Little-Endian

Linux: Little-Endian

HP-UX: Big-Endian

-U8

Select this parameter when the character code of the file defining the local object value is UTF-8. (The default is SJIS.)

If this parameter is specified but the -F parameter is not, a command error occurs.

Windows reads using Little-Endian encoding, and UNIX reads using Big-Endian encoding.

-D

Specifying this option enables you to specify a local object value as an argument for a command. If LocalObject is not specified, it will cause a command error. This option cannot be specified in conjunction with "-F".

LocalObject

Specify a desired local object value in the form of VariableName=Value. If the comment includes a blank, enclose it with a pair of double quotation marks.

If you want to specify several local objects, specify them continuously after a "-D" option.

E.g.:

-D VariableName1=Value1 VariableName2=Value2...

Comment

Specify a desired comment to be displayed in the instance list, within a maximum of 256 characters.

If the comment includes a blank, enclose it with a pair of double quotation marks.

If -F, -D or -W is specified, the comment cannot be omitted. (Specify "" to leave blank.)

-W

If this parameter is specified, the command will end when the scenario ends.

If this parameter is specified, the request ID is not displayed and the value of the used local object is displayed.

-O

Specifying this option makes it possible to specify a file to which the local object information obtained as a scenario execution result is output.

If this option is specified but OutputFile is not, a command error occurs.

If this option is specified, the local object information of scenario execution result is not output as the standard output.

OutputFile

Specify the full path of the file to which the local object information on the manager machine is output. If including spaces in the file name, enclose the name in double quotation marks ("").

The file is output using Unicode (UTF-16) encoding.

The file specified as the output file is overwritten if it already exists.

File output is not performed if the local object is not defined in the scenario to be executed.

-S

Specifying this option makes it possible to specify the separator character string indicating the starting and ending positions of local object information that contains line feed characters as a value in the input/output file.

If this option is specified but Separator is not, a command error occurs.

This option is only available when the -F or -O option is specified.

Separator

Specifying this option makes it possible to specify the separator character string indicating the starting and ending positions of the local object when using local object information that contains line feed characters as a value in the files specified by using the -F or -O option.

The specified separator character string is used for both input and output files.

When the local object information does not contain line feed characters as a value, describe it in one line in the "Variable name=Value<Line feed>" format. (Do not use separators.)

When Separator specification is omitted, use "--------" as a separator.

If including spaces or special characters, enclose the name in double quotation marks ("").

If including a double quotation mark ("), escape it with \.

Example:

VariableName1=Value1

VariableName2=Value2

--------

VariableName3=Value3.1

Value3.2

Value3.3

--------

--------

VariableName4=Value4.1

Value4.2

Value4.3

--------

[Example of use]

Example 1:

ScenarioCmd.exe EXEC 4de344dc -D OS=Windows

Executes the scenario whose scenario ID is 4de344dc, by specifying the local object value from the command argument.

Gives the character string, "Windows" to the "OS" of the local object.

Example 2:

ScenarioCmd.exe EXEC 50ee3fb4 Comment –W –F C:\tmp\Input.txt –O C:\tmp\Output.txt

Executes the scenario whose scenario ID is 50ee3fb4, by specifying information on the local object that is defined in the "C:\tmp\Input.txt" file, and outputs the local object of the result to the "C:\tmp\Output.txt" file.

Example 3:

ScenarioCmd.exe EXEC 50ee3fb4 Comment –W –D VariableName1=Value1 –O C:\tmp\Output.txt

Executes the scenario whose scenario ID is "50ee3fb4", by specifying "Value1" for the local object, "VariableName1", and outputs the local object of the result to the "C:\tmp\Output.txt" file.

Example 4:

ScenarioCmd.exe EXEC –P Group%Scenario -D OS=Windows

Executes the scenario whose group name is Group and scenario name is Scenario by specifying the local object value from the command argument. Gives the character string, "Windows" to the "OS" of the local object.

[Input File]

If you want to specify a local object value by using the -F option, describe the variable name and its value in the following format in a file:

Text format:

VariableName1=Value1

VariableName2=Value2

--------

VariableName3=Value3.1

Value3.2

Value3.3

--------

--------

VariableName4=Value4.1

Value4.2

Value4.3

--------

...

Describe the local object information in the "Variable name=Value" format.

If including line feed characters as a value, insert the separator character string before and after "Variable name=Value".

(The separator character string can be changed using the "-S" option. If it is omitted, "--------" is used as the separator.)

Insert the separator character string at the beginning of a line. (If spaces or tabs are included, they are not treated as a separator character string.)

When describing local object information outside the separator character strings, describe it in one line in the "Variable name=Value" format.

Data up to the line feed is handled as the local object information and spaces and tabs included before and after the variable name and value are removed.

(When "VariableName1 = Value1" is specified, the variable name is "VariableName1" and the value is "Value1".)

To specify a blank value for the value when the local object is a character string type, omit the data after "=" (blank).

The value cannot be omitted when the local object is an integer type (if omitted, the scenario execution fails.) Specify a value from -2147483648 to 2147483647.

[Output File]

When the -O option is used, the local object information is output to the file specified in the following format.

The line feed code is CR+LF and the character encoding is Unicode (UTF-16, without BOM).

Text format:

VariableName1=Value1

VariableName2=Value2

--------

VariableName3=Value3.1

Value3.2

Value3.3

--------

--------

VariableName4=Value4.1

Value4.2

Value4.3

--------

...

Describe the local object information in the "Variable name=Value" format.

If including line feed characters as a value, insert separator character strings before and after "Variable name=Value".

(The separator character string can be changed using the "-S" option. If it is omitted, "--------" is used as the separator.)

[Result Output]

  • When the scenario end wait parameter (-W) is not specified
    Displays the request ID to the standard output.
    The format of the request ID is shown below

    ScenarioID(8digits) + InstanceDate(YYYYMMDD) + InstanceID(5digits)

The information is displayed in the following format in a default output.

RequestID=*********************

  • When the scenario end wait parameter is specified
    Displays the information of the local object when the scenario ends if the command ends successfully.
    (If a line feed character string is included in the information, the information after the line feed character will not be output.)

VariableName1=Value1

VariableName2=Value2

...

[Return value]

0 is returned on success when the scenario end wait parameter is not specified.

When the command has failed, it will output a message to the standard output and return a value in the range of 1 to 15 depending on the content of the error.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
5 | Scenario control service has not been started. Execute the command after registering the license of the scenario control service.
7 | Specified scenario ID does not exist.
9 | Specified scenario has not been enabled. Execute the command after enabling the scenario.
10 | Specified scenario is being operated by the monitoring terminal or a command, or being edited. Execute the command after the operation by the console or the current command is finished.
11 | An instance was not generated successfully. Instance generation fails if the specified scenario matches the following conditions: - The execution trigger is not manual execution. - The scenario does not fall within the valid period if a valid period is specified. - The number of executions exceeds the limit if a simultaneous execution limit is specified.
14 | Any scenario with the operation date cannot be specified. Use ScenarioCmd DATE to change the job date of a scenario with a job date.
15 | Local object value or setting file is invalid. If the local object was specified using a file, check that the character encoding of the specified file is correct. Check that the local object type and range specified using the file are correct.
17 | The specified output file is invalid. Specify a path to which the file can be output.
21 | Specify the scenario path by using up to 1024 characters.
22 | The specified scenario does not exist.

The following values are returned as a command return value when this command is executed with the scenario end wait parameter specified and the command ends successfully.

Return value | Description
101 | The specified scenario ended normally.
102 | The specified scenario ended abnormally.
103 | The specified scenario ended with a warning.
104 | The specified scenario was terminated.

[Note]

  • If you specify a local object value when running a command, you cannot include "=" in the variable name.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


ScenarioCmd DATE

You can refer to or change the operation date of the specified scenario.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

[Specifying procedure]

  • When referencing an operation date
    ScenarioCmd.exe DATE <ScenarioID>

  • When changing an operation date
    ScenarioCmd.exe DATE <ScenarioID> <Date> [Comment]
    ScenarioCmd.exe DATE <ScenarioID> <Date> <Comment> [-W] [-F <FilePath> [-U | -U8]]
    ScenarioCmd.exe DATE <ScenarioID> <Date> <Comment> [-W] [-D <LocalObject>]

[Description]

You can refer to or change the operation date of the specified scenario.

The request ID is displayed when the command ends successfully.

If the argument is omitted or invalid, help information will be displayed.

[Argument]

ScenarioID

Specifies an ID of the scenario.
To view scenario IDs, open [Scenario Control View] and click [Property View] tab.

Date

Specify the date in YYYY/MM/DD format to change the operation date.
You need not specify the date when you just want to refer to the operation date.

Comment

Specify a desired comment to be displayed in the instance list, within a maximum of 256 characters.

If the comment includes a blank, enclose it with a pair of double quotation marks.

If you specify "-F" or "-D" or "-W", a comment must be specified. (if you do not specify any comment, specify two double quotation marks with no space between them ("")).

-F

Specifying this option enables you to specify a file in which a value(s) for a local object(s) is defined.

If this option is specified, and Date or FilePath is not specified, it will cause a command error.

FilePath

Specify a filename with its full pathname in which a value(s) for a local object(s) on the manager is defined. If the filename includes a blank, enclose it with a pair of double quotation marks.

Files in text format can be specified.

-U

Specify this option when the file in which a value(s) for a local object(s) is defined is based on the character code of Unicode (UTF-16) (default value is SJIS).

If this option is specified, and the "-F" option is not specified, it will cause a command error.

The file is read as Little Endian on Windows and as Big Endian on UNIX.

-U8

Select this parameter when the character code of the file defining the local object value is UTF-8. (The default is SJIS.)

If this parameter is specified but the -F parameter is not, a command error occurs.

Windows reads using Little-Endian encoding, and UNIX reads using Big-Endian encoding.

-D

Specifying this option enables you to specify a local object value as an argument for a command. If neither Date nor LocalObject is specified, it will cause a command error.

This option cannot be specified in conjunction with "-F".

LocalObject

Specify a desired local object value in the form of VariableName=Value. If the comment includes a blank, enclose it with a pair of double quotation marks.

If you want to specify several local objects, specify them continuously after a "-D" option.

E.g.:

-D VariableName1=Value1 VariableName2=Value2...

-W

If this parameter is specified, the command will end when the scenario ends.

If this parameter is specified, the request ID is not displayed and the value of the used local object is displayed.

[Example of use]

Example 1:

ScenarioCmd.exe DATE 4de344dc 2011/05/30 -D OS=Windows

Changes the business date whose scenario ID is 4de344dc, to May 30 2011.

Gives the character string, "Windows" to the "OS" of the local object.

Example 2:

ScenarioCmd.exe DATE -P Group%Scenario 2011/05/30 -D OS=Windows

Changes the business date whose group name is Group and scenario name is Scenario, to May 30 2011.

Gives the character string, "Windows" to the "OS" of the local object.

[File]

If you want to specify a local object value by using the –F option, describe the variable name and its value in the following format in a file:

Text format:

VariableName1=Value1

VariableName2=Value2

...

[Result Output]

  • When the scenario end wait parameter (-W) is not specified
    Displays the request ID to the standard output.
    The format of the request ID is shown below

    ScenarioID(8digits) + InstanceDate(YYYYMMDD) + InstanceID(5digits)

The information is displayed in the following format in a default output.

RequestID=*********************

  • When the scenario end wait parameter is specified
    Displays the information of the local object when the scenario ends if the command ends successfully.
    (If a line feed character string is included in the information, the information after the line feed character will not be output.)

VariableName1=Value1

VariableName2=Value2

...

[Return value]

When the command has been successfully completed, it will return 0 (zero).

When the command has failed, it will output a message to the standard output and return a value in the range of 1 to 15 depending on the content of the error.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
5 | Scenario control service has not been started. Execute the command after registering the license of the scenario control service.
6 | This scenario does not have an operation date. Use ScenarioCmd CNTRLF to operate the component of a scenario without a job date.
7 | Specified scenario ID does not exist.
8 | 'Working'/'Non-working' day is not specified for this date.
9 | Specified scenario has not been enabled. Execute the command after enabling the scenario.
10 | Specified scenario is being operated by the monitoring terminal or a command, or being edited. Execute the command after the operation by the console or the current command is finished.
11 | An instance was not generated successfully. Instance generation fails if the specified scenario matches the following conditions: - The execution trigger is not manual execution. - The scenario does not fall within the valid period if a valid period is specified. - The number of executions exceeds the limit if a simultaneous execution limit is specified.
15 | Local object value or setting file is invalid. If the local object was specified using a file, check that the character encoding of the specified file is correct. Check that the local object type and range specified using the file are correct.

The following values are returned as a command return value when this command is executed with the scenario end wait parameter specified and the command ends successfully.

Return value | Description
101 | The specified scenario ended normally.
102 | The specified scenario ended abnormally.
103 | The specified scenario ended with a warning.
104 | The specified scenario was terminated.

When no option has been specified, today's date will be used in YYYY/MM/DD format.

[Note]

  • If you specify a local object value when running a command, you cannot include "=" in the variable name.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


ScenarioCmd CNTRLF

ScenarioCmd CNTRLF/CNTRLN

You can change the running state of the specified parts.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

  • In the scenario where you do not use the operation date:

[Specifying procedure]

ScenarioCmd.exe CNTRLF <ScenarioID> <InstanceDate> <InstanceID> <Component> <Request>

ScenarioCmd.exe CNTRLF -R <RequestID> <Component> <Request>

[Description]

You can change the running state of the specified parts.

If you omit an argument that must be specified or an invalid argument, a help window will be displayed.

[Argument]

ScenarioID | Specifies an ID of the scenario. To view scenario IDs, open [Scenario Control View] and click [Property View] tab.
InstanceDate | Specifies the date when the controlling instance is executed. To confirm the operation date, open [Scenario Control View] and click [Instance List] tab.
InstanceID | Specifies the ID of the controlling instance. To confirm the instance ID, open [Scenario Control View] and click [Instance List] tab. The comment is optional.
-R | A target instance can be specified using a request ID by specifying this parameter. A command error occurs if this parameter is specified but RequestID is not.
RequestID | Specify the request ID to identify the target instance. A request ID can be obtained when executing a scenario using ScenarioCmd EXE.
Component | Specifies the name of the parts.
Request | Specifies any of the following actions. forcesp :Force End condsp :Condition Stop condst :Cancel Condition Stop

[Example of use]

Example 1:

ScenarioCmd.exe CNTRLF 4de344dc 2011/05/30 1 Action1 forcesp

Changes the execution status of the component whose whose scenario ID is 4de344dc, execution date is May 30 2011, instance ID is 1, and name is "Action 1", to Forced termination.

Example 2:

ScenarioCmd.exe CNTRLF -P Group%Scenario 2011/05/30 1 Action1 forcesp

Changes the execution status of the component whose group name is Group, scenario name is Scenario, execution date is May 30 2011, instance ID is 1, and name is "Action 1", to Forced termination.

[Return value]

When the command has been successfully completed, it will return 0 (zero).

When the command has failed, it will output a message to the standard output and return a value in the range of 1 to 14 depending on the content of the error.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
5 | Scenario control service has not been started. Execute the command after registering the license of the scenario control service.
7 | Specified scenario ID does not exist.
12 | Specified instance or parts do not exist.
13 | It is impossible to execute the specified action. View the status of the specified component on the console, and check if the control instruction specified by the command is executable.
14 | Any scenario with the operation date cannot be specified. Use ScenarioCmd DATE to change the job date of a scenario with a job date.

  • In the scenario where the operation date is used:

[Specifying procedure]

ScenarioCmd.exe CNTRLN <ScenarioID> <Component> <Request>

ScenarioCmd.exe CNTRLN -R <RequestID> <Component> <Request>

[Description]

You can change the running state of the specified parts.

If you omit an argument that must be specified or an invalid argument, a help window will be displayed.

[Argument]

ScenarioID | Specifies an ID of the scenario. To view scenario IDs, open [Scenario Control View] and click [Property View] tab.
-R | A target instance can be specified using a request ID by specifying this parameter. A command error occurs if this parameter is specified but RequestID is not.
RequestID | Specify the request ID to identify the target instance. A request ID can be obtained when executing a scenario using ScenarioCmd DATE.
Component | Specifies the name of the parts.
Request | Specifies any of the following actions. forceex :Force Execute forcesp :Force End rest :Re-execute condsp :Condition Stop condst :Cancel Condition Stop

[Return value]

When the command has been successfully completed, it will return 0 (zero).

When the command has failed, it will output a message to the standard output and return a value in the range of 1 to 13 depending on the content of the error.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
5 | Cannot be removed because the scenario control service has not been started. Execute the command after registering the license of the scenario control service.
6 | This scenario does not have an operation date. Use ScenarioCmd CNTRLF to operate the component of a scenario without a job date.
7 | Specified scenario ID does not exist.
12 | Specified instance or parts do not exist.
13 | It is impossible to execute the specified action. View the status of the specified component on the console, and check if the control instruction specified by the command is executable.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


ScenarioCmd CNTRLIF

ScenarioCmd CNTRLIF/CNTRLIN

A command to control the scenario execution.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

  • For a scenario that is not using a job date

[Specifying procedure]

ScenarioCmd.exe CNTRLIF <ScenarioID> <InstanceDate> <InstanceID> <Request>

ScenarioCmd.exe CNTRLIF -R <RequestID> <Request>

[Description]

Control the instance execution for scenarios not using a job date.

If a parameter is omitted or is invalid, Help is displayed.

[Argument]

ScenarioID | Specify an ID to identify the scenario. The scenario ID can be viewed on the [Property View] tab of [Scenario View].
InstanceDate | Specify the date for the instance to execute a forced stop in the YYYY/MM/DD format. Execution data can be browsed from the instance names displayed on the [Instance List] tab of [Scenario View].
InstanceID | Specify the instance ID for the instance to perform a forced stop. You can browse instance IDs from the [Instance List] tab of the [Scenario View].
-R | A target instance can be specified using a request ID by specifying this parameter. A command error occurs if this parameter is specified but RequestID is not.
RequestID | Specify the request ID to identify the target instance. A request ID can be obtained when executing a scenario using ScenarioCmd EXE.
Request | Specify one of the following control instructions. forcesp: Forced stop orcespw: Forced stop (waiting for component end) rest: Re-execution

[Example of use]

Example 1:

ScenarioCmd.exe CNTRLIF –R 4e3211182011072900001 forcesp

Terminates the instance with an instance ID 1, which was executed on 2011/07/29 with a scenario ID 4e321118.

Example 2:

ScenarioCmd.exe CNTRLIF –P Group%Scenario 20110729 1 forcesp

Forcibly stops the instance whose group name is Group, scenario name is Scenario and that was executed on July 29 2011.

[Return value]

0 is returned on success.

An error message is output on failure, and the following values are returned depending on the error details.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
5 | Scenario control service has not been started. Execute the command after registering the license of the scenario control service.
7 | Specified scenario ID does not exist.
12 | Specified instance or parts do not exist.
14 | Any scenario with the operation date cannot be specified. Use ScenarioCmd DATE to change the job date of a scenario with a job date.
16 | Cannot change to the specified status with the current instance status. Check the status of the instance from the console, and check if the control instruction specified by the command is executable.

[Note]

  • For a forced stop (waiting for component end), the process waits until any ongoing component process ends.
    The component after the component currently being executed will be aborted, and the subsequent components will not be executed.

  • For a scenario using a job date

[Specifying procedure]

ScenarioCmd.exe CNTRLIN <ScenarioID> <Request>

ScenarioCmd.exe CNTRLIN –R <RequestID> <Request>

[Description]

Control the instance execution for scenarios using a job date.

If a parameter is omitted or is invalid, Help is displayed.

[Argument]

ScenarioID | Specify an ID to identify the scenario. The scenario ID can be viewed on the [Property View] tab of [Scenario View].
-R | A target instance can be specified using a request ID by specifying this parameter. A command error occurs if this parameter is specified but RequestID is not.
RequestID | Specify the request ID to identify the target instance. A request ID can be obtained when executing a scenario using ScenarioCmd DATE.
Request | Specify one of the following control instructions. forcesp: Forced stop orcespw: Forced stop (waiting for component end)

[Example]

ScenarioCmd.exe CNTRLIN –R 4e3211182011072900001 forcesp

Terminates the instance with an instance ID 1, which was executed on 2011/07/29 with a scenario ID 4e321118.

[Return value]

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
5 | Scenario control service has not been started. Execute the command after registering the license of the scenario control service.
6 | This scenario does not have an operation date. Use ScenarioCmd CNTRLF to operate the component of a scenario without a job date.
7 | Specified scenario ID does not exist.
12 | Specified instance or parts do not exist.
16 | Cannot change to the specified status with the current instance status. Check the status of the instance from the console, and check if the control instruction specified by the command is executable.

[Note]

  • For a forced stop (waiting for component end), the process waits until any ongoing component process ends.
    Components which have not been executed (waiting for start condition) will be aborted.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


ScenarioCmd ENABLE

This command enables or disables a scenario registered in the scenario control view.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe ENABLE <-E | -D> [-P <TargetName>] [ExecTrigger]

[Description]

Enables or disables a scenario registered in the scenario control view.

If enabling or disabling a scenario that matches the specified conditions fails, the failed scenario name is displayed on the standard output.

If enabling or disabling all scenarios that match the specified conditions fails, an error occurs.

If a parameter is omitted or is invalid, the help is displayed.

[Argument]

-E | Specify this option to enable the specified scenario.
-D | Specify this option to disable the specified scenario.
-P | Specify this option to set the specified scenario or scenarios in the specified group as the target of execution. If this option is omitted, all scenarios are set as the target of execution. If this option is specified but TargetName is not, a command error occurs.
TargetName | Specify the target group or scenario by using up to 1024 characters. If the group has a multi-level structure, specify by delimiting levels from the top group by using "%". If including spaces in the group or scenario name, enclose the name in " (double quotation marks). Example: Group1%Group2
ExecTrigger | Select one of the following execution triggers for the target scenario. -MANU : Manual execution -TIME : Time trigger -MESS : Message trigger -DATE : Job date change If this option is omitted, all triggers are set as the target.

[Outputting scenarios for which enabling or disabling failed]

Displays a list of scenarios for which enabling or disabling failed by using a path from the top group.

No Change Scenario List:

Scenario1

Group1\Group2\Scenario2

Group1\Group2\Scenario3

Enabling or disabling the following scenarios will fail:

  • Scenarios with a definition that was edited from the console when executing the command.

  • Scenarios with a job date but for which calendar settings are not specified.

[Return value]

0 is returned on success when the scenario end wait parameter is not specified.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager.
18 | There is no scenario of the specified condition.
19 | Failed to change scenario. Check if there is a scenario for which enabling or disabling will fail, as mentioned above.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


ScenarioCmd GETVALUE

Output the variable value of the local object of the specified scenario instance.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe GETVALUE <ScenarioID> <InstanceDate> <InstanceID> [-N <LocalObject>] [-O <FilePath>] [-S <Separator>]

ScenarioCmd.exe GETVALUE –R <RequestID> [-N <LocalObject>] [-O <FilePath>] [-S <Separator>]

[Description]

Output the variable value of the local object used by the specified scenario instance.

When the argument LocalObject is specified, only the corresponding value is output.

If the argument is omitted or is invalid, Help is displayed.

[Argument]

ScenarioID

Specify the ID (scenario ID) to identify the scenario.

The scenario ID can be viewed on the [Property View] tab of [Scenario View].

InstanceDate

Specify the execution date of the instance to collect information in the "YYYY/MM/DD" format.

The execution date can be viewed using the instance name displayed on the [Instance List] tab of [Scenario View].

InstanceID

Specify the instance ID to collect information.

The instance ID can be viewed using the instance ID displayed on the [Instance List] tab of [Scenario View].

-R

When this option is specified, the target instance can be specified using a request ID.

If this option is specified but RequestID is not, a command error occurs.

RequestID

Specify the request ID to identify the target instance.

The request ID can be obtained when executing a scenario using ScenarioCmd EXEC or ScenarioCmd DATE.

-N

Specifying this option makes it possible to specify a local object name as a command argument.

When this option is specified, only the local object value is output.

If this option is specified but LocalObject is not, a command error occurs.

LocalObject

Specify the local object name to output.

-O

Specifying this option makes it possible to output the obtained local object information to the specified file.

If this option is specified but FilePath is not, a command error occurs.

When this option is specified, the local object information is not output to the standard output.

FilePath

Specify the file name to output the obtained local object information using the absolute path.

If including spaces in the file name, enclose the name in double quotation marks ("").

The file is output in Unicode (UTF-16) encoding.

The file specified as the output destination is overwritten if it already exists.

A command error occurs when the specified directory does not exist.

-S

Specifying this option makes it possible to specify the separator character string indicating the starting and ending positions of the local object information that contains line feed characters in the value.

If this option is specified but Separator is not, a command error occurs.

Specifying this option is ignored when the -N option is specified. (Separators are not added when outputting a value that contains line feed characters.)

Separator

When using the local object information that contains line feed characters in the value, separator character strings indicating the starting and ending positions of the local object can be specified.

When the local object information does not contain line feed characters in the value, describe it in one line in the "Variable name=Value<Line feed>" format. (Do not use separators.)

When the Separator specification is omitted, use "--------" as a separator.

If including spaces or special characters, enclose them in double quotation marks ("").

If including a double quotation mark ("), escape it with a back slash (\).

[Example of use]

Example 1:

ScenarioCmd.exe GETVALUE 4de344dc 2014/04/01 1 –O "C:\result.csv"

The local object information of the instance of the scenario identified with the scenario ID 4de344dc, the execution date April 1, 2014, and the instance ID 1 is output to "C:\result.csv".

Example 2:

ScenarioCmd.exe GETVALUE 4de344dd 2014/04/02 2 –N VariableName1

The value of the local object VariableName1 of the instance of the scenario identified with the scenario ID 4de344dd, the execution date April 2, 2014, and the instance ID 2 is output to the standard output.

Example 3:

ScenarioCmd.exe GETVALUE -R 4de344dd2014040200002 –N VariableName1

The value of the local object VariableName1 of the instance of the scenario identified with the request ID “4de344dd2014040200002” is output to the standard output.

Example 4:

ScenarioCmd.exe GETVALUE -P Group%Scenario 2014/04/01 1 –O "C:\result.txt"

Information on the local object of the instance of a scenario whose group name is Group, scenario name is Scenario, and that was executed on April 1 2014, with the instance ID is 1, is output to "C:\result.txt".

[Result output]

When the -O option is used, the local object information is output to the file specified in the following format. The line feed code is CR+LF and the character encoding is Unicode (UTF-16, without BOM).

When the -O option is not used, the local object information is output to the standard output.

When the -N option is not specified:

VariableName1=Value1

VariableName2=Value2

--------

VariableName3=Value3.1

Value3.2

Value3.3

--------

--------

VariableName4=Value4.1

Value4.2

Value4.3

--------

When the -N option is specified:

(Example when VariableName3 is specified)

Value3.1

Value3.2

Value3.3

[Return value]

0 is returned on success.

When the execution fails, a message is output to the standard output and the following values are returned according to the error details.

Return value | Description
1 | The argument is invalid. Specify the correct argument according to the displayed Help.
2 | Communication with the manager failed. Check the status of the communication with manager.
5 | The scenario control service has not started. Execute the command when the license of the scenario control service is registered.
7 | The specified scenario ID does not exist.
12 | The specified instance or component does not exist.
17 | The specified output file is invalid. Specify a path to which the file can be output.
20 | The specified local object does not exist.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands


ScenarioCmd IMPORT

This command is used to overwrite the definition of the scenario control by specifying the import definition file exported from the monitoring terminal.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe IMPORT <Import File Path> [-G <Group Name>] [-Y]

ScenarioCmd.exe IMPORT -D <Import File Path> [-G <Group Name>] [-Y}

ScenarioCmd.exe IMPORT –V <Import File Path>

[Description]

Verifies the contents of definition of the import definition file that is specified by the Import File Path argument, and imports the definition when there is no problem in the definition.

Overwrites the definition when the group/scenario definition of the identical name exists in the import destination.

However, the import process is not conducted at all in the cases below that apply as the definition error.

  • When the scenario at the import destination is enabled

  • When a scenario type attempts to overwrite a different type of scenario
    (When attempting to overwrite a scenario that uses the business date by a scenario that does not use the business date, or vice versa)

  • When attempting to overwrite a group by a scenario (or vice versa; when attempting to overwrite a scenario by a group)

Global object cannot be overwritten even if the variable of the identical name exists.

Executing this command requires a definition mode.

This command cannot be executed together with a function that requires a definition mode at the same time.

In addition, this command cannot be executed while importing a scenario control (monitoring terminal and command).

If the argument is omitted or is invalid, Help is displayed.

[Argument]

Import File Path

Specifies an import definition file on the manager by using an absolute path.

If including spaces in the file name, enclose the name in double quotation marks (“”).

This argument can be used to specify a file in the text format.

With respect to the character code and line feed character in the file, specify UTF-16 (without BOM) and the CR+LF line feed character for the Windows manager while specifying UTF-8 (without BOM) and the LF line feed code for the UNIX manager (HP-UX (IPF), Linux).

All of the files to be imported shall be in the formats described above. (Including the calendar and schedule files)

The configuration of the import definition file is described below.

An import definition file comprises the multiple files described below.

All of these files shall be stored in an identical directory.

File type | Details | Remarks
Definition of the scenario configuration | A scenario configuration (the hierarchy definition by the scenario control view) and a group definition file (The file that describes the [S_GROUP] section where a group definition is described.) | This can be specified as a command argument.
Scenario definition | A scenario definition file (The file that describes the [ITEM2] section where a Scenario definition is described.) | This can be specified as a command argument.
Calendar definition | A calendar definition file This file is exported when setting a calendar for the scenario that uses the business date. | This file cannot be specified for the argument of a command.
Schedule definition | A schedule definition file This file is exported when setting a time trigger or validity period in the scenario that does not uses the business date. | This file cannot be specified for the argument of a command.

-G

Specifying this option enables the import of the file under the specified group.

Files are imported under the scenario control view when this option is not specified.

A command error occurs when Group Name is not specified.

Group Name

A path to the group at the definition import destination shall be specified by using up to 1024 characters.

Specify the path by using "%" to connect from the hierarchy directly under the [Scenario View] when the group configuration comprises a multiple hierarchy.

If including spaces in the group name, enclose the name in double quotation marks (“”).

Escape "%" by using "^" when the group name is the same as the environment variable.

If including double quotations (") in the group name, escape it by using yen ("\") mark.

Error occurs when exceeding the 1024 characters.

Example 1:

group1%group2

A command error occurs when the specified group does not exist.

Example 2: Escape of the environment variable

group1^%Path^%group2

* When including a group named "Path" that is the same as the name of the environment variable

Example 3: Escape of "\"

group\"1\"

*When including a group named "Group"1""

-D

A group/scenario that does not exist in the import definition file is deleted when this option is specified. A file is imported under the group of the import destination as described in the contents of definition of the import definition file when the group of the import destination is specified. Other groups are not affected.

In addition, a scenario in the effective state or whose execution is in progress is not deleted.

Import process is continuously executed even when a deletion failed.

-V

Specifying this option enables the verification of the contents of the definition of the import definition file.

-Y

Specifying this option executes the import process without the inquiry for confirmation even if the scenario definition to be overwritten or deleted exists.

[Return value]

When the command has been successfully completed, it will return 0 (zero).

When the command has failed, it will output a message to the standard output and return a value in the range of 1 to 35 depending on the content of the error.

Return value

Description

1

An illegal argument was specified. Help information will be displayed.

Read the displayed help and specify a correct parameter.

2

Failed in communicating with the manager.

Check the status of communication with the manager

5

Scenario control service has not been started.

Execute the command after registering the license of the scenario control service.

23

Import definition file format is incorrect.

Details: Error detail is output upon incorrect definition. (*1)

Location where a problem occurred: target file name (target line number): target location

Check the message description and the import definition file, and then remove the definition error.

24

The group path of the specified import destination is invalid.

Specify a group path that exists.

25

Acquiring the definition mode failed.

Check whether the definition mode is used in the monitoring terminal or by other commands.

26

The scenario of the import target is being edited or in the effective state.

The scenario being edited or in the effective state cannot be overwritten or deleted.

Execute a command after completing the edit and in the state where a scenario is disabled.

27

The scenario could not be deleted.

The scenario was not deleted because of its execution in progress or its edit in progress.

The scenario to be deleted may possibly remain without having been deleted.

Execute the command again or delete the scenario from the monitoring terminal after completing the scenario or completing the edit.

28

The scenario type differs from the one at the import destination.

Conform the type of the scenario to be overwritten and the contents of the import definition file, and then execute the command.

29

The group/scenario of an identical name exists.

The group cannot be overwritten by the scenario (or the scenario cannot be overwritten by the group).

Change the name of the scenario/group of the import destination, or specify another import destination.

30

Importing failed.

Failure may occur when updating an import file in the middle of the import process.

A portion of the scenario may possibly be imported.

Contact the developer if the command fails again.

31

The requested operation cannot be conducted because of the import in progress.

Execute the command under the state where no import process is executed.

32

Importing a schedule failed.

A portion of the scenario may possibly be imported.

Contact the developer if the command fails again.

33

Importing a calendar failed.

A portion of the scenario may possibly be imported.

Contact the developer if the command fails again.

34

The upper limit of the file size is exceeded.

35

The specified import file is invalid.

Check whether the file exists and whether the file character code is correct.

(*1) Error detail is output upon incorrect definition.

The message details as described below are output when the import definition file format is invalid.

Message (in English) | Remarks
Different global object type. | The global objects of the identical name but different types exist.
Invalid schedule file format. | Refer to the error code of the scheduler.
Invalid calendar file format. | Refer to the error code of the calendar.

[Output example upon error]

Import definition file format is incorrect.

Detail: The type of the global object differs.

Location where a problem occurred: 54f41636_1.txt(102): [Global object1]

[Error code of a schedule/calendar]

The standard output attached with an error code is generated when the import of a schedule/calendar failed.

The import definition file format is invalid.

Detail: The schedule definition file format is invalid. (101)

Location where a problem occurred: SchImport_20150302165333_1.txt

Error code | Details
101 | The specified file does not exist.
102 | The import file size exceeds the upper limit value.
103 | Opening the specified file failed.
104 | Reading the specified file failed.
105 | The specified file is not the import file of a calendar/schedule definition. (Invalid header part)

[Inquiry for confirmation]

Check whether to continue the command execution when the definition (group/scenario definition) to be deleted exists when the -D option is used.

Check whether to continue the command execution when the definition (group/scenario/calendar/schedule definition) of an identical name to be deleted exists when the -Y option is not used.

Import is conducted when Y is entered.

Command is terminated when N is entered. (Return value = 0)

[Scenario]

group1 [Over Write]

group1%scenaril1 [Over Write]

group1%scenaril2 [Delete]

[Calendar]

calender1 [Over Write]

[Schedule]

schedule1 [Over Write]

There is a file that is overwritten or deleted.

Continue? (Y/N)

* The default calendar ("All of the business dates" and "weekday of the business date") is not output because it is not overwritten.

[Importing the global objects of the identical name]

Global object cannot be overwritten even if the variable of the identical name exists.

The variable that exists in the import definition but that is not overwritten is output as described below.

The global object was not imported because the definition of an identical name exists.

Global object1

Global object2

[Output while the import in progress]

The import result is output by the specified path.

group1=Success

group1%sample scenario1=Success

group1%sample scenario2=Failure

The scenario could not be deleted.

group2=Success

group2%sample scenario3=Success

group2%sample scenario4=Success

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

  • The scenario for which import has been completed is not deleted when a failure occurred during the import in progress.

  • The maximum number of characters displayed in a line for the standard output is 1024.

  • Importing the SSC linkage part fails when there is no SSC linkage license.

  • Importing the SSCWeb service linkage part fails when there is no vDCA linkage license.

  • Upgrade the version of all of the monitoring terminals when those with the version prior to MasterScope MISSION CRITICAL OPERATIONS Ver4.2.0 are used.
    When the definition is updated in the monitoring terminal of the version prior to MasterScope MISSION CRITICAL OPERATIONS Ver4.2.0, incorrect operation of the monitoring terminal and the manager, and damage on the monitoring definition file may possibly occur. In that case, reinstall the product, or perform restoration from the backup file.

  • It is recommended to back up the monitoring definition file before performing the import process.

  • When the imported definition is exported from the monitoring terminal, the files used for import and files output during export do not necessarily match even if export is performed without changing any definition at all. (The appearance order of the respective setting items in the file may possibly change.)

  • The SG back-up command fails while the import in progress by the command. Execute the command again after completing the import process by the command.
    For the backup and restore procedures, click here.

  • Do not update the target import file while the import in progress by the command.

  • The global object, schedule, and calendar that were used by the scenario are not deleted even when the scenario is deleted by the import process.

  • The import process continues when the command process stops from when the import process starts until when the import process completes.
    (For example, upon forcible stop by the Ctrl+C keys, or when the command fails)
    Check whether the import process completes by checking the audit log from the monitoring terminal.
    Audit ID: Scenario 00001017 has been imported.
    Group 00001048 has been imported.

  • The group authority and the user authority are not taken over to the exported file.

  • The imported scenario group is in the state where the rights of reference, update, adding, deleting, and the deleting history to all of the user groups are granted.

  • The imported scenario is in the state where the rights of reference, update, deleting, controlling, and deleting history to all of the user group are granted.

  • Those rights granted upon importing are not granted to the user group that does not possess the group right required when granting the right.

  • The import process for which the respective setting values of the import definition file are changed, is not supported.

  • The upper limit of the size of the import definition file that can be imported by this command is described below.
    The scenario configuration definition file and the scenario definition file: 5 MB
    The calendar definition file and the schedule definition file: 1 MB

[References]

About the provided commands


ScenarioCmd RENAME

This command renames a group or scenario.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\ScenarioCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/ScenarioCmd.exe

[Specifying procedure]

ScenarioCmd.exe RENAME <ScenarioPath> <NewName>

[Description]

This command renames the scenario or group specified with the parameter <ScenarioPath> to the name specified with <NewName>.

Executing this command requires a definition mode.

To rename a scenario, disable that scenario before executing the command.

An error occurs if the same name is already used in the same group.

[Argument]

ScenarioPath

Specify the target scenario or group path by using up to 1024 characters.

Specify the path by using "%" to connect from the hierarchy directly under the [scenario control view] when the tree configuration comprises a multiple hierarchy.

If including spaces in the group/scenario name, enclose the name in double quotation marks (“”).

Escape "%" by using "^" when the group name is the same as the environment variable.

If including double quotation marks (") in the group/scenario name, escape it by using a backslash (\).

Error occurs when exceeding the 1024 characters.

Example 1: Group1%Group2%Scenario

Example 2: Escape of the environment variable

Group1^%Path^%Group2%Scenario

* When including a group named "Path" that is the same as the name of the environment variable

Example 3: Escape of "\"

Group\"1\"%Scenario

* When including a group named "Group"1""

NewName

Specifying this option executes the import process without the inquiry for confirmation even if the scenario definition to be overwritten or deleted exists.

[Return value]

When the command has been successfully completed, it will return 0 (zero).

When the command has failed, it will output a message to the standard output and return a value in the range of 1 to 35 depending on the content of the error.

Return value | Description
1 | An illegal argument was specified. Help information will be displayed. Read the displayed help and specify a correct parameter.
2 | Failed in communicating with the manager. Check the status of communication with the manager
22 | The specified scenario does not exist. Check ScenarioPath specified with the parameter.
23 | Import definition file format is incorrect. Details: Error detail is output upon incorrect definition. (*1) Location where a problem occurred: target file name (target line number): target location Check the message description and the import definition file, and then remove the definition error.
25 | Acquiring the definition mode failed. Check whether the definition mode is used in the monitoring terminal or by other commands.
36 | The scenario is enabled. The enabled scenario cannot be renamed. Execute the command in the state where a scenario is disabled.
37 | The specified scenario or group name is invalid. Check the scenario or group name specified with NewName.
38 | The scenario, group or part with the same name exists. Specify a name that is different from any scenario or group name or part name in the flow specified with NewName.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

  • This command is different from the "update" tree operation on the console. The path and description of icon cannot be changed.

  • This command cannot move scenarios and groups.

[References]

About the provided commands


ServiceManagerLinkerCmd INIT

This command deletes all the records in the incident history.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

C:\Program Files\NEC\UMF\Operations\Manager\bin\ServiceManagerLinkerCmd.exe

UNIX Manager (HP-UX, Linux)

/opt/UMF/Operations/Manager/bin/ServiceManagerLinkerCmd.exe

[Specifying Procedure]

ServiceManagerLinkerCmd.exe INIT

[Description]

Delete all the records in the incident history.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

None.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted incident histories cannot be restored.

  • If you want to delete the histories with the dates before the specified date, so please use with the SWAP option.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete records in the incident history

ServiceManagerLinkerCmd SWAP


ServiceManagerLinkerCmd SWAP

This command deletes incident histories before the specified date.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

C:\Program Files\NEC\UMF\Operations\Manager\bin\ServiceManagerLinkerCmd.exe

UNIX Manager (HP-UX, Linux)

/opt/UMF/Operations/Manager/bin/ServiceManagerLinkerCmd.exe

[Specifying procedure]

ServiceManagerLinkerCmd.exe SWAP <Date>

[Description]

Delete the report log of the occurrence date specified with the <Date> parameter.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

Date

Specify date in the YYYY/MM/DD format.

[Example of use]

Delete the incident log from February 14, 2011 and earlier.

ServiceManagerLinkerCmd.exe SWAP 2011/02/14

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Note]

  • Note that deleted incident histories cannot be restored.

  • If you want to delete all histories, so please use with the INIT option.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[References]

About the provided commands

Delete records in the incident history

ServiceManagerLinkerCmd INIT


ServiceManagerLinkerCmd CSV

This command outputs history data to files from manager.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

C:\Program Files\NEC\UMF\Operations\Manager\bin\ServiceManagerLinkerCmd.exe

UNIX Manager (HP-UX, Linux)

/opt/UMF/Operations/Manager/bin/ServiceManagerLinkerCmd.exe

[Specifying Procedure]

ServiceManagerLinkerCmd.exe CSV <StartDate> [EndDate] <CSV File Name> [-U [-B]] [-T] [-M] [-L]

[Description]

Output the historical data of the occurrence date specified with parameters StartDate and EndDate to a file in the CSV format.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

StartDate

Specify start date in the YYYY/MM/DD format.

EndDate

Specify end date in the YYYY/MM/DD format.

If you don't specify EndDate argument, messages for the date specified in StartDate will be output.

CSV File Name

Specifies a bus or file name. Specifying a nonexistent directory ignores the command.

-U

Specify this option to use Unicode for output of data on Windows (by default, SJIS is used for output.
Output on Unix makes this option ineffective.

-B

Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given)

.If the -U option is not specified or data is output on Unix, this option is ineffective.

-T

Specify this option to use TAB as a CSV delimiter (by default, comma is used).

-M

When this option is specified, message information from which the incident is registered is additionally output.

-L

When this option is specified, only the history data of the latest state is output for each incident.

Example:

If there is history data of the incident of which state changed from "Generated Status" to "Canceled Status" only the history data of the latest state, "Canceled Status" is output.

[Example of use]

Output the incident historical data of February 14, 2011 to C:\foo\bar.csv.

ServiceManagerLinkerCmd.exe CSV 2011/02/14 C:\foo\bar.csv

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it returns except 0.

[Contents of output file]

An example of the output file is shown below.

"User Sequence","Incident ID","Generated Date","Generated Time","Filter Summary","Incident

Status","Update Date","Update Time","User Name","Error Code","Separator","Event Fields","Severity","Node","Application","Object","Message ID","Event Category","Message Text"

"201506041346-00000005-2855","","2015/06/04","13:46:25","FilterA ","Registering Status","2015/06/04","13:46:28","Administrator","","^","TestNode^^^^FilterA|

This is test message (1). ------------------------------------------ Generated Date Time:2015/06/04 13:46:25 Node:TestNode Severity:Normal Application Name:tpmsg Object Name:0000 Message ID:00000001 ------------------------------------------^^^^^incident^^^^^^^^^^^^^^^^^^^^^^4^^^^^^^^^^","Normal","TestNode","tpmsg","0000","00000001","","This

is test message (1)."

Outline of the respective columns are shown below.

Incident history data

User Sequence

The number that is used to identify the unique incident.

The multiple lines of the "status" that differs in the identical "user sequence" are output when the status of incident changes.

Incident ID

* Reserved The current status is not output.

Generated Date

The date when an incident occurs

Generated Time

The time when an incident occurs

Filter Summary

Outline (filter name) of the message that is received from the message monitoring function (business view).

Incident Status

Displays the current status of the incident. There are several types of status as follows:

Waiting registration

The incident of the manual registration type and in the status waiting for the operator's confirmation.

Registration deterrence

The state deterred by the identical message deterrence function

Registration canceled

The incident of the manual registration type and in the status in which the registration is canceled by the operator.

Registration in progress

The status in which the incident is being registered to ServiceManager

Registration fails

The status in which the registration to the ServiceManager fails It is able to register again manually.

Registration succeeds

The status in which the registration to the ServiceManager succeeds

Update Date

The date when the status is updated

Update Time

The date when the status is updated

User Name

The name of the user who operates to transit from the previous status to the current status

Error Code

The cause of a failure when registering the incident to ServiceManager

Error code is displayed only when the status is "Registration fails".

Separator

The character used as a delimiter when registering the incident to ServiceManager

It is displayed when the status is "Registration in progress", "Registration fails," and "Registration succeeds".

Event Fields

The contents when the incident is registered to ServiceManager The respective fields are delimited by the separators.

It is displayed when the status is "Registration in progress", "Registration fails," and "Registration succeeds".

Message information (*Output only when [-M] is specified.)

Severity

Severity of message

Node

Name of node that output the message

Application

Application that output the message

Object

Object that output the message

Message ID

Message ID

Event Category

Event category

Message text

Body of message

[Note]

  • If the specified time period is long or a large amount of messages have been stored, it may take a while to complete the command.

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

  • Some characters contained in a message are replaced as follows when they are output.

    • Double quotation mark (") --> Single quotation mark (')

    • Line feed code (\r) --> One-byte space

    • Line feed code (\n) --> One-byte space

[References]

About the provided commands


SIATCmd IMPORT

This command imports performance data from a file.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

C:\Program Files\NEC\UMF\InvariantAnalyzer\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux)

/opt/UMF/Operations/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe IMPORT <Node ID> <Import File Name> [-T <File Type>] [-C <Character Code>] [-F] [-A] [-Z <Timezone> | -D] [-H]

[Description]

This command imports performance data from the file or directory on the manager specified by the <import file name> parameter for the node specified by the <node ID> parameter.

The request ID is displayed when the import started.

If a parameter is omitted or is invalid, the help is displayed.

To execute automatic node add option (-H), command will require to be configuration mode. Exit configuration mode before executing the command with –H option.

[Parameters]

Node ID

Specify the ID of the import-target node. A job node ID, constituent group node ID and group node ID, logical item node ID, or "00000000" can be specified as the ID. Each node ID can be viewed in the property view for the node (enclosed in a red frame in the figure below).

If the logical item node ID is specified

The host name specified in the import file is ignored and the counter of the specified logical item node is imported.

If the job node ID, constituent group node ID and group node ID are specified

Among the logical item nodes under the specified nodes, the counters of the logical item nodes whose host name specified in the import file matches the node name are imported.

If "00000000" is specified

Among all logical item nodes, the counters of the logical item nodes whose host name specified in the import file matches the node name are imported.

If a logical item name has been duplicated, import processing is only performed for the logical item detected first.

Import file name

Specify the absolute path of the import file or directory on the manager. If including spaces in the file or directory name, enclose the name in " (double quotation marks).

If a directory is specified, all files in the directory are imported.

The files in subdirectories are not targeted.

-T

Specifying this option makes it possible to specify the file type of the import file. If this option is omitted, the file type is automatically determined.

If this parameter is specified but the <file type> parameter is not, a command error occurs.

File type

Specify the file type name of the import file, enclosing in " (double quotation marks).

For details about the file type name, click here.

-C

Specifying this option makes it possible to specify the character encoding of the import file. If this option is omitted, "Japanese (Shift-JIS)" is used.

If this parameter is specified but the <character code> parameter is not, a command error occurs.

Character code

Specify the character encoding scheme for the import file from the following numeric values:

1: Japanese (JIS 0208-1990 and 0212-1990)

2: Japanese (JIS)

3: Japanese (Shift-JIS)

4: Unicode

5: Unicode (Big-Endian)

6: Unicode (UTF-8)

7: US-ASCII

-F

If this option is specified and multiple performance data files are imported by specifying a directory, the import continues even if analyzing some performance data files fails.

If this option is specified, importing succeeds unless importing all files fails.

-A

If this option is specified, counters that are not on the import node are added and imported. Note that only the counters are added, not the logical items.

If this option is not specified, counters that are not on the import node are not imported.

-Z

Specify the time zone for the import file.

Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

-D

Specify the time zone or the folder name of the import file. The time zone must be described in format of "TIMEZONE<TimeZoneID>,<DST>".

Specify corresponding time zone ID to <TimeZoneID>. For details of time zone ID, refer to [TimeZoneList].

Specify if 0 (not utilize summer time) or 1 (utilize summer time) to <DST>. Refer to [Time Zone List] to verify if specified time zone has introduced summer time.

For example, in case of adding time zone information of Japan time (no summer time) to directory, name of the directory must be named like below.

Ex.

C:\TEST\IMPORT\TIMEZONE86,0\import.csv

/home/test/import/TIMEZONE86,0/import.csv

-H

If host which is described in imported file does not exist in business node, automatically add the node to the business node.

If this option is selected, IA assumes –A option is also selected.

This option is valid only when business node ID is specified as Node ID. If the Node ID is host node ID or "00000000", this option will return command error.

<About specifying time zone>

  • Unable to use –Z and –D at the same time

  • If either option is used, time zone information within the target files will be ignored.

  • If –D option is not specified, time zone information of directory will be ignored.

  • If neither option is used, time zone information within the target files will be applied. If the target files don’t include time zone information, time zone of manager will be applied.

[Output Form]

RequestID:51245b90

..........

[Return values]

Return Value

Description

0

The command succeeded.

1

A parameter is invalid. The help is displayed.

Read the displayed help and specify a correct parameter.

2

Initialization failed.

Check that the computer is in the normal state.

3

Communicating with the manager failed.

Check that the manager is running, and if not, activate the manager and then execute the command.

5

The specified node ID is invalid.

Specify the 8-digit node ID in hexadecimal.

6

The specified import file name is invalid.

Check that the file or directory specified in <Import File Name> exists.

If a directory is specified in <Import File Name>, check that the file exists in the directory.

If the -D option is specified, check that the time zone information exists in the directory name.

7

The specified file type is invalid.

Specify a valid file type.

8

The specified character code is invalid.

Specify a number corresponding to valid character encoding.

9

The specified import node does not exist.

Specify a node ID that exists in the integrated topology view.

10

Analyzing the import file failed.

Check that the import file is an importable type and uses an importable character encoding.

If the -T and -C options are specified, check that the type and character encoding of the import file match.

If the -T and -C options are not specified, specify the options, matching the type and character encoding of the import file.

11

There is no valid counter in the import file.

Check that the import file is an importable type and uses an importable character encoding.

If the counter to be imported does not exist on the import target node, add the -A option.

12

Importing failed.

Check that the import file is an importable type and uses an importable character encoding. Also, check that the authority to access the import file has been granted.

If a directory is specified in <Import File Name>, be sure not to import too many files at a time.

Refer to the command reference, and check that the command execution environment is correct.

20

Invalid time zone is specified.

Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

If –D option is selected, verify if time zone information on import data folder is correctly set.

In case of using time zone information in import data files, verify if time zone information in the data files is correctly set.

In case of using time zone information in import data files, verify if time zone information in the data files is correctly set.

42

Failed to shift to configuration mode.

Verify if any management console has been shifted to configuration mode.

43

Failed to add host node.

Verify if host you tried to add has already added to business node. Add host node from management console.

44

Canceled importing performance data.

49

There is no license.

Import to the target node cannot be performed.

There is no license to import to the target node.

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For Linux manager, specify and execute a command by using an absolute path.

  • If any time zone related option is not selected, time zone information on import data file will be applied. If there is not any time zone information on import data file, time zone of the manager will be applied.

  • Host name must be within 64 characters.

  • Counter name must be within 100 characters.

  • Regarding import data file, file size must be within 2GB, number of counters must be within 200 thousands metrics, number of performance data (number of counter*number of data point) must be within 100 million.

[Related items]

About the provided commands

Importing performance data

Specifying the import file

Time zone list


SIATCmd CANCEL IMPORT

This command cancels ongoing data import.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe CANCEL IMPORT <Request ID>

[Description]

Cancel performance data importing process of argument, <RequestID>.

If argument is skipped or invalid, help of command lines will be displayed.

[Parameters]

Request ID

Specify RequestID which is displayed when IMPORT command is executed.

RequestID is 8-digits hexadecimal ID displayed when IMPORT command is executed.

RequestID:51245b90

....

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
37 | Failed to cancel data import.
40 | The specified RequestID is invalid. Specify the 8-digit RequestID in hexadecimal.
41 | The specified RequestID does not exist. Specify a RequestID which displayed when data import command was executed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Importing performance data


SIATCmd LIST IA

This command acquires list of Invariant Analysis node.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe LIST IA –O <CSV File Name> [-T] [-U [-B]] [-S <Separator>]

[Description]

This command outputs list of Invariant analysis nodes which have registered to specified CSV file path <CSV File Name>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

-O <CSV File Name> | Specify a CSV file which outputs invariant analysis node list. Specify a absolute path as the file name. If the filename includes a blank, enclose it with a pair of double quotation marks.
-T | If this option is specified, output CSV file will use tab-delimited format. (Comma-delimited format is used at default).
-U | If this option is specified, the data is output in Unicode(UTF-16 LE) in a Windows system. (The data is output in ANSI by default.) This option is disabled in a UNIX system. (The data is output in UTF-8(Non BOM) on the UNIX.) In case of Windows, line feed code is CR+LF. In case of UNIX, line feed code is LF.
-B | Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given). If the -U option is not specified or data is output on Unix, this option is ineffective.
-S <Separator> | Specify a separator of System Name. Separator is 1 character. If use a blank as separator, enclose it with a pair of double quotation marks. If use a special characters on the UNIX, enclose it with a pair of double quotation marks or single quotation marks. Default separate character is "|" (pipe).

[CSV File]

Column

Description

InvariantAnalysisID

Invariant analysis node ID is output in 8-digit hexadecimal value.

SystemName

Output name of business node which is parent node of specified Invariant analysis node in fill path. Default separate character is "|" (pipe).

"Integrated topology view and Logical View" aren't included in a full path.(Logical View is empty string.)

SystemNodeID

Specify ID of business node which is parent node of specified Invariant analysis in 8-digit hexadecimal value.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
25 | Invalid CSV file. Specify a path to a location to which the file can be output.
27 | Outputting Invariant analysis node list failed. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

  • If CSV file of same name exists on result file directory, IA will overwrite the file.

[Related items]

About the provided commands

Invariant analysis


SIATCmd LIST NODE

The command acquires list of target host list.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe LIST NODE <Invariant analysis ID> –O <CSV File Name> [-T] [-U [-B]] [-S <Separator>]

[Description]

An analysis target node list of the invariant analysis nodes designated by argument <Invariant analysis ID> is output in the CSV file designated by argument <CSV File Name>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
-O <CSV File Name> | Specify a CSV file which outputs target host node list. Specify a absolute path as the file name. If the filename includes a blank, enclose it with a pair of double quotation marks.
-T | If this option is specified, output CSV file will use tab-delimited format. (Comma-delimited format is used at default).
-U | If this option is specified, the data is output in Unicode(UTF-16 LE) in a Windows system. (The data is output in ANSI by default.) This option is disabled in a UNIX system. (The data is output in UTF-8(Non BOM) on the UNIX.) In case of Windows, line feed code is CR+LF. In case of UNIX, line feed code is LF.
-B | Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given). If the -U option is not specified or data is output on Unix, this option is ineffective.
-S <Separator> | Specify a separator of System Name. Separator is 1 character. If use a blank as separator, enclose it with a pair of double quotation marks. If use a special characters on the UNIX, enclose it with a pair of double quotation marks or single quotation marks. Default separate character is "|" (pipe).

[CSV File]

Column | Description
NodeID | Node ID is output in 8-digit hexadecimal value.
NodeName | Output name of host node in full path. If separator is specified by command option, the separator is used. If the option is not set, use "|" (pipe). The word "Integrated Topology View" and "Logical View" will not be included to the full path name.
NodeType | Output node types in 8-digit hexadecimal value. Following nodes can be target nodes of importing performance data. 00000015:Group node 00000016:Business node 00000017:Composition group node 00000018:Logical item node (note)In case of logical item node, only host node(Type:00010001) can be imported.
Type | Outputs type of nodes in 8-digit hexadecimal value. 00010001 : Host node Otherwise: other type of node

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
25 | Invalid CSV file. Specify a path to a location to which the file can be output.
28 | Outputting target host list failed. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

  • If file with the same name already exists in specified folder, the file will be overwritten.

[Related items]

About the provided commands

Invariant analysis


SIATCmd PROPERTY NODE

This command acquires performance data retention date of specified node.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe PROPERTY NODE <Node ID> -P [-Z <Timezone>]

[Description]

This command acquires performance data retention date of host node specified by <Node ID>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Node ID> | Specify node ID which acquires performance data retention date.
-P | Display performance data retention date.
-Z <Timezone> | Specify time zone of performance data retention date. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format. Even if this option is specified, it'll be ignored, and the date is output in manager's time zone. Format of date is "yyyy/MM/dd HH:mm". (note)This option is enable when using multi locale version. If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

[Example of use]

SIATCmd.exe PROPERTY NODE 12345678 -P

StartTime: 2013/01/01 00:00

EndTime: 2013/01/31 23:59

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
5 | The specified node ID is invalid. Specify the 8-digit node ID in hexadecimal.
9 | The specified import node does not exist. Specify a node ID that exists in the integrated topology view.
20 | Invalid time zone is specified. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.
30 | Failed to acquire performance data retention date from specified host node. Specify host node which can retain performance data.
31 | Specified host node is not retaining performance data. Import performance data to the host. If you are specifying node for online performance data collection, wait for some time until performance data is stored.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Invariant analysis

Importing performance data

Time zone list


SIATCmd CREATE MODEL

This command executes creation of analysis model.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe CREATE MODEL <Invariant analysis ID> –I <Parameter File Name>

[Description]

This command creates new analysis model to Invariant analyzer node specified by <Invariant analysis ID> according to parameters described on <Parameter File>.

If the model create request is succeeded, display model ID of the created model.

If a parameter is omitted or is invalid, the help is displayed.

This command is unable to create model for Invariant analysis node under linker nodes (e.g. Introscope Linker) . In addition, this command is unable to create model including metrics under linker nodes even from Invariant analysis node not under the linker nodes.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
-I <Parameter File Name> | Specify file which describe parameters for model creation. Specify absolute path of the file. If including spaces in the file or directory name, enclose the name in "(double quotation marks).

[Parameter File]

Describe parameters for model creation in Key=Value format.

In case of Windows, character code of the parameter file must be ANSI or UNICODE(UTF-16LE, BOM). In case of UNIX, character code of the parameter file must be UTF-8(Non BOM).

In case of Windows, line feed codes is CR+LF.

In case of UNIX, line feed codes is LF.

Section name | Description
CreateModel | Section to describe parameters for creating model.
Key name | Description
ModelName | Specify the model name by within 64 characters. This is required item. If space or tab is inserted to before or after the model name, they will be deleted. If manager is Windows and the model name is enclosed by double quotation marks, the double quotation marks will be deleted.
Comment | Specify the comment added to the model by within 64 characters. If this key is omitted, comment will be blanked. If space or tab is inserted to before or after the comment, they will be deleted. If manager is Windows and the model name is enclosed by double quotation marks, the double quotation marks will be deleted.
StartTime | Specify start date and time of modeling period in "YYYYMMDDHHMM" format. This is required item.
EndTime | Specify end date and time of modeling period in "YYYYMMDDHHMM" format. This is required item.
TimeZone | Specify the time zone for start and end date of modeling period. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format. If this key is omitted, time zone of the manager will be applied. (note) Even if time zone is specified, it'll be ignored. Time zone is enable when using multi locale version.
AnalysisInterval | Specify the analysis interval within the range from 1 to 1,440 (min). This is required item.
ThresholdEither | Specify the threshold(Either) within the range from 0.00 to 1.00. If this key is omitted, 0.70 will be applied.
ThresholdBoth | Specify the threshold(Both) within the range from 0.00 to 1.00. If this key is omitted, 0.50 will be applied.
SignificantFigures | Specify the number of valid digits of model within the range from 3 to 7 digits or 0(is not specified). If this key is omitted, 5 will be applied.
NegativeInvariantsHolds | Specify the negative invariants holds by 0 or 1. 0:Invariants which are never broken is not removed. 1:Invariants which are never broken is removed. If this key is omitted, 1 will be applied.
CalcParamN | Specify the input range within the range from 0 to 2. If this key is omitted, 1 will be applied.
CalcParamM | Specify the feedback range within the range from 0 to 2. If this key is omitted, 1 will be applied.
CalcParamK | Specify the time shift within the range from 0 to 2. If this key is omitted, 0 will be applied.

[Example of Parameter File]

[CreateModel]

ModelName=TestModel

StartTime=201302010000

EndTime=201302012359

AnalysisInterval=5

[Example of use]

Executes creation of analysis model in invariant analysis node(NodeID=12345678).

The model parameters for model creation is specified by C:\CreateModel.ini file.

SIATCmd.exe CREATE MODEL 12345678 –I C:\CreateModel.ini

ModelID: 23456789

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
20 | Invalid time zone is specified. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.
24 | Invalid parameter file is specified. Verify that path to parameter file is correctly specified. Verify that content of parameter file is correctly specified.
32 | Create model command failure. Verify resources of computers which manager is installed.
46 | Model counter doesn't exist. Verify if target counters are existing on target host.
47 | Model node doesn't exist. Verify if target host are existing on target business node.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Model

Time zone list


SIATCmd LIST MODEL

This command outputs list of analysis models to CSV file.

  • This command exists on the machine where the manager is installed.

  • In the case of the Linux manager, run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe LIST MODEL <Invariant analysis ID> –O <CSV File Name> [-T] [-U [-B]] [-Z <Timezone>]

[Description]

This command outputs list of models which are managed under the Invariant analysis node specified by <Invariant analysis ID> to CSV file which is specified by <CSV File Name>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
-O <CSV File Name> | Specify a CSV file which outputs model list. Specify a absolute path as the file name. If the filename includes a blank, enclose it with a pair of double quotation marks.
-T | If this option is specified, output CSV file will use tab-delimited format. (Comma-delimited format is used at default).
-U | If this option is specified, the data is output in Unicode(UTF-16 LE) in a Windows system. (The data is output in ANSI by default.) This option is disabled in a UNIX system. (The data is output in UTF-8(Non BOM) on the UNIX.) In case of Windows, line feed code is CR+LF. In case of UNIX, line feed code is LF.
-B | Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given). If the -U option is not specified or data is output on Unix, this option is ineffective.
-Z <Timezone> | Specify time zone of date within output file. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

[CSV File]

Column name

Description

InvariantAnalysisID

Invariant analysis node ID is output in 8-digit hexadecimal value.

Model creation date

Model creation date is output in manager's time zone.

Format of date is "yyyy/MM/dd/ HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

Model creation date( in time zone when created)

Model creation date is output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, output the time based on time zone of model creation. If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

Model creation date(Local)

Output model creation date based on time zone specified in command option.

If time zone is not specified, model creation date is output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

Status

Output current status of the model.

For details of status of model, refer to SIATCmd STATUS MODEL.

Model name

Output the model name within the range from 1 to 64.

Comment

Output the comment added to the model within the range from 0 to 64.

Effective invariants

Output the Effective invariants within the range from 0 to 4,294,967,295.(After model validation.)

Time interval(min)

Output the time interval within the range from 0 to 1440(min).

Modeling period

Starting date and time and ending date and time of modeling period are output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm – yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyy/MM/dd HH:mm +zzz - yyyy/MM/dd HH:mm +zzz".

Modeling period( in time zone when created)

Starting date and time and ending date and time of modeling period are output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm – yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, output modeling period based on time zone of model creation.

If you are using multi locale version, format of date is "yyy/MM/dd HH:mm +zzz – yyyy/MM/dd HH:mm +zzz".

Modeling period(Local)

Starting date and time and ending date and time of modeling period are output in time zone specified in command option.

Format of date is "yyyy/MM/dd HH:mm – yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyy/MM/dd HH:mm +zzz – yyyy/MM/dd HH:mm +zzz".

Last update

Last update date and time of model are output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

Last update( in time zone when created)

Last update date and time of model are output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, output date based on time zone of model creation.

If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

Last update(Local)

Output last update date and time of model based on command option.

If time zone is not specified, the date is output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

The number of counters

Output the number of counters within the range from 0 to 4,294,967,295.

Initial invariants

Output the number of valid correlations when the model was created within the range from 0 to 4,294,967,295.

Threshold(either)

Output the threshold(either) within the range from 0.00 to 1.00.

Threshold(both)

Output the threshold(both) within the range from 0.00 to 1.00.

Significant digits

Output the number of valid correlations within the range from 3 to 7 or 0(it is not specified).

Remove invariants which are never broken

Output the setting of negative invariants holds by 0 or 1.

0:Invariants which are never broken is not removed.

1:Invariants which are never broken is removed.

Input range

Output the input range within the range from 0 to 2.

Feedback range

Output the feedback range within the range from 0 to 2.

Time shift

Output the time shift within the range from 0 to 2.

Time Zone

Output time zone string in manager's time zone.

(note)If you are using multi locale version, output time zone string based on time zone of model creation.

Model ID

Output model ID by 8-digit hexadecimal value.

Status value

Output status value of models.

For details of the status values, refer to SIATCmd STATUS MODEL.

Progress

If status of model is "Creating" or "Validating", shows progress of model within the range from 0 to 100(%).

If the model is in other status or the progress is unclear, output 0(%).

Time Zone ID

Output the manager's time zone ID.

(note)Output the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
20 | Invalid time zone is specified. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.
25 | Invalid CSV file. Specify a path to a location to which the file can be output.
29 | List model command failure. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

  • If CSV file of same name exists on result file directory, IA will overwrite the file.

[Related items]

About the provided commands

Model

Time zone list


SIATCmd VALIDATE MODEL

This command executes validation of model.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe VALIDATE MODEL <Invariant analysis ID> <Model ID> –I <Parameter File Name> [-A]

[Description]

This command validates analysis model specified by <Model ID> under Invariant analyzer node which ID is <Invariant analysis ID> according to parameters described on <Parameter File>.

If the model create request is succeeded, display model ID of the created model.

If a parameter is omitted or is invalid, the help is displayed.

This command is unable to validate model for Invariant analysis node under linker nodes (e.g. Introscope Linker). In addition, this command is unable to validate model including metrics under linker nodes even from Invariant analysis node not under the linker nodes.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
<Model ID> | Specify the model ID.
-I <Parameter File Name> | Specify file which describe parameters for model validation. Specify absolute path of the file. If including spaces in the file or directory name, enclose the name in “(double quotation marks).
-A | Add new counters which are added after model creation or model validation.

[Parameter File]

Describe parameters for model validation in Key=Value format.

In case of Windows, character code of the parameter file must be ANSI or UNICODE(UTF-16LE, BOM). In case of UNIX, character code of the parameter file must be UTF-8(Non BOM).

In case of Windows, line feed codes is CR+LF.

In case of UNIX, line feed codes is LF.

Section name | Description
ValidateModel | Section to describe parameters for model validation.
Key name | Description
StartTime | Specify start date and time of model validation in "YYYYMMDDHHMM" format. This is required item. Specify the date in manager's time zone. (note) In case of multi locale version, specify the time zone that you specified when creating the model.
EndTime | Specify end date and time of model validation in "YYYYMMDDHHMM" format. This is required item. Specify the date in manager's time zone. (note) In case of multi locale version, specify the time zone that you specified when creating the model.

[Example of Parameter File]

[ValidateModel]

StartTime=201302020000

EndTime=201302022359

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
22 | Model ID is invalid. Specify model ID by 8-digit hexadecimal value.
23 | Not found the Model ID. Specify a model ID that exists in the specified invariant analysis node.
24 | Invalid parameter file is specified. Verify that path to parameter file is correctly specified. Verify that content of parameter file is correctly specified.
28 | Target host node was not found Verify if target host exists on target business node.
33 | Validate model command failure. Verify resources of computers which manager is installed.
38 | Invalid model status. Verify that status of target model is blank(Model was normally created).
45 | Model compatibility error. Unable to specify model which is generated by older version of product. Unable to validate model including metrics under linker nodes.
46 | Model counter doesn't exist. Verify if target counters are existing on target host.
47 | Model node doesn't exist. Verify if target host are existing on target business node.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Validating a model


SIATCmd RESET MODEL

This command resets effective invariants of validated model to original state.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe RESET MODEL <Invariant analysis ID> <Model ID>

[Description]

This command resets validated analysis model specified by <Model ID> under Invariant analysis node with <Invariant analysis ID> and bring effective invariants back to original state.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
<Model ID> | Specify the model ID.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
22 | Model ID is invalid. Specify model ID by 8-digit hexadecimal value.
23 | Not found the Model ID. Specify a model ID that exists in the specified invariant analysis node.
35 | Reset model command failure. Verify resources of computers which manager is installed.
38 | Invalid model status. Verify that status of target model is blank(Model was normally created).

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Model


SIATCmd DELETE MODEL

This command deletes model.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe DELETE MODEL <Invariant analysis ID> <Model ID>

[Description]

This command deletes model specified by <Model ID> under Invariant analysis node with <Invariant analysis ID>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
<Model ID> | Specify the model ID.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
22 | Model ID is invalid. Specify model ID by 8-digit hexadecimal value.
23 | Not found the Model ID. Specify a model ID that exists in the specified invariant analysis node.
34 | Delete model command failure. Verify resources of computers which manager is installed.
38 | Invalid model status. Verify that status of target model is blank(Model was normally created), or Fail, or Cancel.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Model


SIATCmd STATUS MODEL

This command outputs current status and percent complete of model.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe STATUS MODEL <Invariant analysis ID> <Model ID> [-P]

[Description]

This command outputs current status and percent complete of creation or validation of model specified by <Model ID> under Invariant analysis node with <Invariant analysis ID>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
<Model ID> | Specify the model ID.
-P | Display percent complete of the model. The percent complete is displayed only when status of the model is "Creating" or "Validating".

[Example of use]

Display model status and progress of model with model ID: 23456789 under Invariant analysis node with Invariant analysis ID : 12345678.

SIATCmd.exe STATUS MODEL 12345678 23456789 –P

Status: Creating

Progress: 12%

[Return values]

Return Value | Description
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
22 | Model ID is invalid. Specify model ID by 8-digit hexadecimal value.
23 | Not found the Model ID. Specify a model ID that exists in the specified invariant analysis node.

The following values are returned as command return values when the status checking succeeds.

Return value | Status | Description
100 | Preparing | The model has received a creation instruction and is waiting for processing.
101 | Creating | The model is being created.
102 | Preparing | The model validation instruction and is waiting for processing.
103 | Validating | The model is being validated.
104 | Canceling | The model creation has received an aborting instruction and is waiting for completion of aborting processing.
105 | Canceling | The model validation has received an aborting instruction and is waiting for completion of aborting processing.
106 | Cancel | Creation has been aborted.
107 | Fail | Creation has failed.
108 | Completed | Creation has been completed and the model is not being used for analysis.
109 | Using | Creation has been completed and the model is being used for analysis.
110 | Resetting | The model is being reset.
111 | Importing | The model is being imported.
112 | Canceling | The model import has received an aborting instruction and is waiting for completion of aborting processing.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands


SIATCmd CANCEL MODEL

This command cancels ongoing creation or validation of model.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe CANCEL MODEL <Invariant analysis ID> <Model ID>

[Description]

This command cancels creation, validation or import of model specified by <Model ID> under Invariant analysis node with <Invariant analysis ID>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
<Model ID> | Specify the model ID.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
22 | Model ID is invalid. Specify model ID by 8-digit hexadecimal value.
23 | Not found the Model ID. Specify a model ID that exists in the specified invariant analysis node.
36 | Failed to cancel creation or validation of model. Verify resources of computers which manager is installed.
38 | Invalid model status. Verify that status of target model is either "Waiting", "Creating", "Preparing", or "Validating".

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands


SIATCmd CSV MODEL

This command outputs detail of analysis model to CSV file.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe CSV MODEL <Invariant analysis ID> <Model ID> –O <CSV File Name> [-T] [-U [-B]] [-I <Parameter File Name>]

[Description]

This command outputs detail of model specified by <Model ID> under Invariant analysis node with <Invariant analysis ID> to CSV file which path is <CSV File Name>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID>

Specify the invariant analysis node ID.

<Model ID>

Specify the model ID.

-O <CSV File Name>

Specify a CSV file which outputs model result.

Specify a absolute path as the file name. If the filename includes a blank, enclose

it with a pair of double quotation marks.

-T

If this option is specified, output CSV file will use tab-delimited format. (Comma-delimited format is used at default).

-U

If this option is specified, the data is output in Unicode(UTF-16 LE) in a Windows system.

(The data is output in ANSI by default.)

This option is disabled in a UNIX system.

(The data is output in UTF-8(Non BOM) on the UNIX.)

In case of Windows, line feed code is CR+LF.

In case of UNIX, line feed code is LF.

-B

Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given).

If the -U option is not specified or data is output on Unix, this option is ineffective.

-I <Parameter File Name>

If this option is specified, parameters used for creation of the model are output to specified file.

Specify absolute path of the file. If including spaces in the file or directory name, enclose the name in "(double quotation marks).

Character code of the output file depends on with or without of –U option.

[CSV File]

Column name | Description
Host (In) | Output name of input host.
Counter (In) | Output name of input counter.
Host (Out) | Output name of output host.
Counter (Out) | Output name of output counter
Filter | Output filter information. 0: Effective invariant 2: Ineffective invariant 4: Effective invariant (Added by validation) 6: Ineffective invariant (Added by validation)
Input range | Output value of input range between 0 to 2.
Feedback range | Output value of feedback range between 0 to 2.
Time shift | Output value of time shift between 0 to 2.
Fitness | Output fitness score (accuracy) of model in real number with exponential notation.
Threshold | Output threshold (acceptable gap between forecast and actual) in real number with exponential notation.
Theta n | Output value of theta n ( n take value 1 to 6) in real number with exponential notation. Number of n depends on each invariant relationship.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
22 | Model ID is invalid. Specify model ID by 8-digit hexadecimal value.
23 | Not found the Model ID. Specify a model ID that exists in the specified invariant analysis node.
24 | Invalid parameter file is specified. Verify that path to parameter file is correctly specified.
25 | Invalid CSV file. Specify a path to a location to which the file can be output.
39 | Csv model command failure. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

  • If CSV file of same name exists on result file directory, IA will overwrite the file.

  • All of the counters including those that are not selected as a target counter are output

[Related items]

About the provided commands

Model


SIATCmd IMPORT MODEL

This command imports analysis model from exported CSV file.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

Linux Manager:

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe IMPORT MODEL <Invariant analysis ID> -C <CSV File Name> -I <Parameter File Name> [-W] [-N] [-U]

[Description]

This command imports analysis model outputs to < CSV File Name > to Invariant analysis node specified by < Invariant analysis ID > according to parameters described on < Parameter File Name >.

If the model import request is succeeded, display model ID of the imported model.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID>

Specify the invariant analysis node ID.

-C <CSV File Name>

Specify CSV file which is output by SIATcmd CSV MODEL command.

Specify absolute path of the analysis results file. If including spaces in the file name, enclose the name in " (double quotation marks).

-I <Parameter File Name>

Specify parameter file which describes parameters for model import. Parameter files used for SIATcmd CREATE MODEL or created by SIATCmd CSV MODEL can be used.

Specify absolute path of the analysis results file. If including spaces in the file name, enclose the name in " (double quotation marks).

-W

Model import synchronization option

After model import request is performed, the process will wait until the model import is completed. If this option is not specified, the process will finish just after model import request is performed.

-N

If this option is specified, the import continues even if counters in CSV file do not exist on Invariant Analyzer. Correlation with the non-existing counters is removed from the model.

If this option is not specified, the import is aborted when counters which do not exist on Invariant Analyzer are found in CSV file.

-U

Specify this option if character code of CSV file is Unicode (UTF16LE).

If this option is not specified, CSV file is loaded as SJS (in case of Windows) or UFT-8 (in case of UNIX) charset file.

In case of Windows, line feed code is CR+LF.

In case of UNIX, line feed code is LF.

[CSV File]

Refer to SIATCmd CSV MODEL for detail.

[Parameter File]

Refer to SIATCmd CREATE MODEL for detail.

[Example]

Import model to Invariant analysis node (ID=12345678)

CSV file of model to import is C:\Model.csv and parameter file for model import is C:\CreateModel.ini.

SIATCmd.exe IMPORT MODEL 12345678 –C C:\Model.csv –I C:\CreateModel.ini -W

ModelID: 23456789

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
20 | Invalid time zone is specified. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.
24 | Invalid parameter file is specified. Verify that path to parameter file is correctly specified. Verify that content of parameter file is correctly specified.
25 | Invalid CSV file. Specify a path to a location to CSV file which is output by SIATCmd CSV MODEL. Verify the CSV file is correctly output.
46 | Model counter doesn't exist. Verify if counters in CSV file are being registered to host nodes.
47 | Corresponding host node doesn't exist. Verify if target host are existing on target business node.
48 | Failed to import model. Read the displayed online message and check the cause. Verify resources of computers which manager is installed.
55 | Any counters combination in CSV file was not exist on target system. Verify that at least one combination of counters in CSV file exist on target system.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Model

SIATCmd CSV MODEL

SIATCmd CREATE MODEL


SIATCmd ONDEMAND ANALYSIS

This command performs on-demand analysis.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe ONDEMAND ANALYSIS <Invariant analysis ID> –I <Parameter File Name> [-W]

[Description]

This command performs on-demand invariant analysis for the invariant analysis node specified by the <Invariant analysis ID> using analysis parameters specified on <Parameter File Name>.

If command is succeeded, analysis ID will be returned.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID for which to perform analysis. The invariant analysis node ID can be viewed in the property view for the invariant analysis node (enclosed in a red frame in the figure below).
-I <Parameter File Name> | Specify file which describes parameters for on-demand analysis. Specify absolute path of the analysis results file. If including spaces in the file name, enclose the name in " (double quotation marks).
-W | On-demand analysis synchronization option After the on-demand analysis request is performed, the process will wait until ondemand analysis is completed.

[Parameter File]

Describe parameters for ondemand analysis in Key=Value format. In case of Windows, character code of the parameter file must be ANSI or UNICODE(UTF-16LE, BOM). In case of UNIX, character code of the parameter file must be UTF-8(Non BOM).

In case of Windows, line feed codes is CR+LF.

In case of UNIX, line feed codes is LF.

Section name

Description

OndemandAnalysis

Section to describe parameters for ondemand analysis.

Key name

Description

StartTime

Specify start date and time of ondemand analysis in "YYYYMMDDHHMM" format.

This is required item.

Specify the date in manager's time zone.

(note) In case of multi locale version, specify time zone to apply by TimeZone key.

EndTime

Specify end date and time of ondemand analysis in "YYYYMMDDHHMM" format.

This is required item.

Specify the date in manager's time zone.

(note) In case of multi locale version, specify time zone to apply by TimeZone key.

TimeZone

Specify the time zone for start and end date of ondemand analysis. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

(note) Even if time zone is specified, it'll be ignored.

Time zone is enable when using multi locale version.

Comment

Specify the comment added to the analysis result by within 256 characters.

If this key is omitted, comment will be blanked.

If space or tab is inserted to before or after the comment, they will be deleted.

If manager is Windows and the comment is enclosed by double quotation marks, the double quotation marks will be deleted.

In case of including new line characters to the comment, escape those characters using escape character, \. Those escaped characters will be converted.

(e.g. "\r" is replaced by <CR>(0x0d), "\n" replaced by <LF>(0x0a), "\\" replaced by "\")

(note)If use a line feed character, specify "\r\n".

IncidentDetection

Specify incident detection threshold within the range from 1 to 100 (%).

If this key is omitted, 5% will be applied.

IncidentRecovery

Specify incident recovery threshold f within the range from 0 to 100 (%).

If this key is omitted, 2% will be applied.

This value must smaller than incident detection threshold value.

IncidentControlSpan

Specify suppression time of alert within the range from 0 to 10,000 (minutes). If this key is omitted, 10 minutes will be applied.

ThresholdOverhead

Specify broken invariant threshold within the range from 0.01 to 3.99.

If this key is omitted, 1.10 will be applied.

CalcRScore

Specify whether to calculate extended anomaly score or not by either 0 (not calculate) or 1 (calculate).

If this key is omitted, value will be 1 (calculate).

ModelID

Specify 8-digit model ID in hexadecimal which will be used to analyze defined period.

This is required item.

[Example of use]

Perform ondemand analysis which invariant analysis node ID is 5012abce. Parameters for the analysis are described in C:\OndemandAnalysis.ini.

SIATCmd.exe ONDEMAND ANALYSIS 5012abce –I C:\OndemandAnalysis.ini

AnalysisID: 5012abcf

[Example of parameter file]

[OndemandAnalysis]

StartTime=201302010000

EndTime=201302012359

ModelID=5012abcd

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
20 | Invalid time zone is specified. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.
23 | Not found the Model ID. Specify a model ID that exists in the specified invariant analysis node.
24 | Invalid parameter file is specified. Verify that path to parameter file is correctly specified. Verify that content of parameter file is correctly specified.
50 | Ondemand analysis request (or ondemand analysis) is failed. Target node is not exists. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Analysis


SIATCmd SUBSEQUENT ANALYSIS

This command requests execution of subsequent analysis. Analysis result will be output to specified file.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe SUBSEQUENT ANALYSIS <Invariant analysis ID> <Analysis ID> <Result File Name> {-P <Start Date> <Start Time> <End Date> <End Time> | -E <End Date> <End Time>} [-S] [-W] [-O <Timezone>] [-T] [-U [-B]] [-N] [-R]

SIATCmd.exe ADDITIONAL ANALYSIS <Invariant analysis ID> <Analysis ID> <Result File Name> {-P <Start Date> <Start Time> <End Date> <End Time> | -E <End Date> <End Time>} [-S] [-W] [-O <Timezone>] [-T] [-U [-B]] [-N] [-R]

SIATCmd.exe ANALYSIS <Invariant analysis ID> <Analysis ID> <Result File Name> {-P <Start Date> <Start Time> <End Date> <End Time> | -E <End Date> <End Time>} [-S] [-W] [-O <Timezone>] [-T] [-U [-B]] [-N] [-R]

[Description]

This command performs subsequent invariant analysis of analysis result with <Analysis ID> under Invariant Analysis node with <Invariant analysis ID>. Start date and time of the subsequent analysis is specified by <Start Date> and <Start Time> and the end date and time of the analysis is specified by <End Date> and <End Time>.

Analysis result file will be exported only when there is anomaly alert.

If "-W" and "-R" are specified, and anomaly alert is successfully export on CSV file, IA will display message "Anomaly alert exists".

If a parameter is omitted or is invalid, the help is displayed.

"SUBSEQUENT ANALYSIS", "ADDITIONAL ANALYSIS" and "ANALYSIS" commands have same function. These commands other than “SUBSEQUENT ANALYSIS” are kept for compatibility with older version

[Parameters]

Invariant analysis ID

Specify the invariant analysis node ID for which to perform subsequent analysis. The invariant analysis node ID can be viewed in the property view for the invariant analysis node (enclosed in a red frame in the figure below).

Analysis ID

Specify the analysis ID for which to perform subsequent analysis. The analysis ID can be viewed in the invariant analysis view for the invariant analysis node (enclosed in a red frame in the figure below).

Result file name

Specify the full path of the analysis results file. If including spaces in the file name, enclose the name in " (double quotation marks).

-P

Perform subsequent analysis by specifying the starting date and time, as well as the ending date and time.

If a starting date and time before the last analysis date and time are specified, subsequent analysis is performed from the last analysis date and time until the subsequent analysis ending date and time.

If an ending date and time before the last analysis date and time or an ending date and time before the starting date and time are specified, a command error occurs.

If this option is specified but the <start date>, <start time>, <end date>, and <end time> parameters are not, a command error occurs.

A command error also occurs if this option is specified but the -P and -E options are not.

-E

Perform subsequent analysis from the last analysis date and time until the specified ending date and time.

If an ending date and time before the last analysis date and time are specified, a command error occurs.

If this option is specified but the <end date> and <end time> parameters are not, a command error occurs.

A command error also occurs if this option is specified but the -P and -E options are not.

Start Date

Specify the subsequent analysis starting date in the YYYY/MM/DD format.

Specify the date based on time zone of manager.

If you are using multi locale version, specify the date based on time zone of analysis definition.

Start Time

Specify the subsequent analysis starting time in the hh:mm format.

Specify the time based on time zone of manager.

If you are using multi locale version, specify the time based on time zone of analysis definition.

End Date

Specify the subsequent analysis ending date in the YYYY/MM/DD format.

Specify date based on time zone of manager

If you are using multi locale version, specify the date based on time zone of analysis definition.

End Time

Specify the subsequent analysis ending time in the hh:mm format.

Specify date based on time zone of manager

If you are using multi locale version, specify the date based on time zone of analysis definition.

-S

Anomaly information output option

If this option is specified and an anomaly alert occurs during subsequent analysis, anomaly information is added to the analysis results file.

Only anomaly information that matches the most closely is added to the analysis results file. If more than one anomaly information item matches the most closely, the anomaly information that was registered on the most recent date is added.

-W

Subsequent analysis synchronization option

When the subsequent analysis target is being analyzed (standby, under analysis, standby for subsequent analysis, under subsequent analysis, under subsequent analysis cancellation, under subsequent analysis backup, or standby for model creation), the subsequent analysis request will be performed after the analysis is completed.

After the subsequent analysis request is performed, the process will wait until the subsequent analysis is completed.

-O <Timezone>

Specify time zone of date within output file.

Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

-T

If this option is specified, output CSV file will use tab-delimited format. (Comma-delimited format is used at default).

-U

If this option is specified, the data is output in Unicode(UTF-16 LE) in a Windows system.

(The data is output in ANSI by default.)

This option is disabled in a UNIX system.

(The data is output in UTF-8(Non BOM) on the UNIX.)

In case of Windows, line feed codes is CR+LF.

In case of UNIX, line feed codes is LF.

-B

Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given).

If the -U option is not specified or data is output on Unix, this option is ineffective.

-N

Escape new line characters in comment by "\".

(<CR>(0x0d) is replaced by "\r", <LF>(0x0a) is replaced by "\n", "\" is replaced by "\\")

At default, those new line characters will be replaced by space.

(<CR><LF>(0x0d0a), <CR>(0x0d) and <LF>(0x0a) are replaced by space).

-R

Anomaly alert Detection Identifier Option

If this option is specified with Subsequent analysis synchronization option and subsequent analysis is successfully completed, outputs return value. There return value will be 0 if there is any anomaly alert and the value will be 200 if there is anomaly alert.

If this option is not specified, with or without anomaly alert, return value will be 0.

If analysis is failed, return other values.

[Analysis results file]

Column name | Description
Occurrence time of anomaly alert | Output occurrence time of anomaly alert in specified time zone. If time zone is not specified, the date is output in manager's time zone. Format of date without time zone is "yyyyMMddHHmm" Format of date with time zone is "yyyyMMddHHmm +zzz"
End time of anomaly alert | Output end time of anomaly alert in specified time zone. If time zone is not specified, the date is output in manager's time zone. Format of date without time zone is "yyyyMMddHHmm" Format of date with time zone is "yyyyMMddHHmm +zzz"
Business ID | Output 8-digit Invariant Analysis ID in hexadecimal.
Business name | Output target business name within 64 characters.
Analysis ID | Output 8-digit Analysis ID in hexadecimal.
Model name | Output target model name within 64 characters.
Time of maximum anomaly | Output time of maximum anomaly in specified time zone. If time zone is not specified, the date is output in manager's time zone. Format of date without time zone is "yyyyMMddHHmm" Format of date with time zone is "yyyyMMddHHmm +zzz"
Total anomaly | Output total anomaly value.
Anomaly information | Output anomaly information within 64 characters. If there is multiple anomaly informations, output only one anomaly with highest similarity.
Comment | Output comment about anomaly information within 1024 characters.
Similarity(%) | Output similarity in percentage to three places of decimal.

The analysis results file is in the CSV format. A header is output to the first line, and the information for one warning is output to each subsequent line.

If the option for outputting related information is specified, related information is added after the warning information.

For the Windows manager, the analysis result file is saved using ANSI encoding or Unicode(UTF-16 LE). For the UNIX (Linux) manager, it is saved using Unicode (UTF-8).

[Example of use]

SIATCmd.exe ANALYSIS 4de34c87 4de344dc "C:\foo\result.csv" -E 2011/05/30 23:59

Performs subsequent invariant analysis of Analysis result(ID=4de344dc) under Invariant Analysis node(ID=4de34c87).

2011/5/30 23:59 is specified as end date and time.

Result is output as C:\foo\result.csv.

[Return values]

Return Value

Description

0

The command succeeded.

In case of Subsequent analysis synchronization option (-W) and anomaly alert detection identifier option (-R) are specified, this value means that analysis result includes any anomaly alert.

(note) If the command with Subsequent analysis synchronization option (-W) and anomaly alert detection identifier option (-R) is succeeded, the command will return either 0 or 200 according to presence or absence of anomaly alert.

1

A parameter is invalid. The help is displayed.

Read the displayed help and specify a correct parameter.

2

Initialization failed.

Check that the computer is in the normal state.

3

Communicating with the manager failed.

Check that the manager is running, and if not, activate the manager and then execute the command.

13

The specified invariant analysis ID is invalid.

Specify the 8-digit invariant analysis node ID in hexadecimal.

14

The specified analysis ID is invalid.

Specify the 8-digit analysis ID in hexadecimal.

15

The specified subsequent analysis date and time are invalid.

Specify the subsequent analysis date and time in the correct format.

Check the analysis period of the specified analysis ID, and specify an subsequent analysis date and time after the period.

If both a starting date and time and ending date and time are specified, specify an ending date and time that is after the starting date and time.

16

The specified invariant analysis ID does not exist.

Specify an invariant analysis node ID that exists in the integrated topology view.

17

Specified analysis ID doesn't exist.

Specify a analysis ID that exists in the specified invariant analysis node.

18

The analysis status is invalid.

Check that the analysis result type of the specified analysis ID is on-demand analysis.

Check that the analysis result status of the specified analysis ID is "Analysis completed".

19

Analysis failed.

Read the displayed online message of subsequent analysis failure, and check the cause.

Review the length of the period for a single subsequent analysis and the settings for the analysis engine.

21

Analysis result compatibility error.

Unable to specify analysis result which is generated by older version of product.

200

The command succeeded.

In case of Subsequent analysis synchronization option (-W) and anomaly alert detection identifier option (-R) are specified, this value means that analysis result includes anomaly alert.

(note) If Subsequent analysis synchronization option (-W) and anomaly alert detection identifier option (-R) are specified and command is succeeded, command will return either 0 or 200 according to presence or absence of anomaly alert.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

  • If anomaly information output option (-S) is specified, it may take time to output analysis result file.

  • If file with the same name already exists in specified folder, the file will be overwritten.

[Related items]

About the provided commands

Performing subsequent analysis

Time zone list


SIATCmd ANALYSIS STATUS

This command is check analysis status.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

C:\Program Files\NEC\UMF\InvariantAnalyzer\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux)

/opt/UMF/Operations/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe ANALYSIS STATUS <Invariant analysis ID> <Analysis ID>

[Description]

For analysis specified for <analysis ID> in the invariant analysis node specified for <invariant analysis ID>, this command check analysis status.

Status message is displayed and return status code when the command ends successfully.

If a parameter is omitted or is invalid, the help is displayed.

Parameters]

Invariant analysis ID | Specify the invariant analysis node ID for which to check analysis status. The invariant analysis node ID can be viewed in the property view for the invariant analysis node (enclosed in a red frame in the figure below).
Analysis ID | Specify the analysis ID for which to check analysis status. The analysis ID can be viewed in the invariant analysis view for the invariant analysis node (enclosed in a red frame in the figure below).

[Return values]

Return values | Description
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
14 | The specified analysis ID is invalid. Specify the 8-digit analysis ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
17 | The specified analysis ID does not exist. Specify an analysis ID that exists in the specified invariant analysis.

The following return values are returned when the command has been successfully completed.

Return values | Description
100 | Waiting
101 | Analyzing
102 | Suspended
103 | Analysis completed
104 | Canceling analysis
105 | Analysis canceled
106 | Analysis failed
108 | Waiting subsequent analysis
109 | Analyzing subsequence
110 | Canceling subsequent analysis
114 | Waiting for analysis engine connection
116 | Updating analysis definition

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[Related item]

About the provided commands

Analysis


SIATCmd LIST ANALYSIS

This command acquire list of analysis result.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe LIST ANALYSIS <Invariant analysis ID> –O <CSV File Name> [-T] [-U [-B]] [-Z <Timezone>] [-N]

[Description]

This command outputs list of invariant analysis result for the invariant analysis node specified by the <Invariant analysis ID> to csv file which path is specified by <CSV File Name>.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
-O <CSV File Name> | Specify a CSV file which outputs analysis result list. Specify a absolute path as the file name. If the filename includes a blank, enclose it with a pair of double quotation marks.
-T | If this option is specified, output CSV file will use tab-delimited format. (Comma-delimited format is used at default).
-U | If this option is specified, the data is output in Unicode(UTF-16 LE) in a Windows system. (The data is output in ANSI by default.) This option is disabled in a UNIX system. (The data is output in UTF-8(Non BOM) on the UNIX.) In case of Windows, line feed code is CR+LF. In case of UNIX, line feed code is LF.
-B | Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given). If the -U option is not specified or data is output on Unix, this option is ineffective.
-Z <Timezone> | Specify time zone of performance data retention date. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.
-N | Escape new line characters in comment by "\". (<CR>(0x0d) is replaced by "\r", <LF>(0x0a) is replaced by "\n", "\" is replaced by "\\") At default, those new line characters will be replaced by space. (<CR><LF>(0x0d0a), <CR>(0x0d) and <LF>(0x0a) are replaced by space).

[CSV File]

Column name

Description

InvariantAnalysisID

Invariant analysis node ID is output in 8-digit hexadecimal value.

Analysis date

Analysis date is output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

Analysis date( in time zone when defined)

Analysis date is output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, output the time based on time zone of analysis definition.

If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

Analysis date(Local)

Output analysis date based on time zone specified in command option.

If time zone is not specified, the date is output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

Status

Output current status of the model.

For details of status of model, refer to SIATCmd ANALYSIS STATUS.

Analysis period

Starting date and time and ending date and time of analysis period are output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm – yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz – yyyy/MM/dd HH:mm +zzz".

Analysis period( in time zone when defined)

Starting date and time and ending date and time of analysis period are output in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm – yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, output the time based on time zone of model creation.

If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz – yyyy/MM/dd HH:mm +zzz".

Analysis period(Local)

Starting date and time and ending date and time of analysis period are output in specified time zone.

If time zone is not specified, the date is output in manager’s time zone.

Format of date is "yyyy/MM/dd HH:mm – yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz – yyyy/MM/dd HH:mm +zzz".

User name

Output username who perform the analysis.

Comment

Output the comment added to the analysis within the range from 0 to 256 characters.

New line characters will be replaced by space ( ).

If specified option, escape new line characters in comment by "\".

Type

Output type of analysis.

On demand Analysis:On-demand

Real time analysis:Real-time

Analysis ID

Output analysis ID by 8-digit hexadecimal value.

Model name

Output the model name for which the whole period is specified in the model application schedule within the range from 1 to 64 characters.

Model ID

Output model ID by 8-digit hexadecimal value.

Extended anomaly score

Output whether extend anomaly is calculated or not.

0:not calculated

1: calculated

Time Zone

Output time zone string based on time zone of analysis definition.

Status value

Output status value of models.

For details of the status values, refer to SIATCmd ANALYSIS STATUS.

Progress

If status of on-demand analysis is "Analyzing" or "Analyzing subsequence", shows progress of analysis within the range from 0 to 100(%). If the analysis is in other status or the progress is unclear, output 0(%).

Time Zone ID

Output manager time zone ID.

Output the time zone ID and daylight saving time (0 or 1) in the comma-delimited format.

(note)If you are using multi locale version, output time zone ID specified in model creation.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
20 | Invalid time zone is specified. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.
25 | Invalid CSV file. Specify a path to a location to which the file can be output.
51 | List analysis command failure. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

  • If file with the same name already exists in specified folder, the file will be overwritten.

[Related items]

About the provided commands

Analysis


SIATCmd CANCEL ANALYSIS

This command cancels ongoing on-demand analysis or on-demand subsequent analysis.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe CANCEL ANALYSIS <Invariant analysis ID> <Analysis ID>

[Description]

This command cancels on-demand analysis or sequent analysis of analysis specified by <AnalysisID> which is managed by the invariant analysis node specified by the <Invariant analysis ID> .

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

Invariant analysis ID | Specify the invariant analysis node ID.
Analysis ID | Specify the analysis ID.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
14 | The specified analysis ID is invalid. Specify the 8-digit analysis ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
17 | Specified analysis ID doesn’t exist. Specify a analysis ID that exists in the specified invariant analysis node.
18 | Invalid analysis status. Verify that type of specified analysis is on-demand analysis. Verify that status of specified analysis is "Waiting" or "Analyzing".
52 | Failed to cancel on-demand analysis or subsequent analysis. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Analysis


SIATCmd DELETE ANALYSIS

This command deletes analysis result.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe DELETE ANALYSIS <Invariant analysis ID> <Analysis ID>

[Description]

This command deletes analysis result specified by <AnalysisID> which is managed by the invariant analysis node specified by the <Invariant analysis ID>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

Invariant analysis ID | Specify the invariant analysis node ID.
Analysis ID | Specify the analysis ID.

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
14 | The specified analysis ID is invalid. Specify the 8-digit analysis ID in hexadecimal.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
17 | Specified analysis ID doesn't exist. Specify a analysis ID that exists in the specified invariant analysis node.
18 | Invalid analysis status. Verify that type of specified analysis is on-demand analysis. Verify that status of specified analysis is "Analysis completed", "Analysis canceled" or "Analysis failed".
53 | Failed to delete analysis result. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands

Analysis


SIATCmd CSV ANALYSIS

This command exports analysis result of Invariant Analyzer to CSV file.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe CSV ANALYSIS <Invariant analysis ID> <Analysis ID> -O <CSV file> [-S <Start Date> <Start Time>] [-E <End Date> <End Time>] [-D <Data Type>] [-T] [-U [-B]] [-Z <Timezone>]

[Description]

This command outputs analysis result of invariant analysis specified by <Analysis ID> under Invariant analysis node with <Invariant analysis ID> to CSV file which path is <CSV File Name>.

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID> | Specify the invariant analysis node ID.
<Analysis ID> | Specify the analysis ID.
-O <CSV File Name> | Specify a CSV file which outputs analysis result.. Specify absolute path as the file name. If the filename includes a blank, enclose it with a pair of double quotation marks.
-S | Specify start date and time of analysis result to output. If this option is specified but the <Start Date> and <Start Time>parameters are not, a command error occurs. If this option is not specified, analysis result is output from start time of the analysis.
-E | Specify end date and time of analysis result to output. If this option is specified but the <End Date> and <End Time>parameters are not, a command error occurs. If this option is not specified, analysis result is output to end time of the analysis.
Start Date | Specify the additional analysis starting date in the YYYY/MM/DD format. If you are using multi locale version, specify the date based on time zone of analysis definition.
Start Time | Specify the additional analysis starting time in the hh:mm format. If you are using multi locale version, specify the time based on time zone of analysis definition.
End Date | Specify the additional analysis ending date in the YYYY/MM/DD format. If you are using multi locale version, specify the date based on time zone of analysis definition.
End Time | Specify the additional analysis ending time in the hh:mm format. If you are using multi locale version, specify the date based on time zone of analysis definition.
-D <Data Type> | Specify type of information output to CSV file. 1: Extended Anomaly Score Information 2: Anomaly Invariant Information 3: Both Extended Anomaly Score Information and Anomaly Invariant Information If this option is not specified, extended anomaly score information and anomaly invariant information is not output to CSV file.
-T | If this option is specified, output CSV file will use tab-delimited format. (Comma-delimited format is used at default).
-U | If this option is specified, the data is output in Unicode(UTF-16 LE) in a Windows system. (The data is output in ANSI by default.) This option is disabled in a UNIX system. (The data is output in UTF-8(Non BOM) on the UNIX.) In case of Windows, line feed codes is CR+LF. In case of UNIX, line feed codes is LF.
-B | Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given). If the -U option is not specified or data is output on Unix, this option is ineffective.
-Z <Timezone> | Specify the time zone for the import file. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

[CSV File]

Column

Description

Type

Present type of the output line.

0: Analysis Information

1: Extended Anomaly Score Information

2: Anomaly Invariant Information

This command outputs an analysis information line and then extended anomaly score information lines and anomaly invariant information lines in every analysis interval.

Extended anomaly score information lines and anomaly invariant information lines are not output if there is no related information or specified not to output those information by –D option.

Analysis Time

Output date and time of analysis result in manager's time zone.

Format of date is "yyyy/MM/dd HH:mm".

(note)If you are using multi locale version, format of date is "yyyy/MM/dd HH:mm +zzz".

This information is output to “0: Analysis Information” line.

Model ID

Output 8-digit Model ID in hexadecimal.

This information is output to "0: Analysis Information" line.

Model name

Output target model name within 64 characters.

This information is output to "0: Analysis Information" line.

Invariants count

Output number of invariants in positive integer.

This information is output to "0: Analysis Information" line.

Broken invariants count

Output number of broken invariants in positive integer.

This information is output to "0: Analysis Information" line.

Host(Extended Anomaly Score)

Output name of host.

There is no limit to number of characters.

This information is output to "1: Extended Anomaly Score Information

" line.

Counter(Extended Anomaly Score)

Output name of counter.

There is no limit to number of characters.

This information is output to "1: Extended Anomaly Score Information

" line.

Extended Anomaly Score

Output extended anomaly score in real number with exponential notation.

This information is output to "1: Extended Anomaly Score Information

" line.

Host (In)

Output name of host (Input).

There is no limit to number of characters.

This information is output to "2: Anomaly Invariant Information

" line.

Counter (In)

Output name of counter (Input).

There is no limit to number of characters.

This information is output to "2: Anomaly Invariant Information

" line.

Host (Out)

Output name of host (Output).

There is no limit to number of characters.

This information is output to "2: Anomaly Invariant Information

" line.

Counter (Out)

Output name of counter (Output).

There is no limit to number of characters.

This information is output to "2: Anomaly Invariant Information

" line.

Significant

Output significance of the anomaly invariant in real number (-1.0E+38 - 1.0E+38) with exponential notation.

This information is output to "2: Anomaly Invariant Information

" line.

Fitness

Output fitness score (accuracy) of the anomaly invariant in real number (0.0 – 1.0) with exponential notation.

This information is output to "2: Anomaly Invariant Information

" line.

Residual

Output residual value (gap between actual value and forecasted value) of the anomaly invariant in real number (-1.0E+38 - 1.0E+38) with exponential notation.

This information is output to "2: Anomaly Invariant Information

" line.

  • Type

Header Analysis Information Extended Anomaly Score Information Anomaly Invariant Information

  • Example of output

"Type","Analysis Time","Model ID","Model name","Invariants count","Broken invariants count","Host(Extended Anomaly Score)","Counter(Extended Anomaly Score)"," Extended Anomaly Score","Host (In)","Counter (In)","Host (Out)","Counter (Out)","Significant","Fitness","Residual"

0,"2012/6/15 16:00","51aea3f1","Business",130,10,,,,,,,,,,

1,,,,,,"host001","Average Write Response Time(micro sec)",4.56266820E-001,,,,,,,

1,,,,,,"host001","Read Transfer Rate(KB/S)",5.31812191E-001,,,,,,,

1,,,,,,"host001","Average Read Response Time(micro sec)",5.00000000E-001,,,,,,,

1,,,,,,"host001","Write Transfer Rate(KB/S)",4.91071463E-001,,,,,,,

1,,,,,,"host001","Read Count",5.76223254E-001,,,,,,,

2,,,,,,,,,"host001","Average Write Response Time(micro sec)","host001","Read Count",75,1.44198215E+000,8.75787020E-001,1.28758408E+002

2,,,,,,,,,"host001","Read Count","host001","Write Count",76,1.67543006E+000,7.35148013E-001,8.54793701E+002

2,,,,,,,,,"host001","Max Read Response Time(micro sec)","host001","Average Read Response Time(micro sec)",80,1.68105626E+000,8.96260977E-001,1.66536523E+003

2,,,,,,,,,"host001","Read Transfer Rate(KB/S)","host001","Write Transfer Rate(KB/S)",81,1.13938880E+000,9.27497983E-001,6.26230469E+002

2,,,,,,,,,"host001","Write Transfer Rate(KB/S)","host001","Read Transfer Rate(KB/S)",82,3.72256279E+000,9.79444027E-001,5.75555664E+002

2,,,,,,,,,"host001","Read Count","host001","Read Transfer Rate(KB/S)",83,1.88510342E+001,9.70543027E-001,4.93283838E+003

2,,,,,,,,,"host001","Read Count","host001","Write Transfer Rate(KB/S)",85,1.07117243E+001,9.26379025E-001,5.45775732E+003

2,,,,,,,,,"host001","Read Transfer Rate(KB/S)","host001","Average Read Response Time(micro sec)",87,2.95897341E+000,7.03718007E-001,6.73332373E+003

2,,,,,,,,,"host001","Average Read Response Time(micro sec)","host001","Average Read Response Time(micro sec)",88,1.20388448E+000,9.42094028E-001,5.72283203E+002

0,"2012/6/15 16:01","51aea3f1","Business",130,12,,,,,,,,,,

1,,,,,,"host001","Average Write Response Time(micro sec)",4.56266820E-001,,,,,,,

(The rest is omitted.)

[Return values]

Return Value | Description
0 | The command succeeded.
1 | A parameter is invalid. The help is displayed. Read the displayed help and specify a correct parameter.
2 | Initialization failed. Check that the computer is in the normal state.
3 | Communicating with the manager failed. Check that the manager is running, and if not, activate the manager and then execute the command.
13 | The specified invariant analysis ID is invalid. Specify the 8-digit invariant analysis node ID in hexadecimal.
14 | The specified analysis ID is invalid. Specify the 8-digit analysis ID in hexadecimal.
15 | The specified date and time are invalid. Specify the date and time in the correct format. If both a starting date and time and ending date and time are specified, specify an ending date and time that is after the starting date and time.
16 | The specified invariant analysis ID does not exist. Specify an invariant analysis node ID that exists in the integrated topology view.
17 | Specified analysis ID doesn't exist. Specify a analysis ID that exists in the specified invariant analysis node.
18 | Invalid analysis status. Verify that status of specified analysis is "Analysis completed".
20 | Invalid time zone is specified. Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.
21 | Analysis result compatibility error. Unable to specify analysis result which is generated by older version of product.
25 | Invalid CSV file. Specify a path to a location to which the file can be output.
56 | Failed to execute command and output analysis result. Verify resources of computers which manager is installed.

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

  • If file of same name exists on result file directory, IA will overwrite the file.

[Related items]

About the provided commands

Analysis

Viewing analysis results


SIATCmd CSV ALERT

This command outputs anomaly alerts to CSV file.

  • This command exists on the machine where the manager is installed.

  • In the case of the UNIX Manager (HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager:

<Manager's installation directory>\Manager\bin\SIATCmd.exe

UNIX Manager (HP-UX, Linux):

<Manager's installation directory>/Manager/bin/SIATCmd.exe

[Specification method]

SIATCmd.exe CSV ALERT <Invariant analysis ID> <Analysis ID> –O <CSV File Name> [-S <Start Date> <Start Time>] [-E <End Date> <End Time>] [-F] [-T] [-U [-B]] [-Z <Timezone>] [-N]

[Description]

This command outputs CSV report file of anomaly alerts included in analysis specified by <AnalysisID> which is managed by the invariant analysis node specified by the <Invariant analysis ID>. The report file is output to file path specified by <CSV File Name>.

The report file is output only when the analysis has raised alert.

If report file is output, command will return value "Anomaly alert exists".

If a parameter is omitted or is invalid, the help is displayed.

[Parameters]

<Invariant analysis ID>

Specify the invariant analysis node ID.

<Analysis ID>

Specify the analysis ID.

-O <CSV File Name>

Specify a CSV file which outputs anomaly alerts.

Specify a absolute path as the file name. If the filename includes a blank, enclose

it with a pair of double quotation marks.

-S <Start Date> <Start Time>

Specify start date and time of period to verify existence of alerts.

If this option is omitted, the period starts from analysis start date and time.

(note)If you are using multi locale version, specify the date based on time zone of analysis definition.

-E <End Date> <End Time>

Specify end date and time of period to verify existence of alerts.

If this option is omitted, the period ends at analysis end date and time.

(note)If you are using multi locale version, specify the date based on time zone of analysis definition.

-F

Related Anomaly Information Output Option.

Specifying this option adds related anomaly information to output file if there is anomaly information to the detected anomaly alerts.

Only related anomaly with the highest similarity will be added. If multiple anomalies have same similarity, latest anomaly will be output to the file.

-T

If this option is specified, output CSV file will use tab-delimited format. (Comma-delimited format is used at default).

-U

If this option is specified, the data is output in Unicode(UTF-16 LE) in a Windows system.

(The data is output in ANSI by default.)

This option is disabled in a UNIX system.

(The data is output in UTF-8(Non BOM) on the UNIX.)

In case of Windows, line feed codes is CR+LF.

In case of UNIX, line feed codes is LF.

-B

Specify this option to prevent giving BOM (Byte Order Mark) to output files when the -U option is specified to output Unicode on Windows (by default, BOM is given).

If the -U option is not specified or data is output on Unix, this option is ineffective.

-Z <Timezone>

Specify time zone of date within output file.

Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

-N

Escape new line characters in comment by "\".

(<CR>(0x0d) is replaced by "\r", <LF>(0x0a) is replaced by "\n", "\" is replaced by "\\")

At default, those new line characters will be replaced by space.

(<CR><LF>(0x0d0a), <CR>(0x0d) and <LF>(0x0a) are replaced by space).

[CSV File]

Output format is same as format of analysis results file of SIATCmd SUBSEQUENT ANALYSIS.

Refer to SIATCmd SUBSEQUENT ANALYSIS.

[Return values]

Return Value

Description

0

The command succeeded.

No anomaly alert is detected during specified period.

[note] If command is succeeded, command will return either 0 (there is no alert) or 200 (there is alert).

1

A parameter is invalid. The help is displayed.

Read the displayed help and specify a correct parameter.

2

Initialization failed.

Check that the computer is in the normal state.

3

Communicating with the manager failed.

Check that the manager is running, and if not, activate the manager and then execute the command.

13

The specified invariant analysis ID is invalid.

Specify the 8-digit invariant analysis node ID in hexadecimal.

14

The specified analysis ID is invalid.

Specify the 8-digit analysis ID in hexadecimal.

15

The specified subsequent analysis date and time are invalid.

Specify the date and time in the correct format.

Verify the analysis period of the specified analysis ID, and specify date and time within the period.

If both a starting date and time and ending date and time are specified, specify an ending date and time that is after the starting date and time.

16

The specified invariant analysis ID does not exist.

Specify an invariant analysis node ID that exists in the integrated topology view.

17

Specified analysis ID doesn't exist.

Specify a analysis ID that exists in the specified invariant analysis node.

18

Invalid analysis status.

Verify that type of specified analysis is on-demand analysis.

Verify that status of specified analysis is "Analysis completed".

20

Invalid time zone is specified.

Specify the time zone ID and daylight saving time (0 or 1) in <Timezone> in the comma-delimited format.

25

Invalid CSV file.

Specify a path to a location to which the file can be output.

54

Failded to execute anomaly alert output command.

Verify resources of computers which manager is installed.

200

The command succeeded.

Anomaly alert is detected during specified period.

[note] If command is succeeded, command will return either 0 (there is no alert) or 200 (there is alert).

[Note]

  • To execute this command on UNIX Manager (HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX Manager (HP-UX, Linux), specify and execute a command by using an absolute path.

  • If anomaly information output option (-F) is specified, it may take time to output analysis result file.

  • If file with the same name already exists in specified folder, the file will be overwritten.

[Related items]

About the provided commands

Analysis

Viewing analysis results


OperationCmd SU

This command converts a definition file into an SG object file.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\OperationCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/OperationCmd.exe

[Specifying procedure]

OperationCmd.exe SU <ImportConfigFile> [SgObjectFile]

[Description]

This command creates an SG object file from the import definition file specified by the argument <Import ConfigFile> under the file name specified by [SgObjectFile].

The file specified for [SgObjectFile] is overwritten if it already exists.

If a parameter is omitted or is invalid, the help is displayed.

[Argument]

ImportConfigFile

Specifies the name of the import definition file to be converted by using an absolute path.

This parameter cannot be omitted.

If including spaces in the file name, enclose the name in ""(double quotation marks).

With respect to the character code, specify UTF-16 LE for Windows, and UTF-8 for UNIX (HP-UX/Linux).

If you want to use time trigger or validity period, store the schedule definition file in the same directory as <ImportConfigFile>.

SgObjectFile

Specifies the name of the object file that is output by converting the import definition file by using an absolute path.

If you omit this argument, the import definition file is output to the path specified by ImportConfigFile after the file extension is changed to "sgo."

The schedule definition file stored in the same directory as <ImportConfigFile> is not output to the SG object output destination.

[Return value]

0 is returned on success when the scenario end wait parameter is not specified.

When the command has failed, it will output a message to the standard output and return a value depending on the content of the error.

Return Value

Description

1

A parameter is invalid. The help is displayed.

2

Initialization failed.

3

Specification of the <ImportConfigFile> file is invalid.

4

Failed to write the [SgObjectFile] file.

Writing the file of the output target failed. Check the disc free space of the output destination or check whether the file attribute is read only.

Contact the developer with the contents of "DetailCode: <Error detail code>" attached that is a standard output when problems cannot be solved.

5

The import definition file format is incorrect.

Check the message description and the import definition file, and then remove the definition error.

6

Command failure (caused by a reason other than a format error)

7

OperationCmd has already executed the import.

9

Communication error with the manager.

Check that the manager is started up, and execute the command under the state where the manager is started up.

14

The schedule import definition file does not exist.

(The schedule file name is output.)

15

The schedule definition file is invalid.

The following information is displayed.

Action name, schedule file name, error detail output, error line number, key at the relevant position, value

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[Related items]

About the provided commands


OperationCmd IMPORT

This command is used to import the object files that were converted by the "OperationCmd SU" command into the manager and update definition information.

  • The command resides in a machine to which the manager function has been installed.

  • In the case of the UNIX manager(HP-UX, Linux), run the command with an account that has the root user right.

[Path]

Windows Manager

<Manager's installation directory>\Manager\bin\OperationCmd.exe

UNIX Manager (HP-UX, Linux)

<Manager's installation directory>/Manager/bin/OperationCmd.exe

[Specifying procedure]

OperationCmd.exe IMPORT <SgObjectFile>

[Description]

This command imports all the tree structure and action definitions of the file specified by the argument <SgObjectFile> from the manager to the groups and actions under the control of the operation control view at once.

If importing is successful, all the tree structures and action definitions (including action and command histories) are deleted except for the groups and actions with the same name.

If the argument is omitted, Help is displayed.

[Argument]

SgObjectFile

Specify the full path of the SG object file.

This parameter cannot be omitted.

If including spaces in the file name, enclose the name in "" (double quotation marks).

If you want to use time trigger or validity period, store the schedule definition file in the same directory as <SgObjectFile>.

[Return value]

0 is returned on success when the scenario end wait parameter is not specified.

When the command has failed, it will output a message to the standard output and return a value depending on the content of the error.

Return Value | Description
1 | A parameter is invalid. The help is displayed.
2 | Initialization failed.
3 | Specification of the <SgObjectFile> file is invalid.
4 | Failed to write the manager definition file.
7 | OperationCmd has already executed the import.
8 | A console is in the definition mode.
9 | Communication error with the manager. Check that the manager is started up, and execute the command under the state where the manager is started up.
10 | An action is being executed, waiting to be checked, or on hold.
11 | Importing failed.
14 | The schedule import definition file does not exist. (The schedule file name is output.)
16 | Importing a schedule failed. The following information is displayed. Action name, schedule file name, error detail output*1

*1 Output of error details during schedule importing

[Note]

  • To execute this command on UNIX manager(HP-UX, Linux), library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager(HP-UX, Linux), specify and execute a command by using an absolute path.

[Addition]

  • When the manager is stopped when the command is executed

  • The monitoring terminal in definition mode exists when the command is executed.

  • A file other than the one created by using the SG conversion command is specified for <SgObjectFile>.

  • An action is being executed, waiting to be checked, or on hold during command execution.

[Related items]

About the provided commands


Backup command

This command backs up the definition file for each of the services installed on the manager.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\SysMonMgr.exe

UNIX manager

<Manager's installation directory>/Manager/bin/SysMonMgr

[Specifying Procedure]

SysMonMgr.exe -backup [-L] [-S] [-B]

[Description]

It backs up the definition files.

When the backup operation has completed successfully, information on the path to the backup destination will be output to the standard output.

[Argument]

In the case of a cluster configuration, you can use the -L, -S, or -B option to specify the target on which the definition files and the like you wish to back up reside.

-L | Backs up only the definition files and the like that are saved on a local disk.
-S | Backs up only the definition files and the like that are saved on a shared disk.
-B | Backs up the definition files that are saved on both a local disk and a shared disk.

When the option is omitted, the command will take the same action as when -B is specified.

[Return value]

Upon successful completion, it will return 0 (zero).

Upon unsuccessful completion, it will return 2.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • To execute this command, the manager must be running.

  • This command changes the mode to the configuration mode and performs backup. This command fails if there is a console in configuration mode. This command cannot be run concurrently.

  • The local disk backup is created in <Manager's installation directory>/Manager/backup/nnn with a number starting from 001 (nnn is an integer value from 000 to 999 and the initial number is 001).
    The shared disk backup is created in backup/nnn under <Data directory on Shared disk> with a number starting from 001 (nnn is an integer value from 000 to 999 and the initial number is 001).

  • Upper bound of nnn is limited 10 by default. To override this setting, please make MaxIndex key under [Backup] section. Valid MaxIndex ranges are 1-999.
    Restarting of the manager service is not required to reflect the change.
    This section and key does not exist by default. Please add them to SysMonMgr.ini if required.
    Save the files without changing the character encoding and line feed codes.
    [e.g.] Limiting nnn range to 000-050
    [Backup]
    MaxIndex=50

  • If nnn exceeds the limit specified by MaxIndex, nnn will be reset to 000. Following backup will keep incrementing nnn, overwriting old backups.

  • To make a backup copy on an another storage device, copy the whole nnn directory to the storage device.
    To preserve file attributes, it is appropriate to copy files after archiving by the archiver such as zip at Windows manager, or tar at UNIX manager.

    • If the system is configured as a cluster, "backup" directory which is existed in the same directory tree as "sg" directory on the shared disk must also be copied in addition to the directory mentioned above.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • Do not create a file or directory in the backup destination.

[References]

About the provided commands


Backup list command

This command lists the backups that are currently held on the manager.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\SysMonMgr.exe

UNIX manager

<Manager's installation directory>/Manager/bin/SysMonMgr

[Specifying Procedure]

SysMonMgr.exe -listbackup

[Description]

It outputs the backup list information to the standard output.

When you want to restore definition files from a desired backup or delete a desired backup, you must specify the corresponding backup identifier that is displayed in the list.

Description of each displayed column

For a cluster configuration

[TimeStamp] | Displays the date and time each backup of the files was created in the ISO 8601 format (yyyy-mm-ddThh:mm:ss format).
[L DirName] | Displays backup identifiers on the local disk.
[S DirName] | Displays backup identifiers on the shared disk.
[HostName] | Displays the host name from which each backup of the files was created.

Description of each displayed column

For non-cluster configuration

[TimeStamp] | Displays the date and time each backup of the files was created in the ISO 8601 format (yyyy-mm-ddThh:mm:ss format).
[L DirName] | Displays backup identifiers at the backup made by -B or -L. Displays '---' at the backup made by -S.
[S DirName] | Displays backup identifiers at the backup made by -B or -S. Displays '---' at the backup made by -L.
[HostName] | Displays the host name from which each backup of the files was created.

[Return value]

Upon successful completion, it will return 0 (zero).

Upon unsuccessful completion, it will return 2.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Restore command

Backup delete command


Backup delete command

This command deletes a specified backup that is currently held on the manager, or all of them.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\SysMonMgr.exe

UNIX manager

<Manager's installation directory>/Manager/bin/SysMonMgr

[Specifying Procedure]

SysMonMgr.exe -deletebackup [-f] -all

SysMonMgr.exe -deletebackup [-f] <Backup Identifier>

For a cluster configuration only

SysMonMgr.exe -deletebackup [-f] <Target> -all

SysMonMgr.exe -deletebackup [-f] <Target> <Backup Identifier>

[Description]

It deletes all the backups or the specified backup.

If the -all option is specified, or if a set of backups on the local disk and on the shared disk in a cluster configuration by the -B option is imperfect, you will be prompted to confirm the action.

[Argument]

In the case of a cluster configuration, you can use the -L, -S, or -B option to specify the target on which the backup(s) you want to delete reside.

-f | The delete process will continue as if a user specified "Y" in the confirmation window.
-all | Deletes all the backups.
backup Identifier | Specify the backup you want to delete. It corresponds to one of the backup identifiers that will be displayed with the backup list command.
Target | Specify one of -L, -S, or -B. Each of them has the same meaning as in the backup command.

[Return value]

Upon successful completion, it will return 0 (zero).

Upon unsuccessful completion or when the command is canceled, it will return 2.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • For UNIX manager, specify and execute a command by using an absolute path.

[References]

About the provided commands

Backup command

Backup list command


Restore command

This command restores the definition files from a specified backup that is held on the manager.

  • The command exists in the machine where the manager function has been installed.

  • In the case of the UNIX manager, run the command with an account that has the root user right.

[Path]

Windows manager

<Manager's installation directory>\Manager\bin\SysMonMgr.exe

UNIX manager

<Manager's installation directory>/Manager/bin/SysMonMgr

[Specifying Procedure]

SysMonMgr.exe -restore [-f] -latest

SysMonMgr.exe -restore [-f] <Backup Identifier>

For a cluster configuration only

SysMonMgr.exe -restore [-f] <Target> -latest

SysMonMgr.exe -restore [-f] <Target> <Backup Identifier>

[Description]

It restores the definition files from the specified backup.

[Argument]

-f | The restoration process will continue as if a user specified "Y" in the confirmation window.
-latest | Selects the latest backup.
backup Identifier | Specify a desired backup from which you want to restore the definition files. It corresponds to one of the backup identifiers that will be displayed with the backup list command.
Target | Specify one of -L, -S, and -B. Each of them has the same meaning as in the backup command.

In the case of a cluster configuration, you can specify more than one <Target> and <Backup Identifier> pair.

[e.g.] SysMonMgr.exe -restore -L 009 -S 007

[Return value]

Upon successful completion, it will return 0 (zero).

Upon unsuccessful completion or when the command is canceled, it will return 2.

[Note]

  • To execute this command on UNIX manager, library path and other settings are required. See About the provided commands for command details.

  • To execute this command, the manager must be stopped.

  • This command cannot be run concurrently, so do not attempt to execute multiple restore operations simultaneously.

  • If this command is executed by specifying the backup data created by specifying an option other than -S for the backup target, license information will also be restored using the information from when the backup data was created.

  • To use the backup data saved on a removable media, etc., restore the same directory configuration as when the backup data was saved, and then execute the restore command.
    You must then make changes to the files and directory if necessary, such as removing read-only attributes, so that they may be writable.
    In addition, the nnn part of the directory name can be overwritten with any number, as long as it falls in the range of 000 to 999.

  • restoreNN directories will be created under backup directory during the restore session. These directories can be removed after a successful restoration.

  • For UNIX manager, specify and execute a command by using an absolute path.

  • In the case of hierarchization, stop the upper-level manager and delete the files under the upper-level manager.
    Windows manager

<Installation directory>\Manager\sg\MessageLinker\[Manager]_***.pos

UNIX manager

<Installation directory>/Manager/sg/MessageLinker/[Manager]_***.pos

[Note]
Delete files which include the manager name in their file names only.
Replace *** with arbitrary numbers.
The above does not sometimes exist.

[References]

About the provided commands

Backup command

Backup list command


AppNaviAgtCmd

Command for sharing use of SystemManager G agents.

  • The command exists in a machine into which the agent function has been installed.

[Path]

Windows agent

<Agent's installation directory>\Agent\bin\AppNaviAgtCmd.exe

UNIX agent

<Agent's installation directory>/Agent/bin/AppNaviAgtCmd.exe

[Specifying Procedure]

AppNaviAgtCmd.exe <ApplicationName> [<Option1> <Option2> ...]

AppNaviAgtCmd.exe [<ApplicationName>] -h

[Description]

Various functions are provided for the monitoring of applications specified in an

<ApplicationName> argument.

When no argument was supplied, or when the arguments was invalid, help message will be displayed.

[Argument]

ApplicationName | Monitoring application name operated. Specify an application name such as Oracle, WebLogic, etc. Currently, only "Tomcat" can be specified.
Option1, Option2, ... | The desired optional character string can be specified for each application.
-h | Help message output. ApplicationName can specified or left unspecified.

[References]

AppNaviAgtCmd Tomcat


AppNaviAgtCmd Tomcat

Command that indicates correspondence between a truncated instance name and an official instance name of Tomcat in Tomcat monitoring.

  • The command resides in a machine into which the agent function has been installed.

[Path]

Windows agent

<Agent's installation directory>\Agent\bin\AppNaviAgtCmd.exe

UNIX agent

<Agent's installation directory>/Agent/bin/AppNaviAgtCmd.exe

[Specifying Procedure]

AppNaviAgtCmd.exe Tomcat INSTANCELIST [<ServerID>] [-T]

AppNaviAgtCmd.exe Tomcat -h

[Argument]

INSTANCELIST | Displays the list of instance names. Not case-sensitive.
ServerID | Server ID. This argument is optional. When the server ID is specified, the instance names under the server ID is output. When the server ID is not specified, the instance names under all the server IDs are output. The server ID consists of 64 characters maximum.
-T | Data is output delimited by tabs. (Default value is comma) Not case-sensitive.
-h | Help message output. Not case-sensitive.

[Return value]

When this command is executed successfully, it is 0.

Otherwise, it is 1.

[Output format]

Without -T option

ApplicationName=Tomcat

Instance Names List

Agent=Agent name

--------------------

ServerID=Server ID

Service=Tomcat service name

--------------------

Short instance name 1

Full instance name1

Short instance name 2

Full instance name 2

:

:

With -T option

ApplicationName=Tomcat

Instance Names List

Agent=Agent name

--------------------

ServerID=Server ID

Service=Tomcat service name

--------------------

Short instance name 1 Full instance name1

Short instance name 2 Full instance name 2

:

:

When -T option is used, Short instance name and Full instance name are partitioned by Tab code.

[Note]

Please set connection with Tomcat beforehand, and put into the state that can be connected with Tomcat, and execute the command.

[References]

AppNaviAgtCmd


Backup

This product retains definition data or collected data as a file. Please refer to those files when you perform backup operations or maintenance tasks.

Note that the commands are provided to back up the definition data in manager. For more information, refer to About the provided commands in the command reference.

Before you start the data backup, stop the manager and agent(s).

[Defined data]

  • Manager

Windows manager

All data under "<Installation directory>\Manager\sg" in the manager

UNIX manager

All data under "<Installation directory>/Manager/sg" in the manager

However, the files described below are excluded from the target of back-up.

Windows manager

<Installation Directory>\Manager\sg\Schedule\ScheduleHistory

UNIX manager (HP-UX, Linux)

<Installation Directory>/Manager/sg/Schedule/ScheduleHistory

When this file is restored, the schedule that was to be reported from when the back-up is collected and to when the manager is restored and started up is reported.

Refer to this notice for details about the notice of the schedule during the stop of the manager.

In addition, this file is not provided in the version prior to the MCO Ver4.1.2.

The schedule is not reported upon start-up by creating the empty files below upon restoration when the back-up file prior to the MCO Ver4.1.2 is restored.

Windows manager

<Installation Directory>\Manager\sg\Schedule\backup

UNIX manager (HP-UX, Linux)

<Installation Directory>/Manager/sg/Schedule/backup

Note that the following message journal files must be backed up when the CDO message API is in use.

Windows manager

<CDO Message API Installation Directory>\diux\sg\libMsgWrap.ini

User message registration files (Files indicated by the paths described in the environment variable “DIA_CDOUSER” + the following file extensions)

<File path described in "DIA_CDOUSER">.dat

<File path described in "DIA_CDOUSER">.idx

<File path described in "DIA_CDOUSER">.idx1

<File path described in "DIA_CDOUSER">.idx2

UNIX manager

/usr/diux/bin/dcomsgstart

/usr/diux/sg/libMsgWrap.ini

User message registration files (Files indicated by the paths described in "DIA_CDOUSER" under /usr/diux/bin/dcomsgstart + the following file extensions)

<File path described in "DIA_CDOUSER">.dat

<File path described in "DIA_CDOUSER">.idx

<File path described in "DIA_CDOUSER">.idx1

<File path described in "DIA_CDOUSER">.idx2

  • Agent

Windows agent

All data under "<Installation directory>\Agent\sg" in agents

UNIX agent

All data under "<Installation directory>/Agent/sg" in agents
<Installation directory>/Agent/bin/config

However, the files described below are excluded from the target of back-up.

Windows manager

<Installation Directory>\Agent\sg\Schedule

UNIX manager (HP-UX, Linux)

<Installation Directory>\Agent\sg\Schedule

Note that the following data must be backed up when the CDO message API is in use.

Windows agent

<CDO Message API Installation Directory>\diux\sg\libMsgWrap.ini

User message registration files (Files indicated by the paths in which the environment variable "DIA_CDOUSER" is defined + the following file extensions)

<File path described in "DIA_CDOUSER">.dat

<File path described in "DIA_CDOUSER">.idx

<File path described in "DIA_CDOUSER">.idx1

<File path described in "DIA_CDOUSER">.idx2

UNIX agent

/usr/diux/bin/dcomsgstart

/usr/diux/sg/libMsgWrap.ini

User message registration files (Files indicated by the paths described in "DIA_CDOUSER" under /usr/diux/bin/dcomsgstart + the following file extensions)

<File path described in "DIA_CDOUSER">.dat

<File path described in "DIA_CDOUSER">.idx

<File path described in "DIA_CDOUSER">.idx1

<File path described in "DIA_CDOUSER">.idx2

  • Monitoring terminal

All data under "<Installation directory>\Svc\sg" in terminals

For all functions, the paths described in the following data collected are excluded.

[Collected data]

  • History data of performance monitoring

Windows agent

All data under "<Installation directory>\Agent\sg\PerformanceHelper\log" in agents

UNIX agent

All data under "<Installation directory>/Agent/sg/PerformanceHelper/log" in agents

The file size of the history data per one monitoring action for one counter is 40 byte for Windows agent and 20 byte for Unix agent respectively.

Example: The amount of data stored for one day, when monitoring 5 counters with intervals of 30 seconds in Windows agent.

40 byte * 5 counters * 3,600 seconds * 24 hours / 30 seconds = 576,000 byte (576K byte)

This calculation should be used only as a rough guide. The results may vary depending on the operational conditions.

  • Messages stored in categories

Windows manager

All data under "<Installation directory>\Manager\sg\Business\log" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg/Business/log" in manager

The message file size is approximately 3,000 byte (3K byte) per file.

  • Message of audit logs

Windows manager

All data under "<Installation directory>\Manager\sg\AuditTrail\log" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg/AuditTrail/log" in manager

When calculating the size of one audit log file, it is assumed that one audit log record amounts to approximately 3000 bytes (3 Kbytes).

  • Recovery histories

Windows manager

All data under "<Installation directory>\Manager\sg\Recovery\log" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg/Recovery/log" in manager

For one recovery action, the file size is approximately 2,000 - 5,000 byte (depending on the character count used in the definition).

When one action is done, the total file size increases according to the size of the action result. When an action is executed, the file size increases by 500 - 2,500 byte, plus the size of each action result.

  • Report histories

Windows manager

All data under "<Installation directory>\Manager\sg\Report\log" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg/Report/log" in manager

A report (Patlite, e-mail, and action) amounts to approximately 1500 to 3000 bytes (depending on information such as the number of characters when the report was triggered).

  • Event correlation histories

Windows manager

All data under "<Installation directory>\Manager\sg\EventCorrelationEngine\history" in manager

All data under "<Installation directory>\Manager\sg\EventCorrelationEngine\history1" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg/EventCorrelationEngine/history" in manager

All data under "<Installation directory>/Manager/sg/EventCorrelationEngine/history1" in manager

The size of one event correlation history is 3,000 byte or over (depending on the number of rules).

  • Scenario control histories

Windows manager

All data under "<Installation directory>\Manager\sg\Workflow\0000004b" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg/Workflow/0000004b" in manager

The size of one execution history of the scenario is 4,000 byte or over (depending on the command, the number of the destination, or the amount of command output).

[Note]

History and definition data is mixed in the above directory.Even if you want to obtain definition data only, it is impossible to get backup data without including history data.

  • Operation control histories

Windows manager

All data under "<Installation directory>\Manager\sg\Operation" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg/Operation" in manager

The size of one execution history of the Action is 3,000 byte or over (depending on the command, the number of the destination, or the amount of command output).

[Note]

History and definition data is mixed in the above directory.Even if you want to obtain definition data only, it is impossible to get backup data without including history data.

  • Incident histories

Windows manager

All data under "<Installation directory>\Manager\sg\ServiceManagerLinker\log" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg/ServiceManagerLinker/log" in manager

The size of one incident history is approximately 4,000 - 65,000 byte (depending on the content of the incident).

  • Performance information which was stored in manager
    Windows manager
    All data under "<Installation directory>\Manager\sg\PerfManager\PerfValue" in manager
    UNIX manager
    All data under "<Installation directory>/Manager/sg/PerfManager/PerfValue" in manager

When you backup to two destinations, please refer to the following.

[Defined data]

  • Manager

Windows manager

All data under "<Installation directory>\Manager\sg" in the manager
All data under "<Data directory on Shared disk>\Manager\sg" in manager

UNIX manager

All data under "<Installation directory>/Manager/sg " in the manager
All data under "<Data directory on Shared disk>/Manager/sg" in manager

However, the files described below are excluded from the target of back-up.

Windows manager

<Data area directory on the shared disk>\Manager\sg\Schedule\ScheduleHistory

UNIX manager (HP-UX, Linux)

<Data area directory on the shared disk>\Manager\sg\Schedule\ScheduleHistory

When this file is restored, the schedule that was to be reported from when the back-up is collected and to when the manager is restored and started up is reported.

Refer to this notice for details about the notice of the schedule during the stop of the manager.

The schedule is not reported upon start-up by creating the empty files below upon restoration when the back-up file prior to the MCO Ver4.1.2 is restored.

Windows manager

<Data area directory on the shared disk>\Manager\sg\Schedule\backup

UNIX manager (HP-UX, Linux)

<Data area directory on the shared disk>/Manager/sg/Schedule/backup

Note that the following message journal files must be backed up when the CDO message API is in use.

Windows manager

<CDO Message API Installation Directory>\diux\sg\libMsgWrap.ini

User message registration files (Files indicated by the paths described in the environment variable “DIA_CDOUSER” + the following file extensions)

<File path described in "DIA_CDOUSER">.dat

<File path described in "DIA_CDOUSER">.idx

<File path described in "DIA_CDOUSER">.idx1

<File path described in "DIA_CDOUSER">.idx2

UNIX manager

/usr/diux/bin/dcomsgstart

/usr/diux/sg/libMsgWrap.ini

User message registration files (Files indicated by the paths described in "DIA_CDOUSER" under /usr/diux/bin/dcomsgstart + the following file extensions)

<File path described in "DIA_CDOUSER">.dat

<File path described in "DIA_CDOUSER">.idx

<File path described in "DIA_CDOUSER">.idx1

<File path described in "DIA_CDOUSER">.idx2

  • Agent

Windows agent

All data under "<Installation directory>\Agent\sg" in agents

All data under "<Data directory on Shared disk>\Agent\sg" in agents

UNIX agent

All data under "<Installation directory>/Agent/sg" in agents

All data under "<Data directory on Shared disk>/Agent/sg" in agents

However, the files described below are excluded from the target of back-up.

Windows manager

<Data area directory on the shared disk>\Agent\sg\Schedule

UNIX manager (HP-UX, Linux)

<Data area directory on the shared disk>/Agent/sg/Schedule

Note that the following data must be backed up when the CDO message API is in use.

Windows agent

<CDO Message API Installation Directory>\diux\sg\libMsgWrap.ini

User message registration files (Files indicated by the paths in which the environment variable "DIA_CDOUSER" is defined + the following file extensions)

<File path described in "DIA_CDOUSER">.dat

<File path described in "DIA_CDOUSER">.idx

<File path described in "DIA_CDOUSER">.idx1

<File path described in "DIA_CDOUSER">.idx2

UNIX agent

/usr/diux/bin/dcomsgstart

/usr/diux/sg/libMsgWrap.ini

User message registration files (Files indicated by the paths described in "DIA_CDOUSER" under /usr/diux/bin/dcomsgstart + the following file extensions)

<File path described in "DIA_CDOUSER">.dat

<File path described in "DIA_CDOUSER">.idx

<File path described in "DIA_CDOUSER">.idx1

<File path described in "DIA_CDOUSER">.idx2

[Collected data]

  • Messages stored in categories

Windows manager

All data under "<Data directory on Shared disk>\Manager\sg\Business\log" in manager

UNIX manager

All data under "<Data directory on Shared disk>/Manager/sg/Business/log" in manager

  • Message of audit logs

Windows manager

All data under "<Data directory on Shared disk>\Manager\sg\AuditTrail\log" in manager

UNIX manager

All data under "<Data directory on Shared disk>/Manager/sg/AuditTrail/log" in manager

  • Recovery histories

Windows manager

All data under "<Data directory on Shared disk>\Manager\sg\Recovery\log" in manager

UNIX manager

All data under "<Data directory on Shared disk>/Manager/sg/Recovery/log" in manager

  • Report histories

Windows manager

All data under "<Data directory on Shared disk>\Manager\sg\Report\log" in manager

UNIX manager

All data under "<Data directory on Shared disk>/Manager/sg/Report/log" in manager

  • Event correlation histories

Windows manager

All data under "<Data directory on Shared disk>\Manager\sg\EventCorrelationEngine\history" in manager
All data under "<Data directory on Shared disk>\Manager\sg\EventCorrelationEngine\history1" in manager

UNIX manager

All data under "<Data directory on Shared disk>/Manager/sg/EventCorrelationEngine/history" in manager
All data under "<Data directory on Shared disk>/Manager/sg/EventCorrelationEngine/history1" in manager

  • Scenario control histories

Windows manager

All data under "<Data directory on Shared disk>\Manager\sg\Workflow\0000004b" in manager

UNIX manager

All data under "<Data directory on Shared disk>/Manager/sg/Workflow/0000004b" in manager

[Note]

History and definition data is mixed in the above directory.Even if you want to obtain definition data only, it is impossible to get backup data without including history data.

  • Operation control histories

Windows manager

All data under "<Data directory on Shared disk>\Manager\sg\Operation" in manager

UNIX manager

All data under "<Data directory on Shared disk>/Manager/sg/Operation" in manager

[Note]

History and definition data is mixed in the above directory.Even if you want to obtain definition data only, it is impossible to get backup data without including history data.

  • Incident histories

Windows manager

All data under "<Data directory on Shared disk>\Manager\sg\ServiceManagerLinker\log" in manager

UNIX manager

All data under "<Data directory on Shared disk>/Manager/sg/ServiceManagerLinker/log" in manager

  • Performance information which was stored in manager
    Windows manager
    All data under "<Installation directory>\Manager\sg\PerfManager\PerfValue" in manager
    UNIX manager
    All data under "<Installation directory>/Manager/sg/PerfManager/PerfValue" in manager

  • History data of performance monitoring(only logical agent)

Windows agent

All data under "<Data directory on Shared disk>\Agent\sg\PerformanceHelper\log" in agents

UNIX agent

All data under "<Data directory on Shared disk>/Agent/sg/PerformanceHelper/log " in agents


Restore

Please refer to the following process to restore data from the backup file during manager/agent failure.

  • Recovery process during an agent failure

    1. Stop the manager.

    2. Reinstall the agent to it.

    3. Stop the agent. (It automatically starts after reinstallation.)

    4. Delete the following files in the manager.

      Windows manager

<Installation directory>\Manager\sg\ApLog\[Agent]_***.pos
<Installation directory>\Manager\sg\EventLogHelper\[Agent]_***.pos
<Installation directory>\Manager\sg\Message\[Agent]_***.pos
<Installation directory>\Manager\sg\SysLogHelper\[Agent]_***.pos

UNIX manager

<Installation directory>/Manager/sg/ApLog/[Agent]_***.pos
<Installation directory>/Manager/sg/EventLogHelper/[Agent]_***.pos
<Installation directory>/Manager/sg/Message/[Agent]_***.pos
<Installation directory>/Manager/sg/SysLogHelper/[Agent]_***.pos

[Note]
Delete files which include the agent name in their file names only.
Replace *** with arbitrary numbers.
Some of the above files might not exist.

    5. Overwrite the following files with the ones from backup.

      Windows agent

<Installation directory>\Agent\sg\*****.ini

UNIX agent

<Installation directory>/Agent/sg/*****.ini
<Installation directory>/Agent/bin/config

[Note]
Replace ***** with arbitrary numbers.

    6. Copy and overwrite the following files from backup data when the CDO message API is in use.

      Windows agent
      <CDO Message API Installation Directory>\diux\sg\libMsgWrap.ini
      User message registration files (Files indicated by the paths in which the environment variable "DIA_CDOUSER" is defined + the following file extensions)
      <File path described in "DIA_CDOUSER">.dat
      <File path described in "DIA_CDOUSER">.idx
      <File path described in "DIA_CDOUSER">.idx1
      <File path described in "DIA_CDOUSER">.idx2

      UNIX agent
      /usr/diux/bin/dcomsgstart
      /usr/diux/sg/libMsgWrap.ini
      User message registration files (Files indicated by the paths described in "DIA_CDOUSER" under /usr/diux/bin/dcomsgstart + the following file extensions)
      <File path described in "DIA_CDOUSER">.dat
      <File path described in "DIA_CDOUSER">.idx
      <File path described in "DIA_CDOUSER">.idx1
      <File path described in "DIA_CDOUSER">.idx2

    7. If you need to recover the accumulated performance information, overwrite the following directory with the one from backup.

      Windows agent

<Installation directory>\Agent\sg\PerformanceHelper\log

UNIX agent

<Installation directory>/Agent/sg/PerformanceHelper/log

    8. Start the manager.

    9. Start the agent.

  • Recovery process during an manager failure

    1. Reinstall the manager to it.

    2. Stop the manager. (It automatically starts after reinstallation.)

    3. Delete the following files in the manager.
      In the case of hierarchization, stop the upper-level manager and delete the files under the upper-level manager.

      Windows manager

<Installation directory>\Manager\sg\MessageLinker\[Manager]_***.pos

UNIX manager

<Installation directory>/Manager/sg/MessageLinker/[Manager]_***.pos

[Note]
Delete files which include the manager name in their file names only.
Replace *** with arbitrary numbers.
The above does not sometimes exist.

    4. Overwrite the following files with the ones from backup.

      Windows manager

<Installation directory>\Manager\sg

UNIX manager

<Installation directory>/Manager/sg

[Note]
Do not restore the following files when it is not necessary to report the schedule that was to be reported from when the back-up is collected and to when the manager is restored and started.

Windows manager

<Installation Directory>\Manager\sg\Schedule\ScheduleHistory

UNIX manager

<Installation Directory>/Manager/sg/Schedule/ScheduleHistory

In addition, this file is not provided in the version prior to the MCO Ver4.1.2.

The schedule is not reported upon start-up by creating the empty files below upon restoration when the back-up file prior to the MCO Ver4.1.2 is restored.

Windows manager

<Installation Directory>\Manager\sg\Schedule\backup

UNIX manager

<Installation Directory>/Manager/sg/Schedule/backup

    5. When you store data in duplicate directories, overwrite the following directory with the one from backup.

      Windows manager

<Data directory on Shared disk>\Manager\sg

UNIX manager

<Data directory on Shared disk>/Manager/sg

[Note]
Do not restore the following files when it is not necessary to report the schedule that was to be reported from when the back-up is collected and to when the manager is restored and started.

Windows manager

<Data area directory on the shared disk>\Manager\sg\Schedule\ScheduleHistory

UNIX manager

<Data area directory on the shared disk>/Manager/sg\Schedule/ScheduleHistory

In addition, this file is not provided in the version prior to the MCO Ver4.1.2.
The schedule is not reported upon start-up by creating the empty files below upon restoration when the back-up file prior to the MCO Ver4.1.2 is restored.

Windows manager

<Data area directory on the shared disk>\Manager\sg\Schedule\backup

UNIX manager

<Data area directory on the shared disk>/Manager/sg/Schedule/backup

    6. Copy and overwrite the following message journal files from backup data when CDO message API is in use.

      Windows manager
      <CDO Message API Installation Directory>\diux\sg\libMsgWrap.ini
      User message registration files (Files indicated by the paths described in the environment variable "DIA_CDOUSER" + the following file extensions)
      <File path described in "DIA_CDOUSER">.dat
      <File path described in "DIA_CDOUSER">.idx
      <File path described in "DIA_CDOUSER">.idx1
      <File path described in "DIA_CDOUSER">.idx2

      UNIX manager
      /usr/diux/bin/dcomsgstart
      /usr/diux/sg/libMsgWrap.ini
      User message registration files (Files indicated by the paths described in "DIA_CDOUSER" under /usr/diux/bin/dcomsgstart + the following file extensions)
      <File path described in "DIA_CDOUSER">.dat
      <File path described in "DIA_CDOUSER">.idx
      <File path described in "DIA_CDOUSER">.idx1
      <File path described in "DIA_CDOUSER">.idx2

    7. See the Web console recovery procedure described later when Web console is in use.

    8. Start the manager.

  • Recovery process during an Web console failure

  1. Copy and overwrite the following directories from the backup data.

    Windows manager

<Installation directory>\Manager\Svc\Common\sg

UNIX manager

<Installation directory>/Manager/Svc/Common/sg


About the License management

The license agreement for each function used by this product is verified by using the license management function. After installing the product, basic functions can be used for 3 months based on the trial version license. Thereafter, an official license needs to be registered to use the product. Use the following procedure to register an official license:

  1. Register the license key and obtain a Code Word application code in the monitoring view.
    *The license key is described in the "Code Word Application Form" included with the product. For details of the license key registration, refer to items in "Add the new license key."

  2. Refer to the "Code Word Application Form" included in the media, and apply for your Code Word through e-mail.
    *If you cannot apply for the Code Word through e-mail, we are willing to receive it through Fax. Please, use the "Code Work Application Form" included with the product.

  3. Register the obtained Code Word in the monitoring view.

  4. Restart the manager.

[References]

Manage the license

Add the new license key

Register the code word


Manage the license

This operation should be executed after shifting into the Configuration mode.

You can manage the license with the [License Management] window. To display the [License Management] window, select the [License Management] on Setting menu.

  • License list

The list of currently issued license keys are displayed.

  • Product Code

The product codes are displayed.

  • License Key

The license keys are displayed.

  • Code Word

The statuses of the code word are displayed.

  • Expiration Date

The expiration dates of the license are displayed.

  • [Add] Button

Add the new license key.

  • [Registration] Button

Register the code word into the license key under application.

  • [Delete] Button

Delete the selected license.

[References]

Add the new license key

Register the code word

Confirm the number of licenses


Add the the new license key

Add the new license key

This operation should be executed after shifting into the Configuration mode.

Adding the new license key.

Push the [Add] button on the [Product Code] tab on the [License Management] window, the [License Key Registration] window will appear.

  • Product Code

Specify the product code.

  • License Key

Specify the license key.

  • Request Code

The request code is displayed.

  • [Registration] Button

Push the [Registration] button after specifying the product code and the license key, the request code will be displayed in the [Request Code] box.

  • [Close] Button

Close the [License Key Registration] window.

[Notes]

Please register the code word within one month after registering the license key. The license will be available as the regular license.

[References]

Manage the license

Register the code word


Regiser the code word

Register the code word

This operation should be executed after shifting into the Configuration mode.

Registering the code word.

Push the [Registration] button on the [Product Code] tab of the [License Management] window, the [Codeword Registration] window will appear.

  • Product Code

The product code is displayed.

  • License Key

The license key is displayed.

  • Request code

The request code is displayed.

  • Codeword

Specify the acquired code word.

  • Expiration date

The expiration date of the license is displayed.

  • [Registration] Button

Push the [Registration] button after specify the acquired code word, that code word will be registered.

  • [Close] Button

Close the [Codeword Registration] window.

[Notes]

After registration regular code word, please delete the license key for trial period. If the license key for the trial period is left, some caution dialogs will appear at each starting of the monitoring window.

[References]

Manage the license


Confirm the number of licenses

This operation should be executed after shifting into the Configuration mode.

The number of licenses can be confirmed from the [License Count] tab in the [License Management] window. To display the [License Management] window, select [License Management] on the Setting menu.

The name and the number of the available licenses are displayed.


Change the destination of the monitoring window/the agent

To change the destination of the installed monitoring window/agent, operate following steps.

UTF-16 for Windows and UTF-8 for UNIX(HP-UX, Linux) are supported as the character code for ini files.

  • Changing the destination of the agent.

    1. Check that the agent whose connection destination is to be changed is not currently connected to this manager.
    2. Delete the following files:
      <Manager's installation directory (*1)>\Manager\sg\ApLogHelper\[Agent]_***.pos
      <Manager's installation directory (*1)>\Manager\sg\EventLogHelper\[Agent]_***.pos
      <Manager's installation directory (*1)>\Manager\sg\Message\[Agent]_***.pos
      <Manager's installation directory (*1)>\Manager\sg\SysLogHelper\[Agent]_***.pos

      (*1) Path of the shared disk if a shared disk is used.
      * Only delete the files in which [Agent] is the name of the agent whose destination is to be changed.
      * Replace *** with any number.
      * The files mentioned above may not exist.
    Perform steps 1 and 2 above, and then perform the steps from step 3 below.

    [Agent whose connection destination is to be changed]
    3. Stop the agent.
    4. Open "<Agent's installation directory>\Agent\sg\SysMonAgt.ini" with the editor, and change the value of the following entry to the new manager name.

      ...
      [UpperNode]
      HostName=ManagerA

      ...

      [Example]

      Changing the destination from ManagerA to ManagerB..

      before changing

      after changing

      ...

      [UpperNode]

      HostName=ManagerA

      ...

      ...

      [UpperNode]

      HostName=ManagerB

      ...

    5. Delete the following directories in the <Agent's installation directory (*2)>\Agent\sg:

      PerformanceHelper
      NTServiceHelper
      EventLogHelper
      ProcessHelper
      SysLogHelper
      ApLogHelper
      FileMonitorHelper
      PortMonitorHelper

      (*2) Path of the shared disk if a shared disk is used for the logical agent.
      * The directory may not exist.

    6. Delete the following file and directories under <Agent's installation directory (*3)>\Agent\sg\AppNavi
      (*3) Path of the shared disk if a shared disk is used for the logical agent.

      file

      AppNaviAgt.dat

      directory

      CollectorApache\<Server ID>

      CollectorJavaAP\<Instance ID>

      CollectorMSSQL\<Instance Name>

      CollectorOracle\<Instance Name>

      CollectorSAP\SAPCommand

      CollectorSAP\SAPalert

      CollectorSAP\SAPsyslog

      CollectorSAP\UserDef

      CollectorTomcat\<Server ID>

      CollectorWebLogic\<Instance Name>

      CollectorWebSphere\<Server ID>

[Note]
Don't delete AppNavi directory, CollectorXXXX directory, and dat files under CollectorXXXX directories. If these are deleted, SystemManager G doesn't work.

    7. Start the agent.

[Note]

  • After the connection destination of the agent is changed, agent messages generated before the connection to a new manager is established will be lost.

  • For UNIX agents, the files to edit and directories to delete exist in the directory below. The file names, setting methods and directories to delete are the same as in Windows.

    <Agent's installation directory>/Agent/sg/

  • Changing the destination of the monitoring window.

    1. Stop the monitoring window.

    2. Open "<View's installation directory\Svc\sg\SysMonSvc.ini" with the editor, and change the value of the following entry to the new manager name.

      ...
      [UpperNode]
      HostName=ManagerA

      ...

      [Example]

      Changing the destination from ManagerA to ManagerB.

      before changing

      after changing

      ...

      [UpperNode]

      HostName=ManagerA

      ...

      ...

      [UpperNode]

      HostName=ManagerB

      ...

    3. Start the monitoring window.


Change the port number

To change the port number after installed, operate following steps.

UTF-16 for Windows and UTF-8 for UNIX are supported as the character code for ini files.

  • Changing the port number of manager

  1. Stop the manager.

  2. Open "C:\Program Files\NEC\UMF\Operations\Manager\sg\SysMonMgr.ini" with the editor, and change the value of the following entry to the new port number.

...

[SelfNode]

HostName=ManagerA

ServerPort=12520

SvcServerPort=12521

...

  • For the communication with the agent, please change "ServerPort".

  • For the communication with the monitoring window, please change "SvcServerPort".

[Example]

Changing the port number for the communication with the agent from "12520" to "12503".

before changing | after changing
... [SelfNode] HostName=ManagerA ServerPort=12520 SvcServerPort=12521 ... | ... [SelfNode] HostName=ManagerA ServerPort=12503 SvcServerPort=12521 ...

  3. Restart the manager.

[Note]

For the UNIX manager, please edit following files on the UNIX manager. The configuration method is similar to the Windows manager.

/opt/UMF/Operations/Manager/sg/SysMonMgr.ini

  • Changing the port number of the agent.

  1. Stop the agent.

  2. Open "C:\Program Files\NEC\UMF\Operations\Agent\sg\SysMonAgt.ini" with the editor, and change the value of the following entry to the new port number.

...

[UpperNode]

HostName=ManagerA

ServerPort=12520

...

[Example]

Changing the port number for the communication with the manager from 12520 to 12503.

before changing | after changing
... [UpperNode] HostName=ManagerA ServerPort=12520 ... | ... [UpperNode] HostName=ManagerA ServerPort=12503 ...

  3. Restart the agent.

[Note]

For the UNIX agent, please edit following files on the UNIX agent. The configuration method is similar to the Windows agent.

/opt/UMF/Operations/Agent/sg/SysMonAgt.ini

  • Changing the port number of the monitoring window.

  1. Stop the monitoring window.

  2. Open "C:\Program Files\NEC\UMF\Operations\Svc\sg\SysMonSvc.ini" with the editor, and change the value of the following entry to the new port number.

...

[UpperNode]

HostName=ManagerA

ServerPort=12521

...

[Example]

Changing the port number for the communication with the manager from 12521 to 12504.

before changing | after changing
... [UpperNode] HostName=ManagerA ServerPort=12521 ... | ... [UpperNode] HostName=ManagerA ServerPort=12504 ...

  3. Restart the monitoring window.

[Note]

When manager's communication port numbers are changed, the port number of the corresponding function (agent/monitoring window) should be also changed.


FAQ and answer

[Contents]

1 | The error dialog is appeared when the monitoring window starts, and the monitoring window ends.
2 | The tree view is not hierarchically displayed.
3 | Cannot refer to the action methods, although import the knowledge file for Microsoft-applications.
4 | We have decided to change an IP address or hostname after installing SystemManager G.
5 | When time passes without operating the monitor terminal for a while, the connection with the manager is disconnected.
6 | Why does it take so long to import a performance data file, perform analysis processing, or display windows?

[Question and answer]

  1. The error dialog is appeared when the monitoring window starts, and the monitoring window ends.

[Answer]

This error can be caused by following things. Please confirm each correspondence items.

  • The manager is not starting. Please start the manager. Details.

  • The monitoring window will connect wrong manager. Please configure the destination correctly. Details.

  • The port numbers are unmatched between the manager and the monitoring window. Please match the port number. Details.

  2. The tree view is not hierarchically displayed.

[Answer]

There is no available license. Please obtain the license key and code word, and register them. Details.

  3. Cannot refer to the action methods, although the knowledge file for Microsoft-applications has been imported.

[Answer]

This error can be caused by following things. Please confirm each correspondence items.

  • The path to "kbfind.exe" is not available. Please confirm whether "kbfind.exe" is placed under the available path. Details.

  • The system is not configured to start "kbfind.exe". Please configure the system referring to "read_kbfind.txt" made from decompressed "kbfind.zip". Details

  4. We have decided to change an IP address or hostname after installing MISSION CRITICAL OPERATIONS.

    [Answer]
    [When changing the IP address of your manager]
    If you want to change the IP address of your manager machine, follow these steps:

    1. Stop all products connected to your manager such as agents, consoles and external analysis engine.

    2. Stop the manager.

    3. Stop all products that connected your manager such as upper manager.

    4. Change the IP address of the manager machine.

    5. Start all products that connected your manager.

    6. Start the manager.

    7. Start all the products to be connected to the manager.

If you set an IP address for the value of the hostname of the manager when installing products to be connected to the manager such as agents or consoles, you need to change the information on connection destination with the method described in each such product.

If you are not sure about this, please contact us separately.

Note that if you specified an IP address (hostname by default) for the self hostname when installing the manager, you need to reinstall the manager.

If you need to change settings for your environment for name resolution, stop all the possible products to be affected by the change before actually doing so.

[When changing the hostname of your manager]

When changing the hostname of your manager machine, you need to reinstall the manager.

[How to reinstall the manager]

  1. Export the monitoring definition for each agent.
    [References]
    Export the definition for the monitored agents and generate the definition file
    Export the message filter definition and generate the knowledge file
    Creates a definition file by exporting a rule definition
    Export a scenario definition
    Create a definition file by exporting an action definition

  2. Exit the Manager.

  3. Change the hostname of the manager machine.

  4. Reinstall the manager.

  5. Change the connection destination of every agent to the new manager.
    [References]
    Change the port number
    Change the destination of the monitoring window/the agent

  6. Import the exported monitoring definition.
    [References]
    Import the definition for monitored agents
    Import the knowledge file
    Import a rule definition
    Import a scenario definition
    Import the definition file for an action definition

    [Note]

    • When reinstalling the manager, the pieces of history information (messages, audit logs, reporting history, and recovery history) left on the manager will be removed.
      The removed history information cannot be referenced any longer from a monitoring window in SystemManager G.
      As some pieces of the history information can be output to a CSV file, you can put a desired piece to a CSV file before reinstalling the manager if necessary.

    • You may need to reapply for the code word for your license after reinstalling the SystemManager G manager. Detail
      If you cannot register the code word, you need to reapply for it.
      Note that your system will be operational with a trial license for one month after you have reinstalled the SystemManager G manager.

    • The definition information, such as optional setting items, which cannot be exported, must be set again manually.

[When changing the IP address of your agent]

If you want to change the IP address of your agent machine, follow these steps:

  1. Stop the agent.

  2. Change the IP address of the agent machine.

  3. Start the agent.

Note that if you specified an IP address (hostname by default) for the self hostname when installing the agent, you need to reinstall it.

If you need to change settings for your environment for name resolution, stop all the possible products to be affected by the change before actually doing so.

[When changing the hostname of your agent]

When you change your own host name to be specified when installing the agent, you must reinstall the agent.

[How to reinstall the agent]

  1. Export the monitoring definitions of the agent.
    [References]
    Export the definition for the monitored agents and generate the definition file

  2. Exit the agent.

  3. Remove this agent from the topology view.

  4. Change the hostname of the agent machine.

  5. Reinstall the agent.

  6. Run the agent and import the exported monitoring definitions.
    [References]
    Import the definition for monitored agents

    [Note]

    • When reinstalling an agent, the pieces of history information (performance monitoring measurements) left on the agent will be removed.
      The removed history information cannot be referenced any longer from a monitoring window in SystemManager G.As performance monitoring measurements can be output to a CSV file, you can put desired ones to a CSV file before reinstalling the agent if necessary. Detail

    • If your filter definition(s) includes a condition(s) that take(s) a hostname as a key, you must modify it to the changed hostname.

    • For a new host name, do not specify the name of a host that has been connected to the manager simply in a different case.

  5. When time passes without operating the monitor terminal for a while, the connection with the manager is disconnected.

[Answer]
Please confirm whether the value of [System standby] and [System hibernates] are "Never" in Power Options Properties.

  6. Why does it take so long to import a performance data file, perform analysis processing, or display windows?

[Answer]

The processing takes a while if the import file is large or there are many counters to analyze.

If antivirus software is installed and on-access scanning is enabled, excluding the following folders from the scan targets might reduce the processing time.

  • Manager

  1. C:\Program Files\NEC\UMF\Operations\Manager

  • Console

  1. C:\Program Files\NEC\UMF\Operations\Svc

  • External engine

  1. C:\Program Files\NEC\UMF\Operations\RelayManager


Preconditions and construction order

[Preconditions]

Two servers (server A and B), business AP1 and business AP2 are driven on a steady basis. If server A or business AP1 stops, server B is to automatically activate business AP1. If server B or business AP2 stops, server A is to automatically activate business AP2. To do so, Patrol light report set in server C is to be made.

  • Agents have already been added.

  • Server names and business AP names are as follows.

Server A | ServerA
Server B | ServerB
Server C | ServerC
Business AP1 | AP1.exe
Business AP2 | AP2.exe

  • If servers A and B are put in the state (HOSTEMPTY) where host is not activated, the agent monitoring function is used to make a report, and message monitoring is used to perform recovery process.

  • If business AP1 and business AB2 are put in the state (PROCESS STOP), the process monitoring function is used to make a report, and the message monitoring function is used to perform recovery process.

  • Other information is described at defined places.

[Construction order]

  1. Define the monitoring process

  2. Make report settings

  3. Define the category and filter

  4. Define the selecting conditions

  5. Define the recovery

  6. Perform monitoring and report test


1. Define the monitoring process

  • Both servers A and B use the process group "business AP" to manage business AP.

  • Normally, AP1 and AP2 are driven by servers A and B, respectively.

  1. Define the monitoring process of server A

From the right-click menu of the host (server A) on the Tree view (topology view), select [Edit process monitoring.] When the [New Group] dialog appears, specify [Business AP] as a group name, and then press the [OK] button.

For the right-click menu of the defined [business AP] group, select [Process Setting] When processes to be monitored are displayed in a list, place a checkmark on the left side of "AP1.exe" to be monitored.

Finally, double-click "AP1.exe" to display the [Process Monitor Setting] window. A report is only made when process stops. Then place a checkmark in [Report] and [Report only process stop event.]

Monitored process for server A has thus been defined completely, press [OK] button to confirm [AP1] is added to the monitored process on the [Process Setting] window.

  2. Define the monitoring process of server B

As in the case with server A, create the process group "Business AP" and specify "AP2.exe" as an object to be monitored.

Monitoring processes have thus been defined completely. Then go to Item 2. Set report. Display the [Process Monitoring Setting] window for each process again, press the [Configuration] button, and then display the [Report Setting] window (Patlite Setting tab).

[References]

See here for details on the definition of monitoring process.


2. Make report settings

  • Reports are defined as follows.

For business AP1

Item | Content
Policy name | Stop of business AP1
Severity and level | Severity | PROCESSSTOP
 | Level | 01
Destination | Monitoring base
Host Name | serverC
Port Number | 2048

For business AP2

Item | Content
Policy name | Stop of business AP2
Severity and level | Severity | PROCESSSTOP
 | Level | 02
The settings of the destination to send report to is the same as those for business AP1.

For server A

Item | Content
Policy name | Stop of server A
Severity and level | Severity | HOSTEMPTY
 | Level | 012
The settings of the destination to send report to is the same as those for business AP1.

For server B

Item | Content
Policy name | Stop of server B
Severity and level | Severity | HOSTEMPTY
 | Level | 023
The settings of the destination to send report to is the same as those for business AP1.

  1. Set a report for business AP

<<Report setting for business AP1>>

Place a checkmark in [Report to Patlite] on the [Report Setting] window (Patlite Setting tab) and then press the [Add] button. When the [Patlite Policy] window appears, specify "Stop of business AP1" as the policy name. Double-click Process stop at the list area of Severity and report level. When the [Report Level Setting] widow appears, set "01".

Set a destination to send report to that shared by report policies. Press [Add] on the [Patlite Policy] window. When the [Patlite Destination Setting] window appears, specify "Monitoring base" for Display Name to send report to, "server C" for Host Name, and "2048" for Port Number. Then press the [OK] button.

When the [Patlite Policy] window reappears, check for appearance of "Monitoring base" in the Destination area, and then press the [OK] button. Similarly, when the [Report Setting] window (Patlite Setting tab) reappears, check for appearance of "Stop of business AP1" in Policy Name areas, and check for appearance of "Monitoring base" in the area for Destination to send report to. Then press the [OK] button.

Report settings for AP1 have thus been completed. Press the [OK] button to exit each of the [Process Monitor Settingl] window and [Monitor Process Setting] window.

<<Report setting for business AP2>>

As in the case with AP1, when the [Patlite Policy] window appears, specify "Stop of business AP2" for the Policy name. Then select "Monitoring base" from the combo box of Destination. Finally, set Process stop to "02" in the list area of severity and report level.

Report settings for AP2 have thus been completed. As in the case with AP1, press the [OK] button to exit windows including the [Monitor Process Setting] window.

  2. Set reports for servers A and B

At first, select [Report Setting] from the right-click menu of server A (serverA) on the Tree view (topology view). When the [Report Setting] dialog appears, place a checkmark in "Report Setting" and "Report only host empty event".

Press the [Configuration] button, place a checkmark in [Report to Patlite] on the [Report Setting] window (Patlite Setting tab) and then press the [Add] button. When the [Patlite Policy] window appears, specify "Stop of server A" for the Policy name. In addition, specify "012" for the list area of Severity and Level, and for host not activated. Finally, press the [OK] button to exit each of the [Report Setting] window and the [Report Setting] window.

Similarly set server B (serverB).

Report settings have thus been completed. Then go to Item 3. Define category and filter

[References]

See here for details on Patrol light report definition.


3. Define the category and filter

  • Specify "Emergency failure" for the category name.

  • Filter name (Description) are as shown below. Execution order is also given below.

Filter name | Description
Stop of server A | Extracts messages when server A stops.
Stop of server B | Extracts messages when server B stops.
Stop of AP1 | Extracts messages when business AP1 stops.
Stop of AP2 | Extracts messages when business AP2 stops.

  1. Define category

From the right-click menu on the Tree view (business view), select the [Add Category]. When the [New Category] dialog appears, specify [Emergency failure] as the category name, and then press the [OK] button.

  2. Define filter

From the right-click menu on the defined category [Emergency failure], select [Filter Setting]. When the [Filter Setting] window appears, press the [Add] button. The [Filter Detail Setting] window appears, enter the filter name into the "Description" area, and then press the [OK] button. Repeat these steps to define four filters. Finally change the execution order by the [Up]/[Down] arrow buttons to make the following arrangement.

Categories and filters have thus been defined completely. Then go to Item 4. Define the selecting conditions

[References]

See here for details about filter definitions.


4. Define the selecting conditions

  • The selecting conditions for filters are as follows.

Stop of server A

Condition |  |  | Content
Description |  |  | Stop of server A
Type |  |  | Store
Category |  |  | Unified Management Framework
Node |  |  | Not specified (blank)
Application |  |  | Not specified (blank)
Object |  |  | TopologyService
Message ID |  |  | 00010002
Message Text |  |  | Host.*Empty.*ServerA
Select by Position |  |  | Not specified (blank)
Select by Key | NO1 | Key | OLD
 |  | Condition | =
 |  | Value | HOSTNORMAL
 | NO2 | Key | NEW
 |  | Condition | =
 |  | Value | HOSTEMPTY
Severity |  |  | FATAL

Stop of server B

Condition |  |  | Content
Description |  |  | Stop of server B
Type |  |  | Store
Category |  |  | Unified Management Framework
Node |  |  | Not specified (blank)
Application |  |  | Not specified (blank)
Object |  |  | TopologyService
Message ID |  |  | 00010002
Message Text |  |  | Host.*Empty.*ServerB
Select by Position |  |  | Not specified (blank)
Select by Key | NO1 | Key | OLD
 |  | Condition | =
 |  | Value | HOSTNORMAL
 | NO2 | Key | NEW
 |  | Condition | =
 |  | Value | HOSTEMPTY
Severity |  |  | FATAL

Stop of AP1

Condition |  |  | Content
Description |  |  | Stop of AP1
Type |  |  | Store
Category |  |  | Unified Management Framework
Node |  |  | Not specified (blank)
Application |  |  | Not specified (blank)
Object |  |  | ProcessMonitor
Message ID |  |  | 00080003
Message Text |  |  | Process.*stop.*AP1
Select by Position |  |  | Not specified (blank)
Select by Key | NO1 | Key | OLD
 |  | Condition | =
 |  | Value | PROCESSRUN
 | NO2 | Key | NEW
 |  | Condition | =
 |  | Value | PROCESSSTOP
Severity |  |  | FATAL

Stop of AP2

Condition |  |  | Content
Description |  |  | Stop of AP2
Type |  |  | Store
Category |  |  | Unified Management Framework
Node |  |  | Not specified (blank)
Application |  |  | Not specified (blank)
Object |  |  | ProcessMonitor
Message ID |  |  | 00080003
Message Text |  |  | Process.*stop.*AP2
Select by Position |  |  | Not specified (blank)
Select by Key | NO1 | Key | OLD
 |  | Condition | =
 |  | Value | PROCESSRUN
 | NO2 | Key | NEW
 |  | Condition | =
 |  | Value | PROCESSSTOP
Severity |  |  | FATAL

  1. Definition of the selecting conditions

Select the above specified filter "Stop of server A" and then press the [Update] button. Specify the selecting conditions, and then press the [OK] button. Similarly, define "Stop of server B", "Stop of AP1," and "Stop of AP2." After the end of operation, the selecting conditions of "Stop of server A" and the [Filter Setting] window are as shown below.

Filter selecting conditions have thus been defined completely. Then go to Item 5. Define the recovery. Select a filter and then press the [Update] button. Select the [Recovery Setting] tab on the [Filter Detail Setting] window, and place a checkmark in [Recovery] Finally press the [Configuration] button to display the [Recovery Setting] window.

[References]

See here for the details of the selecting condition definition.


5. Define the recovery

  • Recoveries are defined follows.

For stop of server A and stop of business AP1

Item | Content
Subject | Failure recovery when server A is abnormal
Recovery List area
Description | Recovery of business AP1
Type | Auto Execute
Action list area
Description | Execution of AP1.exe in server B
Target Host | ServerB
Action | C:\AP1.exe
Work Directory | C:\
Option | -u Administrator

For stop of server B and stop of business AP2

Item | Content
Subject | Failure recovery when server B is abnormal
Recovery List area
Description | Recovery of business AP2
Type | Auto Execute
Action list area
Description | Execution of AP2.exe in server A
Target Host | ServerA
Action | C:\AP2.exe
Work Directory | C:\
Option | -u Administrator

  1. Filter name (Description) "Stop of server A," and "Stop of AP1"

<<Recovery setting "to stop server A" for filter name (Description)>>

Specify "Failure recovery when server A is abnormal" for the Subject in the [Recovery Setting] window. Then press the [Add] button in the Recovery List area to display the [Recovery Type Setting] window. Specify "Recovery of business AP1" for the Description, and the press the [OK] button.

Select "Recovery of business AP1" in the recovery list, and then press the [Add] button in the action list area. When the [Action Setting] window appears, specify "Execution AP1.exe in server B," "ServerB" for the Target Host where operation is done, "C:\AP1.exe" for the Action, "C:\" for the Work Directory, and "-u administrator" for the Option. Then press the [OK] button.

Finally check that all items entered are displayed in the [Recovery Setting] window displayed again and that a checkmark is placed on the left side of "Recovery of business AP1" displayed in the recovery list. After the check is done, press the [OK] button to exit each of the [Recovery Setting] window and [Filter Detail Setting] windows.

<<Recovery setting "Stop of AP1" for filter name (Description)>>

Specify "Failure recovery when server A is abnormal" for the description in the [Recovery Setting] window. Place a checkmark on the left side of "Recovery of business AP1" displayed in the recovery list area, and then press the [OK] button.

  2. Filter name (Description) "Server B," and "Stop of AP1"

As in the case with the procedures for filter name (Description) "Stop of server A," and "Stop of AP1", make the definitions.

Recovery settings have thus been completed.

Finally, go to Item 6. Perform monitoring and report test. Display the Main window.

[References]

See here for details on the recovery definitions.


6. Perform monitoring and report test

  • The Severity, PROCESSSTOP, FATAL and HOSTEMPTY are set in red.

  1. Perform the test needed when business AP stops

Perform the test needed when business AP stops. At first, double-click "Business AP" group under ServerA on the Tree view (topology view). When the process monitoring window appears, check for the appearance of AP1.exe in the process list area, and check that the color for the Severity is the PROCESSRUN color.

Then stop executing AP1.exe in server A. Normal definition is to perform the following operations.

  • The color for the Severity of AP1.exe changes to the color of PROCESSSTOP.

  • On the Tree view, the color for each of the nodes, i.e., "Business AP", "Process Monitor", "ServerA" and "Topology View" will change to the color of PROCESSSTOP.

  • A message is stored in the category "Emergency failure", indicating that process has stopped. The color changes to the color of FATAL.

  • On the Tree view, the color of the node "Business view" changes to the color of FATAL.

  • Patrol light comes on with the report level "01".

  • In serverB, AP1.exe is activated.

If the above operations are not done, definitions may be incorrect. In such a case, check definitions again.

After the test is completed, activate AP1.exe again in serverA, and then perform the test needed when business AP2 stops, similarly.

  2. Perform the test needed when server stoops

Perform the test needed when server stops. At first, check that the color around the serverA icon on the Tree view and the color for the Severity are the color of HOSTNORMAL.

Stop serverA. Normal definition is to perform the following operations.

  • The color for each of the nodes, i.e., "ServerA" and "Topology View" will change to the color of HOSTEMPTY.

  • Patrol light comes on with the report level "012".

  • In serverB, AP1.exe is activated.

If the above operations are not done, definitions may be incorrect. In such a case, check definitions again.

After the test is completed, perform the test needed when serverB stops, similarly.

[References]

See here for details on how to monitor processes

See here for details on how to check recovery status

See here for details on how to check report status


Preconditions and Construction Order

[Preconditions]

Run the instance of Oracle all the time on the following two server: One server on which Linux is running and the other server on which Windows is running. The purposes is to monitor the normal operation of each server and report a detected error to an operator with a Patlite.

  • The necessary agents have been added.

  • Servers and platforms that make up this system and information on Oracle that is running must be as follows:

    Types of Servers

    Server Name

    Oracle Version

    Oracle Installation Name

    Oracle Instance Name

    Windows server

    ServerA

    12.1.0

    OraDb12c_home1

    ORCL1

    Linux server

    ServerB

    12.1.0

    OraDb12c_home2

    ORCL2

    Patlite server

    Patlite

    -

    -

    -

  • Report a warning when the buffer cache hit rate in Oracle is lower than 75% and an error when it is lower than 65%.

  • Report a warning when the library cache hit rate in Oracle is lower than 90% and an error when it is lower than 85%.

  • Monitor the processes required when operating Oracle and make a report when any one of them stops.

  • Monitor the logs in Oracle and suggest a link(s) to a support page(s) when an erroneous message is detected.

  • Make a report when any one of the servers stops operating.

[Construction order]

1. Configure a connection to each Oracle database

2. Define the monitoring of Oracle performance

3. Define the monitoring of Oracle processes

4. Configure the reporting process

5. Define the monitoring of Oracle alert logs

6. Define the monitoring of messages

7. Perform monitoring and reporting test


1. Configure a connection to each Oracle database

  1. Make preparations before monitoring Oracle performance
    Before you can monitor Oracle performance, you must make some preparations. For more information, refer to here. If you have not made these preparations, you will fail to establish a connection to each Oracle database and, consequently, you will not able to monitor Oracle performance.

    [References]
    About preparations for Oracle performance monitoring

  2. Set up a host on which the performance of Oracle will be monitored
    When you right-click on the [Topology] node and select [Application Host Setting], [Oracle] from the displayed menu, the [OracleMonitor - Host Setting] window appears with a list of the current hosts on which the performance of Oracle is monitored. Ensure that ServerA and ServerB each of which is an Oracle server are set up as hosts on which the performance of Oracle is monitored.

    When you have confirmed that the check boxes left to [ServerA] and [ServerB] are both checked, click on the [OK] button.

  3. Register the Oracle monitored instance on ServerA to the monitored objects
    Select [Application Instance Setting], [Oracle] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [OracleMonitor - Instance Setting] window has been displayed, register the Oracle instance "ORCL1" running on ServerA.

    When you select "Oracle12c" in [Version] and click on the [Add] button, the [Add Oracle Instance] window is displayed.

  4. Configure a connection to the Oracle monitored instance
    Set up the Oracle instance you will register from the [Add Instance] window. Enter "ORCL1" in [Instance Name] and "Connect to ORCL1 on ServerA" in [Description]. Finally, enter the username and password for database connection and click on the [OK] button.

    [Note]
    Specify "sys" for the username on a permanent basis.

    Confirm that the Oracle instance "ORCL1" that was set in the [OracleMonitor - Instance Setting] window has been added. To make a connection to the specified instance, click on the [OK] button.

  5. Confirm that the specified instance has been registered to the monitored objects
    When you select [Performance Monitor Setting] in the menu that is displayed by right-clicking on the [ServerA] node in the Topology view, a performance monitoring node is created under the [ServerA] node, and then the [Edit Performance Monitoring] dialog is displayed. When you have confirmed that "Oracle (ORCL1)" is included in the list, click on the [OK] button.

  6. Register the Oracle monitored instance on ServerB to the monitored objects
    Similarly to the case of ServerA, register the monitored instance "ORCL2" on ServerB. Enter "Connect to ORCL2 on ServerB" in [Description].

Now, you have registered the monitored instances.

Proceed to "2. Define the monitoring of Oracle performance."

[Reference]

For more information on registering the monitored instances, refer to here.


2. Define the monitoring of Oracle performance

  • Define items for Oracle performance monitoring as follows:

Monitored instance name | Memory
Monitored counter name | Buffer Cache Hit(%)
Upper error monitor threshold | Not to be monitored
Upper warning monitor threshold | Not to be monitored
Lower warning monitor threshold | 75
Lower error monitor threshold | 65

Monitored instance name | Memory
Monitored counter name | Library Cache Hit(%)
Upper error monitor threshold | Not to be monitored
Upper warning monitor threshold | Not to be monitored
Lower warning monitor threshold | 90
Lower error monitor threshold | 85

  1. Import a definition file
    Select [Import] from the right-click menu on the [ServerA] node in the Topology view. When the [Import Service] (import selection) dialog has been displayed, click on the [Browse] button and select the folder that stores a desired definition file.
    When you click on the [Browse] button, the following folder is displayed. In the folder, select [template] and then [Oracle], and click on [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    When you have confirmed that the check box left to [Performance Monitor] is checked, click on the [OK] button.
    When the [Import Setting] window has been displayed, double-click on [Instance Name] in the list of setting items.

    When the [Instance Name Setting] dialog has been displayed, specify "ORCL1" in [Instance Name] and click on the [OK] button.

    Next, double-click on [Logging option] in the setting items.

    When the [Logging option Setting] dialog has been displayed, enter "1" (which means I want to save the history) for [Logging option].

    When you have confirmed that "ORCL1" is set in [Setting Value] for [Instance Name] and "1" (which means I want to save the history) is set in [Setting Value] for [Logging option] in the [Import Setting] window, click on the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.

  2. Set the threshold values
    Double-click on the [Memory] node from under [Performance Monitor] in the Topology view to display the monitor window.

    When you select "Buffer Cache Hit(%)" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Store the historical data in file] from the [Display Setting] tab. Next, set the threshold values from the [Threshold Setting] tab. Enter "65" in [Threshold] under [Lower Error Monitor] and "75" in [Threshold] under [Lower Warning Monitor] and click on [OK].

    Similarly, from the monitor window in the monitored instance [Memory], check [Store the historical data to file] and set the lower warning monitor threshold and the lower error monitor threshold for the monitored counter "Library Cache Hit(%)."

  3. Set the performance monitoring process on ServerB
    Similarly to the case of ServerA, set the performance monitoring process on the side of ServerB. As the Oracle instance to be monitored on ServerB is "ORCL2," specify "ORCL2" in [Instance Name Setting].

Now, you have defined the performance monitoring process.

Proceed to "3. Define the monitoring of Oracle processes."

[References]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Define the monitoring of Oracle processes

  • Define items for monitoring the required Oracle processes as follows:

Server | ServerA
Platform | Windows
Monitored instance name | ORCL1
Monitoring function to be used | Windows Service Monitoring Function
Service group name | Oracle Service
Monitored service | OracleOraDb12c_home1TNSListener OracleServiceORCL1

Server | ServerB
Platform | Linux
Monitored instance name | ORCL2
Monitoring function to be used | Process monitoring function
Process group name | Required Oracle Process
Monitored process | ora_dbw ora_lgwr ora_pmon ora_smon
Monitoring method | All monitored with command line commands
Upper limit for the number of processes | 1 for all
Lower limit for the number of processes | 1 for all

  1. Set up ServerA for monitoring the Oracle processes
    A required Oracle process is started as a service on the Windows agent.
    Select [Windows Service Monitor Setting] from the right-click menu on the [ServerA] node in the Topology view. When the [New Group] dialog has been displayed, enter "Oracle Service" in [Group Name] and click on the [OK] button. When a new Windows service monitoring group has been defined, right-click on its node icon and select [Monitored Service Setting].

    From the [Windows Service Setting] dialog, select "OracleOraDb12c_home1TNSListener" and "OracleServiceORCL1" and click on the [OK] button.

  2. Set up ServerB for monitoring the Oracle processes
    On the Linux agent, the required Oracle processes are monitored by using the process monitoring function.
    Select [Process Monitor Setting] from the right-click menu on the [ServerB] node in the Topology view. When the [New Group] dialog has been displayed, enter "Required Oracle Process" in [Group Name] and click on the [OK] button. When a new monitored process group has been defined, right-click on its node icon and select [Process Setting].

    Click on the [Add] button to display the [Process Monitor Detail Setting] window. Enter "ora_dbw" in [Title]. Check [Command Line] and enter "ora_dbw" under it. Set "1" in [High Threshold] (for the upper limit for the number of processes) and [Low Threshold] (for the lower limit for the number of processes) and click on the [OK] button.

    When you have confirmed that "ora_dbw" is added in the [Monitored Process Setting] window, follow the same steps for "ora_lgwr" and "ora_pmon" and "ora_smon."

Now, you have defined the monitoring of Oracle processes.

Proceed to "4. Configure the reporting process."

[References]

For more information on defining the Windows service monitoring, refer to here.

For more information on defining the process monitoring, refer to here.

For information on the required Oracle processes, refer to here.


4. Configure the reporting process

  • Configure items for reporting as follows:

When either or both Oracle servers are stopped

Item | Description
Policy name | Oracle server down
Severity and level | Severity | HOSTEMPTY
 | Level | 01
Report destination | Monitoring Base
Host name | Patlite
Port number | 2048

When the buffer cache hit rate lower limit produces an error

Item | Description
Policy name | Buffer cache hit rate error
Severity and level | Severity | PERFLOWERROR
 | Level | 02
Report destination | Monitoring Base
The report destination can be set the same way as in the case of Oracle server stopped.

When the buffer cache hit rate lower limit produces a warning

Item | Description
Policy name | Buffer cache hit rate error
Severity and level | Severity | PERFLOWWARNING
 | Level | 03
Report destination | Monitoring Base
The report destination can be set the same way as in the case of Oracle server stopped.

When the library cache hit rate lower limit produces an error

Item | Description
Policy name | Library cache hit rate error
Severity and level | Severity | PERFLOWERROR
 | Level | 02
Report destination | Monitoring Base
The report destination can be set the same way as in the case of Oracle server stopped.

When the library cache hit rate lower limit produces a warning

Item | Description
Policy name | Library cache hit rate error
Severity and level | Severity | PERFLOWWARNING
 | Level | 03
Report destination | Monitoring Base
The report destination can be set the same way as in the case of Oracle server stopped.

When a Oracle serivice is stopped

Item | Description
Policy name | Required Oracle process stopped
Severity and level | Severity | SERVICESTOP
 | Level | 04
Report destination | Monitoring Base
The report destination can be set the same way as in the case of Oracle server stopped.

When a required Oracle process is stopped

Item | Description
Policy name | Required Oracle process stopped
Severity and level | Severity | PROCESSSTOP
 | Level | 04
Report destination | Monitoring Base
The report destination can be set the same way as in the case of Oracle server stopped.

  1. Configure the reporting process for ServerA when it is stopped
    Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only host empty event.] and click on the [Configuration] button.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify "Oracle server down" in [Policy Name].Then, double-click on [HOSTEMPTY] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "01" in the window.

    Next, set the report destination common to all report policies. Click on [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Display Name], "Patlite" in [Host Name], and "2048" in [Port Number] and click on the [OK] button in the window.

    When the [Patlite Policy] window is displayed again, confirm that "Monitoring Base" is displayed in [Destination] and then click on the [OK] button. Similarly, when the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that "Oracle server down" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then check this item and click on the [OK] button.

    Now, you have configured the reporting process for ServerA when it is stopped.

  2. Configure the reporting process for ServerB when it is stopped
    Similarly to the case of ServerA, configure the reporting process for ServerB when it is stopped. Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerB] node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Specification] and [Report only When Host Is Stopped] and click on the [Configuration] button.
    When the [Report Setting] dialog has been displayed, check [Report to Patlite] in the [Patlite Setting] tab, select "Oracle server down" from [Policy Name] and click on the [OK] button.

  3. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click on the [Memory] node under the performance monitoring function node on ServerA to display the performance monitor window. When you select "Buffer Cache Hit(%)" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Report] and [FATAL and WARNING only] and click on the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [Buffer cache hit rate error] in [Policy Name].Then, double-click on [Performance upper limit error] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window. Similarly, double-click on [Performance upper limit warning] and specify "03" in the [Report Level Setting] window. Finally, select "Monitoring Base" in [Destination] and click on the [OK] button.

    Similarly, configure the reporting process for "Library Cache Hit(%)" in "Memory. "Specify "Library cache hit rate error" in [Policy Name].
    Similarly to the case of ServerA, configure the reporting process for each of "Buffer Cache Hit(%)" and "Library Cache Hit(%)" in "Memory" on the side of ServerB.

  4. Configure the reporting process for ServerA when either or both Oracle services are stopped
    Double-click on "Oracle Service" under the [Windows Service Monitor] node on ServerA to display the Windows service monitor window. When a list of monitored services has been displayed in the window, double-click on "OracleServiceORCL1" to display the [NT Service Setting] dialog where you check [Report Setting] and [Report only service stop event].Then, click on the [Configuration] button to display the [Report Setting] window.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [Required Oracle process stopped] in [Policy Name].Then, double-click on [Process stopped] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "03" in the window. Select "Monitoring Base" in [Destination] and click on the [OK] button.

    Similarly, configure the reporting process for "OracleOraDb12c_home1TNSListener" from the Windows service monitoring window. Select "Required Oracle process stopped" in [Policy List].

  5. Configure the reporting process for ServerB when at lease one of Required Oracle processes is stopped
    Double-click on "Required Oracle process" under the [Process Monitor] node on ServerB to display the process monitor window. When a list of monitored processes has been displayed in the window, select [Set Process Monitoring] from the right-click menu of "ora_dbw" and check [Report Setting] and [Report only when error occurs] in the [Process Monitor Detail Setting] window. Then, click on the [Configuration] button to display the [Report Setting] window.

    From the [Report Setting] window, select "Required Oracle process stopped" in [Report Policy] and click on the [OK] button.

Now, you have configured the reporting process. Proceed to "5. Define the monitoring of Oracle alert logs."

[Reference]

For more information on defining the Patlite reporting, refer to here.


5. Define the monitoring of Oracle alert logs

  • The following lists the logs to be monitored:

Windows agent | C:\oracle\product\ora12.1.0\admin\orcl1\bdump\alert_orcl.log
Linux agent | /home/ORABASE/app/oracle/admin/orcl/bdump/alert_orcl.log

  • Filters must be defined with knowledge files for Oracle application logs shipped with the product.

    [Note]
    Since the path to an alert log depends on an environment, you must confirm the file path when you set up the alert log monitoring.

  1. Set the alert log to be monitored
    Select [Edit Application Log Monitoring] from the right-click menu on the [ServerA] node in the Topology view.
    When you have selected [Edit Application Log Monitoring] from a menu that is displayed by right-clicking on the [ServerA] node in the Topology view, an application log monitor node is created under the [ServerA] node. When you right-click on the [Application Log Monitor] node and select [Set Application Log], the [Application Log Monitor Setting] dialog is displayed, where you specify "ORCL1 alert log" in [Application Log Name] and the path listed above in [Log File Name] and then click on the [OK] button.

  2. Import a knowledge file
    Import a knowledge file to filter the Oracle alert log.
    Select [Application Log Filter Setting] from the right-click menu on the [ORCL1 Alert Log] node that has been added under the [Application Log Monitor] node in the Topology view. When the [Filter Setting] window has been displayed, click on the [Import] button.

    The [Import Setting] dialog is displayed with a list of knowledge files for monitoring application logs shipped with the product. Select [ApLog_OracleRDBMS.txt] from the list of knowledge files and click on the [OK] button.

    When the knowledge file has been read, a list of filters that were imported is displayed in the [Filter Setting] window.

    Click on the [Close] button to complete the filter definition operation.

  3. Set the alert log to be monitored on the side of ServerB
    Similarly to the case of ServerA, define the application log monitoring on the side of ServerB. Enter "ORCL2 Alert Log" in [Application Log Name] and the path listed above in [Log File Name].Import the same file as what you used for ServerA.

Now, you have defined the monitoring of Oracle logs.

Proceed to "6. Define the monitoring of messages."

[Reference]

For more information on the application log monitoring, refer to here.

For details of the Oracle knowledge, refer to "MasterScope Knowledge for Oracle Database Release Memo" (PDF file that exists in the following directory).

C:\Program Files\NEC\UMF\Operations\Svc\bin\Oracle


6. Define the monitoring of messages

  • Specify "Oracle Message" in [Category] (as the category name).

  • Filters must be defined by importing a knowledge file shipped with the product.

  1. Define a category
    From the right-click menu on the Tree view (business view), select [Add Category].When the [New Category] dialog has been displayed, specify "Oracle Message" as the category name in [Category Name] and click on the [OK] button.

  2. Import a knowledge file
    Import the knowledge file that is defined for messages that Oracle outputs.
    From the right-click menu on the [Oracle Message] category node that has been added under the business view, select [Filter Setting].When the [Filter Setting] window has been displayed, click on the [Import] button.

    The [Import Setting] dialog is displayed with a list of knowledge files shipped with the product. Select [K4ORACLE12gR1_en.txt] from the list of knowledge files and click on the [OK] button.

    When the knowledge file has been read, a list of filters that were imported is displayed in the [Filter Setting] window.

Now, you have defined the message monitoring process.

Finally, go to "7. Perform monitoring and reporting tests." Display the main window.

[Reference]

For more information on the message monitoring, refer to here.

For details of the Oracle knowledge, refer to "MasterScope Knowledge for Oracle Database Release Memo" (PDF file that exists in the following directory).

C:\Program Files\NEC\UMF\Operations\Svc\bin\Oracle


7. Perform monitoring and reporting tests

  1. Perform a test when one of the servers is stopped
    Test the case where one of the servers is stopped. First, confirm that the severity color section around the ServerA icon on the Tree view (Topology view) is set to the color of HOSTNORMAL.

    Then, stop ServerB. If everything is properly defined, the system will take the following actions:

    • The color of each of the [ServerB] and [Topology view] nodes turn to the color of HOSTEMPTY.
    • The Patlite turns on with a report level of "01."

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when the counter falls under a threshold value
    Test the case where the value of the monitored counter "Buffer Cache Hit(%)" is below 65%.First, double-click on the monitored instance [Memory] under ServerA in the Tree view (Topology view).When the performance monitor window has been displayed, confirm that the severity color section for "Buffer Cache Hit(%)" in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "Buffer Cache Hit(%)" to 65% or lower. If everything is properly defined, the system will take the following actions:

    • The color of the severity for "Buffer Cache Hit(%)" turns to the color of PERFLOWERROR.
    • The color of each of the [Memory], [Oracle(ORCL1)], [Performance Monitor], [ServerA], and [Topology view] nodes turn to the color of PERFLOWERROR that is defined as red here.
    • The Patlite turns on with a report level of "02."

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  3. Perform a test when a required process is stopped
    Test the case where a required Oracle process is stopped. First, double-click on the "Required Oracle Process" group under ServerB on the Tree view (Topology view).When the process performance monitor window has been displayed, confirm that the required processes are displayed in the list of processes and the severity colors for the processes are set to that of PROCESSUN.

    Then, stop ora_dbw0orcl1 that is running on ServerB.If everything is properly defined, the system will take the following actions:
    • The color of the severity for "ora_dbw" turns to the color of PROCESSSTOP.
    • The color of each for the [Required Oracle process], [Process Monitor], [ServerB], and [Topology view] nodes turns to the color of PROCESSSTOP.
    • The Patlite turns on with a report level of "03."

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  4. Perform a test for monitoring the alert logs
    Confirm that the Oracle alert logs will be reported to the business view. First, double-click on the [Oracle Message] category under the business view. Confirm that a list of messages that are stored in the category are displayed.

    Then, output the Oracle alert logs. If everything is properly defined, the system will take the following actions:
    • The output messages are added to the message list.
    • When you double-click on one of the added messages, the [Message Detail] window is displayed where you can check detailed information on the message.
    • Clicking on the [OiSC Knowledge Base] button in the lower section of the [Message Detail] window enables you to check the Oracle support page from your browser.

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on the process monitoring method, refer to here.

For more information on the Windows service monitoring method, refer to here.

For more information on checking the report status, refer to here.

For more information on the message monitoring, refer to here.


Preconditions and Construction Order

[Preconditions]

An RAC service must be always running in an Oracle RAC environment that consists of two Windows servers. The purpose is to monitor the normal operation of the RAC services and report any detected error to an operator with a Patlite.

  • The necessary agents have been added to each of the servers that make up RAC.

  • The servers and platform that comprise this system and information on Oracle that is running must be as follows:

Types of Servers | Server Name | Oracle Version | Database Name | Service Name | Instance Prefix | Oracle Instance Name
Windows server | rac1 | 12.1.0 | rac | service1 | rac | rac1
Windows server | rac2 | 12.1.0 |  |  |  | rac2
Patlite server | Patlite | - | - | - | - | -

  • Report a warning when the waiting time duration for block conflicting in the global cache exceeds 0.2 second and an error when it exceeds 1 second.

  • Report a warning when the time period during which the current block waits for information to be received from one of the other instances exceeds 0.7 second and an error when it exceeds 1 second.

  • Monitor the Oracle RAC services and make a report when any one of them is stopped.

  • Monitor services required when operating Oracle and make a report when any one of them stops.

  • Monitor the logs in Oracle and suggest a link(s) to a support page(s) when an erroneous message is detected.

  • Make a report when any one of the servers stops operating.

[Construction order]

1. Configure a connection to an Oracle database (RAC)

2. Define the monitoring of Oracle performance

3. Define the monitoring of Oracle services

4. Configure the reporting process

5. Define the monitoring of Oracle alert logs

6. Define the monitoring of messages

7. Perform monitoring and reporting tests


1. Configure a connection to an Oracle database (RAC)

  1. Make preparations before monitoring Oracle performance

    Before you can monitor Oracle performance, you must make some preparations. For more information, refer to here. If you have not made these preparations, you will fail to establish a connection to each Oracle database and, consequently, you will not able to monitor Oracle performance.

    [References]
    About preparations for Oracle performance monitoring

  2. Set up a host on which the performance of Oracle will be monitored
    When you right-click on the [Topology View] node and select [Edit Oracle Host] from the displayed menu, the [Oracle Monitor - Host Setting] window appears with a list of the current hosts on which the performance of Oracle is monitored. Confirm that hosts rac1 and rac2 that make up RAC are set up as hosts on which the performance of Oracle is monitored.

    When you have confirmed that the check boxes left to [rac1] and [rac2] are both checked, click on the [OK] button.

  3. Register information on a connection to Oracle RAC
    From the physical view under the Application Summary, right-click on the rac1 or rac2 node (either node is right-clickable) and select [Edit RAC] from the displayed menu. When the [Oracle Monitor - RAC Setting] window has been displayed, register the RAC service "service1" running on RAC.

    Click on the [Add] button in the window to display the [Add RAC Service] window.

  4. Configure a connection to an RAC service
    Set up the Oracle RAC service you want to register from the [Add RAC Service] window. Enter "rac" in [Database Name], "service1" in [Service Name], and a username and password for database connection and click on the [OK] button. Finally, enter "Connect to 'service1' of Oracle" in [Description] for the explanation of the RAC service.

    [Note]
    Specify "sys" for the username on a permanent basis.

    Confirm that the Oracle service "service1" that you have set in the [Oracle Monitor - RAC Setting] window has been added. To make a connection to the specified instance, click on the [OK] button.

  5. Confirm that the specified RAC instance has been registered
    Confirm that an instance icon is registered under the [rac1] node and the [rac2] node in the physical view under the Application Summary.

    You can confirm the RAC configuration by clicking on the [Composition] button in the [Oracle Monitor - RAC Setting] window.

  6. Confirm that the specified instance has been registered to the monitored objects
    When you select [Edit Performance Monitoring] in the menu that is displayed by right-clicking on the [rac1] node in the Topology view, a performance monitoring node is created under the host node, and then the [Edit Performance Monitoring] dialog is displayed with a list of monitored objects. When you have confirmed that [Oracle (rac1)] is included in the list, click on the [OK] button.

    rac1 node

    Under the [rac2] node, confirm what you have ensured under the [rac1] node.

Now, you have registered the RAC services to be monitored.

Proceed to "2. Define the monitoring of Oracle performance."

[References]

For more information on registering Oracle RAC, refer to here.


2. Define the monitoring of Oracle performance

You configure the monitoring of Oracle performance in each host that makes up RAC.

  • Define items for Oracle performance monitoring as follows:

Monitored instance name | RAC_Wait
Monitored counter name | gc cr block 2-way
Upper error monitor threshold | 100.0
Upper warning monitor threshold | 20.0
Lower warning monitor threshold | Not to be monitored
Lower error monitor threshold | Not to be monitored

Monitored instance name | RAC_Wait
Monitored counter name | gc current block 2-way
Upper error monitor threshold | 100.0
Upper warning monitor threshold | 70.0
Lower warning monitor threshold | Not to be monitored
Lower error monitor threshold | Not to be monitored

  1. Import a definition file
    Select [Import] from the right-click menu on the host rac1 node in the Topology view. When the [Import Service] (import selection) dialog has been displayed, click on the [Browse] button and select the folder that stores a desired definition file.
    When you click on the [Browse] button, the following folder is displayed. In the folder, select [template] and then [OracleRAC], and click on [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    When you have confirmed that the check box left to [Performance Monitor] is checked, click on the [OK] button.
    When the [Import Setting] window has been displayed, double-click on [Instance Name] in the list of setting items.

    When the [Instance Name Setting] dialog has been displayed, specify "rac1" in [Instance Name] and click on the [OK] button.

    Next, double-click on [Logging option] in the setting items.

    When the [Logging option Setting] dialog has been displayed, enter "1" (which means I want to save the history) for [Logging option].

    When you have confirmed that "rac1" is set in [Setting Value] for [Instance Name] and "1" (which means I want to save the history) is set in [Setting Value] for [Logging option] in the [Import Setting] window, click on the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [rac1] node in the Topology view.

  2. Set the threshold values
    Double-click on the [RAC_wait] node from under [Performance Monitor] in the Topology view to display the monitor window.

    When you select [gc cr block 2-way] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Store the historical data in file] from the [Display Setting] tab. Next, set the threshold values from the [Threshold Setting] tab. Enter "100.0" in [Threshold] under [Upper Error Monitor] and "20.0" in [Threshold] under [Upper Warning Monitor] and then click on [OK].

  3. Define performance monitoring on host rac2
    Similarly to the case of host rac1, set the performance monitoring process on the side of host rac2. Since the Oracle instance to be monitored on rac2 is "rac2," specify "rac2" in [Instance Name Setting].

Now, you have defined the performance monitoring process.

Proceed to "3. Define the monitoring of Oracle services."

[References]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Define the monitoring of Oracle services

  • Define items for monitoring Oracle services as follows:

Server | rac1
Platform | Windows
Monitored instance name | rac1
Monitoring function to be used | Windows Service Monitoring Function
Service group name | Required Oracle Services
Monitored service | Oracle Object Service OracleClusterVolumeService OracleCRService OracleCSService OracleEVMService OracleOraDb12c_home1TNSListener OracleServiceRAC1

From the [Windows Service Setting] dialog, select the services and click on the [OK] button.

Similarly to the case of host rac1, set the services to be monitored on the side of host rac2.

Now, you have defined the monitoring of Oracle processes.

Proceed to "4. Configure the reporting process."

[References]

For more information on defining the Windows service monitoring, refer to here.

For information on the required Oracle processes, refer to here.


4. Configure the reporting process

  • Configure items for reporting as follows:

When either or both Oracle servers are stopped

Item | Subject
Policy name | Oracle server down
Severity and level | Severity | HOSTEMPTY
 | Level | 01
Report destination | Monitoring Base
Host name | Patlite
Port number | 2048

When the upper limit for the waiting time duration for block conflicting in the global cache produces an error

Item | Subject
Policy name | GC block conflict waiting time error
Severity and level | Severity | PERFUPERROR
 | Level | 02
Report destination | Monitoring Base
The report destination can be set in the same way as in the case of Oracle server stopped

When the upper limit for the waiting time duration for block conflicting in the global cache produces a warming

Item | Subject
Policy name | GC block conflict waiting time error
Severity and level | Severity | PERFUPWARNING
 | Level | 03
Report destination | Monitoring Base
The report destination can be set in the same way as in the case of Oracle server stopped

When the upper limit for the time period during which the current block waits for information to be received from one of the other instances produces an error

Item | Subject
Policy name | GCCR waiting time for other instances error
Severity and level | Severity | PERFUPERROR
 | Level | 02
Report destination | Monitoring Base
The report destination can be set in the same way as in the case of Oracle server stopped

When the upper limit for the time period during which the current block waits for information to be received from one of the other instances produces a warning

Item | Subject
Policy name | GCCR waiting time for other instances error
Severity and level | Severity | PERFUPWARNING
 | Level | 03
Report destination | Monitoring Base
The report destination can be set in the same way as in the case of Oracle server stopped

When an Oracle OS service is stopped

Item | Subject
Policy name | Required Oracle service stopped
Severity and level | Severity | SERVICESTOP
 | Level | 04
Report destination | Monitoring Base
The report destination can be set in the same way as in the case of Oracle server stopped

When an Oracle RAC service is stopped

Item | Subject
Policy name | Oracle RAC service stopped
Severity and level | Severity | FATAL
 | Level | 05
Report destination | Monitoring Base
The report destination can be set in the same way as in the case of Oracle server stopped

When an Oracle RAC service is suspended

Item | Subject
Policy name | Oracle RAC service stopped
Severity and level | Severity | WARNING
 | Level | 06
Report destination | Monitoring Base
The report destination can be set in the same way as in the case of Oracle server stopped

  1. Configure the reporting process for host rac1 when it is stopped
    Select [Report Setting] from the menu that is displayed by right-clicking on the host rac1 node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Specification] and [Report only When Host Is Stopped] and click on the [Configuration] button. Select [Import] from the right-click menu on the host rac1 node in the Topology view. When the [Import Service] (import selection) dialog has been displayed, click on the [Browse] button and select the folder that stores a desired definition file.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify "Oracle server down" in [Policy Name]. Then, double-click on [HOSTEMPTY] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "01" in the window.

    Next, set the report destination common to all report policies. Click on [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Destination], "Patlite" in [Host Name], and "2048" in [Port Number] and click on the [OK] button in the window.

    When the [Patlite Policy] window is displayed again, confirm that [Monitoring Base] is displayed in [Destination] and then click on the [OK] button. Similarly, when the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that [Oracle server down] and [Monitoring Base] are displayed in the [Policy Name] and [Destination] sections, respectively. Then check this item and click on the [OK] button.

    Now, you have configured the reporting process for host rac1 when it is stopped.

  2. Configure the reporting process for host rac2 when it is stopped
    Similarly to the case of host rac1, configure the reporting process for host rac2 when it is stopped. Select [Report Setting] from the menu that is displayed by right-clicking on the [rac2] node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Specification] and [Report only When Host Is Stopped] and click on the [Configuration] button.
    When the [Report Setting] dialog has been displayed, check [Report to Patlite] in the [Patlite Setting] tab, select [Oracle server down] from [Policy Name] and click on the [OK] button.

  3. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click on the [RAC_Wait] node under the performance monitoring function node for host rac1 to display the performance monitor window. When you select [gc cr block 2-way] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Report] and [FATAL and WARNING only] and click on the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify "GC block conflict waiting time error" in [Policy Name]. Then, double-click on [PERFUPERROR] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window. Similarly, double-click on [PERFUPWARNING] and specify "03" in the [Report Level Setting] window. Finally, select [Monitoring Base] in [Destination] and click on the [OK] button.
    Similarly, configure the reporting process for "gc current block 2-way" for "RAC_Wait." Specify "GCCR waiting time for other instances error" in [Policy Name].
    Similarly to the case of host rac1, configure the reporting process for "gc cr block 2-way" and "gc current block 2-way" for "RAC_Wait" on the side of host rac2.

  4. Configure the reporting process for rac1 when an OS service is stopped
    Double-click on [Oracle Service] under the [Windows Service Monitor] node for host rac1 to display the Windows service monitor window. When a list of monitored services has been displayed in the window, double-click on [OracleServiceRAC1] to display the [NT Service Setting] dialog where you check [Report Setting] and [Report only service stop event]. Then, click on the [Configuration] button to display the [Report Setting] window.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify "Required Oracle service stopped" in [Policy Name]. Then, double-click on [Service stopped] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "04" in the window. Similarly, specify "04" as the report level for [SERVICESTOP]. Finally, select [Monitoring Base] in [Destination] and click on the [OK] button.

    Similarly, configure the reporting process for the other Oracle services from the Windows service monitoring window. Check [Required Oracle service stopped] in [Policy List].
    Similarly to the case of host rac1, configure the reporting process for host rac2 about Oracle services.

  5. Configure the reporting process when an Oracle RAC service is stopped
    From [Filter Definition] for the [Application Monitor] node under the business view, display the [Filter Definition] window. When a list of filter names has been displayed, display the [Filter Detail Setting] dialog by double-clicking on the filter name whose name is [Application monitoring message] and whose message ID is [^00410030$], and check [Report Setting] in the [Recovery] tab in the dialog. Then, click on the [Configuration] button to display the [Report Setting] window.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify "Oracle RAC service stopped" in [Policy Name]. Then, double-click on [FATAL] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "05" in the window. Similarly, double-click on [WARNING] and specify "06" in the [Report Level Setting] window. Finally, select [Monitoring Base] in [Destination] and click on the [OK] button.

    Similarly, configure the reporting process for the filter definition whose message ID is [^00410031$"] for some Oracle RAC services stopped.

Now, you have configured the reporting process. Proceed to "5. Define the monitoring of Oracle alert logs."

[References]

For more information on defining the Patlite reporting, refer to here.


5. Define the monitoring of Oracle alert logs

  • The following lists the logs to be monitored:

Windows RDBMS | <ORA_BASE>\admin\<SID>\bdump\alert_<SID>.log
Windows Clusterware | <ORA_CRS_HOME>\log\<hostname>\crsd\*.log <ORA_CRS_HOME>\log\<hostname>\cssd\*.log <ORA_CRS_HOME>\log\<hostname>\alert<hostname>.log

  • You define filters by using knowledge files for Oracle application logs that are shipped with the product.

    [Note]
    Since the path to an alert log depends on an environment, you must confirm the file path when you set up the alert log monitoring.

  1. Set up an alert log to be monitored
    Select [Edit Application Log Monitoring] from the right-click menu on the host rac1 node in the Topology view. When you have selected [Edit Application Log Monitoring] from a menu that is displayed by right-clicking on the host rac1 node in the Topology view, an application log monitor node is created under the [rac1] node. When you right-click on the [Application Log Monitor] node and select [Set Application Log], the [Application Log Monitor Setting] dialog is displayed, where you specify "rac1 alert log" in [Application Log Name] and the path listed above in [Log File Name] and then click on the [OK] button.

  2. Import knowledge files
    Import knowledge files to filter the Oracle alert logs.
    Select [Application Log Filter Setting] from the right-click menu on the [rac1 Alert Log] node that has been added under the [Application Log Monitor] node in the Topology view. When the [Filter Setting] window has been displayed, click on the [Import] button.

    The [Import Setting] dialog is displayed with a list of knowledge files for monitoring application logs shipped with the product. Select [ApLog_OracleRDBMS.txt] and [ApLog_OracleClusterware.txt] from the knowledge file list and click on the [OK] button.

    When the knowledge files have been read, a list of filters that have been imported is displayed in the [Filter Setting] window.

  3. Define the alert logs to be monitored on the side of rac2
    Similarly to the case of host rac1, set the application log monitoring process on the side of host rac2. Enter "rac2 Alert Log" in [Application Log Name] and the path listed above in [Log File Name]. Import the same knowledge files as those you used for rac1.

Now, you have defined the monitoring of Oracle logs.

Proceed to "6. Define the monitoring of messages."

[References]

For more information on the application log monitoring, refer to here.

For details of the Oracle knowledge, refer to "MasterScope Knowledge for Oracle Database Release Memo" (PDF file that exists in the following directory).

C:\Program Files\NEC\UMF\Operations\Svc\bin\Oracle


6. Define the monitoring of messages

  • Specify "Oracle monitoring" in [Category] as the category name.

  • You define filters by importing a knowledge file that is shipped with the product.

  1. Define a category
    From the right-click menu on the Tree view (business view), select [Add Category]. When the [New Category] dialog has been displayed, specify "Oracle Message" as the category name in [Category Name] and click on the [OK] button.

  2. Import a knowledge file
    Import the knowledge file that is defined for messages that Oracle outputs.
    From the right-click menu on the [Oracle monitoring] category node that has been added under the business view, select [Filter Setting]. When the [Filter Setting] window has been displayed, click on the [Import] button.

    The [Import Setting] dialog is displayed with a list of knowledge files shipped with the product. Select [K4ORACLE12gR1_en.txt] from the knowledge file list and click on the [OK] button.

    When the knowledge files have been read, a list of filters that have been imported is displayed in the [Filter Setting] window.

Now, you have defined the message monitoring process.

Finally, go to "7. Perform monitoring and reporting tests." Display the main window.

[References]

For more information on the message monitoring, refer to here.

For details of the Oracle knowledge, refer to "MasterScope Knowledge for Oracle Database Release Memo" (PDF file that exists in the following directory).

C:\Program Files\NEC\UMF\Operations\Svc\bin\Oracle


7. Perform monitoring and reporting tests

  1. Perform a test when a server is stopped
    Test the case where a server is stopped. First, confirm that the severity color section around the host rac1 icon on the Topology view is set to the color of HOSTNORMAL.

    Then, stop host rac2. If everything is properly defined, the system will take the following actions:

    • The color of each of the [rac2] and [Topology view] nodes turns to that of HOSTEMPTY.
    • The Patlite turns on with a report level of "01."
    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when a counter exceeds a threshold value
    Test the case where the value of the monitored counter "gc cr block 2-way" exceeds 20.0. First, double-click on the monitored instance [RAC_Wait] under rac1 in the Topology view. When the performance monitor window has been displayed, confirm that the severity color section for [gc cr block 2-way] in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "gc cr block 2-way" to 20.0 or higher. If everything is properly defined, the system will take the following actions:

    • The color of the severity for "gc cr block 2-way" turns to that of PERFUPWARNING.
    • On the topology view, the color of each of the [RAC_Wait], [Oracle(rac1)], [Performance Monitor], [rac1], and [Topology view] nodes turns to that of PERFUPWARNING that is defined as yellow here.
    • The Patlite turns on with a report level of "03."
    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  3. Test the system when a required service is stopped
    Test the case where a required Oracle service is stopped. First, double-click on the [Required Oracle Services] group under host rac2 on the Topology view. When the service performance monitor window has been displayed, confirm that the required services are displayed in the service list and the severity colors for the services are set to the color of SERVICERUN.

    Then, stop OracleServiceRAC2 that is running on host rac2. If everything is properly defined, the system will take the following actions:

    • The color of the severity for OracleServiceRAC2 turns to that of SERVICESTOP.
    • On the topology view, the color of each of the [Required Oracle Services], [Windows Service Monitor], [rac2], and [Topology view] nodes turns to that of SERVICESTOP.
    • The Patlite turns on with a report level of "03."
    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  4. Test the system when an Oracle RAC service is stopped
    Test the case where an Oracle RAC service is stopped. First, double-click on [RAC Summary] for [RAC Service] on the logical view in the Application Summary. When the RAC summary monitoring window has been displayed, confirm that the service status of RAC takes on the color of NORAML and [Up].

    Then, stop instance rac2 for instance service1 that is running on host rac2. If everything is properly defined, the system will take the following actions:

    • The service status of the RAC changes to the color of WARNING and [Partial Down].
    • On the Application Summary, the color of each of the [RAC Summary], [Service], [Category], [Logical view], and [Application Summary] nodes turns to that of WARNING.
    • The Patlite turns on with a report level of "06."
    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  5. Test alert log monitoring
    Confirm that the Oracle alert logs will be reported to the business view. First, double-click on the [Oracle Message] category under the business view. Confirm that a list of messages that are stored in the category are displayed.

    Then, output the Oracle alert logs. If everything is properly defined, the system will take the following actions:

    • The output messages are added to the message list.
    • When you double-click on one of the added messages, the [Message Detail] window is displayed where you can check detailed information on the message.
    • Clicking on the [OiSC Knowledge Base] button in the lower section of the [Message Detail] window enables you to check the Oracle support page from your browser.
    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on the Windows service monitoring method, refer to here.

For more information on checking the report status, refer to here.

For more information on the message monitoring, refer to here.

For more information on the Oracle RAC monitoring, refer to here.


Preconditions and Construction Order

[Preconditions]

The task is to monitor the number of anonymous connections that use IIS's Web services running on a Windows server. The purposes is to monitor the normal operation of each function and report a detected error to an operator with a Patlite.

  • The necessary agents have been added.

  • Servers and platforms that make up this system and IIS that is running must be as follows:

Server Name | IIS Version
ServerA | 8.5
Patlite | -

  • Report a warning when the number of anonymous connections Web services make to the Web server for the current 30 minutes exceeds 100 and an error when it exceeds 200.

  • Make a report when the Web server stops running.

[Construction order]

1. Configure the server as a monitored host

2. Define the monitoring of IIS performance

3. Configure the reporting process

4. Perform monitoring and reporting tests


1. Configure the server as a monitored host

Set up a host on which the performance of IIS will be monitored.

When you right-click on the [Topology] node and select [Application Host Setting], [IIS] from the displayed menu, the [IISMonitor - Host Setting] window appears with a list of the current hosts on which the performance of IIS is monitored. Ensure that ServerA which is an IIS server is set up as hosts on which the performance of IIS is monitored.

When you have confirmed that the check boxes left to [ServerA] is checked, click on the [OK] button.

Now, you have configured the server as a monitored host.

Proceed to "2. Define the monitoring of IIS performance."

[Reference]

For more information on setting the monitored host, refer to here.


2. Define the monitoring of IIS performance

1. Define the monitoring of IIS performance

  • Define items for IIS performance monitoring as follows:

Monitored object name | Web Service Ext
Monitored instance name | _Total
Monitored counter name | Anonymous Users - 30min
Upper error monitor threshold | 200
Upper warning monitor threshold | 100
Lower warning monitor threshold | Not to be monitored
Lower error monitor threshold | Not to be monitored

  1. Set the monitored counter
    Select [Performance Monitor Setting] from the right-click menu on the [ServerA] node in the Topology view. When the [Performance Monitor] node has been added directly under the [ServerA] node and the [Edit Performance Monitoring] dialog has been displayed, check [Web Service Ext] and click on the [OK] button.

    When the [Web Service Ext] node has been added under the [Performance Monitor] node, select [Monitored Instance Setting] from the right-click menu of the [Web Service Ext] node. When the [Monitored Instance Setting] dialog has been displayed, check [_Total] and click on the [OK] button.

    When the [_Total] node has been added under the [Web Service Ext] node, select [Counter Setting] from the right-click menu. When the [Counter Setting] dialog has been displayed, check [Anonymous Users - 30min] and click on the [OK] button.

  2. Set the threshold values
    Double-click on the [_Total] node from under [Web Service Ext] in the Topology view to display the monitor window.

    When you select [Anonymous Users - 30min] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Store the historical data in file] from the [Display Setting] tab. Next, set the threshold values from the [Threshold Setting] tab. Enter "200" in [Threshold] under [Upper Error Monitor] and "100" in [Threshold] under [Upper Warning Monitor] and then click on [OK].

Now, you have defined the performance monitoring process.

Proceed to "3. Configure the reporting process."

[Reference]

For more information on setting the threshold values, refer to here.


3. Configure the reporting process

2. Configure the reporting process

  • Configure items for reporting as follows:

When the server is stopped

Item | Description
Policy name | Server stopped
Severity and level | Severity | HOSTEMPTY
 | Level | 01
Report destination | Monitoring Base
Host name | Patlite
Port number | 2048

When the upper limit for the number of anonymous connections by Web services produces an error

Item | Description
Policy name | Anonymous connection error by Web services
Severity and level | Severity | PERFUPERROR
 | Level | 02
Report destination | Monitoring Base
The report destination can be set the same way as in the case of IIS server stopped.

When the upper limit for the number of anonymous connections by Web services produces a warning

Item | Description
Policy name | Anonymous connection error by Web services
Severity and level | Severity | PERFUPWARNING
 | Level | 03
Report destination | Monitoring Base
The report destination can be set the same way as in the case of IIS server stopped.

  1. Configure the reporting process for ServerA when it is stopped
    Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only When Host Is Stopped] and click on the [Configuration] button.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [Server stopped] in [Policy Name].Then, double-click on [HOSTEMPTY] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "01" in the window.

    Next, set the report destination common to all report policies. Click on [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Destination], "Patlite" in [Host Name], and "2048" in [Port Number] and click on the [OK] button in the window.

    When the [Patlite Policy] window is displayed again, confirm that "Monitoring Base" is displayed in [Destination] and then click on the [OK] button. Similarly, when the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that "Server stopped" and "Monitoring site" are displayed in the [Policy Name] and [Destination] sections, respectively. Then check this item and click on the [OK] button.

    Now, you have configured the reporting process when the server is stopped.

  2. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click on the [_Total] node from the [Web Service Ext] node under the performance monitoring function node on ServerA to display the performance monitor window. When you select "Anonymous Users - 30min" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Report] and [FATAL and WARNING only] and click on the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [Anonymous connections error by Web services] in [Policy Name].Then, double-click on [Performance upper limit error] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window. Similarly, double-click on [Performance upper limit warning] and specify "03" in the [Report Level Setting] window. Finally, select "Monitoring Base" in [Destination] and click on the [OK] button.

Now, you have configured the reporting process.

Finally, go to "4. Perform monitoring and reporting tests." Display the main window.

[Reference]

For more information on defining the Patlite reporting, refer to here.


4. Perform monitoring and reporting tests

3. Perform monitoring and reporting tests

  1. Perform a test when the server is stopped
    Test the case where the server is stopped. First, confirm that the severity color section around the ServerA icon on the Tree view (Topology view) is set to the color of HOSTNORMAL.

    Then, stop ServerA. If everything is properly defined, the system will take the following actions:
    • The color of each of the [ServerA] and [Topology view] nodes turn to the color of HOSTEMPTY.
    • The Patlite turns on with a report level of "01."

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when the counter exceeds a threshold value
    Test the case where the value of the monitored counter "Anonymous Users - 30min" exceeds 200.First, double-click on the [_Total] node under the monitored object [Web Service Ext] under ServerA in the Tree view (Topology view).When the performance monitor window has been displayed, confirm that the severity color section for Anonymous Users - 30min" in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "Anonymous Users - 30min" to 200 or higher. If everything is properly defined, the system will take the following actions:
    • The color of the severity for "Anonymous Users - 30min" turns to the color of PERFUPERROR.
    • The color of each of the [_Total], [Web Service Ext], [Performance Monitor], [ServerA], and [Topology view] nodes turn to the color of PERFUPERROR that is defined as red here.
    • The Patlite turns on with a report level of "02."

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on checking the report status, refer to here.


Preconditions and Construction Order

[Preconditions]

Run SQL Server all the time on two Windows servers. The purposes is to monitor the normal operation of each server and report a detected error to an operator with a Patlite.

  • The necessary agents have been added.

  • Servers and platforms that make up this system and SQL Servers that are running must be as follows:

Types of Servers | Server Name
Windows server | ServerA
Windows server | ServerB
Patlite server | Patlite

  • Report a warning when the number of I/O processes per second with SQL Server exceeds 1000 and an error when it exceeds 2000.

  • Monitor the services provided by SQL Server and make a report when any one of them is stopped.

  • Make a report when any one of the servers stops operating.

[Construction order]

1. Configure a connection to each SQL Server database

2. Define the monitoring of SQL Server performance

3. Define the monitoring of SQL Server services

4. Configure the reporting process

5. Perform monitoring and reporting tests


1. Configure a connection to each SQL Server database

  1. Set up a host on which the performance of SQL Server will be monitored
    When you right-click on the [Topology] node and select [Edit SQL Server Host] from the displayed menu, the [SQL Server Monitor - Host Setting] window appears with a list of the current hosts on which the performance of SQL Server is monitored. Ensure that ServerA and ServerB each of which is an SQL Server are set up as hosts on which the performance of the SQL Servers is monitored.

    When you have confirmed that the check boxes left to [ServerA] and [ServerB] are both checked, click on the [OK] button.

  2. Register the SQL Server monitored instance on ServerA to the monitored objects
    Select [Edit SQL Server Instance] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [SQL Server Monitor - Instance Setting] window has been displayed, register the SQL Server instance "SQL_A" running on ServerA.

    Click on the [Add] button in the window to display the [Add Instance] window.

  3. Configure a connection to the SQL Server monitored instance
    Set up the SQL Server instance you will register from the [Add Instance] window. Enter "ServerA" in [Instance Name] and "Connect to database on ServerA" in [Description]. Finally, enter the username and password for database connection and click on the [OK] button.

    Confirm that the SQL Server instance "ServerA" that was set in the [SQL Server Monitor - Instance Setting] window has been added. To make a connection to the specified instance, click on the [OK] button.

  4. Confirm that the specified instance has been registered to the monitored objects
    When you select [Performance Monitor Setting] in the menu that is displayed by right-clicking on the [ServerA] node in the Topology view, a performance monitoring node is created under the [ServerA] node, and then the [Edit Performance Monitoring] dialog is displayed. When you have confirmed that "SQL Server (SQL_A)" is included in the list, click on the [OK] button.

  5. Register the SQL Server monitored instance on ServerB to the monitored objects
    Similarly to the case of ServerA, register the monitored instance "ServerB" for ServerB. Enter "Connect to database on ServerB" in [Description].

Now, you have registered the monitored instances.

Proceed to "2. Define the monitoring of SQL Server performance."

[Reference]

For more information on registering the monitored instances, refer to here.


2. Define the monitoring of SQL Server performance

  • Define items for SQL Server performance monitoring as follows:

Monitored instance name | Disk
Monitored counter name | I/O/sec
Upper error monitor threshold | 2000
Upper warning monitor threshold | 1000
Lower warning monitor threshold | Not to be monitored
Lower error monitor threshold | Not to be monitored

  1. Import a definition file
    Select [Import] from the right-click menu on the [ServerA] node in the Topology view. When the [Import Service] (import selection) dialog has been displayed, click on the [Browse] button and select the folder that stores a desired definition file.
    When you click on the [Browse] button, the following folder is displayed. In the folder, select [template] and then [MSSQL, and click on [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    When you have confirmed that the check box left to [Performance Monitor] is checked, click on the [OK] button.
    When the [Import Setting] window has been displayed, double-click on [Server Name] in the list of setting items.

    When the [Server Name Setting] dialog has been displayed, specify "ServerA" in [Server Name] and click on the [OK] button.

    The [Server Name Setting] dialog is closed and the [Import Setting] window is displayed again. When you have confirmed that "ServerA" is set in [Setting Value] for [Server Name] under [Setting Item], click on the [OK] button. You do not need to edit the instance name.

    Next, double-click on [Logging option] in the setting items.

    When the [Logging option Setting] dialog has been displayed, enter "1" (which means I want to save the history) for [Logging option].

    When you have confirmed that "ServerA" is set in [Setting Value] for [Server Name] and "SQLServer" is set in [Setting Value] for [Instance Name] and "1" (which means I want to save the history) is set in [Setting Value] for [Logging option] in the [Import Setting] window, click on the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.
    When you have confirmed that the check box left to [Performance Monitor] is checked, click on the [OK] button. The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.

  2. Set the threshold values
    Double-click on the [Disk] node under [Performance Monitor] in the Topology view to display the monitor window.

    When you select "I/O/sec" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Store the historical data in file] from the [Display Setting] tab. Next, set the threshold values from the [Threshold Setting] tab. Enter "2000" in [Threshold] under [Upper Error Monitor] and "1000" in [Threshold] under [Upper Warning Monitor] and then click on [OK].

  3. Set the performance monitoring process on ServerB
    Similarly to the case of ServerA, set the performance monitoring process on the side of ServerB.

Now, you have defined the performance monitoring process.

Proceed to "3. Define the monitoring of SQL Server services."

[References]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Define the monitoring of SQL Server services

  • Define items for monitoring SQL Server services as follows:

Server | ServerA
Monitored instance name | SQL_A
Monitoring function to be used | Windows Service Monitoring Function
Service group name | SQL Service
Monitored service | SQL Server (MSSQLSERVER)

Server | ServerB
Monitored instance name | SQL_B
Monitoring function to be used | Windows Service Monitoring Function
Service group name | SQL Service
Monitored service | SQL Server (MSSQLSERVER)

  1. Define the SQL Server service monitoring on ServerA
    Select [Edit Windows Service Monitoring] from the right-click menu on the [ServerA] node in the [Topology] view. When the [New Group] dialog has been displayed, enter "SQL Service" in [Group Name] and click on the [OK] button. When a new Windows service monitoring group has been defined, right-click on its node icon and select [Monitored Service Setting].

    From the [Windows Service Setting] dialog, select [SQL Server (MSSQLSERVER)] and click on the [OK] button.

  2. Define the SQL Server service monitoring on ServerB
    Similarly to the case of ServerA, select "SQL Server (MSSQLSERVER)" from the [Windows Service Setting] dialog.

Now, you have defined the monitoring of SQL Server services.

Proceed to "4. Configure the reporting process."

[Reference]

For more information on defining the Windows service monitoring, refer to here.


4. Configure the reporting process

  • Configure items for reporting as follows:

When either or both SQL Server hosts are stopped

Item | Description
Policy name | SQL Server stopped
Severity and level | Severity | HOSTEMPTY
 | Level | 01
Report destination | Monitoring Base
Host name | Patlite
Port number | 2048

When the number of I/O processes produces an error

Item | Description
Policy name | I/O processes error
Severity and level | Severity | PERFUPERROR
 | Level | 02
Report destination | Monitoring Base
The report destination can be set the same way as in the case of SQL Server hosts stopped.

When the number of I/O processes produces a warning

Item | Description
Policy name | I/O processes error
Severity and level | Severity | PERFUPWARNING
 | Level | 03
Report destination | Monitoring Base
The report destination can be set the same way as in the case of SQL Server hosts stopped.

When either or both SQL Server services are stopped

Item | Description
Policy name | SQL Server service stopped
Severity and level | Severity | SERVICESTOP
 | Level | 04
Report destination | Monitoring Base
The report destination can be set the same way as in the case of Oracle server stopped.

  1. i. Configure the reporting process for ServerA when it is stopped
    Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only When Host Is Stopped] and click on the [Configuration] button.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [SQL Server stopped] in [Policy Name].Then, double-click on [HOSTEMPTY] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "01" in the window.

    Next, set the report destination common to all report policies. Click on [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Destination], "Patlite" in [Host Name], and "2048" in [Port Number] and click on the [OK] button in the window.

    When the [Patlite Policy] window is displayed again, confirm that "Monitoring Base" is displayed in [Destination] and then click on the [OK] button. Similarly, when the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that "SQL Server stopped" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then check this item and click on the [OK] button.

    Now, you have configured the reporting process for ServerA when it is stopped.

  2. Configure the reporting process for ServerB when it is stopped
    Similarly to the case of ServerA, configure the reporting process for ServerB when it is stopped. Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerB] node in the [Topology] view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only host empty event.] and click on the [Configuration] button.
    When the [Report Setting] dialog has been displayed, check [Report to Patlite] in the [Patlite Setting] tab, select "SQL Server stopped" from [Policy Name], and click on the [OK] button.

  3. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click on the [Disk] node under the performance monitoring function node on ServerA to display the performance monitor window. When you select "I/O/sec" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Report] and [FATAL and WARNING only] and click on the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [I/O processes error] in [Policy Name]. Then, double-click on [Performance upper limit error] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window. Similarly, double-click on [Performance upper limit warning] and specify "03" in the [Report Level Setting] window. Finally, select "Monitoring Base" in [Destination] and click on the [OK] button.

    Similarly, configure the reporting process for "I/O/sec" in "Disk" and check "I/O processes error" in [Policy List] on the side of ServerB.

  4. Configure the reporting process for ServerA when the SQL Server service is stopped
    Double-click on "SQL Service" under the [Windows Service Monitor] node on ServerA to display the Windows service monitor window. When a list of monitored services has been displayed in the window, double-click on "SQL Server (MSSQLSERVER)" to display the [NT Service Setting] dialog where you check [Report Setting] and [Report only service stop event].Then, click on the [Configuration] button to display the [Report Setting] window.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [SQL Server service stopped] in [Policy Name].Then, double-click on [Service stopped] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "04" in the window. Select "Monitoring Base" in [Destination] and click on the [OK] button.

    Similarly to the case of ServerA, configure the reporting process for "SQL Server (MSSQLSERVER)" on ServerB.

Now, you have configured the reporting process.

Finally, go to "5. Perform monitoring and reporting tests." Display the main window.

[Reference]

For more information on defining the Patlite reporting, refer to here.


5. Perform monitoring and reporting tests

  1. Perform a test when the SQL Server is stopped
    Test the case where the SQL Server is stopped. First, confirm that the severity color section around the ServerA icon on the Tree view (Topology view) is set to the color of HOSTNORMAL.

    Then, stop ServerA. If everything is properly defined, the system will take the following actions:
    • The color of each of the [ServerA] and [Topology view] nodes turn to the color of HOSTEMPTY.
    • The Patlite turns on with a report level of "01."

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when the counter exceeds a threshold value
    Test the case where the value of the monitored counter "I/O/sec" exceeds 2000.First, double-click on the monitored instance "Disk" under ServerA in the Tree view (Topology view).When the performance monitor window has been displayed, confirm that the severity color section for "I/O/sec" in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "I/O/sec" to 2000 or higher. If everything is properly defined, the system will take the following actions:
    • The color of the severity for "I/O/sec" turns to the color of PERFUPERROR.
    • The color of each of the [Disk], [MSSQL (ServerB)], [Performance Monitor], [ServerB], and [Topology view] nodes turn to the color of PERFUPERROR that is defined as red here.
    • The Patlite turns on with a report level of "02."

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

  3. Perform a test when the SQL service is stopped
    Test the case where the SQL Server service is stopped. First, double-click on the "SQL Service" group under ServerA on the Tree view (Topology view).When the process performance monitor window has been displayed, confirm that the required processes are displayed in the list of processes and the severity colors for the processes are set to the color of SERVICERUN.

    Then, stop "SQL Server (MSSQLSERVER)" that is running on ServerB. If everything is properly defined, the system will take the following actions:

    • The color of the severity for [*Service Name] turns to the color of SERVICESTOP.
    • The color of each of the [SQL Service], [Windows Service Monitor], [ServerB], and [Topology view] nodes turns to the color of SERVICESTOP.
    • The Patlite turns on with a report level of "04".

    If the system does not take any actions listed above, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on the Windows service monitoring method, refer to here.

For more information on checking the report status, refer to here.


Preconditions and Construction Order

[Preconditions]

Run the WebLogic Server all the time on the following two servers: One server on which UNIX is running and another server on which Windows is running. The purpose is to monitor the normal operation of each server and report a detected error to an operator with a Patlite.

  • The necessary agents have been added.

  • Servers and platforms that make up this system and information on the WebLogic Server that is running must be as follows:

Types of Servers | Server Host Name | Server Name | Server ID
UNIX Server | ServerA | mainserver | WebServerA
Windows Server | ServerB | mainserver | WebServerB
Patlite Server | Patlite | - | -

  • Report an error when the memory use rate of Java VM on a target server exceeds 80% and a warning when it exceeds 60%.

  • Make a report when any one of the servers stops operating.

[Construction order]

1. Configure a connection to WebLogic Server
2. Define the monitoring of WebLogic Server performance
3. Configure the reporting process
4. Perform monitoring and reporting tests


1. Configure a connection to WebLogic Server

  1. Perform preparations
    Several preparations are required before monitoring WebLogic Server performance. For more information, refer to the following references. If you have not made these preparations, you will fail to establish a connection to the WebLogic Server and, consequently, you will not able to monitor the performance.

    [References]
    Preparations for WebLogic Server performance monitoring

  2. Set up a host on which the performance of WebLogic Server will be monitored
    When you right-click on the [Topology View] node and select [Application Host Setting], [WebLogic] from the displayed menu, the [WebLogicServerMonitor - Host Setting] window appears with a list of the current hosts on which WebLogic Server is monitored. Ensure that ServerA and ServerB, each of which is a WebLogic Server, are set up as hosts on which the WebLogic servers are monitored.

    When you have confirmed that the check boxes to the left of [ServerA] and [ServerB] both have checkmarks, click on the [OK] button.

  3. Register the WebLogic Server monitored instance on ServerA as a monitored object
    Select [Application Instance Setting], [WebLogic] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [WebLogicServerMonitor - Instance Setting] window has been displayed, register the WebLogic Server instance "WebServerA" running on ServerA.

    Click on the [Add] button in the window to display the [Add Instance] window.

  4. Configure a connection to the WebLogic Server monitored server
    Set up the WebLogic Server you will register from the [Add Server] window. Enter "WebServerA" in [Server ID]. About the other items, enter the value according to the setting of WebLogic Server. And then click on the [OK] button.

    Confirm that the WebLogic Server instance "WebServerA" that was set in the [WebLogicServerMonitor - Server Setting] window has been added. To make a connection to the specified server, click on the [OK] button.

  5. Confirm that the specified server has been registered as a monitored object
    When you select [Performance Monitor Setting] in the menu that is displayed by right-clicking on the [ServerA] node in the Topology view, a performance monitoring node is created under the [ServerA] node, and then the [Performance Monitor Setting] dialog is displayed with a list of the monitored objects. When you have confirmed that "WebLogic (WebServerA)" is included in the list, click on the [OK] button.

  6. Register the WebLogic Server monitored server on ServerB as a monitored object
    Similarly to the case of ServerA, register the monitored server "WebServerB" for ServerB.

You have now registered the monitored instances.

Proceed to "2. Define the monitoring of WebLogic Server performance".

[Reference]

For more information on registering the monitored servers, refer to here.


2. Define the monitoring of WebLogic Server performance

  • Define items for WebLogic Server performance monitoring as follows:

Monitored instance name | JVM
Monitored counter name | HeapSizeRate(%)
Upper error monitor threshold | 80
Upper warning monitor threshold | 60
Lower warning monitor threshold | Not to be monitored
Lower error monitor threshold | Not to be monitored

Monitored instance name | WebServer
Monitored counter name | State
Upper error monitor threshold | Not to be monitored
Upper warning monitor threshold | Not to be monitored
Lower warning monitor threshold | Not to be monitored
Lower error monitor threshold | 0

  1. Import a definition file
    Select [Import] from the right-click menu on the [ServerA] node in the Topology view. When the [Import Service] dialog has been displayed, click on the [Browse] button and select the folder that stores the desired definition file.
    When you click on the [Browse] button, the following folder is displayed. In the folder, select [template] and then [WebLogic], and click on [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    When you have confirmed that the check box to the left of [Performance Monitor] has a checkmark, click on the [OK] button.
    When the [Import Setting] window has been displayed, double-click on [Server ID] in the list of setting items.

    When the [Server ID Setting] dialog has been displayed, specify "WebServerA" in [Server ID] and click on the [OK] button.

    Next, double-click on [Logging option] in the setting items.

    When the [Logging option Setting] dialog has been displayed, enter "1" (which means I want to save the history) for [Logging option].

    When you have confirmed that "WebServerA" is set in [Setting Value] for [Server Name] and "1" (which means I want to save the history) is set in [Setting Value] for [Logging option] in the [Import Setting] window, click on the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.
    When you have confirmed that the check box to the left of [Performance Monitor] has a checkmark, click on the [OK] button. The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.

  2. Set the threshold values
    Double-click on the [ServerA] node directly under [WebLogic (WebServerA)] from the performance monitoring tree in the Topology view to display the monitor window.

    When you select "JVM" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Store the historical data to file] from the [Display Setting] tab. Next, set the threshold values from the [Threshold Setting] tab. Enter "80" in [Threshold] under [Upper Error Monitor] and "60" in [Threshold] under [Upper Warning Monitor], and then click on [OK].

    Similarly, from the monitor window in the monitored instance [WebServer], check [Store the historical data to file] and set the lower error monitor threshold for the monitored counter, "State."

  3. Set the performance monitoring process on ServerB
    Similarly to the case of ServerA, set the performance monitoring process on the side of ServerB.

You have now defined the performance monitoring process.

Proceed to "3. Configure the reporting process".

[References]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Configure the reporting process

  • Configure items for reporting as follows:

When either or both WebLogic Server hosts are stopped

Item | Description
Policy name | WebLogic Server host stopped
Severity and level | Severity | HOSTEMPTY
 | Level | 01
Report destination | Monitoring Base
Host name | Patlite
Port number | 2048

When JVM memory using produces an error

Item | Description
Policy name | JVM memory usage error
Severity and level | Severity | PERFUPERROR
 | Level | 02
Report destination | Monitoring Base
The report destination can be set the same way as in the case of WebLogic Server host stopped.

When JVM memory using produces a warning

Item | Description
Policy name | JVM memory usage error
Severity and level | Severity | PERFUPWARNING
 | Level | 03
Report destination | Monitoring Base
The report destination can be set the same way as in the case of WebLogic Server host stopped.

When WebLogic Server running abnormally

Item | Description
Policy name | WebLogic Server state error
Severity and level | Severity | PERFLOWERROR
 | Level | 02
Report destination | Monitoring Base
The report destination can be set the same way as in the case of WebLogic server host stopped.

  1. Configure the reporting process for ServerA when it is stopped
    Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only host empty event.] and then click on the [Configuration] button.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [WebLogic Server host stopped] in [Policy Name]. Then, double-click on [HOSTEMPTY] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "01" in the window.

    Next, set the report destination common to all report policies. Click on [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Display Name], "Patlite" in [Host Name], and "2048" in [Port Number], and then click on the [OK] button in the window.

    When the [Patlite Policy] window is displayed again, confirm that "Monitoring Base" is displayed in [Destination] and then click on the [OK] button. Similarly, when the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that "WebLogic Server host stopped" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then check this item and click on the [OK] button.

    You have now configured the reporting process for ServerA when it is stopped.

  2. Configure the reporting process for ServerB when it is stopped
    Similarly to the case of ServerA, configure the reporting process for ServerB when it is stopped. Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerB] node in the [Topology] view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only host empty event.] and click on the [Configuration] button.
    When the [Report Setting] dialog has been displayed, check [Report to Patlite] in the [Patlite Setting] tab, select "WebLogic Server host stopped" from [Policy Name], and then click on the [OK] button.

  3. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click on the [JVM] node under the performance monitoring function node on ServerA to display the performance monitor window. When you select "HeapSizeRate(%)" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Report] and [FATAL and WARNING only], and click on the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [JVM memory usage error] in [Policy Name]. Then, double-click on [Performance upper limit error] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window. Similarly, double-click on [PERFUPERROR] and specify "03" in the [Report Level Setting] window. Finally, select "Monitoring Base" in [Destination] and click on the [OK] button.

    Similarly, configure the reporting process for "State" in "WebServer." Specify "Server state error" in [Policy Name] and specify "02" in the [Report Level Setting] window.
    Similarly, to the case of ServerA, configure the reporting process for each of "HeapSizeRate(%)" for "JVM" and "State" for "WebServer" on the side of ServerB.

You have now configured the reporting process.

Finally, go to "4. Perform monitoring and reporting tests". Display the main window.

[Reference]

For more information on defining the Patlite reporting, refer to here.


4. Perform monitoring and reporting tests

  1. Perform a test when one of the servers is stopped
    Test the case where one of the servers is stopped. First, confirm that the severity color section around the ServerA icon in the Tree view (Topology view) is set to the HOSTNORMAL color.

    Then, stop ServerA. If everything is properly defined, the system will take the following actions:

    • The color of each of the [ServerA] and [Topology view] nodes turn to the HOSTEMPTY color.

    • The Patlite turns on with a report level of "01".

    If the system does not take any of the above-listed actions, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when the counter exceeds a threshold value
    Test the case where the value of the monitored counter, "JVM," exceeds 60. First, double-click on the monitored instance [JVM] under ServerA in the Tree view (Topology view). When the performance monitor window has been displayed, confirm that the severity color section for "HeapSizeRate(%)" in the counter list is set to the PERFNORMAL color.

    Then, set the value of "HeapSizeRate(%)" to 60 or higher. If everything is properly defined, the system will take the following actions:

    • The color of the severity for "HeapSizeRate(%)" turns to the PERFUPWARNING color.

    • The color of each of the [JVM], [WebLogic (WebServerA)], [Performance Monitor], [ServerA], and [Topology view] nodes turn to the PERFUPWARNING color, which is defined as yellow here.

    • The Patlite turns on with a report level of "03".

    If the system does not take any of the above-listed actions, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on checking the report status, refer to here.


Preconditions and Construction Order

[Preconditions]

The task is to monitor the status of workers in Apache Web services running on Windows servers or Linux servers, and monitor the normal operation of each function and report any detected error to an operator via Patlite.

  • The required settings have been completed on the Apache side.

  • The necessary agents have been added.

  • Servers and platforms that make up this system and Apache that is running must be as follows:

Types of Servers | Server Host Name | Server ID (Apache Server Name)
Linux server | ServerA | WebServerA
Windows server | ServerB | WebServerB
Patlite server | Patlite | -

  • Report an error when the status of either or both running instances of Apache becomes "not yet activated."

  • Report an error when the rate of workers that are processing requests on a target server exceeds 90% and a warning when it exceeds 80%.

  • Monitor the Apache services and make a report when any one of them is stopped.

  • Make a report when any one of the servers stops operating.

[Construction order]

1. Configure a Connection to an Apache

2. Define the Monitoring of Apache Performance

3. Configure the Reporting Process

4. Perform Monitoring and Reporting Tests


1. Configure a Connection to an Apache

  1. Make preparations before monitoring Apache performance
    You must make some preparations before monitoring Apache performance. For the details, refer to here. If you have not made these preparations, you will fail to establish a connection to the Apache server and, consequently, you will not able to monitor the performance.

    [Reference]
    Preparations for Apache performance monitoring

  2. Set up a host on which the performance of Apache will be monitored
    When you right-click on the [Topology] node and select [Apache] from the [Application Management - Host Setting] menu, the [Apache Monitor - Host Setting] window appears with a list of the current hosts on which the performance of Apache is monitored. Set ServerA and ServerB, each of which is an Apache server, to be targets on which Apache performance will be monitored.

    When you have confirmed that the checkboxes to the left of [ServerA] and [ServerB] are both checked, click on the [OK] button.

  3. Register the Apache monitored server on ServerA to the monitored objects
    Right-click on the [ServerA] node on the topology view and select [Apache] from the [Edit Application Management Instance] menu. When the [Apache Monitor - Server Setting] window has been displayed, register the Apache server "WebServerA" running on ServerA to the monitored objects.

    Click on the [Add] button in the window to display the [Add Server] window.

  4. Configure a connection to the Apache server
    From the [Add Server] window, set up the Apache server you will register. Enter "WebServerA" in [Server ID], "localhost.localdomain" in [Server Name], "80" in [Port Number], and "Connect to WebServerA" in [Description], and click on the [OK] button.

    Confirm that the Apache server ID "WebServerA" that was set in the [Apache Monitor - Server Setting] window has been added. To make a connection to the specified server, click on the [OK] button.

  5. Confirm that the Apache server has been registered to the monitored objects
    When you select [Edit Performance Monitoring] in the menu that is displayed by right-clicking on the [ServerA] node in the Topology view, a performance monitoring node is created under the [ServerA] node, and then the [Edit Performance Monitoring] dialog is displayed with a list of the monitored objects. When you have confirmed that "Apache (WebServerA)" is included in the list, click on the [OK] button.

  6. Register the Apache monitored instance on ServerB to the monitored objects
    Similarly to the case of ServerA, register the monitored server "WebServerB" on ServerB. Enter "Connect to WebServerB" in [Description].

You have now registered the monitored servers.

Proceed to "2. Define the Monitoring of Apache Performance."

[Reference]

For more information on registering the monitored servers, refer to here.


2. Define the Monitoring of Apache Performance

  • Define items for Apache performance monitoring as follows:

Monitored instance name | ServerStatus
Monitored counter name | BusyWorkerRate
Upper error monitor threshold | 90
Upper warning monitor threshold | 80
Lower warning monitor threshold | Not to be monitored
Lower error monitor threshold | Not to be monitored

Monitored instance name | ServerStatus
Monitored counter name | State
Upper error monitor threshold | 400
Upper warning monitor threshold | 300
Lower warning monitor threshold | Not to be monitored
Lower error monitor threshold | 0

  1. Import a definition file
    Select [Import] from the right-click menu on the [ServerA] node in the Topology view. When the [Import Service] (import selection) dialog has been displayed, click on the [Browse] button and select the folder that stores a desired definition file.
    When you click on the [Browse] button, the following folder is displayed. In the folder, select [template] and then [Apache], and click on [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    When you have confirmed that the check box to the left of [Performance Monitor] is checked, click on the [OK] button.
    When the [Import Setting] window has been displayed, double-click on [Server ID] in the list of setting items.

    When the [Server ID Setting] dialog has been displayed, specify "WebServerA" in [Server Name] and click on the [OK] button.

    Next, double-click on [Logging option] in the setting items.

    When the [Logging option Setting] dialog has been displayed, enter "1" (which means I want to save the history) for [Logging option].

    When you have confirmed that "WebServerA" is set in [Setting Value] for [Server ID] and "1" (which means I want to save the history) is set in [Setting Value] for [Logging option] in the [Import Setting] window, click on the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.
    When you have confirmed that the checkbox to the left of [Performance Monitor] is checked, click on the [OK] button. The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.

  2. Set the threshold values
    Double-click on the [ServerStatus] node directly under [Apache (WebServerA)] from the performance monitoring tree on the Topology view to display the monitor window.

    When you select "BusyWorkerRate" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you set the threshold values from the [Display Setting] tab. Enter "90" in [Threshold] under [Upper Error Monitor] and "80" in [Threshold] under [Upper Warning Monitor] and then click on [OK].

    Similarly, from the monitor window in the monitored instance [ServerStatus], set the lower and upper threshold values for the monitored counter, "State."

  3. Set the performance monitoring process on ServerB
    Similarly to the case of ServerA, set the ServerB-side performance monitoring process. Set the process on ServerB by following Steps i and ii described above.

Now, you have defined the performance monitoring process.

Proceed to "3. Configure the Reporting Process."

[References]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Configure the Reporting Process

  • Configure items for reporting as follows:

When either or both Apache hosts are stopped

Item | Description
Policy name | Apache host stopped
Severity and level | Severity | HOSTEMPTY
 | Level | 01
Report destination | Monitoring Base
Host name | Patlite
Port number | 2048

Worker rate error while processing requests

Item | Description
Policy name | Busy worker rate error
Severity and level | Severity | PERFUPERROR
 | Level | 01
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of Apache host stopped.

Worker rate warning while processing requests

Item | Description
Policy name | Busy worker rate error
Severity and level | Severity | PERFUPWARNING
 | Level | 01
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of Apache host stopped.

Apache server status error

Item | Description
Policy name | Server state error
Severity and level | Severity | PERFLOWERROR
 | Level | 01
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of Apache host stopped.

  1. Configure the reporting process for ServerA when it is stopped
    Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only host empty event], and then click on the [Configuration] button.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [Apache host stopped] in [Policy Name], then double-click on [Host not yet activated] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "01" in the window.

    Next, set the report destination common to all report policies. Click on [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Display Name], "Patlite" in [Host Name], and "2048" in [Port Number], and then click on the [OK] button in the window.

    When the [Patlite Policy] window is displayed again, confirm that "Monitoring Base" is displayed in [Destination] and then click on the [OK] button. Similarly, when the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that "Apache host stopped" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then check this item and click on the [OK] button.

    Now, you have configured the reporting process for ServerA when it is stopped.

  2. Configure the report process in the case of ServerB stopped
    As in the case of ServerA, configure the reporting process for ServerB when it is stopped. Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerB] node in the [Topology] view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only host empty event], and then click on the [Configuration] button.
    When the [Report Setting] dialog has been displayed, check [Report to Patlite] in the [Patlite Setting] tab, select "Apache host stopped" from [Policy Name], and then click on the [OK] button.

  3. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click on the [ServerStatus] node under the performance monitoring function node on ServerA to display the performance monitor window. When you select [BusyWorkerRate] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Report Setting] and [FATAL and WARNING only] and click on the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify "Busy worker rate error" in [Policy Name]. Then, double-click on [Performance upper limit error] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window. Similarly, double-click on [Performance upper limit warning] and specify "03" in the [Report Level Setting] window. Finally, select [Monitoring Base] in [Destination] and click on the [OK] button.

    Similarly, configure the reporting process for "State" for "ServerStatus." Specify "Server state error" in [Policy Name], and specify "02" in the [Report Level Setting] window.
    As in the case of ServerA, configure the reporting process for each of "HeapSizeRate(%)" and "State" for "ServerStatus" on the ServerB side.

Now, you have configured the reporting process.

Finally, go to "4. Perform Monitoring and Reporting Tests." Display the main window.

[Reference]

For more information on defining the Patlite reporting, refer to here.


4. Perform Monitoring and Reporting Tests

  1. Perform a test when an Apache server is stopped
    Test the case where an Apache server is stopped. First, confirm that the severity color section around the ServerA icon on the Tree view (Topology view) is set to the color of HOSTNORMAL.

    Then, stop ServerA. If everything is properly defined, the system will take the following actions:

    • The color of each of the [ServerA] and [Topology view] nodes turn to the color of HOSTEMPTY (defined as read here).
    • The Patlite turns on with a report level of "01."
    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when a counter exceeds the threshold value
    Test the case where the value of the monitored counter, "BusyWorkerRate," exceeds 80. First, double-click on the "ServerStatus" monitored instance under ServerA in the Tree view (Topology view). When the performance monitor window has been displayed, confirm that the severity color section for "BusyWorkerRate" in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "BusyWorkerRate" to 80 or higher. If everything is properly defined, the system will take the following actions:

    • The color of the severity for "BusyWorkerRate" turns to the color of PERFUPWARNING.
    • The color of each of the [ServerStatus], [Apache (WebServerA)], [Performance Monitor], [ServerA], and [Topology view] nodes turn to the color of PERFUPWARNING, defined as yellow here.
    • The Patlite turns on with a report level of "03."
    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on checking the report status, refer to here.


Preconditions and Construction order

[Preconditions]

Monitor the Java VM heap memory usage of Tomcat running on HP-UX (IPF) and Windows servers, monitor the normal operation of each function, and report any detected error to an operator via Patlite.

  • The required settings have been completed on the Tomcat side.

  • The necessary agents have been added.

  • Servers and platforms that make up this system and the Tomcat that is running must be as follows:

Types of Servers | Server Host Name | Server ID (Tomcat server name)
HP-UX(IPF) server | ServerA | APServerA
Windows server | ServerB | APServerB
Patlite server | Patlite | -

  • Report an error when the status of either or both running instances of Tomcat becomes "not yet activated."

  • Report an error when the rate of heap memory currently used out of the maximum heap memory of the concerned server exceeds 90%, and a warning when it exceeds 80%.

  • Monitor the Tomcat services and make a report when any of them is stopped.

  • Make a report when any one of the servers stops operating.

[Construction order]

1. Configure a Connection to a Tomcat

2. Define the Monitoring of Tomcat Performance

3. Configure the Reporting Process

4. Perform Monitoring and Reporting Tests


1. Configure a Connection to a Tomcat

  1. Perform preparations
    Several preparations are required before monitoring Tomcat performance. For more information, refer to the following references. If you have not made these preparations, you will fail to establish a connection to the Tomcat server and, consequently, you will not able to monitor the performance.

    [References]
    Tomcat Setup (When authenticating password)
    Tomcat Setup (When not authenticating password)
    Setting Tomcat monitoring of SystemManager G

  2. Set the host performing Tomcat performance monitoring
    When you right-click on the [Topology] node and select [Tomcat] from the [Application Management - Host Setting] menu, the [Tomcat Monitor - Host Setting] window appears with a list of the current hosts on which the performance of Tomcat is monitored. Set ServerA and ServerB, each of which is a Tomcat server, to be targets for which Tomcat performance will be monitored.

    When you have confirmed that the checkboxes to the left of [ServerA] and [ServerB] are both checked, click on the [OK] button.

  3. Register the Tomcat observation server of ServerA
    Right-click on the [ServerA] node on the topology view and select [Tomcat] from the [Edit Application Management Instance] menu. When the [Tomcat Monitor - Server Setting] window is displayed, register the Tomcat server "APServerA" running on ServerA as a monitored object.

    Click on the [Add] button in the window to display the [Add Server] window.

  4. Configure a connection to the Tomcat server
    Set the Tomcat server to be registered from the [Add Server] window. Enter "APServerA" in [Server ID], host for connection, port number, username, password, and "Connect to APServerA" in [Description] to connect , and then click on the [OK] button.

    Confirm that the Tomcat server ID "APServerA" that was set in the [Tomcat Monitor - Server Setting] window has been added. To make a connection to the specified server, click on the [OK] button.

  5. Confirm that Tomcat has been registered as a monitored object
    When you select [Edit Performance Monitoring] in the menu that is displayed by right-clicking on the [ServerA] node in the Topology view, a performance monitoring node is created under the [ServerA] node, and then the [Edit Performance Monitoring] dialog is displayed with a list of the monitored objects. When you have confirmed that "Tomcat (APServerA)" is included in the list, click on the [OK] button.

  6. Register the Tomcat monitoring instance of ServerB as a monitored object
    Similar to the case of ServerA, register the monitored server "APServerB" for ServerB. Enter "Connect to APServerB" in [Description].

You have now registered the monitored servers.

Proceed to "2. Define the Monitoring of Tomcat Performance."

[References]

For more information on registering the monitored servers, refer to here.


2. Define the Monitoring of Tomcat Performance

  • Define items for Tomcat Server performance monitoring follows:

Monitored instance name | Memory
Monitored counter name | HeapMemoryUsage used(%)
Upper limit error threshold value | 90
Upper limit warning threshold value | 80
Lower limit warning threshold value | Not to be monitored
Lower limit error threshold value | Not to be monitored

Monitored instance name | Server
Monitored counter name | State
Upper limit error threshold value | Not to be monitored
Upper limit warning threshold value | Not to be monitored
Lower limit warning threshold value | Not to be monitored
Lower limit error threshold value | 0

  1. Import a definition file
    Select [Import] from the right-click menu on the [ServerA] node in the Topology view. When the [Import Service] dialog is displayed, click on the [Browse] button and select the folder that stores the desired definition file.
    When you click on the [Browse] button, the following folder is displayed. In the folder, select [template], [Tomcat], and then [ParallelGC], and then click on [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    When you have confirmed that the checkbox to the left of [Performance Monitor] is checked, click on the [OK] button.
    When the [Import Setting] window is displayed, double-click on [Server ID] in the list of setting items.

    When the [Server ID Setting] dialog is displayed, specify "APServerA" in [Server ID] and click on the [OK] button.

    Next, double-click on [Logging option] in the setting items.

    When the [Logging option Setting] dialog is displayed, enter "1" (which means I want to save the history) for [Logging option], click on the [OK] button.

    When you have confirmed that "APServerA" is set in [Setting Value] for [Server ID] and "1" (which means save the history) is set in [Setting Value] for [Logging option] in the [Import Setting] window, click on the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.
    When you have confirmed that the checkbox to the left of [Performance Monitor] is checked, click on the [OK] button. The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in the Topology view.

  2. Set threshold value
    Double-click on the [Server] node directly under [Tomcat (APServerA)] from the performance monitoring tree on the Topology view to display the monitor window.

    When you select "HeapMemoryUsage used(%)" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you set the threshold values from the [Display Setting] tab. Enter "90" in [Threshold] under [Upper Error Monitor] and "80" in [Threshold] under [Upper Warning Monitor] and then click on [OK].

    Similarly, from the monitor window in the monitored instance [Server], set the lower threshold values for the monitored counter, "State."

  3. Set ServerB-side
    Similarly to the case of ServerA, set the ServerB-side performance monitoring process. Set the process on ServerB by following Steps i and ii described above.

You have now defined the performance monitoring process.

Proceed to "3. Configure the Reporting Process."

[References]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Configure the Reporting Process

  • Configure items for reporting as follows:

When either or both Tomcat hosts are stopped

Item | Description
Policy name | When either or both Tomcat hosts are stopped
Severity and level | Severity | Host not yet activated
 | Level | 01
Report destination | Monitoring base
Host name | Patlite
Port number | 2048

Heap memory utilization error

Item | Description
Policy name | Heap memory utilization error
Severity and level | Severity | Performance upper limit error
 | Level | 02
Report destination | Monitoring base
The report destination can be set in the same manner as in the case of Tomcat host stopped.

Heap memory utilization warning

Item | Description
Policy name | Heap memory utilization warning
Severity and level | Severity | Performance upper limit warning
 | Level | 03
Report destination | Monitoring base
The report destination can be set in the same manner as in the case of Tomcat host stopped.

Tomcat server status error

Item | Description
Policy name | Server status error
Severity and level | Severity | Performance lower limit error
 | Level | 02
Report destination | Monitoring base
The report destination can be set in the same manner as in the case of Tomcat host stopped.

  1. Configure the reporting process for ServerA when it is stopped
    Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerA] node in the Topology view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only host empty event.], and then click on the [Configuration] button.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [Tomcat host stopped] in [Policy Name]. Then double-click on [HOSTEMPTY] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "01" in the window.

    Next, set the report destination common to all report policies. Click on [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Display Name], "Patlite" in [Host Name], and "2048" in [Port Number], and then click on the [OK] button in the window.

    When the [Patlite Policy] window is displayed again, confirm that "Monitoring Base" is displayed in [Destination] and then click on the [OK] button. Similarly, when the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that "Tomcat host stopped" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then check this item and click on the [OK] button.

    Now, you have configured the reporting process for ServerA when it is stopped.

  2. Configure the report process in the case of ServerB stopped
    As in the case of ServerA, configure the reporting process for ServerB when it is stopped. Select [Report Setting] from the menu that is displayed by right-clicking on the [ServerB] node in the [Topology] view. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only host empty event], and then click on the [Configuration] button.
    When the [Report Setting] dialog has been displayed, check [Report to Patlite] in the [Patlite Setting] tab, select "Tomcat host stopped" from [Policy Name], and then click on the [OK] button.

  3. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click on the [Memory] node under the performance monitoring function node of ServerA to display the performance monitor window. When you select [HeapMemoryUsage used(%)] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, where you check [Report Setting] and [FATAL and WARNING only] and click on the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog is displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify [Heap memory utilization error] in [Policy Name]. Then, double-click on [Performance upper limit error] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window. Similarly, double-click on [Performance upper limit warning] and specify "03" in the [Report Level Setting] window. Finally, select [Monitoring Base] in [Destination] and click on the [OK] button.

    Similarly, configure the reporting process for "State" for "Server." Specify "Server activation error" in [Policy Name], and specify "02" in the [Report Level Setting] window.
    As in the case of ServerA, configure the reporting process for "HeapMemoryUsage used (%)" of "Memory" and "State" of "Server" on the ServerB side.

Now, you have configured the reporting process.

Finally, go to "4. Perform Monitoring and Reporting Tests." Display the main window.

[Reference]

For more information on defining the Patlite reporting, refer to here.


4. Perform Monitoring and Reporting Tests

  1. Perform server stop tests
    Perform tests when the server stops. First, confirm that the severity color section around the ServerA icon in the Tree view (Topology view) is set to the color of HOSTNORMAL.

    Then, stop ServerA. If everything is properly defined, the system will take the following actions:

    • The color of each of the [ServerA] and [Topology view] nodes turn to the color of HOSTEMPTY (defined as read here).
    • The Patlite turns on with a report level of "01."
    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform the test for when the threshold value is exceeded
    Perform the test for when the monitoring counter "HeapMemoryUsage used (%)" value exceeds 80. First, double-click on the "Memory" monitored instance under ServerA in the Tree view (Topology view). When the performance monitor window is displayed, confirm that the severity color section for "HeapMemoryUsage used(%)" in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "HeapMemoryUsage used(%)" to 80 or higher. If everything is properly defined, the system will take the following actions:

    • The color of the severity for "HeapMemoryUsage used(%)" turns to the color of PERFUPWARNING.
    • The color of each of the [Memory], [Tomcat (APServerA)], [Performance Monitor], [ServerA], and [Topology view] nodes turn to the color of PERFUPWARNING, defined as yellow here.
    • The Patlite turns on with a report level of "03."
    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on checking the report status, refer to here.


Preconditions and Construction Order

[Preconditions]

Monitor the normal operation of SAP running on a Windows server, and report any detected error to an operator via Patlite.

  • The necessary agents have been added.

  • The server hostname on which a SAP instance is running must be "ServerA" and the running SAP and a user that will connect to the server must be as follows:

System ID | EC1
Instance Name | ServerA_EC1_00
System Number | 00
Client | 100
Username | user
Password | password

  • Report a warning and an error when the buffer hit rate falls under 75% and 65%.

  • Monitor system logs and report that a system log with message ID "A05" is detected.

  • Make a report when any one of the servers stops operating.

  • The hostname for the Patlite server is "Patlite."

[Construction order]

1. Configure a Connection to a SAP Server

2. Define the Monitoring of SAP Performance

3. Configure Settings for Application Log Monitoring

4. Configure Settings for Message Monitoring and Reporting

5. Perform Monitoring and Reporting Tests


1. Configure a Connection to a SAP Server

  1. Set up a host on which SAP will be monitored
    When you right-click on the [Topology] node and select [SAP] from the [Application Host Setting] menu, the [SAPMonitor - Host Setting] window appears with a list of the current hosts on which the performance of SAP is monitored. Set ServerA, which is a SAP server, to be a target on which SAP performance will be monitored.

    When you have confirmed that the checkbox to the left of [ServerA] is checked, click on the [OK] button.

  2. Register a SAP instance
    Right-click on the [ServerA] node on Topology View and select [SAP] from the [Application Edit Instance] menu. When the [SAPMonitor - Instance Setting] window has been displayed, register the SAP instance "ServerA_EC1_00" running on ServerA.

    Click on the [Add] button in the window to display the [Add Instance] window.

  3. Configure a connection to SAP
    From the [Add Instance] window, set up the SAP instance you will register. In this example, assume the instance ID to be "ServerA_EC1_00" (the same as the instance name). Complete the other entries as follows and click on the [OK] button:

    Confirm that the SAP instance ID "ServerA_EC1_00" that was set in the [SAPMonitor - Instance Setting] window has been added. To make a connection to the specified instance, click on the [OK] button.

You have now registered the monitored instance.

Proceed to "2. Define the Monitoring of SAP Performance."

[Reference]

For more information on registering the monitored instances, refer to here.


2. Define the Monitoring of SAP Performance

  • Define items for SAP performance monitoring as follows:

Monitored instance name | Buffers_Program
Monitored counter name | HitRatio
Upper error threshold | Not to be monitored
Upper warning threshold | Not to be monitored
Lower warning threshold | 75
Lower error threshold | 65

  1. Import a definition file
    Select [Import] from the right-click menu on the [ServerA] node in Topology View. When the [Import Service] dialog is displayed, click on the [Browse] button and select the folder that stores the desired definition file.
    When you click on the [Browse] button, the following folder is displayed. In the folder, select [template], [SAP], and [Performance] in this order and then click on [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    When you have confirmed that the checkbox to the left of [Performance Monitor] is checked, click on the [OK] button.
    When the [Import Setting] window is displayed, double-click on [InstanceID] in the list of setting items.

    When the [InstanceID Setting] dialog has been displayed, specify "ServerA_EC1_00" in [InstanceID] and click on the [OK] button.

    Next, double-click on [Logging option] in the list of setting items.

    When the [Logging option Setting] dialog is displayed, enter "1" (save the history) in [Logging option] and click on the [OK] button.

    When you have confirmed that "ServerA_EC1_00" is set in [Setting Value] for [InstanceID] and "1" (save the history) is set in [Setting Value] for [Logging option] in the [Import Setting] window, click on the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in Topology View.

  2. Set the threshold values
    Double-click on the [Buffers_Program] node directly under [SAP (ServerA_EC1_00)] from the performance monitoring tree on Topology View to display the monitor window.

    When you select "HitRatio" from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, in which you set the threshold values from the [Threshold Setting] tab. Enter "65" in [Threshold] under [Lower Error Monitor] and "75" in [Threshold] under [Lower Warning Monitor], and then click on [OK].

You have now defined the performance monitoring process.

Proceed to "3. Configure Settings for Application Log Monitoring."

[Reference]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Configure Settings for Application Log Monitoring

  1. Import a definition file
    Select [Import] from the right-click menu on the [ServerA] node in Topology View. When the [Import Service] dialog has been displayed, click on the [Browse] button and specify the following folder:

    C:\Program Files\NEC\UMF\Operations\Svc\template\SAP\syslog

    When you have confirmed that the checkbox to the left of [Application Log Monitor] is checked, click on the [OK] button.

    The definition file is read and the definitions in the file are applied to application log monitor processing under the [ServerA] node in Topology View.

  2. Change log settings
    Change the definitions for the added application log monitoring. Select [Update] from the right-click menu of the added application log node. When the [Monitor Log File Setting] dialog has been displayed, modify these items as follows and click on the [OK] button:

    • Application Name
      Change this item to "SAP System Log."

    • Log File Name
      Change this item to the following filename:
      C:\Program Files\NEC\UMF\Operations\Agent\sg\AppNavi\CollectorSAP\SAPsyslog\ServerA_EC1_00.log

    • Backup File Name
      Change this item to the following filename:
      C:\Program Files\NEC\UMF\Operations\Agent\sg\AppNavi\CollectorSAP\SAPsyslog\ServerA_EC1_00.log1

  3. Change filter settings
    Similarly, make a change to the filter definition. Select [Application Log Filter Setting] from the right-click menu of the application log node. When the [Filter Setting] dialog has been displayed, modify the following items and click on the [OK] button.

    • Object
      Change this item to "SAPsyslog_ServerA."

You have now defined the SAP service monitoring process.

Proceed to "4. Configure Settings for Message Monitoring and Reporting."

[Reference]

For more information on importing the application log monitoring definition data, refer to here.


4. Configure Settings for Message Monitoring and Reporting

  • Configure items for message monitoring as follows:

Item |  |  | Content
Category |  |  | SAP system log
Filter | Description |  | Test log
 | Application |  | ^SAP$
 | Object |  | SAPsyslog_ServerA
 | Select by Position | Position | 80
 |  | Value | A05

  • Configure items for reporting as follows:

When an error message is generated

Item | Content
Policy name | Test log generated
Severity and level | Severity | Abnormal
 | Level | 01
Report destination | Monitoring base
Host name | Patlite
Port number | 2048

When buffer hit rate produces a lower limit error

Item | Content
Policy name | Buffer hit rate error
Severity and level | Severity | Performance lower limit error
 | Level | 02
Report destination | Monitoring base
The report destination is set similarly to that for outputting an error message

When buffer hit rate produces a lower limit warning

Item | Content
Policy name | Buffer hit rate error
Severity and level | Severity | Performance lower limit warning
 | Level | 03
Report destination | Monitoring base
The report destination is set similarly to that for outputting an error message

  1. Create a category
    Select [Add Category] from the right-click menu on Business View. When the [New Category] dialog has been displayed, specify "SAP system log" in [Category Name] and click on the [OK] button.

  2. Define a filter
    Select [Filter Setting] from the right-click menu of the SAP System Log node. When the [Filter Setting] dialog has been displayed, click on the [Add] button to display the [Filter Detail Setting] dialog. When the [Filter Setting] sheet has been displayed, specify "Test log" in [Description], "^SAP$" in [Application], "SAPsyslog_ServerA" in [Object], and "80" and "A05" in [Position] and [Value] under [Select by Position].

  3. Define a reporting process for message monitoring
    Select the [Recovery Setting] sheet in the [Filter Detail Setting] dialog. Check [Report] and click on the [Configuration] button.

    When the [Report Setting] dialog is displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify "Test log generated" in [Policy Name]. Then, double-click on [FATAL] in the [Severity & Level] list. When the [Report Level Setting] window is displayed, specify "01" in the window.

    Next, set the report destination common to all the report policies. Click on [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window is displayed, specify "Monitoring base" in [Destination], "Patlite" in [Host Name], and "2048" in [Port Number], and then click on the [OK] button in the window.

    When the [Patlite Policy] window is displayed again, confirm that "Monitoring base" is displayed in [Destination] and then click on the [OK] button.

    When the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that "Test log generated" and "Monitoring base" are displayed in the [Policy Name] and [Destination] sections, respectively, check the item and click on the [OK] button.

  4. Set a reporting process for performance monitoring
    Double-click on the [Buffers_Program] node under the performance monitoring function node on ServerA to display the performance monitor window. When you select [HitRatio] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu, the [Counter Detail Setting] window is displayed, in which you check [Report] and [FATAL and WARNING only] and click on the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog is displayed, check [Report to Patlite] and click on the [Add] button in the [Patlite Setting] tab. When the [Patlite Policy] window has been displayed, specify "Buffer hit rate error" in [Policy Name]. Then, double-click on [PERFLOWERROR] in the [Severity & Level] list. When the [Report Level Setting] window is displayed, specify "02" in the window. Similarly, double-click on [PERFLOWWARNING] and specify "03" in the [Report Level Setting] window. Finally, select [Monitoring base] in [Destination] and click on the [OK] button.

    When the [Report Setting] window (the [Patlite Setting] tab) is displayed again, confirm that "Buffer hit rate error" and "Monitoring base" are displayed in the [Policy Name] and [Destination] sections, respectively , check the item and click on the [OK] button.

You have now configured the reporting process.

Finally, go to "5. Perform Monitoring and Reporting Tests." Display the main window.

[Reference]

For more information on defining the Patlite reporting, refer to here.


5. Perform Monitoring and Reporting Tests

  1. Perform a test when messages are generated
    Test the case in which logs are generated. First, confirm that the severity color section around the SAP System Log icon in the tree view (Business View) is set to the color of NOMESSAG.

    Next, generate logs with message ID "A05" by using an appropriate means, such as the SAP general-purpose module "RSLG_WRITE_SYSLOG_ENTRY". If everything is properly defined, the system will take the following actions:

    • The color of each of the [SAP System Log] and [Business View] nodes turns to the color of FATAL (defined as read here).
    • The Patlite turns on with a report level of "01."

    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when the counter falls under the threshold values
    Test the case in which the value of the monitored counter, "HitRatio," falls under 65%. First, double-click on the "Buffers_Program" monitored instance under ServerA in the tree view (Topology View). When the performance monitor window has been displayed, confirm that the severity color section for "HitRatio" in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "HitRatio" to 65% or lower. If everything is properly defined, the system will take the following actions:

    • The color of the severity for "HitRatio" turns to the color of PERFLOWERROR.

    • The color of each of the [Buffers_Program], [SAP (ServerA_EC1_00)], [Performance Monitor], [ServerA], and [Topology View] nodes turns to the color of PERFLOWERROR, defined as red here.

    • The Patlite turns on with a report level of "02."

    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

[Reference]

For more information on checking the report status, refer to here.


Preconditions and Construction Order

[Preconditions]

We monitor the Java VM heap memory usage of a Java application(s) running on each of Windows and Linux servers.

We want to monitor the normal operation of each function, and report any detected error to operators via Patlite.

  • The required settings have been completed on the Java application side.

  • The necessary agents have been added.

  • The servers and platforms that make up this system and the information on the operating Java application must be as follows:

Types of Servers | Server Host Name | Instance name (Java application server name)
Windows server | ServerA | ServerA
Linux server | ServerB | ServerB
Patlite server | Patlite | -
  • Report an error when the status of either or both running instances of Java application becomes "not yet activated."

  • Report an error when the rate of heap memory currently used out of the maximum heap memory of the concerned server exceeds 90%, and a warning when it exceeds 80%.

  • Monitor the Java application services and make a report when any of them is stopped.

  • Make a report when any one of the servers stops operating.

[Construction order]

1. Configure a connection to each Java application
2. Define the monitoring of Java application performance
3. Configure the reporting process
4. Perform monitoring and reporting tests


1. Configure a Connection to each Java application

  1. Perform preparations
    Several preparations are required before starting to monitor Java application performance. For more information, refer to the reference in the following.
    If you have not made these preparations, you will fail in establishing a connection to the Java application servers and, consequently, you will not able to monitor the performance.

    [References]
    Java application Setup (When authenticating password)
    Java application Setup (When not authenticating password)
    Setting Java application monitoring of SystemManager G

  2. Set the host on which Java application performance will be monitored
    Right-click the [Topology View] node and select [JavaAP] from the [Application Host Setting] menu to display the [Java ApplicationMonitor - Host Setting] window with a list of the current hosts on which the performance of Java applications is monitored.
    Set ServerA and ServerB, each of which is a Java application server, to be targets for which the performance of Java applications will be monitored.

    Confirm that the check boxes to the left of [ServerA] and [ServerB] are both checked, and click the [OK] button.

  3. Register the Java application monitored server on ServerA to the monitored objects
    Right-click the [ServerA] node on Topology View and select [JavaAP] from the [Application Edit Instance] menu.
    When the [Java ApplicationMonitor - Instance Setting] window has been displayed, register the Java application server "ServerA" running on ServerA.

    Click the [Add] button in the window to display the [Add Instance] window.

  4. Configure a connection to a Java application
    From the [Add Instance] window, set up the Java application server you will register. Enter "ServerA" in [InstanceID], and a desired connection URL, authentication mode, username, password, and finally "Connect to ServerA" in [Description], and click the [OK] button.

    Confirm that the Java application instance ID "ServerA", which was set in the [Java ApplicationMonitor - Instance Setting] window, has been added.
    To make a connection to the specified server, click the [OK] button.

  5. Confirm that the Java application has been registered as a monitored object
    Right-click the [ServerA] node on the Topology View and select [Edit Performance Monitoring] from the displayed menu to create a performance monitoring node under the [ServerA] node and display the [Edit Performance Monitoring] dialog with a list of the monitored objects. Confirm that "JavaAP (ServerA)" is included in the list, and click the [OK] button.

  6. Register the Java application monitored instance on ServerB to the monitored objects
    Similarly to the case of ServerA, register the monitored server "ServerB" on ServerB as well. Enter "Connect to ServerB" in [Description].

You have now registered the monitored servers.

Proceed to "2. Define the Monitoring of Java application performance."

[References]

For more information on registering the monitored servers, refer to here.


2. Define the monitoring of Java application performance

  • Define items for Java application performance monitoring as follows:

Monitored instance name | Memory
Monitored counter name | HeapMemoryUsage used(%)
Upper limit error threshold value | 90
Upper limit warning threshold value | 80
Lower limit warning threshold value | Not to be monitored
Lower limit error threshold value | Not to be monitored

Monitored instance name | Application
Monitored counter name | State
Upper limit error threshold value | Not to be monitored
Upper limit warning threshold value | Not to be monitored
Lower limit warning threshold value | Not to be monitored
Lower limit error threshold value | 0

  1. Import a definition file
    Right-click the [ServerA] node in Topology View, and select [Import] from the displayed menu. When the [Import Service] dialog has been displayed, click the [Browse] button and select the folder that stores the desired definition file.
    Click the [Browse] button to display the following folder, and select folders from there in the order of [template], [JavaAP], and [SerialGC], and then click [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    Confirm that the check box to the left of [Performance Monitor] is checked, and click the [OK] button.
    When the [Performance Monitor] window has been displayed, double-click [InstanceID] in [Setting Item].

    When the [InstanceID Setting] dialog has been displayed, specify "ServerA" in [InstanceID] and click the [OK] button.

    Next, double-click [Logging option] in [Setting Item].

    When the [Logging option Setting] dialog has been displayed, enter "1" (save the history) in [Logging option], and click the [OK] button.

    Confirm that "ServerA" is set in [Value] for [InstanceID] and "1" (save the history) is set in [Value] for [Logging option] in the [Performance Monitor] window, and click the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in Topology View.
    Confirm that the check box to the left of [Performance Monitor] is checked, and click the [OK] button.
    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in Topology View.

  2. Confirm the threshold values
    Double-click the [Memory] node directly under [JavaAP (ServerA)] from the performance monitoring tree on Topology View to display the monitor window.

    Select [HeapMemoryUsage used(%)] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu to display the [Counter Detail Setting] window, and then confirm the set threshold values from the [Threshold Setting] tab.
    Confirm that [Threshold] under [Upper Error Monitor] is set to "90", and [Threshold] under [Upper Warning Monitor] to "80".

    Similarly, from the monitor window in the monitored instance [Application], confirm that the lower threshold value for the monitored counter "State" is set to "0".

  3. Setting on the ServerB side
    Similarly to the case of ServerA, set the ServerB-side performance monitoring process. Set the process on ServerB by following Steps i and ii described above.

You have now defined the performance monitoring process.

Proceed to "3. Configure the reporting process."

[References]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Configure the reporting process

  • Configure items for reporting as follows:

When either or both of Java application hosts are stopped

Item | Description
Policy name | Java application host stopped
Severity and level | Severity | Host not yet activated
 | Level | 01
Report destination | Monitoring Base
Host name | Patlite
Port number | 2048

Heap memory utilization error

Item | Description
Policy name | Heap memory utilization error
Severity and level | Severity | Performance upper limit error
 | Level | 02
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of Java application host stopped.

Heap memory utilization warning

Item | Description
Policy name | Heap memory utilization warning
Severity and level | Severity | Performance upper limit warning
 | Level | 03
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of Java application host stopped.

Java application server status error

Item | Description
Policy name | Server status error
Severity and level | Severity | Performance lower limit error
 | Level | 02
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of Java application host stopped.

  1. Configure the reporting process for ServerA when it is stopped
    Right-click the [ServerA] node in the Topology and select [Set Report] from the displayed menu. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only when the host stopped], and then click the [Configuration] button.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click the [Add] button in the [Patlite Setting] tab.
    When the [Patlite Policy] window has been displayed, specify "Java application host stopped" in [Policy Name].
    Next, double-click [Host not yet activated] in the [Severity & Level] list. When the [Report Level Setting] window has displayed, specify "01" in the window.

    Next, set the report destination common to all the report policies. Click [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Destination], "Patlite" in [Host Name], and "2048" in [Port Number], and then click the [OK] button in the window.

    When the [Patlite Policy] window has been again displayed, confirm that "Monitoring Base" is displayed in [Destination], and then click the [OK] button.
    Similarly, when the [Report Setting] window (the [Patlite Setting] tab) has been again displayed, confirm that "Java Application host stopped" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then, check the item, and click the [OK] button.

    You have now configured the reporting process for ServerA when it is stopped.

  2. Set ServerB stop reporting
    As in the case of ServerA, configure the reporting process for ServerB when it is stopped. Right-click the [ServerB] node in the Topology View and select [Set Report] from the displayed menu.
    When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only when the host stopped], and then click the [Configuration] button.
    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click the [Add] button in the [Patlite Setting] tab.
    Select [Java Application host stopped] from [Policy Name], and click the [OK] button.

  3. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click the [Memory] node under the performance monitoring function node of ServerA to display the performance monitor window. Select [HeapMemoryUsage used(%)] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu to display the [Counter Detail Setting] window, check [Report Setting] and [FATAL and WARNING only], and then click the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click the [Add] button in the [Patlite Setting] tab.
    When the [Patlite Policy] window has been displayed, specify "Heap memory utilization error" in [Policy Name].
    Next, double-click [Performance upper limit error] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window.
    Similarly, double-click [Performance upper limit warning] and specify "03" for the report level. Finally, select [Monitoring Base] in [Destination], and click the [OK] button.

    When the [Report Setting] window (the [Patlite Setting] tab) has been again displayed, confirm that "Heap memory utilization error" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then, check the item, and click the [OK] button.

    Similarly, configure the reporting process for "State" of "Application." Specify "Server status error" in [Policy Name], and specify "02" for the report level setting.
    As in the case of ServerA, configure the reporting process for "HeapMemoryUsage used (%)" of "Memory" and "State" of "Application" on the ServerB side.

You have now configured the reporting process.

Finally, proceed to "4. Perform monitoring and reporting tests." Display the main window.

[References]

For more information on defining the Patlite reporting, refer to here.


4. Perform monitoring and reporting tests

  1. Perform a test when a server is stopped
    Test the case where a server is stopped. First, confirm that the severity color section around the ServerA icon on the Tree view (Topology View) is set to the color of HOSTNORMAL.

    Then, stop ServerA. If everything is properly defined, the system will take the following actions:

    • The color of each of the [ServerA] and [Topology View] nodes turns to the color of HOSTEMPTY (defined as read here).
    • The Patlite turns on with a report level of "01."
    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when a counter exceeds the threshold value
    Test the case where the value of the monitored counter, "HeapMemoryUsage used(%)," exceeds 80. First, double-click the "Memory" monitored instance under ServerA in the Tree view (Topology View). When the performance monitor window has been displayed, confirm that the severity color section for "HeapMemoryUsage used(%)" in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "HeapMemoryUsage used(%)" to 80 or higher. If everything is properly defined, the system will take the following actions:

    • The color of the severity for "HeapMemoryUsage used(%)" turns to the color of PERFUPWARNING.
    • On the tree view, the color of each of the [Memory], [JavaAP (ServerA)], [Performance Monitor], [ServerA], and [Topology View] nodes turns to the color of PERFUPWARNING (defined as yellow here).
    • The Patlite turns on with a report level of "03."
    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on checking the report status, refer to here.


Preconditions and Construction Order

[Preconditions]

We monitor the Java VM heap memory usage of WebSphere Application Server running on Windows and HP-UX (IPF) servers.

We want to monitor the normal operation of each function, and report any detected error to operators via Patlite.

  • The required settings have been completed on the WebSphere Application Server side.

  • The necessary agents have been added.

  • The servers and platforms that make up this system and the operating WebSphere Application Servers must be as follows:

Types of Servers | Server Host Name | Instance name (WebSphare Application Server name)
Windows server | ServerA | ServerA
HP-UX(IPF) server | ServerB | ServerB
Patlite server | Patlite | -
  • Report an error when the status of either or both running instances of WebSphere Application Server becomes "not yet activated."

  • Report an error when the rate of heap memory currently used out of the maximum heap memory of the concerned server exceeds 90%, and a warning when it exceeds 80%.

  • Monitor the WebSphere Application Server services and make a report when any of them is stopped.

  • Make a report when any one of the servers stops operating.

[Construction order]

1. Configure a connection to a WebSphere Application Server
2. Define the monitoring of WebSphere Application Server performance
3. Configure the reporting process
4. Perform monitoring and reporting tests


1. Configure a connection to a WebShpere Application Server

1. Configure a Connection to each WebSphere Application Server

  1. Perform preparations
    You must make some preparations before monitoring WebSphere Application Server performance. For more information, refer to the reference in the following.
    If you have not made these preparations, you will fail in establishing a connection to the WebSphere Application Server and, consequently, you will not able to monitor the performance.

    [References]
    WebSphere Application Server Setup
    Setting WebSphere Application Server monitoring of SystemManager G

  2. Set up a host on which WebSphere Application Server performance will be monitored
    Right-click the [Topology] node and select [WebSphere] from the [Application Host Setting] menu to display [WebSphereMonitor - Host Setting] window with a list of the current hosts on which the performance of WebSphere Application Server is monitored.
    Set ServerA and ServerB, each of which is a WebSphere Application Server, to be targets for monitoring the WebSphere Application Server performance.

    Confirm that the check boxes to the left of [ServerA] and [ServerB] are both checked, and click the [OK] button.

  3. Register the WebSphere Application Server monitored server on ServerA to the monitored objects
    Right-click the [ServerA] node on the topology view and select [WebSphere] from the [Edit Application Management Instance] menu.
    When the [WebSphereMonitor - Server Setting] window has been displayed, register the WebSphere Application Server "ServerA" running on ServerA.

    Click the [Add] button in the window to display the [Add Server] window.

  4. Configure a connection to WebSphere Application Server
    From the [Add Server] window, set up the WebSphere Application Server you will register. Enter "ServerA" in [Server ID], and enter an appropriate host name, port number, username, password, trust store file, trust store password, and finally "Connect to ServerA", and click the [OK] button.

    Confirm that the WebSphere Application Server's Server ID "ServerA" that was set in the [WebSphereMonitor - Server Setting] window has been added.
    To make a connection to the specified server, click the [OK] button.

  5. Confirm that the WebSphere Application Server instance has been registered to the monitored objects
    Right-click the [ServerA] node in the Topology View and select [Edit Performance Monitoring] from the displayed menu to create a performance monitoring node under the [ServerA] node and display the [Edit Performance Monitoring] dialog with a list of the monitored objects.
    Confirm that "WebSphere (ServerA)" is included in the list, and click the [OK] button.

  6. Register the WebSphere Application Server monitoring instance of ServerB to monitored objects
    Similar to the case of ServerA, register the monitored server "ServerB". Enter "Connect to ServerB" in [Description].

You have now registered the monitored servers.

Proceed to "2. Define the Monitoring of WebSphere Application Server performance."

[References]

For more information on registering the monitored servers, refer to here.


2. Define the monitoring of WebSphere Application Server performance

  • Define items for WebSphere Application Server performance monitoring as follows:

Monitored instance name | JVMRuntime
Monitored counter name | MemoryUseRate
Upper limit error threshold value | 90
Upper limit warning threshold value | 80
Lower limit warning threshold value | Not to be monitored
Lower limit error threshold value | Not to be monitored

Monitored instance name | Server
Monitored counter name | State
Upper limit error threshold value | Not to be monitored
Upper limit warning threshold value | Not to be monitored
Lower limit warning threshold value | Not to be monitored
Lower limit error threshold value | 0

  1. Import a definition file
    Right-click the [ServerA] node in Topology View, and select [Import] from the displayed menu. When the [Import Service] dialog has been displayed, click the [Browse] button and select the folder that stores the desired definition file.
    Click the [Browse] button to display the following folder, and select folders from there in the order of [template] and [WebSphere], and then click [OK].

    C:\Program Files\NEC\UMF\Operations\Svc\

    Confirm that the check box to the left of [Performance Monitor] is checked, and click the [OK] button.
    When the [Performance Monitor] window has been displayed, double-click [Server ID] in [Setting Item].

    When the [Server ID Setting] dialog has been displayed, specify "ServerA" in [Server ID] and click the [OK] button.

    Next, double-click [Logging option] in [Setting Item].

    When the [Logging option Setting] dialog has been displayed, enter "1" (save the history) in [Logging option], and click the [OK] button.

    Confirm that "ServerA" is set in [Value] for [Server ID] and "1" (save the history) is set in [Value] for [Logging option] in the [Performance Monitor] window, and click the [OK] button.

    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in Topology View.
    Confirm that the check box to the left of [Performance Monitor] is checked, and click the [OK] button.
    The definition file is read and the definitions in the file are applied to performance monitor processing under the [ServerA] node in Topology View.

  2. Confirm the threshold values
    Double-click the [JVMRuntime] node directly under [WebSphere (ServerA)] from the performance monitoring tree on Topology View to display the monitor window.

    Select [MemoryUseRate] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu to display the [Counter Detail Setting] window, and confirm the set threshold values from the [Threshold Setting] tab.
    Confirm that [Threshold] under [Upper Error Monitor] is set to "90", and [Threshold] under [Upper Warning Monitor] to "80".

    Similarly, from the monitor window in the monitored instance [Server], confirm that the lower threshold value for the monitored counter "State" is set to "0".

  3. Setting on the ServerB side
    Similarly to the case of ServerA, set the ServerB-side performance monitoring process. Set the process on ServerB by following Steps i and ii described above.

You have now defined the performance monitoring process.

Proceed to "3. Configure the reporting process."

[References]

For more information on importing the performance monitoring definition data, refer to here.

For more information on setting the threshold values, refer to here.


3. Configure the reporting process

  • Configure items for reporting as follows:

When WebSphere Application Server host is stopped

Item | Description
Policy name | WebSphere Application Server host stopped
Severity and level | Severity | Host not yet activated
 | Level | 01
Report destination | Monitoring Base
Host name | Patlite
Port number | 2048

Heap memory utilization error

Item | Description
Policy name | Heap memory utilization error
Severity and level | Severity | Performance upper limit error
 | Level | 02
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of WebSphere Application Server host stopped.

Heap memory utilization warning

Item | Description
Policy name | Heap memory utilization warning
Severity and level | Severity | Performance upper limit warning
 | Level | 03
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of WebSphere Application Server host stopped.

WebSphere Application Server status error

Item | Description
Policy name | Server status error
Severity and level | Severity | Performance lower limit error
 | Level | 02
Report destination | Monitoring Base
The report destination can be set in the same manner as in the case of WebSphere Application Server host stopped.

  1. Configure the reporting process for ServerA when it is stopped
    Right-click the [ServerA] node in the Topology and select [Set Report] from the displayed menu. When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only when the host stopped], and then click the [Configuration] button.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click the [Add] button in the [Patlite Setting] tab.
    When the [Patlite Policy] window has been displayed, specify "WebSphere Application Server host stopped" in [Policy Name].
    Next, double-click [Host not yet activated] in the [Severity & Level] list. When the [Report Level Setting] window has displayed, specify "01" in the window.

    Next, set the report destination common to all the report policies. Click [Add] from the [Patlite Policy] window. When the [Patlite Destination Setting] window has been displayed, specify "Monitoring Base" in [Destination], "Patlite" in [Host Name], and "2048" in [Port Number], and then click the [OK] button in the window.

    When the [Patlite Policy] window has been again displayed, confirm that "Monitoring Base" is displayed in [Destination], and then click the [OK] button.
    Similarly, when the [Report Setting] window (the [Patlite Setting] tab) has been again displayed, confirm that "WebSphere Application Server host stopped" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then, check the item, and click the [OK] button.

    You have now configured the reporting process for ServerA when it is stopped.

  2. Set ServerB stop reporting
    As in the case of ServerA, configure the reporting process for ServerB when it is stopped. Right-click the [ServerB] node in the Topology View and select [Set Report] from the displayed menu.
    When the [Report Setting] dialog has been displayed, check [Report Setting] and [Report only when the host stopped], and then click the [Configuration] button.
    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click the [Add] button in the [Patlite Setting] tab.
    Select [WebSphere Application Server host stopped] from [Policy Name], and click the [OK] button.

  3. Configure the reporting process when the performance monitoring upper limit produces an error
    Double-click the [JVMRuntime] node under the performance monitoring function node of ServerA to display the performance monitor window. Select [MemoryUseRate] from the [Counter] list in the lower section of the monitor window and select [Counter Detail Setting] from the right-click menu to display the [Counter Detail Setting] window, check [Report Setting] and [FATAL and WARNING only], and then click the [Configuration] button from the [Threshold Setting] tab.

    When the [Report Setting] dialog has been displayed, check [Report to Patlite] and click the [Add] button in the [Patlite Setting] tab.
    When the [Patlite Policy] window has been displayed, specify "Heap memory utilization error" in [Policy Name].
    Next, double-click [Performance upper limit error] in the [Severity & Level] list. When the [Report Level Setting] window has been displayed, specify "02" in the window.
    Similarly, double-click [Performance upper limit warning] and specify "03" for the report level. Finally, select [Monitoring Base] in [Destination], and click the [OK] button.

    When the [Report Setting] window (the [Patlite Setting] tab) has been again displayed, confirm that "Heap memory utilization error" and "Monitoring Base" are displayed in the [Policy Name] and [Destination] sections, respectively. Then, check the item, and click the [OK] button.

    Similarly, configure the reporting process for "State" of "Server." Specify "Server status error" in [Policy Name], and specify "02" for the report level setting.
    As in the case of ServerA, configure the reporting process for "MemoryUseRate" of "JVMRuntime" and "State" of "Server" on the ServerB side.

You have now configured the reporting process.

Finally, proceed to "4. Perform monitoring and reporting tests." Display the main window.

[References]

For more information on defining the Patlite reporting, refer to here.


4. Perform monitoring and reporting tests

  1. Perform a test when a server is stopped
    Test the case where a server is stopped. First, confirm that the severity color section around the ServerA icon on the Tree view (Topology View) is set to the color of HOSTNORMAL.

    Then, stop ServerA. If everything is properly defined, the system will take the following actions:

    • The color of each of the [ServerA] and [Topology View] nodes turns to the color of HOSTEMPTY (defined as read here).
    • The Patlite turns on with a report level of "01."
    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

  2. Perform a test when a counter exceeds the threshold value
    Test the case where the value of the monitored counter, "MemoryUseRate," exceeds 80. First, double-click the "JVMRuntime" monitored instance under ServerA in the Tree view (Topology View). When the performance monitor window has been displayed, confirm that the severity color section for "MemoryUseRate" in the counter list is set to the color of PERFNORMAL.

    Then, set the value of "MemoryUseRate" to 80 or higher. If everything is properly defined, the system will take the following actions:

    • The color of the severity for "MemoryUseRate" turns to the color of PERFUPWARNING.
    • On the tree view, the color of each of the [JVMRuntime], [WebSphere (ServerA)], [Performance Monitor], [ServerA], and [Topology View] nodes turns to the color of PERFUPWARNING (defined as yellow here).
    • The Patlite turns on with a report level of "03."
    If the system does not take any of the actions listed above, something may be wrong with the definitions. Review all the definitions.

[References]

For more information on the topology monitoring method, refer to here.

For more information on the performance monitoring method, refer to here.

For more information on checking the report status, refer to here.


Preconditions and Construction Order

[Preconditions]

Monitor the normal operation of a monitored Web site, and report any detected error to the console.

  • The probe terminal has been displayed on Topology View in the console.

  • The monitored Web site can be referenced from the console with the Web browser.

  • The monitored Web site does not require client authentication.

  • An warning must be reported when the total response time measured for the monitored Web site exceeds 8 seconds.

  • An error must be reported when the total response time measured for the monitored Web site exceeds 10 seconds.

  • An error must be reported when the availability of the monitored Web site indicates 0.

[Construction order]

1. Confirm that the probe terminal and the monitored object have been added
2. Add a monitored instance
3. Record a Web scenario
4. Monitor the Web site through the recorded Web scenario
5. How to set a scenario in a special environment


1. Confirm that the probe terminal and the monitored object have been added

Once the manager detects a probe that has been installed, [Probe Host] will automatically be added to [Probe Group] in Topology View.

Add the [Response - Web Scenario] performance monitored object under [Probe Host].

  1. Open the console.

  2. Select [Configuration mode] from the [Setting] menu on the console.

  3. Expand Topology View on the tree view.

  4. Confirm that [Probe Host] has been added under [Probe Group].

  5. Confirm that [Performance Monitor] has been added under [Probe Host].

  6. Select [Performance Monitor Setting] from the menu displayed by right-clicking [Performance Monitor], check [Response - Web Scenario], and click [OK].

  7. Confirm that [Response - Web Scenario] has been added under [Performance Monitor].

[Reference]
Add a probe host that performs monitoring
Add a monitored object

Proceed to "2. Add a monitored instance."


2. Add a monitored instance

Add a desired monitored instance under the [Response - Web Scenario] monitored object node by performing the following operations:

  1. Right-click the [Response - Web Scenario] monitored object node and select the [Instance Setting] men item.

  2. In [Monitor Setting] in the [Monitor Instance Setting] dialog, click the [Add] button.

  3. The [Monitor Configuration] dialog is displayed.

[Reference]
Set a monitored instance
Set a probe terminal that performs monitoring
Add a monitored instance
Update a monitored instance
Delete a monitored instance

Proceed to "3. Record a Web scenario."


3. Record a Web scenario

To record a Web scenario, perform the following operations:

  1. In the [Group Name] field on the [Monitor Configuration] window, enter the group name for the Web scenario or select a desired name from the list box.

  2. Click the [Set Up] button to start "Scenario Writer."
    *For details of Scenario Writer, refer to the "Scenario Writer" manual.

  3. By default, the [Scenario Record] button takes on the status of being clicked. In [URL:], enter the URL for the Web site to be monitored and click the [Go] button.

  4. Confirm that the page of the Web site to be monitored is displayed in the browser view.

  5. To finish recording the Web scenario, .click the [Scenario Stop] button.

  6. Click the [Scenario Replay] button to confirm the recorded scenario.

  7. Click the [Save] button to save the scenario.

  8. The [Scenario Name Setting] dialog is displayed. Enter a desired scenario name and click the [OK] button.

  9. Select [Exit Application] from the [File] menu in Scenario Writer to exit Scenario Writer.

  10. Confirm that the monitor ID and the monitor name you have previously saved are entered in the [Monitor ID] field and the [Monitor Name] field in the [Monitor Configuration] window.

  11. Click the [OK] button in the [Monitor Configuration] window to close it.

  12. Click the [OK] button in the [Monitor Instance Setting] window to close it.

    13. [Reference]
    Record a Web scenario
    Configure Web scenario monitoring settings

    Proceed to "4. Monitor the Web site through the recorded Web scenario."


4. Monitor the Web site through the recorded Web scenario

Perform the following operations to monitor the Web site through the recorded Web scenario:

  1. Confirm that the added monitored instance is displayed under the [Response - Web Scenario] monitored object node in Topology View.

  2. Select the [Probe Status] tab in Product View to check that the status of the added scenario is [Enable].

    3. [Reference]
    Check the status of a probe

  3. Right-click the added monitored instance in Topology View, and select the [Counter Setting] menu item.

  4. The [Counter Setting] dialog opens. Select the counters you want to monitor and click the [OK] button.
    The following example assumes that you will check the counter names [Scenario Availability] and [Scenario Total Response Time] and monitor the availability and total response time of the whole scenario.

    5. [Reference]
    Set monitored counters for Web scenario monitoring

  5. Double-click the added, monitored instance in Topology View to display the monitored data graph in Product View.

    6. [Reference]
    Refer to a monitored data graph

  6. Right-click the [Scenario Availability] counter to open the [Counter Detail Setting] dialog.

  7. Open the [Threshold Setting] tab, check [Lower Error Monitor], and click the [OK] button.

  8. Right-click the [Scenario Total Response Time] counter to open the [Counter Detail Setting] dialog.

  9. Open the [Threshold Setting] tab, check [Upper Error Monitor], and set 10.0 in [Threshold] as the error threshold value.

  10. Proceed to check [Upper Warning Monitor], set 8.0 in [Threshold] as the warning threshold value, and click the [OK] button.

    11. [Reference]
    5. How to set a scenario in a special environment


5. How to set a scenario in a special environment

n such cases as those where a Web site to be monitored requests a type of authentication such as client authentication, you may not be able to access the Web site from the console window, so that you cannot record scenarios.

In such a case, you will be capable of creating scenarios by starting Scenario Writer on a machine in which the probe has been installed or on any from which you can access the Web site to be monitored. After you have recorded a scenario, you will save it in your local environment on a temporary basis, which enables you to import the scenario from on the console.

  1. Copy ScenarioWriter.exe under the default installation directory (C:\Program Files\NEC\UMF\Operations\Svc\bin) to the machine on which you want to create a scenario.

  2. Run Scenario Write on the machine to which it has been copied, and record the scenario.

  3. Copy the saved scenario file to the console so that you can import it from an appropriate window on the console.

    4. *Note that for details of Scenario Writer, you can refer to the "Scenario Writer" manual.

    [Reference]
    Preconditions and Construction Order


Preconditions and Construction Order

[Preconditions]

Monitor the normal operation of a monitored mail service, and report any detected error to the console.

  • The probe terminal has been displayed on Topology View in the console.

  • The monitored mail service can be accessed from the probe terminal.

  • LOGIN authentication must be used for monitored mail services (SMTP).

  • Secured connections (TLS) must not be used for monitored mail services (SMTP).

  • USER authentication must be used for monitored mail services (POP3).

  • Secured connections (TLS) must not be used for monitored mail services (POP3).

  • The response times of the monitored mail service do not include retry times.

  • An warning must be reported when the total response time measured for the monitored mail service exceeds 8 seconds.

  • An error must be reported when the total response time measured for the monitored mail service exceeds 10 seconds.

  • An error must be reported when the availability of the monitored mail service indicates 0.

[Construction order]

1. Confirm that the probe terminal and the monitored object have been added
2. Add a monitored instance
3. Configure settings for mail service monitoring
4. Monitor the mail service


1. Confirm that the probe terminal and the monitored object have been added

Once the manager detects a probe that has been installed, [Probe Host] will automatically be added to [Probe Group] in Topology View.

Add the [Response - Mail] performance monitored object under [Probe Host].

  1. Open the console.

  2. Select [Configuration mode] from the [Setting] menu on the console.

  3. Expand Topology View on the tree view.

  4. Confirm that [Probe Host] has been added under [Probe Group].

  5. Confirm that [Performance Monitor] has been added under [Probe Host].
  6. Select [Performance Monitor Setting] from the menu displayed by right-clicking [Performance Monitor], check [Response - Mail], and click [OK].

  7. Confirm that [Response - Mail] has been added under [Performance Monitor].

[Reference]
Add a probe host that performs monitoring
Add a monitored object

Proceed to "2. Add a monitored instance."


2. Add a monitored instance

Add a desired monitored instance under the [Response - Mail] monitored object node by performing the following operations:

  1. Right-click the [Response - Mail] monitored object node and select the [Instance Setting] men item.

  2. In [Monitor Setting] in the [Monitor Instance Setting] dialog, click the [Add] button.

  3. The [Monitor Configuration] dialog is displayed.

[Reference]
Set a monitored instance
Set a probe terminal that performs monitoring
Add a monitored instance
Update a monitored instance
Delete a monitored instance

Proceed to "3. Configure settings for mail service monitoring."


3. Configure settings for mail service monitoring

Perform the following operations to configure settings for mail service monitoring.

  1. In the [Group Name] field on the [Monitor Configuration] window, enter the group name for this monitoring or select a desired name from the list box.

  2. Click the [Set Up] button to open [Probe for Mail - Monitor Setting], complete the entries, and click [OK].

  3. Confirm that the monitor ID and the monitor name you have previously saved are entered in the [Monitor ID] field and the [Monitor Name] field in the [Monitor Configuration] window.

  4. Click the [OK] button in the [Monitor Configuration] window to close it.

  5. Click the [OK] button in the [Monitor Instance Setting] window to close it.

    6. [Reference]
    Set mail monitoring

    Proceed to "4. Monitor the mail service."


4. Monitor the mail service

Perform the following operations to monitor the mail service.

  1. Confirm that the added monitored instance is displayed under the [Response - Mail] monitored object node in Topology View.

  2. Select the [Probe Status] tab in Product View to check that the status of the added monitored instance is [Enable].

    3. [Reference]
    Check the status of a probe

  3. Right-click the added monitored instance in Topology View, and select the [Counter Setting] menu item.

  4. The [Counter Setting] dialog opens. Select the counters you want to monitor and click the [OK] button.
    The following example assumes that you will check the counter names [Availability] and [Turn Around Total Response Time], and monitor the availability and response times when sending and receiving mails.

    5. [Reference]
    Set monitored counters for mail monitoring

  5. Double-click the added, monitored instance in Topology View to display the monitored data graph in Product View.

    6. [Reference]
    Refer to a monitored data graph

  6. Right-click the [Availability] counter to open the [Counter Detail Setting] dialog.

  7. Open the [Threshold Setting] tab, check [Lower Error Monitor], and click the [OK] button.

  8. Right-click the [Turn Around Total Response Time] counter to open the [Counter Detail Setting] dialog.

  9. Open the [Threshold Setting] tab, check [Upper Error Monitor], and set 10.0 in [Threshold] as the error threshold value.

  10. Proceed to check [Upper Warning Monitor], set 8.0 in [Threshold] as the warning threshold value, and click the [OK] button.


Preconditions and Construction Order

[Preconditions]

Monitor the normal operation of a monitored DNS service, and report any detected error to the console.

  • The probe terminal has been displayed on Topology View in the console.

  • The monitored DNS service can be accessed from the probe terminal.

  • The lookup type must be set to Forward.

  • An warning must be reported when the total response time measured for the monitored DNS service exceeds 8 seconds.

  • An error must be reported when the total response time measured for the monitored DNS service exceeds 10 seconds.

  • An error must be reported when the availability of the monitored DNS service indicates 0.

[Construction order]

1. Confirm that the probe terminal and the monitored object have been added
2. Add a monitored instance
3. Configure settings for DNS service monitoring
4. Monitor the DNS service


1. Confirm that the probe terminal and the monitored object have been added

Once the manager detects a probe that has been installed, [Probe Host] will automatically be added to [Probe Group] in Topology View.

Add the [Response - DNS] performance monitored object under [Probe Host].

  1. Open the console.

  2. Select [Configuration mode] from the [Setting] menu on the console.

  3. Expand Topology View on the tree view.

  4. Confirm that [Probe Host] has been added under [Probe Group].

  5. Confirm that [Performance Monitor] has been added under [Probe Host].
  6. Select [Performance Monitor Setting] from the menu displayed by right-clicking [Performance Monitor], check [Response - DNS], and click [OK].

  7. Confirm that [Response - DNS] has been added under [Performance Monitor].

[Reference]
Add a probe host that performs monitoring
Add a monitored object

Proceed to "2. Add a monitored instance."


2. Add a monitored instance

Add a desired monitored instance under the [Response - DNS] monitored object node by performing the following operations:

  1. Right-click the [Response - DNS] monitored object node and select the [Instance Setting] men item.

  2. In [Monitor Setting] in the [Monitor Instance Setting] dialog, click the [Add] button.

  3. The [Monitor Configuration] dialog is displayed.

[Reference]
Set a monitored instance
Set a probe terminal that performs monitoring
Add a monitored instance
Update a monitored instance
Delete a monitored instance

Proceed to "3. Configure settings for DNS service monitoring."


3. Configure settings for DNS service monitoring

Perform the following operations to configure settings for DNS service monitoring.

  1. In the [Group Name] field on the [Monitor Configuration] window, enter the group name for this monitoring or select a desired name from the list box.

  2. Click the [Set Up] button to open [Probe for DNS - Monitor Setting], complete the entries, and click [OK].

  3. Confirm that the monitor ID and the monitor name you have previously saved are entered in the [Monitor ID] field and the [Monitor Name] field in the [Monitor Configuration] window.

  4. Click the [OK] button in the [Monitor Configuration] window to close it.

  5. Click the [OK] button in the [Monitor Instance Setting] window to close it.

    6. [Reference]
    Set DNS monitoring

    Proceed to "4. Monitor the DNS service."


4. Monitor the DNS service

Perform the following operations to monitor the DNS service.

  1. Confirm that the added monitored instance is displayed under the [Response - DNS] monitored object node in Topology View.

  2. Select the [Probe Status] tab in Product View to check that the status of the added monitored instance is [Enable].

    3. [Reference]
    Check the status of a probe

  3. Right-click the added monitored instance in Topology View, and select the [Counter Setting] menu item.

  4. The [Counter Setting] dialog opens. Select the counters you want to monitor and click the [OK] button. The following example assumes that you will check the counter names [Availability] and [Total Response Time] and monitor the availability and total response times of the DNS service.

    5. [Reference]
    Set monitored counters for DNS monitoring

  5. Double-click the added, monitored instance in Topology View to display the monitored data graph in Product View.

    6. [Reference]
    Refer to a monitored data graph

  6. Right-click the [Availability] counter to open the [Counter Detail Setting] dialog.

  7. Open the [Threshold Setting] tab, check [Lower Error Monitor], and click the [OK] button.

  8. Right-click the [Total Response Time] counter to open the [Counter Detail Setting] dialog.

  9. Open the [Threshold Setting] tab, check [Upper Error Monitor], and set 10.0 in [Threshold] as the error threshold value.

  10. Proceed to check [Upper Warning Monitor], set 8.0 in [Threshold] as the warning threshold value, and click the [OK] button.


Preconditions and Construction Order

[Preconditions]

Monitor the normal operation of a monitored TCP port, and report any detected error to the console.

  • The probe terminal has been displayed on Topology View in the console.

  • The monitored TCP port can be accessed from the probe terminal.

  • The monitored TCP port will send back a response ahead of the probe terminal after a connection to it has been established.

  • Commands will be sent to the monitored TCP port.

  • An warning must be reported when the total response time measured for the monitored TCP port exceeds 8 seconds.

  • An error must be reported when the total response time measured for the monitored TCP port exceeds 10 seconds.

  • An error must be reported when the availability of the monitored TCP port indicates 0.

[Construction order]

1. Confirm that the probe terminal and the monitored object have been added
2. Add a monitored instance
3. Configure settings for TCP port monitoring
4. Monitor the TCP port


1. Confirm that the probe terminal and the monitored object have been added

Once the manager detects a probe that has been installed, [Probe Host] will automatically be added to [Probe Group] in Topology View.

Add the [Response - TCP] performance monitored object under [Probe Host].

  1. Open the console.

  2. Select [Configuration mode] from the [Setting] menu on the console.

  3. Expand Topology View on the tree view.

  4. Confirm that [Probe Host] has been added under [Probe Group].

  5. Confirm that [Performance Monitor] has been added under [Probe Host].
  6. Select [Performance Monitor Setting] from the menu displayed by right-clicking [Performance Monitor], check [Response- TCP], and click [OK].

  7. Confirm that [Response - TCP] has been added under [Performance Monitor].

[Reference]
Add a probe host that performs monitoring
Add a monitored object

Proceed to "2. Add a monitored instance."


2. Add a monitored instance

Add a desired monitored instance under the [Response - TCP] monitored object node by performing the following operations:

  1. Right-click the [Response - TCP] monitored object node and select the [Instance Setting] men item.

  2. In [Monitor Setting] in the [Monitor Instance Setting] dialog, click the [Add] button.

  3. The [Monitor Configuration] dialog is displayed.

[Reference]
Set a monitored instance
Set a probe terminal that performs monitoring
Add a monitored instance
Update a monitored instance
Delete a monitored instance

Proceed to "3. Configure settings for TCP port monitoring."


3. Configure settings for TCP port monitoring

Perform the following operations to configure settings for TCP port monitoring.

  1. In the [Group Name] field on the [Monitor Configuration] window, enter the group name for this monitoring or select a desired name from the list box.

  2. Click the [Set Up] button to open [Probe for TCP - Monitor Setting], complete the entries, and click [OK].

  3. Confirm that the monitor ID and the monitor name you have previously saved are entered in the [Monitor ID] field and the [Monitor Name] field in the [Monitor Configuration] window.

  4. Click the [OK] button in the [Monitor Configuration] window to close it.

  5. Click the [OK] button in the [Monitor Instance Setting] window to close it.

    6. [Reference]
    Set TCP monitoring

    Proceed to "4. Monitor the TCP port."


4. Monitor the TCP port

Perform the following operations to monitor the TCP port.

  1. Confirm that the added monitored instance is displayed under the [Response - TCP] monitored object node in Topology View.

  2. Select the [Probe Status] tab in Product View to check that the status of the added monitored instance is [Enable].

    3. [Reference]
    Check the status of a probe

  3. Right-click the added monitored instance in Topology View, and select the [Counter Setting] menu item.

  4. The [Counter Setting] dialog opens. Select the counters you want to monitor and click the [OK] button.
    The following example assumes that you will check the counter names [Availability] and [Total Response Time] and monitor the availability and response times of the TCP port.

    5. [Reference]
    Set monitored counters for TCP monitoring

  5. Double-click the added, monitored instance in Topology View to display the monitored data graph in Product View.

    6. [Reference]
    Refer to a monitored data graph

  6. Right-click the [Availability] counter to open the [Counter Detail Setting] dialog.

  7. Open the [Threshold Setting] tab, check [Lower Error Monitor], and click the [OK] button.

  8. Right-click the [Total Response Time] counter to open the [Counter Detail Setting] dialog.

  9. Open the [Threshold Setting] tab, check [Upper Error Monitor], and set 10.0 in [Threshold] as the error threshold value.

  10. Proceed to check [Upper Warning Monitor], set 8.0 in [Threshold] as the warning threshold value, and click the [OK] button.


Preconditions and Construction Order

[Preconditions]

Monitor the normal operation of a monitored FTP service port, and report any detected error to the console.

  • The probe terminal has been displayed on Topology View in the console.

  • The monitored FTP service can be accessed from the probe terminal.

  • The mode of monitoring target is PASSIVE.

  • The type of monitoring target is BINARY.

  • Don't set a locale. It's ignored.

  • An warning must be reported when the total response time measured for the monitored FTP service exceeds 8 seconds.

  • An error must be reported when the total response time measured for the monitored FTP service exceeds 10 seconds.

  • An error must be reported when the availability of the monitored FTP service indicates 0.

[Construction order]

1. Confirm that the probe terminal and the monitored object have been added
2. Add a monitored instance
3. Configure settings for FTP service monitoring
4. Monitor the FTP service


1. Confirm that the probe terminal and the monitored object have been added

Once the manager detects a probe that has been installed, [Probe Host] will automatically be added to [Probe Group] in Topology View.

Add the [Response - FTP] performance monitored object under [Probe Host].

  1. Open the console.

  2. Select [Configuration mode] from the [Setting] menu on the console.

  3. Expand Topology View on the tree view.

  4. Confirm that [Probe Host] has been added under [Probe Group].

  5. Confirm that [Performance Monitor] has been added under [Probe Host].
  6. Select [Performance Monitor Setting] from the menu displayed by right-clicking [Performance Monitor], check [Response- FTP], and click [OK].

  7. Confirm that [Response - FTP] has been added under [Performance Monitor].

[Reference]
Add a probe host that performs monitoring
Add a monitored object

Proceed to "2. Add a monitored instance."


2. Add a monitored instance

Add a desired monitored instance under the [Response - FTP] monitored object node by performing the following operations:

  1. Right-click the [Response - FTP] monitored object node and select the [Instance Setting] men item.

  2. In [Monitor Setting] in the [Monitor Instance Setting] dialog, click the [Add] button.

  3. The [Monitor Configuration] dialog is displayed.

[Reference]
Set a monitored instance
Set a probe terminal that performs monitoring
Add a monitored instance
Update a monitored instance
Delete a monitored instance

Proceed to "3. Configure settings for FTP server monitoring."


3. Configure settings for FTP service monitoring

3. Configure settings for FTP server monitoring

Perform the following operations to configure settings for FTP server monitoring.

  1. In the [Group Name] field on the [Monitor Configuration] window, enter the group name for this monitoring or select a desired name from the list box.

  2. Click the [Set Up] button to open [Probe for FTP - Monitor Setting], complete the entries, and click [OK].

  3. Confirm that the monitor ID and the monitor name you have previously saved are entered in the [Monitor ID] field and the [Monitor Name] field in the [Monitor Configuration] window.

  4. Click the [OK] button in the [Monitor Configuration] window to close it.

  5. Click the [OK] button in the [Monitor Instance Setting] window to close it.

    6. [Reference]
    Set FTP monitoring

    Proceed to "4. Monitor the FTP port."


4. Monitor the FTP service

Perform the following operations to monitor the FTP service.

  1. Confirm that the added monitored instance is displayed under the [Response - FTP] monitored object node in Topology View.

  2. Select the [Probe Status] tab in Product View to check that the status of the added monitored instance is [Enable].

    3. [Reference]
    Check the status of a probe

  3. Right-click the added monitored instance in Topology View, and select the [Counter Setting] menu item.

  4. The [Counter Setting] dialog opens. Select the counters you want to monitor and click the [OK] button.
    The following example assumes that you will check the counter names [Availability] and [Total Response Time] and monitor the availability and response times of the FTP server.

    5. [Reference]
    Set monitored counters for FTP monitoring

  5. Double-click the added, monitored instance in Topology View to display the monitored data graph in Product View.

    6. [Reference]
    Refer to a monitored data graph

  6. Right-click the [Availability] counter to open the [Counter Detail Setting] dialog.

  7. Open the [Threshold Setting] tab, check [Lower Error Monitor], and click the [OK] button.

  8. Right-click the [Total Response Time] counter to open the [Counter Detail Setting] dialog.

  9. Open the [Threshold Setting] tab, check [Upper Error Monitor], and set 10.0 in [Threshold] as the error threshold value.

  10. Proceed to check [Upper Warning Monitor], set 8.0 in [Threshold] as the warning threshold value, and click the [OK] button.


Configuration example 1 (Monitoring in parallel for every single monitoring key)

[Prerequisites]

Communication errors may frequently occur due to the network failure in any system.

A waste log shall be preferably restrained by collecting the messages with an identical ID into one message output when identical ID messages occur in a certain period of time and the occurrence nodes belong to one group when they are grouped.

[Message example]

Occurrence date and time | Message ID | Occurrence node | Message text
2014/11/10 23:54:00 | 00000001 | Host-A01 | Communication error occurred. (Destination node=ServerA)
2014/11/10 11:55:10 PM | 00000001 | Host-A02 | Communication error occurred. (Destination node=ServerA)
2014/11/10 11:55:30 PM | 00000001 | Host-B01 | Communication error occurred. (Destination node=ServerB)

  • Agent has been added.

  • The communication error message is monitored by the log monitoring.

  • For other information items, they are explained in the respective definition sections.

[Configuration order]

1. Defining rules

2. Defining conditions

3. Performing an analyzing test


1. Defining rules

  1. Creating a rule

Right-click the tree view (event correlation view or the group under the event correlation view), and then select [Add Rule] from the displayed menu. Specify "Communication abnormality" in the rule name since the [New rule] screen is displayed, select [Suppression Rule] for ” Rule Type”, and then click the [OK] button.

  2. Setting a rule
    Right click the created "Communication abnormality" rule, and then select [Rule Setting] from the displayed menu. Define monitoring conditions/output event since the [Rule Setting] screen is displayed, check the [Each Monitor key is monitored in parallel] check box to define a monitoring key, and then click the [OK] button.

[References]

Create a rule

Define the settings of a suppression rule

Define settings for an output event


2. Defining conditions

  • The conditions are defined as shown below.
    Communication abnormality

    Item

    Details

    Rule Name

    Communication error

    Condition Type

    Time Suppression

    Incoming Event

    Communication abnormality monitor

    zero time reference

    Initial Incoming Event

    Suppression Time Period

    180

    Output Event (Initial Event)

    Checks (to use)

    Each Monitor key is monitored in parallel

    Checks (to use)

  • The filter condition of the respective events is defined as shown below.
    Communication abnormality monitor

    Item

    Details

    Filter name

    Communication abnormality monitor

    Category

    Unified Management Framework

    Application

    Network

    Message ID

    00000001

    Severity

    FATAL

  • The output event (Initial Event) is set as shown below.

    Item

    Details

    Extract Source

    Initial Event

    Severity

    Extracted from Incoming Event

    Occurrence Date and Time

    Extracted from Incoming Event

    Application

    Extracted from Incoming Event

    Object

    Extracted from Incoming Event

    Message ID

    0000000A

    Event Category

    Extracted from Incoming Event

    Message Text

    Communication error occurred because an error occurred in (Destination node=NODENAME).

    Select by Key

    Start key value

    (Destination node=

    End key value

    )

    replacement variable

    NODENAME

  • Monitoring key extraction is set as shown below.
    Monitoring key name: Node

    Item

    Details

    Reference

    $NODE#

    String operation

    Select by All

  • Constituent group is set as shown below..
    Monitoring key name: Node

    Item

    Details

    Composition group

    GroupA

    Component

    Host-A01, Host-A02, Host-A03

Item | Details
Composition group | GroupB
Component | Host-B01, Host-B02, Host-B03

  1. Creating a rule
    From the [Rule Setting] screen of the created "Communication abnormality" rule, select "Time Suppression" for "Condition Type", select the "Initial Incoming Event" for "zero time reference”, and then specify "180" for "Suppression Time Period".

  2. Defining an input event
    Click the [Edit] button on the right side of the input event. Specify the respective filter conditions, and then click the [OK] button. After the work completion, the filter conditions for "Communication abnormality monitor" and the [Incoming Event Setting] screen are as shown below.

  3. Defining a start event
    Check the start event check box and click the [Update] button on the right side of the start event. Specify the respective conditions, and then click the [OK] button. After the work completion, the [Output Event Setting] screen is as shown below

  4. Defining monitoring options
    Check the [Each Monitor key is monitored in parallel] check box and click the [Monitor key setting] button on the right side. Specify the respective conditions, and then click the [OK] button. After the work completion, the [Extraction setting of Monitor key] screen, the [Extraction setting of Monitor key] screen, and the [Individual Monitor Key Setting] screen are as shown below.

This section completes defining the conditions. After the work completion, the [Rule Setting] screen is shown as below.

[Related item]

Define a time deterrence condition

Define filter settings for events

Define extract conditions for events


3. Performing an analyzing test

  1. Performing a test when the communication error messages are frequently generated
    Performs a test when the communication error messages are frequently generated. Right click the "Communication abnormality" rule created in the tree view (event correlation view), and select [Disabled] from the displayed menu to deselect the check mark to enable the rule.

    Next, generate a communication error monitoring report message. The following operation is performed when the definition is correct.

    • A definition that is defined as a start event is issued.

    • On the tree view, the colors of "Communication abnormality" and the upper-level node change to the WARNING color.

    • "Being monitored", and the date and time when the monitoring is started are displayed in "Monitor Start Date Time", respectively in the instance status list.

    • On the operation state (details) tree, the color of the "Time Suppression" node changes to the WARNING color.

    • "Being monitored" for the operation status (details) state of the "Time Suppression", the time when the first communication error monitoring report message is detected for "Start Date"of "Date/Time", the elapse time from when the first communication error monitoring report message is detected for "Status Detail", and the detected communication error monitoring report message for "Detected event", are displayed.

The respective definitions may not be correct when the operations described above are not performed. Check the respective definitions again.

Generate the multiple communication error monitoring report messages within 180 seconds from the detection of the start message by changing the node names to those belonging to the identical group. The following operation is performed when the definition is correct.

  • The elapse time from when the first communication error monitoring report message is detected is displayed for the time of Status Detail for the operation status (details) state of "Time Suppression", while the detected communication error monitoring report message is displayed in "Detected event".

The respective definitions may not be correct when the operations described above are not performed. Check the respective definitions again.

Generate the communication error monitoring report messages within 180 seconds from the detection of the start message by changing the node name to the one belonging to the different group. The following operation is performed when the definition is correct.

  • A message that is defined as a start event is newly issued.

  • An instance is newly added to the instance status list, "Being monitored" and the date and time when the monitoring is started are displayed in "Monitor Start Date Time", respectively.

  • The elapse time from when the first communication error monitoring report message is detected is displayed for the time of Status Detail for the operation status (details) state of "Time Suppression", while the detected communication error monitoring report message is displayed in "Detected event".

The respective definitions may not be correct when the operations described above are not performed. Check the respective definitions again.

Generate the multiple communication error monitoring report messages within 180 seconds from the detection of the start message by changing the node names to those belonging to the identical group. The following operation is performed when the definition is correct.

  • The elapse time from when the first communication error monitoring report message is detected is displayed for the time of Status Detail for the operation status (details) state of "Time Suppression", while the detected communication error monitoring report message is displayed in "Detected event".

The respective definitions may not be correct when the operations described above are not performed. Check the respective definitions again.

Allow 180 seconds to wait from the detection of the first communication error monitoring report message for the respective group. The following operation is performed when the definition is correct.

  • On the tree view, the colors of “Communication abnormality” and the upper-level node change to the NORMAL color.

The respective definitions may not be correct when the operations described above are not performed. Check the respective definitions again.

[Related item]

Monitor the status of operations (in detail)


Configuration example 2 (Monitoring the identical events in parallel)

[Prerequisites]

Link Down -> Link Up may occur due to the network interface failure in any system.

It is too much trouble to define rules one by one in order to monitor the respective network interface errors when multiple NICs are used.

[Message example]

The respective monitoring activities are conducted in a rule when the multiple cases of down -> up are reported as described below.

Occurrence date and time | Message ID | Message text
2014/11/10 23:54:00 | NWA100 | Network interface (GigabitEthernetXXX) has been down.
2014/11/10 11:54:10 PM | NWA100 | Network interface (GigabitEthernetXXX) has been down.
2014/11/10 11:55:30 PM | NWA101 | Network interface (GigabitEthernetXXX) has been up (recovered).
2014/11/10 11:55:50 PM | NWA101 | Network interface (GigabitEthernetXXX) has been up (recovered).

  • Agent has been added.

  • The communication error message is monitored by the log monitoring.

  • For other information items, they are explained in the respective definition sections.

[Configuration order]

1. Defining rules

2. Defining conditions

3. Performing an analyzing test


1. Defining rules1

  1. Creating a rule

Right-click the tree view (event correlation view or the group under the event correlation view), and then select [Add Rule] from the displayed menu. Specify "Network I/F abnormal" in the rule name since the [New rule] screen is displayed, select [Suppression Rule] for ” Rule Type”, and then click the [OK] button.

  2. Setting a rule
    Right click the created "Network I/F abnormal" rule, and then select [Rule Setting] from the displayed pop-up menu. Define the monitoring conditions/output event since the [Rule Setting] screen is displayed, check the [The same event is monitored in parallel] check box of "Monitor Option", and then click the [OK] button.

[References]

Create a rule

Define the settings of a generation rule


2. Defining conditions1

  • The conditions are defined as shown below.
    Network IF down

    Item

    Details

    Condition Name

    Network I/F down

    Condition Type

    Occurrence

    Incoming Event

    Network I/F down filter

Network IF up

Item | Details
Condition Name | Network I/F up
Condition Type | Occurrence
Incoming Event | Network I/F down filter

  • The filter condition of the respective events is defined as shown below.
    Network IF down monitoring

    Item

    Details

    Filter name

    Network I/F down filter

    Category

    Unified Management Framework

    Node

    ServerA

    Application

    NetworkInterface

    Message ID

    NWA100

    Severity

    FATAL

Network IF down monitoring

Item | Details
Filter name | Network I/F up filter
Category | Unified Management Framework
Node | ServerA
Application | NetworkInterface
Message ID | NWA100
Severity | NORMAL

  1. Creating a condition
    Click the [Condition] button on the [Rule Setting] screen of the created "Network I/F abnormal" rule. Specify "Network I/F down" for the "Condition Name" since the "Condition Type" screen is displayed, and then select "Occurrence" for ” Condition Type”.

  2. Defining an input event
    Click the [Edit] button on the right side of the input event. Specify the respective filter conditions, and then click the [OK] button. After the work completion, the filter conditions for "Network I/F down filter" and the [Incoming Event Setting] screen are as shown below.

    After the work completion, the [Condition Setting] screen is as shown below.

  3. Adding a condition
    Click the [Condition] button while being in the status selecting the created "Network I/F down" node. Set the condition to be added since the [Condition Setting] screen is displayed. For details about the method of setting conditions, refer to the previously described "i Creating a condition" and "ii Defining an input event". The condition that has been set is added under the "Network I/F down" node.

    Check the "The same event is monitored in parallel" check box of the monitoring option list.
    This section completes defining the conditions. After the work completion, the [Rule Setting] screen is shown as below.

[Related item]

Define a generation condition

Define filter settings for events

Define extract conditions for events


3. Performing an analyzing test1

  1. Performing a network IF error test

    Performs a network IF error test. First, right click the "Network I/F abnormal" created in the tree view (event correlation view), and select [Disabled] from the displayed menu to deselect the check mark, and enable the rule.

    Next, generate a communication error monitoring report message. The following operation is performed when the definition is correct.

    • On the tree view, the colors of "Network I/F abnormal" and the upper-level node change to the WARNING color.

    • "Being monitored", and the date and time when the monitoring is started are displayed in "Monitor Start Date Time", respectively in the instance status list.

    • On the operation state (details) tree, the color of the "Network I/F down" node changes to the WARNING color.

    • "Precondition Satisfied" in “Status” for the operation status (detail) state of the "Network I/F down", the time when the network IF down monitoring report message is detected for “Start Date” of Date/Time, and the detected network IF down monitoring report message for “Detected event”, are displayed

The respective definitions may not be correct when the operations described above are not performed. Check the respective definitions again.

Next, generate a new monitoring report message of the network IF down. The following operation is performed when the definition is correct.

  • An instance is newly added to the instance status list, "Being monitored" and the date and time when the monitoring is started are displayed for "Monitor Start Date Time", respectively.

  • "Precondition Satisfied" in "Status" for the operation status (detail) state of the "Network I/F down", the time when the network IF down monitoring report message is detected for "Start Date" of Date/Time, and the detected network IF down monitoring report message for "Detected event", are displayed.

The respective definitions may not be correct when the operations described above are not performed. Check the respective definitions again.

Next, generate two communication error monitoring report messages of the network IF up. The following operation is performed when the definition is correct.

  • On the tree view, the colors of "Network I/F abnormal" and the upper-level node change to the NORMAL color.

The respective definitions may not be correct when the operations described above are not performed. Check the respective definitions again.

[Related item]

Monitor the status of operations (in detail)


Main window

Configuration of the Main window.

  • Tree view

  • Topology View

In the Topology View, agent status (file, performance, process, Windows services, various logs) are monitored.

The host group and hosts will be hierarchically displayed under the Topology View node. If any function associating with topology (Windows Service Monitor, Process Monitor, Performance Monitor) is defined, additional monitoring objects will be displayed hierarchically under the host.

See here, for details about the agent monitoring.

  • Business View

In the Business View, messages on the multiple agents are monitored.

The category group and categories will be hierarchically displayed under the Business View node.

See here, for details about the message monitoring.

  • Application View

Application View provides the launcher function.

The application group and applications will be hierarchically displayed under the Application View node.

See here, for details about the launcher function.

  • Audit Log
    Audit Log displays the operation trails of this product.
    Four categories of the application, security, system, and audit logs are displayed under the audit log node according to the kind of the operation.
    See here, for details about the audit logs.

  • MCO Linker
    This function links with MCOperations, and provides the function of sending messages.
    MCO manager group and MCO manager are hierarchically displayed under the MCO Linker node.
    See here, for details about the MCO Linker.

In each node, its severity is indicated by color. The severity color is displayed around the icon of each node. The severity color of the node that has the highest priority within the Application view will be shown.

See here, for details about severity and priority.

  • Map View

This window displays the defined monitored hosts, categories, applications, groups and figures which correspond to the Topology View, the Business View and the Application View, selected on the tree view.

  • Property View

This window displays the information about the defined monitored hosts, categories, applications, groups which correspond to the Topology View, the Business View and the Application View, selected on the tree view.

  • Online Message

All the messages stored in the category after the monitoring view is opened will be displayed.

  • Audit Log
    All the audit logs outputted after the monitoring view is opened will be displayed.

  • Recovery Status

If any event specified to be recovered occurs after the monitoring view is opened, the list of the status of recovery process will be displayed.

See here, for details about recovery.

  • Report Status

If any event specified to be reported occurs after the monitoring view is opened, the list of the status of report process will be displayed.

See here, for details about report.


About the details of each severity

This section describes the severity of this product about the situation it may occur, and the functions in which it may be used.

  • In each severity below, any occurrence condition stated "Do not occur automatically" can be made to occur by changing the message severity (Except User Mark).

  • User Mark will not occur automatically. This shall be specified for a message manually.

See here, for changing the severity for messages.

See here, for specifying user marks.

Internal name | Occurrence condition | Function uses severity
[System Severity]
STOP | Do not occur automatically |
FATAL | When the message type is error | Message monitor function
CRITICAL | Do not occur automatically |
MAJOR | Do not occur automatically |
MINOR | Do not occur automatically |
WARNING | When the message type is warning | Message monitor function
 | When the warning occurs (only during real-time analysis) | Invariant analysis function
UNKNOWN | Do not occur automatically |
NOMESSAGE | When the category does not have messages | Message monitor function
NORMAL | When the message type is normal | Message monitor function
PROCESSUPERROR | When the number of monitored process is greater than the upper threshold. | Process monitor function
PROCESSSTOP | When the number of monitored process is less than the lower threshold. | Process monitor function
SERVICESTOP | When the monitored service is stop. | Windows service monitor function
PERFUPERROR | When the value of monitored counter is equal to the upper threshold (error) or greater. | Performance monitor function
PERFLOWERROR | When the value of monitored counter is equal to the lower threshold (error) or less. | Performance monitor function
HOSTEMPTY | When the information of the monitored host is not available.When any monitor host does not exist under the host group. | Agent monitor function
PERFUPWARNING | When the value of monitored counter is equal to the upper threshold (warning) or greater. | Performance monitor function
PERFLOWWARNING | When the value of monitored counter is equal to the lower threshold (warning) or less. | Performance monitor function
PROCESSUNKNOWN | When the information of the monitored process is not available. | Process monitor function
SERVICEUNKNOWN | When the information of the monitored service is not available. | Windows service monitor function
PERFUNKNOWN | When the information of the monitored counter is not available. | Performance monitor function
PROCESSRUN | When the monitored process is running. | Process monitor function
SERVICERUN | When the monitored service is running. | Windows service monitor function
PERFNORMAL | When the value of the monitored counter is within the normal range. | Performance monitor function
HOSTNORMAL | When the monitored host is running. | Agent monitor function
UNMANAGED | When agent monitoring is stopped When category message monitoring is stopped | Agent monitor function Message monitor function
[User Severity]
USER1 to USER32 | Do not occur automatically |
[User Mark]
MARK1 to MARK128 | Do not occur automatically |

[References]

About the severity and the priority

Set the severity

Set the priority


About agent monitoring

This product consolidates the management of the agents within the system and monitoring their status. Agent monitoring provides the functions below:

  • Agent monitor function

Grouping the agents within the system for consolidated management and monitoring their status.

[References]

Define the host group

Add a monitoring host

  • Reporting function

When the status of a registered agent is changed, the patrol light report, e-mail report, and action report are sent to the operator for warning.

[References]

Set the reporting for monitored host

In addition, for the agents which have been registered, the functions below are available.

  • File/Directory monitor function
    Monitor the volume of a specified file or directory and manage the status.
    [Reference]
    About monitoring files/directories

  • Windows service monitor function

Monitor the status of specified Windows services, and mange the change of their status.

[References]

About Windows service monitoring

  • Process monitor function

Monitor the status of specified processes, and manage the change of their status.

[References]

About process monitoring

  • Performance (resource) monitor function

Monitor the status of specified resource.

[References]

About performance monitoring

  • Agent's log monitor function

Monitor the various logs on the agent, and send the messages for Business View

[References]
About agent's log monitoring

When a status of a registered agent is changed, the following actions are executed for reporting to the operator.

  • On the tree view, if the priority of severity, after the status change, is highest within the group in that the agent is included, then the group icon is changed to the severity color after the status change. Also, if the priority is higher than the other nodes in the same group, the color of the upper node is changed.

  • The message to report the status change will be issued. By extracting this message and defining the recovery settings, recovery can also be defined in the Agent monitor function. See here, for details about the message.


Export the definition for the monitored agents and generate the definition file

This operation should be executed after shifting into the Configuration mode.

Exporting the agent monitoring settings and creating the definition files will facilitate storing the agent monitoring settings and reusing them on other systems.

[Note]

  • The following definitions are not saved by exporting.

    • Graphic form and background on the Map view

To export the monitoring definitions, select the agent node on the topology view and select [Export] from right click menu. The [Export Setting] window will appear, press the [Browse] button and specify the directory to output the definition files, and the press the [OK] button.

  • Subject

Specify the description of exported definition files. At the importing, this comment is shown in the [Subject] field on the [Import setting] window.

  • Directory

Specify the directory path to output the definition files.

Press the [OK] button, the monitoring definition is exported and output the definition files under the specified directory. After exported, the [Result of export] windows will appear and display the output function list.

The definition file name is output as following for each functions.

Function | Definition file name
Topology | Topology.txt
Windows service monitor | NTService.txt
Process monitor | Process.txt
Performance monitor | Performance.txt
Event log monitor | EventLog.txt
Syslog monitor | SysLog.txt
Application log monitor | ApLog.txt
Oracle performance monitor | OracleMonitor.txt

[Note]

  • If the definition files exists already in the specified directory, the confirming dialog will appear. To over-write, press the [OK] button. Or, to cancel, press the [Cancel] button.

  • When exporting the hypervisor's performance (resource) monitoring definition and importing the exported definition files to any other device, you must change the names of them to appropriate ones by considering the hostname or resource name for the device to which you import them before importing them because the instance names are different.

[References]

Import the definition for monitored agents


Change the destination of the monitoring window/the agent

To change the destination of the installed monitoring window/agent, operate following steps.

UTF-16 for Windows and UTF-8 for UNIX are supported as the character code for ini files.

  • Changing the destination of the agent.

    1. Check that the agent whose connection destination is to be changed is not currently connected to this manager.
    2. Delete the following files:
      <Manager's installation directory (*1)>\Manager\sg\ApLogHelper\[Agent]_***.pos
      <Manager's installation directory (*1)>\Manager\sg\EventLogHelper\[Agent]_***.pos
      <Manager's installation directory (*1)>\Manager\sg\Message\[Agent]_***.pos
      <Manager's installation directory (*1)>\Manager\sg\SysLogHelper\[Agent]_***.pos

      (*1) Path of the shared disk if a shared disk is used.
      * Only delete the files in which [Agent] is the name of the agent whose destination is to be changed.
      * Replace *** with any number.
      * The files mentioned above may not exist.
    Perform steps 1 and 2 above, and then perform the steps from step 3 below.

    [Agent whose connection destination is to be changed]
    3. Stop the agent.
    4. Open "<Agent's installation directory>\Agent\sg\SysMonAgt.ini" with the editor, and change the value of the following entry to the new manager name.

      ...
      [UpperNode]
      HostName=ManagerA

      ...

      [Example]

      Changing the destination from ManagerA to ManagerB..

      before changing

      after changing

      ...

      [UpperNode]

      HostName=ManagerA

      ...

      ...

      [UpperNode]

      HostName=ManagerB

      ...

    5. Delete the following directories in the <Agent's installation directory (*2)>\Agent\sg:

      PerformanceHelper
      NTServiceHelper
      EventLogHelper
      ProcessHelper
      SysLogHelper
      ApLogHelper
      FileMonitorHelper

      (*2) Path of the shared disk if a shared disk is used for the logical system agent.
      * The directory may not exist.

    6. Start the agent.

[Note]

  • After the connection destination of the agent is changed, agent messages generated before the connection to a new manager is established will be lost.

  • For UNIX agents, the files to edit and directories to delete exist in the directory below. The file names, setting methods and directories to delete are the same as in Windows.

    <Agent's installation directory>/Agent/sg/

  • Changing the destination of the monitoring window.

    1. Stop the monitoring window.

    2. Open "<View's installation directory\Svc\sg\SysMonSvc.ini" with the editor, and change the value of the following entry to the new manager name.

      ...
      [UpperNode]
      HostName=ManagerA

      ...

      [Example]

      Changing the destination from ManagerA to ManagerB.

      before changing

      after changing

      ...

      [UpperNode]

      HostName=ManagerA

      ...

      ...

      [UpperNode]

      HostName=ManagerB

      ...

    3. Start the monitoring window.


About the provided commands

This product enables users to perform operations such as deleting messages and outputting information to a CSV file from the monitoring windows, and it also provides manual commands to execute the same functions, in addition to the operations from the monitoring windows.

Refer to "About the provided commands" and the pages under "Command reference".


Linkage between Managers

This product can centrally monitor the whole system by linking multiple managers and notifying the messages collected by lower-level managers to upper-level managers.

The function used for linkage differs depending on the product or version of upper-level manager.

[Link with MCOperations V2.X]

Use the MCO linkage function in SystemManager G to link with MCOperations V2.X.

  • Message notification function
    Sends messages collected on SystemManager G to the MCO manager.
    [References]
    Use MCOperations Linker
    Define an MCOperations manager group
    Set an MCOperations manager to which reports are sent
    Define a filter for messages to be reported to an MCOperations manager
    Display a list of messages reported to an MCOperations manager

  • Command execution function
    A recovery can be issued for sent messages by setting recovery on the MCO manager.
    [References]
    Set the MCOperations Command Linker

[Link with SystemManager G]

Use the manager linkage function in SystemManager G to link with the SystemManager G manager in a hierarchical state.

  • Message notification function
    Sends messages collected on SystemManager G to an upper-level manager.
    [References]
    Use Message Linker with upper manager
    Define an upper manager group
    Set an upper manager
    Define a filter for messages to be reported to an upper manager
    Display a list of messages reported to an upper manager

  • Command execution function
    A recovery can be issued for sent messages by setting recovery on the upper-level manager.
    [References]
    Set the Command Linker


Set the MCOperations Command Linker

This product can execute a recovery command set up on the MCO side with a message reported to the MCO manager as the activation trigger.

The Command Linker can be set in the Action Details window on MCO. For more information on the window, refer to the appropriate MCO manual.

The Command Linker tool, CommandExe.exe, is used to enter a command from MCO to SystemManager G.

Specify CommandExe.exe as the command to be executed, and its arguments that point to the agent to which the command will be issued and the real command to be executed on the agent.

[Note]

CommandExe.exe itself is executed on an MCO manager. For this reason, MCO the recovery command per se is directed to the MCO manager.

A command that will be entered from MCO must be described in the following syntax:

[Name of Agent to which Command Is Issued] [Command Character String] [Command Options] [Work Directory] [SystemManager G Manager Name] [Used Port Number]

  • Name of Agent to which Command Is Issued
    Describe the name of a desired SystemManager G agent on the node that will run this command.

    [Note]
    The agent name in the command syntax is not a host name, but the one that was set at the time of installation and that is displayed in Topology View.

  • Command Character String
    Describe the command line for the command to be executed.

  • Command Options
    Describe the option(s) that will be given for the command specified in Command Character String.

  • Work Directory
    Describe the work directory used to execute the command.

  • SystemManager G Manager Name
    Specify the host name or IP address for the SystemManager G manager that will issue the command to the SystemManager G agent.

    [Note]
    If the MCO manager and SystemManager G reside on the same host, specify "localhost" or "127.0.0.1" in SystemManager G Manager Name.

  • Used Port Number
    Specify a desired port number to be used to enter the command. The port number specified here must match the one that is used by the SystemManager G manager to communicate with a monitoring window. For more information on ports to be used by SystemManager G, refer to the SystemManager G Installation manual or here.

[Note]

To prevent command malfunction, enclose each item in the command syntax with double quotation (") marks.


Use MCOperations Linker

This operations must be executed after shifting into the Configuration mode.

To use the MCO Linker, invoke [Option Setting] dialog by selecting [Option] from the [Setting] menu, and select [MCO Linker] tab.

  • Use MCO Linker Function
    If you want to use the MCO Message Linker Function, you must check this checkbox and set the items to desired values.
    When you check the box and click on the [OK] button, the [MCO Linker] node will be displayed as a root node on the tree view in the monitoring window.

  • Number of Sent Message
    Specify the Size of sent Messages to the MCO manager and you want to retain, in 1000 to 10000. The default value is 1000.
    When you display a list of messages transmitted to the MCO manager, the messages will be displayed in such a manner that the number does not exceed the value specified here as the maximum number of messages to be displayed in the list.

  • Number of Send Message Queue
    Specify the Size of Send Queue on Operations Navigator, in 1000 to 10000, if the messages cannot be reported to the MCO manager. The default value is 1000.

[References]

Define an MCOperations manager group

Set an MCOperations manager to which reports are sent


Define a filter for messages to be reported to an MCOperations manager

This operation must be executed after shifting into the Configuration mode.

This section defines a filter to extract messages that were output on an agent. Select [Filter Setting] from the right-click menu of a desired MCO manager node on the tree view. When the [Filter Setting] window has been displayed, register a desired message category(ies) by selecting it from those defined in Business View and click on the [OK] button.

  • If you check [Business View], a root node, you can report messages in all the categories to the MCO manager.

The messages that are stored in a checked category(ies) or a checked category group(s) will be reported to the MCO manager.

[Note]

  • You cannot define extract conditions for a filter in this window. You need to complete filter setting in a desired category in Business View and then define the extract conditions for the filter.

  • If the checked category is stopped, the message is reported to the MCO manager if [Saving Messages] is checked in the option setting of the business view.

[References]

Define the category

Define the selecting conditions

Set the options for message monitoring

Set an MCOperations manager to which reports are sent


Define an MCOperations manager group

This operation must be executed after shifting into the Configuration Mode.

To define an MCO manager group, select [Group Setting] from the right-click menu of the [MCO Linker] node on the tree view or the right-click menu of the MCO manager group. When the [New Group] dialog box has been displayed, complete the entries in the dialog box and click on the [OK] button.

  • Group Name
    Specify a desired group name, within a maximum of 64 characters.
    The Group Name must be specified.

  • Icon File
    Use a maximum of 256 characters to specify the icon to be used to display an entity. Clicking on the [Browse] button enables you to display the [Open File] dialog box and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.
    You can use an appropriate environment variable for the path name to the file.
    When you omit specifying an icon file, the default icon will be used.

[References]

Use MCOperations Linker

Set an MCOperation manager to which reports are sent


Set an MCOperations manager to which reports are sent

This operation must be executed after shifting into the Configuration mode.

To set up an MCO manager to which messages will be reported, select [MCO Manager Setting] from the right-click menu of the [MCO Linker] node on the tree view or the right-click menu of the MCO manager group. When the [New MCO Manager] dialog box has been displayed, complete the entries in the dialog box and click on the [OK] button.

  • MCO Manager Name
    Specify the MCO manager name to be displayed in the tree view, within a maximum of 64 characters.
    The MCO Manager Name must be specified.

  • Icon File
    Use a maximum of 256 characters to specify the icon to be used to display an entity. Clicking on the [Browse] button enables you to display the [Open File] dialog box and select an icon file. What you can specify as an icon is limited to icon files (extension: "ico") and executable files (extension: "exe") that have icon resources. When you have specified an erroneous file, the default icon will be used.
    You can use an appropriate environment variable for the path name to the file.
    When you omit specifying an icon file, the default icon will be used.

  • MCO Host Name
    Specify the host name or IP address for the MCO manager, within a maximum of 64 characters, to which you want to send messages. The character string for this item will be used when establishing a connection to the MCO manager.
    The MCO Host Name must be specified.

  • Port Number
    Specify the port number, in the range of 1024 to 32767, to be used for the message link with the MCO manager. It must match the port number that is specified by the dio_OPBMSG_LNK service in the MCO manager. The default value is 8768.
    The Port Number must be specified.

  • Language
    Select the character code to be used for communications from among [SJIS] and [EUC]. By default, [SJIS] is selected.

[Note]

The status color for an MCO manager node indicates "NORMAL" when it is connected to the MCO manager and "CRITICAL" when it is disconnected.

It does not indicate the severity of each reported message.

[References]

Define an MCOperations manager group

Define a filter for messages to be reported to an MCOperations manager


Display a list of messages reported to an MCOperations manager

To list the messages that were actually sent to the MCO manager, select [Sent Message List] from the right-click menu of the MCO manager node in the tree view or double-click on the node.

The number of messages to be displayed is determined by the [Number of Sent Message] setting in the [MCO Linker] tab of the [Option Setting] window.

  • Refresh
    Refreshes the view with the latest information.

  • Show/Hide the Description
    Shows (or hides) the pane in the lower section of the message list in which message text for the selected message is displayed.

[Note]

The status color for an MCO manager node indicates "NORMAL" when it is connected to the MCO manager and "CRITICAL" when it is disconnected.

It does not indicate the severity of each reported message.

[References]

Use MCOperations Linker

Define a filter for messages to be reported to an MCOperations manager


Set a Directory Authentication

Select "Directory Authentication" for the authentication method and click on the [Create] button. The [Select the authentication server] window opens. Perform authentication settings from the [Select the authentication server] window and [Set authentication server] window.

[Note]

  • Directory authentication is a function to link with EnterpreiseDirectoryServer. Directory authentication function currently support EnterpreiseDirectoryServer only.

This operation must be executed after shifting into the Configuration mode.
This operation is only allowed for users that belong to a group that has the user management authority.
This operation is only allowed for users that belong to a group that has the addition right in User Management.

Select the authentication server

  • Select the server used for authentication (authentication server). The host name and port number of the selected server will be displayed.
    No authentication server will be registered in the initial state, click on the [Add] button and perform initial authentication server settings. To edit the information of registered authentication servers, click on the [Update] button. To delete authentication servers, click on the [Delete] button.
    Details of the dialog for authentication server settings are provided at the bottom of this page.

  • AuthorityLevel
    Set the authentication method for directory authentication. The following three methods are available.

    • Simple
      Simple authentication without encryption. The password is sent to the authentication server in plain text.

    • SASL CRAM-MD5
      Simple authentication with encryption. The password is sent to the authentication server encrypted in CRAM-MD5 format.

    • SASL DIGEST-MD5
      Simple authentication with encryption. The password is sent to the authentication server encrypted in DIGEST-MD5 format.

[Note]

  • The directory authentication function only supports the above authentication levels.

  • DistinguishedName

Specify a password longer than 6 characters. Maximum length is 64 characters.
If user ID authentication is enabled on the authentication server settings, the user ID can be specified.
ID names and user names including tab and linefeed characters cannot be registered.

  • Password

Specify above 6 but within 64 characters.
Passwords that include spaces at the beginning and end cannot be registered.

  • Test
    Perform test authentication. A message indicating whether the authentication succeeded or failed will be displayed.

After completing authentication settings for the user created, click the [OK] button. The user will be created on the User Administration window.

Set authentication server

  • DisplayName
    Specify within 64 characters. Required.

  • HostName
    Specify within 256 characters. Required.

  • Port
    Specify positive integers between 1 and 32767. Required.


About Integrated topology

The integrated topology view is a function that provides a tree and view where the user can see job-related objects at a glance and check the relationships between the objects.


Descriptive example of regular expression

Description about the examples of regular expressions

  • In this product, the advanced regular expressions are available.

Search conditions, and descriptive example for them

Search condition | Example for specifying
Search for items that include "Abnormal" | Abnormal
Search for an item having an arbitrary character after "Abnormal" | Abnormal
Search for "Recovery from Abnormal (arbitrary character string)" | Abnormal.*recovery
Search for "A is abnormal," "B is abnormal," or "C is abnormal." | [ABC] is abnormal
Search for items that include alphabetical characters. | [A-Za-z]
Search for an item whose character string starts with ABC. | ^ABC
Search for items whose character string ends with XYZ. | XYZ$
Search for an item that matches "Server001" or ServerABC." | ^Server001$|^ServerABC$
Search for items that include "Normal" or "Abnormal". | (Normal|Abnormal )
Search for items that include "ABC" or "AC". | AB?C

[Note]

When the meta character is used as a usual character, it is necessary to apply '\' just before the character. The meta character is a character with a special meaning in the regular expression such as parentheses, periods, and '\'.

Ex.)

"C:\Program File\UserAp\bin\userap.exe" OPTION(0000)

is described as

"C:\\Program File\\UserAp\\bin\\userap\.exe" OPTION\(0000\)

[Related Item]

Create a message filter

Define message extraction conditions


Messages output by Manager/Agent

This product outputs a message when a change is made in the states of agents being monitored, Windows services, processes and performances or when license functions detect an error in the number of licenses. These messages are detailed below.

  • The same items as those for ordinary messages are omitted from the description.

  • Category
    Unified Management Framework
  • Application
    Unified Management Framework

  • Object
Target | Object
Agent Monitor | TopologyService
Windows Service Monitor | NTServiceMonitor
Process Monitor | ProcessMonitor
Performance Monitoring | PerformanceMonitor
Event log | EventLogMonitor
Message Monitoring | MessageView
Application Log Monitor | ApLogMonitor
File Monitor | FileMonitor
Message Management | Message
Multi-graph view | PerfGraph
Remote Connection management | RemoteConnectCtlWMI

  • Message ID, severity, message text

[Agent Monitor]

Message ID | Severity | Message Text
00010001 | NORMAL | Host status become Host Normal. (NODE=%s)(OLD=%s)(NEW=%s)
00010002 | FATAL | Host status become Host Empty. (NODE=%s)(OLD=%s)(NEW=%s)
00010003 | WARNING | There is no licnese.(FNC=%s)
00010004 | WARNING | The connection was refused, because the number of licenses was insufficient. (NODE=%s) (FNC=%s)

[Windows Service Monitor]

Message ID | Severity | Message Text
00090001 | UNKNOWN | Service become unknown state.(NODE=%s)(SNAME=%s)(OLD=%s)(NEW=%s)
00090002 | NORMAL | Service become normal state.(NODE=%s)(SNAME=%s)(OLD=%s)(NEW=%s)
00090003 | FATAL | Service become stop state.(NODE=%s)(SNAME=%s)(OLD=%s)(NEW=%s)
00090004 | WARNING | There is no licnese.(FNC=%s)
00090005 | WARNING | The connection was refused, because the number of licenses was insufficient. (NODE=%s) (FNC=%s)
00190001 | Abnormal | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
00370001 | Warning | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)

[Process Monitor]

Message ID | Severity | Message Text
00080001 | UNKNOWN | Process become unknown state.(NODE=%s)(PNAME=%s)(OLD=%s)(NEW=%s)(LOWER=%s)(UPPER=%s)
00080002 | NORMAL | Process become normal state.(NODE=%s)(PNAME=%s)(OLD=%s)(NEW=%s)(COUNT=%s)(LOWER=%s)(UPPER=%s)
00080003 | FATAL | Process become stop state.(NODE=%s)(PNAME=%s)(OLD=%s)(NEW=%s)(COUNT=%s)(LOWER=%s)(UPPER=%s)
00080004 | WARNING | There is no licnese.(FNC=%s)
00080005 | WARNING | The connection was refused, because the number of licenses was insufficient. (NODE=%s) (FNC=%s)
00080006 | FATAL | Process become upper error state.(NODE=%s)(PNAME=%s)(OLD=%s)(NEW=%s)(COUNT=%s)(LOWER=%s)(UPPER=%s)
00080007 | WARNING | The process is started which is the member of Process.(NODE=%s)(PNAME=%s)(PID=%s)
00080008 | WARNING | The process is stopped which is the member of Process.(NODE=%s)(PNAME=%s)(PID=%s)
00180001 | Abnormal | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
00350001 | Warning | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)

[Performance Monitoring]

Message ID | Severity | Message Text (*)
00070001 | UNKNOWN | Performance Counter become unknown state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter become unknown state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070002 | FATAL | Performance Counter become upper error state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter become upper error state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070003 00070004 | WARNING | Performance Counter become upper warning state(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter become upper warning state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070005 00070006 | NORMAL | Performance Counter become normal state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter become normal state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070007 00070008 | WARNING | Performance Counter become lower warning state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter become lower warning state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070009 | FATAL | Performance Counter become lower error state.(NODE=%s)(ONAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
 |  | Performance Counter become lower error state.(NODE=%s)(ONAME=%s)(INAME=%s)(CNAME=%s)(OLD=%s)(NEW=%s)(UPPERERROR=%s)(UPPERWARNING=%s)(LOWERWARNING=%s)(LOWERERROR=%s)
00070010 | WARNING | There is no licnese.(FNC=%s)
00070011 | WARNING | The connection was refused, because the number of licenses was insufficient. (NODE=%s) (FNC=%s)
00210001 | Warning | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)

*: Replacement character strings in the message text, UPPERERROR, UPPERWARNING, LOWERWARNING, and LOWERERROR, are added only when their respective threshold values have been set.

  • Remarks on message ID of performance monitor

ID | Description
00070003 | When a change is made from upper limit abnormal state to upper limit warning state
00070004 | When a change is made from normal state to upper limit warning state
00070005 | When a change is made from upper limit warning state to normal state
00070006 | When a change is made from lower limit warning state to normal state
00070007 | When a change is made from normal state to lower limit warning state
00070008 | When a change is made from lower limit abnormal state to lower limit warning state

[Event log monitoring]

Message ID | Severity | Message Text
00420001 | WARNING | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)

[Message Monitor]

Message ID | Severity | Message Text
00490001 | WARNING | There is no licnese.(FNC=%s)
00490002 | WARNING | The connection was refused, because the number of licenses was insufficient. (NODE=%s) (FNC=%s)

[Application Log Monitor]

Message ID | Severity | Message Text
00120001 | WARNING | There is no licnese.(FNC=%s)
00120002 | WARNING | The connection was refused, because the number of licenses was insufficient. (NODE=%s) (FNC=%s)
00570001 | Abnormal | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)
00580001 | Warning | Monitoring was terminated due to a time out. (NODE=%s) (TIMEOUT=%s)
00580002 | Abnormal | Failed to Action Before Application Log Monitoring. (The Return Value=%s)
00580003 | Abnormal | Action Before Application Log Monitoring Timed Out.

[File Monitor]

Message ID | Severity | Message Text (*)
00770001 | Warning | Monitoring was terminated due to a time out.(NODE=%ls) (TIMEOUT=%d)
00780001 | UNKNOWN | File become unknown state.(NODE=%s)(NAME=%s)(FILE=%s)(OLD=%s)(NEW=%s)(ERROR=%s)(WARNING=%s)
00780002 | NORMAL | File become normal state.(NODE=%s)(NAME=%s)(FILE=%s)(OLD=%s)(NEW=%s)(CAP=%s)(ERROR=%s)(WARNING=%s)
00780003 | WARNING | File become warning state.(NODE=%s)(NAME=%s)(FILE=%s)(OLD=%s)(NEW=%s)(CAP=%s)(ERROR=%s)(WARNING=%s)
00780004 | FATAL | File become error state.(NODE=%s)(NAME=%s)(FILE=%s)(OLD=%s)(NEW=%s)(CAP=%s)(ERROR=%s)(WARNING=%s)
00780005 | NORMAL | File was updated.(NODE=%s)(NAME=%s)(FILE=%s)(CAP=%s)
01050001 | Abnormal | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)

*: Replacement character strings in the message text, ERROR and WARNING, are added only when their respective threshold values have been set.

[Message management]

Message ID | Severity | Message Text
00270001 | WARNING | Deleted messages to exceed the maximum number of Queue. (NUM=%s)(RECVFROM=%s)(RECVTO=%s)

[Multi-graph view]

Message ID | Severity | Message Text (*)
01760001 | Warning | There is no license.(FNC=%ls)
01760002 | Warning | The connection was refused, because the number of licenses was insufficient.(NODE=%s) (FNC=%s)
01760003 | Unknown | Performance Counter become unknown state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760004 | Abnormal | Performance Counter become upper error state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760005 01760006 | Warning | Performance Counter become lower error state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760007 01760008 | Normal | Performance Counter become upper warning state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760009 01760010 | Warning | Performance Counter become lower warning state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)
01760011 | Abnormal | Performance Counter become normal state.(ITEM=%s)(COUNTER=%s)(OLD=%s)(NEW=%s)

*: Only when the threshold is set respectively, replacement character string UPPERERROR, UPPERWARNING, LOWERWARNING and LOWERERROR in the message text are given.

  • Remarks on message IDs of Multi-graph view

ID | Description
01760005 | When a change is made from upper limit abnormal state to upper limit warning state
01760006 | When a change is made from normal state to upper limit warning state
01760007 | When a change is made from upper limit warning state to normal state
01760008 | When a change is made from lower limit warning state to normal state
01760009 | When a change is made from normal state to lower limit warning state
01760010 | When a change is made from lower limit abnormal state to lower limit warning state

[Remote Connection management]

Message ID | Severity | Message Text (*)
02000001 | Abnormal | Can not continue monitoring because MaxThreads is execeeded. (NODE=%s) (THREAD=%s)

In each portion, %s is replaced as follows.

%s | Description
NODE | Node name of agent/remote host/monitoring window
SNAME | Windows service name
ONAME | Object name
FNC | Function name "Agent","Svc")
INAME | Instance Name
CNAME | Counter name
DATA | Performance measurement value
UPPERERROR | Upper limit abnormal threshold value
UPPERWARNING | Upper limit warning threshold value
LOWERWARNING | Lower limit warning threshold value
LOWERERROR | Lower limit abnormal threshold value
PNAME | Process name
COUNT | Number of processes
LOWER | Lower limit threshold value
UPPER | Upper limit threshold value
NAME | Display name of monitor file (directory)
FILE | Actual file (directory) name
CAP | Size of monitor file (directory)
ERROR | Abnormal threshold value
WARNING | Warning threshold value
OLD | Old severity
NEW | New severity
NUM | Number of deleted messages
RECVFROM | Date of receiving start of deleting
RECVTO | Date of receiving completion of deleting
ITEM | Item name
THREAD | Number of healthy running threads
TIMEOUT | Timeout in seconds
The Return Value | Result from running a command before application log monitoring

  • Message ID and Report Description
    In case of Agent monitoring, %s is replaced with a computer name.

In case of Windows services, it is replaced with an NT service name.

In case of Process monitoring, it is replaced with a process name or process ID.

In case of Performance monitoring, it is replaced with a counter name.

In case of File monitor, it is replaced with a file name.

[Agent Monitor]

Message ID | Description
00010001 | Host(%s) status become Host Normal.
00010002 | Host(%s) status become Host Empty.

[Windows Service Monitor]

Message ID | Description
00090001 | Service (%s) become unknown state.
00090002 | Service (%s) become normal state.
00090003 | Service (%s) become stop state.

[Process Monitor]

Message ID | Description
00080001 | Process (%s) become unknown state.
00080002 | Process (%s) become normal state.
00080003 | Process (%s) become stop state.
00080007 | The process (PID=%s) was started.
00080008 | The process (PID=%s) was stopped.

[Performance Monitoring]

Message ID | Description
00070001 | Performance Counter (%s\\%s) become unknown state.
 | Performance Counter (%s\\%s\\%s) become unknown state.
00070002 | Performance Counter (%s\\%s) become upper error state.
 | Performance Counter (%s\\%s\\%s) become upper error state.
00070003 00070004 | Performance Counter (%s\\%s) become upper warning state.
 | Performance Counter (%s\\%s\\%s) become upper warning state.
00070005 00070006 | Performance Counter (%s\\%s) become normal state.
 | Performance Counter (%s\\%s\\%s) become normal state.
00070007 00070008 | Performance Counter (%s\\%s) become lower warning state.
 | Performance Counter (%s\\%s\\%s) become lower warning state.
00070009 | Performance Counter (%s\\%s) become lower error state.
 | Performance Counter (%s\\%s\\%s) become lower error state.

  • Remarks on message ID of performance monitor

ID | Description
00070003 | When a change is made from upper limit abnormal state to upper limit warning state
00070004 | When a change is made from normal state to upper limit warning state
00070005 | When a change is made from upper limit warning state to normal state
00070006 | When a change is made from lower limit warning state to normal state
00070007 | When a change is made from normal state to lower limit warning state
00070008 | When a change is made from lower limit abnormal state to lower limit warning state

[File Monitor]

Message ID | Description
00780001 | File (%s) become unknown state.
00780002 | File (%s) become normal state.
00780003 | File (%s) become warning state.
00780004 | File (%s) become error state.


SSC tandem

SSC Relation

An SSC Relation part executes the same command on more than one host that is to be provisioned at SSC (Sigma System Center).

SSC Relation parts can be allocated only if an appropriate number of SSC Relation option licenses are purchased.

Setting Items

Execution Results

Setting Items

[Command Setting] tab

  • Target Host (required)

Default value: Not set

Select the host on which you want to execute a desired command from the pull-down menu or specify it through the property reference.
If you want to specify a manager to which a desired command will be entered, specify it in the form of "Target Host Name: $Manager$".
Directly specify a list of hosts that will run a command by delimiting them with a comma, or specify them through the property reference.

  • Command (required)

Default value: Not set

Specify a desired command directly or specify it through the property reference.

The available commands are identical to those for action parts.

  • Working Directory

Specify a desired work directory directly or specify it through the property reference.

If you omit specifying a work directory, the following directory will be used for your work directory.

For Windows OS: Windows work directory (%SystemRoot%system32)

  • Option

Directly specify a desired option used when executing the command or specify it through the property reference.

[Exit Code Setting] tab

  • Exit Code

Specify a desired completion code for this part itself.

    • Maximum Value (default)

Adopts the maximum of return values from the executed commands on the all the hosts for the completion code of this part.

    • Minimum Value

Adopts the minimum of return values from the executed commands on the all the hosts for the completion code of this part.

    • Immediate Value

Specify the completion code directly, regardless of the results of the executed command.

    • Latest Component

Adopts the completion code of the anterior part as that of this part.

  • Normal Exit Code

Set a definition that determines the status of the completed command for the completion code you decided above.

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been successfully completed.

  • Warning Exit Code

Set a definition that determines the status of the completed command for the completion code you decided above.

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been completed with a warning.

  • Abnormal Exit Code

Set a definition that determines the status of the completed command for the completion code you decided above.

Specify the range of results (return values) from an executed command that are regarded as an indication that the command has been abnormally completed.

How to specify values:

When you specify the values, use one-byte numeric characters.

If you want to specify more than one value, delimit each value with a one-byte comma.

If you want to specify a range of values, enter a one-byte hyphen between the start and end values of the range.

Examples of specifying values:

-1,2,5,10,90-99

[Note]

§ If all three ranges of completion codes are not specified, any return value will be regarded as an indication that the command has been successfully completed.

§ If you do not specify a normal completion code and a return value or a result from an executed command does not fall within the specified ranges of abnormal and warming completion codes, the return code will be interpreted to indicate that the command has been successfully completed.

§ If a result from an executed command does not fall within the ranges of normal, warning, and abnormal completion codes, the status will be regarded as follows:

If the range of normal completion codes is not defined --- Successful completion

If it falls outside the range of normal completion codes and if the range of warning completion codes is not defined --- Warning completion

Otherwise --- Abnormal completion

  • Failed command option

§ Stop Flow (Default)

Stops the scenario with a result of abnormal completion.

§ Continue Flow

Specify a desired Exit code. If you select [Continue Flow], the scenario will continue to be run even when the command has been abnormally completed.

When you specify the values, use one-byte numeric characters.

[Monitoring Setting] tab

If you want to monitor a part based on the time of day, specify it.

  • Start Time Monitoring

If you want to monitor the start time of execution of a part, check the box.

You can specify the start time directly or as the time relative to the start of a work flow.

§ Absolute Time (default setting when monitoring the start time)

If the process of this part has not been started at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

If the specified time has passed before the work flow starts, it will be regarded as the same time on the following day.

Default value: 00:00:00

§ Relative Time

If the process of this part is not started when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed Start)].

Maximum Value: 23:59:59

  • End Time Monitoring

If you want to monitor the end time of execution of a part, check the box.

As the end time, you can specify a desired end time directly, a desired elapsed time since the work flow started, or a desired expected duration for execution of the work flow.

§ Absolute Time (default setting when monitoring the end time)

If the process of this part has not been completed at the specified time, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Default value: 00:00:00

§ Relative Time

If the process of this part has not been completed when the specified period of time has elapsed since the work flow started, the status of the part will be changed to [Not Yet Executed (Delayed End)] or [Running (Delayed End)].

Maximum Value: 23:59:59

§ Expected Run Time

Specify an expected duration from the time when the process of this part starts to the time when it ends. If the process of this part has not been completed when the specified time range elapses since it started, the status of the part will be changed to [Running (Delayed End)].

Maximum Value: 23:59:59

[Note]

  • If you enter a command to an agent that has not been started, the system makes the agent wait 5 minutes before it starts. If the agent starts within the 5 minutes, the specified command is entered to it. If the agent does not start after the 5 minutes have passed, the status changes from Running to Abnormal Completion.
  • If you terminate the manager while the command is being executed for the agent, the execution of the command is not aborted. In this case, when you start the manager, the running action is abnormally completed. If you terminate the agent while it is running the command, the execution of the command is not aborted. In this case, the action is also abnormally completed.

[Condition Setting] tab

For more information on how to set the conditions, refer to the "Define conditions" section.

Execution Results

[Status] tab

  • Status

Displays the status of the part. For more information on the status, refer to the mapping table between the completion statuses and the parts.

  • Start Time (Schedule)

If you set the start time monitoring in the monitoring definition, the time and date when the part is scheduled to start are displayed.

  • End Time (Schedule)

If you set the end time monitoring in the monitoring definition, the time and date when the part is scheduled to end are displayed.

  • Start Time (Result)

Displays the time and date when the execution of the part was started.

  • End Time (Result)

Displays the time and date when the execution of the part was terminated.

  • Exit Code

Displays the completion code of the command. When the command is abnormally completed and if you selected [Continue Flow], the completion code you specified is displayed.

[Results] tab

  • Target Host

Displays the host name that ran the command.

  • Command

Displays the command set up in the command definition.

  • Working Directory

Displays the work directory set up in the command definition.

  • Option

Displays the option set up in the command definition.

  • Results

Displays the completion code of the command.

[Result Detail] tab

  • Detail List

Displays the results of executed commands for each host.

  • Command Output

Displays the standard output when the command was executed for the selected host in the above list.

[Condition] tab

For more information on how to check the conditions, refer to the "Check the status of instances and parts: Check the status of a condition" section.

  • Condition Tree

Displays the status of whether the start condition for each part is true.

  • Condition Name

Displays the condition name of the selected condition item.

  • Status

Displays the status of the selected condition item.

  • Condition Satisfied Time

Displays the time when the selected condition item became true.

[Note]

  • When a target host of command execution is UNIX such as Linux, HP-UX, Solaris or AIX, the command is run with UTF-8 locale. If the command can't run with UTF-8 locale, please create a shell script like below to set locale and convert a result of the command, and then specify the shell script as a executed command. As command and options cannot directly specify pipe, please make sure to create a shell script.

    [e.g.]
    In the case of executing a command which only supports SJIS locale on HP-UX
    env LANG=ja_JP.SJIS $1 | iconv -f sjis -t utf8

  • Any command is executed with the right of the manager and that of an agent process (with the SYSTEM right in Windows and with the root right in others).